<?php

namespace App\Http\Controllers\AdminPanel\Auth;

use App\Models\Hcp;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Validation\ValidationException;
use Illuminate\Support\Facades\Session;

class HcpLoginController extends Controller
{
    use AuthenticatesUsers;

    public function __construct()
    {
        // dd('inside');
        $this->middleware('auth.admin.guest')->except('logout','showDetails','hcpDelete');
    }

    public function username()
    {
        return 'phone';
    }
    public function showLoginForm($name = null)
    {
        return view('admin-panel.auth.hcp-login');
    }

    public function login(Request $request)
    {
        // p('in');
        $this->validate($request, [
            'email' => 'required',
            'password' => 'required|min:5',
           
           
        ]);
        $credentials = [
            'email' => $request['email'],
            'password' => $request['password'],
        ];

        if (auth()->attempt(['email' => $request->email, 'password' => $request->password], $request->remember)) {
            $user = auth()->user();
	//p($user->status.'   '.$user->hcp->status.'  '.$user->role_name);
            if ($user->status != 'inactive' && $user->hcp->status != 'archived' && $user->role_name == 'hcp') {
            
	// logout
            	// p(Auth::user('user'));
            	return redirect()->route('hcp.details');
            }
            else{
                Session::flush();
        Auth::guard('user')->logout();
	    return redirect()->route('hcp.login')->withError('Your account has been deactivated');
	}
        }
        return redirect()->route('hcp.login')->withError('Your account has been  deactivated');
    }

    public function logout()
    {
        // clear locale sessions
        Session::flush();
        Auth::guard('user')->logout();
        return redirect()->route('hcp.login')->withSuccess('Logout Successfully');
    }


    // set custom guard
    protected function guard()
    {
        return Auth::guard('merchant');
    }

   public function showDetails(Request $request)
    {
        $user = Auth::user('user');
        if ($user->id) {
            return view('admin-panel.user-details', compact('user'));
        } else {
            return redirect()->back()->withErrors('Something went wrong, please try again');
        }
    }

   public function hcpDelete(Request $request){
        $user = Auth::user('user');
        if ($user->id) {
            $user->status = 'inactive';
            $user->save();
	$user->hcp->status = 'archived';
	$user->hcp->save();
            Session::flush();
            return redirect()->route('hcp.login')->withSuccess('Your account has been deleted successfully');
        } else {
            return redirect()->back()->withErrors('Something went wrong, please try again');
        }	
   }
}
