<?php

namespace App\Http\Controllers\AdminPanel;
use App\Http\Controllers\Controller;
use App\Models\Suburb;
use Illuminate\Http\Request;

class CityController extends Controller
{
    /**
     * @var array
     */
    public $viewData = [];


    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth.admin');
    }

    public function getSuburbs(Request $request)
    {
        // Get suburbs from city
        $suburbs = Suburb::where('city_id', $request['city_id'])->active()->get();
        //------------------------

        // Set response
        if (count($suburbs)) {
            $response = [
                '_status' => true,
                '_message' => __('messages.record_found', ['record' => 'Suburb']),
                '_data' => $suburbs,
            ];
        } else {
            $response = [
                '_status' => false,
                '_message' => __('messages.record_not_found', ['record' => 'Suburb']),
                '_data' => [],
            ];
        }
        //-------------

        return response()->json($response, 200);
    }

}
