<?php

namespace App\Http\Controllers\AdminPanel;

use App\Http\Controllers\Controller;
use App\Models\State;
use Illuminate\Http\Request;

class CountryController extends Controller
{
    /**
     * @var array
     */
    public $viewData = [];


    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth.admin');
    }

    public function getStates(Request $request)
    {
        // Get states from country
        $states = State::where('country_id', $request['country_id'])->active()->get();
        //------------------------

        // Set response
        if (count($states)) {
            $response = [
                '_status' => true,
                '_message' => __('messages.record_found', ['record' => 'State']),
                '_data' => $states,
            ];
        } else {
            $response = [
                '_status' => false,
                '_message' => __('messages.record_not_found', ['record' => 'State']),
                '_data' => [],
            ];
        }
        //-------------

        return response()->json($response, 200);
    }

}
