<?php

namespace App\Http\Controllers\AdminPanel;
use App\Http\Controllers\Controller;
use App\Http\Requests\AdminPanel\GeneralConfigRequest;
use App\Interfaces\BreakTimeInterface;
use App\Interfaces\GeneralConfigInterface;
use App\Interfaces\LoadingTimeConfigInterface;
use App\Interfaces\TrialAccountConfigInterface;
use Illuminate\Http\Request;

class GeneralConfigController extends Controller
{
    private $generalConfig,$breakTime,$trialAccountConfig,$loadingTimeConfig;
    public function __construct(GeneralConfigInterface $generalConfig,BreakTimeInterface $breakTime,TrialAccountConfigInterface $trialAccountConfig,LoadingTimeConfigInterface $loadingTimeConfig){
        $this->generalConfig = $generalConfig;
        $this->breakTime = $breakTime;
        $this->trialAccountConfig = $trialAccountConfig;
        $this->loadingTimeConfig = $loadingTimeConfig;
    }

    public function index(){
        try {
            $data = $this->generalConfig->get([]);
            $break_config = $this->breakTime->get([]);
            $trial_config = $this->trialAccountConfig->get([]);
            $loading_config = $this->loadingTimeConfig->get([]);
            return view('admin-panel.configuration.general_config',compact('data','break_config','trial_config','loading_config'));
        }catch (\Exception $exception){
            return dashboard_redirect($exception->getMessage());
        }
    }

    public function store(Request $request){
        try {
            $this->config_data($request->all(),$request->myform);
            return redirect(route('adminPanel.config.general'));
        }catch(\Exception $exception){
            return dashboard_redirect($exception->getMessage());
        }
    }

   public function sleepoverRateStore(Request $request){
        try {
            $this->config_data($request->all(),'sleepover-rate-form');
            return redirect(route('adminPanel.hcp-configuration.index'));
        }catch(\Exception $exception){
            return dashboard_redirect($exception->getMessage());
        }
    }

    public function extraNightRateStore(Request $request){
        try {
            $this->config_data($request->all(),'extra-night-form');
            return redirect(route('adminPanel.hcp-configuration.index'));
        }catch(\Exception $exception){
	p($exception->getMessage());
            return dashboard_redirect($exception->getMessage());
        }
    }

    private function config_data($array,$type){
        if($type == 'myform1'){
            unset($array['_token'],$array['myform']);
            $this->generalConfig->update_or_insert(['id'=>1],$array);
        }elseif ($type == 'myform2'){
            unset($array['_token'],$array['myform']);
            $this->breakTime->update_or_insert(['id'=>1],$array);
        }elseif ($type == 'myform3'){
            unset($array['_token'],$array['myform']);
            $this->loadingTimeConfig->update_or_insert(['id'=>1],$array);
        }elseif ($type == 'myform4'){
            unset($array['_token'],$array['myform']);
            $this->trialAccountConfig->update_or_insert(['id'=>1],$array);
        }
        elseif ($type == 'sleepover-rate-form'){
            unset($array['_token'],$array['myform']);
            $this->generalConfig->update_or_insert(['id'=>1],$array);
        }
        elseif ($type == 'extra-night-form'){
            unset($array['_token'],$array['myform']);
            $this->generalConfig->update_or_insert(['id'=>1],$array);
        }
    }
}
