<?php

namespace App\Http\Controllers\AdminPanel;
use App\Http\Controllers\Controller;
use App\Models\City;
use Illuminate\Http\Request;

class StateController extends Controller
{
    /**
     * @var array
     */
    public $viewData = [];


    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth.admin');
    }

    public function getCities(Request $request)
    {
        // Get cities from states
        $cities = City::where('state_id', $request['state_id'])->active()->get();
        //------------------------

        // Set response
        if (count($cities)) {
            $response = [
                '_status' => true,
                '_message' => __('messages.record_found', ['record' => 'City']),
                '_data' => $cities,
            ];
        } else {
            $response = [
                '_status' => false,
                '_message' => __('messages.record_not_found', ['record' => 'City']),
                '_data' => [],
            ];
        }
        //-------------

        return response()->json($response, 200);
    }

}
