<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;
use Request;

class CheckUserStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next, $guard='web')
    {
        $user = Auth::guard($guard)->user();

        if( !empty($user) && $user['status'] == 'inactive' ){
            auth()->logout();
            return redirect()->route('adminPanel.login')->with('account_disabled_error', __('error_messages.account_disabled'));
        } else {
            return $next($request);
        }
    }
}
