<?php

namespace App\Http\Requests\API\Auth;

use Illuminate\Foundation\Http\FormRequest;

class ForgotPassword extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $email_or_mobile_number = '|email|exists:users,email';

        return [
            'email' => 'required' . $email_or_mobile_number,
        ];
    }

    /**
     * Messages.
     */
    public function messages()
    {
        $email_or_mobile_number_exists = __('messages.email_address_not_exists');

        if (request()->filled('email_or_mobile_number')) {
            if (is_numeric(request('email_or_mobile_number'))) {
                $email_or_mobile_number_exists = __('messages.mobile_number_not_exists');
            }
        }

        return [
            'email_or_mobile_number.required' => __('messages.email_or_mobile_number_required'),
            'email_or_mobile_number.digits' => __('messages.email_or_mobile_number_required'),
            'email_or_mobile_number.email' => __('messages.email_or_mobile_number_required'),
            'email_or_mobile_number.exists' => $email_or_mobile_number_exists,
        ];
    }
}
