<?php

namespace App\Http\Requests\API\Auth;

use Illuminate\Foundation\Http\FormRequest;

class Register extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        // Get platforms
        $platform = implode(',', array_column(config('constants.platforms'), 'value'));
        //--------------
        
        return [
            'name'          => 'required|max:255',
            'email'         => 'required|email|max:255|unique:users,email',
            'mobile_number' => 'nullable|digits:10|unique:users,mobile_number',
            'password'      => 'required|min:6|max:255',
            'platform'      => 'required|in:'.$platform,
        ];
    }

    /**
     * Messages.
     * 
     * @return array
     */
    public function messages()
    {
        return [
            'email.unique'         => __('messages.email_address_already_exists'),
            'mobile_number.unique' => __('messages.mobile_number_already_exists')
        ];
    }
}
