<?php

namespace App\Http\Requests\API\Auth;

use Illuminate\Foundation\Http\FormRequest;

class SocialLogin extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        // Get services
        $services = implode(',', array_column(config('constants.account_service_providers'), 'value'));
        //-------------

        return [
            'service' => 'required|in:' . $services,
            'id' => 'required',
            'name' => 'required|max:255',
            'platform' => 'required',
            'uuid_token' => 'required',
        ];
    }
}
