<?php

namespace App\Http\Requests\API\Shift;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\JsonResponse;
use Auth;

class ValidateRejectTransferShift extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'shift_id'     => 'required',
        ];
    }


    /**
        * Get the failed validation response for the request.
        *
        * @param array $errors
        * @return JsonResponse
    */
    protected function failedValidation(\Illuminate\Contracts\Validation\Validator $validator)
    {
        $response = new JsonResponse([
                    'message' => 'The given data is invalid',
                    'errors' => $validator->errors()->all()
                ], 422);

        throw new \Illuminate\Validation\ValidationException($validator, $response);
    }
}
