<?php

namespace App\Http\Requests\AdminPanel;

use Illuminate\Foundation\Http\FormRequest;

class ValidateHcp extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        // Get users
        $authUser = auth()->user();
        //----------

        if (is_null(request('id'))) {
            return [
                'first_name' => 'required',
                'last_name' => 'required',
                'email' => 'required|unique:users,email,NULL,id,deleted_at,NULL',
                'contact_number' => 'required',
                'dob' => 'required',
                'gender' => 'required',
                'state_id' => 'required',
                'address' => 'required',
            ];
        } else {
            $id = dv(request('id'));
            return [
                'email' => 'required|unique:users,email,NULL,id,deleted_at,NULL,email,' . $id,
                'first_name' => 'required',
                'last_name' => 'required',
                'contact_number' => 'required',
                'dob' => 'required',
                'gender' => 'required',
                'state_id' => 'required',
                'address' => 'required',
            ];
        }
    }
}
