<?php

namespace App\Http\Requests\AdminPanel;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ValidateLevel extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        // Get users
        $authUser = auth()->user();
        //----------

        if (is_null(request('id'))) {
            return [
                'name' => [
                    'required',
                    Rule::unique('levels')->where(function ($query) {
                        $query->where('category_id', '=', request('category'));
                        $query->where('profession_id', '=', request('profession'));
                    }),
                ],
                'category' => 'required',
                'profession' => 'required',
                'hcp_rate' => 'required',
                'facility_rate' => 'required',
                'admin_fees' => 'required',
            ];
        } else {
            $id = dv(request('id'));
            return [
                // 'name' => 'required|unique:levels,name,'.$id,
                'name' => [
                    'required',
                    Rule::unique('levels')->ignore($id)->where(function ($query) {
                        $query->where('category_id', '=', request('category'));
                        $query->where('profession_id', '=', request('profession'));
                    }),
                ],
                'category' => 'required',
                'profession' => 'required',
                'hcp_rate' => 'required',
                'facility_rate' => 'required',
                'admin_fees' => 'required',
            ];
        }
    }
}
