<?php

namespace App\Http\Requests\AdminPanel;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;


class ValidateProfession extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        // Get users
        $authUser = auth()->user();
        //----------

        if (is_null(request('id'))) {
            return [
                'name' => [
                    'required',
                    Rule::unique('professions')->where(function ($query) {
                        $query->where('category_id', '=', request('category'));
                    }),
                ],
                'category' => 'required',
            ];
        } else {
            $id = dv(request('id'));
            return [
                'name' => [
                    'required',
                    Rule::unique('professions')->ignore($id)->where(function ($query) {
                        $query->where('category_id', '=', request('category'));
                    }),
                ],
                'category' => 'required',
                'has_levels' => 'required',
            ];
        }
    }
}
