<?php

namespace App\Http\Traits;

use Illuminate\Support\Facades\DB;

trait StatusJobToggleable
{
    /**
     * Toggle job status.
     */
    public static function toggleJobStatus($ids)
    {
        // Get table name
        $table = with(new self)->getTable();
        //---------------

        $activeStatus   = config('constants.statuses.ACTIVE.value');
        $inactiveStatus = config('constants.statuses.INACTIVE.value');

        $ids = implode(', ', $ids);

        return DB::statement(
            DB::raw(
                "UPDATE {$table} SET job_status = IF(job_status={$activeStatus}, {$inactiveStatus}, {$activeStatus}) WHERE id IN ({$ids})"
            )
        );
    }
}
