<?php

namespace App\Jobs\AdminPanel;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Mail;

class SendEmailJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $data;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->data = $data;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $template_name = $this->data['template'];
        $data = $this->data['data'];
        Mail::send($template_name, $data, function ($message) use ($data) {
            $message->to($data['email']);
            $message->subject($data['subject']);
            if(!empty($data['cc'])){
                $cc_emails=explode(",",$data['cc']);
                foreach($cc_emails as $cc){
                    $message->cc($cc);
                }
            }
        });
    }
}
