<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class BuddyShiftRequest extends Model
{

    protected $fillable = [
        'shift_id',
        'hcp_id',
        'category_id',
        'profession_id',
        'level_id',
        'status',
        'created_by',
        'updated_by',
        'hcp_profession_id',
    ];

    /**
     * The hcp that belong to the swap request.
     */
    public function buddy_hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'hcp_id');
    }

    /**
     * The shift that belong to the swap request.
     */
    public function shift()
    {
        return $this->belongsTo('App\Models\Shift', 'shift_id');
    }

    /**
     * The category that belong to the shift.
     */
    public function category()
    {
        return $this->belongsTo('App\Models\Category', 'category_id');
    }

    /**
     * The profession that belong to the shift.
     */
    public function profession()
    {
        return $this->belongsTo('App\Models\Profession', 'profession_id');
    }

    /**
     * The level that belong to the shift.
     */
    public function level()
    {
        return $this->belongsTo('App\Models\Level', 'level_id');
    }
}
