<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use App\Http\Traits\Statusable;
use App\Http\Traits\StatusToggleable;

class Document extends Model{

    use Statusable, StatusToggleable;
    protected $guarded = [];


    /**
     * Insert prefix.
     */
    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->document_prefix = '#DOC';
        });
    }


    /**
     * Get facility document.
     */
    public function facility_document()
    {
        return $this->hasOne('App\Models\FacilityDocument', 'document_id');
    }


    /**
     * Get profession.
     */
    public function profession(){
        return $this->belongsTo('App\Models\Profession');
    }

    /**
     * Get hcp document.
     */
    public function hcp_document(){
        return $this->hasOne('App\Models\DocumentHcp', 'document_id');
    }

    /**
     * Get document configurations.
     */
    public function document_configurations()
    {
        return $this->hasMany('App\Models\DocumentConfiguration', 'document_id');
    }
}
