<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use App\Http\Traits\Statusable;
use App\Http\Traits\StatusToggleable;

class FacilityGroup extends Model{
    use Statusable, StatusToggleable;
    protected $guarded = [];


    /**
     * Insert prefix.
     */
    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->facility_group_prefix = '#FAG';
        });
    }

    /**
     * Get Facilities.
     */
    public function facilities()
    {
        return $this->hasMany('App\Models\Facility');
    }

    /**
     * Get User.
     */
    public function User()
    {
        return $this->belongsTo('App\User');
    }

}
