<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use App\Http\Traits\Statusable;
use App\Http\Traits\StatusToggleable;

class FacilityGroupSubAdmin extends Model
{
    use Statusable, StatusToggleable;
    protected $guarded = [];


    /**
     * Insert prefix.
     */
    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->sub_admin_prefix = '#GROUP_SUB';
        });
    }


    /**
     * Get User.
     */
    public function user()
    {
        return $this->belongsTo('App\User');
    }

    /**
     * Get facility.
     */
    public function facilityGroup()
    {
        return $this->belongsTo('App\Models\FacilityGroup');
    }
}
