<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use App\Http\Traits\Statusable;
use App\Http\Traits\StatusToggleable;

class FacilityName extends Model
{
    use Statusable, StatusToggleable;
    protected $guarded = [];


    /**
     * Insert prefix.
     */
    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->facility_name_prefix = '#FAN';
        });
    }

    /**
     * Get Facility Group.
     */
    public function facility_group()
    {
        return $this->belongsTo('App\Models\FacilityGroup');
    }


    /**
     * Get State.
     */
    public function state()
    {
        return $this->belongsTo('App\Models\State');
    }

}
