<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class HcpActivity extends Model{

    protected $table  = 'hcp_activities';
    protected $guarded = [];

    /**
     * Get facility.
     */
    public function facility()
    {
        return $this->belongsTo('App\Models\Facility')->with('user');
    }

    /**
     * Get Hcp.
     */
    public function hcp()
    {
        return $this->belongsTo('App\Models\Hcp');
    }

    /**
     * Get Shift.
     */
    public function shift()
    {
        return $this->belongsTo('App\Models\Shift');
    }

    /**
     * Get User.
     */
    public function user()
    {
        return $this->belongsTo('App\User', 'created_by');
    }
}
