<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class HcpProfessionRequest extends Model
{
    protected $table  = 'hcp_profession_request';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'hcp_id',
        'category_id',
        'profession_id',
        'previous_level_id',
        'level_id',
        'type',
        'status',
        'hcp_document_id',
        'hcp_profession_id',
        'hcp_document_ids',
        'created_by',
        'updated_by'
    ];


    /**
     * The professions that belong to the hcp
     */
    public function profession()
    {
        return $this->belongsTo('App\Models\Profession');
    }

    /**
     * The category that belong to the hcp
     */
    public function category()
    {
        return $this->belongsTo('App\Models\Category');
    }

    /**
     * The level that belong to the hcp
     */
    public function level()
    {
        return $this->belongsTo('App\Models\Level');
    }

    /**
     * The level that belong to the hcp
     */
    public function previous_level()
    {
        return $this->belongsTo('App\Models\Level');
    }

    /**
     * The document that belong to the professions
     */
    public function profession_documents()
    {
        return $this->hasMany('App\Models\DocumentConfiguration', 'profession_id');
    }

    /**
     * The Document Hcp
     */
    public function hcp_documents()
    {
        return $this->hasMany('App\Models\DocumentHcp', 'profession_id');
    }

    /**
     * The level that belong to the hcp
     */
    public function hcp()
    {
        return $this->belongsTo('App\Models\Hcp');
    }

    /**
     * The Document Hcp
     */
    public function hcp_document()
    {
        return $this->belongsTo('App\Models\DocumentHcp', 'hcp_document_id');
    }
}
