<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Notification extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'title',
        'message',
        'shift_id',
        'hcp_id',
        'facility_id',
        'notification_type',
        'read_status',
        'date_time',
        'send_to',
        'sent_by',
        'statement_id',
        'statement_status',
        'created_by',
        'updated_by'
    ];

    /**
     * Insert prefix.
     */
    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->notification_prefix = '#NOT';
        });
    }


    public function shift(){
        return $this->belongsTo('App\Models\Shift','shift_id');
    }

    public function facility(){
        return $this->belongsTo('App\Models\Facility','facility_id');
    }

    public function hcp(){
        return $this->belongsTo('App\Models\Hcp','hcp_id');
    }
}
