<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use App\Http\Traits\Statusable;
use App\Http\Traits\StatusToggleable;

class Plan extends Model{

    use Statusable, StatusToggleable;
    protected $guarded = [];

    /**
     * Get professions.
     */
    public function professions()
    {
        // return $this->belongsToMany('App\Models\Profession')->withPivot([
        //     'id',
        //     'plan_id',
        //     'profession_id',
        //     'created_by',
        //     'updated_by'
        // ])->orderByRaw('ISNULL(plan_list_order), plan_list_order ASC');
        return $this->belongsToMany('App\Models\Profession')->withPivot([
            'id',
            'plan_id',
            'profession_id',
            'created_by',
            'updated_by'
        ])->orderBy('name','ASC');
    }

    /**
     * Get facility plan.
     */
    public function facility_plan()
    {
        return $this->belongsTo('App\Models\FacilityPlan', 'facility_id');
    }
}
