<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Referral extends Model
{
    protected $fillable = [
        'referrer_hcp_id',
        'referee_hcp_id',
        'referrer_amount',
        'referee_amount',
        'referral_date',
        'referral_completed_date',
        'status',
        'created_by',
        'updated_by',
    ];


    /**
     * The hcp that belong to the referrer
     */
    public function referrer_hcp(){
        return $this->belongsTo('App\Models\Hcp', 'referrer_hcp_id')->select('id', 'hcp_prefix', 'user_id', 'first_name', 'last_name', 'referral_code', 'contact_number');
    }

    /**
    * The hcp that belong to the referee
    */
    public function referee_hcp(){
        return $this->belongsTo('App\Models\Hcp', 'referee_hcp_id')->select('id', 'hcp_prefix', 'user_id', 'first_name', 'last_name', 'referral_code', 'contact_number');
    }
}
