<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class ShiftActivity extends Model
{

    protected $fillable = [
        'shift_id',
        'hcp_id',
        'activity',
        'created_by',
        'updated_by',
    ];

    /**
     * The user that belong to the nurse.
     */
    public function user()
    {
        return $this->belongsTo('App\User', 'created_by');
    }

    /**
     * The user that belong to the hcp.
     */
    public function hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'hcp_id');
    }
}
