<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class ShiftSwapRejectedRequest extends Model
{

    protected $fillable = [
        'shift_id',
        'hcp_id',
        'swap_request_id',
        'created_by',
        'updated_by',
    ];

    /**
     * The hcp that belong to the swap request.
     */
    public function hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'hcp_id');
    }

    /**
     * The swap request that belong to the swap request.
     */
    public function swap_request()
    {
        return $this->belongsTo('App\Models\ShiftSwapRequest', 'swap_request_id');
    }

    /**
     * The swap hcp that belong to the swap request.
     */
    public function swap_hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'swap_hcp_id');
    }



}
