<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class ShiftSwapRequest extends Model
{

    protected $fillable = [
        'shift_id',
        'hcp_id',
        'swap_date',
        'swap_start_time',
        'swap_end_time',
        'range_of_job',
        'request_sent_hcps',
        'status',
        'created_by',
        'updated_by',
    ];

    /**
     * The hcp that belong to the swap request.
     */
    public function hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'hcp_id');
    }

    /**
     * The shift that belong to the swap request.
     */
    public function shift()
    {
        return $this->belongsTo('App\Models\Shift', 'shift_id');
    }

    /**
     * The swap hcp that belong to the swap request.
     */
    public function swap_hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'swap_hcp_id');
    }

    /**
     * The swap shift that belong to the swap request.
     */
    public function swap_shift()
    {
        return $this->belongsTo('App\Models\Shift', 'swap_shift_id');
    }


}
