<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class ShiftTracking extends Model
{
    protected $table  = 'shift_tracking';

    protected $fillable = [
        'shift_id',
        'hcp_id',
        'facility_id',
        'latitude',
        'longitude',
        'hcp_coordinates',
        'created_by',
        'updated_by',
    ];

    /**
     * The hcp that belong to the swap request.
     */
    public function hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'hcp_id');
    }

    /**
     * The shift that belong to the swap request.
     */
    public function shift()
    {
        return $this->belongsTo('App\Models\Shift', 'shift_id');
    }

    /**
     * The facility that belong to the swap request.
     */
    public function facility()
    {
        return $this->belongsTo('App\Models\Facility', 'facility_id');
    }
}
