<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class ShiftTransfer extends Model
{

    protected $fillable = [
        'shift_id',
        'hcp_id',
        'transfer_hcp_id',
        'status',
        'created_by',
        'updated_by',
    ];


    /**
     * The hcp that belong to the swap request.
     */
    public function hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'hcp_id');
    }

    /**
     * The transfer hcp that belong to the swap request.
     */
    public function transfer_hcp()
    {
        return $this->belongsTo('App\Models\Hcp', 'transfer_hcp_id');
    }


    /**
     * The shift that belong to the swap request.
     */
    public function shift()
    {
        return $this->belongsTo('App\Models\Shift', 'shift_id');
    }


}
