<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use App\Http\Traits\Statusable;
use App\Http\Traits\StatusToggleable;

class State extends Model
{
    use Statusable, StatusToggleable;
    protected $guarded = [];

    /**
     * Get public holidays.
     */
    public function public_holidays()
    {
        return $this->belongsToMany('App\Models\PublicHoliday');
    }

    /**
     * Get cities.
     */
    public function cities()
    {
        return $this->hasMany('App\Models\City');
    }

    /**
     * Hcps Count.
     */
    public function hcps()
    {
        return $this->hasMany('App\Models\Hcp', 'state_id');
    }

    /**
     * facilities Count.
     */
    public function facilities()
    {
        return $this->hasMany('App\Models\Facility', 'state_id');
    }

    /**
     * Shift Count.
     */
    public function shifts()
    {
        return $this->hasMany('App\Models\Shift', 'state_id');
    }
}
