<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Auth\Events\Authenticated;
use \Maatwebsite\Excel\Sheet;


class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot(Request $request)
    {
        $this->app['events']->listen(Authenticated::class, function ($e) {
            if(!empty($e->user)){
                $authUser = $e->user;
                if ($e->user->hasRole('Super Admin') == true) {
                    $roleTitle = __('language.super_admin_panel_title');
                } else if ($e->user->hasRole('Facility') == true) {
                    $roleTitle = __('language.facility_admin_panel_title');
                } else {
                    $roleTitle = __('language.sub_admin_panel_title');
                }
            } else {
                $roleTitle = __('language.admin_panel_title');
                $authUser = null;
            }
            view()->share(['roleTitle' => $roleTitle, 'authUser' => $e->user]);
        });

        Sheet::macro('styleCells', function (Sheet $sheet, string $cellRange, array $style) {
            $sheet->getDelegate()->getStyle($cellRange)->applyFromArray($style);
        });

    }
}
