<?php

namespace App\RepoServiceProvider;
use Illuminate\Support\ServiceProvider;

class RepoServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind(\App\Interfaces\ShiftInterface::class, \App\Repositories\ShiftRepository::class);
        $this->app->bind(\App\Interfaces\HcpInterface::class, \App\Repositories\HcpRepository::class);
        $this->app->bind(\App\Interfaces\StateInterface::class, \App\Repositories\StateRepository::class);
        $this->app->bind(\App\Interfaces\CountryInterface::class, \App\Repositories\CountryRepository::class);
        $this->app->bind(\App\Interfaces\CityInterface::class, \App\Repositories\CityRepository::class);
        $this->app->bind(\App\Interfaces\FacilityInterface::class, \App\Repositories\FacilityRepository::class);
        $this->app->bind(\App\Interfaces\CategoryInterface::class, \App\Repositories\CategoryRepository::class);
        $this->app->bind(\App\Interfaces\ProfessionInterface::class, \App\Repositories\ProfessionRepository::class);
        $this->app->bind(\App\Interfaces\LevelInterface::class, \App\Repositories\LevelRepository::class);
        $this->app->bind(\App\Interfaces\DocumentInterface::class, \App\Repositories\DocumentRepository::class);
        $this->app->bind(\App\Interfaces\RatingReviewInterface::class, \App\Repositories\RatingReviewRepository::class);
        $this->app->bind(\App\Interfaces\NotificationInterface::class, \App\Repositories\NotificationRepository::class);
        $this->app->bind(\App\Interfaces\DocumentNotificationInterface::class, \App\Repositories\DocumentNotificationRepository::class);
        $this->app->bind(\App\Interfaces\GeneralConfigInterface::class, \App\Repositories\GeneralConfigRepository::class);
        $this->app->bind(\App\Interfaces\DocumentNotificationInterface::class,\App\Repositories\DocumentNotificationRepository::class);
        $this->app->bind(\App\Interfaces\FavouritesAndBlocklistInterface::class, \App\Repositories\FavouritesAndBlocklistRepository::class);
        $this->app->bind(\App\Interfaces\PublicHolidayInterface::class, \App\Repositories\PublicHolidayRepository::class);
        $this->app->bind(\App\Interfaces\SubAdminInterface::class, \App\Repositories\SubAdminRepository::class);
        $this->app->bind(\App\Interfaces\PermissionInterface::class, \App\Repositories\PermissionRepository::class);
        $this->app->bind(\App\Interfaces\UserInterface::class, \App\Repositories\UserRepository::class);
        $this->app->bind(\App\Interfaces\SuburbInterface::class, \App\Repositories\SuburbRepository::class);
        $this->app->bind(\App\Interfaces\DocumentHcpInterface::class, \App\Repositories\DocumentHcpRepository::class);
        $this->app->bind(\App\Interfaces\FacilityGroupInterface::class, \App\Repositories\FacilityGroupRepository::class);
        $this->app->bind(\App\Interfaces\AdminProfileInterface::class, \App\Repositories\AdminProfileRepository::class);
        $this->app->bind(\App\Interfaces\ShiftActivityInterface::class, \App\Repositories\ShiftActivityRepository::class);
        $this->app->bind(\App\Interfaces\RejectedShiftInterface::class, \App\Repositories\RejectedShiftRepository::class);
        $this->app->bind(\App\Interfaces\ShiftTransferInterface::class, \App\Repositories\ShiftTransferRepository::class);
        $this->app->bind(\App\Interfaces\ShiftSwapRequestInterface::class, \App\Repositories\ShiftSwapRequestRepository::class);
        $this->app->bind(\App\Interfaces\SupportingPageInterface::class, \App\Repositories\SupportingPageRepository::class);
        $this->app->bind(\App\Interfaces\BreakTimeInterface::class, \App\Repositories\BreakTimeRepository::class);
        $this->app->bind(\App\Interfaces\TrialAccountConfigInterface::class, \App\Repositories\TrialAccountConfigRepository::class);
        $this->app->bind(\App\Interfaces\LoadingTimeConfigInterface::class, \App\Repositories\LoadingTimeConfigRepository::class);
        $this->app->bind(\App\Interfaces\DocumentConfigInterface::class, \App\Repositories\DocumentConfigRepository::class);
        $this->app->bind(\App\Interfaces\BuddyShiftRequestInterface::class, \App\Repositories\BuddyShiftRequestRepository::class);
        $this->app->bind(\App\Interfaces\HcpBlockTimeInterface::class, \App\Repositories\HcpBlockTimeRepository::class);
        $this->app->bind(\App\Interfaces\LmsUrlInterface::class, \App\Repositories\LmsUrlRepository::class);
        $this->app->bind(\App\Interfaces\PlanInterface::class, \App\Repositories\PlanRepository::class);
        $this->app->bind(\App\Interfaces\CancelledShiftInterface::class, \App\Repositories\CancelledShiftRepository::class);
        $this->app->bind(\App\Interfaces\ReferralInterface::class, \App\Repositories\ReferralRepository::class);
        $this->app->bind(\App\Interfaces\HcpProfessionInterface::class, \App\Repositories\HcpProfessionRepository::class);
        $this->app->bind(\App\Interfaces\TransactionInterface::class, \App\Repositories\TransactionRepository::class);
        $this->app->bind(\App\Interfaces\FacilityDocumentInterface::class, \App\Repositories\FacilityDocumentRepository::class);
        $this->app->bind(\App\Interfaces\ShiftTrackingInterface::class, \App\Repositories\ShiftTrackingRepository::class);
        $this->app->bind(\App\Interfaces\FacilityPlanInterface::class, \App\Repositories\FacilityPlanRepository::class);
        $this->app->bind(\App\Interfaces\FacilityNameInterface::class, \App\Repositories\FacilityNameRepository::class);
        $this->app->bind(\App\Interfaces\ModuleImportFileInterface::class, \App\Repositories\ModuleImportFileRepository::class);
        $this->app->bind(\App\Interfaces\ShiftSwapRejectedRequestInterface::class, \App\Repositories\ShiftSwapRejectedRequestRepository::class);
        $this->app->bind(\App\Interfaces\FacilityActivityInterface::class, \App\Repositories\FacilityActivityRepository::class);
        $this->app->bind(\App\Interfaces\HcpActivityInterface::class, \App\Repositories\HcpActivityRepository::class);
        $this->app->bind(\App\Interfaces\HcpProfessionRequestInterface::class, \App\Repositories\HcpProfessionRequestRepository::class);
        $this->app->bind(\App\Interfaces\FacilityGroupAdminInterface::class, \App\Repositories\FacilityGroupAdminRepository::class);
        $this->app->bind(\App\Interfaces\FacilityGroupSubAdminInterface::class, \App\Repositories\FacilityGroupSubAdminRepository::class);
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
