<?php

namespace App\Repositories;
use App\Interfaces\AdminProfileInterface;
use App\Models\AdminProfile;

class AdminProfileRepository implements AdminProfileInterface
{
    private $adminProfile;
    public function __construct(AdminProfile $adminProfile){
        $this->admin_profile = $adminProfile;
    }

    public function get(){
        return $this->admin_profile->all();
    }

    public function find_admin_profile($where){
        return $this->admin_profile->where($where)->with('user')->first();
    }

    public function getAll($where, $options = false){
        if ($options){
            return $this->admin_profile->where($where)->get();
        } else {
            return $this->admin_profile->get();
        }
    }

    public function store($array){
        return $this->admin_profile->create($array);
    }

    public function update($array, $where){
        return $this->admin_profile->where($where)->update($array);
    }

    public function delete($id){
        return $this->admin_profile->destroy($id);
    }
}

