<?php

namespace App\Repositories;
use App\Interfaces\CancelledShiftInterface;
use App\Models\CancelledShift;

class CancelledShiftRepository implements CancelledShiftInterface
{
    private $cancelledShift;
    public function __construct(CancelledShift $cancelledShift){
        $this->cancelled_shift = $cancelledShift;
    }

    public function get(){
        return $this->cancelled_shift->all();
    }

    public function find_cancelled_shift($where){
        return $this->cancelled_shift->where($where)->orderBy('id', 'desc')->first();
    }

    public function getAll($where, $options = false){
        if ($options){
            return $this->cancelled_shift->where($where)->get();
        } else {
            return $this->cancelled_shift->get();
        }
    }

    public function store($array){
        return $this->cancelled_shift->create($array);
    }

    public function update($array, $where){
        return $this->cancelled_shift->where($where)->update($array);
    }

    public function delete($id){
        return $this->cancelled_shift->destroy($id);
    }
}

