<?php

namespace App\Repositories;
use App\Interfaces\CityInterface;
use App\Models\City;

class CityRepository implements CityInterface
{
    private $city;
    public function __construct(City $city){
        $this->city = $city;
    }

    public function find_city($id){
        return $this->city->find($id);
    }

    public function getAll($where,$options = false){
        if ($options){
            return $this->city->where($where)->get();
        }else{
            return $this->city->get();
        }
    }

    public function store($array){
        return $this->city->create($array);
    }

    public function update($array, $where){
        return $this->city->where($where)->update($array);
    }

    public function delete($id){
        return $this->city->destroy($id);
    }
}

