<?php

namespace App\Repositories;
use App\Interfaces\CountryInterface;
use App\Models\Country;

class CountryRepository implements CountryInterface
{
    private $country;
    public function __construct(Country $country){
        $this->country = $country;
    }

    public function find_country($id){
        return $this->country->find($id);
    }

    public function getAll($where,$options = false){
        if ($options){
            return $this->country->where($where)->get();
        }else{
            return $this->country->get();
        }
    }

    public function store($array){
        return $this->country->create($array);
    }

    public function update($array, $where){
        return $this->country->where($where)->update($array);
    }

    public function delete($id){
        return $this->country->destroy($id);
    }
}

