<?php

namespace App\Repositories;
use App\Interfaces\DocumentConfigInterface;
use App\Models\DocumentConfiguration;

class DocumentConfigRepository implements DocumentConfigInterface
{
    private $documentConfiguration;
    public function __construct(DocumentConfiguration $documentConfiguration){
        $this->documentConfiguration = $documentConfiguration;
    }

    public function get($where, $option=false){
        if($option){
            return $this->documentConfiguration->where($where)->get();
        }else{
            return $this->documentConfiguration->first();
        }
    }

    public function get_sort_data(){
        return $this->documentConfiguration->orderBy('id', 'desc')->first();
    }

    public function store($array){
        return $this->documentConfiguration->create($array);
    }

    public function update_or_insert($check_ar,$update_ar){
        return $this->documentConfiguration->updateOrCreate($check_ar,$update_ar);
    }


    public function distnict_docs(){
        return $this->documentConfiguration->with('Document','Profession')->select('document_id')->distinct()->get();
    }

    public function delete_document($docId){
        return $this->documentConfiguration->where('document_id', $docId)->delete();
    }

    public function get_document_with_profession($professionId){
        return $this->documentConfiguration->where('profession_id', $professionId)->with('document')->get();
    }

}

