<?php

namespace App\Repositories;
use App\Interfaces\FacilityActivityInterface;
use App\Models\FacilityActivity;

class FacilityActivityRepository implements FacilityActivityInterface
{
    private $facilityActivity;
    public function __construct(FacilityActivity $facilityActivity){
        $this->facility_activity = $facilityActivity;
    }

    public function get(){
        return $this->facility_activity->all();
    }

    public function find_facility_activity($id){
        return $this->facility_activity->find($id);
    }

    public function getAll($where, $options = false, $request = null){
        $paginationLimit = config('constants.pagination_limit');
        if ($options){
            return $this->facility_activity->where(function ($query) use ($where, $request) {

                $query->where($where);

            })->orderBy('id', 'DESC')->paginate($paginationLimit)->fragment('history')->onEachSide(2);
        }else{
            return $this->facility_activity->orderBy('id', 'DESC')->paginate($paginationLimit)->fragment('history')->onEachSide(2);
        }
    }

    public function store($array){
        return $this->facility_activity->create($array);
    }

    public function update($array, $where){
        return $this->facility_activity->where($where)->update($array);
    }

    public function delete($id){
        return $this->facility_activity->destroy($id);
    }

    public function get_list($where){
        return $this->facility_activity->where(function ($query) use ($where) {
            $query->where($where);
        })->orderBy('name', 'ASC')->get();
    }
}

