<?php

namespace App\Repositories;
use App\Interfaces\FacilityGroupAdminInterface;
use App\Models\FacilityGroupAdmin;
use DB;

class FacilityGroupAdminRepository implements FacilityGroupAdminInterface
{
    private $facilityGroupAdmin;
    public function __construct(FacilityGroupAdmin $facilityGroupAdmin){
        $this->facility_group_admin = $facilityGroupAdmin;
    }

    public function get(){
        return $this->facility_group_admin->all();
    }

    public function find_facility_group_admin($id){
        return $this->facility_group_admin->find($id);
    }

    public function getAll($where, $options = false, $request = null){
        $paginationLimit = null;

        if(isset($request['per_page']) && !empty($request['per_page'])) {
            $paginationLimit = $request['per_page'];
        } else {
            $paginationLimit = config('constants.pagination_limit');
        }

        if ($options){
            $facilityQuery = $this->facility_group_admin->where(function ($query) use ($where, $request) {

                if(!empty($request['status'])) {
                    $query->where('status', $request['status']);
                }

                if(!empty($request['search'])) {
                    if(is_numeric($request['search'])) {
                        $query->orWhere('id', 'LIKE', "%{$request['search']}%");
                    } else {
                        $query->orWhere('name', 'LIKE', "%{$request['search']}%");
                    }
                }

                $query->where($where);

            });

            if(isset($request['export']) && $request['export'] == true) {
                return $facilityQuery->orderBy('id', 'DESC')->get();
            } else {
                return $facilityQuery->orderBy('id', 'DESC')->paginate($paginationLimit)->onEachSide(2);
            }

        }else{
            return $this->facility_group_admin->orderBy('id', 'DESC')->paginate($paginationLimit)->onEachSide(2);
        }
    }

    public function store($array){
        return $this->facility_group_admin->create($array);
    }

    public function update($array, $where){
        return $this->facility_group_admin->where($where)->update($array);
    }

    public function delete($id){
        return $this->facility_group_admin->destroy($id);
    }

    public function get_list($where){
        return $this->facility_group_admin->where(function ($query) use ($where) {
            $query->where($where);
        })->orderBy('name', 'ASC')->get();
    }
}

