<?php

namespace App\Repositories;
use App\Interfaces\FacilityPlanInterface;
use App\Models\FacilityPlan;

class FacilityPlanRepository implements FacilityPlanInterface
{
    private $facilityPlan;
    public function __construct(FacilityPlan $facilityPlan){
        $this->facility_plan = $facilityPlan;
    }

    public function get(){
        return $this->facility_plan->all();
    }

    public function get_facility_plan($facilityId){
        return $this->facility_plan->where('facility_id', $facilityId)->where('status', 'active')
        ->with('plan.professions')
        ->with(['plan' => function ($query) {
            $query->with(['professions' => function ($query) {
                $query->orderBy('name', 'ASC');
            }]);
        }])
        ->first();
    }

    public function get_facility_plan_professions($facilityId, $request = null){

        return $this->facility_plan->where(function ($query) use ($facilityId, $request) {
            $query->where('facility_id', $facilityId);
            $query->where('status', 'active');
        })
        ->with(['plan' => function ($query) use ($request) {
            $query->with(['professions' => function ($query) use ($request) {
                $query->where('status', 'active');
                if (isset($request['category_id']) && !empty($request['category_id'])) {
                    $query->where('category_id', $request['category_id']);
                }
            }]);
        }])
        ->first();
    }


    public function cron_get_facility_plan($request = null){
        return $this->facility_plan->where(function ($query) use ($request) {

            if (isset($request['notification_date']) && !empty($request['notification_date'])) {
                $query->where('notification_date', $request['notification_date']);
            }

            if (isset($request['expiry_date']) && !empty($request['expiry_date'])) {
                $query->where('expiry_date', $request['expiry_date']);
            }

            $query->where('status', 'active');
        })->with('facility')->get();
    }

    public function update($array, $where){
        return $this->facility_plan->where($where)->update($array);
    }

    public function store($array){
        return $this->facility_plan->create($array);
    }
}

