<?php

namespace App\Repositories;
use App\Interfaces\GeneralConfigInterface;
use App\Models\GeneralConfiguration;

class GeneralConfigRepository implements GeneralConfigInterface
{
    private $generalConfiguration;
    public function __construct(GeneralConfiguration $generalConfiguration){
        $this->generalConfiguration = $generalConfiguration;
    }

    public function get($where, $option=false){
        if($option){
            return $this->generalConfiguration->where($where)->get();
        }else{
            return $this->generalConfiguration->first();
        }
    }

    public function get_sort_data(){
        return $this->generalConfiguration->orderBy('id', 'desc')->first();
    }

    public function store($array){
        return $this->generalConfiguration->create($array);
    }

    public function update_or_insert($check_ar,$update_ar){
        return $this->generalConfiguration->updateOrCreate($check_ar,$update_ar);
    }

    public function get_app_config(){
        return $this->generalConfiguration->select('tracking_hcp', 'tracking_before_start_job_in_minutes', 'tracking_every_minutes', 'shift_start_before_mint', 'hcp_cust_care_email', 'android_app_link', 'ios_app_link', 'android_app_version', 'ios_app_version', 'show_accept_lower_level_job_checkbox')->first();
    }
}

