<?php

namespace App\Repositories;
use App\Interfaces\HcpActivityInterface;
use App\Models\HcpActivity;

class HcpActivityRepository implements HcpActivityInterface
{
    private $hcpActivity;
    public function __construct(HcpActivity $hcpActivity){
        $this->hcp_activity = $hcpActivity;
    }

    public function get(){
        return $this->hcp_activity->all();
    }

    public function find_hcp_activity($id){
        return $this->hcp_activity->find($id);
    }

    public function getAll($where, $options = false, $request = null){
        $paginationLimit = config('constants.pagination_limit');
        if ($options){
            return $this->hcp_activity->where(function ($query) use ($where, $request) {

                $query->where($where);

            })->orderBy('id', 'DESC')->paginate($paginationLimit)->fragment('history')->onEachSide(2);
        }else{
            return $this->hcp_activity->orderBy('id', 'DESC')->paginate($paginationLimit)->fragment('history')->onEachSide(2);
        }
    }

    public function store($array){
        return $this->hcp_activity->create($array);
    }

    public function update($array, $where){
        return $this->hcp_activity->where($where)->update($array);
    }

    public function delete($id){
        return $this->hcp_activity->destroy($id);
    }

    public function get_list($where){
        return $this->hcp_activity->where(function ($query) use ($where) {
            $query->where($where);
        })->orderBy('name', 'ASC')->get();
    }
}

