<?php

namespace App\Repositories;
use App\Interfaces\LoadingTimeConfigInterface;
use App\Models\loading_time_config;

class LoadingTimeConfigRepository implements LoadingTimeConfigInterface
{
    private $loading_time_config;
    public function __construct(loading_time_config $loading_time_config){
        $this->loading_time_config = $loading_time_config;
    }

    public function get($where, $option=false){
        if($option){
            return $this->loading_time_config->where($where)->get();
        }else{
            return $this->loading_time_config->first();
        }
    }

    public function get_sort_data(){
        return $this->loading_time_config->orderBy('id', 'desc')->first();
    }

    public function store($array){
        return $this->loading_time_config->create($array);
    }

    public function update_or_insert($check_ar,$update_ar){
        return $this->loading_time_config->updateOrCreate($check_ar,$update_ar);
    }
}

