<?php

namespace App\Repositories;
use App\Interfaces\ModuleImportFileInterface;
use App\Models\ModuleImportFile;

class ModuleImportFileRepository implements ModuleImportFileInterface
{
    private $moduleImportFile;
    public function __construct(ModuleImportFile $moduleImportFile){
        $this->module_import_file = $moduleImportFile;
    }

    public function get(){
        return $this->module_import_file->all();
    }

    public function find_module_import_file($id){
        return $this->module_import_file->find($id);
    }

    public function getAll($where, $options = false, $request = null){
        $paginationLimit = config('constants.pagination_limit');
        if ($options){
            return $this->module_import_file->where(function ($query) use ($where, $request) {

                if(!empty($request['status'])) {
                    $query->where('status', $request['status']);
                }

                $query->where($where);

            })->orderBy('id', 'DESC')->paginate($paginationLimit)->onEachSide(2);
        }else{
            return $this->module_import_file->orderBy('id', 'DESC')->paginate($paginationLimit)->onEachSide(2);
        }
    }

    public function store($array){
        return $this->module_import_file->create($array);
    }

    public function update($array, $where){
        return $this->module_import_file->where($where)->update($array);
    }

    public function delete($id){
        return $this->module_import_file->destroy($id);
    }

    public function get_list($where){
        return $this->module_import_file->where(function ($query) use ($where) {
            $query->where($where);
        })->orderBy('id', 'DESC')->get();
    }
}

