<?php

namespace App\Repositories;
use App\Interfaces\PermissionInterface;
use Spatie\Permission\Models\Permission;

class PermissionRepository implements PermissionInterface
{
    private $permission;
    public function __construct(Permission $permission){
        $this->permission = $permission;
    }

    public function getAll($where, $option=false){
        if ($option){
            return $this->permission->where($where)->get();
        }else{
            return $this->permission->all();
        }
    }

    public function get_with_group($where, $option=false){
        if ($option){
            return $this->permission->where($where)->get()->groupBy('module_name')->toArray();
        }else{
            return $this->permission->all()->groupBy('module_name')->toArray();
        }
    }

}

