<?php

namespace App\Repositories;
use App\Interfaces\PlanInterface;
use App\Models\Plan;

class PlanRepository implements PlanInterface
{
    private $plan;
    public function __construct(Plan $plan){
        $this->plan = $plan;
    }

    public function find_plan($id){
        return $this->plan->find($id);
    }

    public function getAll($where, $options = false){
        if($options){
            return $this->plan->where($where)->with('professions')->get();
        }else{
            return $this->plan->all();
        }
    }

    public function store($array){
        return $this->plan->create($array);
    }

    public function update($array, $where){
        return $this->plan->where($where)->update($array);
    }

    public function delete($id){
        return $this->plan->destroy($id);
    }
}

