<?php

namespace App\Repositories;
use App\Interfaces\ReferralInterface;
use App\Models\Referral;

class ReferralRepository implements ReferralInterface
{
    private $referral;
    public function __construct(Referral $referral){
        $this->referral = $referral;
    }

    public function get(){
        return $this->referral->all();
    }

    public function find_referral($id){
        return $this->referral->find($id);
    }

    public function getAll($where, $options = false){
        if($options){
            return $this->referral->where($where)->with('referrer_hcp', 'referee_hcp')->get();
        }else{
            return $this->referral->with('referrer_hcp', 'referee_hcp')->all();
        }
    }

    public function store($array){
        return $this->referral->create($array);
    }

    public function update($array, $where){
        return $this->referral->where($where)->update($array);
    }

    public function delete($id){
        return $this->referral->destroy($id);
    }

    public function find_referral_by_code($where){
        return $this->referral->where($where)->first();
    }
}

