<?php

namespace App\Repositories;
use App\Interfaces\SuburbInterface;
use App\Models\Suburb;

class SuburbRepository implements SuburbInterface
{
    private $suburb;
    public function __construct(Suburb $suburb){
        $this->suburb = $suburb;
    }

    public function find_suburb($id){
        return $this->suburb->find($id);
    }

    public function getAll($where,$options = false){
        if ($options){
            return $this->suburb->where($where)->get();
        }else{
            return $this->suburb->get();
        }
    }

    public function store($array){
        return $this->suburb->create($array);
    }

    public function update($array, $where){
        return $this->suburb->where($where)->update($array);
    }

    public function delete($id){
        return $this->suburb->destroy($id);
    }
}

