<?php

namespace App\Repositories;
use App\Interfaces\UserInterface;
use App\User;

class UserRepository implements UserInterface
{
    private $user;
    public function __construct(User $user){
        $this->user = $user;
    }

    public function find_user($id){
        return $this->user->find($id);
    }

    public function getAll($where, $options = false){
        $paginationLimit = config('constants.pagination_limit');
        if($options){
            return $this->user->where($where)->get();
        }else{
            return $this->user->orderBy('holiday_date', 'DESC')->paginate($paginationLimit);
        }
    }

    public function store($array){
        return $this->user->create($array);
    }

    public function update($array, $where){
        return $this->user->where($where)->update($array);
    }

    public function delete($id){
        return $this->user->destroy($id);
    }
}

