<?php

$constants = [];

/*
|--------------------------------------------------------------------------
| Global constants variables declaration.
|--------------------------------------------------------------------------
|
| Here is we are defining variables for the constants that can be used in
| more than one constants.
|
 */

/**
 * Statuses.
 */
$statuses = [

    'ACTIVE' => [
        'value' => 1,
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 0,
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],

];

/**
 * Yes or No.
 */
$yes_or_no = [

    'YES' => [
        'value' => 1,
        'caption' => 'Yes',
        'key' => 'YES',
    ],

    'NO' => [
        'value' => 0,
        'caption' => 'No',
        'key' => 'NO',
    ],

];

/**
 * File systems
 */
$constants['file_systems'] = [

    'S3' => [
        'value' => 's3',
        'caption' => 'S3',
        'key' => 'S3',
    ],

    'LOCAL' => [
        'value' => 'local',
        'caption' => 'Local',
        'key' => 'LOCAL',
    ],

    'PUBLIC' => [
        'value' => 'public',
        'caption' => 'Public',
        'key' => 'PUBLIC',
    ],

];

/**
 * Images path.
 */
$images_path = 'uploads/images/';

/**
 * Files path.
 */
$files_path = 'uploads/files/';

/**
 * Admin email path.
 */
$constants['admin_email_path'] = 'emails.admin-panel.';

/**
 * Statuses.
 */
$constants['statuses'] = $statuses;

/**
 * Is default.
 */
$constants['is_default'] = $yes_or_no;

/**
 * Pagination limit.
 */
$constants['pagination_limit'] = 200;


/**
 * Option Groups
 */
$constants['option_groups'] = [

    'YES' => [
        'value' => 'yes',
        'caption' => 'Yes',
        'key' => 'YES',
    ],

    'NO' => [
        'value' => 'no',
        'caption' => 'No',
        'key' => 'NO',
    ],

];


/**
 * One Time Password Type.
 */
$constants['one_time_password_types'] = [

    'VERIFICATION' => [
        'value' => 'VERIFICATION',
        'caption' => 'Verification',
        'key' => 'VERIFICATION',
    ],

    'RESET' => [
        'value' => 'RESET',
        'caption' => 'Reset',
        'key' => 'RESET',
    ],

    'MOBILE_VERIFICATION' => [
        'value' => 'MOBILE_VERIFICATION',
        'caption' => 'Mobile Verification',
        'key' => 'MOBILE_VERIFICATION',
    ],

];

/*
|--------------------------------------------------------------------------
| Grouped constants declaration.
|--------------------------------------------------------------------------
|
| Here is we are defining constants in grouped format.This constants only
| used by their specific modules.
|
 */


/**
 * Users.
 */
$constants['users'] = [

    // Types
    'types' => [

        'SUPER_ADMIN' => [
            'value' => 'super-admin',
            'caption' => 'Super Admin',
            'key' => 'SUPER_ADMIN',
        ],

        'FACILITY' => [
            'value' => 'facility',
            'caption' => 'Facility',
            'key' => 'FACILITY',
        ],

        'SUB_ADMIN' => [
            'value' => 'sub-admin',
            'caption' => 'Sub Admin',
            'key' => 'SUB_ADMIN',
        ],

        'HCP' => [
            'value' => 'hcp',
            'caption' => 'HCP',
            'key' => 'HCP',
        ],

        'FACILITY_SUB_ADMIN' => [
            'value' => 'facility-sub-admin',
            'caption' => 'Facility Sub Admin',
            'key' => 'FACILITY_SUB_ADMIN',
        ],

    ],
    //------

    // Title
    'title' => [

        'MR' => [
            'value' => 'Mr',
            'caption' => 'Mr',
            'key' => 'MR',
        ],

        'MRS' => [
            'value' => 'Mrs',
            'caption' => 'Mrs',
            'key' => 'MRS',
        ],

        'MISS' => [
            'value' => 'Miss',
            'caption' => 'Miss',
            'key' => 'MISS',
        ],

        'MS' => [
            'value' => 'Ms',
            'caption' => 'Ms',
            'key' => 'MS',
        ],
    ],
    //------

    // Gender
    'gender' => [

        'MALE' => [
            'value' => 'male',
            'caption' => 'Male',
            'key' => 'MALE',
        ],

        'FEMALE' => [
            'value' => 'female',
            'caption' => 'Female',
            'key' => 'FEMALE',
        ],

        'OTHER' => [
            'value' => 'other',
            'caption' => 'Other',
            'key' => 'OTHER',
        ],

    ],
    //------

];


/**
 * Hcps.
 */
$constants['hcps'] = [

    // Hcps path
    'hcps_path' => 'uploads/hcps/',
    //----------

    // Invoice Path
    'invoice_path' => 'uploads/hcps/invoices/',
    //--------------

    // Availability
    'availability' => [

        'YES' => [
            'value' => 1,
            'caption' => 'Available',
            'key' => 'YES',
        ],

        'NO' => [
            'value' => 0,
            'caption' => 'Unavailable',
            'key' => 'NO',
        ],

    ],
    //-------------
    // Hcp short by
    'hcp_shortby_filter' => [

        'BY_ID_ASC' => [
            'value' => 1,
            'caption' => 'Sort By Id (ASC)',
            'key' => 'BY_ID_ASC',
        ],


        'BY_ID_DESC' => [
            'value' => 2,
            'caption' => 'Sort By Id (DESC)',
            'key' => 'BY_ID_DESC',
        ],

    ],


];

/**
 * Shifts.
 */
$constants['shifts'] = [

    // Status
    'status' => [

        'PENDING' => [
            'value' => '0',
            'caption' => 'Pending',
            'key' => 'PENDING',
        ],

        'SCHEDULED' => [
            'value' => '1',
            'caption' => 'Scheduled',
            'key' => 'SCHEDULED',
        ],

        'RUNNING' => [
            'value' => '2',
            'caption' => 'Running',
            'key' => 'RUNNING',
        ],

        'CANCELLED' => [
            'value' => '3',
            'caption' => 'Cancelled',
            'key' => 'CANCELLED',
        ],

        'COMPLETED' => [
            'value' => '4',
            'caption' => 'Completed',
            'key' => 'COMPLETED',
        ],

        'PAST' => [
            'value' => '6',
            'caption' => 'Past',
            'key' => 'PAST',
        ],

    ],
    //-------

    // Break Duration
    'break_duration' => 60,
    //---------------

    // Is default
    'paper_timesheet' => $yes_or_no,
    //-----------

    // File path
    'paper_timesheet_file_path' => $files_path . 'jobs/paper-timesheets/',
    'note_file_path' => $files_path . 'jobs/notes/',
    //----------

    // Status
    'notification_status' => [

        'NOT_SENT' => [
            'value' => 0,
            'caption' => 'Not Sent',
            'key' => 'NOT_SENT',
        ],

        'SENT' => [
            'value' => 1,
            'caption' => 'Sent',
            'key' => 'SENT',
        ],

        'ACCEPTED' => [
            'value' => 2,
            'caption' => 'Accepted',
            'key' => 'ACCEPTED',
        ],

        'DENIED' => [
            'value' => 3,
            'caption' => 'Denied',
            'key' => 'DENIED',
        ],

        'START_JOB' => [
            'value' => 4,
            'caption' => 'Start Job',
            'key' => 'START_JOB',
        ],

        'CANCEL_JOB' => [
            'value' => 5,
            'caption' => 'Cancel Job',
            'key' => 'CANCEL_JOB',
        ],

        'COMPLETE_JOB' => [
            'value' => 6,
            'caption' => 'Complete Job',
            'key' => 'COMPLETE_JOB',
        ],

    ],
    //-------

    // Shift types
    'shift_types' => [

        'MORNING' => [
            'value' => 'morning',
            'caption' => 'Morning',
            'key' => 'MORNING',
        ],

        'AFTERNOON' => [
            'value' => 'afternoon',
            'caption' => 'Afternoon',
            'key' => 'AFTERNOON',
        ],

        'NIGHT' => [
            'value' => 'night',
            'caption' => 'Night',
            'key' => 'NIGHT',
        ],

        'BUDDY_SHIFT' => [
            'value' => 'buddy',
            'caption' => 'Buddy',
            'key' => 'BUDDY_SHIFT',
        ],

        'SATURDAY' => [
            'value' => 'saturday',
            'caption' => 'Saturday',
            'key' => 'SATURDAY',
        ],

        'SUNDAY' => [
            'value' => 'sunday',
            'caption' => 'Sunday',
            'key' => 'SUNDAY',
        ],

        'PUBLIC_HOLIDAY' => [
            'value' => 'public-holiday',
            'caption' => 'Public Holiday',
            'key' => 'PUBLIC_HOLIDAY',
        ],

        'CHRISTMAS' => [
            'value' => 'christmas',
            'caption' => 'Christmas',
            'key' => 'CHRISTMAS',
        ],

    ],
    //------------

    // Shift time
    'shift_time' => [

        'MORNING' => [
            'value' => 'morning',
            'caption' => 'Morning',
            'key' => 'MORNING',
        ],

        'AFTERNOON' => [
            'value' => 'afternoon',
            'caption' => 'Afternoon',
            'key' => 'AFTERNOON',
        ],

        'NIGHT' => [
            'value' => 'night',
            'caption' => 'Night',
            'key' => 'NIGHT',
        ],

    ],
    //-----------

    // Shift types normal
    'shift_types_normal' => [

        'NORMAL' => [
            'value' => 'normal',
            'caption' => 'Normal',
            'key' => 'NORMAL',
        ],

    ],
    //-------------------

    // Shift types buddy
    'shift_types_buddy' => [

        'BUDDY_SHIFT' => [
            'value' => 'buddy',
            'caption' => 'Buddy',
            'key' => 'BUDDY',
        ],

    ],
    //------------------

    // Shift filter
    'shift_filter_traffic_lights' => [
        'BLUE' => [
            'type' => 'blue',
            'min_value' => '180',
            'max_value' => '180',
            'caption' => '> 3hrs',
            'key' => 0,
        ],

        'AMBER' => [
            'type' => 'amber',
            'min_value' => '60',
            'max_value' => '180',
            'caption' => '< 3hrs and > 1hr',
            'key' => 1,
        ],

        'RED' => [
            'type' => 'red',
            'min_value' => '0',
            'max_value' => '60',
            'caption' => '< 1hr',
            'key' => 2,
        ],
    ],
    //-------------------

    // Shift cancel by
    'shift_cancel_by' => [

        'HCP' => [
            'value' => 'hcp',
            'caption' => 'Hcp',
            'key' => 'HCP',
        ],

        'FACILITY' => [
            'value' => 'facility',
            'caption' => 'Facility',
            'key' => 'FACILITY',
        ],

    ],
    //----------------

    // Buddy shift status
    'buddy_shift_status' => [

        'REQUESTED' => [
            'value' => 'requested',
            'caption' => 'Requested',
            'key' => 'REQUESTED',
        ],

        'PENDING' => [
            'value' => 'pending',
            'caption' => 'Pending',
            'key' => 'PENDING',
        ],

        'COMPLETED' => [
            'value' => 'completed',
            'caption' => 'Completed',
            'key' => 'COMPLETED',
        ],

        'APPROVED' => [
            'value' => 'approved',
            'caption' => 'Approved',
            'key' => 'APPROVED',
        ],

        'CANCELLED' => [
            'value' => 'cancelled',
            'caption' => 'Cancelled',
            'key' => 'CANCELLED',
        ],

    ],
    //-------------------

    // Shift types filter
    'shift_types_filter' => [

        'MORNING' => [
            'value' => 'morning',
            'caption' => 'Morning',
            'key' => 'MORNING',
        ],

        'AFTERNOON' => [
            'value' => 'afternoon',
            'caption' => 'Afternoon',
            'key' => 'AFTERNOON',
        ],

        'NIGHT' => [
            'value' => 'night',
            'caption' => 'Night',
            'key' => 'NIGHT',
        ],

        'SATURDAY' => [
            'value' => 'saturday',
            'caption' => 'Saturday',
            'key' => 'SATURDAY',
        ],

        'SUNDAY' => [
            'value' => 'sunday',
            'caption' => 'Sunday',
            'key' => 'SUNDAY',
        ],

        'PUBLIC_HOLIDAY' => [
            'value' => 'public-holiday',
            'caption' => 'Public Holiday',
            'key' => 'PUBLIC_HOLIDAY',
        ],

        'CHRISTMAS' => [
            'value' => 'christmas',
            'caption' => 'Christmas',
            'key' => 'CHRISTMAS',
        ],

    ],
    //-------------------


    // Shift paid filter
    'shift_paid_filter' => [

        'PAID' => [
            'value' => 'paid',
            'caption' => 'Paid',
            'key' => 'PAID',
        ],

        'UNPAID' => [
            'value' => 'unpaid',
            'caption' => 'Unpaid',
            'key' => 'UNPAID',
        ],

    ],
    //------------------

    // Shift short by
    'shift_shortby_filter' => [

        'BY_DATE_ASC' => [
            'value' => 1,
            'caption' => 'Sort By Date/Time (ASC)',
            'key' => 'BY_DATE_ASC',
        ],


        'BY_DATE_DESC' => [
            'value' => 2,
            'caption' => 'Sort By Date/Time (DESC)',
            'key' => 'BY_DATE_DESC',
        ],

    ],
    //---------------
];

/**
 * Price Symbol.
 */
$constants['price_symbol'] = [

    'pricesymbol' => [

        'DOLLAR' => [
            'value' => 1,
            'caption' => 'Dollar',
            'key' => 'DOLLAR',
        ],
        'EURO' => [
            'value' => 2,
            'caption' => 'Euro',
            'key' => 'EURO',
        ],
        'POUND' => [
            'value' => 3,
            'caption' => 'Pound',
            'key' => 'POUND',
        ],
    ],

];

/**
 * General Configurations.
 */
$constants['general_configurations'] = [

    'weekdays' => [

        'SUNDAY' => [
            'value' => 0,
            'caption' => 'Sunday',
            'key' => 'SUNDAY',
        ],

        'MONDAY' => [
            'value' => 1,
            'caption' => 'Monday',
            'key' => 'MONDAY',
        ],

        'TUESDAY' => [
            'value' => 2,
            'caption' => 'Tuesday',
            'key' => 'TUESDAY',
        ],

        'WEDNESDAY' => [
            'value' => 3,
            'caption' => 'Wednesday',
            'key' => 'WEDNESDAY',
        ],


        'THURSDAY' => [
            'value' => 4,
            'caption' => 'Thursday',
            'key' => 'THURSDAY',
        ],

        'FRIDAY' => [
            'value' => 5,
            'caption' => 'Friday',
            'key' => 'FRIDAY',
        ],

        'SATURDAY' => [
            'value' => 6,
            'caption' => 'Saturday',
            'key' => 'SATURDAY',
        ],
    ],
    //-------

];

/**
 *  Faq n Terms & Conditions
 */
$constants['faq_terms_conditions'] = [

    // File path
    'faq_file_path' => $files_path . 'faq/',
    'tnc_file_path' => $files_path . 'terms-n-conditions/',
    //----------
];

/**
 * Sub Admins.
 */
 $constants['sub_admins'] = [

    // Sub Admin Path
    'sub_admins_path' => 'uploads/sub-admins/',
    //---------------

];

/**
 * Rating Status.
 */
$constants['rating_status'] = [

    'PUBLISH' => [
        'value' => 'publish',
        'caption' => 'Publish',
        'key' => 'PUBLISH',
    ],

    'UNPUBLISH' => [
        'value' => 'unpublish',
        'caption' => 'Not Publish',
        'key' => 'UNPUBLISH',
    ],

];


/**
 * Send document notification before expiry days.
 */
$constants['notification_days'] = 60;

/**
 * Send document notification before expiry 1 month.
 */
$constants['notification_months'] = 1;

/**
 * Check Module
 */
$constants['modules'] = [

    //File Path
    'module_file_path' => $files_path . 'modules/',

];


/**
 * Plan Configurations.
 */
$constants['plan_configurations'] = [

    // plan cycle
    'plan_cycle' => [

        'MONTHLY' => [
            'value' => 'monthly',
            'caption' => 'Monthly Plan',
            'key' => 'MONTHLY',
        ],

        'YEARLY_PLAN' => [
            'value' => 'yearly',
            'caption' => 'Yearly Plan',
            'key' => 'YEARLY_PLAN',
        ],

    ],
    //-----------


    // plan cycle
    'plan_cycle_yearly' => [

        'YEARLY_PLAN' => [
            'value' => 'yearly',
            'caption' => 'Yearly Plan',
            'key' => 'YEARLY_PLAN',
        ],

    ],
    //-----------
];

/**
 * Supporting Pages
 */
$constants['supporting_pages'] = [

    //File Path
    'supporting_pages_file_path' => $files_path . 'supporting-pages/',

];


/**
 * Documents.
 */
$constants['documents'] = [

    'required_by' => [

        'HCP' => [
            'value' => 'hcp',
            'caption' => 'Hcp',
            'key' => 'HCP',
        ],

        'FACILITY' => [
            'value' => 'facility',
            'caption' => 'Facility',
            'key' => 'FACILITY',
        ],

    ],


    'doc_type_facility' => [

        'DUTY_STATEMENT' => [
            'value' => 'duty-statement',
            'caption' => 'Duty Statement',
            'key' => 'DUTY_STATEMENT',
        ],

    ],

    'doc_type_hcp' => [

        'GENERAL_STATEMENT' => [
            'value' => 'general-statement',
            'caption' => 'General Statement',
            'key' => 'GENERAL_STATEMENT',
        ],

        'PROFESSION' => [
            'value' => 'profession',
            'caption' => 'Profession Base',
            'key' => 'PROFESSION',
        ],

    ],

];

/**
 * Facility.
 */
$constants['facility'] = [

    // Facility Path
    'facility_path' => 'uploads/facilities/',
    //--------------

    // Invoice Path
    'invoice_path' => 'uploads/facilities/invoices/',
    //--------------

];

/**
 * Module Import File.
 */
$constants['module_import_file'] = [

    // File Path
    'file_path' => 'uploads/module-import-files/',
    //----------

];

/**
 * Notification Messages.
 */
$constants['notification_messages'] = [

    'NEW_SHIFT' => [
        'type' => 'new-shift',
        'title' => 'New Shift Available',
        'message' => 'Dear @Hcp, A shift has been posted matching your qualification. Please click to view details.',
    ],

    'SHIFT_COMPLETED' => [
        'type' => 'shift-completed',
        'title' => 'Shift Completed',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName is completed and now the shift is pending for approval.',
    ],

    'SHIFT_START' => [
        'type' => 'shift-start',
        'title' => 'Shift Started',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName is started.',
    ],

    'SHIFT_CANCELLED' => [
        'type' => 'shift-cancelled',
        'title' => 'Shift Cancelled',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName is cancelled.',
    ],

    'SHIFT_APPROVED' => [
        'type' => 'shift-approved',
        'title' => 'Shift Approved',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName is approved and shift payment is pending.',
    ],

    'SHIFT_AMOUNT_PAID' => [
        'type' => 'shift-amount-paid',
        'title' => 'Shift Amount Paid',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName amount is paid.',
    ],

    'SHIFT_ASSIGNED' => [
        'type' => 'shift-assigned',
        'title' => 'Shift Assigned',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName is assigned by @FacilityName.',
    ],

    'SHIFT_TRANSFER' => [
        'type' => 'shift-transfer',
        'title' => 'New Transfer Shift Available',
        'message' => 'Dear @Hcp, a transfer shift request available matching your qualification. Please click to view details.',
    ],

    'SHIFT_TRANSFER_ACCEPTED' => [
        'type' => 'shift-transfer-accepted',
        'title' => 'Transfer Shift Request Accepted',
        'message' => 'Dear @Hcp, the transfer shift request of @ShiftStartTime at @FacilityName is accepted.',
    ],

    'SHIFT_TRANSFER_REJECTED' => [
        'type' => 'shift-transfer-rejected',
        'title' => 'Transfer Shift Request Rejected',
        'message' => 'Dear @Hcp, the transfer shift request of @ShiftStartTime at @FacilityName is rejected.',
    ],

    'SHIFT_TRANSFER_CANCELLED' => [
        'type' => 'shift-transfer-cancelled',
        'title' => 'Transfer Shift Request Cancelled',
        'message' => 'Dear @Hcp, the transfer shift request of @ShiftStartTime at @FacilityName is cancelled.',
    ],

    'SHIFT_SWAP_REQUEST' => [
        'type' => 'shift-swap-request',
        'title' => 'New Shift Swap Request Available',
        'message' => 'Dear @Hcp, a shift swap request available matching your qualification. Please click to view details.',
    ],

    'SHIFT_SWAP_ACCEPTED' => [
        'type' => 'shift-swap-accepted',
        'title' => 'Swap Shift Request Accepted',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName is swapped. Please click to view details.',
    ],

    'SHIFT_SWAP_REJECTED' => [
        'type' => 'shift-swap-rejected',
        'title' => 'Swap Shift Request Rejected',
        'message' => 'Dear @Hcp, the swap shift request of @ShiftStartTime at @FacilityName is rejected.',
    ],

    'SHIFT_SWAP_CANCELLED' => [
        'type' => 'shift-swap-cancelled',
        'title' => 'Swap Shift Request Cancelled',
        'message' => 'Dear @Hcp, the swap shift request of @ShiftStartTime at @FacilityName is cancelled.',
    ],

    'HCP_NOT_ASSIGNED' => [
        'type' => 'hcp-not-assigned',
        'title' => 'Hcp Not Assigned',
        'message' => 'Dear @FacilityName, the shift of @ShiftStartTime at @FacilityName currently hcp not assigned. Please rebroadcast.',
    ],

    'DOCUMENT_EXPIRY_SOON' => [
        'type' => 'document-expiry-soon',
        'title' => 'Document Expire Soon',
        'message' => 'Dear @Hcp, Your @DocumentName document will expire soon. Please update your document.',
    ],

    'DOCUMENT_EXPIRED' => [
        'type' => 'document-expired',
        'title' => 'Document Expired',
        'message' => 'Dear @Hcp, Your @DocumentName document has been expired. Please update your document.',
    ],

    'SHIFT_REMINDER' => [
        'type' => 'shift-reminder',
        'title' => 'Shift Reminder',
        'message' => 'Dear @Hcp, we are just reminding you about your shift at @ShiftStartTime on @FacilityName. Please open app for shift tracking',
    ],

    'HCP_ACCOUNT_APPROVED' => [
        'type' => 'hcp-account-approved',
        'title' => 'Account Approved',
        'message' => 'Dear @Hcp, your account has been approved by admin. Please login to request an interview',
    ],

    'HCP_ACCOUNT_REJECTED' => [
        'type' => 'hcp-account-rejected',
        'title' => 'Account Rejected',
        'message' => 'Dear @Hcp, Your account has been rejected by Admin. Reason: @Reason',
    ],

    'HCP_REACHED_AT_LOCATION' => [
        'type' => 'hcp-reached-at-location',
        'title' => 'You Reached At Facility Location',
        'message' => 'Dear @Hcp, you have reached at @FacilityName location. Please start the shift as soon as possible.',
    ],

    'ADMIN_HCP_SHIFT_COMPLETED' => [
        'type' => 'admin-hcp-shift-completed',
        'title' => 'Shift Completed',
        'message' => 'Dear @SuperAdminName, Shift @ShiftId is completed and pending for approval.',
    ],

    'FACLITY_HCP_SHIFT_COMPLETED' => [
        'type' => 'facility-hcp-shift-completed',
        'title' => 'Shift Completed',
        'message' => 'Dear @FacilityName, Shift @ShiftId is completed and pending for approval.',
    ],

    'ADMIN_NEW_HCP_REGISTERED' => [
        'type' => 'admin-new-hcp-registered',
        'title' => 'New Hcp Registered',
        'message' => 'Dear @SuperAdminName, A new Hcp @FullHcpId is registered and pending for approval. Please check the documents and approve the Hcp.',
    ],

    'BUDDY_SHIFT_ASSIGNED' => [
        'type' => 'buddy-shift-assigned',
        'title' => 'Interview Assigned',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName is assigned by Admin. Please click to view details.',
    ],

    'TRAINEE_ASSIGNED' => [
        'type' => 'trainee-assigned',
        'title' => 'Trainee Assigned',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName. In this shift Admin assigned a trainee with you. Please click to view details.',
    ],

    'HCP_CANCELLED_SHIFT' => [
        'type' => 'hcp-cancelled-shift',
        'title' => 'Hcp Cancelled Shift',
        'message' => 'Dear @FacilityName, the shift of @ShiftStartTime at @FacilityName has been cancelled by @Hcp.',
    ],

    'HCP_SHIFT_CANCELLED_ADMIN' => [
        'type' => 'hcp-shift-cancelled-admin',
        'title' => 'Shift Cancelled',
        'message' => 'Dear @SuperAdminName, the shift of @ShiftStartTime at @FacilityName is cancelled by @Hcp.',
    ],

    'HCP_SHIFT_CANCELLED_FACILITY' => [
        'type' => 'hcp-shift-cancelled-facility',
        'title' => 'Shift Cancelled',
        'message' => 'Dear @FacilityName, the shift @ShiftId is cancelled by @Hcp.',
    ],

    'TRAINEE_BUDDY_SHIFT_CANCELLED' => [
        'type' => 'trainee-buddy-shift-cancelled',
        'title' => 'Interview Cancelled',
        'message' => 'Dear @Hcp, the shift of @ShiftStartTime at @FacilityName has been cancelled by your mentor.',
    ],

    'FACLITY_PLAN_EXPIRY_SOON' => [
        'type' => 'faclity-plan-expiry-soon',
        'title' => 'Plan Expire Soon',
        'message' => 'Dear @FacilityName, Your @PlanName plan will expire soon. Please update your plan.',
    ],

    'FACLITY_PLAN_EXPIRED' => [
        'type' => 'faclity-plan-expired',
        'title' => 'Plan Expired',
        'message' => 'Dear @FacilityName, Your @PlanName plan has been expired. Please update your plan.',
    ],

    'HCP_UPDATE_PROFESSIONS' => [
        'type' => 'hcp-update-professions',
        'title' => 'Hcp Update Professions',
        'message' => 'Dear @SuperAdminName, A Hcp @FullHcpId is update there professions and is wating for approval. Please check the professions and approve the Hcp.',
    ],

    'HCP_UPDATE_DOCUMENT' => [
        'type' => 'hcp-update-document',
        'title' => 'Hcp Update Documents',
        'message' => 'Dear @SuperAdminName, A Hcp @FullHcpId is update there profession document and is wating for approval. Please check the profession document and approve the Hcp.',
    ],

    'HCP_BUDDY_SHIFT_REQUEST_APPROVED' => [
        'type' => 'hcp-buddy-shift-request-approved',
        'title' => 'Interview Request Approved',
        'message' => 'Dear @Hcp, Congratulations, your account is now activated. You can now accept shift for @Profession',
    ],

    'HCP_SHIFT_START_TIME_OVER' => [
        'type' => 'hcp-shift-start-time-over',
        'title' => 'Shift Start Time Over',
        'message' => 'Dear @Hcp, Your shift at @ShiftStartTime on @FacilityName. Start time is over please start this shift as soon as possible.',
    ],

    'FACILITY_SHIFT_START_TIME_OVER' => [
        'type' => 'facility-shift-start-time-over',
        'title' => 'Shift Start Time Over',
        'message' => 'Dear @FacilityName, Shift @ShiftId start time has elapsed and its not started yet. Please take action ASAP.',
    ],

    'ADMIN_SHIFT_START_TIME_OVER' => [
        'type' => 'admin-shift-start-time-over',
        'title' => 'Shift Start Time Over',
        'message' => 'Dear @SuperAdminName, Shift @ShiftId start time has elapsed and its not started yet. Please take action ASAP.',
    ],

    'ADMIN_SHIFT_CANCELLED' => [
        'type' => 'admin-shift-cancelled',
        'title' => 'Shift Cancelled',
        'message' => 'Dear @SuperAdminName, Shift @ShiftId has been cancelled. Reason: @Reason',
    ],

    'FACILITY_SHIFT_CANCELLED' => [
        'type' => 'facility-shift-cancelled',
        'title' => 'Shift Cancelled',
        'message' => 'Dear @FacilityName, Shift @ShiftId has been cancelled. Reason: @Reason',
    ],

    'REFER_AND_EARM' => [
        'type' => 'refer-and-earn',
        'title' => 'Refer And Earn',
        'message' => 'Dear @Hcp, You have earned $ @ReferAmount from Refer and Earn.',
    ],

    'HCP_PROFESSION_APPROVED' => [
        'type' => 'hcp-profession-approved',
        'title' => 'Profession Approved',
        'message' => 'Dear @Hcp, your @Profession profession has been approved by admin. Please login to request an interview.',
    ],

    'HCP_PROFESSION_REJECTED' => [
        'type' => 'hcp-profession-rejected',
        'title' => 'Profession Rejected',
        'message' => 'Dear @Hcp, Your @Profession profession has been rejected by Admin. Reason: @Reason',
    ],

    'HCP_UNBLOCK' => [
        'type' => 'hcp-unblock',
        'title' => 'Account Unblock',
        'message' => 'Dear @Hcp, Your account has been unblock by admin and point are reset.',
    ],

    'HCP_STATEMENT_PAID' => [
        'type' => 'hcp-statement-paid',
        'title' => 'Statement Paid',
        'message' => 'Dear @Hcp, Your statement @StatementIds has been paid by admin.',
    ],

    'HCP_PROFESSION_DOCUMENT_APPROVED' => [
        'type' => 'hcp-profession-document-approved',
        'title' => 'Profession Approved',
        'message' => 'Dear @Hcp, your @Profession profession has been approved by admin.',
    ],

    'HCP_PROFESSION_LEVEL_APPROVED' => [
        'type' => 'hcp-profession-level-approved',
        'title' => 'Profession Level Approved',
        'message' => 'Dear @Hcp, your @Profession profession level has been approved by admin.',
    ],

    'HCP_ACCOUNT_SECOND_TIME_APPROVED' => [
        'type' => 'hcp-account-approved-second-time',
        'title' => 'Account Approved',
        'message' => 'Dear @Hcp, your account has been approved by admin.',
    ],

    'FACILITY_MARKED_AS_FAV' => [
        'type' => 'facility-marked-as-favourite',
        'title' => 'Marked As Favourite',
        'message' => 'Dear @Hcp, @FacilityName marked you as a favourite.',
    ],

    'FACILITY_REMOVE_AS_FAV' => [
        'type' => 'facility-remove-favourite',
        'title' => 'Removed From Favourite',
        'message' => 'Dear @Hcp, @FacilityName removed you from favourite.',
    ],

    'FACILITY_ADDED_ON_BLOCKLIST' => [
        'type' => 'facility-added-on-blocklist',
        'title' => 'Added On Blocked list',
        'message' => 'Dear @Hcp, @FacilityName added you on blocked list.',
    ],

    'FACILITY_REMOVE_FROM_BLOCKLIST' => [
        'type' => 'facility-remove-from-blocklist',
        'title' => 'Removed From Blocked list',
        'message' => 'Dear @Hcp, @FacilityName removed you from blocked list.',
    ],
];


/**
 * Notification Tags.
 */
$constants['notification_tags'] = [
    '@Hcp',
    '@ShiftDate',
    '@FacilityName',
    '@FacilityContactName',
    '@FacilityContactNumber',
    '@ShiftAmount',
    '@ShiftStartTime',
    '@ShiftEndTime',
    '@SuperAdminName',
    '@SuperAdminContactNumber',
    '@DocumentName',
    '@FacilityGroupName',
    '@Reason',
    '@ShiftId',
    '@FullHcpId',
    '@FacilityId',
    '@PlanName',
    '@PlanStart',
    '@PlanEnd',
    '@PlanCycle',
    '@Profession',
    '@ReferAmount',
    '@StatementIds',
];

/**
 * Notification Send To.
 */
$constants['notification_send_to'] = [

    'ALL_HCP' => [
        'value' => 'all-hcp',
        'caption' => 'All Hcp',
        'key' => 'ALL_HCP',
    ],

    'ALL_FACILITY' => [
        'value' => 'all-facility',
        'caption' => 'All Facility',
        'key' => 'ALL_FACILITY',
    ],


];

/**
 * Chart Colors.
 */
$constants['chart_colors'] = [
    '#59951B',
    '#7D3B2D',
    '#EC9718',
    '#D26464',
    '#3B9EE5',
    '#E53B97',
    '#FA8072',
    '#CD5C5C',
    '#FFBF00',
    '#FF7F50',
    '#6495ED',
    '#9FE2BF',
    '#000080',
    '#808000',
    '#FFBD33',
    '#33DBFF',
    '#893BE5',
    '#31CE6A',
];


/**
 * Facilities filter status
 */
$constants['facilities_filter_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];


/**
 * Sub Admins status
 */
$constants['sub_admins_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];

/**
 * Document status
 */
$constants['document_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];


/**
 * Facility Groups status
 */
$constants['facility_groups_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];


/**
 * Public Holiday status
 */
$constants['public_holiday_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];


/**
 * Category status
 */
$constants['category_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];

/**
 * Profession status
 */
$constants['profession_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];

/**
 * Level status
 */
$constants['level_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];


/**
 * Facility Name status
 */
$constants['facility_name_status'] = [

    'ACTIVE' => [
        'value' => 'active',
        'caption' => 'Active',
        'key' => 'ACTIVE',
    ],

    'INACTIVE' => [
        'value' => 'inactive',
        'caption' => 'Inactive',
        'key' => 'INACTIVE',
    ],
];


/**
 * Per Page Limit.
 */
$constants['per_page_limit_old'] = [

    [
        'value' => 1,
        'caption' => '1',
        'key' => '1',
    ],

    [
        'value' => 2,
        'caption' => '2',
        'key' => '2',
    ],


    [
        'value' => 10,
        'caption' => '10',
        'key' => '10',
    ],

    [
        'value' => 20,
        'caption' => '20',
        'key' => '20',
    ],

    [
        'value' => 50,
        'caption' => '50',
        'key' => '50',
    ],


    [
        'value' => 100,
        'caption' => '100',
        'key' => '100',
    ],

];


$constants['per_page_limit'] = [

    [
        'value' => 200,
        'caption' => '200',
        'key' => '200',
    ],

    [
        'value' => 300,
        'caption' => '300',
        'key' => '300',
    ],


    [
        'value' => 400,
        'caption' => '400',
        'key' => '400',
    ],

    [
        'value' => 500,
        'caption' => '500',
        'key' => '500',
    ],

    // [
    //     'value' => 50,
    //     'caption' => '50',
    //     'key' => '50',
    // ],


    // [
    //     'value' => 100,
    //     'caption' => '100',
    //     'key' => '100',
    // ],

];


/**
 * Transactions Invoice Status
 */
$constants['invoice_status'] = [

    'APPROVED' => [
        'value' => 'pending',
        'caption' => 'Approved',
        'key' => 'APPROVED',
    ],

    'INVOICED' => [
        'value' => 'invoiced',
        'caption' => 'Invoiced',
        'key' => 'INVOICED',
    ],

    'PAID' => [
        'value' => 'completed',
        'caption' => 'Paid',
        'key' => 'PAID',
    ],

    'OVERDUE' => [
        'value' => 'overdue',
        'caption' => 'Overdue',
        'key' => 'OVERDUE',
    ],
];


/**
 * Transactions Invoice Status
 */
$constants['invoice_status_super_admin'] = [

    'APPROVED' => [
        'value' => 'pending',
        'caption' => 'Approved',
        'key' => 'APPROVED',
    ],

    'INVOICED' => [
        'value' => 'invoiced',
        'caption' => 'Invoiced',
        'key' => 'INVOICED',
    ],

    'PAID' => [
        'value' => 'completed',
        'caption' => 'Paid',
        'key' => 'PAID',
    ],

    'OVERDUE' => [
        'value' => 'overdue',
        'caption' => 'Overdue',
        'key' => 'OVERDUE',
    ],
];


/**
 * Transactions Subscription Status
 */
$constants['transactions_subscription_status'] = [

    'PAID' => [
        'value' => 'completed',
        'caption' => 'Paid',
        'key' => 'PAID',
    ],

    'PENDING' => [
        'value' => 'pending',
        'caption' => 'Pending',
        'key' => 'PENDING',
    ],

    'CANCELLED' => [
        'value' => 'cancelled',
        'caption' => 'Cancelled',
        'key' => 'CANCELLED',
    ],
];

/**
 * Transactions hcp Status
 */
$constants['transactions_hcp_status'] = [

    'APPROVED' => [
        'value' => 'pending',
        'caption' => 'Approved',
        'key' => 'APPROVED',
    ],

    'PAID' => [
        'value' => 'completed',
        'caption' => 'Paid',
        'key' => 'PAID',
    ],
];


/**
 * Transactions Invoice Status
 */
$constants['invoice_status_facility_admin'] = [
    'ALL' => [
        'value' => 'facility-all',
        'caption' => 'All',
        'key' => 'ALL',
    ],

    'INVOICED' => [
        'value' => 'invoiced',
        'caption' => 'Invoiced',
        'key' => 'INVOICED',
    ],

    'PAID' => [
        'value' => 'completed',
        'caption' => 'Paid',
        'key' => 'PAID',
    ],

    'OVERDUE' => [
        'value' => 'overdue',
        'caption' => 'Overdue',
        'key' => 'OVERDUE',
    ],
];

return $constants;
