<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFacilityNamesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('facility_names', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('facility_name_prefix')->nullable();

            $table->unsignedBigInteger('facility_group_id')->nullable();
            $table->foreign('facility_group_id')->references('id')->on('facility_groups');

            $table->string('name')->nullable();

            $table->string('address')->nullable();
            $table->string('city_name')->nullable();
            $table->string('suburb_name')->nullable();
            $table->string('post_code')->nullable();

            $table->unsignedInteger('country_id')->nullable();
            $table->foreign('country_id')->references('id')->on('countries');

            $table->unsignedInteger('state_id')->nullable();
            $table->foreign('state_id')->references('id')->on('states');

            $table->string('latitude')->nullable();
            $table->string('longitude')->nullable();

            $table->enum('status', ['active', 'inactive'])->default('active');

            $table->unsignedBigInteger('created_by')->nullable();
            $table->foreign('created_by')->references('id')->on('users');

            $table->unsignedBigInteger('updated_by')->nullable();
            $table->foreign('updated_by')->references('id')->on('users');

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('facility_names');
    }
}
