<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNotificationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notifications', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('notification_prefix')->nullable();

            $table->unsignedBigInteger('shift_id')->nullable();
            $table->foreign('shift_id')->references('id')->on('shifts');

            $table->unsignedBigInteger('hcp_id')->nullable();
            $table->foreign('hcp_id')->references('id')->on('hcps');

            $table->unsignedBigInteger('facility_id')->nullable();
            $table->foreign('facility_id')->references('id')->on('facilities');

            $table->unsignedBigInteger('swap_request_id')->nullable();
            $table->string('statement_id')->nullable();

            $table->string('title')->nullable();
            $table->string('message')->nullable();

            $table->enum('send_to', ['hcp', 'facility', 'all-hcp', 'all-facility', 'admin'])->nullable();

            $table->string('statement_status')->nullable();
            $table->enum('sent_by', ['admin', 'system'])->nullable();

            $table->enum('notification_type', ['shifts', 'documents', 'custom', 'other','statement-paid','statement-due', 'statement-details'])->nullable();
            $table->string('shift_broadcast_type')->nullable();
            $table->enum('read_status', ['read', 'unread'])->default('unread')->nullable();

            $table->string('read_facilities')->nullable();

            $table->dateTime('date_time');

            $table->unsignedBigInteger('created_by')->nullable();
            $table->foreign('created_by')->references('id')->on('users');

            $table->unsignedBigInteger('updated_by')->nullable();
            $table->foreign('updated_by')->references('id')->on('users');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notifications');
    }
}
