<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDocumentNotificationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('document_notifications', function (Blueprint $table) {
            $table->bigIncrements('id')->unsigned();
            $table->bigInteger('hcp_id')->unsigned();
            $table->foreign('hcp_id')->references('id')->on('hcps');
            $table->bigInteger('document_id')->unsigned();
            $table->foreign('document_id')->references('id')->on('documents');
            $table->date('expiry_date');
            $table->enum('status',[1,2])->comment('1:auto approve,2 : pending approve');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('document_notifications');
    }
}
