<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateShiftSwapRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shift_swap_requests', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('shift_id');
            $table->foreign('shift_id')->references('id')->on('shifts');

            $table->unsignedBigInteger('swap_shift_id');
            $table->foreign('swap_shift_id')->references('id')->on('shifts');

            $table->unsignedBigInteger('hcp_id');
            $table->foreign('hcp_id')->references('id')->on('hcps');

            $table->unsignedBigInteger('swap_hcp_id');
            $table->foreign('swap_hcp_id')->references('id')->on('hcps');

            $table->date('swap_date')->nullable();
            $table->timeTz('swap_start_time')->nullable();
            $table->timeTz('swap_end_time')->nullable();

            $table->integer('range_of_job')->nullable()->comment('In KM');

            $table->string('request_sent_hcps')->nullable();

            $table->enum('status', ['accept', 'pending', 'reject', 'cancelled'])->default('pending');

            $table->unsignedBigInteger('created_by')->nullable();
            $table->foreign('created_by')->references('id')->on('users');

            $table->unsignedBigInteger('updated_by')->nullable();
            $table->foreign('updated_by')->references('id')->on('users');

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shift_swap_requests');
    }
}
