<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSupportingPagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('supporting_pages', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('term_condition_hcp_file')->nullable();
            $table->string('faq_hcp_file')->nullable();
            $table->string('policy_hcp_file')->nullable();

            $table->string('about_us_file')->nullable();
            $table->string('contact_us_file')->nullable();

            $table->string('term_condition_facility_link')->nullable();
            $table->string('faq_facility_link')->nullable();
            $table->string('policy_facility_link')->nullable();

            $table->longText('term_condition_facility_plan')->nullable();

            $table->unsignedBigInteger('created_by')->nullable();
            $table->foreign('created_by')->references('id')->on('users');

            $table->unsignedBigInteger('updated_by')->nullable();
            $table->foreign('updated_by')->references('id')->on('users');

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('supporting_pages');
    }
}
