<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadingTimeConfigsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('loading_time_configs', function (Blueprint $table) {
            $table->bigIncrements('id')->unsigned();
            $table->time('morning_shift_time_first');
            $table->time('morning_shift_time_second');
            $table->time('afternoon_shift_time_first');
            $table->time('afternoon_shift_time_second');

            $table->time('night_shift_time_first');
            $table->time('night_shift_time_second');

            $table->bigInteger('loading_afternoon_shift');
            $table->bigInteger('loading_night_shift');
            $table->bigInteger('loading_saturday_shift');
            $table->bigInteger('loading_sunday_shift');
            $table->bigInteger('loading_public_holiday_shift');
            $table->bigInteger('loading_christmas_holiday_shift');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('loading_time_configs');
    }
}
