<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReferralsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('referrals', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('referrer_hcp_id');
            $table->foreign('referrer_hcp_id')->references('id')->on('hcps');

            $table->unsignedBigInteger('referee_hcp_id');
            $table->foreign('referee_hcp_id')->references('id')->on('hcps');

            $table->decimal('referrer_amount', 10, 2)->nullable();
            $table->decimal('referee_amount', 10, 2)->nullable();
            $table->date('referral_date')->nullable();
            $table->date('referral_completed_date')->nullable();

            $table->enum('status', ['pending', 'completed', 'cancelled'])->default('pending')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('referrals');
    }
}
