<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFacilityActivitiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('facility_activities', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->bigInteger('facility_id')->nullable();
            $table->foreign('facility_id')->references('id')->on('facilities');

            $table->unsignedBigInteger('hcp_id')->nullable();
            $table->foreign('hcp_id')->references('id')->on('hcps');

            $table->bigInteger('shift_id')->nullable();
            $table->foreign('shift_id')->references('id')->on('shifts');

            $table->string('activity')->nullable();
            $table->text('message')->nullable();

            $table->unsignedBigInteger('created_by')->nullable();
            $table->foreign('created_by')->references('id')->on('users');

            $table->unsignedBigInteger('updated_by')->nullable();
            $table->foreign('updated_by')->references('id')->on('users');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('facility_activities');
    }
}
