<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHcpProfessionRequestTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hcp_profession_request', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('hcp_id');
            $table->foreign('hcp_id')->references('id')->on('hcps');

            $table->unsignedBigInteger('hcp_profession_id')->nullable();
            $table->foreign('hcp_profession_id')->references('id')->on('hcp_profession');

            $table->unsignedBigInteger('category_id')->nullable();
            $table->foreign('category_id')->references('id')->on('categories');

            $table->unsignedBigInteger('profession_id')->nullable();
            $table->foreign('profession_id')->references('id')->on('professions');

            $table->unsignedBigInteger('previous_level_id')->nullable();
            $table->foreign('previous_level_id')->references('id')->on('levels');

            $table->unsignedBigInteger('level_id')->nullable();
            $table->foreign('level_id')->references('id')->on('levels');

            $table->unsignedBigInteger('hcp_document_id')->nullable();
            $table->foreign('hcp_document_id')->references('id')->on('document_hcp');

            $table->string('hcp_document_ids')->nullable();

            $table->enum('type', ['profession-added', 'level-update', 'document-expired'])->nullable();

            $table->enum('status', ['approved', 'pending', 'rejected'])->default('pending')->nullable();

            $table->unsignedBigInteger('created_by')->nullable();
            $table->foreign('created_by')->references('id')->on('users');

            $table->unsignedBigInteger('updated_by')->nullable();
            $table->foreign('updated_by')->references('id')->on('users');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hcp_profession_request');
    }
}
