<?php

use Illuminate\Database\Seeder;
use App\User;
use App\Models\Facility;
use App\Models\AdminProfile;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class AddFacilityPermissionSeeder extends Seeder{

    public function run()
    {
        $users = User::where(['role_name' => 'facility'])->get();

        if(count($users)) {
            foreach ($users as $user) {
                if(count($user->permissions) == 0) {
                    // Assign admin permission to user
                    $permissions = Permission::where('is_default', 'yes')->where('panel_permissions', 'facility')->get()->toArray();
                    if (!is_null($user) && ! is_null($permissions)) {
                        foreach($permissions as $permission){
                            $user->givePermissionTo($permission['name']);
                        }
                    }
                    //--------------------------------
                }
            }
        }
    }
}
