<?php

use Illuminate\Database\Seeder;
use App\User;
use App\Models\AdminProfile;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class AddSuperAdminPermissionSeeder extends Seeder{

    public function run()
    {
        $user = User::where(['role_name' => 'super-admin'])->first();

        // Assign admin permission to user
        $permissions = Permission::where('is_default', 'yes')->where('panel_permissions', 'super-admin')->get()->toArray();
        if (!is_null($user) && ! is_null($permissions)) {
            foreach($permissions as $permission){
                $user->givePermissionTo($permission['name']);
            }
        }
        //--------------------------------
    }
}
