<?php

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;

class FacilityPermissionTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
       Permission::insert([

            // Facility HCP
            [
                'name' => 'Active Hcp',
                'slug' => 'facility-active-hcp',
                'module_name' => 'facility-hcp',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Favourite Hcp',
                'slug' => 'facility-favourite-hcp',
                'module_name' => 'facility-hcp',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Blocked Hcp',
                'slug' => 'facility-blocked-hcp',
                'module_name' => 'facility-hcp',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-------------

            // Shifts
            [
                'name' => 'Facility View Shifts',
                'slug' => 'view-shifts',
                'module_name' => 'facility-shifts',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Facility Add Shifts',
                'slug' => 'add-shifts',
                'module_name' => 'facility-shifts',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Facility Edit Shifts',
                'slug' => 'edit-shifts',
                'module_name' => 'facility-shifts',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-------


            // Facility Account
            [
                'name' => 'Shift Transactions',
                'slug' => 'facility-account-shift-transactions',
                'module_name' => 'facility-account',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Subscription Invoices',
                'slug' => 'facility-account-subscription-invoices',
                'module_name' => 'facility-account',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----------------

            // Facility Manage Document
            [
                'name' => 'Manage Document',
                'slug' => 'facility-manage-document',
                'module_name' => 'facility-manage-document',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-------------------------

            // Facility Review & Ratings
            [
                'name' => 'Review & Ratings',
                'slug' => 'facility-review-and-ratings',
                'module_name' => 'facility-review-and-ratings',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //--------------------------

            // Facility Sub Admins
            [
                'name' => 'Facility View Sub Admins',
                'slug' => 'facility-view-sub-admins',
                'module_name' => 'facility-sub-admins',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Facility Add Sub Admins',
                'slug' => 'facility-add-sub-admins',
                'module_name' => 'facility-sub-admins',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Facility Edit Sub Admins',
                'slug' => 'facility-edit-sub-admins',
                'module_name' => 'facility-sub-admins',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //--------------------

            // Facility Other
            [
                'name' => 'Public Holiday',
                'slug' => 'facility-public-holiday',
                'module_name' => 'facility-other',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Faq',
                'slug' => 'facility-faq',
                'module_name' => 'facility-other',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Terms And Conditions',
                'slug' => 'facility-terms-and-conditions',
                'module_name' => 'facility-other',
                'panel_permissions' => 'facility',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //---------------

        ]);
    }
}
