<?php

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;

class PermissionTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
       Permission::insert([
            // Facilities
            [
                'name' => 'View Facilities',
                'slug' => 'view-facilities',
                'module_name' => 'facilities',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Add Facilities',
                'slug' => 'add-facilities',
                'module_name' => 'facilities',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Edit Facilities',
                'slug' => 'edit-facilities',
                'module_name' => 'facilities',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----------

            // HCPs
            [
                'name' => 'View HCPs',
                'slug' => 'view-hcps',
                'module_name' => 'hcps',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Add HCPs',
                'slug' => 'add-hcps',
                'module_name' => 'hcps',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Edit HCPs',
                'slug' => 'edit-hcps',
                'module_name' => 'hcps',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----

            // Shifts
            [
                'name' => 'View Shifts',
                'slug' => 'view-shifts',
                'module_name' => 'shifts',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Add Shifts',
                'slug' => 'add-shifts',
                'module_name' => 'shifts',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Edit Shifts',
                'slug' => 'edit-shifts',
                'module_name' => 'shifts',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-------

            // Accounts
            [
                'name' => 'Hcp Accounts',
                'slug' => 'hcp-accounts',
                'module_name' => 'accounts',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Facilities Accounts',
                'slug' => 'facilities-accounts',
                'module_name' => 'accounts',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Revenue Statement',
                'slug' => 'revenue-statement',
                'module_name' => 'accounts',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //---------

            // Manage Documents
            [
                'name' => 'View Documents',
                'slug' => 'view-documents',
                'module_name' => 'manage-documents',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Add Documents',
                'slug' => 'add-documents',
                'module_name' => 'manage-documents',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Edit Documents',
                'slug' => 'edit-documents',
                'module_name' => 'manage-documents',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----------------

            // Review & Ratings
            [
                'name' => 'View Review & Ratings',
                'slug' => 'view-review-and-ratings',
                'module_name' => 'review-and-ratings',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----------------


            // Notifications
            [
                'name' => 'View Notifications',
                'slug' => 'view-notifications',
                'module_name' => 'notifications',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Documents Notifications',
                'slug' => 'documents-notifications',
                'module_name' => 'notifications',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //--------------

            // Sub Admins
            [
                'name' => 'View Sub Admins',
                'slug' => 'view-sub-admins',
                'module_name' => 'sub-admins',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Add Sub Admins',
                'slug' => 'add-sub-admins',
                'module_name' => 'sub-admins',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Edit Sub Admins',
                'slug' => 'edit-sub-admins',
                'module_name' => 'sub-admins',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----------

            // Categories
            [
                'name' => 'View Categories',
                'slug' => 'view-categories',
                'module_name' => 'categories',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],

            [
                'name' => 'Add Categories',
                'slug' => 'add-categories',
                'module_name' => 'categories',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],

            [
                'name' => 'Edit Categories',
                'slug' => 'edit-categories',
                'module_name' => 'categories',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],
            //-----------

            // Professions
            [
                'name' => 'View Professions',
                'slug' => 'view-professions',
                'module_name' => 'professions',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],

            [
                'name' => 'Add Professions',
                'slug' => 'add-professions',
                'module_name' => 'professions',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],

            [
                'name' => 'Edit Professions',
                'slug' => 'edit-professions',
                'module_name' => 'professions',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],
            //------------

            // Levels
            [
                'name' => 'View Levels',
                'slug' => 'view-levels',
                'module_name' => 'levels',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],

            [
                'name' => 'Add Levels',
                'slug' => 'add-levels',
                'module_name' => 'levels',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],

            [
                'name' => 'Edit Levels',
                'slug' => 'edit-levels',
                'module_name' => 'levels',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.NO.value'),
            ],
            //-------

            // Public Holiday
            [
                'name' => 'View Public Holiday',
                'slug' => 'view-public-holiday',
                'module_name' => 'public-holiday',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Add Public Holiday',
                'slug' => 'add-public-holiday',
                'module_name' => 'public-holiday',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],

            [
                'name' => 'Edit Public Holiday',
                'slug' => 'edit-public-holiday',
                'module_name' => 'public-holiday',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //---------------

            // Plan Configuration
            [
                'name' => 'Plan Configuration',
                'slug' => 'plan-configuration',
                'module_name' => 'plan-configuration',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-------------------

            // General Configuration
            [
                'name' => 'General Configuration',
                'slug' => 'general-configuration',
                'module_name' => 'configuration',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //----------------------

            // Notification Configuration
            [
                'name' => 'Notification Configuration',
                'slug' => 'notification-configuration',
                'module_name' => 'configuration',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //---------------------------

            // Document Configuration
            [
                'name' => 'Document Configuration',
                'slug' => 'document-configuration',
                'module_name' => 'configuration',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----------------------

            // Supporting Pages
            [
                'name' => 'Supporting Pages',
                'slug' => 'supporting-pages',
                'module_name' => 'supporting-pages',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //-----------------

            // Facility Group
            [
                'name' => 'Facility Group',
                'slug' => 'facility-group',
                'module_name' => 'facility-group',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //---------------

            // Facility Names
            [
                'name' => 'Facility Names',
                'slug' => 'facility-names',
                'module_name' => 'facility-names',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //---------------

            // Hcp Configuration
            [
                'name' => 'Hcp Configuration',
                'slug' => 'hcp-configuration',
                'module_name' => 'hcp-configuration',
                'panel_permissions' => 'super-admin',
                'created_at' => now(),
                'updated_at' => now(),
                'is_default' => config('constants.is_default.YES.value'),
            ],
            //---------------
        ]);
    }
}
