<?php

use Illuminate\Database\Seeder;
use App\User;
use App\Models\AdminProfile;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class UsersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $user = User::create(
            [
                'name' => 'Super Admin',
                'email' => 'super.admin@shapp.net',
                'password' => bcrypt('123456'),
                'role_name' => 'super-admin',
            ]
        );

        AdminProfile::create(
            [
                'user_id' => $user->id,
                'first_name' => 'Super',
                'last_name' => 'Admin',
                'created_by' => $user->id,
                'updated_by' => $user->id,
            ]
        );

        // Get super admin role
        $role = Role::where([
            'type' => config('constants.users.types.SUPER_ADMIN.value'),
            'status' => 'active'
        ])->first();
        //---------------------

        // Assign admin role to user
        if (! is_null($user) && ! is_null($role)) {
            $user->assignRole($role->id);
        }
        //--------------------------

        // // Assign admin permission to user
        // $permissions = Permission::where('is_default', 'yes')->get()->toArray();
        // if (! is_null($user) && ! is_null($permissions)) {
        //     foreach($permissions as $permission){
        //         $user->givePermissionTo($permission['name']);
        //     }
        // }
        // //--------------------------------
    }
}
