var Shift = (function() {
    // Array holding selected row IDs
    var rows_selected = [];
    var data_table;
    return {
        /**
         * Initialization.
         */
        init: function() {
            Shift.initializeComponents();
            Shift.dataTableCustomFilter();
            Shift.linkAction();
            Shift.multiplePay();
            Shift.hcpMultiplePay();
            Shift.facilitySendReminder();
            Shift.hcpReferralsModal();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
            // filter form
            var $filter_form = $(".custom-datatable-filter-form");
            Components.bootstrapSelect($filter_form);
            //------------


            // Date picker
            var $date_picker = $filter_form.find(".date-picker");
            if ($date_picker.length) {
                $date_picker.flatpickr({
                    format: "Y-m-d",
                });
            }
            //------------

            // Apply filter
            $(".apply-filter").on("click", function(e) {
                var checked = []
                $("input[name='states[]']:checked").each(function () {
                    checked.push(parseInt($(this).val()));
                });
                if( checked.length || $("#status").val() !='' || $("#date_form").val() !='' || $("#date_to").val() !='') {
                    $filter_form.submit();
                    $('.filter-error').hide();
                    $(".custom-datatable-filter").toggleClass("hide");
                    e.preventDefault();
                } else {
                    $('.filter-error').show();
                }
            });
            //-------------

            // Clear filter
            $(".clear-filter").on("click", function(e) {
                $(".custom-datatable-filter-form")[0].reset();
                $source = $(".custom-datatable-filter-form");
                $select = $source.find(".select-picker");
                $select.selectpicker("refresh");
                $source.find('.btn-custom-outline').removeClass('active');
                $(".filter-button").addClass('btn-dark');
                $(".filter-button").removeClass('btn-primary');
                $(".custom-datatable-filter").toggleClass("hide");
                window.location.replace(window.location.pathname);
                e.preventDefault();
            });
            //-------------
        },

        /**
         * Datatable custom filter.
         */
        dataTableCustomFilter: function() {
            $(".filter-button").click(function() {
                var $this = $(this);
                $(".custom-datatable-filter").toggleClass("hide");
                $this.addClass('btn-primary');
                $this.removeClass('btn-dark');
            });
        },

        /**
         * Link Action.
         */
        linkAction: function() {
            var $source = $(".datatable-action");

            // Handle form submission event
            $source.on("click", ".link-action", function() {
                $this = $(this);
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure to want to change status?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    beforeSend: function () {
                                        //
                                    },
                                    success: function (response) {
                                        App.showNotification(response);
                                        location.reload(true);
                                    },
                                    error: function () {},
                                    complete: function () {
                                        //
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        },

        /**
         * Multiple Pay.
         */
        multiplePay: function() {
            var $source = $(".top-header");

            // Handle form submission event
            $source.on("click", ".pay-now-link", function() {
                console.log($('#invoice_ids').val());
                $this = $(this);
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure to want to change status?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    data: {
                                        id: $('#invoice_ids').val()
                                    },
                                    beforeSend: function () {
                                        $this.html('please wait..');
                                        $this.prop('disabled', true);
                                    },
                                    success: function (response) {
                                        App.showNotification(response);
                                        location.reload(true);
                                    },
                                    error: function () {},
                                    complete: function () {
                                        //
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        },

        /**
         * Facility Send Reminder.
         */
        facilitySendReminder: function() {
            var $source = $(".top-header");

            // Handle form submission event
            $source.on("click", ".send-reminder-link", function() {
                $this = $(this);
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure to want to send reminder?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    data: {
                                        id: $('#invoice_ids').val()
                                    },
                                    beforeSend: function () {
                                        $this.html('please wait..');
                                        $this.prop('disabled', true);
                                    },
                                    success: function (response) {
                                        App.showNotification(response);
                                        location.reload(true);
                                    },
                                    error: function () {},
                                    complete: function () {
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        },

        /**
         * Hcp Multiple Pay.
         */
        hcpMultiplePay: function() {
            var $source = $(".top-header");

            // Handle form submission event
            $source.on("click", ".hcp-pay-now-link", function() {
                $this = $(this);
                if ($('#statement_ids').val() !='' && $('#statement_ids').val() !='undefined') {
                    iziToast.question({
                        timeout: 20000,
                        close: false,
                        overlay: true,
                        displayMode: "once",
                        color: "yellow",
                        id: "question",
                        zindex: 99999,
                        title: "Hey!",
                        message: "Are you sure to want to change status?",
                        position: "center",
                        progressBar: false,
                        buttons: [
                            [
                                "<button><b>YES</b></button>",
                                function (instance, toast) {
                                    $.ajax({
                                        type: "GET",
                                        url: $this.data("url"),
                                        data: {
                                            id: $('#statement_ids').val()
                                        },
                                        beforeSend: function () {
                                            $this.html('please wait..');
                                            $this.prop('disabled', true);
                                        },
                                        success: function (response) {
                                            App.showNotification(response);
                                            location.reload(true);
                                        },
                                        error: function () {},
                                        complete: function () {
                                            //
                                        },
                                    });
                                    instance.hide(
                                        { transitionOut: "fadeOut" },
                                        toast,
                                        "button"
                                    );
                                },
                                true,
                            ],
                            [
                                "<button>NO</button>",
                                function (instance, toast) {
                                    instance.hide(
                                        { transitionOut: "fadeOut" }, toast,  "button"
                                    );
                                },
                            ],
                        ],
                        onClosing: function (instance, toast, closedBy) {
                            //
                        },
                        onClosed: function (instance, toast, closedBy) {
                            //
                        },
                    });
                } else {
                    $('#hcp-pay-now-error').html('Please select at least one hcp.');

                }
            });
        },


        /**
         * Hcp Referrals modal.
         */
         hcpReferralsModal: function() {
            var $source = $(".top-header");
            $source.on(
                "click",
                ".hcp-refer-btn",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModal");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {

                        });
                }
            );
        },
    };
})();

Shift.init();
