var App = (function() {
    return {
        /**
         * Initialization.
         */
        init: function() {
            App.setupAjax();

            $(".table-responsive").on("show.bs.dropdown", function() {
                $(".table-responsive").css("overflow", "inherit");
            });

            $(".table-responsive").on("hide.bs.dropdown", function() {
                $(".table-responsive").css("overflow", "auto");
            });

            App.markNotificationAsRead();
        },

        /**
         * Setup AJAX.
         */
        setupAjax: function() {
            $.ajaxSetup({
                headers: {
                    "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content")
                }
            });
        },

        /**
         * Show notification.
         *
         * @param {*} notification
         */
        showNotification: function(notification) {
            iziToast[notification._type]({
                title: notification._type.toUpperCase(),
                message: notification._message,
                position: "topRight",
                timeout: 6000,
                transitionIn: "fadeInLeft"
            });
        },

        /**
         * Form loading.
         */
        formLoading: function($form) {
            var $btn_submit = $form.find(".btn-submit");

            $btn_submit
                .find(".fa")
                .removeClass("fa-save")
                .addClass("fa-refresh fa-spin");
            $btn_submit.prop("disabled", true);
        },

        /**
         * Stop form loading.
         */
        stopFormLoading: function($form) {
            var $btn_submit = $form.find(".btn-submit");

            $btn_submit
                .find(".fa")
                .removeClass("fa-refresh fa-spin")
                .addClass("fa-save");
            $btn_submit.prop("disabled", false);
        },

        /**
         * Reset modal.
         */
        resetModal: function($modal) {
            var html = '<div class="modal-loading"> Loading.... </div>';
            $modal.find(".modal-content").html(html);
        },

        /**
         * Array Column.
         */
        arrayColumn: function(array, columnName) {
            return array.map(function(value, index) {
                return value[columnName];
            });
        },

        /**
         * Mark notification as read.
         */
        markNotificationAsRead: function() {
            $source = $(".notification-dropdown");
            $source.on("click", ".notification-icon", function() {
                var $this = $(this);
                $.ajax({
                    type: "GET",
                    url: $this.data("url"),
                    success: function(response) {
                        console.log(response);
                        $(".notification-count-div").html("");
                    }
                });
            });
        }
    };
})();

App.init();
