var Categories = (function() {
    return {
        /**
         * Initialization.
         */
        init: function() {
            Categories.initializeComponents();
            Categories.validateCategoriesForm();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
            var $form = $(".add-categories-form");

            // Bootstrap select
            Components.bootstrapSelect($form);
            //-----------------
        },

        /**
         * Validate categories form.
         */
        validateCategoriesForm: function() {
            var $form = $(".add-categories-form");

            $form.validate({
                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    name: {
                        required: true,
                        maxlength: DEV_CONFIG["name_length"]["config_value"]
                    }
                },
                //------------------

                // @validation error messages
                messages: {
                    name: {
                        required: "Please enter name."
                    }
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        }
    };
})();

Categories.init();
