var DocumentConfig = (function() {
    return {
        /**
         * Initialization.
         */
        init: function() {
            DocumentConfig.initializeComponents();
            DocumentConfig.validateDocumentConfigForm();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
            //
        },

        /**
         * Validate document config form.
         */
        validateDocumentConfigForm: function() {
            var $form = $(".update-document-config-form");

            $form.validate({
                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                errorPlacement: function(error, element) {
                    if (element.attr("name") == "profession[]") {
                        error.appendTo("#professions_error");
                    } else {
                        error.insertAfter(element);
                    }
                },
                //------------------------------

                // @validation rules
                rules: {
                    "profession[]": {
                        required: true
                    }
                },
                //------------------

                // @validation error messages
                messages: {
                    "profession[]": {
                        required: "Please select profession"
                    }
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

    };
})();

DocumentConfig.init();
