var Facilities = (function() {
    // Array holding selected row IDs
    var rows_selected = [];
    var data_table;
    return {
        /**
         * Initialization.
         */
        init: function() {
            Facilities.initializeComponents();
            Facilities.dataTableCustomFilter();
            Facilities.linkAction();
            Facilities.importExcelModal();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {

            // filter form
            var $filter_form = $(".custom-datatable-filter-form");
            Components.bootstrapSelect($filter_form);
            //------------

            // Apply filter
            $(".apply-filter").on("click", function(e) {
                if( $("#facility_group").val() !='' || $("#state").val() !='' || $("#status").val() !='') {
                    $filter_form.submit();
                    $('.filter-error').hide();
                    $(".custom-datatable-filter").toggleClass("hide");
                    e.preventDefault();
                } else {
                    $('.filter-error').show();
                }
            });
            //-------------

            // Clear filter
            $(".clear-filter").on("click", function(e) {
                $(".custom-datatable-filter-form")[0].reset();
                $source = $(".custom-datatable-filter-form");
                $select = $source.find(".select-picker");
                $select.selectpicker("refresh");
                $source.find('.btn-custom-outline').removeClass('active');
                $(".filter-button").addClass('btn-dark');
                $(".filter-button").removeClass('btn-primary');
                $(".custom-datatable-filter").toggleClass("hide");
                window.location.replace(window.location.pathname);
                e.preventDefault();
            });
            //-------------
        },


        /**
         * Datatable custom filter.
         */
        dataTableCustomFilter: function() {
            $(".filter-button").click(function() {
                var $this = $(this);
                $(".custom-datatable-filter").toggleClass("hide");
                $this.addClass('btn-primary');
                $this.removeClass('btn-dark');
            });
        },


        /**
         * Link Action.
         */
        linkAction: function() {
            var $source = $(".datatable-action");

            // Handle form submission event
            $source.on("click", ".link-action", function() {
                $this = $(this);
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure to want to change status?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    beforeSend: function () {
                                        //
                                    },
                                    success: function (response) {
                                        App.showNotification(response);
                                        location.reload(true);
                                    },
                                    error: function () {},
                                    complete: function () {
                                        //
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        },


        /**
         * Validate import excel.
         */
        validateImportExcel: function() {
            var $form = $(".import-excel-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    file: {
                        required: true,
                        extension: "xls"
                    }
                },
                //------------------

                // @validation error messages
                messages: {
                    file: {
                        required: "Please choose file.",
                        extension: "Please choose valid file formats .xls only."
                    }
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * import excel modal.
         */
        importExcelModal: function() {
            var $source = $(".widget-content");
            $source.on(
                "click",
                ".import-excel-btn",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModalMedium");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {
                            Facilities.validateImportExcel();
                        });

                    $page_modal.on("hidden.bs.modal", function() {
                        App.resetModal($page_modal);
                    });
                }
            );
        },


    };
})();

Facilities.init();
