var Hcps = (function() {
    // Array holding selected row IDs
    var rows_selected = [];
    var data_table;
    return {
        /**
         * Initialization.
         */
        init: function() {
            Hcps.initializeComponents();
            Hcps.linkAction();
            Hcps.dataTableCustomFilter();
            Hcps.rejectHcpModal();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
            // filter form
            var $filter_form = $(".custom-datatable-filter-form");
            Components.bootstrapSelect($filter_form);
            //------------

            // Date picker
            var $date_picker = $filter_form.find(".date-picker");
            if ($date_picker.length) {
                $date_picker.flatpickr({
                    format: "Y-m-d",
                    mode: "range",
                    onClose: function(selectedDates, dateStr, instance) {
                        //
                    }
                });
            }
            //------------

            // Apply filter
            $(".apply-filter").on("click", function(e) {
                var $this = $(this);

                if ($this.val() == 'shift') {
                    if( $('#status').val() !='' || $('#shift_type').val() !='' || $('#date_range').val() !='') {
                        $('.filter-form-shift').submit();
                        $('.filter-error').hide();
                        $(".filter-shift").toggleClass("hide");
                        e.preventDefault();
                    } else {
                        $('.filter-error').show();
                    }
                }

                if ($this.val() == 'favourite') {
                    if( $('#favourite_state_id').val() !='') {
                        $('.filter-form-favourite').submit();
                        $('.filter-error').hide();
                        $(".filter-favourite").toggleClass("hide");
                        e.preventDefault();
                    } else {
                        $('.filter-error').show();
                    }
                }

                if ($this.val() == 'blocklist') {
                    if( $('#blocklist_state_id').val() !='') {
                        $('.filter-form-blocklist').submit();
                        $('.filter-error').hide();
                        $(".filter-blocklist").toggleClass("hide");
                        e.preventDefault();
                    } else {
                        $('.filter-error').show();
                    }
                }

            });
            //-------------

            // Clear filter
            $(".clear-filter").on("click", function(e) {
                var $this = $(this);

                if ($this.val() == 'shift') {
                     $(".filter-form-shift")[0].reset();
                    $source = $(".filter-form-shift");
                    $select = $source.find(".select-picker");
                    $select.selectpicker("refresh");
                    $source.find('.btn-custom-outline').removeClass('active');
                    $(".filter-button").addClass('btn-dark');
                    $(".filter-button").removeClass('btn-primary');
                    $(".filter-shift").toggleClass("hide");
                    window.location.replace(window.location.pathname);
                    e.preventDefault();
                }

                if ($this.val() == 'favourite') {
                    $(".filter-form-favourite")[0].reset();
                    $source = $(".filter-form-favourite");
                    $select = $source.find(".select-picker");
                    $select.selectpicker("refresh");
                    $source.find('.btn-custom-outline').removeClass('active');
                    $(".filter-button").addClass('btn-dark');
                    $(".filter-button").removeClass('btn-primary');
                    $(".filter-favourite").toggleClass("hide");
                    window.location.replace(window.location.pathname);
                    e.preventDefault();
                }

                if ($this.val() == 'blocklist') {
                    $(".filter-form-blocklist")[0].reset();
                    $source = $(".filter-form-blocklist");
                    $select = $source.find(".select-picker");
                    $select.selectpicker("refresh");
                    $source.find('.btn-custom-outline').removeClass('active');
                    $(".filter-button").addClass('btn-dark');
                    $(".filter-button").removeClass('btn-primary');
                    $(".filter-blocklist").toggleClass("hide");
                    window.location.replace(window.location.pathname);
                    e.preventDefault();
                }


            });
            //-------------
        },


        /**
         * Datatable custom filter.
         */
        dataTableCustomFilter: function() {
            $(".filter-button").click(function() {
                var $this = $(this);

                if ($this.val() == 'shift') {
                    $(".filter-shift").toggleClass("hide");
                }

                if ($this.val() == 'favourite') {
                    $(".filter-favourite").toggleClass("hide");
                }

                if ($this.val() == 'blocklist') {
                    $(".filter-blocklist").toggleClass("hide");
                }

                $this.addClass('btn-primary');
                $this.removeClass('btn-dark');
            });
        },

        /**
         * Link Action.
         */
        linkAction: function() {
            var $source = $(".widget-content");

            // Handle form submission event
            $source.on("click", ".link-action", function() {
                $this = $(this);
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure to want to change status?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    beforeSend: function () {
                                        //
                                    },
                                    success: function (response) {
                                        if (response._status == true) {
                                            App.showNotification(response);
                                            window.location.href = response._redirect_url;
                                        } else {
                                            App.showNotification(response);
                                        }
                                    },
                                    error: function () {},
                                    complete: function () {
                                        //
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        },

        /**
         * Reject hcp modal.
         */
        rejectHcpModal: function() {
            var $source = $(".datatable-action");
            $source.on(
                "click",
                ".reject-hcp",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModalMedium");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {
                            Hcps.validateRejectHcp();
                        });

                    $page_modal.on("hidden.bs.modal", function() {
                        App.resetModal($page_modal);
                    });
                }
            );
        },
    };
})();

Hcps.init();
