var Hcps = (function() {
    // Array holding selected row IDs
    var rows_selected = [];
    var data_table;
    return {
        /**
         * Initialization.
         */
        init: function() {
            Hcps.initializeComponents();
            Hcps.changeStatus();
            Hcps.dataTableCustomFilter();
            Hcps.linkAction();
            Hcps.rejectHcpModal();
            Hcps.rejectPendingProfessionModal();
            Hcps.getProfessions();
            Hcps.blockHcpPopup();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {

            // filter form
            var $filter_form = $(".custom-datatable-filter-form");
            Components.bootstrapSelect($filter_form);
            //------------

            // Apply filter
            $(".apply-filter").on("click", function(e) {
                var checked = []
                $("input[name='states[]']:checked").each(function () {
                    checked.push(parseInt($(this).val()));
                });
                if( checked.length || $("#category").val() !='' || $("#profession").val() !='' || $("#availability").val() !='' || $("#shortby_filter").val()) {
                    $filter_form.submit();
                    $('.filter-error').hide();
                    $(".custom-datatable-filter").toggleClass("hide");
                    e.preventDefault();
                } else {
                    $('.filter-error').show();
                }
            });
            //-------------

            // Clear filter
            $(".clear-filter").on("click", function(e) {
                $(".custom-datatable-filter-form")[0].reset();
                $source = $(".custom-datatable-filter-form");
                $select = $source.find(".select-picker");
                $select.selectpicker("refresh");
                $source.find('.btn-custom-outline').removeClass('active');
                $(".filter-button").addClass('btn-dark');
                $(".filter-button").removeClass('btn-primary');
                $(".custom-datatable-filter").toggleClass("hide");
                window.location.replace(window.location.pathname);
                e.preventDefault();
            });
            //-------------
        },

        /**
         * Datatable custom filter.
         */
        dataTableCustomFilter: function() {
            $(".filter-button").click(function() {
                var $this = $(this);
                $(".custom-datatable-filter").toggleClass("hide");
                $this.addClass('btn-primary');
                $this.removeClass('btn-dark');
            });
        },

        /**
         * Change status.
         */
        changeStatus: function() {
            var $data_table_container = $(".data-table-container");
            var $dataTable = $(".dataTable");

            // Handle form submission event
            $data_table_container.on("click", ".change-status", function() {
                // Iterate over all selected checkboxes
                var ids = [];
                $.each(rows_selected, function(index, rowId) {
                    ids.push(rowId.id);
                });

                $.ajax({
                    type: "POST",
                    url: $dataTable.data("change-status-url"),
                    data: { ids: ids },
                    beforeSend: function() {
                        $(".change-status").prop("disabled", true);
                    },
                    success: function(response) {
                        App.showNotification(response);
                        data_table.ajax.reload();
                        rows_selected = [];
                    },
                    error: function() {},
                    complete: function() {
                        $(".change-status").prop("disabled", true);
                    }
                });
            });
        },

        /**
         * Link Action.
         */
        linkAction: function() {
            var $source = $(".datatable-action");

            // Handle form submission event
            $source.on("click", ".link-action", function() {
                $this = $(this);
                var url = $this.data("url"),
                parts = url.split("/"),
                last_part = parts[parts.length-1];
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure want to "+last_part+" this hcp?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    beforeSend: function () {
                                        //
                                    },
                                    success: function (response) {
                                        if (response._status == true) {
                                            App.showNotification(response);
                                            location.reload(true);
                                        } else {
                                            App.showNotification(response);
                                        }
                                    },
                                    error: function () {},
                                    complete: function () {
                                        //
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        },


        /**
         * Validate reject hcp.
         */
        validateRejectHcp: function() {
            var $form = $(".reject-hcp-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                errorPlacement: function(error, element) {
                    if (element.attr("name") == "cancel_by") {
                        error.insertAfter(".cancel-shift-by-group");
                    } else {
                        error.insertAfter(element);
                    }
                },

                // @validation rules
                rules: {
                    reject_reason: {
                        required: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    reject_reason: {
                        required: "Please enter reject reason."
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * Reject hcp modal.
         */
        rejectHcpModal: function() {
            var $source = $(".datatable-action");
            $source.on(
                "click",
                ".reject-hcp",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModalMedium");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {
                            Hcps.validateRejectHcp();
                        });

                    $page_modal.on("hidden.bs.modal", function() {
                        App.resetModal($page_modal);
                    });
                }
            );
        },

        /**
         * Validate Pending Profession Reject.
         */
        validatePendingProfessionReject: function() {
            var $form = $(".reject-hcp-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    reject_reason: {
                        required: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    reject_reason: {
                        required: "Please enter reject reason."
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * Reject Pending Profession Modal.
         */
        rejectPendingProfessionModal: function() {
            var $source = $(".datatable-action");
            $source.on(
                "click",
                ".reject-modal",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModalMedium");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {
                            Hcps.validatePendingProfessionReject();
                        });

                    $page_modal.on("hidden.bs.modal", function() {
                        App.resetModal($page_modal);
                    });
                }
            );
        },


        /**
         * Get profession according to category.
         */
        getProfessions: function($source) {
            var $source = $(".custom-datatable-filter");

            $source.on("change", ".category-profession", function() {
                var $this = $(this);
                var category = $this.val();

                if (category != "") {
                    $(".profession-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            category_id: category,
                        },
                        success: function(response) {
                            var data = response._data;
                            var options = '';

                            options = "<option value=''>Select Profession</option>";
                            $.each(data, function(index, data) {
                                options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.name +
                                    "</option>";
                            });

                            $("#profession").html(options);
                            $("#profession").selectpicker("refresh");
                            $(".profession-div .input-loading").hide();
                        }
                    });
                }
            });
        },

        /**
         * Block hcp for a facility
         */
        blockHcpPopup: function() {
            var $source = $(".datatable-action");
            $source.on(
                "click",
                ".block-hcp-for-facility",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModalMedium");
                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {
                            // FacilityGroups.validateFacilityGroupForm();
                            var $filter_form = $(".block-hcp-form");
                            Components.bootstrapSelect($filter_form);
                        });

                    $page_modal.on("hidden.bs.modal", function() {
                        App.resetModal($page_modal);
                    });
                }
            );
        },
    };
})();

Hcps.init();
