var Lms = (function() {
    return {
        /**
         * Initialization.
         */
        init: function() {
            Lms.initializeComponents();
            Lms.validateLmsForm();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
            //
        },

        /**
         * Validate lms form.
         */
        validateLmsForm: function() {
            var $form = $(".add-lms-form");

            $form.validate({
                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    lms_url: {
                        required: true,
                        url: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    lms_url: {
                        required: "Please enter lms url."
                    }
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

    };
})();

Lms.init();
