var Rebroadcast = (function() {
    // Array holding selected row IDs
    var rows_selected = [];
    var data_table;
    return {
        /**
         * Initialization.
         */
        init: function() {
            Rebroadcast.initializeComponents();
            Rebroadcast.validateRebroadcastForm();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
        },

         /**
         * Validate rebroadcast form.
         */
        validateRebroadcastForm: function() {
            var $form = $(".rebroadcast-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                errorPlacement: function(error, element) {
                    if (element.attr("name") == "assign_hcp") {
                        error.insertAfter(".select-hcp-error");
                    } else {
                        error.insertAfter(element);
                    }
                },

                // @validation rules
                rules: {
                    assign_hcp: {
                        required: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    assign_hcp: {
                        required: "Please select at least one hcp for send notification.",
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },



    };
})();

Rebroadcast.init();
