var Shift = (function() {
    return {
        /**
         * Initialization.
         */
        init: function() {
            Shift.initializeComponents();
            Shift.validateShiftForm();
            Shift.customValidationMethods();
            Shift.getFacilities();
            Shift.getFacilityPlan();
            Shift.getProfessions();
            Shift.getLevels();
            Shift.getShiftHcp();
            Shift.getBuddyHcpList();
            Shift.getFacilitiesForBuddyShift();
            Shift.getEstimates();
            Shift.multipleShiftsModal();
            Shift.getFacility();
            Shift.checkProfessionLevel();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {

            var $form = $(".add-shift-form");

            // Bootstrap select
            Components.bootstrapSelect($form);
            //-----------------

            // Image preview
            Components.imagePreview($form);
            //--------------

	$(document).on('click','.bt-approved_sleepover_update',function(){
                console.log($(".bt-approved_sleepover_update").data("url"));
                $.ajax({
                    url: $(".bt-approved_sleepover_update").data("url"),
                    type: 'POST',
                    data: $("#approve-sleepover-form").serialize(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function (response) {
                        var data = response._data;
                        if(response._status == true) {
                            $('#shift-error-div').addClass('hide');
                            App.showNotification(response);
                            location.reload(true);
                        }else{
                            $('#shift-error-div').removeClass('hide');
                        }
                    }
                });
            });

            var $start_time = $form.find(".start-time");
            var $end_time = $form.find(".end-time");
            var $sleepover_night_start_time = $form.find(".sleepover_night_start_time");
            var $sleepover_night_end_time = $form.find(".sleepover_night_end_time");
            var $sleepover_start_time = $form.find(".sleepover-start-time");
            var $sleepover_end_time = $form.find(".sleepover-end-time");
            var $sleepover_morning_start_time = $form.find(".sleepover_morning_start_time");
            var $sleepover_morning_end_time = $form.find(".sleepover_morning_end_time");
            var $sleepover_afternoon_start_time = $form.find(".sleepover_afternoon_start_time");
            var $sleepover_afternoon_end_time = $form.find(".sleepover_afternoon_end_time");
            var $extra_sleepover_night_start_time = $form.find(".extra_sleepover_night_start_time");
            var $extra_sleepover_night_end_time = $form.find(".extra_sleepover_night_end_time");
            var $this = $(this);

            if($("#current_time").val() == '') {
                var current_time = 'today';
            } else {
                var current_time = new Date($("#current_time").val());
            }

            $start_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                minDate: current_time,
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    var endSelectedDates = new Date(selectedDates).fp_incr(1);
                    var startHours = new Date(selectedDates).getHours();
                    var endDate = new Date(selectedDates);
                    endDate.setHours(endDate.getHours() + DEFAULT_SHIFT_HOURS);
                    let maxDate = new Date(endDate);
                    maxDate.setHours(23);
                    $end_time.flatpickr({
                        enableTime: true,
                        time_24hr: false,
                        dateFormat: "Y-m-d h:i K",
                        minuteIncrement: 1,
                        minDate: new Date(selectedDates),
                        defaultDate: new Date(endDate),
                        maxDate: maxDate,
                        onClose: function(
                            selectedEndDates,
                            dateStr,
                            instance
                        ) {
                            if (
                                $("#category_id").val() != "" &&
                                $("#profession_id").val() != "" &&
                                $("#start_time").val() != "" &&
                                $("#end_time").val() != ""
                            ) {
                                var job_hours = Shift.diffHours(
                                    new Date($start_time.val()),
                                    new Date(selectedEndDates)
                                );
		console.log(job_hours);
                                var num = new Number(job_hours);
                                // $("#hours").val(num.toPrecision(2));
                                $("#hours").val(job_hours);
                                if($('#sleepover_shifts:checkbox:checked').length <= 0){
                                    $("#hours").valid();
                                }
                                Shift.getEstimates();
                            }
                        }
                    });

                    var job_hours = Shift.diffHours(
                        new Date($start_time.val()),
                        new Date(new Date(selectedDates).setHours(startHours + DEFAULT_SHIFT_HOURS))
                    );
                    var num = new Number(job_hours);
                    // $("#hours").val(num.toPrecision(2));
                    $("#hours").val(job_hours);
                    $("#hours").valid();
                    Shift.getEstimates();
                }
            });

            $end_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                minDate: new Date($("#start_time").val()),
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

            $sleepover_start_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                //minDate: current_time,
	minDate: new Date($("#sleepover_night_end_time").val()),
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

            $sleepover_end_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                // minDate: current_time,
                minDate: new Date($("#sleepover_start_time").val()),
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

	$sleepover_afternoon_start_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                minDate: current_time,
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

            $sleepover_afternoon_end_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                minDate: current_time,
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

            $sleepover_morning_start_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                minDate: current_time,
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

            $sleepover_morning_end_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                minDate: current_time,
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

           $sleepover_night_start_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                // minDate: current_time,
                minDate: new Date($("#end-time").val()),
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });

            $sleepover_night_end_time.flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                // minDate: current_time,
                minDate: new Date($("#sleepover_night_start_time").val()),
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });



            $("#profession_id").on('change',function(){
                $("#hcp_level_id").val('');
                Shift.getEstimates();
            });


            $("#hcp_level_id").on('change',function(){
                Shift.getEstimates();
            });
        },

        /**
         * Get time differences in hours between two dates
         */
        diffHours: function(dt2, dt1) {
            var diff = (dt2.getTime() - dt1.getTime()) / 1000;
            diff /= 60 * 60;
	console.log(dt1);
	console.log(dt2);
	console.log(diff);
            //return Math.abs(Math.round(diff));
	return Math.abs(diff);
        },

        /**
         * Custom validation methods.
         */
        customValidationMethods: function() {
            jQuery.validator.addMethod(
                "emailChecker",
                function(value, element) {
                    return (
                        this.optional(element) ||
                        /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/i.test(
                            value
                        )
                    );
                },
                "Please enter a valid email address."
            );

            jQuery.validator.addMethod(
                "mobileNumber",
                function(value, element) {
                    return (
                        this.optional(element) ||
                        /^\+[1-9]{1}[0-9]{8,14}$/i.test(value)
                    );
                },
                "Please enter valid number e.g. +61474567894"
            );
        },

        /**
         * Validate shift form.
         */
        validateShiftForm: function() {
            var $form = $(".add-shift-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    facility: {
                        required: true
                    },
                    word_wing: {
                        required: true,
                        maxlength: DEV_CONFIG["name_length"]["config_value"]
                    },
                    category_id: {
                        required: true
                    },
                    profession_id: {
                        required: true
                    },
                    booked_by: {
                        required: true
                    },
                    shift_types: {
                        required: true
                    },
                    start_time: {
                        required: true
                    },
                    end_time: {
                        required: true
                    },
                    no_of_openings: {
                        required: true,
                        min:1,
                        max:10
                    },
                    hours: {
                        required: true,
                        max: function() {
		if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            			return parseInt(MAX_SHIFT_HOURS);
		}else{
			return parseInt(20);
		}
                        },
                        min: function() {
                            return parseInt(MIN_SHIFT_HOURS);
                        }
                    },
                    mentor_hcp_name: {
                        required: {
                            depends: function() {
                                return (
                                    $("#shift_types").val() == "buddy"
                                );
                            }
                        },
                        maxlength: DEV_CONFIG["name_length"]["config_value"]
                    },
                    mentor_hcp_email: {
                        required: {
                            depends: function() {
                                return (
                                    $("#shift_types").val() == "buddy"
                                );
                            }
                        },
                        emailChecker: true,
                        maxlength: DEV_CONFIG["email_length"]["config_value"]
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    facility_group: {
                        required: "Please select facility group."
                    },
                    facility: {
                        required: "Please select facility."
                    },
                    word_wing: {
                        required: "Please select ward/wing."
                    },
                    category_id: {
                        required: "Please select category."
                    },
                    profession_id: {
                        required: "Please select profession."
                    },
                    hcp_level_id: {
                        required: "Please select level."
                    },
                    booked_by: {
                        required: "Please select booked by."
                    },
                    shift_types: {
                        required: "Please select shift type."
                    },
                    start_time: {
                        required: "Please select start time."
                    },
                    end_time: {
                        required: "Please select end time."
                    },
                    no_of_openings: {
                        required: "Please enter no of openings."
                    },
                    mentor_hcp_name: {
                        required: "Please enter buddy hcp name."
                    },
                    mentor_hcp_email: {
                        required: "Please enter buddy hcp email."
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * Get Shif tHcp.
         */
        getShiftHcp: function() {
            var $source = $(".add-shift-form");

            $source.on("click", ".get-shift-hcp-bt", function() {
                var multiple_shifts = '';
                var category_id = $("[name='category_id']").valid();
                var profession_id = $("[name='profession_id']").valid();
                var shift_types = $("[name='shift_types']").valid();
                var start_time = $("[name='start_time']").valid();
                var end_time = $("[name='end_time']").valid();
                var facility = $("[name='facility']").valid();

                if ($("#shift_types").val() == 'buddy') {
                    var buddy_hcp_id = $("[name='buddy_hcp_id']").valid();
                } else {
                    var buddy_hcp_id = true;
                }

                if(category_id == true && profession_id == true && shift_types == true && buddy_hcp_id == true && start_time == true && end_time == true && facility == true){
                    $(".get-shift-hcp-bt").html('<i class="fa fa-refresh fa-spin"></i> &nbsp; Please Wait...');
                    $(".table-loading").removeClass('hide');
                    $(".get-shift-hcp-bt").prop('disabled', true);
                    $("#shift-submit").prop('disabled', true);

                    if($('#multiple_shifts').prop('checked')) {
                        var multiple_shifts = 1;
                    }

                    $.ajax({
                        type: "GET",
                        url: $(".get-shift-hcp-bt").data("url"),
                        data: {
                            category_id: $("#category_id").val(),
                            profession_id: $("#profession_id").val(),
                            level_id: $("#hcp_level_id").val(),
                            shift_start_time: $("#start_time").val(),
                            shift_end_time: $("#end_time").val(),
                            shift_types: $("#shift_types").val(),
                            buddy_hcp_id: $("#buddy_hcp_id").val(),
                            facility: $("#facility").val(),
                            search: $("#search").val(),
                            multiple_shifts: multiple_shifts
                        },
                        success: function(response) {
                            $(".get-shift-hcp-bt").remove();
                            $(".table-loading").addClass('hide');
                            $(".get-shift-hcp-bt").prop('disabled', false);
                            $("#shift-submit").prop('disabled', false);
                            $('#shift-submit').html('<i class="fa fa-save"></i> &nbsp; Broadcast');

                            var content = response._content;

                            if(response._status == true) {
                                $(".hcp-listing").html(content);
                                $("#shift-submit").removeClass('hide');
                            } else {
                                $(".hcp-listing").html(content);
                                $("#shift-submit").addClass('hide');
                                $("#shift-error-div").removeClass('hide');
                                $(".error-msg").html('<p style="color: white;">'+response._message+'</p>');
                                $(".hcp_level_id")
                                .closest(".form-group")
                                .addClass("has-danger")
                                .removeClass("has-success");
                                $(".hcp_level_id")
                                .addClass("is-invalid")
                                .removeClass("is-valid");
                                $("#hcp_level_id").after('<span id="hcp_level_id_error" class="invalid-feedback">Please select Shift Level.</span>');

                            }

                        }
                    });
                }
            });
        },

        /**
         * Get facilities.
         */
        getFacilities: function($source) {
            var $source = $(".add-shift-form");

            $source.on("change", ".select-facility-group", function() {
                var $this = $(this);
                var facility_group = $this.val();
                if (facility_group != "") {
                    $(".facility-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            facility_group_id: facility_group
                        },
                        success: function(response) {
                            var data = response._data;
                            var options = '';
                            $.each(data, function(index, data) {
                                if (data.facility_name) {
                                    options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.facility_name.name +
                                    "</option>";
                                } else {
                                    options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.name +
                                    "</option>";
                                }
                            });
                            $("#facility").html(options);
                            $("#facility").selectpicker("refresh");
                            $(".facility-div .input-loading").hide();
                        }
                    });
                }
            });
        },

        /**
         * Get facility plan.
         */
        getFacilityPlan: function($source) {
            var $source = $(".add-shift-form");

            $source.on("change", ".facility-plan", function() {
                var $this = $(this);
                var facility = $this.val();

                if (facility !='') {
                    $(".category-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $(".profession-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $(".level-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            facility_id: facility
                        },
                        success: function(response) {
                            var data = response._data;
                            var other_options = '';
                            var category_options = '';

                            if(response._facility_data !='') {
                                $('#start_time').val('');
                                $('#end_time').val('');
                                $('#shift_types').val('');
                                $('#break').val('');
                                $('#hours').val('');
                                $('#shift_loading').val('');
                                $('#current_time').val(response._facility_current_time);
                                Shift.initializeComponents();
                            }

                            $.each(data, function(index, data) {
                                category_options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.name +
                                    "</option>";
                            });

                            $("#category_id").html(category_options);
                            $("#category_id").selectpicker("refresh");
                            $("#profession_id").html(other_options);
                            $("#profession_id").selectpicker("refresh");
                            $("#hcp_level_id").html(other_options);
                            $("#hcp_level_id").selectpicker("refresh");
                            $(".category-div .input-loading").hide();
                            $(".profession-div .input-loading").hide();
                            $(".level-div .input-loading").hide();

                        }
                    });
                } else {
                    $('#facility').valid();
                }
            });
        },

        /**
         * Get facility.
         */
        getFacility: function($source) {
            var $source = $(".add-shift-form");

            $source.on("change", ".get-facility", function() {
                var $this = $(this);
                var facility = $this.val();

                if (facility !='') {

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            facility_id: facility
                        },
                        success: function(response) {
                            var other_options = '';
                            var category_options = '';

                            if(response._facility_data !='') {
                                $('#start_time').val('');
                                $('#end_time').val('');
                                $('#break').val('');
                                $('#hours').val('');
                                $('#shift_loading').val('');
                                $('#current_time').val(response._facility_current_time);
                                Shift.initializeComponents();
                            }


                        }
                    });
                } else {
                    $('#facility').valid();
                }
            });
        },

        /**
         * Get profession according to category.
         */
        getProfessions: function($source) {
            var $source = $(".add-shift-form");

            $source.on("change", ".category-profession", function() {
                var $this = $(this);
                var category = $this.val();
                var facility = $('#facility').val();

                if (category != "" && facility !='') {
                    $(".profession-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            category_id: category,
                            facility_id: facility
                        },
                        success: function(response) {
                            var data = response._data;
                            var options = '';

                            $.each(data, function(index, data) {
                                options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.name +
                                    "</option>";
                            });

                            $("#profession_id").html(options);
                            $("#profession_id").selectpicker("refresh");
                            $("#hcp_level_id").html('');
                            $("#hcp_level_id").selectpicker("refresh");
                            $(".profession-div .input-loading").hide();
                        }
                    });
                } else {
                    $('#facility').valid();
                }
            });
        },

        /**
         * Get levels according to profession.
         */
        getLevels: function($source) {
            var $source = $(".add-shift-form");

            $source.on("change", ".profession-level", function() {
                var $this = $(this);
                var profession = $this.val();

                if (profession != "") {
                    $(".level-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            profession_id: profession
                        },
                        success: function(response) {
                            var data = response._data;
                            var options = '';

                            $.each(data, function(index, data) {
                                options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.name +
                                    "</option>";
                            });

                            $("#hcp_level_id").html(options);
                            $("#hcp_level_id").selectpicker("refresh");
                            $(".level-div .input-loading").hide();
                        }
                    });
                }
            });
        },

        /**
         * Get Buddy Hcp List.
         */
        getBuddyHcpList: function() {
            var $source = $(".add-shift-form");

            $source.on("change", "#shift_types", function() {
                var category_id = $("[name='category_id']").valid();
                var profession_id = $("[name='profession_id']").valid();
                var facility = $("[name='facility']").valid();
                var shift_type = $("#shift_types").val();

                if(category_id == true && profession_id == true && facility == true && shift_type !='' && shift_type == 'buddy'){

                    $('.buddy-hcp-div').removeClass('hide');
                    $(".buddy-hcp-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $("#shift_types").data("url"),
                        data: {
                            category_id: $("#category_id").val(),
                            profession_id: $("#profession_id").val(),
                            level_id: $("#hcp_level_id").val(),
                            facility: $("#facility").val()
                        },
                        success: function(response) {
                            var data = response._data;
                            var options = '';

                            $("#buddy_hcp_id").rules( "add", {
                                required: {
                                    depends: function() {
                                        return (
                                            $("#shift_types").val() == "buddy"
                                        );
                                    }
                                },
                                messages: {
                                    required: "Please select buddy hcp.",
                                }
                            });

                            $.each(data, function(index, data) {
                                options +=
                                    '<option value="' + data.id + '" data-subtext="'+data.hcp_prefix+data.id+'">' +
                                    data.first_name + ' ' + data.last_name +
                                    "</option>";
                            });

                            $("#buddy_hcp_id").html(options);
                            $("#buddy_hcp_id").selectpicker("refresh");
                            $(".buddy-hcp-div .input-loading").hide();

                        }
                    });
                } else {
                    $('.buddy-hcp-div').addClass('hide');
                    $("#buddy_hcp_id").html('');
                    $("#buddy_hcp_id").selectpicker("refresh");
                }
            });

        },

        /**
         * Get facilities for buddy shift.
         */
        getFacilitiesForBuddyShift: function() {
            var $source = $(".add-shift-form");

            $source.on("change", ".select-facility-group-for-shift", function() {
                var $this = $(this);
                var facility_group = $this.val();
                if (facility_group != "") {
                    $(".facility-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            facility_group_id: facility_group,
                            profession_id: PROFESSION_ID,
                            category_id: CATEGORY_ID,
                            level_id: LEVEL_ID,
                            hcp_latitude: HCP_LATITUDE,
                            hcp_longitude: HCP_LONGITUDE,
                            radius: CONIG_RADIUS,
                            hcp_state_id: HCP_STATE_ID,
                        },
                        success: function(response) {
                            var data = response._data;
                            var options = '';
                            $.each(data, function(index, data) {
                                if (data.facility_name) {
                                    options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.facility_name.name +
                                    "</option>";
                                } else {
                                    options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.name +
                                    "</option>";
                                }
                            });
                            $("#facility").html(options);
                            $("#facility").selectpicker("refresh");
                            $(".facility-div .input-loading").hide();
                        }
                    });
                }
            });
        },

        /**
         * Get Estimates.
         */
        getEstimates: function() {
            $("#shift-submit").prop('disabled',true);
            $("#shift-get-hcps").prop('disabled',true);
            var $source = $(".add-shift-form");
            console.log("level"+$("#hcp_level_id").val());
            var is_sleepover = false;
            var sleepover_start = "";
            var sleepover_end = "";
            	var sleepover_night_start = "";
            var sleepover_night_end = "";
            var sleepover_morning_start = "";
            var sleepover_morning_end = "";
            var approved_extra_sleepover_night_start_time = [];
            var approved_extra_sleepover_night_end_time = [];
            if($('#sleepover_shifts:checkbox:checked').length > 0){
                is_sleepover = true;
                sleepover_start = $("#sleepover_start_time").val();
                sleepover_end = $("#sleepover_end_time").val();
	sleepover_night_start = $("#sleepover_night_start_time").val();
                sleepover_night_end = $("#sleepover_night_end_time").val();
                sleepover_morning_start = $("#sleepover_morning_start_time").val();
                sleepover_morning_end = $("#sleepover_morning_end_time").val();
	$('.extra_sleepover_night_start_time').each(function() {
                    approved_extra_sleepover_night_start_time.push($(this).val());  // Get the value of each dynamically added field
                });
	$('.extra_sleepover_night_end_time').each(function() {
                    approved_extra_sleepover_night_end_time.push($(this).val());  // Get the value of each dynamically added field
                });
                console.log(approved_extra_sleepover_night_start_time);
            }
            if (
                $("#category_id").val() != "" &&
                $("#profession_id").val() != "" &&
                $("#start_time").val() != "" &&
                $("#end_time").val() != "" &&
                $("#facility").val() != ""
            ) {
                $.ajax({
                    type: "POST",
                    url: $("#shift-estimates").data("url"),
                    data: {
                        category_id: $("#category_id").val(),
                        profession_id: $("#profession_id").val(),
                        level_id: $("#hcp_level_id").val(),
                        start_time: $("#start_time").val(),
                        end_time: $("#end_time").val(),
                        shift_types: $("#shift_types").val(),
                        facility: $("#facility").val(),
                        sleepover_start: sleepover_start,
                        sleepover_end: sleepover_end,
	 	sleepover_night_start: sleepover_night_start,
                        sleepover_night_end: sleepover_night_end,
                        sleepover_morning_start: sleepover_morning_start,
                        sleepover_morning_end: sleepover_morning_end,
	approved_extra_sleepover_night_start_time:approved_extra_sleepover_night_start_time,
                        approved_extra_sleepover_night_end_time:approved_extra_sleepover_night_end_time,
                    },
                    success: function(response) {
                        var data = response._data;

                        var detailed_calculation =data.detailed_calculation;
	  var detailed_calculation_arr = data.detailed_calculation_arr;
                        if(response._status == true) {
                            $('#shift-error-div').addClass('hide');
                            $("#break").val(data.break_time);
                            $("#shift_loading").val(data.shift_loading);
                            $("#hours").val(data.total_hours);
                            $("#working_hours").val(data.final_hours);
                            $("#hcp_amount").val(data.hcp_shift_total);
                            $("#facility_amount").val(data.facility_shift_total);
                            $("#admin_fees").val(data.admin_fees);
                            $("#admin_amount").val(data.admin_amount);
                            $("#facility_per_rate").val(data.facility_per_rate);
                            $("#hcp_per_rate").val(data.hcp_per_rate);
                            $("#shift_time").val(data.shift_time);
                            $(".break-time").html(data.break_time);
                            $(".final-hour").html(data.final_hours);
                            $(".hcp-rate").html(data.hcp_per_rate);
                            $(".admin-fees").html(data.admin_fees);
                            $(".facility-rate").html(data.facility_per_rate);
                            $(".shift-loading").html(data.shift_loading);
                            $(".hcp-shift-total").html(data.hcp_shift_total);
                            $(".facility-shift-total").html(data.facility_shift_total);
                            $("#admin_fees_with_loading").val(data.admin_fees_with_loading);
                            $("#final_hours_time").val(data.final_hours_time);
                            $("#total_hours_time").val(data.total_hours_time);
                            $("#hcp_shift_loading").val(data.hcp_shift_loading);
                            $("#hcp_shift_total_loading").val(data.hcp_shift_total_loading);
                            $("#facility_shift_loading").val(data.facility_shift_loading);
                            $("#facility_shift_total_loading").val(data.facility_shift_total_loading);
                            $(".sleepover_time").html(data.sleepover_hours);
                            $(".hcp-sleepover-rate").html(data.hcp_sleepover_rate);
                            $(".facility-sleepover-rate").html(data.facility_sleepover_rate);

                            if ($('#buddy_request_id').length && $('#buddy_request_id').val() !='') {
                                $("#shift_types").val('buddy');
                            } else {
                                $("#shift_types").val(data.shift_type);
                            }
                            $("#shift-submit").prop('disabled',false);
                            $("#shift-get-hcps").prop('disabled',false);

	 	if(detailed_calculation!=''){
			//detailed_calculation_arr = JSON.parse(detailed_calculation_arr);
			console.log(detailed_calculation_arr);
			$('#sleepover_afternoon_admin_fees').val(detailed_calculation_arr.afternoon_hours.admin_fees);
			$('#sleepover_afternoon_loading').val(detailed_calculation_arr.afternoon_hours.shift_loading);
			$('#sleepover_afternoon_working_hours').val(detailed_calculation_arr.afternoon_hours.afternoon_hours);
			$('#sleepover_afternoon_faciliy_amount').val(detailed_calculation_arr.afternoon_hours.facility_shift_total);
			$('#sleepover_afternoon_hcp_amount').val(detailed_calculation_arr.afternoon_hours.shift_total);

			$('#sleepover_night_admin_fees').val(detailed_calculation_arr.night_hours.admin_fees);
			$('#sleepover_night_loading').val(detailed_calculation_arr.night_hours.shift_loading);
			$('#sleepover_night_working_hours').val(detailed_calculation_arr.night_hours.afternoon_hours);
			$('#sleepover_night_facility_amount').val(detailed_calculation_arr.night_hours.facility_shift_total);
			$('#sleepover_night_hcp_amount').val(detailed_calculation_arr.night_hours.shift_total);

			$('#sleepover_morning_admin_fees').val(detailed_calculation_arr.morning_hours.admin_fees);
			$('#sleepover_morning_loading').val(detailed_calculation_arr.morning_hours.shift_loading);
			$('#sleepover_morning_working_hours').val(detailed_calculation_arr.morning_hours.afternoon_hours);
			$('#sleepover_morning_faciliy_amount').val(detailed_calculation_arr.morning_hours.facility_shift_total);
			$('#sleepover_morning_hcp_amount').val(detailed_calculation_arr.morning_hours.shift_total);

			$('#demo').html(detailed_calculation);
		}

                        } else {
                            $('#shift-error-div').removeClass('hide');
                            $('.error-msg').html(response._message);
                            $("#break").val('');
                            $("#hours").val(response._total_hours);
                            $("#shift_loading").val('');
                            $(".break-time").html('');
                            $(".final-hour").html('');
                            $(".hcp-rate").html('');
                            $(".admin-fees").html('');
                            $(".facility-rate").html('');
                            $(".shift-loading").html('');
                            $(".hcp-shift-total").html('');
                            $(".facility-shift-total").html('');
                            $("#working_hours").val('');
                            $("#hcp_amount").val('');
                            $("#facility_amount").val('');
                            $("#admin_fees").val('');
                            $("#facility_per_rate").val('');
                            $("#hcp_per_rate").val('');
                            $("#admin_amount").val('');
                            $("#admin_fees_with_loading").val('');
                            $("#final_hours_time").val('');
                            $("#total_hours_time").val('');
                            $("#hcp_shift_loading").val('');
                            $("#hcp_shift_total_loading").val('');
                            $("#facility_shift_loading").val('');
                            $("#facility_shift_total_loading").val('');
                            $(".sleepover_time").html('');
                            $(".sleepover-rate").html('');
		$('#demo').html('');
                        }

                    }
                });

            }
        },

        /**
         * Multiple Shifts Modal.
         */
        multipleShiftsModal: function() {
            var $page_modal = $("#multipleShiftModal");
            $(".multiple-shifts").change(function() {
                var loop = 10;
                if($(this).prop('checked')) {
                    $page_modal.modal("show");
                    $("#word_wing").prop("disabled", true);
                    $("#word_wing").val('');
                    $('.hcp-list-assign-button').addClass('hide');
                    $('.hcp-list-assign-button-na').removeClass('hide');
                } else {
                    $("#no_of_openings").val(1);
                    $('.hcp-list-assign-button').removeClass('hide');
                    $('.hcp-list-assign-button-na').addClass('hide');
                    $("#word_wing").prop("disabled", false);

                    for (let i = 1; i <= loop; i++) {
                        $("#no-of-opening-"+i).val('');
                        $("#word-wing-"+i).val('');
                    }
                }
            });
        },
        checkProfessionLevel: function(){

        var $source = $(".add-shift-form");

        $source.on("click", ".shift-submit-btn", function() {
                $.ajax({
                    type: "GET",
                    url: $(".shift-submit-btn").data("url"),
                    data: {

                        profession_id: $("#profession_id").val(),
                        level_id: $("#hcp_level_id").val(),
                    },
                    success: function(response) {
                    console.log(response);
//                        $(".get-shift-hcp-bt").remove();
//                        $(".table-loading").addClass('hide');
//                        $(".get-shift-hcp-bt").prop('disabled', false);
//                        $("#shift-submit").prop('disabled', false);
//                        $('#shift-submit').html('<i class="fa fa-save"></i> &nbsp; Broadcast');
//
//                        var content = response._content;
//
                        if(response) {
                            $(".add-shift-form").submit();
                        } else {
                            $(".error-msg").html('<p style="color: white;"> The Shift Level field is required for the selected profession </p>');
                            $("#shift-error-div").removeClass('hide');
                            $(".hcp_level_id")
                                .closest(".form-group")
                                .addClass("has-danger")
                                .removeClass("has-success");
                            $(".hcp_level_id")
                                .addClass("is-invalid")
                                .removeClass("is-valid");
                                $("#hcp_level_id").after('<span id="hcp_level_id_error" class="invalid-feedback">Please select Shift Level.</span>');
                        }

                    }
                });

        });
        }


    };
})();

Shift.init();
