var Transfer = (function() {
    // Array holding selected row IDs
    var rows_selected = [];
    var data_table;
    return {
        /**
         * Initialization.
         */
        init: function() {
            Transfer.initializeComponents();
            Transfer.validateTransferForm();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
        },

         /**
         * Validate transfer form.
         */
        validateTransferForm: function() {
            var $form = $(".transfer-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    hcp_ids: {
                        required: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    hcp_ids: {
                        required: "Please select at hcp for send transfter shift.",
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },



    };
})();

Transfer.init();
