var Shift = (function() {
    // Array holding selected row IDs
    var rows_selected = [];
    var data_table;
    return {
        /**
         * Initialization.
         */
        init: function() {
            Shift.initializeComponents();
            Shift.dataTableCustomFilter();
            Shift.cancelShiftModal();
            Shift.approvedShiftModal();
            Shift.validateCancelShift();
            Shift.validateApprovedShift();
            Shift.linkAction();
            Shift.selectScheduledShift();
            Shift.getEstimates();
            Shift.rateShiftModal();
            Shift.validateRateShift();
            Shift.viewLocationModal();
            Shift.getProfessions();
        },

        /**
         * Initialize components.
         */
        initializeComponents: function() {
            // filter form
            var $filter_form = $(".custom-datatable-filter-form");
            Components.bootstrapSelect($filter_form);
            //------------


            // Date picker
            var $date_picker = $filter_form.find(".date-picker");
            if ($date_picker.length) {
                $date_picker.flatpickr({
                    format: "Y-m-d",
                });
            }
            //------------

            // Apply filter
            $(".apply-filter").on("click", function(e) {
                var checked = []
                $("input[name='states[]']:checked").each(function () {
                    checked.push(parseInt($(this).val()));
                });
                if( checked.length || $("#category").val() !='' || $("#profession").val() !='' || $("#date_range").val() !='' || $("#shift_type").val() !='' || $("#facility").val() !='' || $("input[name='filter_mints']").val() !='') {
                    $filter_form.submit();
                    $('.filter-error').hide();
                    $(".custom-datatable-filter").toggleClass("hide");
                    e.preventDefault();
                } else {
                    $('.filter-error').show();
                }
            });
            //-------------

            // Clear filter
            $(".clear-filter").on("click", function(e) {
                $(".custom-datatable-filter-form")[0].reset();
                $source = $(".custom-datatable-filter-form");
                $select = $source.find(".select-picker");
                $select.selectpicker("refresh");
                $source.find('.btn-custom-outline').removeClass('active');
                $(".filter-button").addClass('btn-dark');
                $(".filter-button").removeClass('btn-primary');
                $(".custom-datatable-filter").toggleClass("hide");
                window.location.replace(window.location.pathname);
                e.preventDefault();
            });
            //-------------

            $(document).on('click','.bt-approved_update',function(){
                console.log($(".bt-approved_update").data("url"));
                $.ajax({
                    url: $(".bt-approved_update").data("url"),
                    type: 'POST',
                    data: $(".approved-shift-form").serialize(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function (response) {
                        var data = response._data;
                        if(response._status == true) {
                            $('#shift-error-div').addClass('hide');
                            App.showNotification(response);
                            location.reload(true);
                        }else{
                            $('#shift-error-div').removeClass('hide');
                        }
                    }
                });
            });

	$(document).on('click','.bt-approved_sleepover_update',function(){
                console.log($(".bt-approved_sleepover_update").data("url"));
                $.ajax({
                    url: $(".bt-approved_sleepover_update").data("url"),
                    type: 'POST',
                    data: $("#approve-sleepover-form").serialize(),
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function (response) {
                        var data = response._data;
                        if(response._status == true) {
                            $('#shift-error-div').addClass('hide');
                            App.showNotification(response);
                            location.reload(true);
                        }else{
                            $('#shift-error-div').removeClass('hide');
                        }
                    }
                });
            });
        },

        /**
         * Datatable custom filter.
         */
        dataTableCustomFilter: function() {
            $(".filter-button").click(function() {
                var $this = $(this);
                $(".custom-datatable-filter").toggleClass("hide");
                $this.addClass('btn-primary');
                $this.removeClass('btn-dark');
            });
        },

        /**
         * Validate cancel Shift.
         */
        validateCancelShift: function() {
            var $form = $(".cancel-shift-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                errorPlacement: function(error, element) {
                    if (element.attr("name") == "cancel_by") {
                        error.insertAfter(".cancel-shift-by-group");
                    } else {
                        error.insertAfter(element);
                    }
                },

                // @validation rules
                rules: {
                    cancel_by: {
                        required: true
                    },
                    cancel_time: {
                        required: true
                    },
                    cancel_reason: {
                        required: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    cancel_by: {
                        required: "Please select cancel by."
                    },
                    cancel_time: {
                        required: "Please enter cancel time."
                    },
                    cancel_reason: {
                        required: "Please enter cancel reason."
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * Validate approved Shift.
         */
        validateApprovedShift: function() {
            var $form = $(".approved-shift-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    approved_start_time: {
                        required: true
                    },
                    approved_end_time: {
                        required: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    approved_start_time: {
                        required: "Please select approved start time."
                    },
                    approved_end_time: {
                        required: "Please select approved end time."
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * Cancel shift modal.
         */
        cancelShiftModal: function() {
            var $source = $(".datatable-action");
            $source.on(
                "click",
                ".cancel-shift-btn",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModalMedium");
	   $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {

                            // Date picker
                            var $date_picker = $(".date-picker");

                            if ($date_picker.length) {
                                $date_picker.flatpickr({
                                    enableTime: true,
                                    time_24hr: false,
                                    dateFormat: "Y-m-d h:i K",
                                    minuteIncrement: 1,
                                    maxDate: "today",
                                });
                            }
                            //------------

                            Shift.validateCancelShift();
                        });
                    

                }
            );
        },

        /**
         * Get time differences in hours between two dates
         */
        diffHours: function(dt2, dt1) {
            var diff = (dt2.getTime() - dt1.getTime()) / 1000;
            diff /= 60 * 60;
            return Math.abs(Math.round(diff));
        },

        /**
         * Approved shift modal.
         */
        approvedShiftModal: function() {
            var $source = $(".datatable-action");
            $source.on(
                "click",
                ".approved-shift",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModal");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {
                            Shift.validateApprovedShift();

                            var job_start_time = new Date($this.data("start-time"));
                            var job_end_time = new Date($this.data("end-time"));

                            var $start_time = $(".approved-start-time");
                            var $end_time = $(".approved-end-time");
                            Shift.getEstimates();

                            $start_time.flatpickr({
                                enableTime: true,
                                time_24hr: false,
                                dateFormat: "Y-m-d h:i K",
                                //minDate: job_start_time,
                                //maxDate: job_end_time,
                                minuteIncrement: 1,
                                onClose: function(selectedDates, dateStr, instance) {
                                    $end_time.flatpickr({
                                        enableTime: true,
                                        time_24hr: false,
                                        dateFormat: "Y-m-d h:i K",
                                        minuteIncrement: 1,
                                        //minDate: new Date(selectedDates),
                                        //maxDate: job_end_time,
                                        onClose: function(
                                            selectedEndDates,
                                            dateStr,
                                            instance
                                        ) {
                                            if (
                                                $("#category_id").val() != "" &&
                                                $("#profession_id").val() != "" &&
                                                $("#approved_start_time").val() != "" &&
                                                $("#approved_end_time").val() != ""
                                            ) {
                                                var job_hours = Shift.diffHours(
                                                    new Date($start_time.val()),
                                                    new Date(selectedEndDates)
                                                );

                                                var num = new Number(job_hours);
                                                $("#hours").val(num.toPrecision(2));
                                                $("#hours").valid();
                                                Shift.getEstimates();
                                            }

                                        }
                                    });
                                    Shift.getEstimates();
                                }
                            });

                            $end_time.flatpickr({
                                enableTime: true,
                                time_24hr: false,
                                dateFormat: "Y-m-d h:i K",
                                //minDate: new Date($(".approved-start-time").val()),
                                minuteIncrement: 1,
                                //maxDate: job_end_time,
                                onClose: function(selectedDates, dateStr, instance) {
                                    if (
                                        $("#category_id").val() != "" &&
                                        $("#profession_id").val() != "" &&
                                        $("#start_time").val() != "" &&
                                        $("#end_time").val() != ""
                                    ) {
                                        var job_hours = Shift.diffHours(
                                            new Date($start_time.val()),
                                            new Date(selectedDates)
                                        );
                                        var num = new Number(job_hours);
                                        $("#hours").val(num.toPrecision(2));
                                        $("#hours").valid();
                                        Shift.getEstimates();
                                    }
                                }
                            });

                        });

                    $page_modal.on("hidden.bs.modal", function() {
                        App.resetModal($page_modal);
                    });
                }
            );
        },

        /**
         * Link Action.
         */
        linkAction: function() {
            var $source = $(".datatable-action");

            // Handle form submission event
            $source.on("click", ".link-action", function() {
                $this = $(this);
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure to want to change status?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    beforeSend: function () {
                                        //
                                    },
                                    success: function (response) {
                                        App.showNotification(response);
                                        location.reload(true);
                                    },
                                    error: function () {},
                                    complete: function () {
                                        //
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        },


        /**
         * Select Scheduled Shift.
         */
        selectScheduledShift: function() {
            var $form = $(".select-shift-form");

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                errorPlacement: function(error, element) {
                    if (element.attr("name") == "shift_id") {
                        error.insertAfter(".select-shift-error");
                    } else {
                        error.insertAfter(element);
                    }
                },

                // @validation rules
                rules: {
                    shift_id: {
                        required: true
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    shift_id: {
                        required: "Please select shift."
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * Get Estimates.
         */
        getEstimates: function() {
            if (
                $("#category_id").val() != "" &&
                $("#profession_id").val() != "" &&
                $("#start_time").val() != "" &&
                $("#end_time").val() != "" &&
                $("#facility_id").val() != ""
            ) {

                $.ajax({
                    type: "POST",
                    url: $("#shift-estimates").data("url"),
                    data: {
                        category_id: $("#category_id").val(),
                        profession_id: $("#profession_id").val(),
                        level_id: $("#hcp_level_id").val(),
                        start_time: $("#approved_start_time").val(),
                        end_time: $("#approved_end_time").val(),
                        shift_types: $("#shift_types").val(),
                        facility: $("#facility_id").val(),
                        approved_screen: $("#approved_screen").val(),
                    },
                    success: function(response) {
                        var data = response._data;
                        if(response._status == true) {
                            $('#shift-error-div').addClass('hide');
                            $("#break").val(data.break_time);
                            $("#shift_loading").val(data.shift_loading);
                            $("#hours").val(data.total_hours);
                            $("#working_hours").val(data.final_hours);
                            $("#hcp_amount").val(data.hcp_shift_total);
                            $("#facility_amount").val(data.facility_shift_total);
                            $("#admin_fees").val(data.admin_fees);
                            $("#admin_amount").val(data.admin_amount);
                            $("#facility_per_rate").val(data.facility_per_rate);
                            $("#hcp_per_rate").val(data.hcp_per_rate);
                            $("#shift_time").val(data.shift_time);
                            $(".break-time").html(data.break_time);
                            $(".final-hour").html(data.final_hours);
                            $(".hcp-rate").html(data.hcp_per_rate);
                            $(".admin-fees").html(data.admin_fees);
                            $(".facility-rate").html(data.facility_per_rate);
                            $(".shift-loading").html(data.shift_loading);
                            $(".hcp-shift-total").html(data.hcp_shift_total);
                            $(".facility-shift-total").html(data.facility_shift_total);
                            $(".total-hour").html(data.total_hours);
                            $("#admin_fees_with_loading").val(data.admin_fees_with_loading);
                            $("#final_hours_time").val(data.final_hours_time);
                            $("#total_hours_time").val(data.total_hours_time);
                            $("#hcp_shift_loading").val(data.hcp_shift_loading);
                            $("#hcp_shift_total_loading").val(data.hcp_shift_total_loading);
                            $("#facility_shift_loading").val(data.facility_shift_loading);
                            $("#facility_shift_total_loading").val(data.facility_shift_total_loading);

                            if ($('#buddy_request_id').length && $('#buddy_request_id').val() !='') {
                                $("#shift_types").val('buddy');
                            } else {
                                $("#shift_types").val(data.shift_type);
                            }

                            $(".bt-approved").prop( "disabled", false);
                            $(".bt-approved_update").prop( "disabled", false);
                        } else {
                            $('#shift-error-div').removeClass('hide');
                            $('.error-msg').html(response._message);
                            $("#break").val('');
                            $("#hours").val('');
                            $("#shift_loading").val('');
                            $(".break-time").html('');
                            $(".final-hour").html('');
                            $(".hcp-rate").html('');
                            $(".admin-fees").html('');
                            $(".facility-rate").html('');
                            $(".shift-loading").html('');
                            $(".hcp-shift-total").html('');
                            $(".facility-shift-total").html('');
                            $("#working_hours").val('');
                            $("#hcp_amount").val('');
                            $("#facility_amount").val('');
                            $("#admin_fees").val('');
                            $("#facility_per_rate").val('');
                            $("#hcp_per_rate").val('');
                            $("#admin_amount").val('');
                            $("#admin_fees_with_loading").val('');
                            $("#final_hours_time").val('');
                            $("#total_hours_time").val('');
                            $("#hcp_shift_loading").val('');
                            $("#hcp_shift_total_loading").val('');
                            $("#facility_shift_loading").val('');
                            $("#facility_shift_total_loading").val('');
                            $(".bt-approved").prop( "disabled", true);
                            $(".bt-approved_update").prop( "disabled", true);
                        }
                    },
                    error: function(request, status, error) {
                        // console.log(request.responseText);
                    }
                });

            }
        },


        /**
         * Validate rate Shift.
         */
        validateRateShift: function() {
            var $form = $(".rate-shift-form");

            $form.find("select").change(function() {
                $(this).valid();
            });

            $form.validate({
                ignore: "input[type='text']:hidden, .note-editor *",

                // @validation states + elements
                errorClass: "invalid-feedback",
                errorElement: "span",
                //------------------------------

                // @validation rules
                rules: {
                    comment: {
                        required: true,
                        maxlength: DEV_CONFIG["message_length"]["config_value"]
                    },
                },
                //------------------

                // @validation error messages
                messages: {
                    comment: {
                        required: "Please enter comment."
                    },
                },
                //---------------------------

                highlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-danger")
                        .removeClass("has-success");
                    $(element)
                        .addClass("is-invalid")
                        .removeClass("is-valid");
                },
                unhighlight: function(element, errorClass, validClass) {
                    $(element)
                        .closest(".form-group")
                        .addClass("has-success")
                        .removeClass("has-danger");
                    $(element)
                        .addClass("is-valid")
                        .removeClass("is-invalid");
                },
                submitHandler: function(form) {
                    App.formLoading($form);
                    form.submit();
                }
            });
        },

        /**
         * Rate shift modal.
         */
        rateShiftModal: function() {
            var $source = $(".datatable-action");
            $source.on(
                "click",
                ".rate-shift",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModal");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {
                            Shift.validateRateShift();
                        });

                    $page_modal.on("hidden.bs.modal", function() {
                        App.resetModal($page_modal);
                    });
                }
            );
        },


        /**
         * View location modal.
         */
        viewLocationModal: function() {
            var $source = $(".page-heading");
            $source.on(
                "click",
                ".location-shift-btn",
                function() {
                    var $this = $(this);
                    var $page_modal = $("#pageModal");

                    $page_modal.modal("show");
                    $page_modal
                        .find(".modal-content")
                        .load($this.data("url"), function() {

                            // Date picker
                            var $date_picker = $(".date-picker");

                            if ($date_picker.length) {
                                $date_picker.flatpickr({
                                    enableTime: true,
                                    time_24hr: false,
                                    dateFormat: "Y-m-d h:i K",
                                    minuteIncrement: 1,
                                    maxDate: "today",
                                });
                            }
                            //------------

                            Shift.validateCancelShift();
                        });
                }
            );
        },


        /**
         * Get profession according to category.
         */
        getProfessions: function($source) {
            var $source = $(".custom-datatable-filter");

            $source.on("change", ".category-profession", function() {
                var $this = $(this);
                var category = $this.val();

                if (category != "") {
                    $(".profession-div").append(
                        '<div class="input-loading"> <i class="fa fa-refresh fa-spin"></i> </div>'
                    );

                    $.ajax({
                        type: "GET",
                        url: $this.data("url"),
                        data: {
                            category_id: category,
                        },
                        success: function(response) {
                            var data = response._data;
                            var options = '';

                            options = "<option value=''>Select Profession</option>";
                            $.each(data, function(index, data) {
                                options +=
                                    '<option value="' +
                                    data.id +
                                    '">' +
                                    data.name +
                                    "</option>";
                            });

                            $("#profession").html(options);
                            $("#profession").selectpicker("refresh");
                            $(".profession-div .input-loading").hide();
                        }
                    });
                }
            });
        },
    };
})();

Shift.init();
