<?php

return [

    /*
    |--------------------------------------------------------------------------
    | API Messages Language
    |--------------------------------------------------------------------------
    |
    | The following language lines are used by the app to show the message.
    |
     */

    // Auth
    'account_created' => 'Account created.',
    'account_creation_failed' => 'Unable create an account, Please try again!',
    'logged_in' => 'Login successfully.',
    'login_failed' => 'Either e-mail address or password is incorrect.',
    'social_login_failed' => 'Unable to login, Please try again!',
    'token_verified' => 'Auth token verified.',
    'account_verified' => 'Account verified',
    'account_created_but_need_verification' => 'We have sent to you a mail for account verification, Please verify your account by entering given one time password in it.',
    'invalid_one_time_password' => 'You\'ve entered an incorrect OTP, please enter the correct OTP to continue.',
    'logged_out' => 'You have been logged out.',
    'logging_out_failed' => 'Unable to logout, Please try again!',
    'email_or_mobile_number_required' => 'Please enter a valid email address.',
    'email_address_not_exists' => 'The email address is not registered, please enter your registered email address.',
    'mobile_number_not_exists' => 'The mobile number is not registered, please enter your registered mobile number.',
    'forgot_password_email_sent' =>  'We have emailed your new password.',
    'forgot_password_email_sending_failed' => 'Unable to send forgot password email, Please try again!',
    'forgot_password_sms_sending_failed' => 'Unable to send one time password, Please try again!',
    'email_address_already_exists' => 'The email address is already registered, please enter a different email address.',
    'mobile_number_already_exists' => 'The mobile number is already registered.',
    'one_time_password_required' => 'Please enter a valid one time password.',
    'invalid_one_time_password' => 'You have entered wrong OTP.',
    'invalid_one_time_password_request' => 'Invalid request token.',
    'account_inactive' => 'Your account is inactive. Please contact administrator.',
    'mobile_number_not_found' => 'The mobile number not found.',
    'user_password_reset' => 'Password Reset successfully.',
    'something_went_wrong' => 'Oops! Something went wrong.',
    'filter_apply_error' => 'Please select at least one filter.',
    'verification_mail_subject' => 'Please verify your email address.',
    'mobile_verification' => 'We have sent to you a sms for contact number verification, Please verify your account by entering given one time password in it.',
    'verify_email' => 'Email verify successfully',
    'verify_mobile' => 'Contact number verify successfully',
    'email_verification' => 'We have sent to you a mail for email verification, Please verify your account by entering given one time password in it.',
    'verify_email_failed' => 'Invalid OTP.',
    'verify_mobile_failed' => 'Invalid OTP.',
    'verify_mobile_failed_temp' => 'Invalid OTP. Entered OTP is :yourOtp, Correct OTP is: :correctOtp',
    //-----

    /*
    |--------------------------------------------------------------------------
    | Global Messages Language
    |--------------------------------------------------------------------------
    |
    | The following language lines are used by the app to show the message.
    |
     */

    // Records
    'record_found' => ':Record found.',
    'record_not_found' => 'The :record you are looking for could not be found.',

    'records_found' => ':Records found.',
    'records_not_found' => ':Records not available.',

    'record_created' => ':Record created successfully.',
    'record_creation_failed' => 'Unable to create :record, Please try again!.',

    'records_updated' => ':Record updated successfully.',
    'records_updation_failed' => 'Unable to update :record, Please try again!.',

    'records_saved' => ':Records saved successfully.',
    'records_saving_failed' => 'Unable to save :records, Please try again!.',

    'status_changed' => 'Status changed successfully.',
    'status_change_failed' => 'Unable to change status, Please try again!.',

    'record_deleted' => ':Records deleted successfully.',
    'record_deleted_failed' => 'Unable to delete :records, Please try again!.',

    'default_destroy_failed' => 'Default :Records cannot be deleted.',

    'record_import' => ':Records import successfully .',
    'record_import_failed' => 'Unable to import :records, Please try again!.',

    'record_image_deleted' => ':Record image remove successfully.',
    'record_image_deleted_failed' => 'Unable to remove :record image, Please try again!.',

    'record_upload' => ':Records upload successfully .',
    'record_upload_failed' => 'Unable to upload :records, Please try again!.',

    'record_success' => ':Records successfully.',
    'record_failed' => 'Unable to :records, Please try again!.',
    //--------

    // Image Upload
    'image_uploaded' => 'Image uploaded successfully.',
    'image_uploading_failed' => 'Unable to upload image, Please try again!.',
    //-------------

    // File Upload
    'file_uploaded' => 'File uploaded successfully.',
    'file_uploading_failed' => 'Unable to upload file, Please try again!.',
    //------------

    // Bank Holidays
    'bank_holiday_status_warning' => 'You can not change previous holiday date status.',
    //--------------

    // Nurse
    'nurse_create' => 'Nurse created successfully and login credentials shared on the registered email id. The details can now be modified.',
    'nurse_create_restriction' => 'Before add :Record you need to fill Personal Details.',
    //------

    // Job nurse notification
    'new_job' => 'A new job available.',
    'job_notification_sent' => 'Notification sent successfully.',
    'job_notification_sent_failed' => 'Unable to sent notification, Please try again!.',
    'job_accepted' => 'Job accepted by :Name.',
    'job_start' => 'Job start by :Name.',
    'job_completed' => 'Job completed by :Name.',
    'job_cancelled' => 'Job cancelled by :Name.',
    'job_nurse_not_assigned' => 'Job :jobId in this job no nurse assigned.',
    //-----------------------

    // Favourite / Blocked notification
    'favourite_added' => 'Hcp successfully added to favourite.',
    'favourite_added_failed' => 'Unable to add nurse to favourite.',

    'favourite_removed' => 'Hcp successfully removed from favourite.',
    'favourite_removed_failed' => 'Unable to remove nurse from favourite.',

    'blocklist_added' => 'Hcp successfully blocked.',
    'blocklist_added_failed' => 'Unable to block nurse.',

    'blocklist_removed' => 'Hcp successfully removed from blocked list.',
    'blocklist_removed_failed' => 'Unable to remove nurse from blocked list.',
    //---------------------------------

    // Faq & Terms n Conditions
    'file_uploaded' => 'File Uploaded Successfully',
    'file_upload_failed' => 'File Upload Failed',
    //-------------------------

    // Application Approval
    'application_approved' => 'Document approved successfully.',
    'application_approved_failed' => 'Unable to approve document.',
    //---------------------

    // Document Notification/Expiry Email
    'document_notification_content' => 'Your below documents will expire soon. Please update your documents.',
    'document_expiry_content' => 'Your below documents will expired.',
    //-----------------------------------

    // Nurse Email
    'nurse_account_create_content' => 'Your account has been created successfully!',
    'user_email_password_updated' => 'Your email & password has been updated successfully!',
    //------------

    // Apply Shift
    'shift_applied_successfully' => 'Shift applied successfully',
    'shift_applied_failed' => 'This shift already has been accepted by another hcp.',
    'shift_applied_time_failed' => 'You cannot accept this shift as you are already assigned another shift within this shift duration.',
    'shift_applied_hcp_failed' => 'You cannot accept this shift because your account has been blocked or due to insufficent points.',
    'shift_applied__failed_fortnight_hours_reached' => 'You have already booked shifts for this fortnight hours.',
    'shift_applied__failed_day_hours_reached' => 'You have already booked shifts for this day hours.',
    'shift_applied_hcp_blocked' => 'You cannot accept this shift because your account has been blocked.',
    'shift_applied_hcp_failed_pending_approval' => 'You cannot accept this shift because your account has been gone for pending approval. Please contact admin.',
    'shift_applied_hcp_failed_general_document' => 'Your :doucmentName document expire on shift date. Please update your document before accept shift.',
    'shift_applied_hcp_failed_profession_document' => 'Your :doucmentName document expire on shift date. Please update your document before accept shift.',
    'shift_applied_hcp_failed_profession_status' => 'Your :professionName profession is :status.',
    'shift_applied_hcp_failed_end_time_over' => 'You cannot accept this shift because shift end time has been already over.',
    'shift_details_failed' => 'This shift already has been applied by another hcp.',
    'shift_swap_details_failed' => 'Swap request is not available.',
    'shift_applied_hcp_failed_document_pending_approval' => 'Your :doucmentName document is pending for approval. Please contact admin to approve document.',
    //------------

    // Reject Shift
    'shift_reject_successfully' => 'Shift rejected successfully',
    'shift_reject_failed' => 'This shift already has been rejected.',
    //-------------

    // Cancel Shift
    'shift_cancel_successfully' => 'Shift cancelled successfully',
    'shift_cancel_failed' => 'You cannot perform this operation. Please contact customer care.',
    'shift_buddy_cancel_failed' => 'You cannot cancel interview. Please contact customer care.',
    //-------------

    // Reject Shift
    'shift_reject_successfully' => 'Shift rejected successfully',
    'shift_reject_failed' => 'This shift has been already rejected.',
    //-------------

    // Start Shift
    'shift_start_successfully' => 'Shift started successfully',
    'shift_already_start' => 'This shift has been already started.',
    'shift_start_failed' => 'You cannot start this shift.',
    'shift_cannot_start_before_time' => 'Shift cannot start before time.',
    'shift_start_on_location' => 'Facility is far :distance meter from your current location. reach your location then press start shift.',
    'shift_start_no_location_found' => 'Unable to receive coordinates please on your location.',
    'shift_start_end_time_error' => 'You cannot start this shift because shift end time has been already over.',
    //------------

    // End Shift
    'shift_end_successfully' => 'Shift ended successfully',
    'shift_already_end' => 'This shift has been already ended.',
    'shift_end_failed' => 'You cannot end this shift.',
    //------------

    // Buddy Shift
    'buddy_shift_request_create_successfully' => 'Interview request created successfully',
    'buddy_shift_request_create_failed' => 'You already create interview request for this profession.',
    'buddy_shift_request_create_failed_new' => 'Unable to create interview request.',
    'buddy_shift_request_profession_pending_approval' => 'Your profession is under pending approval. Please contact to admin.',
    'buddy_shift_request_create_hcp_failed' => 'Your account is currently not active. Please contact to admin.',
    'buddy_shift_request_create_time_failed' => 'You cannot create interview in this duration because the hcp already assigned another shift within this shift duration.',
    //------------

    // Transfer Shift
    'shift_transfer_successfully' => 'Shift transferred successfully',
    'shift_cannot_transfer' => 'You cannot transfer shift to this hcp.',
    'shift_already_transfer_to_this_hcp' => 'You have already transfer shift to this hcp.',
    'shift_already_transfer' => 'You have already transfer this shift.',
    'shift_transfer_failed' => 'You cannot perform this operation. Please contact customer care.',
    'shift_transfer_accept_successfully' => 'Shift accepted successfully.',
    'shift_transfer_accept_hcp_error' => 'You cannot accept this transfer shift',
    'shift_transfer_accept_hcp_error2' => 'You cannot accept this transfer shift as you are already assigned another shift within this shift duration.',
    'shift_transfer_action_pending' => 'You have already sent a transfer shift request to another hcp. Please wait for hcp response',
    'shift_transfer_reject_successfully' => 'Shift rejected successfully.',
    'shift_transfer_reject_hcp_error' => 'You cannot reject this transfer shift',
    'shift_transfer_request_not_create_buddy' => 'You can not create interview transfer request.',
    'shift_transfer_cancel_successfully' => 'Shift cancelled successfully.',
    'shift_transfer_cancel_hcp_error' => 'You cannot cancel this transfer shift',
    'shift_transfer_end_time_error' => 'You cannot accept this shift because shift end time has been already over.',
    //---------------

    // Swap Shift
    'shift_swap_successfully' => 'Shift swap successfully',
    'shift_cannot_swap' => 'You cannot accept this shift for swap.',
    'shift_already_swap' => 'This shift already swap.',
    'shift_swap_request_create_successfully' => 'Swap Request created successfully. Swap request sent to :hcpCount hcps according to your swap date time.',
    'shift_swap_request_not_create' => 'You can not create swap request because you have already a shift on entered date time.',
    'shift_cannot_swap_same_date_shift' => 'You cannot swap same date shift.',
    'shift_swap_date_time_not_match' => 'Your shift date time are not match with swap shift request.',
    'shift_swap_reject_successfully' => 'Swap Request rejected successfully',
    'shift_swap_reject_failed' => 'This swap request already has been rejected.',
    'shift_swap_request_not_create_buddy' => 'You can not create interview swap request.',
    'shift_swap_request_failed' => 'You cannot perform this operation. Please contact customer care.',
    'shift_swap_request_failed_no_hcp' => 'Unable to create swap request because no hcp shift found in your request duration.',
    'shift_swap_request_end_time_error' => 'You cannot accept this shift because shift end time has been already over.',
    'shift_swap_request_details_current_shift_failed' => 'No shift found for swap according to swap request time.',
    'shift_swap_request_details_failed' => 'swap request no longer available.',
    'shift_history_found' => 'In this shift history, You already performed some actions like (Transfer/Swap/Reject). So you cannot accept this shift.',
    //---------------

    // Change password
    'user_password_updated' => 'Your password has been successfully updated!',
    'current_password_mismatch' => 'You\'ve entered an incorrect current password, please enter the correct one.',
    'new_password_is_same' => 'The current password and new password cannot be same.',
    //----------------

    // Documents
    'no_document_found' => 'No documents found..',
    //----------

    // Change Password
    'password_updation_failed' => 'Unable to change password, Please try again!.',
    'password_updated' => 'Password changed successfully.',
    'password_not_matched' => 'Incorrect current password, Please try again!.',
    //----------------

    // Shift Estimates
    'shift_estimates_found' => 'Shift estimate found.',
    'shift_estimates_not_found' => 'Unable to get shift estimate, Please try again!.',
    'shift_estimates_buddy_shift_error' => 'You can create buddy shift only in Morning Time & Monday to Friday. Please check your start & end time.',
    'shift_estimates_shift_type_not_matched' => "Your shift start & end time can't match from shift type.",
    //----------------

    // invitation code
    'invitation_code_invalid' => 'Invitation code is invalid, Please try again',
    //----------------

    // Facility Plan
    'facility_plan_update_successfully' => 'Plan updated successfully',
    'facility_plan_update_failed' => 'Unable to update plan. You can not update same plan',
    //--------------

    // Buddy Shift Mail Message
    'buddy_shift_mail_message' => 'You got a new interview. Please check below details.',
    //-------------------------

    // Facility Page Access Error
    'facility_page_access_error' => 'You cannot access this page. Please contact with admin',
    'facility_plan_expiry_error' => 'Your plan has been expired. Please update your plan for access this page.',
    //---------------------------

    // Facility Plan Notification/Expiry Email
    'facility_plan_notification_content' => 'Your plan will expire soon. Please update your plan.',
    'facility_plan_expiry_content' => 'Your plan has been expired.',
    //-----------------------------------------

    // Shift
    'multiple_shifts_error' => 'Please start to enter the value from one row. Ward & Number Of Opening fields both is required. If you want to create multiple shifts.',
    'already_approved_shift' => 'Shift already approved.',
    //------

    // Hcp Message
    'hcp_point_title' => 'Your account is blocked due to insufficent points',
    'hcp_point_message' => 'Please contact admin to activate your account',
    'hcp_mandatory_documents_not_uploaded' => 'All mandatory documents are not uploaded.',
    'hcp_documents_not_approved' => 'Please approve all documents before active hcp.',
    'hcp_profession_document_not_approve' => 'Please approve documents before approve profession.',
    'hcp_account_approve' => 'Dear :Hcp, Your iShapps account has been approved by admin. Please login to request an interview.',
    //------------

    // Facility Invoice Generate
    'facility_shift_invoice_generate' => 'I hope you’re well! Please see attached invoice :InvoiceNumber for shifts, invoice statement duration :StatementDuration. Don’t hesitate to reach out if you have any questions.',

    'facility_shift_invoice_overdue' => 'Our records show that we haven’t yet received payment for invoice :InvoiceNumber for shifts, which is overdue by :InvoiceOverdueDate. It will be appreciated if you look into this. <br/> <br/> In case the payment is already sent, please disregard this notice. And in case you have lost this invoice, please find another copy attached herewith.',
    //--------------------------

    // Hcp Invoice Generate
    'hcp_shift_invoice_generate' => 'I hope you’re well! Please see attached statement :InvoiceNumber for shifts, statement duration :StatementDuration. Don’t hesitate to reach out if you have any questions.',
    //----------------------

    // Send otp message
    'otp_message' => 'Dear user, the OTP for contact no verification is :otp. Please enter this to continue the registration process in iShapps mobile App',
    //-----------------

    // Facillity Plan
    'facillity_plan_cant_buy_same_plan' => 'You cannot change same plan with same plan cycle.',
    //---------------

    // Cron Shift Cancel
    'cron_shift_cancel' => 'No HCP Accepted',
    //------------------

    // referral and earn
    // 'referral_and_earn' => 'Dear friend, I am using the iShapps application for getting shifts. I would like you also to try this application which is available on the google store at :playStoreLink and the apple store at :iosStoreLink Please register using my referral code :referalCode to get the referral amount.',

    'referral_and_earn' => 'Hi there, try iShapps for more shifts. Download now on Iphone :iosStoreLink or Android :playStoreLink.

Earn a referral bonus by using registration code :referalCode.

T&C apply.',
    //-------------

    'email_something_went_wrong' => 'Oops! Email service not working.',
    'sms_something_went_wrong' => 'Oops! SMS service not working.',

    'new_shift_mail_subject' => 'A new shift have been created.',
    'shift_transfer_mail_subject' => 'A shift has been transfered (HCP Replacement)',
    'shift_accepted_mail_subject' => 'A shift has been accepted',
    'shift_cancel_mail_subject' => 'A shift have been cancelled',
    'shift_swap_mail_subject' => 'A shift have been swapped',
    'shift_already_accepted' => 'Shift Already Accepted.',
    // 'shift_accept_text_message' => "Hi :facility shift :SHIFT has been accepted by :HCP. Please find shift details below: \n Wing/Ward => :wing, \n Profession => :prof, \n Start Time => :start \n Thank you \n Smart Health Team",
    'shift_accept_text_message' => "Hi :facility shift :SHIFT has been accepted by :HCP.\n Thank you \n Smart Health Team",
    'shift_assigned_text_message' => "Hi :facility shift :SHIFT has been assigned to :HCP.\n Thank you \n Smart Health Team",
    'shift_assigned_mail_subject' => 'A shift has been assigned',
    'shift_level_id_required' => 'The Shift Level field is required for the selected profession',
];
