@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.facilities_shift_accounts').' | '.__('language.page_main_title').'')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5>{{ __('language.accounts_statements_invoice') }} {{ $details[0]['invoice_prefix'].$details[0]['invoice_id'] }}</h5>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">

                            @if (!empty($request))
                                @php $filterApply = 'filter-icon-apply'; @endphp
                            @else
                                @php $filterApply = 'filter-icon'; @endphp
                            @endif
                            <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div>
                        <div class="row page-heading mt-3 mb-3">
                            <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                                <p class="text-center">Total Shifts</p>
                                <p class="text-center">{{count($details)}}</p>
                            </div>
                            <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                                <p class="text-center">Total Amount</p>
                                <p class="text-center">${{ number_format($details->sum('facility_amount'), 2) }}</p>
                            </div>
                        </div>

                        @if (isset($request['invoice_id']) && $request['invoice_id'] !='')
                            @php $invoiceId = $request['invoice_id']; @endphp
                        @else
                            @php $invoiceId = ''; @endphp
                        @endif

                        {!! Form::open(['class' => 'custom-datatable-filter-form', 'id' => 'filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.accounts.facilityShiftAccountDetails', ['facilityId' => ev($request['facility_id']), 'invoiceId' => ev($invoiceId)])]) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2 hide">
                                            <div class="form-group">
                                                {!! Form::select('status', create_select_options(config('constants.invoice_status_facility_admin'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )}}
                                            {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> {{ __('language.table_result') }} </label>
                                    {!! Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                </div>

                                <div class="float-left pl-2 search-box">
                                    {!! Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.accounts.export-shift-transactions-details',['request' => $request])}}">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>


                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> {{ __('language.shift_id') }} </th>
                                <th> {{ __('language.shift_type') }} </th>
                                <th> {{ __('language.cat_pro') }} </th>
                                <th> {{ __('language.level') }} </th>
                                <th> {{ __('language.hcp_name') }} </th>
                                <th> {{ __('language.accounts_table_approved_date') }} </th>
                                <th> {{ __('language.accounts_table_invoice_id') }} </th>
                                <th> {{ __('language.accounts_table_invoice_date') }} </th>
                                <th> {{ __('language.accounts_table_paid_date') }} </th>
                                <th> {{ __('language.total_hours') }} </th>
                                <th> {{ __('language.shift_base_rate') }} </th>
                                <th> {{ __('language.shift_loading_pay') }} </th>
                                <th> {{ __('language.shift_total_pay') }} </th>
                                <th> {{ __('language.status') }} </th>
                                <th> {{ __('language.action') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($details as $detail)
                                <tr>
                                    <td>
                                        <a href="{{ route('adminPanel.accounts.shift_details', ['id' => ev($detail['shift']->id)]) }}">
                                            {{ $detail['shift']->shift_prefix.$detail['shift']->id }}
                                        </a>
                                    </td>
                                    <td>
                                        @if (!empty($detail['shift']->shift_type))
                                            {{ ucwords($detail['shift']->shift_type) }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <div>{{ ucwords($detail['shift']->profession->name)}}</div>
                                        <div class="font-size-12"> {{ ucwords($detail['shift']->category->name)}} </div>
                                    </td>
                                    <td>
                                        <div>{{ ucwords($detail['shift']->level->name)}}</div>
                                    </td>
                                    <td>
                                        @if (!empty($detail['shift']['hcp']))
                                        <a href="{{route('adminPanel.hcps.details', ['id' => ev($detail['shift']['hcp']->id)])}}">
                                            {{ $detail['shift']['hcp']->first_name.' '.$detail['shift']['hcp']->last_name }}
                                        </a>
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($detail['shift']->shift_approved_time))
                                            {{ date("d-m-Y", strtotime($detail['shift']->shift_approved_time)) }}
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($detail->invoice_id))
                                            {{ $detail->invoice_prefix.$detail->invoice_id }}
                                        @else
                                            <b>----</b>
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($detail->invoice_created_at))
                                            {{ date("d-m-Y", strtotime($detail->invoice_created_at)) }}
                                        @else
                                            <b>----</b>
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($detail->paid_on))
                                            {{ date("d-m-Y", strtotime($detail->paid_on)) }}
                                        @else
                                            <b>----</b>
                                        @endif
                                    </td>
                                    <td>
                                        {{ $detail['shift']->working_hours }} Hrs
                                    </td>
                                    <td>
                                        ${{ $detail['shift']->facility_per_rate }}
                                    </td>
                                    <td>
                                        ${{ number_format($detail['shift']->shift_loading*($detail['shift']->facility_per_rate/100), 2) }}
                                    </td>
                                    <td>
                                        ${{$detail['shift']->facility_amount}}
                                    </td>
                                    <td>
                                        @php
                                            $status = '';
                                            if ($detail->status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($detail->invoice_id != '' && $detail->status == 'pending') {
                                                $status .= '<div class="text-dark font-weight-bold"> ' . __("language.account_status_invoiced") . ' </div>';
                                            }  else if ($detail->status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($detail->status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($detail->status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        @endphp
                                        {!! $status !!}
                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="{{route('adminPanel.accounts.shift_details',['id'=>ev($detail['shift']->id)])}}" class="dropdown-item"> {{ __("language.details") }} </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="20" class="text-center"> {{ __('language.no_record_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>

                        <div class="pagination">
                            {{ $details->appends($request)->render() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/account/view.js') }}"></script>

@endpush
