@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.account_hcp_statement_details').' | '.__('language.page_main_title').'')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2 top-header">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{__('language.account_hcp_statement_details')}}</h5>
                            @if (Request::segment(3) == 'hcp')
                                @php
                                    $activeSummary = 'btn-info';
                                    $activeDetailed = 'btn-outline-info';
                                    $activeReferral = 'btn-outline-info';
                                @endphp
                            @elseif(Request::segment(3) == 'hcp-completed-shift')
                                @php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-info';
                                    $activeReferral = 'btn-outline-info';
                                @endphp
                            @elseif(Request::segment(3) == 'view-referrals')
                                @php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-outline-info';
                                    $activeReferral = 'btn-info';
                                @endphp
                            @endif
                            <a href="{{ route('adminPanel.accounts.hcp') }}" class="btn btn-sm {{$activeSummary}} mb-2 mt-2">
                                {{ __('language.account_hcp_statement_summary') }}
                            </a>
                            <a href="{{ route('adminPanel.accounts.hcpCompletedShift') }}" class="btn btn-sm {{$activeDetailed}} mb-2 mt-2 ml-2">
                                {{ __('language.account_hcp_statement_detailed') }}
                            </a>
                            <a href="{{ route('adminPanel.accounts.viewReferrals') }}" class="btn btn-sm {{$activeReferral}} mb-2 mt-2 ml-2">
                                {{ __('language.account_hcp_statement_view_refer_and_earn') }}
                            </a>
                        </div>

                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            @if (!empty($request))
                                @php $filterApply = 'filter-icon-apply'; @endphp
                            @else
                                @php $filterApply = 'filter-icon'; @endphp
                            @endif
                            <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div class="row page-heading mt-3 mb-3">
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Pay</p>
                            <p class="text-center">${{ number_format($shiftDetails->sum('hcp_amount'), 2) }}</p>
                        </div>
                    </div>

                    <div>
                        {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'id' => 'filter-form', 'url' =>
                        route('adminPanel.accounts.hcpCompletedShift')]) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            @if (!empty($states))
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    @foreach($states as $state)
                                                        <label class="btn btn-custom-outline {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : '' }}">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="{{$state->id}}" autocomplete="off" {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : '' }}> {{$state->short_form}}
                                                        </label>
                                                    @endforeach
                                                </div>
                                            @endif
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'category' ]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('shift_type', create_select_options(config('constants.shifts.shift_types_filter'), 'caption', 'value',  __('language.shift_types')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('status', create_select_options(config('constants.transactions_hcp_status'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )}}
                                            {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>

                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> {{ __('language.table_result') }} </label>
                                    {!! Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                </div>

                                <div class="float-left pl-2 search-box">
                                    {!! Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.accounts.hcpCompletedShiftExport',['request' => $request])}}">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> {{ __('language.account_table_statement_id') }} </th>
                                <th> {{ __('language.shift_id') }} </th>
                                <th> {{ __('language.shift_type') }} </th>
                                <th> {{ __('language.cat_pro') }} </th>
                                <th> {{ __('language.account_table_hcp') }} </th>
                                <th> {{ __('language.account_table_facility') }} </th>
                                <th> {{ __('language.accounts_table_approved_date') }} </th>
                                <th> {{ __('language.total_hours') }} </th>
                                <th> {{ __('language.shift_base_rate') }} </th>
                                <th> {{ __('language.shift_loading_pay') }} </th>
                                <th> {{ __('language.shift_total_pay') }} </th>
                                <th> {{ __('language.account_table_hcp_paid_date') }} </th>
                                <th> {{ __('language.account_table_hcp_pay_status') }} </th>
                                <th> {{ __('language.action') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($details as $detail)
                                <tr>
                                    <td>
                                        @if (!empty($detail->statement_id))
                                            <a href="{{route('adminPanel.accounts.hcpDetails',['hcpId' => ev($detail->hcp_id), 'statementId' => ev($detail->statement_id) , 'statementId' => ev($detail->statement_id)])}}">
                                                {{ $detail->statement_prefix.$detail->statement_id }}
                                            </a>
                                        @else
                                            <b>----</b>
                                        @endif
                                    </td>

                                    <td>
                                        <a href="{{ route('adminPanel.accounts.shift_details', ['id' => ev($detail['shift']->id)]) }}">
                                            {{ $detail['shift']->shift_prefix.$detail['shift']->id }}
                                        </a>
                                    </td>
                                    <td>
                                        @if (!empty($detail['shift']->shift_type))
                                            {{ ucwords($detail['shift']->shift_type) }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <div>{{ ucwords($detail['shift']->profession->name)}}</div>
                                        <div class="font-size-12"> {{ ucwords($detail['shift']->category->name)}} </div>
                                    </td>
                                    <td>
                                        @if (!empty($detail['shift']->hcp))
                                        <a href="{{route('adminPanel.hcps.details', ['id' => ev($detail['shift']->hcp->id)])}}" class="text-primary">
                                            <div>{{ ucwords($detail['shift']->hcp->first_name.' '.$detail['shift']->hcp->last_name) }}</div>
                                        </a>
                                        <div class="font-size-12">
                                            @if (!empty($detail['shift']->hcp))
                                                {{ $detail['shift']->hcp->contact_number }}
                                            @endif
                                        </div>
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <a href="{{ route('adminPanel.facilities.details', ['id' => ev($detail['shift']->facility->id)]) }}">
                                            <div> {{ ucwords($detail['shift']->facility->name)}}</div>
                                        </a>
                                        <div class="font-size-12">
                                            @if (!empty($detail['shift']['facility']->address))
                                                {{ $detail['shift']['facility']->address }}
                                            @endif
                                        </div>
                                    </td>
                                    <td>
                                        @if (!empty($detail['shift']->shift_approved_time))
                                            {{ date("d M, Y h:i A", strtotime($detail['shift']->shift_approved_time)) }}
                                        @endif
                                    </td>
                                    <td>
                                        {{ $detail['shift']->working_hours }} Hrs
                                    </td>
                                    <td>
                                        ${{ $detail['shift']->hcp_per_rate }}
                                    </td>
                                    <td>
                                        @if (is_numeric($detail['shift']->shift_loading))
                                            ${{ number_format($detail['shift']->shift_loading*($detail['shift']->hcp_per_rate/100), 2) }}
                                        @else
                                            $0.00
                                        @endif
                                    </td>
                                    <td>
                                        ${{$detail['shift']->hcp_amount}}
                                    </td>
                                    <td>
                                        @if (!empty($detail->hcp_paid_on))
                                            {{ date("d M, Y", strtotime($detail->hcp_paid_on)) }}
                                        @else
                                            <b>----</b>
                                        @endif
                                    </td>
                                    <td>
                                        @php
                                            $status = '';
                                            if ($detail->hcp_payment_status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($detail->statement_id != '' && $detail->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            }  else if ($detail->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($detail->hcp_payment_status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($detail->hcp_payment_status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        @endphp
                                        {!! $status !!}
                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="{{route('adminPanel.accounts.shift_details',['id'=>ev($detail['shift']->id)])}}" class="dropdown-item"> {{ __("language.details") }} </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="20" class="text-center"> {{ __('language.no_record_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>

                        <div class="pagination">
                            {{ $details->appends($request)->render() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/account/view.js') }}"></script>
@endpush
