@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.account_hcp_statement').' | '.__('language.page_main_title').'')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{ __('language.account_hcp_statement') }}</h5>

                            @if (Request::segment(3) == 'hcp')
                                @php
                                    $activeSummary = 'btn-info';
                                    $activeDetailed = 'btn-outline-info';
                                @endphp
                            @elseif(Request::segment(3) == 'hcp-completed-shift')
                                @php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-info';
                                @endphp
                            @elseif(Request::segment(3) == 'view-referrals')
                                @php
                                    $activeSummary = 'btn-info-outline';
                                    $activeDetailed = 'btn-info';
                                    $activeReferral = 'btn-info';
                                @endphp
                            @endif
                            <a href="{{ route('adminPanel.accounts.hcp') }}" class="btn btn-sm {{$activeSummary}} mb-2 mt-2">
                                {{ __('language.account_hcp_statement_summary') }}
                            </a>
                            <a href="{{ route('adminPanel.accounts.hcpCompletedShift') }}" class="btn btn-sm {{$activeDetailed}} mb-2 mt-2 ml-2">
                                {{ __('language.account_hcp_statement_detailed') }}
                            </a>
                            <a href="{{ route('adminPanel.accounts.viewReferrals') }}" class="btn btn-sm {{$activeDetailed}} mb-2 mt-2 ml-2">
                                {{ __('language.account_hcp_statement_view_refer_and_earn') }}
                            </a>

                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            @if (!empty($request))
                                @php $filterApply = 'filter-icon-apply'; @endphp
                            @else
                                @php $filterApply = 'filter-icon'; @endphp
                            @endif
                            <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div class="row page-heading mt-3 mb-3">
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Pay</p>
                            <p class="text-center">${{ number_format($shiftDetails->sum('total_hcp_amount'), 2) }}</p>
                        </div>
                    </div>

                    <div class="top-header">
                        {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' => route('adminPanel.accounts.hcp'), 'id' => 'filter-form']) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            @if (!empty($states))
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    @foreach($states as $state)
                                                        <label class="btn btn-custom-outline {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : '' }}">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="{{$state->id}}" autocomplete="off" {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : '' }}> {{$state->short_form}}
                                                        </label>
                                                    @endforeach
                                                </div>
                                            @endif
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('status', create_select_options(config('constants.transactions_hcp_status'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit'] )}}
                                            {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> {{ __('language.table_result') }} </label>
                                    {!! Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                </div>

                                <div class="float-left pl-2 search-box">
                                    {!! Form::text('statement_search', old('statement_search', ($request['statement_search'] ?? null)), ['class' => 'form-control', 'id' => 'statement_search', 'placeholder' => __('language.table_search')]) !!}
                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.accounts.hcp-export',['request' => $request])}}">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>

                                <a class="btn btn-sm btn-primary hcp-pay-now-link" data-url="{{route('adminPanel.accounts.hcpPay')}}"> Pay Now </a>
                            </div>
                            <div class="col-md-12 text-right">
                                <p class="custom-error" id="hcp-pay-now-error"></p>
                            </div>
                        </div>
                        {!! Form::close() !!}

                        {!! Form::hidden('statement_ids', old('statement_ids', ($request['statement_ids'] ?? null)), ['class' => 'form-control', 'id' => 'statement_ids']) !!}
                    </div>
                </div>


                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th class="checkbox-column">
                                    <label class="new-control new-checkbox checkbox-primary" style="height: 18px; margin: 0 auto;">
                                        <input type="checkbox" class="new-control-input todochkbox" id="todoAll">
                                        <span class="new-control-indicator"></span>
                                    </label>
                                </th>
                                <th> {{ __('language.account_table_statement_id') }} </th>
                                <th> {{ __('language.account_table_hcp_id') }} </th>
                                <th> {{ __('language.account_table_hcp') }} </th>
                                <th> {{ __('language.account_table_statement_duration') }} </th>
                                <th> {{ __('language.account_table_hcp_paid_date') }} </th>
                                <th> {{ __('language.account_table_hcp_acc_no') }} </th>
                                <th> {{ __('language.account_table_hcp_bank_name') }} </th>
                                <th> {{ __('language.account_table_amount') }} </th>
                                <th> {{ __('language.account_table_statement_status') }} </th>
                                <th> {{ __('language.action') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($transactions as $transaction)
                                <tr>
                                    @if (!empty($transaction->statement_id) && $transaction->hcp_payment_status != 'completed')
                                    <td class="checkbox-column">
                                        <label class="new-control new-checkbox checkbox-primary" style="height: 18px; margin: 0 auto;">
                                            <input type="checkbox" class="new-control-input todochkbox" name="invoice_checkbox" value="{{$transaction->statement_id}}">
                                            <span class="new-control-indicator"></span>
                                        </label>
                                    </td>
                                    @else
                                    <td>N/A</td>
                                    @endif

                                    <td>
                                        @if (!empty($transaction->statement_id))
                                            <a href="{{route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id) , 'statementId' => ev($transaction->statement_id)])}}">
                                                {{ $transaction->statement_prefix.$transaction->statement_id }}
                                            </a>
                                        @else
                                            <b>----</b>
                                        @endif
                                    </td>
                                    <td>
                                        <a href="{{ route('adminPanel.hcps.details', ['id' => ev($transaction['hcp']->id)]) }}">
                                            <div> {{ $transaction['hcp']->hcp_prefix.$transaction['hcp']->id }}</div>
                                        </a>
                                    </td>
                                    <td>
                                        {{ ucwords($transaction['hcp']->first_name.' '.$transaction['hcp']->last_name) }}
                                    </td>
                                    <td>
                                        @if (!empty($transaction->statement_id))
                                            {{ $transaction->invoice_generated_date_range }}
                                        @else
                                            <b>----</b>
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($transaction->hcp_paid_on))
                                            {{ date("d M, Y", strtotime($transaction->hcp_paid_on)) }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($transaction['hcp']->account_number))
                                            {{ $transaction['hcp']->account_number }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($transaction['hcp']->bank_name))
                                            {{ ucwords($transaction['hcp']->bank_name) }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        ${{ $transaction->total_hcp_amount }}
                                    </td>
                                    <td>
                                        @php
                                            $status = '';
                                            if ($transaction->hcp_payment_status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($transaction->statement_id != '' && $transaction->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            }  else if ($transaction->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($transaction->hcp_payment_status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($transaction->hcp_payment_status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        @endphp
                                        {!! $status !!}
                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    @php
                                                        if ($transaction->statement_id != '' ) {
                                                            $filename = $transaction['invoice_file_name'];
                                                            if (config('filesystems.default') == config('constants.file_systems.PUBLIC.value')) {
                                                                $attach = url('public/storage/' . config('constants.hcps.invoice_path')) . '/'.urlencode($filename);
                                                            } elseif (config('filesystems.default') == config('constants.file_systems.S3.value')) {
                                                                $bucket = env('AWS_BUCKET');
                                                                $region = env('AWS_DEFAULT_REGION');
                                                                $bucketBaseUrl = 'https://s3.' . $region . '.amazonaws.com/'. $bucket.'/';
                                                                // $attach = $bucketBaseUrl.config('constants.hcps.invoice_path').urlencode($filename);

                                                                $S3NewURL = env('AWS_CloudFront_URL').'/'.config('constants.hcps.invoice_path').urlencode($filename);
                                                                $attach = str_replace('#', '%23', $S3NewURL);
                                                            }
                                                        }
                                                    @endphp
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        @if ($transaction->statement_id != '' && $transaction->hcp_payment_status == 'pending')
                                                            <a href="#" data-url="{{route('adminPanel.accounts.hcpPay', ['id' => $transaction->statement_id])}}" class="dropdown-item link-action">
                                                                {{ __('language.account_pay_button') }}
                                                            </a>

                                                            <a href="{{route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id) , 'statementId' => ev($transaction->statement_id)])}}" class="dropdown-item"> {{ __("language.details") }} </a>

                                                            <a href="{{$attach}}" target="_blank" download  class="dropdown-item"> {{ __("language.account_statement_download") }} </a>
                                                        @elseif($transaction->statement_id == '' &&  $transaction->hcp_payment_status == 'pending')
                                                            <a href="{{route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id)])}}" class="dropdown-item"> {{ __("language.details") }} </a>
                                                        @elseif($transaction->statement_id != '' &&  $transaction->hcp_payment_status == 'completed')
                                                            <a href="{{route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id)])}}" class="dropdown-item"> {{ __("language.details") }} </a>

                                                            <a href="{{$attach}}" target="_blank" download  class="dropdown-item"> {{ __("language.account_statement_download") }} </a>
                                                        @elseif($transaction->statement_id != '' &&  $transaction->hcp_payment_status == 'overdue')
                                                            <a href="#" data-url="{{route('adminPanel.accounts.hcpPay', ['id' => $transaction->statement_id])}}" class="dropdown-item link-action">
                                                                {{ __('language.account_pay_button') }}
                                                            </a>

                                                            <a href="#" data-url="{{route('adminPanel.accounts.facilitySendReminder', ['id' => $transaction->statement_id])}}" class="dropdown-item link-action">
                                                                {{ __('language.account_send_reminder_button') }}
                                                            </a>

                                                            <a href="{{route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id) , 'statementId' => ev($transaction->statement_id)])}}" class="dropdown-item"> {{ __("language.details") }} </a>

                                                            <a href="{{$attach}}" target="_blank" download  class="dropdown-item"> {{ __("language.account_statement_download") }} </a>
                                                        @endif
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>

                        <div class="pagination">
                            {{ $transactions->appends($request)->render() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/account/view.js') }}"></script>
<script>
    $('#todoAll').click(function(e){
        var table= $(e.target).closest('table');
        $('td input:checkbox',table).prop('checked',this.checked);
    });

    $(".todochkbox").change(function() {
        var invoice = [];
        $.each($("input[name='invoice_checkbox']:checked"), function(){
            invoice.push($(this).val());
        });
        $('#statement_ids').val(invoice.join(","));
        $('#statement_ids').valid();
    });
</script>
@endpush
