@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.shifts_details_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/elements/avatar.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/components/tabs-accordian/custom-tabs.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="media">
                                    <div class="media-body profile-info ml-1">
                                        <h6> {{ __('language.shift_details_id') }} {{ $shift->shift_prefix . $shift->id }} </h6>
                                        @if ($shift['shift_status'] == '0')
                                            <label class="text-warning"> {{ __('language.shift_status_pending') }} </label>
                                        @elseif ($shift['shift_status'] == '1')
                                            <label class="text-info"> {{ __('language.shift_status_scheduled') }} </label>
                                        @elseif ($shift['shift_status'] == '2')
                                            <label class="text-success"> {{ __('language.shift_status_running') }} </label>
                                        @elseif ($shift['shift_status'] == '3')
                                            <label class="text-danger"> {{ __('language.shift_status_cancelled') }} </label>
                                        @elseif ($shift['shift_status'] == '4')
                                            <label class="text-success"> {{ __('language.shift_status_completed') }} </label>
                                        @elseif ($shift['shift_status'] == '5')
                                            <label class="text-info"> {{ __('language.shift_status_transfered') }} </label>
                                        @elseif ($shift['shift_status'] == '6')
                                            <label class="text-success"> {{ __('language.shift_status_past') }} </label>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                            <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="summary-tab" data-toggle="tab" href="#summary" role="tab"
                                        aria-controls="summary-tab" aria-selected="true">
                                        Summary
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="details-tab" data-toggle="tab" href="#details" role="tab"
                                        aria-controls="details" aria-selected="false">
                                        Details
                                    </a>
                                </li>
                            </ul>
                            <!-- <hr> -->
                        </div>
                    </div>
                    <div class="tab-content" id="animateLineContent-4">
                        <div class="tab-pane fade show active" id="summary" role="tabpanel"
                            aria-labelledby="summary-tab">
                            <div class="row">
                                <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.booked_date') }} </label>
                                            <p class="text-dark"> {{ date("d M, Y", strtotime($shift->created_at)) }} </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.start_time') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($shift->approved_shift_start_time))
                                                    {{ date("d M, Y h:i A", strtotime($shift->approved_shift_start_time)) }}
                                                @else
                                                    {{ date("d M, Y h:i A", strtotime($shift->start_time)) }}
                                                @endif
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.end_time') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($shift->approved_shift_end_time))
                                                    {{ date("d M, Y h:i A", strtotime($shift->approved_shift_end_time)) }}
                                                @else
                                                    {{ date("d M, Y h:i A", strtotime($shift->end_time)) }}
                                                @endif
                                            </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_category') }} </label>
                                            <p class="text-dark"> {{ $shift->category ? ucwords($shift->category->name) : 'N/A' }} </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_profession') }} </label>
                                            <p class="text-dark"> {{ $shift->profession ? ucwords($shift->profession->name) : 'N/A' }} </p>
                                        </div>
                                    </div>

                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.base_rate') }} </label>
                                            <p class="text-dark"> ${{ number_format($shift->facility_per_rate, 2) }} </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.base_pay') }} </label>
                                            <p class="text-dark"> ${{ number_format($shift->facility_per_rate*$shift->working_hours, 2) }} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_loading') }} </label>
                                            <p class="text-dark"> {{ $shift->shift_loading ? $shift->shift_loading.'%' : '0' }} </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_amount') }} </label>
                                            <p class="text-dark">  ${{ number_format($shift->facility_amount, 2) }} </p>
                                        </div>

                                        @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_admin_fees_with_loading') }} </label>
                                            @php
                                                $adminFees = $shift->total_admin_fees_with_loading;
                                            @endphp
                                            <p class="text-dark"> ${{ number_format($adminFees, 2) }} </p>
                                        </div>
                                        @endif

                                        <div class="col-md-3">
                                            <label> {{ __('language.payment_to_hcp') }} </label>
                                            <p class="text-dark"> ${{ number_format($shift->hcp_amount, 2) }} </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_facility') }} </label>
                                            <p class="text-primary">
                                                <a class="text-primary" href="{{ route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)]) }}">
                                                   {{ ucwords($shift->facility->name)}}
                                                </a>
                                            </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_hcp_name') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($shift->hcp))
                                                <a class="text-primary" href="{{ route('adminPanel.hcps.details', ['id' => ev($shift->hcp->id)]) }}">
                                                    {{ ucwords($shift->hcp->first_name.' '.$shift->hcp->last_name)}}
                                                </a>
                                                @else
                                                Not Assigned
                                                @endif
                                            </p>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="tab-pane fade" id="details" role="tabpanel"
                            aria-labelledby="details-tab">
                            <div class="row">
                                <div class="col-xl-9 col-lg-9 col-md-9 col-9 page-heading">
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.booked_date') }} </label>
                                            <p class="text-dark"> {{ date("d M, Y", strtotime($shift->created_at)) }} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> {{ __('language.booked_by') }} </label>
                                            <p class="text-dark"> {{ $shift->booked_by ? ucwords($shift->booked_by) : 'N/A'   }} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> {{ __('language.approved_on') }} </label>
                                            <p class="text-dark"> {{ $shift->shift_approved_time ? date("d M, Y h:i A", strtotime($shift->shift_approved_time)) : 'N/A'   }} </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.start_time') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($shift->approved_shift_start_time))
                                                    {{ date("d M, Y h:i A", strtotime($shift->approved_shift_start_time)) }}
                                                @else
                                                    {{ date("d M, Y h:i A", strtotime($shift->start_time)) }}
                                                @endif
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.end_time') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($shift->approved_shift_end_time))
                                                    {{ date("d M, Y h:i A", strtotime($shift->approved_shift_end_time)) }}
                                                @else
                                                    {{ date("d M, Y h:i A", strtotime($shift->end_time)) }}
                                                @endif
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.total_hours') }} </label>
                                            <p class="text-dark"> {{ $shift->working_hours }} Hours </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.break_duration') }} </label>
                                            <p class="text-dark"> {{ $shift->break }} Minutes </p>
                                        </div>
                                    </div>

                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_category') }} </label>
                                            <p class="text-dark"> {{ $shift->category ? ucwords($shift->category->name) : 'N/A' }} </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_profession') }} </label>
                                            <p class="text-dark"> {{ $shift->profession ? ucwords($shift->profession->name) : 'N/A' }} </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_level') }} </label>
                                            <p class="text-dark"> {{ $shift->level ? ucwords($shift->level->name) : 'N/A' }} </p>
                                        </div>
                                    </div>

                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.facility_id') }} </label>
                                            <p class="text-primary">
                                               {{ $shift->facility->facility_prefix.$shift->facility->id}}
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_facility') }} </label>
                                            <p class="text-primary">
                                                <a class="text-primary" href="{{ route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)]) }}">
                                                   {{ ucwords($shift->facility->name)}}
                                                </a>
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_facility_address') }} </label>
                                            <p class="text-dark"> {{ $shift->facility ? ucwords($shift->facility->address) : 'N/A' }} </p>
                                        </div>
                                    </div>


                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.hcp_id') }} </label>
                                            <p class="text-primary">
                                                @if (!empty($shift->hcp))
                                                   {{ $shift->hcp->hcp_prefix.$shift->hcp->id}}
                                                @else
                                                Not Assigned
                                                @endif
                                            </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_hcp_name') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($shift->hcp))
                                                <a class="text-primary" href="{{ route('adminPanel.hcps.details', ['id' => ev($shift->hcp->id)]) }}">
                                                    {{ ucwords($shift->hcp->first_name.' '.$shift->hcp->last_name)}}
                                                </a>
                                                @else
                                                Not Assigned
                                                @endif
                                            </p>
                                        </div>
                                    </div>
                                    <h6 class="mt-2 mb-2 text-primary"> {{ __('language.breakup_terms') }} </h6>
                                    <hr>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.base_rate') }} </label>
                                            <p class="text-dark"> ${{ number_format($shift->facility_per_rate, 2) }} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> {{ __('language.base_pay') }} </label>
                                            <p class="text-dark"> ${{ number_format($shift->facility_per_rate*$shift->working_hours, 2) }} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_loading') }} </label>
                                            <p class="text-dark"> {{ $shift->shift_loading ? $shift->shift_loading.'%' : '0' }} </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_amount') }} </label>
                                            <p class="text-dark">  ${{ number_format($shift->facility_amount, 2) }} </p>
                                        </div>

                                        @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                                        <div class="col-md-3">
                                            <label> {{ __('language.shift_admin_fees_with_loading') }} </label>
                                            @php
                                                $adminFees = $shift->total_admin_fees_with_loading;
                                            @endphp
                                            <p class="text-dark"> ${{ number_format($adminFees, 2) }} </p>
                                        </div>
                                        @endif

                                        <div class="col-md-3">
                                            <label> {{ __('language.payment_to_hcp') }} </label>
                                            <p class="text-dark"> ${{ number_format($shift->hcp_amount, 2) }} </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-3 col-3 page-heading" style="border-left: 2px solid #f1f2f3; height:100%; width:2px;min-height:500px;">
                                    <div class="row mb2">
                                        <div class="row">
                                            <div class="col-md-12 mb2">
                                                <label> {{ __('language.rating_by_hcp') }} </label>
                                                @if (!empty($shift->facility_rating))
                                                    <p class="rating">
                                                        <i class="fa fa-star"></i> {{ $shift->facility_rating->facility_rating }}
                                                    </p>
                                                @else
                                                    <p class="text-dark">N/A</p>
                                                @endif
                                            </div>


                                            <div class="col-md-12 mb2">
                                                <label> {{ __('language.comment_by_hcp') }} </label>
                                                @if (!empty($shift->facility_rating))
                                                    <p class="text-dark"> {{ $shift->facility_rating->comment}} </p>
                                                @else
                                                     <p class="text-dark">N/A</p>
                                                @endif
                                            </div>

                                            <div class="col-md-12 mb2">
                                                <label> {{ __('language.rating_by_facility') }} </label>
                                                @if (!empty($shift->hcp_rating))
                                                    <p class="rating">
                                                        <i class="fa fa-star"></i> {{ $shift->hcp_rating->hcp_rating }}
                                                    </p>
                                                @else
                                                     <p class="text-dark">N/A</p>
                                                @endif
                                            </div>

                                            <div class="col-md-12 mb2">
                                                <label> {{ __('language.comment_by_facility') }} </label>
                                                @if (!empty($shift->hcp_rating))
                                                    <p class="text-dark"> {{ $shift->hcp_rating->hcp_comment}} </p>
                                                @else
                                                     <p class="text-dark">N/A</p>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/facilities/facilities.js') }}"></script>

<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
@endpush
