@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.account_hcp_statement').' | '.__('language.page_main_title').'')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{ __('language.account_hcp_statement') }}</h5>

                            @if (Request::segment(3) == 'hcp')
                                @php
                                    $activeSummary = 'btn-info';
                                    $activeDetailed = 'btn-outline-info';
                                    $activeReferral = 'btn-outline-info';
                                @endphp
                            @elseif(Request::segment(3) == 'hcp-completed-shift')
                                @php
                                    $activeSummary = 'btn-outline-info';
                                    $activeReferral = 'btn-outline-info';
                                    $activeDetailed = 'btn-info';
                                @endphp
                            @elseif(Request::segment(3) == 'view-referrals')
                                @php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-outline-info';
                                    $activeReferral = 'btn-info';
                                @endphp
                            @endif
                            <a href="{{ route('adminPanel.accounts.hcp') }}" class="btn btn-sm {{$activeSummary}} mb-2 mt-2">
                                {{ __('language.account_hcp_statement_summary') }}
                            </a>
                            <a href="{{ route('adminPanel.accounts.hcpCompletedShift') }}" class="btn btn-sm {{$activeDetailed}} mb-2 mt-2 ml-2">
                                {{ __('language.account_hcp_statement_detailed') }}
                            </a>
                            <a href="{{ route('adminPanel.accounts.viewReferrals') }}" class="btn btn-sm {{$activeReferral}} mb-2 mt-2 ml-2">
                                {{ __('language.account_hcp_statement_view_refer_and_earn') }}
                            </a>

                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            @if (!empty($request))
                                @php $filterApply = 'filter-icon-apply'; @endphp
                            @else
                                @php $filterApply = 'filter-icon'; @endphp
                            @endif
                            <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>


                    <div class="row page-heading mt-3 mb-3">
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Pay</p>
                            <p class="text-center">${{ number_format($referrals->sum('hcp_amount'), 2) }}</p>
                        </div>
                    </div>

                    <div class="top-header">
                        {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' => route('adminPanel.accounts.viewReferrals'), 'id' => 'filter-form']) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            @if (!empty($states))
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    @foreach($states as $state)
                                                        <label class="btn btn-custom-outline {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : '' }}">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="{{$state->id}}" autocomplete="off" {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : '' }}> {{$state->short_form}}
                                                        </label>
                                                    @endforeach
                                                </div>
                                            @endif
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('status', create_select_options(config('constants.transactions_hcp_status'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit'] )}}
                                            {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> {{ __('language.table_result') }} </label>
                                    {!! Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                </div>

                                <div class="float-left pl-2 search-box">
                                    {!! Form::text('statement_search', old('statement_search', ($request['statement_search'] ?? null)), ['class' => 'form-control', 'id' => 'statement_search', 'placeholder' => __('language.table_search')]) !!}
                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.accounts.viewReferralsExport',['request' => $request])}}">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                            <div class="col-md-12 text-right">
                                <p class="custom-error" id="hcp-pay-now-error"></p>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>


                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> {{ __('language.account_table_statement_id') }} </th>
                                <th> {{ __('language.account_table_hcp') }} </th>
                                <th> {{ __('language.shift_id') }} </th>
                                <th> {{ __('language.account_table_amount') }} </th>
                                <th> {{ __('language.accounts_table_approved_date') }} </th>
                                <th> {{ __('language.status') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($referrals as $referral)
                            <tr>
                                <td>
                                    @if (!empty($referral->statement_id))
                                        <a href="{{route('adminPanel.accounts.hcpDetails',['hcpId' => ev($referral->hcp_id), 'statementId' => ev($referral->statement_id) , 'statementId' => ev($referral->statement_id)])}}">
                                            {{ $referral->statement_prefix.$referral->statement_id }}
                                        </a>
                                    @else
                                        <b>----</b>
                                    @endif
                                </td>
                                <td>
                                    @if (!empty($referral->hcp))
                                    <a href="{{route('adminPanel.hcps.details', ['id' => ev($referral->hcp->id)])}}" class="text-primary">
                                        <div>{{ ucwords($referral->hcp->first_name.' '.$referral->hcp->last_name) }}</div>
                                    </a>
                                    <div class="font-size-12">
                                        @if (!empty($referral->hcp))
                                            {{ $referral->hcp->contact_number }}
                                        @endif
                                    </div>
                                    @else
                                        N/A
                                    @endif
                                </td>

                                <td>
                                    @if (!empty($referral->shift))
                                        <a href="{{ route('adminPanel.accounts.shift_details', ['id' => ev($referral['shift']->id)]) }}">
                                            {{ $referral['shift']->shift_prefix.$referral['shift']->id }}
                                        </a>
                                    @else
                                        N/A
                                    @endif
                                </td>

                                <td>
                                    {{ '$'.number_format($referral->hcp_amount, 2) }}
                                </td>

                                <td>
                                    @if (!empty($referral->referral->referral_completed_date))
                                        {{ date("d M y", strtotime($referral->referral->referral_completed_date)) }}
                                    @else
                                        N/A
                                    @endif
                                </td>
                                <td>
                                    @php
                                        $status = '';
                                        if ($referral->hcp_payment_status == 'completed') {
                                            $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                        } else if ($referral->statement_id != '' && $referral->hcp_payment_status == 'pending') {
                                            $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                        }  else if ($referral->hcp_payment_status == 'pending') {
                                            $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                        } else if ($referral->hcp_payment_status == 'cancelled') {
                                            $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                        } else if ($referral->hcp_payment_status == 'overdue') {
                                            $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                        }
                                    @endphp
                                    {!! $status !!}
                                </td>
                            </tr>
                            @empty
                                <tr>
                                    <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>

                        <div class="pagination">
                            {{ $referrals->appends($request)->render() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/account/view.js') }}"></script>
@endpush
