@extends('admin-panel.layouts.auth')

@section('page-title', ' '.__('language.login_page_title').'')

@push('styles')
    <link href="{{ asset('admin-assets/css/forms/switches.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/form-2.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="form-container outer auth-page">
    <div class="form-form">
        <div class="form-form-wrap">
            <div class="form-container">
                <div class="form-content form-height">
                    <div class="row">
                        <div class="col-md-6" style="">
                            <h2 class="logo-text pt-20"> {!! __('language.project_name') !!} </h2>
                            <div class="powerd-by"> Powered by </div>
                            <div class="pt-70 pt-20"> {{ Html::image(asset('admin-assets/images/login-image.png'), 'logo', array('width' => '65%')) }} </div>
                        </div>

                        <div class="col-md-6 text-left"   style="">
                            <form method="POST" action="{{ route('hcp.login.submit') }}" style="margin:0px 0px;">
        		@csrf
        		<div class="form-group">
          			@component('admin-panel.validation.errors') @endcomponent
          			<label class="sr-only" for="inputUserEmail">UserEmail</label>
          			{{ Form::text('email', old('email'), ["class" => "form-control", "id" => 'phone', "placeholder" => "Enter UserEmail", "autocomplete" => "off", "required", "autofocus"]) }}
        		</div>
        		<div class="form-group">
          			<label class="sr-only" for="inputPassword">Password</label>
          			{{ Form::password('password', ["class" => "form-control", "id" => "password", "placeholder" => "Enter Password", "autocomplete" => "off", "required", "autofocus"]) }}

        		</div>
        		{{ Form::submit('Login', ["class" => "btn btn-primary btn-block"]) }}
      		</form>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
    <script src="{{ asset('admin-assets/js/authentication/form-2.js') }}"></script>
    <script src="{{ asset('admin-assets/js/auth/login.js') }}"></script>
    <script>
    // window.location.href = "https://demo.apporioproducts.com/multi-service/public/merchant/admin/grocery-demo/login";
    (function(document, window, $) {
      'use strict';

      var Site = window.Site;
      $(document).ready(function() {
        Site.run();
      });
    })(document, window, jQuery);
  </script>
  <script type="text/javascript">
    expires = new Date();
    expires = new Date(new Date().getTime() + parseInt(expires) * 1000 * 60 * 60 * 24);
    cookieexpire = expires.toGMTString();
    cookiepath = "/";
    document.cookie = "url=" + window.location.href + "; expires=" + cookieexpire + "; path=" + cookiepath;
  </script>
@endpush
