@extends('admin-panel.layouts.auth')

@section('page-title', ' '.__('language.login_page_title').'')

@push('styles')
    <link href="{{ asset('admin-assets/css/forms/switches.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/form-2.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="form-container outer auth-page">
    <div class="form-form">
        <div class="form-form-wrap">
            <div class="form-container">
                <div class="form-content form-height">
                    <div class="row">
                        <div class="col-md-6" style="">
                            <h2 class="logo-text pt-20"> {!! __('language.project_name') !!} </h2>
                            <div class="powerd-by"> Powered by </div>
                            <div class="pt-70 pt-20"> {{ Html::image(asset('admin-assets/images/login-image.png'), 'logo', array('width' => '65%')) }} </div>
                        </div>

                        <div class="col-md-6 text-left"   style="">
                            {!! Form::open(['class' => 'login-form', 'url' => route('adminPanel.login'), ]) !!}

                                <h1 class="text-left text-dark pt-20 pb-20">Login</h1>

                                <!-- Validation error -->
                                @component('admin-panel.validation.errors') @endcomponent
                                <!-- / Validation error -->

                                <div class="form">
                                    <div id="username-field" class="form-group mb-30">
                                        <label for="email" class="">{{ __('language.login_email') }}</label>
                                        {!! Form::text('email', '', ['class' => 'form-control', 'id' => 'email',
                                        'autocomplete' => 'on', 'placeholder' => __('language.login_email')]) !!}
                                    </div>

                                    <div id="password-field" class="form-group mb-1">
                                        <label for="password" class="">{{ __('language.login_password') }}</label>
                                        {!! Form::password('password', ['class' => 'form-control', 'id' => 'password',
                                        'autocomplete' => 'on', 'placeholder' => __('language.login_password')]) !!}
                                    </div>

                                    <div class="text-right">
                                        <a href="{{ route('adminPanel.passwordRest') }}" class="forgot-pass-link">
                                            {{ __('Forgot Password') }}
                                        </a>
                                    </div>

                                    <div class="text-left keep-logged-in form-group">
                                        <div class="n-chk new-checkbox checkbox-outline-primary">
                                            <label class="new-control new-checkbox checkbox-outline-primary">
                                            <input type="checkbox" class="new-control-input" name="remember" value="1"/>
                                            <span class="new-control-indicator"></span>Remember Me
                                            </label>
                                        </div>
                                    </div>

                                    <div class="mt-20 mb-30 text-right">
                                        <div class="form-group">
                                            {{ Form::button( __('language.login'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}
                                        </div>
                                    </div>
                                </div>
                            {!! Form::close() !!}
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
    <script src="{{ asset('admin-assets/js/authentication/form-2.js') }}"></script>
    <script src="{{ asset('admin-assets/js/auth/login.js') }}"></script>
@endpush
