@extends('admin-panel.layouts.auth')

@section('page-title', ' '.__('language.password_recovery_page_title').'')

@push('styles')
    <link href="{{ asset('admin-assets/css/forms/form-2.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="form-container outer auth-page">
    <div class="form-form">
        <div class="form-form-wrap">
            <div class="form-container">
                <div class="form-content form-height">
                    <div class="row">
                        <div class="col-md-6" style="">
                            <h2 class="logo-text pt-20"> {!! __('language.project_name') !!} </h2>
                            <div class="powerd-by"> Powered by </div>
                            <div class="pt-70 pt-20"> {{ Html::image(asset('admin-assets/images/login-image.png'), 'logo', array('width' => '65%')) }} </div>
                        </div>

                        <div class="col-md-6 text-left">
                            {!! Form::open(['class' => 'text-left login-form', 'url' => route('adminPanel.passwordEmail'), ]) !!}
                                <h1 class="text-left text-dark pt-20 pb-20">Password Recovery</h1>

                                @if (session('error'))
                                    <div class="alert alert-danger mb-4" role="alert">
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <i data-feather="x" class="feather-16"></i> </button>
                                        <strong>Error!</strong>
                                        <div>{{ session('error') }}</div>
                                    </div>
                                @else
                                    <!-- Validation error -->
                                    @component('admin-panel.validation.errors') @endcomponent
                                    <!-- / Validation error -->
                                @endif
                                @if (session('status'))
                                    <div class="alert alert-success mb-4" role="alert">
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <i data-feather="x" class="feather-16"></i> </button>
                                        <strong>Success!</strong>
                                        <div>{{ session('status') }}</div>
                                    </div>
                                @endif

                                <div class="form">
                                    <div id="email-field" class="form-group mb-30">
                                        <label for="email" class="">{{ __('language.login_email') }}</label>
                                        {!! Form::text('email', '', ['class' => 'form-control', 'id' => 'email',
                                        'autocomplete' => 'on', 'placeholder' => __('language.login_email')]) !!}
                                    </div>

                                    <div class="mt-20 mb-30 text-right">
                                        <div class="form-group">
                                            {{ Form::button(__('language.reset'), ['class' => 'btn btn-primary', 'type' => 'submit'] )}}
                                        </div>
                                    </div>
                                </div>
                            {!! Form::close() !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
    <script src="{{ asset('admin-assets/js/authentication/form-2.js') }}"></script>
    <script src="{{ asset('admin-assets/js/auth/login.js') }}"></script>
@endpush
