@extends('admin-panel.layouts.auth')

@section('page-title', ' '.__('language.password_recovery_page_title').'')

@push('styles')
    <link href="{{ asset('admin-assets/css/forms/switches.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/form-2.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="form-container outer auth-page">
        <div class="form-form">
            <div class="form-form-wrap">
                <div class="form-container">
                    <div class="form-content form-height">
                        <div class="row">
                            <div class="col-md-6" style="">
                                <h2 class="logo-text pt-20"> {!! __('language.project_name') !!} </h2>
                                <div class="powerd-by"> Powered by </div>
                                <div class="pt-70 pt-20"> {{ Html::image(asset('admin-assets/images/login-image.png'), 'logo', array('width' => '65%')) }} </div>
                            </div>

                            <div class="col-md-6 text-left">
                                {!! Form::open(['class' => 'text-left reset-password-form login-form', 'url' => route('adminPanel.passwordRest'), ]) !!}
                                <h1 class="text-left text-dark pt-20 pb-20">Reset Password</h1>

                                <!-- Validation error -->
                                @component('admin-panel.validation.errors') @endcomponent
                                <!-- / Validation error -->

                                @if (session('status'))
                                    <div class="alert alert-success mb-4" role="alert">
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <i data-feather="x" class="feather-16"></i> </button>
                                        <strong>Success!</strong>
                                        <div>{{ session('status') }}</div>
                                    </div>
                                @endif

                                <div class="form">
                                    <input type="hidden" name="token" value="{{ $token }}">
                                    <input type="hidden" name="email" value="{{ $email }}">

                                    <div id="new-password-field" class="form-group mb-30" style="position: relative;">
                                        <label for="password" class="">{{ __('language.new_password') }}</label>
                                        {!! Form::password('password', ['class' => 'form-control', 'id' => 'new_password',
                                        'autocomplete' => 'on', 'placeholder' => __('language.new_password')]) !!}

                                        <span class="field-icon" style="top: 38px;">
                                            <i data-feather="eye" toggle="#new_password" class="toggle-new-password"></i>
                                        </span>
                                    </div>

                                    <div id="confirm-password-field" class="form-group mb-30"  style="position: relative;">
                                        <label for="password_confirmation" class="">{{ __('language.confirm_password') }}</label>
                                        {!! Form::password('password_confirmation', ['class' => 'form-control', 'id' => 'password_confirmation','autocomplete' => 'on', 'placeholder' => __('language.confirm_password')]) !!}
                                        <span class="field-icon" style="top: 38px;">
                                            <i data-feather="eye" toggle="#password_confirmation" class="toggle-confirm-password"></i>
                                        </span>
                                    </div>

                                    <div class="mt-20 mb-30 text-right">
                                        <div class="form-group">
                                            {{ Form::button(__('language.reset'), ['class' => 'btn btn-primary', 'type' => 'submit'] )}}
                                        </div>
                                    </div>
                                </div>
                                {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
    <script src="{{ asset('admin-assets/js/auth/reset.js') }}"></script>

    <script>
        $(".toggle-new-password").click(function() {
            var input = $($(this).attr("toggle"));
            if (input.attr("type") == "password") {
                input.attr("type", "text");
            } else {
                input.attr("type", "password");
            }
        });

        $(".toggle-confirm-password").click(function() {
            var input = $($(this).attr("toggle"));
            if (input.attr("type") == "password") {
                input.attr("type", "text");
            } else {
                input.attr("type", "password");
            }
        });
    </script>
@endpush

