@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.edit_category_page_title').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.edit_category_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-categories-form', 'method' => 'post', 'url' => route('adminPanel.categories.update', ['id' => ev($category->id)]) ]) !!}

                        <div class="form-row mb-2">
                            <div class="form-group col-md-4">
                                <label for="name"> {{ __('language.category_name') }} </label>
                                {!! Form::text('name', old('name', ($category->name ?? null)), ['class' => 'form-control', 'id' => 'name', 'placeholder' => __('language.category_name')]) !!}
                            </div>

                            <div class="form-group col-md-4">
                                <label for="comments"> {{ __('language.category_comment') }} </label>
                                {!! Form::text('comments', old('comments', ($category->comments ?? null)), ['class' => 'form-control', 'id' => 'comments', 'placeholder' => __('language.category_comment')]) !!}
                            </div>
                        </div>

                        <div class="form-row mb-3">
                            <div class="form-group col-md-4">
                                <label for="status"> {{ __('language.sub_admins_status') }} </label>
                                {!! Form::select('status', create_select_options(config('constants.category_status'), 'caption', 'value',  null), old('status', ($category->status ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.category_status')]) !!}
                            </div>
                        </div>

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/categories/categories.js') }}"></script>
@endpush
