@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.dashboard_page_title').' ')

@push('styles')
<link href="{{asset('admin-assets/css/plugins.css')}}" rel="stylesheet" type="text/css" />
<link href="{{asset('plugins/apex/apexcharts.css')}}" rel="stylesheet" type="text/css">
<link href="{{asset('admin-assets/css/dash_1.css')}}" rel="stylesheet" type="text/css" />
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing sales">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 layout-spacing">
            <!-- Validation error -->
            @component('admin-panel.validation.errors') @endcomponent
            <!-- / Validation error -->

            <div class="widget widget-card-four">
                <div class="row">
                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.shift.pending') }}">
                        <div class="widget-content dashboard-box-color-1">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_pending_shift') }} </p>
                                    <h6 class="value"> {{$pendingShiftsCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>

                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.hcps.activeHcps') }}">
                        <div class="widget-content dashboard-box-color-2">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_total_reg_hcp') }} </p>
                                    <h6 class="value"> {{$hcpCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>

                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.shift.running') }}">
                        <div class="widget-content dashboard-box-color-3">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_running_shift') }} </p>
                                    <h6 class="value"> {{$runningShiftsCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>

                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.shift.completed') }}">
                        <div class="widget-content dashboard-box-color-4">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_completed_shift') }} </p>
                                    <h6 class="value"> {{$completedShiftsCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>

                    {{--<div class="col-md-3">
                        <a href="{{ route('adminPanel.shift.buddy-requests') }}">
                        <div class="widget-content dashboard-box-color-5">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_buddy_shift') }} </p>
                                    <h6 class="value"> {{$buddyShiftsCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>--}}

                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.shift.scheduled') }}">
                        <div class="widget-content dashboard-box-color-5">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_schedule_shift') }} </p>
                                    <h6 class="value"> {{$scheduleShiftsCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>

                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.facilities.active') }}">
                        <div class="widget-content dashboard-box-color-6">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_total_active_facility') }} </p>
                                    <h6 class="value"> {{$facilityCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>

                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.shift.allShifts', ['last_days' => '30']) }}">
                        <div class="widget-content dashboard-box-color-7">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_total_shift_request_days') }} </p>
                                    <h6 class="value"> {{$last30DaysShift}} </h6>
                                </div>
                            </div>
                        </div>
                    </a>
                    </div>

                    <div class="col-md-3">
                        <a href="{{ route('adminPanel.shift.cancelled') }}">
                        <div class="widget-content dashboard-box-color-8">
                            <div class="w-content">
                                <div class="w-info">
                                    <p class=""> {{ __('language.dashboard_cancelled_shift') }} </p>
                                    <h6 class="value"> {{$canceledShiftsCount}} </h6>
                                </div>
                            </div>
                        </div>
                        </a>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-7">
             <div class="widget-content widget-content-area animated-underline-content">
                <button class="btn btn-primary btn-sm chart1-btn"> {{ __('language.dashboard_top_facility_performance_of_last_30_day') }} </button>

                <button class="btn btn-outline-primary btn-sm chart2-btn"> {{ __('language.dashboard_top_professions_performance_of_last_30_day') }} </button>
                {{-- <ul class="nav nav-pills nav-pills-no-border mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="chart1-tab" data-toggle="pill" href="#chart1" role="tab" aria-controls="chart1" aria-selected="true">
                            {{ __('language.dashboard_top_facility_performance_of_last_30_day') }}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chart2-tab" data-toggle="pill" href="#chart2" role="tab" aria-controls="chart2" aria-selected="false">
                            {{ __('language.dashboard_top_professions_performance_of_last_30_day') }}
                        </a>
                    </li>
                </ul>
                <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="chart1" role="tabpanel" aria-labelledby="chart1-tab">

                    </div>
                    <div class="tab-pane fade" id="chart2" role="tabpanel" aria-labelledby="chart2-tab">

                    </div>
                </div> --}}

                <div class="chart1" id="chart1">
                    {!! Form::open(['class' => 'state-filter-form', 'method' => 'get', 'url' => route('adminPanel.dashboard') ]) !!}
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <h5>{{ __('language.dashboard_top_facility_performance_of_last_30_day') }}</h5>
                        </div>

                        <div class="col-md-4 form-group">
                            {!! Form::select('profession_id', create_select_options($professions, 'name', 'id', __('language.dashboard_select_professions')),old('profession_id', ($request['profession_id'] ?? null)),  ['class' => 'form-control select-picker mt-1 ', 'id' => 'profession_id', "onchange" => "this.form.submit()", 'title' =>  __('language.dashboard_select_professions')])  !!}

                            {!! Form::hidden('tab_name', 'chart1', ['class' => 'form-control']) !!}
                        </div>

                        <div class="col-md-12">
                            <div id="barChartContainer" style="height: 360px; width: 100%; margin:0px auto;"></div>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>

                <div class="chart2" id="chart2">
                    {!! Form::open(['class' => 'state-filter-form', 'method' => 'get', 'url' => route('adminPanel.dashboard') ]) !!}
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <h5>{{ __('language.dashboard_top_professions_performance_of_last_30_day') }}</h5>
                        </div>

                        <div class="col-md-4 form-group">
                            {!! Form::select('facility_id', create_select_options($facilityList, 'name', 'id', __('language.dashboard_select_facility')),old('facility_id', ($request['facility_id'] ?? null)),  ['class' => 'form-control select-picker mt-1 ', 'id' => 'facility_id', "onchange" => "this.form.submit()", 'title' =>  __('language.dashboard_select_facility')])  !!}
                            {!! Form::hidden('tab_name', 'chart2', ['class' => 'form-control']) !!}
                        </div>

                        <div class="col-md-12">
                            <div id="professionBarChart" style="height: 360px; width: 100%; margin:0px auto;"></div>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>

            </div>

        </div>
        <div class="col-md-5">
            <div class="widget widget-chart-two">
                <div class="widget-heading">
                    <h5 class="">{{ __('language.dashboard_hcp_statistics') }}</h5>
                </div>
                <div class="widget-content">
                    <div id="hcpStatisticsData" class="none" labels="{{$hcpStatisticsLabels}}" data="{{$hcpStatisticsDataset}}" option="{{$hcpStatisticsOptions}}"></div>
                    <canvas id="hcpStatistics" width="600" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    @if ($authUser->can('View Shifts'))
    <div class="row mt-4">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 pt-1">
                            <h5>{{ __('language.dashboard_shift_of_last') }}</h5>
                        </div>
                    </div>

                    {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                    route('adminPanel.dashboard'), 'id' => "filter-form"]) !!}
                    <div class="row mt-2">
                        <div class="col-md-4">
                            <div class="">
                                <label> {{ __('language.table_result') }} </label>
                                {!! Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'shift_per_page', "onchange" => "this.form.submit()",]) !!}
                            </div>
                        </div>
                    </div>
                    {!! Form::close() !!}

                    <div class="table-responsive pb-5">
                        <table id="dataTable" class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> {{ __('language.shift_id') }} </th>
                                <th> {{ __('language.booked_date') }} </th>
                                <th> {{ __('language.shift_type') }} </th>
                                <th> {{ __('language.cat_pro') }} </th>
                                <th> {{ __('language.fac_name') }} </th>
                                <th> {{ __('language.hcp_name') }} </th>
                                <th> {{ __('language.shift_start') }} </th>
                                <th> {{ __('language.shift_end') }} </th>
                                <th> {{ __('language.total_hours') }} </th>
                                <th> {{ __('language.shift_address') }} </th>
                                <th> {{ __('language.shift_suburb') }} </th>
                                <th> {{ __('language.shift_state') }} </th>
                                <th> {{ __('language.table_status') }} </th>
                                <th> {{ __('language.action') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($shifts as $shift)
                                <tr>
                                    <td>
                                        <a href="{{ route('adminPanel.shift.details', ['id' => ev($shift->id)]) }}">
                                            {{ $shift->shift_prefix . $shift->id }}
                                        </a>
                                    </td>
                                    <td> {{ date("d M Y", strtotime($shift->created_at)) }} </td>
                                    <td>
                                        @if (!empty($shift->shift_type))
                                            {{ ucwords($shift->shift_type) }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <div>{{ ucwords($shift->profession->name)}}</div>
                                        <small> {{ ucwords($shift->category->name)}} </small>
                                    </td>
                                    <td>
                                        <a href="{{ route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)]) }}">
                                            <div> {{ ucwords($shift->facility->name)}}</div>
                                        </a>  <small> {{ $shift->facility->facility_prefix . $shift->facility->id }} </small>
                                    </td>
                                    <td>
                                        @if (!empty($shift['hcp']))
                                        <a href="{{route('adminPanel.hcps.details', ['id' => ev($shift['hcp']->id)])}}" class="text-primary">
                                            <div>{{ ucwords($shift['hcp']->first_name.' '.$shift['hcp']->last_name) }}</div>
                                        </a>
                                        <small> {{ $shift['hcp']->hcp_prefix . $shift['hcp']->id }} </small>
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <div>{{ date("d M", strtotime($shift->start_time)) }}</div>
                                        {{ date("h:i A", strtotime($shift->start_time)) }}
                                    </td>
                                    <td>
                                        <div>{{ date("d M", strtotime($shift->end_time)) }}</div>
                                        {{ date("h:i A", strtotime($shift->end_time)) }}
                                    </td>
                                    <td> {{ $shift->hours.' Hrs' }} </td>
                                    <td> {{ ucwords($shift['facility']->address) }} </td>
                                    <td>
                                        @if (!empty($shift['facility']->suburb_name))
                                            {{ $shift['facility']->suburb_name }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($shift['facility']->state))
                                            {{ $shift['facility']->state->short_form }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        @if ($shift['shift_status'] == '0')
                                            <div class="text-warning font-weight-bold"> {{ __('language.shift_status_pending') }} </div>
                                        @elseif ($shift['shift_status'] == '1')
                                            <div class="text-info font-weight-bold"> {{ __('language.shift_status_scheduled') }} </div>
                                        @elseif ($shift['shift_status'] == '2')
                                            <div class="text-success font-weight-bold"> {{ __('language.shift_status_running') }} </div>
                                        @elseif ($shift['shift_status'] == '3')
                                            <div class="text-danger font-weight-bold"> {{ __('language.shift_status_cancelled') }} </div>
                                        @elseif ($shift['shift_status'] == '4')
                                            <div class="text-success font-weight-bold"> {{ __('language.shift_status_completed') }} </div>
                                        @elseif ($shift['shift_status'] == '5')
                                            <div class="text-info font-weight-bold"> {{ __('language.shift_status_transfered') }} </div>
                                        @elseif ($shift['shift_status'] == '6')
                                            <div class="text-success font-weight-bold"> {{ __('language.shift_status_past') }} </div>
                                        @endif
                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="{{ route('adminPanel.shift.details', ['id' => ev($shift->id)]) }}" class="dropdown-item"> {{ __("language.details") }} </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="15" class="text-center"> {{ __('language.no_data_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>
                        <div class="pagination">
                            {{ $shifts->appends($request)->render() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endif
@endsection

@push('scripts')
    <script src="{{ asset('admin-assets/js/components.js') }}"></script>
    <script src="{{ asset('admin-assets/js/dashboard/dashboard.js') }}"></script>
    <script src="{{ asset('admin-assets/js/dashboard/canvasjs.min.js') }}"></script>
    <script src="{{ asset('admin-assets/js/dashboard/chart.js') }}"></script>

    <script>
        $(function(){
            var hash = window.location.hash;
            hash && $('ul.nav a[href="' + hash + '"]').tab('show');
            $('.nav-pills a').click(function (e) {
                $(this).tab('show');
                var scrollmem = $('body').scrollTop();
                window.location.hash = this.hash;
                $('html,body').scrollTop(scrollmem);
            });
        });
    </script>
    <script>
        function generateChart(chartId,chartType,chartlabels,chartdataset,chartOptions){
            var createChart = document.getElementById(chartId);
            Chart.defaults.global.defaultFontSize = 12;

            var oilData = {
                labels: chartlabels,
                datasets: chartdataset
            };

            var pieChart = new Chart(createChart, {
                type: chartType,
                data: oilData,
                options:chartOptions
            });
        }

        window.onload = function () {
            function formatter(e){
                if(e.index === 0 && e.dataPoint.x === 0){
                    return " Min " + e.dataPoint.y[e.index] + "°";
                }else if(e.index == 1 && e.dataPoint.x === 0){
                    return " Max " + e.dataPoint.y[e.index] + "°";
                }else{
                    return e.dataPoint.y[e.index] + "°";
                }
            }

            // Hcp Statistics
            var hcpStatisticsLabels = $('#hcpStatisticsData').attr('labels');
            var hcpStatisticsDataset = $('#hcpStatisticsData').attr('data');
            var hcpStatisticsOptions = $('#hcpStatisticsData').attr('option');
            if (hcpStatisticsDataset != undefined) {
                generateChart('hcpStatistics','doughnut',JSON.parse(hcpStatisticsLabels),JSON.parse(hcpStatisticsDataset),JSON.parse(hcpStatisticsOptions));
            }
            //---------------

            var shiftCountChartLabels = $('#shiftCountChartData').attr('labels');
            var shiftCountChartDataset = $('#shiftCountChartData').attr('data');
            var shiftCountChartOptions = $('#shiftCountChartData').attr('option');
            if (shiftCountChartDataset != undefined) {
                generateChart('shiftCountChart','line',JSON.parse(shiftCountChartLabels),JSON.parse(shiftCountChartDataset),JSON.parse(shiftCountChartOptions));
            }

            // Top 5 Performance Of Last 30 Days
            var barChart = new CanvasJS.Chart("barChartContainer", {
                animationEnabled: true,
                theme: "light2", // "light1", "light2", "dark1", "dark2"
                data: [{
                    type: "column",
                    showInLegend: false,
                    legendMarkerColor: "grey",
                    legendText: "",
                    dataPoints: @json($topFacilitiesData),
                }]
            });
            barChart.render();
            //----------------------------------

            // Top 5 Performance Of Last 30 Days
            var ProfessionBarChart = new CanvasJS.Chart("professionBarChart", {
                animationEnabled: true,
                theme: "light2", // "light1", "light2", "dark1", "dark2"
                data: [{
                    type: "column",
                    showInLegend: false,
                    legendMarkerColor: "grey",
                    legendText: "",
                    dataPoints: @json($topProfessionsData),
                }]
            });
            ProfessionBarChart.render();
            //----------------------------------

            @if (isset($request['tab_name']) && $request['tab_name'] == 'chart1')
                $('#chart2').addClass('hide');
                $('#chart1').removeClass('hide');
            @elseif(isset($request['tab_name']) && $request['tab_name'] == 'chart2')
                $('#chart1').addClass('hide');
                $('#chart2').removeClass('hide');
                $('.chart1-btn').removeClass('btn-primary');
                $('.chart1-btn').addClass('btn-outline-primary');
                $('.chart2-btn').removeClass('btn-outline-primary');
                $('.chart2-btn').addClass('btn-primary');
            @else
                $('#chart2').addClass('hide');
            @endif
        }

        $(".chart2-btn").click(function(){
            $('#chart2').removeClass('hide');
            $('#chart1').addClass('hide');
            $('.chart1-btn').removeClass('btn-primary');
            $('.chart1-btn').addClass('btn-outline-primary');
            $('.chart2-btn').removeClass('btn-outline-primary');
            $('.chart2-btn').addClass('btn-primary');
        });

        $(".chart1-btn").click(function(){
            $('#chart1').removeClass('hide');
            $('#chart2').addClass('hide');

            $('.chart2-btn').removeClass('btn-primary');
            $('.chart2-btn').addClass('btn-outline-primary');
            $('.chart1-btn').removeClass('btn-outline-primary');
            $('.chart1-btn').addClass('btn-primary');
        });
    </script>
@endpush
