@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.dev_configuration').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.dev_configuration') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-dev-configuration-form', 'method' => 'post', 'url' => route('adminPanel.dev-configuration.update') ]) !!}

                        @if (!empty($configurations))
                            @foreach ($configurations as $key => $configuration)
                                <div class="form-row mb-2">
                                    <div class="form-group col-md-4">
                                        <label for="name"> {{ __('language.dev_configuration_key') }} </label>

                                        {!! Form::hidden('dev_configuration['.$key.'][id]', old('value', ($configuration->id ?? null)), ['class' => 'form-control input-readonly-borderless', 'id' => 'name', 'placeholder' => __('language.dev_configuration_key'), 'readonly' ]) !!}

                                        {!! Form::text('dev_configuration['.$key.'][key]', old('key', (ucwords(str_replace("_"," ",$configuration->config_key)) ?? null)), ['class' => 'form-control input-readonly-borderless', 'id' => 'name', 'placeholder' => __('language.dev_configuration_key'), 'readonly' ]) !!}
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="name"> {{ __('language.dev_configuration_value') }} </label>
                                        {!! Form::text('dev_configuration['.$key.'][value]', old('value', ($configuration->config_value ?? null)), ['class' => 'form-control', 'id' => 'name', 'placeholder' => __('language.dev_configuration_value')]) !!}
                                    </div>
                                </div>
                            @endforeach
                        @endif

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/categories/categories.js') }}"></script>
@endpush
