@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.document_config').' ')

@push('styles')
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5> {{ __('language.document_config_update') }} </h5>
                            <p> {{trans('language.document_line')}} </p>
                        </div>
                    </div>

                    <div class="form p-3">
                        {!! Form::open(['class' => 'update-document-config-form', 'method' => 'post', 'url' => route('adminPanel.document-config.update', ['docId' => ev($document->id)]) ]) !!}

                            <div class="form-row mb-2">
                                <div class="form-group col-md-4">
                                    {!! Form::text('name', old('name', ($document->name ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'name', 'readonly' ]) !!}
                                </div>
                            </div>

                            <div class="row mt2">
                                <div class="col-xl-12 col-lg-12 col-md-12 col-12 text-left">
                                    <label> {{ __('language.document_config_choose_profession') }} </label>
                                    @if (!empty($professions))
                                        <div class="row pt1">
                                            @foreach ($professions as $profession)
                                                <div class="form-group col-md-3">
                                                    <div class="n-chk">
                                                        @php
                                                            $documentProfession = get_document_profession($document->id, $profession->id);
                                                        @endphp

                                                        @if ($documentProfession == true)
                                                            @php $professionCheck = 'checked' @endphp
                                                        @else
                                                            @php $professionCheck = '' @endphp
                                                        @endif
                                                        <label class="new-control new-checkbox checkbox-dark text-dark">
                                                            {!! Form::checkbox('profession[]',  $profession['id'], null,  ['class' => 'new-control-input professions-checkbox' , 'id' => $profession['id'],  $professionCheck  ]) !!}
                                                            <span class="new-control-indicator"></span>
                                                            {{  $profession['name'] }}
                                                        </label>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    @endif
                                </div>

                                <div class="col-xl-12 col-lg-12 col-md-12 col-12 text-left">
                                    <div id="professions_error" class="mb-4"></div>
                                </div>
                            </div>

                            {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                        {!! Form::close() !!}
                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/config/document-config.js') }}"></script>
@endpush
