@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.document_config').' ')

@push('styles')
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{ __('language.document_config') }}</h5>
                            <p>{{trans('language.document_line')}}</p>
                        </div>
                    </div>

                    <div class="form p-3">
                        @if (!empty($documents))
                            @foreach ($documents as $document)
                                <div class="row mb3 mt3">
                                    <div class="col-xl-3 col-lg-3 col-md-3 col-3 text-left">
                                        <div class="text-dark mb0"> <b>{{ $document->name }}</b> </div>
                                        <a href="{{ route('adminPanel.document-config.edit', ['docId' => ev($document->id)]) }}" class="text-primary"> Edit </a>
                                    </div>

                                    <div class="col-xl-9 col-lg-9 col-md-9 col-9 text-left">
                                        @if (!empty($professions))
                                            <div class="row pt0">
                                                @foreach ($professions as $profession)
                                                    <div class="form-group col-md-3">
                                                        <div class="n-chk">
                                                            @php
                                                                $documentProfession = get_document_profession($document->id, $profession->id);
                                                            @endphp

                                                            @if ($documentProfession == true)
                                                                @php $professionCheck = 'checked' @endphp
                                                            @else
                                                                @php $professionCheck = '' @endphp
                                                            @endif
                                                            <label class="new-control new-checkbox checkbox-dark text-dark">
                                                                {!! Form::checkbox('profession[]',  $profession['id'], null,  ['class' => 'new-control-input permission-checkbox' , 'id' => $profession['id'], 'disabled', $professionCheck  ]) !!}
                                                                <span class="new-control-indicator"></span>
                                                                {{  $profession['name'] }}
                                                            </label>
                                                        </div>
                                                    </div>
                                                @endforeach
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <hr/>
                            @endforeach
                        @endif
                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/config/document-config.js') }}"></script>
@endpush
