@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.document_notifications').' ')

@push('styles')
<link href="{{asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')}}" rel="stylesheet">
<link href="{{asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')}}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="media">
                                    <div class="w-img">
                                        <h5>{{trans('language.document_notifications')}}</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                    <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="expiring-tab" data-toggle="tab" href="#expiring" role="tab"
                                aria-controls="expiring-tab" aria-selected="false">
                                {{ __('language.expiring_doc') }}
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="recent-tab" data-toggle="tab" href="#recent" role="tab"
                                aria-controls="recent" aria-selected="true">
                                {{ __('language.recent_sub') }}
                            </a>
                        </li>
                    </ul>

                    <div class="tab-content" id="animateLineContent-4">
                        <div class="tab-pane fade show active pt-0" id="expiring" role="tabpanel"
                            aria-labelledby="expiring-tab">

                            <div>
                                {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.doc_notify.index').'#expiring', 'id' => "filter-form"]) !!}
                                <div class="row pl-3 mt-3">
                                    <div class="col-md-8">
                                        <div class="float-left">
                                            <label> {{ __('language.table_result') }} </label>
                                            {!! Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            {!! Form::text('hcp_expiring_search', old('search', ($request['hcp_expiring_search'] ?? null)), ['class' => 'form-control', 'id' => 'hcp_expiring_search', 'placeholder' => __('language.table_search')]) !!}
                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.document-notification.expiringDocExport', ['request' => $request])}}">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                    </div>
                                </div>
                                {!! Form::close() !!}
                            </div>

                            <div class="table-responsive pb-5">
                                <table id="dataTable" class="table mb-4">
                                    <thead>
                                        <tr>
                                            <th>{{__('language.document_notifications_table_hcp_id')}}</th>
                                            <th>{{__('language.document_notifications_table_hcp')}}</th>
                                            <th>{{__('language.document_notifications_table_hcp_email')}} </th>
                                            <th>{{__('language.document_notifications_table_hcp_contact')}}</th>
                                            <th>{{__('language.document_notifications_table_doc_name')}}</th>
                                            <th>{{__('language.document_notifications_table_expiry_date')}}</th>
                                            <th>{{__('language.action')}}</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @forelse($expiringDocuments as $expiringDocument)
                                        <tr>
                                            <td>
                                                <a href="{{route('adminPanel.hcps.details', ['id' => ev($expiringDocument->hcp_id)])}}">
                                                    {{ $expiringDocument->hcp['hcp_prefix'] . $expiringDocument->hcp_id }}
                                                </a>
                                            </td>
                                            <td>
                                                {{ucwords($expiringDocument->hcp['first_name']. ' ' . $expiringDocument->hcp['last_name'])}}
                                            </td>
                                            <td>{{$expiringDocument->hcp['user']->email}}</td>
                                            <td>{{$expiringDocument->hcp['contact_number'] ?? 'N/A'}}</td>
                                            <td>{{$expiringDocument->document['name']}}</td>
                                            <td>
                                                @if (!empty($expiringDocument->expiry_date))
                                                    {{ date("d F Y", strtotime($expiringDocument->expiry_date)) }}
                                                @else
                                                    N/A
                                                @endif
                                            </td>
                                            <td>
                                                @php
                                                    $documentUrl = get_file_url(config('constants.hcps.hcps_path') .
                                                    $expiringDocument->hcp['hcp_prefix'] . $expiringDocument->hcp_id . '/documents/',
                                                    $expiringDocument->document_name);
                                                @endphp
                                                <ul class="datatable-action">
                                                    <li>
                                                        <div class="dropdown custom-dropdown-icon">
                                                            <a class="dropdown-toggle" href="#" role="button"
                                                                id="dropdownMenuLink-4" data-toggle="dropdown"
                                                                aria-haspopup="true" aria-expanded="false">
                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                            </a>
                                                            <div class="dropdown-menu dropdown-menu-right"
                                                                aria-labelledby="dropdownMenuLink-4">
                                                                <a href="{{$documentUrl}}" class="dropdown-item"
                                                                    target="_blank" download>
                                                                    {{ __("language.download") }} </a>
                                                            </div>
                                                        </div>
                                                    </li>
                                                </ul>
                                            </td>
                                        </tr>
                                        @empty
                                        <tr>
                                            <td colspan="15" class="text-center"> {{ __('language.no_record_found') }}
                                            </td>
                                        </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                                <div class="pagination">
                                    {{ $expiringDocuments->appends($request)->render() }}
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane pt-0" id="recent" role="tabpanel" aria-labelledby="recent-tab">
                            <div>
                                {!! Form::open(['class' => 'recent-custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.doc_notify.index').'#recent', 'id' => "recent-filter-form"]) !!}
                                <div class="row pl-3 mt-3">
                                    <div class="col-md-8">
                                        <div class="float-left">
                                            <label> {{ __('language.table_result') }} </label>
                                            {!! Form::select('recent_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('recent_per_page', ($request['recent_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'recent_per_page', "onchange" => "this.form.submit()",]) !!}
                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            {!! Form::text('hcp_recent_search', old('search', ($request['hcp_recent_search'] ?? null)), ['class' => 'form-control', 'id' => 'hcp_recent_search', 'placeholder' => __('language.table_search')]) !!}
                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#recent-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.document-notification.recentDocExport', ['request' => $request])}}">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                    </div>
                                </div>
                                {!! Form::close() !!}
                            </div>

                            <div class="table-responsive pb-5">
                                <table id="dataTable" class="table mb-4">
                                    <thead>
                                        <tr>
                                            <th>{{__('language.document_notifications_table_hcp_id')}}</th>
                                            <th>{{__('language.document_notifications_table_hcp')}}</th>
                                            <th>{{__('language.document_notifications_table_hcp_email')}} </th>
                                            <th>{{__('language.document_notifications_table_hcp_contact')}}</th>
                                            <th>{{__('language.document_notifications_table_doc_name')}}</th>
                                            <th>{{__('language.document_notifications_table_expiry_date')}}</th>
                                            <th>{{__('language.status')}}</th>
                                            <th>{{__('language.action')}}</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @forelse($hcpDocuments as $value)
                                        <tr>
                                            <td>
                                                <a href="{{route('adminPanel.hcps.details', ['id' => ev($value->hcp_id)])}}">
                                                    {{ $value->hcp['hcp_prefix'] . $value->hcp_id }}
                                                </a>
                                            </td>
                                            <td>
                                                {{ucwords($value->hcp['first_name']. ' ' . $value->hcp['last_name'])}}
                                            </td>
                                            <td>{{$value->hcp->user->email}}</td>
                                            <td>{{$value->hcp->contact_number}}</td>
                                            <td>{{$value->document->name}}</td>
                                            <td>
                                                @if (!empty($value->expiry_date))
                                                {{ date("d F Y", strtotime($value->expiry_date)) }}
                                                @else
                                                N/A
                                                @endif
                                            </td>
                                            <td>
                                                @php
                                                $documentUrl = get_file_url(config('constants.hcps.hcps_path') .
                                                $value->hcp['hcp_prefix'] . $value->hcp_id . '/documents/',
                                                $value->document_name);
                                                @endphp

                                                @php
                                                $status = '';
                                                if ($value->document_approval == 'approved') {
                                                    $status .= '<div class="text-success font-weight-bold"> ' . __("language.document_approved") . ' </div>';
                                                } else if ($value->document_approval == 'pending') {
                                                    $status .= '<div class="text-warning font-weight-bold"> ' . __("language.document_pending") . ' </div>';
                                                } else if ($value->document_approval == 'pending-reapproval') {
                                                    $status .= '<div class="text-warning font-weight-bold"> ' . __("language.document_pending_approved") . ' </div>';
                                                } else if ($value->document_approval == 'reapproved') {
                                                    $status .= '<div class="text-success font-weight-bold"> ' . __("language.document_reapproved") . ' </div>';
                                                }
                                                @endphp
                                                {!! $status !!}
                                            </td>
                                            <td>
                                                <ul class="datatable-action">
                                                    <li>
                                                        <div class="dropdown custom-dropdown-icon">
                                                            <a class="dropdown-toggle" href="#" role="button"
                                                                id="dropdownMenuLink-4" data-toggle="dropdown"
                                                                aria-haspopup="true" aria-expanded="false">
                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                            </a>
                                                            <div class="dropdown-menu dropdown-menu-right"
                                                                aria-labelledby="dropdownMenuLink-4">
                                                                <a href="{{$documentUrl}}" class="dropdown-item"
                                                                    target="_blank" download>
                                                                    {{ __("language.download") }} </a>

                                                                    @if ($value->document_approval == 'pending')
                                                                    <a href="#" class="dropdown-item link-action"
                                                                        data-url="{{route('adminPanel.hcps.documentApproved', ['id' => ev($value->id), 'hcpId' => ev($value->hcp_id)])}}">
                                                                        {{ __("language.document_approved") }} </a>
                                                                    @elseif($value->document_approval == 'pending-reapproval')
                                                                    <a href="#"
                                                                        data-url="{{route('adminPanel.hcps.documentReapproved', ['id' => ev($value->id), 'hcpId' => ev($value->hcp_id)])}}"
                                                                        class="dropdown-item link-action">
                                                                        {{ __("language.document_reapproved") }} </a>
                                                                    @endif
                                                            </div>
                                                        </div>
                                                    </li>
                                                </ul>
                                            </td>
                                        </tr>
                                        @empty
                                        <tr>
                                            <td colspan="10" class="text-center"> {{ __('language.no_record_found') }} </td>
                                        </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                                <div class="pagination">
                                    {{ $hcpDocuments->appends($request)->render() }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/rating-reviews/rating-reviews.js') }}"></script>
<script type="text/javascript">
    $(function(){
        var hash = window.location.hash;
        console.log(hash);
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
@endpush
