@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.manage_documents_edit').' ')

@push('styles')
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

            <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5> {{ __('language.manage_documents_edit') }} </h5>
                        </div>
                    </div>

                    <div class="form p-3">
                        {!! Form::open(['class' => 'add-doc-form', 'method' => 'post', 'url' => route('adminPanel.documents.update', ['id' => ev($document->id)]),'files' => true ]) !!}
                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="name"> {{ __('language.doc_name') }} </label>
                                {!! Form::text('name', old('name', ($document->name ?? null)), ['class' => 'form-control', 'id' => 'name',
                                'placeholder' => __('language.doc_name')]) !!}
                            </div>

                            <div class="form-group col-md-4">
                                <label for="status"> {{ __('language.doc_status') }} </label>
                                {!! Form::select('status', create_select_options(config('constants.document_status'), 'caption', 'value',  null), old('name', ($document->status ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.doc_status')]) !!}
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="required_for">{{trans('language.required_by')}}</label>
                                {!! Form::text('required_for', old('required_for', ($document->required_for ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'name', 'placeholder' => __('language.required_by'), 'readonly']) !!}
                                {{-- {!! Form::select('required_for', create_select_options(config('constants.documents.required_by'), 'caption', 'value',  null), old('required_for', ($document->required_for ?? null)), ['class' => 'form-control select-picker required-for-change', 'id' => 'required_for', 'data-url' => route('adminPanel.documents.getDocumentType'), 'title' => __('language.required_by'), 'disable']) !!} --}}
                            </div>

                            <div class="form-group col-md-4 doc-type-div">
                                <label for="name">{{trans('language.doc_type')}}</label>
                                @if (!empty($document->required_for) && $document->required_for == 'hcp')
                                    @php $documentTypes = config('constants.documents.doc_type_hcp'); @endphp
                                @else
                                    @php $documentTypes = config('constants.documents.doc_type_facility'); @endphp
                                @endif
                                {!! Form::select('doc_type', create_select_options($documentTypes, 'caption', 'value',  null), old('doc_type', ($document->doc_type ?? null)), ['class' => 'form-control select-picker', 'id' => 'doc_type', 'title' => __('language.doc_type')]) !!}
                            </div>
                        </div>

                        @if (!empty($document->required_for) && $document->required_for == 'hcp')
                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="expiry_date_mandatory">{{trans('language.expiry_date_req')}}</label>
                                {!! Form::select('expiry_date_mandatory', create_select_options(config('constants.option_groups'), 'caption', 'value',  null), old('expiry_date_mandatory', ($document->expiry_date_mandatory ?? null)), ['class' => 'form-control select-picker', 'id' => 'expiry_date_mandatory', 'title' => __('language.expiry_date_req')]) !!}
                            </div>

                            <div class="form-group col-md-4">
                                <label for="name">{{trans('language.mandatory_status')}}</label>
                                {!! Form::select('mandatory_status', create_select_options(config('constants.option_groups'), 'caption', 'value',  null), old('mandatory_status', ($document->mandatory_status ?? null)), ['class' => 'form-control select-picker', 'id' => 'mandatory_status', 'title' => __('language.mandatory_status')]) !!}
                            </div>
                        </div>
                        @endif

                        @if (!empty($document->required_for) && $document->required_for == 'facility')
                        <div class="form-row">
                            <div class="form-group col-md-4 facility-profession-div">
                                <label for="facility_profession">{{trans('language.facility_profession')}}</label>
                                {!! Form::select('facility_profession', create_select_options($professions, 'name', 'id',  null), $document->profession_id, ['class' => 'form-control select-picker', 'id' => 'facility_profession', 'title' => __('language.facility_profession')]) !!}
                            </div>
                        </div>
                        @endif

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit mt-4', 'type' => 'submit'] )}}
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/manage-document/manage-document.js') }}"></script>
@endpush
