@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.plan_configuration_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 page-heading">
                        <label>{{ __('language.facility_plan_overview') }}</label>
                    </div>

                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        @php
                            // Set time zone
                            // date_default_timezone_set($profile->state->time_zone_name);
                            //--------------
                        @endphp
                        @if ($facilityActivePlan->status == 'active' && $facilityActivePlan['plan']['id'] != 4 && !empty($subscription))
                        <a href="{{ route('adminPanel.facilities.changePlan') }}" class="mr-1 text-primary">
                            {{ __('language.facility_change_plan') }}
                        </a>
                        @else
                        <a href="{{ route('adminPanel.facilities.selectPlan') }}" class="mr-1 text-primary">
                            {{ __('language.facility_select_plan_page') }}
                        </a>
                        @endif
                    </div>
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2 plan-div">
                        @if(!empty($facilityActivePlan))
                            @if ($facilityActivePlan->status == 'active' && $facilityActivePlan['plan']['id'] != 4 && !empty($subscription))
                            <a href="#" data-url="{{ route('adminPanel.facilities.cancelPlan') }}" class="mr-1 text-danger disable-plan">
                                {{ __('language.facility_cancel_plan') }}
                            </a>
                            @endif
                        @endif
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 page-heading">
                        @if ($facilityActivePlan['plan']['id'] != 4)
                        <h6>Fees:
                            @if (!empty($facilityActivePlan->payment_amount))
                            ${{ $facilityActivePlan->payment_amount }}
                            @if ($facilityActivePlan->plan_cycle == 'yearly')
                            ({{ __('language.plan_profession_per_month') }})
                            @endif
                            @else
                            N/A
                            @endif
                        </h6>
                        <h6>Plan: {{ ucwords($facilityActivePlan['plan']->name) }}</h6>
                        <h6>Plan Type: {{ ucwords($facilityActivePlan->plan_cycle) }}</h6>

                        <h6>Date Of Subscription: {{ Carbon\Carbon::parse($facilityActivePlan->created_at)->timezone($profile->state->time_zone_name)->format('d F, Y h:i A') }}</h6>
                        @if (!empty($subscription))
                        <h6>Expire Date: {{ Carbon\Carbon::parse($subscription['current_period_end'])->timezone($profile->state->time_zone_name)->format('d F, Y h:i A') }}</h6>
                        @endif
                        @else
                        @php
                            // Check Time Diff
                            $to = Carbon\Carbon::parse($facilityActivePlan->start_date);
                            $from = Carbon\Carbon::parse($facilityActivePlan->expiry_date);
                            $timeDiff = $to->diffInDays($from);
                            //----------------
                        @endphp
                        <h6>Plan: {{ ucwords($facilityActivePlan['plan']->name) }}</h6>
                        <h6>Date Of Subscription: {{ Carbon\Carbon::parse($facilityActivePlan->created_at)->timezone($profile->state->time_zone_name)->format('d F, Y h:i A') }}</h6>
                        <h6>Expiry Date: {{date('d F, Y', strtotime($facilityActivePlan->expiry_date))}}</h6>
                        <h6>Shift Posting Limit: {{ $facilityActivePlan->shift_posting_limit_in_trial_account }} </h6>
                        <h6>Posted Shift: {{ $shiftCount }} </h6>
                        <h6>Days Left of Shift Posting: {{ $timeDiff }} </h6>
                        @endif


                    </div>
                </div>
            </div>
            <hr/>
            <div class="container-fluid mt2 m2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                        <label>{{ __('language.plan_chart') }}</label>
                    </div>
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <h6 class="text-dark">{{ __('language.plan_profession') }}</h6>
                    </div>

                    @foreach ($plans as $plan)
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            @if ($plan['name'])
                                <div class="text-dark text-center">
                                    <h6 class="text-dark text-center"> {{ ucwords($plan->name) }} </h6>
                                </div>
                            @endif
                        </div>
                    @endforeach
                </div>

                @if (!empty($professions))
                    @foreach ($professions as $key => $profession)
                        <div class="row mt2">
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                {{ ucwords($profession->name) }}
                            </div>

                            @php
                                $planProfession = get_plan_profession(1, $profession->id);

                                if ($planProfession == true) {
                                    $basicProfession = 'checked';
                                } else {
                                    $basicProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="basic_plan_{{ $profession->id }}" name="plan[1][profession][]" {{ $basicProfession }} disabled><label class="custom-control-label" for="basic_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(2, $profession->id);

                                if ($planProfession == true) {
                                    $premiumProfession = 'checked';
                                } else {
                                    $premiumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="premium_plan_{{ $profession->id }}" name="plan[2][profession][]" {{ $premiumProfession }} disabled><label class="custom-control-label" for="premium_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(3, $profession->id);

                                if ($planProfession == true) {
                                    $optimumProfession = 'checked';
                                } else {
                                    $optimumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="optimum_plan_{{ $profession->id }}" name="plan[3][profession][]" {{ $optimumProfession }} disabled><label class="custom-control-label" for="optimum_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(4, $profession->id);

                                if ($planProfession == true) {
                                    $optimumProfession = 'checked';
                                } else {
                                    $optimumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="optimum_plan_{{ $profession->id }}" name="plan[4][profession][]" {{ $optimumProfession }} disabled><label class="custom-control-label" for="optimum_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>
                        </div>
                    @endforeach
                @else
                    No record found..
                @endif

                <div class="row mt3">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark">{{ __('language.plan_profession_monthly') }}</div>
                    </div>

                    @foreach ($plans as $plan)
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            @if ($plan['monthly_price'] && $plan->id != 4)
                                <div class="text-dark text-center">${{ $plan['monthly_price'] }}</div>
                            @endif
                        </div>
                    @endforeach
                </div>

                <div class="row mt3">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark">{{ __('language.plan_profession_yearly_plan') }}</div>
                    </div>

                    @foreach ($plans as $plan)
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            @if ($plan['yearly_price'] && $plan->id != 4)
                                <div class="text-dark text-center">
                                    ${{ $plan['yearly_price'] }} ({{ __('language.plan_profession_per_month') }})
                                </div>
                            @endif
                        </div>
                    @endforeach
                </div>

            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/facilities/facilities.js') }}"></script>
@endpush

