@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.facilities_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ ucwords($facilityGroup->name) }}</h5>
                    </div>
                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive">
                    <table class="table mb-4 mt-3" id="">
                        <thead>
                            <tr>
                                <th> {{ __('language.table_facility_id') }} </th>
                                <th> {{ __('language.table_facility_name') }} </th>
                                <th> {{ __('language.table_facility_suburb') }} </th>
                                <th> {{ __('language.table_facility_state') }} </th>
                                <th> {{ __('language.table_facility_email') }} </th>
                            </tr>
                        </thead>

                        <tbody>
                            @if (count($facilities))
                                @foreach ($facilities as $facility)
                                    <tr>
                                        <td>
                                            <a href="{{ route('adminPanel.facilities.details', ['id' => ev($facility->id)]) }}">
                                                {{ $facility->facility_prefix . $facility->id }}
                                            </a>
                                        </td>
                                        <td>
                                            {{ ucwords($facility->name)}}
                                        </td>
                                        <td> {{ $facility->suburb_name ?? 'N/A' }} </td>
                                        <td>
                                            @if (!empty($facility->state))
                                                {{ $facility->state->short_form }}
                                            @else
                                                N/A
                                            @endif
                                        </td>
                                        <td> {{ $facility->user->email }} </td>
                                    </tr>
                                @endforeach
                            @else
                                <tr>
                                    <td colspan="12" class="text-center"> No record found...</td>
                                </tr>
                            @endif
                        </tbody>
                    </table>

                    <div class="pagination">
                        {{ $facilities->render() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/facility-groups/view.js') }}"></script>
@endpush
