@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.hcp_config_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/components/tabs-accordian/custom-tabs.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div class="row">
                                <div class="col-xl-8 col-lg-8 col-md-8 col-8 padding-left-2">
                                    <h5> {{ __('language.hcp_config_title') }} </h5>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                        <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="category-tab" data-toggle="tab" href="#category" role="tab" aria-controls="category" aria-selected="false">
                                    {{ __('language.hcp_config_tab_category') }}
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="profession-tab" data-toggle="tab" href="#profession" role="tab" aria-controls="profession" aria-selected="true">
                                    {{ __('language.hcp_config_tab_profession') }}
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="level-tab" data-toggle="tab" href="#level" role="tab" aria-controls="level" aria-selected="true">
                                    {{ __('language.hcp_config_tab_level') }}
                                </a>
                            </li>
		<li class="nav-item">
                                <a class="nav-link" id="sleepover-tab" data-toggle="tab" href="#sleepover" role="tab" aria-controls="sleepover" aria-selected="true">
                                    {{ __('language.sleepover_rates') }}
                                </a>
                            </li>
<li class="nav-item">
                                <a class="nav-link" id="extra_night-tab" data-toggle="tab" href="#extra_night" role="tab" aria-controls="extra_night" aria-selected="true">
                                    Extra Night Hours Rates
                                </a>
                            </li>
                        </ul>

                        <div class="tab-content" id="animateLineContent-4">
                            <div class="tab-pane fade show active pt-0" id="category" role="tabpanel" aria-labelledby="category-tab">
                                {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.hcp-configuration.index', ['#category']), 'id' => "category-filter-form"]) !!}
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> {{ __('language.table_result') }} </label>
                                            {!! Form::select('category_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('category_per_page', ($request['category_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'category_per_page', "onchange" => "this.form.submit()",]) !!}
                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            {!! Form::text('category_search', old('category_search', ($request['category_search'] ?? null)), ['class' => 'form-control', 'id' => 'category_search', 'placeholder' => __('language.table_search')]) !!}
                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#category-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.hcp-configuration.categoryExport', ['request' => $request])}}">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>

                                        <a href="{{ route('adminPanel.categories.create') }}" class="btn btn-primary btn-sm ">
                                            {{ __('language.add_button') }}
                                        </a>
                                    </div>
                                </div>
                                {!! Form::close() !!}

                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th>{{__('language.table_category_id')}}</th>
                                                <th>{{__('language.table_category_name')}}</th>
                                                <th>{{__('language.table_category_comment')}}</th>
                                                <th>{{__('language.status')}}</th>
                                                <th>{{__('language.action')}}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($categories as $category)
                                            <tr>
                                                <td> {{ $category->category_prefix.$category->id }} </td>
                                                <td> {{ ucwords($category->name)}} </td>
                                                <td> {{ $category->comments ?? 'N/A' }} </td>
                                                <td>
                                                    @if ($category->status == 'inactive')
                                                        <div class="text-warning font-weight-bold">{{ __("language.inactive") }}</div>
                                                    @else
                                                        <div class="text-success font-weight-bold">{{ __("language.active") }}</div>
                                                    @endif
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <a href="{{ route('adminPanel.categories.edit', ['id' => ev($category->id)]) }}" class="dropdown-item"> {{ __("language.edit") }} </a>

                                                                    @if ($category->status == 'inactive')
                                                                        <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.hcp-configuration.categoryChangeStatus', ['id' => ev($category->id), 'status' => 'active']) }}"> {{ __("language.active") }} </a>
                                                                    @else
                                                                        <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.hcp-configuration.categoryChangeStatus', ['id' => ev($category->id), 'status' => 'inactive']) }}"> {{ __("language.inactive") }} </a>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="10" class="text-center"> {{ __('language.no_record_found') }} </td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        {{ $categories->appends($request)->render() }}
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane pt-0" id="profession" role="tabpanel" aria-labelledby="profession-tab">
                                {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.hcp-configuration.index', ['#profession']), 'id' => "profession-filter-form"]) !!}
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> {{ __('language.table_result') }} </label>
                                            {!! Form::select('profession_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('profession_per_page', ($request['profession_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'profession_per_page', "onchange" => "this.form.submit()",]) !!}
                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            {!! Form::text('profession_search', old('profession_search', ($request['profession_search'] ?? null)), ['class' => 'form-control', 'id' => 'profession_search', 'placeholder' => __('language.table_search')]) !!}
                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#profession-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.hcp-configuration.professionExport', ['request' => $request])}}">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>

                                        <a href="{{ route('adminPanel.professions.create') }}" class="btn btn-primary btn-sm">
                                            {{ __('language.add_button') }}
                                        </a>
                                    </div>
                                </div>
                                {!! Form::close() !!}
                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th>{{__('language.table_profession_id')}}</th>
                                                <th>{{__('language.table_profession_name')}}</th>
                                                <th>{{__('language.table_profession_category')}}</th>
                                                <th>{{__('language.table_profession_has_level')}}</th>
                                                <th width="280">{{__('language.table_profession_level')}}</th>
                                                <th>{{__('language.table_profession_hcp_rate')}}</th>
                                                <th>{{__('language.table_profession_admin_fees')}}</th>
                                                <th>{{__('language.table_profession_facility_rate')}}</th>
                                                <th>{{__('language.table_profession_comments')}}</th>
                                                <th>{{__('language.status')}}</th>
                                                <th>{{__('language.action')}}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($professions as $profession)
                                            <tr>
                                                <td> {{ $profession->profession_prefix.$profession->id }} </td>
                                                <td> {{ ucwords($profession->name)}} </td>
                                                <td>
                                                    @if (!empty($profession->category))
                                                        {{ ucwords($profession->category->name)}}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($profession->has_levels))
                                                        {{ ucwords($profession->has_levels)}}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (count($profession->levels))
                                                        @foreach ($profession->levels as $level)
                                                        {{ ucwords($level->name) }},
                                                        @endforeach
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($profession->hcp_per_rate))
                                                        ${{ $profession->hcp_per_rate }}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($profession->hcp_per_rate) && !empty($adminFees))
                                                        ${{ number_format($adminFees, 2) }}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($profession->hcp_per_rate) && !empty($adminFees))
                                                        ${!! number_format($profession->hcp_per_rate + $adminFees, 2) !!}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td> {{ $profession->comments ?? 'N/A' }} </td>
                                                <td>
                                                    @if ($profession->status == 'inactive')
                                                        <div class="text-warning font-weight-bold">{{ __("language.inactive") }}</div>
                                                    @else
                                                        <div class="text-success font-weight-bold">{{ __("language.active") }}</div>
                                                    @endif
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <a href="{{ route('adminPanel.professions.edit', ['id' => ev($profession->id)]) }}" class="dropdown-item"> {{ __("language.edit") }} </a>

                                                                    @if ($profession->status == 'inactive')
                                                                        <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.hcp-configuration.professionChangeStatus', ['id' => ev($profession->id), 'status' => 'active']) }}"> {{ __("language.active") }} </a>
                                                                    @else
                                                                        <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.hcp-configuration.professionChangeStatus', ['id' => ev($profession->id), 'status' => 'inactive']) }}"> {{ __("language.inactive") }} </a>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        {{ $professions->appends($request)->render() }}
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane pt-0" id="level" role="tabpanel" aria-labelledby="level-tab">
                                {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.hcp-configuration.index', ['#level']), 'id' => "level-filter-form"]) !!}
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> {{ __('language.table_result') }} </label>
                                            {!! Form::select('level_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('level_per_page', ($request['level_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'level_per_page', "onchange" => "this.form.submit()",]) !!}
                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            {!! Form::text('level_search', old('level_search', ($request['level_search'] ?? null)), ['class' => 'form-control', 'id' => 'level_search', 'placeholder' => __('language.table_search')]) !!}
                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#level-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.hcp-configuration.levelExport', ['request' => $request])}}">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                        <a href="{{ route('adminPanel.levels.create') }}" class="btn btn-primary btn-sm">
                                            {{ __('language.add_button') }}
                                        </a>
                                    </div>
                                </div>
                                {!! Form::close() !!}
                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th>{{__('language.table_level_id')}}</th>
                                                <th>{{__('language.table_level_name')}}</th>
                                                <th>{{__('language.table_level_category')}}</th>
                                                <th>{{__('language.table_level_profession')}}</th>
                                                <th>{{__('language.table_level_hcp_rate')}}</th>
                                                <th>{{__('language.table_level_admin_fees')}}</th>
                                                <th>{{__('language.table_level_facility_rate')}}</th>
                                                <th>{{__('language.table_level_comments')}}</th>
                                                <th>{{__('language.status')}}</th>
                                                <th>{{__('language.action')}}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($levels as $level)
                                            <tr>
                                                <td> {{ $level->level_prefix.$level->id }} </td>
                                                <td> {{ ucwords($level->name)}} </td>
                                                <td>
                                                    @if (!empty($level->category))
                                                        {{ ucwords($level->category->name)}}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($level->profession))
                                                        {{ ucwords($level->profession->name)}}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($level->hcp_per_rate))
                                                        ${{ $level->hcp_per_rate }}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($level->hcp_per_rate) && !empty($adminFees))
                                                        ${{ number_format($adminFees, 2) }}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($level->hcp_per_rate) && !empty($adminFees))
                                                        ${!! number_format($level->hcp_per_rate + $adminFees, 2) !!}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td> {{ $level->comments ?? 'N/A' }} </td>
                                                <td>
                                                    @if ($level->status == 'inactive')
                                                        <div class="text-warning font-weight-bold">{{ __("language.inactive") }}</div>
                                                    @else
                                                        <div class="text-success font-weight-bold">{{ __("language.active") }}</div>
                                                    @endif
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <a href="{{ route('adminPanel.levels.edit', ['id' => ev($level->id)]) }}" class="dropdown-item"> {{ __("language.edit") }} </a>

                                                                    @if ($level->status == 'inactive')
                                                                        <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.hcp-configuration.levelChangeStatus', ['id' => ev($level->id), 'status' => 'active']) }}"> {{ __("language.active") }} </a>
                                                                    @else
                                                                        <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.hcp-configuration.levelChangeStatus', ['id' => ev($level->id), 'status' => 'inactive']) }}"> {{ __("language.inactive") }} </a>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        {{ $levels->appends($request)->render() }}
                                    </div>
                                </div>
                            </div>
		<div class="tab-pane show pt-0" id="sleepover" role="tabpanel" aria-labelledby="sleepover-tab">
		{!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'post', 'url' =>
                                route('adminPanel.config.sleepover-rates'), 'id' => "sleepover-form"]) !!}
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> {{ __('language.hcp').' '.__('language.sleepover').' '.__('language.rate') }} </label>
                                            {!! Form::text('hcp_sleepover_rate', old('hcp_sleepover_rate', ($hcp_sleepover_rate ?? null)), ['class' => 'form-control', 'id' => 'hcp_sleepover_rate', 'placeholder' => __('language.hcp').' '.__('language.sleepover').' '.__('language.rate')]) !!}
                                        </div>

                                    </div>

                                       <div class="col-md-6">
                                        <div class="float-left">
                                            <label> {{ __('language.facility').' '.__('language.sleepover').' '.__('language.rate') }} </label>
                                            {!! Form::text('facility_sleepover_rate', old('facility_sleepover_rate', ($facility_sleepover_rate ?? null)), ['class' => 'form-control', 'id' => 'facility_sleepover_rate', 'placeholder' => __('language.facility').' '.__('language.sleepover').' '.__('language.rate')]) !!}
                                        </div>

                                    </div>
                                    </div>
		<button type="submit" class="btn btn-primary btn-sm mt-5">
                                            {{ __('language.submit') }}
                                        </button>
                                {!! Form::close() !!}
                                </div>
		<div class="tab-pane show pt-0" id="extra_night" role="tabpanel" aria-labelledby="extra_night-tab">
                                {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'post', 'url' =>
                                route('adminPanel.config.extra-night-rates'), 'id' => "extra-night-form"]) !!}
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> {{ __('language.hcp').' Extra Night '.__('language.rate') }} </label>
                                            {!! Form::text('hcp_extra_night_rate', old('hcp_extra_night_rate', ($hcp_extra_night_rate ?? null)), ['class' => 'form-control', 'id' => 'hcp_extra_night_rate', 'placeholder' => __('language.hcp').' '.__('language.sleepover').' '.__('language.rate')]) !!}
                                        </div>

                                    </div>
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> {{ __('language.facility').' Extra Night '.__('language.rate') }} </label>
                                            {!! Form::text('facility_extra_night_rate', old('facility_extra_night_rate', ($facility_extra_night_rate ?? null)), ['class' => 'form-control', 'id' => 'facility_extra_night_rate', 'placeholder' => __('language.facility').' '.__('language.sleepover').' '.__('language.rate')]) !!}
                                        </div>

                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary btn-sm mt-5">
                                            {{ __('language.submit') }}
                                        </button>
                                {!! Form::close() !!}
                            </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/hcp-configuration/view.js') }}"></script>
<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
@endpush
