@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.archived_hcps').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/datatables.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5>{{ __('language.archived_hcps') }}</h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        @if ($authUser->can('Add HCPs'))
                        <a href="{{ route('adminPanel.hcps.create') }}" class="btn btn-primary btn-sm mr-1">
                            {{ __('language.add_button') }}
                        </a>
                        @endif

                        @if (!empty($request))
                            @php $filterApply = 'filter-icon-apply'; @endphp
                        @else
                            @php $filterApply = 'filter-icon'; @endphp
                        @endif
                        <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                            <i class="fa fa-filter"></i>
                        </button>

                        <ul class="page-top-action float-right">
                            <li>
                                <div class="dropdown custom-dropdown-icon">
                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                        <a href="{{ route('adminPanel.hcps.blockedHcps') }}" class="dropdown-item"> {{ __("language.blocked_hcps_menu") }} </a>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div>
                    {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                    route('adminPanel.hcps.archived'), 'id' => "filter-form"]) !!}
                    <div class="row">
                        <div class="col-md-12">
                            <div class="custom-datatable-filter hide">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        @if (!empty($states))
                                            <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                @foreach($states as $state)
                                                    <label class="btn btn-custom-outline {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : '' }}">
                                                        <input type="checkbox" id="states" name="states[]" value="{{$state->id}}" autocomplete="off" {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : '' }}> {{$state->short_form}} : {{$state->hcps_count}}
                                                    </label>
                                                @endforeach
                                            </div>
                                        @endif
                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            {!! Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]) !!}
                                        </div>
                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group profession-div">
                                            {!! Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]) !!}
                                        </div>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="form-group">
                                            {!! Form::select('shortby_filter', create_select_options(config('constants.hcps.hcp_shortby_filter'), 'caption', 'value',  __('language.shift_shortby_filter')), old('shortby_filter', ($request['shortby_filter'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shortby_filter' ]) !!}
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-4 mb2">
                                        {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm btn-primary apply-filter', 'type' => 'button'] )}}
                                        {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                    </div>
                                </div>
                                <div class="filter-border"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row pl-3 mt-3">
                        <div class="col-md-8">
                            <div class="float-left">
                                <label> {{ __('language.table_result') }} </label>
                                {!! Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                            </div>

                            <div class="float-left pl-2 search-box">
                                {!! Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div class="col-md-4 text-right">
                            <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.hcps.hcpExport', ['request' => $request, 'status' => 'archived'])}}">
                                Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                            </a>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive pb-5">
                    <table id="active-hcp" class="table mb-4 mt-3" >
                        <thead>
                            <tr>
                                <th> {{ __('language.table_hcp_id') }} </th>
                                <th> {{ __('language.table_hcp_name') }} </th>
                                <th> {{ __('language.table_hcp_category') }} </th>
                                <th> {{ __('language.table_hcp_profession') }} </th>
                                <th> {{ __('language.table_hcp_email') }} </th>
                                <th> {{ __('language.table_hcp_contact_number') }} </th>
                                <th> {{ __('language.table_hcp_suburb') }} </th>
                                <th> {{ __('language.table_hcp_state') }} </th>
                                <th> {{ __('language.table_action') }} </th>
                            </tr>
                        </thead>
                        <tbody>

                            @if (count($hcps))
                                @foreach ($hcps as $hcp)
                                <tr>
                                    <td>
                                        <a href="{{route('adminPanel.hcps.details', ['id' => ev($hcp->id)])}}">
                                            {{ $hcp->hcp_prefix . $hcp->id }}
                                        </a>
                                    </td>
                                    <td>
                                        <div>{{ucwords($hcp->first_name . ' ' . $hcp->last_name)}} </div>
                                        <div class="rating">
                                            @for($i = 0; $i < 5; $i++)
                                                <span><i class="fa fa-star{{ $hcp->average_rating <= $i ? '-o' : '' }}"></i></span>
                                            @endfor
                                        </div>
                                    </td>
                                    <td>
                                        @if (count($hcp->hcp_professions))
                                            {{ $hcp->hcp_professions[0]['category']['name'] }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        @if (count($hcp->hcp_professions))
                                            {{ $hcp->hcp_professions[0]['profession']['name'] }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td> {{ $hcp->user->email }} </td>
                                    <td> {{ $hcp->contact_number ?? 'N/A' }} </td>
                                    <td> {{ $hcp->suburb_name ?? 'N/A' }} </td>
                                    <td>
                                        @if (!empty($hcp->state))
                                            {{ $hcp->state->short_form }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                        @if ($authUser->can('Edit HCPs'))
                                                        <a href="{{ route('adminPanel.hcps.edit', ['id' => ev($hcp->id)]) }}" class="dropdown-item"> {{ __("language.edit") }} </a>
                                                        @endif

                                                        <a href="{{ route('adminPanel.hcps.details', ['id' => ev($hcp->id)]) }}" class="dropdown-item"> {{ __("language.details") }} </a>

                                                        <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active']) }}"> {{ __("language.hcp_reactive_btn") }} </a>

                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                                @endforeach
                            @else
                                <tr>
                                    <td colspan="15" class="text-center"> No record found...</td>
                                </tr>
                            @endif
                        </tbody>
                    </table>

                    <div class="pagination">
                        {{ $hcps->appends($request)->render() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/plugins/table/datatable/datatables.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/jszip.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/buttons.html5.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/hcps/view.js') }}"></script>
@endpush
