@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.create_hcps_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/plugins/dropify/dropify.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/components/tabs-accordian/custom-tabs.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.create_hcps_page_title') }} </h5>
                    </div>
                </div>

                <ul class="nav nav-tabs  m-3" id="rounded-pills-icon-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active text-center" id="personal-details-tab" data-toggle="pill" href="#personal-details" role="tab" aria-controls="personal-details" aria-selected="true">
                            <i data-feather="user" class="feather-18"></i> &nbsp; {{ __('language.hcp_personal_details_tab') }}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-center" id="profession-details-tab" data-toggle="pill" href="#profession-details" role="tab" aria-controls="profession-details" aria-selected="false">
                            <i data-feather="award" class="feather-18"></i> &nbsp; {{ __('language.hcp_profession_details_tab') }}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-center" id="mandatory-documents-tab" data-toggle="pill" href="#mandatory-documents" role="tab" aria-controls="mandatory-documents" aria-selected="false">
                            <i data-feather="file-text" class="feather-18"></i> &nbsp; {{ __('language.hcp_mandatory_documents_tab') }}
                        </a>
                    </li>
                </ul>
                <div class="tab-content  p-3" id="rounded-pills-icon-tabContent">
                    <div class="tab-pane fade show active" id="personal-details" role="tabpanel" aria-labelledby="personal-details-tab">
                        <div class="form">
                            {!! Form::open(['class' => 'add-hcps-form', 'method' => 'post', 'url' =>
                            route('adminPanel.hcps.store'), 'files' => true ]) !!}

                                <div class="form-row mb-2">
                                    <div class="col-md-9">
                                        <div class="form-row">
                                            <div class="form-group col-md-4">
                                                <label for="first_name"> {{ __('language.hcp_first_name') }} </label>
                                                {!! Form::text('first_name', '', ['class' => 'form-control', 'id' => 'first_name',
                                                'placeholder' => __('language.hcp_first_name')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="last_name"> {{ __('language.hcp_last_name') }} </label>
                                                {!! Form::text('last_name', '', ['class' => 'form-control', 'id' => 'last_name',
                                                'placeholder' => __('language.hcp_last_name')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="email"> {{ __('language.hcp_email') }} </label>
                                                {!! Form::email('email', '', ['class' => 'form-control', 'id' => 'email',
                                                'placeholder' => __('language.hcp_email'), 'data-url' =>
                                                route('adminPanel.dashboard.checkUserEmail')])
                                                !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="contact_number"> {{ __('language.hcp_contact_number') }} </label>
                                                {!! Form::text('contact_number', '', ['class' => 'form-control', 'id' =>
                                                'contact_number', 'placeholder' => __('language.hcp_contact_number')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="dob"> {{ __('language.hcp_dob') }} </label>
                                                {!! Form::text('dob', '', ['class' => 'form-control dob-date-picker date-picker', 'id' => 'dob', 'placeholder' => __('language.hcp_dob')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="gender"> {{ __('language.hcp_gender') }} </label>
                                                {!! Form::select('gender', create_select_options(config('constants.users.gender'),
                                                'caption', 'value', __('language.hcp_gender')), null, ['class' =>
                                                'form-control select-picker', 'id' => 'gender',]) !!}
                                            </div>
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-4 state-div">
                                                <label for="state_id"> {{ __('language.hcp_state') }} </label>
                                                {!! Form::select('state_id', create_select_options($states, 'name', 'id',
                                                null), null, ['class' => 'form-control select-picker
                                                state-city', 'id' => 'state_id', 'data-url' => route('adminPanel.state.getCities'), 'title' => __('language.hcp_state')])
                                                !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="address"> {{ __('language.hcp_address') }} </label>
                                                {!! Form::text('address', '', ['class' => 'form-control',  'id' => 'address',   'placeholder' => __('language.hcp_address'), ]) !!}
                                            </div>

                                            <div class="form-group col-md-4 city-div">
                                                <label for="city_id"> {{ __('language.hcp_city') }} </label>
                                                {!! Form::text('city_name', '', ['class' => 'form-control input-readonly-new',  'id' => 'city_name',   'placeholder' => __('language.hcp_city'), 'readonly' ]) !!}
                                            </div>
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-4 suburb-div">
                                                <label for="suburb_id"> {{ __('language.hcp_suburb') }} </label>
                                                {!! Form::text('suburb_name', '', ['class' => 'form-control input-readonly-new',  'id' => 'suburb_name',   'placeholder' => __('language.hcp_suburb'), 'readonly' ]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="postcode"> {{ __('language.hcp_postcode') }} </label>
                                                {!! Form::text('postcode', '', ['class' => 'form-control input-readonly-new', 'id' => 'postcode', 'placeholder' => __('language.hcp_postcode'), 'readonly']) !!}
                                            </div>
                                            <div class="form-group col-md-4">
                                                <label for="next_of_kin"> Next Of Kin </label>
                                                {!! Form::text('next_of_kin', old('next_of_kin', ($hcp->next_of_kin ??
                                                null)), ['class' => 'form-control', 'id' => 'next_of_kin', 'placeholder' => 'Next Of Kin']) !!}
                                            </div>
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-4">
                                                <label for="registration_number"> {{ __('language.hcp_registration_number') }} </label>
                                                {!! Form::text('registration_number', '', ['class' => 'form-control', 'id' =>
                                                'registration_number', 'placeholder' => __('language.hcp_registration_number'), 'data-url' =>
                                                route('adminPanel.hcps.checkRegistrationNumber')]) !!}
                                            </div>

                                            <div class="form-group col-md-4 hide">
                                                <label for="abn_number"> {{ __('language.hcp_abn_number') }} </label>
                                                {!! Form::text('abn_number', '', ['class' => 'form-control', 'id' =>
                                                'abn_number', 'placeholder' => __('language.hcp_abn_number')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="tfn_number"> {{ __('language.hcp_tfn_number') }} </label>
                                                {!! Form::text('tfn_number', '', ['class' => 'form-control', 'id' =>
                                                'tfn_number', 'placeholder' => __('language.hcp_tfn_number')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="attachment"> {{ __('language.hcp_attachment') }}</label>
                                                {!! Form::file('attachment', ['class' => 'form-control-file', 'id' => 'attachment',
                                                'autocomplete' =>
                                                'off', ]) !!}
                                            </div>
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-12">
                                                <label for="about_me"> {{ __('language.hcp_about_me') }} </label>
                                                {!! Form::textarea('about_me', '', ['class' => 'form-control textarea-control', 'id' =>
                                                'about_me', 'placeholder' => __('language.hcp_about_me')]) !!}
                                            </div>


                                            {!! Form::hidden('latitude', '', ['class' => 'form-control', 'id' => 'latitude', 'autocomplete' => 'off']) !!}
                                            {!! Form::hidden('longitude', '', ['class' => 'form-control', 'id' => 'longitude', 'autocomplete' => 'off']) !!}
                                        </div>
                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group custom-dropify text-center">
                                            {!! Form::file('image', ['class' => 'image-preview', 'id' => 'image', 'autocomplete' =>
                                            'off', 'data-show-remove' =>
                                            'false', 'accept' => 'image/*', "data-default-file" =>
                                            asset('admin-assets/images/dummy-doctor.png') ]) !!}
                                            <label for="name"> {{ __('language.hcp_upload_image') }} </label>
                                        </div>
                                    </div>
                                </div>

                            {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.save'), ['class' => 'btn btn-primary btn-submit mt-4', 'type' => 'submit'] )}}

                            {!! Form::close() !!}
                        </div>
                    </div>

                    <div class="tab-pane fade" id="profession-details" role="tabpanel" aria-labelledby="profession-details-tab">
                        <div class="text-center p-3">
                            <h4>
                                {!! __('language.hcp_profession_details_empty', ['fillFirst' => '<span class="text-primary">'.__('language.hcp_personal_details_tab').'</span>']) !!}
                            </h4>
                            <div>
                                {{ Html::image(asset('admin-assets/images/empty-img.jpg'), 'empty-img', array('class' => '', 'width' => '30%')) }}
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="mandatory-documents" role="tabpanel" aria-labelledby="mandatory-documents-tab">
                        <div class="text-center p-3">
                            <h4>
                                {!! __('language.hcp_mandatory_documents_empty', ['fillFirst' => '<span class="text-primary">'.__('language.hcp_profession_details_tab').'</span>']) !!}
                            </h4>
                            <div>
                                {{ Html::image(asset('admin-assets/images/empty-img.jpg'), 'empty-img', array('class' => '', 'width' => '30%')) }}
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/dropify/dropify.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/hcps/hcps.js') }}"></script>
<script src="https://maps.googleapis.com/maps/api/js?libraries=places&output=json&key={{env('GOOGLE_API_KEY')}}"  defer></script>
<script>
    $(document).ready(function() {
        var options = {
            componentRestrictions: {country: ['AU']}
        };
        var autocomplete = new google.maps.places.Autocomplete(address, options);
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            var latitude = place.geometry.location.lat();
            var longitude = place.geometry.location.lng();
            $('#latitude').val(latitude);
            $('#longitude').val(longitude);

            for (var i = 0; i < place.address_components.length; i++) {
                for (var j = 0; j < place.address_components[i].types.length; j++) {

                    if (place.address_components[i].types[j] == "administrative_area_level_2") {
                        $('#city_name').val(place.address_components[i].long_name);
                    }

                    if (place.address_components[i].types[j] == "locality") {
                        $('#suburb_name').val(place.address_components[i].long_name);
                    }

                    if (place.address_components[i].types[j] == "postal_code") {
                        $('#postcode').prop( "disabled", false );
                        $('#postcode').val(place.address_components[i].long_name);
                    }
                }
            }
        });
    });
</script>
@endpush
