@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.hcps_details_page_title').' ')

@push('styles')
    <link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/elements/avatar.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/components/tabs-accordian/custom-tabs.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="media">
                                        <div class="w-img">
                                            @if (isset($hcp) && !empty($hcp->image) )
                                                @php
                                                    $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                                    $hcp->id . '/image/', $hcp->image);
                                                @endphp
                                            @else
                                                @if ($hcp->gender == 'female')
                                                    @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                                @else
                                                    @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                                @endif
                                            @endif
                                            {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                        </div>
                                        <div class="media-body profile-info">
                                            <h6>{{ ucwords($hcp->first_name.' '.$hcp->last_name) }}</h6>
                                            <p class="meta-date-time">
                                                {{ $hcp->hcp_prefix.$hcp->id }}
                                                <span class="profile-rating">
                                                <i data-feather="star" class="feather-16"></i>
                                                @if (!empty($hcp->average_rating))
                                                        {{ round($hcp->average_rating*2)/2 }}
                                                    @else
                                                        0
                                                    @endif
                                                    @if ($hcp->status == 'active')
                                                        &nbsp; {{ __('language.hcp_active') }}
                                                    @elseif ($hcp->status == 'pending-approval')
                                                        &nbsp; <span class="text-warning">  {{ __('language.hcp_pending_approval') }} </span>
                                                    @elseif ($hcp->status == 'archived')
                                                        &nbsp; <span class="text-dark">  {{ __('language.hcp_archived') }} </span>
                                                    @elseif ($hcp->status == 'blocked')
                                                        &nbsp; <span class="text-danger">  {{ __('language.hcp_blocked') }} </span>
                                                    @elseif ($hcp->status == 'rejected')
                                                        &nbsp; <span class="text-danger">  {{ __('language.hcp_rejected') }} </span>
                                                    @else
                                                        &nbsp; <span class="text-dark">  {{ __('language.hcp_archived') }} </span>
                                                    @endif
                                            </span>
                                            </p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-3"> </div>

                                <div class="col-md-3 text-right">
                                    @if ($authUser->hasRole('Facility') != true || $authUser->hasRole('Facility Sub Admin') != true)
                                        @if ($hcp->status != 'pending-approval')
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="point-box">
                                                        <div> {{ __('language.hcp_current_point') }} </div>
                                                        <span> {{ $hcp->points ?? 0 }} </span>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="point-box">
                                                        <div class="text-danger"> {{ __('language.hcp_current_blocked_times') }} </div>
                                                        <span> {{ $hcp->hcp_block_times_count ?? 0 }} </span>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif
                                    @endif
                                </div>


                                <div class="col-md-3 text-right pr3 datatable-action">
                                    @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                                        {{-- @if ($hcp->status == 'active')
                                            <a href="#" class="btn btn-danger mr1 link-action" data-url="{{ route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'blocked']) }}">
                                                {{ __('language.hcp_block') }}
                                            </a>
                                        @elseif ($hcp->status == 'blocked')
                                            <a href="#" class="btn btn-info mr1 link-action" data-url="{{ route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active']) }}">
                                                {{ __('language.hcp_unblock') }}
                                            </a>
                                        @endif --}}
                                        @if ($hcp->status == 'active')
                                            <a href="#" class="btn btn-warning link-action" data-url="{{ route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'archived']) }}">
                                                {{ __('Archive') }}
                                            </a>
                                        @elseif ($hcp->status == 'pending-approval')
                                            <a href="#" class="btn btn-danger reject-hcp" data-url="{{ route('adminPanel.hcps.rejectHcpModal', ['id' => ev($hcp->id)]) }}">
                                                {{ __('language.hcp_reject') }}
                                            </a>

                                            <a href="#" class="btn btn-primary link-action" data-url="{{ route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active']) }}">
                                                {{ __('language.hcp_approved_btn') }}
                                            </a>
                                        @elseif ($hcp->status == 'archived')
                                            <a href="#" class="btn btn-primary link-action" data-url="{{ route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active']) }}">
                                                {{ __('language.hcp_active_btn') }}
                                            </a>
                                        @elseif ($hcp->status == 'blocked')
                                            <a href="#" class="btn btn-primary link-action" data-url="{{ route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active']) }}">
                                                {{ __('language.hcp_reactive_btn') }}
                                            </a>
                                        @endif
                                    @elseif($authUser->hasRole('Facility')==true)
                                        @if (!is_null($hcpFavorite) && !is_null($hcpBlock))
                                            @if ($hcpFavorite == 0 && $hcpBlock == 0)
                                                <a href="{{ route('adminPanel.hcps.addHcpBlocklist', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']]) }}" class="btn btn-danger mr1">
                                                    {{ __('language.add_to_blocked') }}
                                                </a>

                                                <a href="{{ route('adminPanel.hcps.addHcpFavorites', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']]) }}" class="btn btn-warning mr1">
                                                    {{ __('language.add_to_favorites') }}
                                                </a>

                                            @elseif($hcpFavorite >= 1)
                                                <a href="{{ route('adminPanel.hcps.removeFavouriteHcp', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']]) }}" class="btn btn-warning mr1">
                                                    {{ __('language.remove_from_favorite') }}
                                                </a>

                                            @elseif($hcpBlock >= 1)
                                                <a href="{{ route('adminPanel.hcps.removeBlocklistHcp', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']]) }}" class="btn btn-danger mr1">
                                                    {{ __('language.remove_from_blocklist') }}
                                                </a>
                                            @endif
                                        @endif
                                    @endif
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                        <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                            @if ($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin')
                                <li class="nav-item">
                                    <a class="nav-link active" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                                       aria-controls="profile" aria-selected="false">
                                        {{ __('language.hcp_profile_tab_heading') }}
                                    </a>
                                </li>
                            @endif

                            @if ($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin')
                                @php $shifTabActive = '' @endphp
                            @else
                                @php $shifTabActive = 'active' @endphp
                            @endif
                            <li class="nav-item">
                                <a class="nav-link {{$shifTabActive}}" id="shift-tab" data-toggle="tab" href="#shift" role="tab"
                                   aria-controls="shift" aria-selected="false">
                                    {{ __('language.hcp_shift_tab_heading') }}
                                </a>
                            </li>

                            @if ($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin')
                                <li class="nav-item">
                                    <a class="nav-link" id="documents-tab" data-toggle="tab" href="#documents" role="tab"
                                       aria-controls="documents" aria-selected="false">
                                        {{ __('language.hcp_documents') }}
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="favourite-tab" data-toggle="tab" href="#favourite" role="tab"
                                       aria-controls="favourite" aria-selected="false">
                                        {{ __('language.hcp_favourite') }}
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="blocklist-tab" data-toggle="tab" href="#blocklist" role="tab"
                                       aria-controls="blocklist" aria-selected="false">
                                        {{ __('language.hcp_blocked') }}
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="referandearn-tab" data-toggle="tab" href="#referandearn" role="tab"
                                       aria-controls="referandearn" aria-selected="false">
                                        {{ __('language.hcp_refer_and_earn_tab_heading') }}
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="history-tab" data-toggle="tab" href="#history" role="tab"
                                       aria-controls="history" aria-selected="false">
                                        {{ __('language.hcp_history_notes_tab_heading') }}
                                    </a>
                                </li>
                            @endif
                        </ul>

                        <div class="tab-content" id="animateLineContent-5">

                            @if ($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin')
                                <div class="tab-pane fade show active" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                                    <div class="row mb-2">

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_dob') }} </label>
                                            <p class="text-dark">
                                            @if (!empty($hcp->date_of_birth))
                                                {{ date("d F Y", strtotime($hcp->date_of_birth)) }}
                                                <div> ({{ \Carbon\Carbon::parse($hcp->date_of_birth)->age.' Y/O' }}) </div>
                                            @else
                                                N/A
                                                @endif
                                                </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_suburb') }} </label>
                                            <p class="text-dark"> {{ $hcp->suburb_name ?? 'N/A' }} </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_state_name') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($hcp->state))
                                                    {{ $hcp->state->short_form }}
                                                @else
                                                    N/A
                                                @endif
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-2">
                                            <label> {{ __('language.hcp_address') }} </label>
                                            <p class="text-dark">
                                                {{ $hcp->address }}
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-2">
                                            <label> {{ __('language.hcp_post_code') }} </label>
                                            <p class="text-dark">
                                                @if(!empty($hcp->post_code))
                                                    {{ $hcp->post_code }}
                                                @endif
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_email') }} </label>
                                            <p class="text-dark"> {{ $hcp->user->email }} </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_contact_number') }} </label>
                                            <p class="text-dark"> {{ $hcp->contact_number ?? 'N/A' }} </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_attachment') }} </label>
                                            @if (!empty($hcp->cv))
                                                @php
                                                    $attachment = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                                    $hcp->id . '/cv/', $hcp->cv);
                                                @endphp
                                            @else
                                                @php $attachment = ''; @endphp
                                            @endif
                                            <p class="text-dark">
                                                @if (!empty($attachment))
                                                    <a href="{{  $attachment }}" download target="_blank" class="text-right">
                                                        Download <i class="fa fa-download" aria-hidden="true"></i>
                                                    </a>
                                                @else
                                                    N/A
                                                @endif
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_registration_number') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($hcp->registration_number))
                                                    {{ $hcp->registration_number }}
                                                @else
                                                    N/A
                                                @endif
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> {{ __('language.hcp_tfn_number') }} </label>
                                            <p class="text-dark">
                                                @if (!empty($hcp->tfn_number))
                                                    {{ $hcp->tfn_number }}
                                                @else
                                                    N/A
                                                @endif
                                            </p>
                                        </div>
                                    </div>


                                    <div class="row mb-2">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> {{ __('language.hcp_category_profession') }} </h6>
                                            <hr>
                                        </div>

                                        @if (!empty($hcp->hcp_professions) && count($hcp->hcp_professions))
                                            @foreach ($hcp->hcp_professions as $profession)
                                                <div class="col-md-2 mb-4">
                                                    <label> {{ __('language.hcp_category_details') }} </label>
                                                    <p class="text-dark"> {{ ucwords($profession->category->name) }} </p>
                                                </div>

                                                <div class="col-md-3 mb-4">
                                                    <label> {{ __('language.hcp_professions_details') }} </label>
                                                    <p class="text-dark"> {{ ucwords($profession->profession->name) }} </p>
                                                </div>

                                                <div class="col-md-2 mb-4">
                                                    <label> {{ __('language.hcp_level_details') }} </label>
                                                    @if (!empty($profession->level))
                                                        <p class="text-dark"> {{ ucwords($profession->level->name) }} </p>
                                                    @else
                                                        <p class="text-dark"> N/A </p>
                                                    @endif
                                                </div>

                                                <div class="col-md-2 mb-4">
                                                    <label> {{ __('language.profession_status') }} </label>
                                                    @if ($profession->status == 'active')
                                                        <p class="text-success"> {{ ucwords($profession->status) }} </p>
                                                    @elseif($profession->status == 'inactive')
                                                        <p class="text-danger"> {{ ucwords($profession->status) }} </p>
                                                    @elseif($profession->status == 'pending-approval')
                                                        <p class="text-warning">{{ ucwords($profession->status) }} </p>
                                                    @elseif($profession->status == 'expired')
                                                        <p class="text-danger">{{ ucwords($profession->status) }} </p>
                                                    @endif
                                                </div>

                                                <div class="col-md-3 mb-4">
                                                    <label> {{ __('language.hcp_buddy_shift_status') }} </label>
                                                    @php
                                                        $buddyShiftStatus = check_buddy_shift_request($profession->id);
                                                    @endphp

                                                    @if ($buddyShiftStatus == 'Pending')
                                                        <p class="text-warning"> Pending </p>
                                                    @elseif($buddyShiftStatus == 'requested')
                                                        <p class="text-dark"> Requested </p>
                                                    @elseif($buddyShiftStatus == 'pending-approval')
                                                        <p class="text-warning"> Pending Approval </p>
                                                    @elseif($buddyShiftStatus == 'completed')
                                                        <p class="text-info"> Completed </p>
                                                    @elseif($buddyShiftStatus == 'approved')
                                                        <p class="text-primary"> Approved </p>
                                                    @elseif($buddyShiftStatus == 'scheduled')
                                                        <p class="text-info"> Scheduled </p>
                                                    @endif
                                                </div>
                                            @endforeach
                                        @else
                                            <div class="col-md-4 mb-4">
                                                {{ __('language.no_record_found') }}
                                            </div>
                                        @endif
                                    </div>

                                    @if ($authUser->hasRole('Facility') != true || $authUser->hasRole('Facility Sub Admin') != true)
                                        <div class="row mb-2">
                                            <div class="col-md-12">
                                                <h6 class="text-primary"> {{ __('language.hcp_block_status') }} </h6>
                                                <hr>
                                            </div>
                                            @if (!empty($hcp->hcp_block_times) && count($hcp->hcp_block_times))
                                                @foreach ($hcp->hcp_block_times as $hcpBlock)
                                                    <div class="col-md-4 mb-2">
                                                        {{ __('language.hcp_block_by') }}: {{ $hcpBlock->user->name }}
                                                    </div>
                                                    <div class="col-md-4 mb-2">
                                                        {{ __('language.hcp_block_on') }}: {{ $hcpBlock->created_at }}
                                                    </div>
                                                    <div class="col-md-4 mb-2">
                                                    </div>
                                                @endforeach
                                            @else
                                                <div class="col-md-4 mb-2">
                                                    {{ __('language.no_record_found') }}
                                                </div>
                                            @endif
                                        </div>
                                    @endif
                                </div>
                            @endif

                            @if ($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin')
                                @php $shifTabPanelActive = '' @endphp
                            @else
                                @php $shifTabPanelActive = 'show active' @endphp
                            @endif
                            <div class="tab-pane {{$shifTabPanelActive}}" id="shift" role="tabpanel" aria-labelledby="shift-tab">
                                <div class="row">
                                    <div class="col-md-8">
                                        <h5> {{ __('language.hcp_shift') }} </h5>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                        @if (!empty($request))
                                            @php $filterApply = 'filter-icon-apply'; @endphp
                                        @else
                                            @php $filterApply = 'filter-icon'; @endphp
                                        @endif
                                        <button type="button" value="shift" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                            <i class="fa fa-filter"></i>
                                        </button>
                                    </div>
                                </div>

                                <div>
                                    {!! Form::open(['class' => 'custom-datatable-filter-form filter-form-shift',  'id' => 'shift-filter-form', 'method' => 'get', 'url' => route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#shift', 'filterType' => "shifts" ])]) !!}
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="custom-datatable-filter filter-shift hide pl0 pr0">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    {!! Form::hidden('filter_type', 'shifts', ['class' => 'form-control']) !!}
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            {!! Form::select('status', create_select_options(config('constants.shifts.status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]) !!}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            {!! Form::select('shift_type', create_select_options(config('constants.shifts.shift_types'), 'caption', 'value',  __('language.shift_type')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]) !!}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            {!! Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]) !!}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-12">
                                                        <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4 mb2">
                                                        {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button', 'value' => 'shift' ] )}}
                                                        {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button', 'value' => 'shift' ] )}}
                                                    </div>
                                                </div>
                                                <div class="filter-border"></div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row mt-3">
                                        <div class="col-md-8">
                                            <div class="float-left">
                                                <label> {{ __('language.table_result') }} </label>
                                                {!! Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                            </div>

                                            <div class="float-left pl-2 search-box">
                                                {!! Form::text('shift_facility_search', old('shift_hcp_search', ($request['shift_facility_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                            </div>
                                            <div class="clearfix"></div>
                                        </div>

                                        <div class="col-md-4 text-right">
                                            <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.shift.shiftExport', ['request' => $request, 'status' => 'all', 'hcpId' => $hcp->id])}}">
                                                Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                            </a>
                                        </div>
                                    </div>
                                    {!! Form::close() !!}
                                </div>

                                <div class="pb-4">
                                    <div class="table-responsive">
                                        <table class="table mb-4 mt-4" id="dataTable-documents-hcp">
                                            <thead>
                                            <th> {{ __('language.shift_id') }} </th>
                                            <th> {{ __('language.booking_date') }} </th>
                                            <th> {{ __('language.shift_type') }} </th>
                                            <th> {{ __('language.cat_pro') }} </th>
                                            <th> {{ __('language.fac_name') }} </th>
                                            <th> {{ __('language.word_wing') }}  </th>
                                            <th> {{ __('language.shift_start') }} </th>
                                            <th> {{ __('language.shift_end') }}  </th>
                                            <th> {{ __('language.total_hours') }}  </th>
                                            <th> {{ __('language.shift_suburb') }} </th>
                                            <th> {{ __('language.shift_state') }} </th>
                                            <th> {{ __('language.table_status') }} </th>
                                            <th> {{ __('language.table_action') }} </th>
                                            </thead>
                                            <tbody>
                                            @if (count($shifts))
                                                @foreach ($shifts as $shift)
                                                    <tr>
                                                        <td>
                                                            <a href="{{ route('adminPanel.shift.details', ['id' => ev($shift->id)]) }}" class="text-primary">
                                                                <div>{{ $shift->shift_prefix . $shift->id }}</div>
                                                            </a>
                                                        </td>

                                                        <td>
                                                            {{ date("d M Y", strtotime($shift->created_at)) }}
                                                        </td>

                                                        <td> {{ ucwords($shift->shift_type) }} </td>

                                                        <td>
                                                            <div>{{ ucwords($shift->profession->name)}}</div>
                                                            <div class="font-size-12"> {{ ucwords($shift->category->name)}} </div>
                                                        </td>

                                                        <td>
                                                            <a href="{{ route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)]) }}">
                                                                <div> {{ ucwords($shift->facility->name)}}</div>
                                                            </a>
                                                            <div class="font-size-12">
                                                                @if (!empty($shift['facility']->address))
                                                                    {{ $shift['facility']->address }}
                                                                @endif
                                                            </div>
                                                        </td>

                                                        <td> {{ $shift->word_wing }}</td>

                                                        <td>
                                                            <div>{{ date("d F", strtotime($shift->start_time)) }}</div>
                                                            {{ date("h:i A", strtotime($shift->start_time)) }}
                                                        </td>

                                                        <td>
                                                            <div>{{ date("d F", strtotime($shift->end_time)) }}</div>
                                                            {{ date("h:i A", strtotime($shift->end_time)) }}
                                                        </td>

                                                        <td> {{ $shift->hours }} Hrs</td>

                                                        <td>
                                                            @if (!empty($shift['facility']->suburb_name))
                                                                {{ $shift['facility']->suburb_name }}
                                                            @endif
                                                        </td>
                                                        <td>
                                                            @if (!empty($shift['facility']->state))
                                                                {{ $shift['facility']->state->short_form }}
                                                            @endif
                                                        </td>

                                                        <td>
                                                            @if ($shift['shift_status'] == '0')
                                                                <div class="text-warning font-weight-bold"> {{ __("language.shift_status_pending") }} </div>
                                                            @elseif ($shift['shift_status'] == '1')
                                                                <div class="text-info font-weight-bold"> {{ __("language.shift_status_scheduled") }} </div>
                                                            @elseif ($shift['shift_status'] == '2')
                                                                <div class="text-success font-weight-bold"> {{ __("language.shift_status_running") }} </div>
                                                            @elseif ($shift['shift_status'] == '3')
                                                                <div class="text-danger font-weight-bold"> {{ __("language.shift_status_cancelled") }} </div>
                                                            @elseif ($shift['shift_status'] == '4')
                                                                <div class="text-success font-weight-bold"> {{ __("language.shift_status_completed") }} </div>
                                                            @elseif ($shift['shift_status'] == '5')
                                                                <div class="text-info font-weight-bold"> {{ __("language.shift_status_transfered") }} </div>
                                                            @elseif ($shift['shift_status'] == '6')
                                                                <div class="text-success font-weight-bold"> {{ __("language.shift_status_past") }} </div>
                                                            @endif
                                                        </td>

                                                        <td>
                                                            <ul class="datatable-action">
                                                                <li>
                                                                    <div class="dropdown custom-dropdown-icon">
                                                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                            <a href="{{ route('adminPanel.shift.details', ['id' => ev($shift->id)]) }}" class="dropdown-item">
                                                                                {{ __("language.details") }}
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                </li>
                                                            </ul>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            @else
                                                <tr>
                                                    <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                                </tr>
                                            @endif
                                            </tbody>
                                        </table>
                                        <div class="pagination">
                                            {{ $shifts->appends($request)->render() }}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            @if ($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin')
                                <div class="tab-pane" id="documents" role="tabpanel" aria-labelledby="documents-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <h5> {{ __('language.hcp_documents') }} </h5>
                                        </div>
                                    </div>

                                    <div>
                                        {!! Form::open(['class' => 'custom-datatable-filter-form ',  'id' => 'filter-form', 'method' => 'get', 'url' => route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#documents'])]) !!}
                                        <div class="row mb-3">
                                            <div class="col-md-8">
                                                <div class="float-left">
                                                    <label> {{ __('language.table_result') }} </label>
                                                    {!! Form::select('document_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('document_per_page', ($request['document_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                                </div>

                                                <div class="float-left pl-2 search-box">
                                                    {!! Form::text('document_search', old('document_search', ($request['document_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                                </div>
                                                <div class="clearfix"></div>
                                            </div>
                                        </div>
                                        {!! Form::close() !!}
                                    </div>

                                    <div class="pb-4">
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-documents-hcp">
                                                <thead>
                                                <tr>
                                                    <th> {{ __('language.hcp_document_table_id') }} </th>
                                                    <th> {{ __('language.hcp_document_table_name') }} </th>
                                                    <th> {{ __('language.hcp_document_table_type') }} </th>
                                                    <th> {{ __('language.hcp_document_table_expiry') }} </th>
                                                    <th> {{ __('language.hcp_document_table_profession') }} </th>
                                                    <th> {{ __('language.table_status') }} </th>
                                                    <th> {{ __('language.table_action') }} </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @if (count($documents))
                                                    @foreach ($documents as $document)
                                                        <tr>
                                                            <td>
                                                                {{ $document['document']->document_prefix . $document->document_id }}
                                                            </td>
                                                            <td>
                                                                @if (!empty($document->document))
                                                                    {{ ucwords($document->document->name) }}
                                                                    @if ($document['document']['mandatory_status'] == 'yes')
                                                                        <span class="text-danger">*</span>
                                                                    @endif
                                                                @else
                                                                    N/A
                                                                @endif
                                                            </td>
                                                            <td>
                                                                @if (!empty($document->document))
                                                                    {{ ucwords(str_replace('-', ' ',$document->document->doc_type)) }}
                                                                @else
                                                                    N/A
                                                                @endif
                                                            </td>
                                                            <td>
                                                                @if (!empty($document->expiry_date))
                                                                    {{ date("d F Y", strtotime($document->expiry_date)) }}
                                                                @else
                                                                    N/A
                                                                @endif
                                                            </td>
                                                            <td>
                                                                @if (!empty($document->profession))
                                                                    {{ $document->profession->name }}
                                                                @else
                                                                    N/A
                                                                @endif
                                                            </td>
                                                            <td>
                                                                @php
                                                                    $status = '';
                                                                    if ($document->document_approval == 'approved') {
                                                                        $status .= '<div class="text-success font-weight-bold"> ' . __("language.document_approved") . ' </div>';
                                                                    } else if ($document->document_approval == 'pending') {
                                                                        $status .= '<div class="text-warning font-weight-bold"> ' . __("language.document_pending") . ' </div>';
                                                                    } else if ($document->document_approval == 'pending-reapproval') {
                                                                        $status .= '<div class="text-warning font-weight-bold"> ' . __("language.document_pending_approved") . ' </div>';
                                                                    } else if ($document->document_approval == 'reapproved') {
                                                                        $status .= '<div class="text-success font-weight-bold"> ' . __("language.document_reapproved") . ' </div>';
                                                                    } else if ($document->document_approval == 'expired') {
                                                                        $status .= '<div class="text-danger font-weight-bold"> ' . __("language.document_expired") . ' </div>';
                                                                    }
                                                                @endphp
                                                                {!! $status !!}
                                                            </td>

                                                            <td>
                                                                @php
                                                                    $documentUrl = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix . $hcp->id . '/documents/', $document->document_name);
                                                                @endphp
                                                                <ul class="datatable-action">
                                                                    <li>
                                                                        <div class="dropdown custom-dropdown-icon">
                                                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                            </a>
                                                                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                                <a href="{{$documentUrl}}" class="dropdown-item" target="_blank" download> {{ __("language.download") }} </a>

                                                                                @if ($document->document_approval == 'pending')
                                                                                    <a href="#" class="dropdown-item link-action" data-url="{{route('adminPanel.hcps.documentApproved', ['id' => ev($document->id), 'hcpId' => ev($document->hcp_id)])}}"> {{ __("language.document_approved") }} </a>
                                                                                @elseif($document->document_approval == 'pending-reapproval')
                                                                                    <a href="#" data-url="{{route('adminPanel.hcps.documentReapproved', ['id' => ev($document->id), 'hcpId' => ev($document->hcp_id)])}}" class="dropdown-item link-action"> {{ __("language.document_reapproved") }} </a>
                                                                                @elseif($document->document_approval == 'expired')
                                                                                    <a href="#" data-url="{{route('adminPanel.hcps.documentReapproved', ['id' => ev($document->id), 'hcpId' => ev($document->hcp_id)])}}" class="dropdown-item link-action"> {{ __("language.document_reapproved") }} </a>
                                                                                @endif
                                                                            </div>
                                                                        </div>
                                                                    </li>
                                                                </ul>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                                    </tr>
                                                @endif
                                                </tbody>
                                            </table>
                                            <div class="pagination">
                                                {{ $documents->appends($request)->render() }}
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="favourite" role="tabpanel" aria-labelledby="favourite-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-8">
                                            <h5> {{ __('language.hcp_favourite_facility') }} </h5>
                                        </div>

                                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                            @if (!empty($request))
                                                @php $filterApply = 'filter-icon-apply'; @endphp
                                            @else
                                                @php $filterApply = 'filter-icon'; @endphp
                                            @endif
                                            <button type="button" value="favourite" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                                <i class="fa fa-filter"></i>
                                            </button>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="custom-datatable-filter filter-favourite hide pl0 pr0">
                                                {!! Form::open(['class' => 'custom-datatable-filter-form filter-form-favourite', 'method' => 'get', 'url' =>
                                                route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#favourite', 'filterType' => "favourites" ])]) !!}
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                                    </div>
                                                </div>
                                                <div class="row">

                                                    {!! Form::hidden('filter_type', 'favourites', ['class' => 'form-control']) !!}

                                                    @if (!empty($states))
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                {!! Form::select('state_id', create_select_options($states, 'name', 'id',  __('language.facility_filter_state')), old('state_id', ($request['state_id'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'favourite_state_id']) !!}
                                                            </div>
                                                        </div>
                                                    @endif

                                                    <div class="col-md-12">
                                                        <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4 mb2">
                                                        {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit', 'value' => 'favourite'] )}}
                                                        {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button', 'value' => 'favourite'] )}}
                                                    </div>
                                                </div>
                                                {!! Form::close() !!}
                                            </div>
                                        </div>
                                    </div>

                                    <div>
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-favourite-hcp">
                                                <thead>
                                                <tr>
                                                    <th> {{ __('language.table_facility_id') }} </th>
                                                    <th> {{ __('language.table_facility_name') }} </th>
                                                    <th> {{ __('language.table_facility_address') }} </th>
                                                    <th> {{ __('language.table_facility_suburb') }} </th>
                                                    <th> {{ __('language.table_facility_state') }} </th>
                                                    <th> {{ __('language.table_facility_email') }} </th>
                                                    <th> {{ __('language.table_action') }} </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @if (count($hcpFavourites))
                                                    @foreach ($hcpFavourites as $favourite)
                                                        <tr>
                                                            <td>
                                                                <a href="{{ route('adminPanel.facilities.details', ['id' => ev($favourite['facility']->id)]) }}">
                                                                    {{ $favourite['facility']->facility_prefix . $favourite['facility']->id }}
                                                                </a>
                                                            </td>
                                                            <td>
                                                                {{ ucwords($favourite['facility']->name)}}
                                                            </td>
                                                            <td> {{ $favourite['facility']->address ?? 'N/A' }} </td>
                                                            <td> {{ $favourite['facility']->suburb_name ?? 'N/A' }} </td>
                                                            <td>
                                                                @if (!empty($favourite['facility']->state))
                                                                    {{ $favourite['facility']->state->short_form }}
                                                                @else
                                                                    N/A
                                                                @endif
                                                            </td>
                                                            <td> {{ $favourite['facility']->user->email }} </td>
                                                            <td>
                                                                <ul class="datatable-action">
                                                                    <li>
                                                                        <div class="dropdown custom-dropdown-icon">
                                                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                            </a>
                                                                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                                <a href="#" data-url="{{ route('adminPanel.hcps.removeFavouriteFacility', ['id' => $favourite['id'], 'hcpId' => $favourite['hcp_id'] ]) }}" class="dropdown-item link-action"> {{ __("language.remove") }} </a>
                                                                            </div>
                                                                        </div>
                                                                    </li>
                                                                </ul>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="10" class="text-center"> {{ __('language.no_record_found') }} </td>
                                                    </tr>
                                                @endif
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="blocklist" role="tabpanel" aria-labelledby="blocklist-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-8">
                                            <h5> {{ __('language.hcp_blocked_facility') }} </h5>
                                        </div>

                                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                            @if (!empty($request))
                                                @php $filterApply = 'filter-icon-apply'; @endphp
                                            @else
                                                @php $filterApply = 'filter-icon'; @endphp
                                            @endif
                                            <button type="button" value="blocklist" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                                <i class="fa fa-filter"></i>
                                            </button>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="custom-datatable-filter filter-blocklist hide pl0 pr0">
                                                {!! Form::open(['class' => 'custom-datatable-filter-form filter-form-blocklist', 'method' => 'get', 'url' =>
                                                route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#blocklist', 'filterType' => "blocklist" ])]) !!}
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    {!! Form::hidden('filter_type', 'blocklist', ['class' => 'form-control']) !!}

                                                    @if (!empty($states))
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                {!! Form::select('state_id', create_select_options($states, 'name', 'id',  __('language.facility_filter_state')), old('state_id', ($request['state_id'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'blocklist_state_id']) !!}
                                                            </div>
                                                        </div>
                                                    @endif

                                                    <div class="col-md-12">
                                                        <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4 mb2">
                                                        {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit', 'value' => 'blocklist'] )}}
                                                        {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button', 'value' => 'blocklist'] )}}
                                                    </div>
                                                </div>
                                                {!! Form::close() !!}
                                            </div>
                                        </div>
                                    </div>

                                    <div>
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-favourite-hcp">
                                                <thead>
                                                <tr>
                                                    <th> {{ __('language.table_facility_id') }} </th>
                                                    <th> {{ __('language.table_facility_name') }} </th>
                                                    <th> {{ __('language.table_facility_address') }} </th>
                                                    <th> {{ __('language.table_facility_suburb') }} </th>
                                                    <th> {{ __('language.table_facility_state') }} </th>
                                                    <th> {{ __('language.table_facility_email') }} </th>
                                                    <th> {{ __('language.table_action') }} </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @if (count($hcpBlocklist))
                                                    @foreach ($hcpBlocklist as $blocklist)
                                                        <tr>
                                                            <td>
                                                                <a href="{{ route('adminPanel.facilities.details', ['id' => ev($blocklist['facility']->id)]) }}">
                                                                    {{ $blocklist['facility']->facility_prefix . $blocklist['facility']->id }}
                                                                </a>
                                                            </td>
                                                            <td>
                                                                {{ ucwords($blocklist['facility']->name)}}
                                                            </td>
                                                            <td> {{ $blocklist['facility']->address ?? 'N/A' }} </td>
                                                            <td> {{ $blocklist['facility']->suburb_name ?? 'N/A' }} </td>
                                                            <td>
                                                                @if (!empty($blocklist['facility']->state))
                                                                    {{ $blocklist['facility']->state->short_form }}
                                                                @else
                                                                    N/A
                                                                @endif
                                                            </td>
                                                            <td> {{ $blocklist['facility']->user->email }} </td>
                                                            <td>
                                                                <ul class="datatable-action">
                                                                    <li>
                                                                        <div class="dropdown custom-dropdown-icon">
                                                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                            </a>
                                                                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                                <a href="{{ route('adminPanel.hcps.removeBlocklistFacility', ['id' => $blocklist['id'], 'hcpId' => $blocklist['hcp_id'] ]) }}" class="dropdown-item"> {{ __("language.remove") }} </a>
                                                                            </div>
                                                                        </div>
                                                                    </li>
                                                                </ul>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="10" class="text-center"> {{ __('language.no_record_found') }} </td>
                                                    </tr>
                                                @endif
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="referandearn" role="tabpanel" aria-labelledby="referandearn-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <h5> {{ __('language.hcp_refer_and_earn') }} </h5>
                                        </div>

                                        <div class="col-md-6">
                                            <h6 class="text-right">
                                                <span class="text-success">{{ __('language.refer_and_earn_total_earnings') }}</span> : {{$totalReferrerAmount}}
                                            </h6>
                                        </div>
                                    </div>

                                    <div>
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-favourite-hcp">
                                                <thead>
                                                <tr>
                                                    <th> {{ __('language.refer_and_earn_table_hcp_id') }} </th>
                                                    <th> {{ __('language.refer_and_earn_table_name') }} </th>
                                                    <th> {{ __('language.refer_and_earn_table_email') }} </th>
                                                    <th> {{ __('language.refer_and_earn_table_contact_number') }} </th>
                                                    <th> {{ __('language.refer_and_earn_table_referrer_amount') }} </th>
                                                    <th> {{ __('language.refer_and_earn_table_referee_amount') }} </th>
                                                    <th> {{ __('language.refer_and_earn_table_referral_date') }} </th>
                                                    <th> {{ __('language.refer_and_earn_table_referral_completed') }} </th>
                                                    <th> {{ __('language.table_status') }} </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @if (count($referrals))
                                                    @foreach ($referrals as $referral)
                                                        <tr>
                                                            <td>
                                                                <a href="{{route('adminPanel.hcps.details', ['id' => ev($referral['referee_hcp']->id)])}}" class="text-primary">
                                                                    {{ $referral['referee_hcp']->hcp_prefix . $referral['referee_hcp']->id }}
                                                                </a>
                                                            </td>
                                                            <td>
                                                                <div>{{ ucwords($referral['referee_hcp']->first_name.' '.$referral['referee_hcp']->last_name) }}</div>
                                                            </td>
                                                            <td> {{ $referral['referee_hcp']->user->email }} </td>
                                                            <td> {{ $referral['referee_hcp']->contact_number ?? 'N/A' }} </td>
                                                            <td> {{ $referral->referrer_amount }} </td>
                                                            <td> {{ $referral->referee_amount }} </td>
                                                            <td>
                                                                {{ $referral->referral_date ? date("d M Y", strtotime($referral->referral_date)) : 'N/A' }}
                                                            </td>
                                                            <td>
                                                                {{ $referral->referral_completed_date ? date("d M Y", strtotime($referral->referral_completed_date)) :'N/A' }}
                                                            </td>
                                                            <td>
                                                                @if ($referral['status'] == 'pending')
                                                                    <div class="text-warning font-weight-bold"> {{ __('language.refer_and_earn_table_status_pending') }} </div>
                                                                @elseif($referral['status'] == 'completed')
                                                                    <div class="text-success font-weight-bold"> {{ __('language.refer_and_earn_table_status_completed') }} </div>
                                                                @else
                                                                    <div class="text-danger font-weight-bold"> {{ __('language.refer_and_earn_table_status_cancelled') }} </div>
                                                                @endif
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="10" class="text-center"> {{ __('language.no_record_found') }} </td>
                                                    </tr>
                                                @endif
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="history" role="tabpanel" aria-labelledby="history-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <h5> {{ __('language.hcp_history_notes_tab_heading') }} </h5>
                                        </div>
                                    </div>

                                    <div class="pb-4">
                                        <div class="table-responsive">
                                            <table class="table mb-4 mt-2" id="dataTable-history-hcp">
                                                <tbody>
                                                @if (count($hcpActivities))
                                                    @foreach ($hcpActivities as $activity)
                                                        <tr>
                                                            <td class="pl-0">
                                                                @if (!empty($activity->user))
                                                                    <b class="text-primary"> {{ ucwords($activity->user['name']) }} </b>
                                                                    <div class="">
                                                                        @if ($activity->user['role_name'] == 'sub-admin')
                                                                            {{ ucwords('Sub Admin') }}
                                                                        @elseif ($activity->user['role_name'] == 'super-admin')
                                                                            {{ ucwords('Super Admin') }}
                                                                        @elseif ($activity->user['role_name'] == 'facility')
                                                                            {{ ucwords('Facility') }}
                                                                        @endif
                                                                    </div>
                                                                @else
                                                                    <b class="text-primary"> {{ ucwords('System Generated') }} </b>
                                                                @endif
                                                            </td>
                                                            <td> {{ $activity->message }} </td>
                                                            <td>
                                                                @if (!empty($activity->created_at) && !empty($hcp->state) && $activity->activity != 'points-deduction')
                                                                    @php
                                                                        $time = Carbon\Carbon::parse($activity->created_at)
                                                                        ->setTimezone($hcp->state->time_zone_name);
                                                                    @endphp
                                                                    {{ $time->format('d M, Y h:i A') }}

                                                                @elseif (!empty($activity->created_at) && !empty($hcp->state))
                                                                    @php
                                                                        $time = Carbon\Carbon::parse($activity->created_at);
                                                                    @endphp
                                                                    {{ $time->format('d M, Y h:i A') }}
                                                                @else
                                                                    N/A
                                                                @endif
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @else
                                                    <tr>
                                                        <td colspan="10" class="text-center"> No record found...</td>
                                                    </tr>
                                                @endif
                                                </tbody>
                                            </table>

                                            <div class="pagination">
                                                {{ $hcpActivities->appends($request)->render() }}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
    <script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
    <script src="{{ asset('admin-assets/js/components.js') }}"></script>
    <script src="{{ asset('admin-assets/js/hcps/details.js') }}"></script>
    <script>
        $(function(){
            var hash = window.location.hash;
            hash && $('ul.nav a[href="' + hash + '"]').tab('show');
            $('.nav-tabs a').click(function (e) {
                $(this).tab('show');
                var scrollmem = $('body').scrollTop();
                window.location.hash = this.hash;
                $('html,body').scrollTop(scrollmem);
            });
        });
    </script>
@endpush
