@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.edit_hcps_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/plugins/dropify/dropify.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/components/tabs-accordian/custom-tabs.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.edit_hcps_page_title') }} </h5>
                    </div>
                </div>

                <ul class="nav nav-tabs  m-3" id="rounded-pills-icon-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active text-center" id="personal-details-tab" data-toggle="pill" href="#personal-details" role="tab" aria-controls="personal-details" aria-selected="true">
                            <i data-feather="user" class="feather-18"></i> &nbsp; {{ __('language.hcp_personal_details_tab') }}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-center" id="profession-details-tab" data-toggle="pill" href="#profession-details" role="tab" aria-controls="profession-details" aria-selected="false">
                            <i data-feather="award" class="feather-18"></i> &nbsp; {{ __('language.hcp_profession_details_tab') }}
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-center" id="mandatory-documents-tab" data-toggle="pill" href="#mandatory-documents" role="tab" aria-controls="mandatory-documents" aria-selected="false">
                            <i data-feather="file-text" class="feather-18"></i> &nbsp; {{ __('language.hcp_mandatory_documents_tab') }}
                        </a>
                    </li>
                </ul>
                <div class="tab-content  p-3" id="rounded-pills-icon-tabContent">
                    <div class="tab-pane fade show active" id="personal-details" role="tabpanel" aria-labelledby="personal-details-tab">
                        <div class="form">
                            {!! Form::open(['class' => 'add-hcps-form', 'method' => 'post', 'url' =>
                            route('adminPanel.hcps.update', ['id' => ev($hcp->id)]),'files' => true ]) !!}

                                <div class="form-row mb-2">
                                    <div class="col-md-9">
                                        <div class="form-row">
                                            <div class="form-group col-md-4">
                                                <label for="first_name"> {{ __('language.hcp_first_name') }} </label>
                                                {!! Form::text('first_name', old('first_name', ($hcp->first_name ?? null)), ['class' => 'form-control', 'id' => 'first_name', 'placeholder' => __('language.hcp_first_name')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="last_name"> {{ __('language.hcp_last_name') }} </label>
                                                {!! Form::text('last_name', old('last_name', ($hcp->last_name ?? null)), ['class' => 'form-control', 'id' => 'last_name', 'placeholder' => __('language.hcp_last_name')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="email"> {{ __('language.hcp_email') }} </label>
                                                {!! Form::email('email', old('email', ($hcp->user->email ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'email', 'placeholder' => __('language.hcp_email'), 'data-url' => route('adminPanel.dashboard.checkUserEmail', ['id' => $hcp->user->id])])
                                                !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="contact_number"> {{ __('language.hcp_contact_number') }} </label>
                                                {!! Form::text('contact_number', old('contact_number', ($hcp->contact_number ??
                                                null)), ['class' => 'form-control', 'id' => 'contact_number', 'placeholder' => __('language.hcp_contact_number')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="dob"> {{ __('language.hcp_dob') }} </label>
                                                {!! Form::text('dob', old('dob', ($hcp->date_of_birth ?? null)), ['class' => 'form-control dob-date-picker date-picker', 'id' => 'dob', 'placeholder' => __('language.hcp_dob')]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="gender"> {{ __('language.hcp_gender') }} </label>
                                                {!! Form::select('gender', create_select_options(config('constants.users.gender'),
                                                'caption', 'value', __('language.hcp_gender')), $hcp->gender, ['class' =>
                                                'form-control select-picker', 'id' => 'gender',]) !!}
                                            </div>
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-4 state-div">
                                                <label for="state_id"> {{ __('language.hcp_state') }} </label>
                                                {!! Form::select('state_id', create_select_options($states, 'name', 'id',
                                                null), $hcp->state_id, ['class' => 'form-control select-picker
                                                state-city', 'id' => 'state_id', 'data-url' => route('adminPanel.state.getCities'), 'title' => __('language.hcp_state')])
                                                !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="address"> {{ __('language.hcp_address') }} </label>
                                                {!! Form::text('address', old('address', ($hcp->address ?? null)), ['class' => 'form-control', 'id' => 'address',  'placeholder' => __('language.hcp_address'), ]) !!}
                                            </div>

                                            <div class="form-group col-md-4 city-div">
                                                <label for="city_id"> {{ __('language.hcp_city') }} </label>
                                                {!! Form::text('city_name', old('city_name', ($hcp->city_name ?? null)), ['class' => 'form-control input-readonly-new',  'id' => 'city_name',   'placeholder' => __('language.hcp_city'), 'readonly' ]) !!}
                                            </div>
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-4 suburb-div">
                                                <label for="suburb_id"> {{ __('language.hcp_suburb') }} </label>
                                                {!! Form::text('suburb_name', old('suburb_name', ($hcp->suburb_name ?? null)), ['class' => 'form-control input-readonly-new',  'id' => 'suburb_name',   'placeholder' => __('language.hcp_suburb'), 'readonly' ]) !!}
                                            </div>

                                            <div class="form-group col-md-4">
                                                <label for="postcode"> {{ __('language.hcp_postcode') }} </label>
                                                {!! Form::text('postcode', old('postcode', ($hcp->post_code ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'postcode',  'placeholder' => __('language.hcp_postcode'), 'readonly']) !!}
                                            </div>
                                            <div class="form-group col-md-4">
                                                <label for="next_of_kin"> Next Of Kin </label>
                                                {!! Form::text('next_of_kin', old('next_of_kin', ($hcp->next_of_kin ??
                                                null)), ['class' => 'form-control', 'id' => 'next_of_kin', 'placeholder' => 'Next Of Kin']) !!}
                                            </div>
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-4">
                                                <label for="registration_number"> {{ __('language.hcp_registration_number') }} </label>
                                                {!! Form::text('registration_number', old('registration_number', ($hcp->registration_number ?? null)), ['class' => 'form-control', 'id' =>'registration_number', 'placeholder' => __('language.hcp_registration_number'), 'data-url' =>
                                                route('adminPanel.hcps.checkRegistrationNumber', ['id' => $hcp->id])]) !!}
                                            </div>

                                            {{-- <div class="form-group col-md-4 hide">
                                                <label for="abn_number"> {{ __('language.hcp_abn_number') }} </label>
                                                {!! Form::text('abn_number', old('abn_number', ($hcp->abn_number ?? null)), ['class' => 'form-control', 'id' => 'abn_number', 'placeholder' => __('language.hcp_abn_number')]) !!}
                                            </div> --}}

                                            <div class="form-group col-md-4">
                                                <label for="tfn_number"> {{ __('language.hcp_tfn_number') }} </label>
                                                {!! Form::text('tfn_number', old('tfn_number', ($hcp->tfn_number ?? null)), ['class' => 'form-control', 'id' => 'tfn_number', 'placeholder' => __('language.hcp_tfn_number')]) !!}
                                            </div>

                                            @if (!empty($hcp->cv))
                                            @php
                                            $attachment = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                            $hcp->id . '/cv/', $hcp->cv);
                                            @endphp
                                            @else
                                            @php $attachment = ''; @endphp
                                            @endif
                                            <div class="form-group col-md-4">
                                                <label for="attachment" class="dowloan-file-lable">
                                                    {{ __('language.hcp_attachment') }}
                                                    @if (!empty($attachment))
                                                    <a href="{{  $attachment }}" download target="_blank" class="text-right">
                                                        <i class="fa fa-download" aria-hidden="true"></i>
                                                    </a>
                                                    @endif
                                                </label>
                                                {!! Form::file('attachment', ['class' => 'form-control-file', 'id' => 'attachment',
                                                'autocomplete' => 'off', ]) !!}
                                            </div>

                                            @php $acceptLowerjobStatus = get_accept_lower_job_checkbox_status(); @endphp

                                            @if ($acceptLowerjobStatus['show_accept_lower_level_job_checkbox'] == '1')
                                            <div class="form-group col-md-6 pt-3">
                                                <div class="custom-control custom-checkbox mt-4">
                                                    <input type="checkbox" class="custom-control-input" value="1" id="accept_lower_level_job" name="accept_lower_level_job" {{ ($hcp->accept_lower_level_job == 1) ? 'checked' : "" }}>
                                                    <label class="custom-control-label" for="accept_lower_level_job"> {{ __('language.hcp_accepting_low_level_job') }} </label>
                                                </div>
                                            </div>
                                            @endif
                                        </div>

                                        <div class="form-row">
                                            <div class="form-group col-md-12">
                                                <label for="about_me"> {{ __('language.hcp_about_me') }} </label>
                                                {!! Form::textarea('about_me', old('about_me', ($hcp->about_me ?? null)), ['class' => 'form-control textarea-control', 'id' =>
                                                'about_me', 'placeholder' => __('language.hcp_about_me')]) !!}
                                            </div>

                                            <div class="form-group col-md-3">
                                                <label for="email"> Password </label>
                                                {!! Form::password('password', ['class' => 'form-control', 'id' => 'password', 'placeholder' => __('language.password')]) !!}
                                            </div>

                                            {!! Form::hidden('latitude', old('latitude', ($hcp->latitude ?? null)), ['class' => 'form-control', 'id' => 'latitude', 'autocomplete' => 'off']) !!}
                                            {!! Form::hidden('longitude', old('longitude', ($hcp->longitude ?? null)), ['class' => 'form-control', 'id' => 'longitude', 'autocomplete' => 'off']) !!}
                                        </div>
                                    </div>

                                    <div class="col-md-3">
                                        @if (!empty($hcp->image) )
                                        @php $image = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                        $hcp->id . '/image/',
                                        $hcp->image); @endphp
                                        @else
                                        @php $image = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                        @endif
                                        <div class="form-group custom-dropify text-center">
                                            {!! Form::file('image', ['class' => 'image-preview', 'id' => 'image', 'autocomplete' =>
                                            'off', 'data-show-remove' =>
                                            'false', 'accept' => 'image/*', "data-default-file" =>
                                            $image ]) !!}
                                            <label for="name"> {{ __('language.hcp_upload_image') }} </label>
                                        </div>
                                    </div>
                                </div>

                            {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit mt-4', 'type' => 'submit'] )}}

                            {!! Form::close() !!}
                        </div>
                    </div>

                    <div class="tab-pane fade" id="profession-details" role="tabpanel" aria-labelledby="profession-details-tab">
                        <div class="profession-details-div" data-profession-document-url="{{ route('adminPanel.professions.getProfessionsDocument') }}">

                            {!! Form::open(['class' => 'update-hcp-profession-form', 'method' => 'post', 'url' => route('adminPanel.hcps.updateProfession', ['id' => ev($hcp->id)]), 'files' => true ]) !!}

                                @if (!empty($hcp->hcp_professions) && count($hcp->hcp_professions))

                                {!! Form::hidden('professions_count', count($hcp->professions), ['class' =>
                                'form-control', 'id' => 'professions_count', ]) !!}
                                @php $k=0; @endphp
                                @foreach ($hcp->hcp_professions as $key => $profession)
                                <div class="form-row" id="panel-{{$profession->id}}">

                                    <div class="col-md-3 mb-4">
                                        <label> {{ __('language.hcp_category_details') }} </label>
                                        <p class="text-dark"> {{ ucwords($profession->category->name) }} </p>
                                    </div>

                                    <div class="col-md-3 mb-4">
                                        <label> {{ __('language.hcp_professions_details') }} </label>
                                        <p class="text-dark"> {{ ucwords($profession->profession->name) }} </p>
                                    </div>

                                    <div class="col-md-3 mb-4">
                                        <label> {{ __('language.hcp_level_details') }} </label>
                                        @if (!empty($profession->level))
                                        <p class="text-dark"> {{ ucwords($profession->level->name) }} </p>
                                        @else
                                        <p class="text-dark"> N/A </p>
                                        @endif
                                    </div>

                                    <div class="form-group col-md-3 mt-4">
                                        <span class="remove-block remove-profession" data-url="{{ route('adminPanel.hcps.removeProfession') }}" data-id="{{$profession->id}}" data-profession-id="{{$profession->profession->id}}" data-hcp-id="{{$hcp->id}}">
                                            {{ __('language.remove') }}
                                        </span>
                                        @if($profession->buddy_shift_request_count==0)
                                        <a href="{{ route('adminPanel.shift.requestBuddyShift',['id'=>$profession->id]) }}">
                                            <span class="text-success ml-3 cursor-pointer">
                                            {{ __('language.request_interview') }}
                                            </span>
                                        </a>
                                        @endif
                                    </div>

                                    <div class="col-md-12 document-box">
                                        @php
                                            $hcpProfessionDocuments = get_hcp_profession_document($hcp->id, $profession->profession_id, $profession->level_id);
                                        @endphp
                                        @if (count($hcpProfessionDocuments))
                                        <div class="form-row">
                                            @foreach ($hcpProfessionDocuments as $hcpProfessionDocument)
                                                @php $k=$k+1; @endphp
                                                <div class="col-md-3 mb-3">
                                                    <div class="panel panel-border">
                                                        <h6 class="text-left">
                                                            <p>
                                                                {{ $hcpProfessionDocument['document']->name }}
                                                                @if ($hcpProfessionDocument['document']->expiry_date_mandatory == 'yes')
                                                                @php $requiredExpiryDateClass = 'edit-profession-document-expiry-date-required-'.$k; @endphp
                                                                @else
                                                                @php $requiredExpiryDateClass = ''; @endphp
                                                                @endif
                                                            </p>
                                                        </h6>

                                                        {!! Form::hidden('documents['.$k.'][document_id]', $hcpProfessionDocument['document']->id, ['class' =>
                                                        'form-control']) !!}

                                                        {!! Form::hidden('documents['.$k.'][profession_id]', $hcpProfessionDocument->profession_id, ['class' =>
                                                        'form-control']) !!}

                                                        {!! Form::hidden('documents['.$k.'][level_id]', $hcpProfessionDocument->level_id, ['class' =>'form-control']) !!}

                                                        {!! Form::hidden('documents['.$k.'][document_name]', $hcpProfessionDocument['document']->name, ['class' =>
                                                        'form-control']) !!}

                                                        {!! Form::hidden('documents['.$k.'][document_required]', $hcpProfessionDocument['document']->mandatory_status, ['class' => 'form-control edit-profession-document-mandatory-status-'.$k]) !!}

                                                        @if (!empty($hcpProfessionDocument))
                                                        {!! Form::hidden('documents['.$k.'][file]', $hcpProfessionDocument['document_name'], ['class' => 'form-control']) !!}
                                                        @endif

                                                        @if ($hcpProfessionDocument->mandatory_status == 'yes')
                                                        <span class="text-danger">*</span>
                                                        @php $requiredFileClass = 'document-required-'.$k; @endphp
                                                        @else
                                                        @php $requiredFileClass = ''; @endphp
                                                        @endif

                                                        @if ($hcpProfessionDocument->expiry_date_mandatory == 'yes')
                                                        @php $requiredExpiryDateClass = 'profession-document-expiry-date-required-'.$k; @endphp
                                                        @else
                                                        @php $requiredExpiryDateClass = ''; @endphp
                                                        @endif

                                                        <div class="form-row">
                                                            <div class="form-group col-md-12">
                                                                <label for="upload_document">
                                                                    {{ __('language.hcp_upload_document') }}
                                                                    @if (!empty($hcpProfessionDocument))
                                                                    @php
                                                                        $documentFile = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix . $hcp->id . '/documents/', $hcpProfessionDocument->document_name);
                                                                    @endphp
                                                                    <a href="{{$documentFile}}" download target="_blank"
                                                                        class="text-right">
                                                                        <i class="fa fa-download" aria-hidden="true"></i>
                                                                    </a>
                                                                    @endif
                                                                </label>
                                                                {!! Form::file('documents['.$k.'][file]', ['class' =>
                                                                'form-control-file '.$requiredFileClass.' edit-profession-document-file-'.$k.'', 'id'=>'edit-profession-document-file-'.$k.'',
                                                                'autocomplete' => 'off', ]) !!}
                                                            </div>

                                                            @if ($hcpProfessionDocument['document']->expiry_date_mandatory == 'yes')
                                                            <div class="form-group col-md-12">
                                                                <label for="expiry_date"> {{ __('language.hcp_expiry_date') }} </label>
                                                                {!! Form::text('documents['.$k.'][expiry_date]',
                                                                old('expiry_date', ($hcpProfessionDocument['expiry_date'] ?? null)), ['class' => 'form-control expiry-date date-input '.$requiredExpiryDateClass.' ', 'id' => 'edit-profession-expiry-date-'.$k.'', 'placeholder' => __('language.hcp_expiry_date')])
                                                                !!}
                                                            </div>
                                                            @endif

                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                        @else
                                        @php
                                            $documentConfigurations = get_profession_documens($profession->profession_id, $profession->level_id);
                                        @endphp
                                        <div class="form-row">
                                            @if (count($documentConfigurations))
                                            @foreach ($documentConfigurations as $key => $documentConfiguration)
                                            @php
                                                $document = $documentConfiguration['document'];
                                                $key = $key+1;
                                                $levelId = $profession->level_id ?? null;
                                            @endphp
                                            <div class="col-md-3 mb-3">
                                                <div class="panel panel-border">
                                                    {!! Form::hidden('documents['.$key.'][profession_id]', $documentConfiguration->profession_id, ['class' => 'form-control']) !!}
                                                    {!! Form::hidden('documents['.$key.'][level_id]', $levelId, ['class' => 'form-control level-id-'.$key]) !!}
                                                    <h6 class="text-left">
                                                        <p>
                                                            {{ $document->name }}
                                                            @if ($document->mandatory_status == 'yes')
                                                            <span class="text-danger">*</span>
                                                            @php $requiredFileClass = 'document-required-'.$key; @endphp
                                                            @else
                                                            @php $requiredFileClass = ''; @endphp
                                                            @endif

                                                            @if ($document->expiry_date_mandatory == 'yes')
                                                            @php $requiredExpiryDateClass = 'profession-document-expiry-date-required-'.$key; @endphp
                                                            @else
                                                            @php $requiredExpiryDateClass = ''; @endphp
                                                            @endif
                                                        </p>
                                                    </h6>

                                                    {!! Form::hidden('documents['.$key.'][document_id]', $document->id, ['class' =>
                                                    'form-control']) !!}

                                                    {!! Form::hidden('documents['.$key.'][document_name]', $document->name, ['class' =>
                                                    'form-control']) !!}

                                                    {!! Form::hidden('documents['.$key.'][document_required]', $document->mandatory_status, ['class' => 'form-control profession-document-mandatory-status-'.$key]) !!}

                                                    <div class="form-row">
                                                        <div class="form-group col-md-12">
                                                            <label for="upload_document"> {{ __('language.hcp_upload_document') }} </label>
                                                            {!! Form::file('documents['.$key.'][file]', ['class' => 'form-control-file profession-document-file-'.$key.'', 'id'=>'profession-document-file-'.$key.'','autocomplete' => 'off', ]) !!}
                                                        </div>

                                                        @if ($document->expiry_date_mandatory == 'yes')
                                                        <div class="form-group col-md-12">
                                                            <label for="expiry_date"> {{ __('language.hcp_expiry_date') }} </label>
                                                            {!! Form::text('documents['.$key.'][expiry_date]', null, ['class' =>
                                                            'form-control expiry-date date-input '.$requiredExpiryDateClass.' ', 'id' =>
                                                            'expiry-date-'.$key.'', 'placeholder' => __('language.hcp_expiry_date')])
                                                            !!}
                                                        </div>
                                                        @endif

                                                    </div>
                                                </div>
                                            </div>
                                            @endforeach
                                            @endif
                                        </div>
                                        @endif
                                        <hr/>
                                    </div>

                                </div>
                                @endforeach
                                <div class="form-row">
                                    <div class="col-md-12 text-right">
                                        <button type="button" class="btn btn-info  add-more"
                                            data-url="{{ route('adminPanel.hcps.addMoreProfessions') }}">
                                            {{ __('language.add_more') }}
                                        </button>
                                    </div>

                                    <div class="col-md-12 document-box-0"></div>
                                </div>
                                @else
                                <div class="form-row">
                                    <div class="form-group col-md-3">
                                        <label for="category_id"> {{ __('language.hcp_category') }} </label>
                                        {!! Form::select('professions[0][category_id]', create_select_options($categories,
                                        'name', 'id', null), null, ['class' => 'form-control select-picker
                                        category-profession', 'id' => 'category_id', 'data-url' => route('adminPanel.categories.getProfessions'), 'title' => __('language.hcp_category')])
                                        !!}
                                    </div>

                                    <div class="form-group col-md-3 profession-div">
                                        <label for="professions_id"> {{ __('language.hcp_professions') }} </label>
                                        {!! Form::select('professions[0][professions_id]', create_select_options([], 'name',
                                        'id', null), null, ['class' => 'form-control select-picker profession-level', 'id' => 'professions_id', 'data-url' => route('adminPanel.professions.getLevels'), 'title' => __('language.hcp_professions')]) !!}
                                    </div>

                                    <div class="form-group col-md-3 level-div">
                                        <label for="level_id"> {{ __('language.hcp_level') }} </label>
                                        {!! Form::select('professions[0][level_id]', create_select_options([], 'name',
                                        'id', null), null, ['class' => 'form-control select-picker level-select', 'id' => 'level_id', 'title' => __('language.hcp_level')]) !!}
                                    </div>

                                    <div class="form-group col-md-3 mt-2">
                                        <span class="add-more-bt add-more mt-4"
                                            data-url="{{ route('adminPanel.hcps.addMoreProfessions') }}">
                                            {{ __('language.add_more') }}
                                        </span>
                                    </div>

                                    <div class="col-md-12 document-box-0"></div>
                                </div>
                                @endif

                                <hr>
                                <div class="hcp-category-row"></div>

                            {{ Form::button('<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit mt-4', 'type' => 'submit'] )}}

                            {!! Form::close() !!}
                        </div>
                    </div>

                    <div class="tab-pane fade " id="mandatory-documents" role="tabpanel" aria-labelledby="mandatory-documents-tab">
                        <div class="hcp-docuement-row">
                            @if (count($hcp->hcp_professions))
                            {!! Form::open(['class' => 'upload-hcp-document-form', 'method' => 'post', 'url' => route('adminPanel.hcps.uploadDocument', ['id' => ev($hcp->id)]), 'files' => true ]) !!}

                            <div class="form-row">
                                @if (!empty($documents))
                                    {!! Form::hidden('mandatory_document_count', count($documents), ['class' => 'form-control
                                    ', 'id' => 'mandatory_document_count']) !!}
                                    @foreach ($documents as $key => $document)
                                    @php $hcpDocument = get_hcp_doucment($hcp,$document->id); @endphp
                                    <div class="col-md-6 mb-3">
                                        <div class="panel panel-border">
                                            <h6 class="text-left">
                                                <p>
                                                    {{ $document->name }}
                                                    @if ($document->mandatory_status == 'yes')
                                                    <span class="text-danger">*</span>
                                                    @php $requiredFileClass = 'document-required-'.$key; @endphp
                                                    @else
                                                    @php $requiredFileClass = ''; @endphp
                                                    @endif

                                                    @if ($document->expiry_date_mandatory == 'yes')
                                                    @php $requiredExpiryDateClass = 'expiry-date-required-'.$key; @endphp
                                                    @else
                                                    @php $requiredExpiryDateClass = ''; @endphp
                                                    @endif
                                                </p>
                                            </h6>

                                            {!! Form::hidden('mandatory_documents['.$key.'][document_id]', $document->id, ['class' =>
                                            'form-control']) !!}

                                            {!! Form::hidden('mandatory_documents['.$key.'][document_name]', $document->name, ['class' =>
                                            'form-control']) !!}

                                            {!! Form::hidden('mandatory_documents['.$key.'][document_required]', $document->mandatory_status, ['class' => 'form-control mandatory-status-'.$key]) !!}

                                            @if (!empty($hcpDocument))
                                            {!! Form::hidden('mandatory_documents['.$key.'][file]', $hcpDocument['document_name'],
                                            ['class' => 'form-control']) !!}
                                            @endif

                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="upload_document">
                                                        {{ __('language.hcp_upload_document') }}
                                                        @if (!empty($hcpDocument))
                                                        <a href="{{  $hcpDocument['document_url'] }}" download target="_blank"
                                                            class="text-right">
                                                            <i class="fa fa-download" aria-hidden="true"></i>
                                                        </a>
                                                        @endif
                                                    </label>
                                                    {!! Form::file('mandatory_documents['.$key.'][file]', ['class' =>
                                                    'form-control-file '.$requiredFileClass.' document-file-'.$key.'', 'id'=>'file-'.$key.'',
                                                    'autocomplete' => 'off',  ]) !!}
                                                </div>

                                                @if ($document->expiry_date_mandatory == 'yes')
                                                <div class="form-group col-md-6">
                                                    <label for="expiry_date"> {{ __('language.facility_expiry_date') }} </label>
                                                    {!! Form::text('mandatory_documents['.$key.'][expiry_date]',
                                                    old('expiry_date', ($hcpDocument['expiry_date'] ?? null)), ['class' =>
                                                    'form-control expiry-date date-input '.$requiredExpiryDateClass.' ', 'id' =>
                                                    'expiry-date-'.$key.'', 'placeholder' => __('language.facility_expiry_date')])
                                                    !!}
                                                </div>
                                                @endif

                                            </div>
                                        </div>
                                    </div>
                                    @endforeach
                                @else
                                <div class="form-group col-md-12">
                                    {{ __('messages.no_document_found') }}
                                </div>
                                @endif

                                <div class="form-group col-md-12">
                                    {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit mt-4', 'type' => 'submit'] )}}
                                </div>

                            </div>
                            {!! Form::close() !!}
                            @else
                            <div class="text-center p-3">
                                <h4>
                                    {!! __('language.hcp_mandatory_documents_empty', ['fillFirst' => '<span class="text-primary">'.__('language.hcp_profession_details_tab').'</span>']) !!}
                                </h4>
                                <div>
                                    {{ Html::image(asset('admin-assets/images/empty-img.jpg'), 'empty-img', array('class' => '', 'width' => '30%')) }}
                                </div>
                            </div>
                            @endif
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/dropify/dropify.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/hcps/hcps.js') }}"></script>
<script src="https://maps.googleapis.com/maps/api/js?libraries=places&output=json&key={{env('GOOGLE_API_KEY')}}" defer></script>
<script>
    $(document).ready(function() {
        var options = {
            componentRestrictions: {country: ['AU','IN']}
        };
        var autocomplete = new google.maps.places.Autocomplete(address, options);
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            var latitude = place.geometry.location.lat();
            var longitude = place.geometry.location.lng();
            $('#latitude').val(latitude);
            $('#longitude').val(longitude);

            for (var i = 0; i < place.address_components.length; i++) {
                for (var j = 0; j < place.address_components[i].types.length; j++) {

                    if (place.address_components[i].types[j] == "administrative_area_level_2") {
                        $('#city_name').val(place.address_components[i].long_name);
                    }

                    if (place.address_components[i].types[j] == "locality") {
                        $('#suburb_name').val(place.address_components[i].long_name);
                    }

                    if (place.address_components[i].types[j] == "postal_code") {
                        $('#postcode').prop( "disabled", false );
                        $('#postcode').val(place.address_components[i].long_name);
                    }
                }
            }
        });
    });

    
</script>
@endpush
