<div class="modal-content" id="">
    <div class="modal-header">
        <h5 class="modal-title"> {{ __('language.account_view_refer') }} </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <i class="fa fa-close"></i>
        </button>
    </div>
    <div class="modal-body">
        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                            <th>Referrer Hcp Name</th>
                            <th>Referee Hcp Name</th>
                            <th>Amount</th>
                            <th>Shift Id</th>
                            <th>Shift Approval Date</th>
                        </thead>
                        <tbody>
                            @php $hcpReferralsTotal = 0; @endphp
                            @forelse($referralsDetails as $referral)
                            <tr>
                                @php $hcpReferralsTotal += $referral->hcp_amount; @endphp
                                <td>
                                    @if (!empty($referral->referral['referrer_hcp']))
                                    <a href="{{route('adminPanel.hcps.details', ['id' => ev($referral->referral['referrer_hcp']['id']) ])}}">
                                        {{ ucwords($referral->referral['referrer_hcp']['first_name'].' '.$referral->referral['referrer_hcp']['last_name']) }}
                                    </a>
                                    @endif
                                </td>
                                <td>
                                    @if (!empty($referral->referral['referee_hcp']))
                                    <a href="{{route('adminPanel.hcps.details', ['id' => ev($referral->referral['referee_hcp']['id']) ])}}">
                                        {{ ucwords($referral->referral['referee_hcp']['first_name'].' '.$referral->referral['referee_hcp']['last_name']) }}
                                    </a>
                                    @endif
                                </td>
                                <td>
                                    {{ '$'.number_format($referral->hcp_amount, 2) }}
                                </td>
                                <td>
                                    @if (!empty($referral->shift))
                                    <a href="{{route('adminPanel.shift.details', ['id' => ev($referral->shift->id) ])}}">
                                        {{ $referral->shift->shift_prefix.$referral->shift->id }}
                                    </a>
                                    @else
                                        N/A
                                    @endif
                                </td>
                                <td>
                                    @if (!empty($referral->referral->referral_completed_date))
                                        {{ date("d M y", strtotime($referral->referral->referral_completed_date)) }}
                                    @else
                                        N/A
                                    @endif
                                </td>
                            </tr>
                            @empty
                            <tr>
                                <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                            </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-dark" data-dismiss="modal">Discard</button>
    </div>
</div>
