<div class="modal-content" id="">
    {!! Form::open(['class' => 'approved-shift-form', 'method' => 'post', 'url' => route('adminPanel.shift.approvedShift', ['id' => ev($shift->id)]) ]) !!}
    <div class="modal-header">
        <h5 class="modal-title"> {{ __('language.shift_approved_shift') }} </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <i class="fa fa-close"></i>
        </button>
    </div>
    <div class="modal-body">
        <div class="alert alert-danger mb-4 hide" role="alert" id="shift-error-div">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <i data-feather="x" class="feather-16"></i> </button>
            <strong>Error!</strong>
            <div class="error-msg"> </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="start_time"> {{ __('language.start_time') }} </label>
                    <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->start_time)) }} </p>
                </div>
            </div>

            <div class="col-md-6">
                <div class="form-group">
                    <label for="start_time"> {{ __('language.end_time') }} </label>
                    <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->end_time)) }} </p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="start_time"> {{ __('language.shift_hcp_start_time') }} </label>
                    <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->hcp_shift_start_time)) }} </p>
                </div>
            </div>

            <div class="col-md-6">
                <div class="form-group">
                    <label for="start_time"> {{ __('language.shift_hcp_end_time') }} </label>
                    <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->hcp_shift_end_time)) }} </p>
                </div>
            </div>

            <div class="col-md-12">
                <hr class="mt-0"/>
            </div>

            @php
                if(!empty($shift['approved_shift_start_time'])){
                    $approvedStartTime = date("Y-m-d h:i A", strtotime($shift->approved_shift_start_time));
                }
                elseif (strtotime($shift['hcp_shift_start_time']) >= strtotime($shift->start_time)) {
                    $approvedStartTime = date("Y-m-d h:i A", strtotime($shift->hcp_shift_start_time));
                } else {
                    $approvedStartTime = date("Y-m-d h:i A", strtotime($shift->start_time));
                }

                if(!empty($shift['approved_shift_end_time'])){
                    $approvedEndTime = date("Y-m-d h:i A", strtotime($shift->approved_shift_end_time));
                }
                elseif (strtotime($shift['hcp_shift_end_time']) >= strtotime($shift->end_time)) {
                    $approvedEndTime = date("Y-m-d h:i A", strtotime($shift->end_time));
                } else {
                    $approvedEndTime = date("Y-m-d h:i A", strtotime($shift->hcp_shift_end_time));
                }
            @endphp

            <div class="col-md-6">
                <div class="form-group">
                    <label for="shift_approved_start_time"> {{ __('language.shift_approved_start_time') }} </label>
                    {!! Form::text('approved_start_time', old('approved_start_time', ($approvedStartTime ?? null)), ['class' => 'form-control approved-start-time date-picker', 'id' => 'approved_start_time', 'placeholder' => __('language.shift_approved_start_time')]) !!}
                </div>
            </div>

            <div class="col-md-6">
                <div class="form-group">
                    <label for="shift_approved_end_time"> {{ __('language.shift_approved_end_time') }} </label>
                    {!! Form::text('approved_end_time', old('approved_end_time', ($approvedEndTime ?? null)), ['class' => 'form-control approved-end-time date-picker', 'id' => 'approved_end_time', 'placeholder' => __('language.shift_approved_end_time')]) !!}
                </div>
            </div>

            {!! Form::hidden('approved_screen', 1, ['class' => 'form-control', 'id' => 'approved_screen', 'placeholder' => 'approved_screen']) !!}
            {!! Form::hidden('category_id', $shift->category_id, ['class' => 'form-control', 'id' => 'category_id', 'placeholder' => 'category']) !!}
            {!! Form::hidden('profession_id', $shift->profession_id, ['class' => 'form-control', 'id' => 'profession_id', 'placeholder' => 'profession']) !!}
            {!! Form::hidden('hcp_level_id', $shift->hcp_level_id, ['class' => 'form-control', 'id' => 'hcp_level_id', 'placeholder' => 'hcp level id']) !!}
            {!! Form::hidden('shift_types', $shift->shift_type, ['class' => 'form-control', 'id' => 'shift_types', 'placeholder' => 'shift types']) !!}
            {!! Form::hidden('facility', $shift->facility_id, ['class' => 'form-control', 'id' => 'facility_id', 'placeholder' => 'facility id']) !!}

            @if (!empty($shift->buddy_shift_request))
            {!! Form::hidden('buddy_request_id', $shift->buddy_shift_request->id, ['class' => 'form-control', 'id' => 'buddy_request_id', 'placeholder' => 'buddy request id']) !!}
            @endif

            <div class="col-md-12" id="shift-estimates" data-url="{{ route('adminPanel.shift.calculatePrice') }}">
                <label> Shift Estimates </label> {!! Form::text('notes', old('notes', ($shift->notes ?? null)), ['class' => 'form-control col-md-6 d-inline pull-right', 'id' => 'notes', 'placeholder' => "notes"]) !!}
                <div class="">
                    <table class="table" width="100%"  cellpadding="">
                        <tr>
                            <th> {{ __('language.total_hours') }} </th>
                            <td colspan="3" class="total-hour"> 0 </td>
                        </tr>
                        <tr>
                            <th> {{ __('language.break_time') }} </th>
                            <td class="break-time"> 0 </td>

                            <th> {{ __('language.final_hours') }} </th>
                            <td class="final-hour"> 0 </td>
                        </tr>

                        @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                        <tr class="">
                            <th> {{ __('language.hcp_rate') }}  </th>
                            <td class="hcp-rate"> 0 </td>

                            <th> {{ __('language.admin_fees') }} </th>
                            <td class="admin-fees"> 0 </td>
                        </tr>
                        @endif
                        <tr>
                            <th> {{ __('language.facility_rate') }} </th>
                            <td class="facility-rate"> 0 </td>

                            <th> {{ __('language.shift_loading') }} </th>
                            <td class="shift-loading"> 0 </td>
                        </tr>
                        <tr>
                            @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                            <th> {{ __('language.facility_shift_total') }} </th>
                            <td class="facility-shift-total"> 0 </td>

                            <th class=""> {{ __('language.hcp_shift_total') }} </th>
                            <td class="hcp-shift-total"> 0 </td>
                            @else
                            <th> {{ __('language.facility_shift_total') }} </th>
                            <td colspan="3" class="facility-shift-total"> 0 </td>
                            @endif
                        </tr>
                    </table>
                </div>
            </div>
        </div>

        {!! Form::hidden('hours', '', ['class' => 'form-control', 'id' => 'hours', 'placeholder' => 'hours']) !!}
        {!! Form::hidden('shift_time', '', ['class' => 'form-control', 'id' => 'shift_time', 'placeholder' => 'shift time']) !!}
        {!! Form::hidden('shift_loading', '', ['class' => 'form-control', 'id' => 'shift_loading', 'placeholder' => 'shift loading']) !!}
        {!! Form::hidden('working_hours', '', ['class' => 'form-control', 'id' => 'working_hours', 'placeholder' => 'working hours']) !!}
        {!! Form::hidden('hcp_amount', '', ['class' => 'form-control', 'id' => 'hcp_amount', 'placeholder' => 'hcp amount']) !!}
        {!! Form::hidden('facility_amount', '', ['class' => 'form-control', 'id' => 'facility_amount', 'placeholder' => 'facility amount']) !!}
        {!! Form::hidden('admin_fees', '', ['class' => 'form-control', 'id' => 'admin_fees', 'placeholder' => 'admin fees']) !!}
        {!! Form::hidden('facility_per_rate', '', ['class' => 'form-control', 'id' => 'facility_per_rate', 'placeholder' => 'facility per rate']) !!}
        {!! Form::hidden('hcp_per_rate', '', ['class' => 'form-control', 'id' => 'hcp_per_rate', 'placeholder' => 'hcp per rate']) !!}
        {!! Form::hidden('break', '', ['class' => 'form-control', 'id' => 'break', 'placeholder' => 'break']) !!}
        {!! Form::hidden('admin_amount', '', ['class' => 'form-control', 'id' => 'admin_amount']) !!}
        {!! Form::hidden('admin_fees_with_loading', '', ['class' => 'form-control', 'id' => 'admin_fees_with_loading']) !!}
        {!! Form::hidden('final_hours_time', '', ['class' => 'form-control', 'id' => 'final_hours_time']) !!}
        {!! Form::hidden('total_hours_time', '', ['class' => 'form-control', 'id' => 'total_hours_time']) !!}

        {!! Form::hidden('hcp_shift_loading', '', ['class' => 'form-control', 'id' => 'hcp_shift_loading']) !!}
        {!! Form::hidden('hcp_shift_total_loading', '', ['class' => 'form-control', 'id' => 'hcp_shift_total_loading']) !!}
        {!! Form::hidden('facility_shift_loading', '', ['class' => 'form-control', 'id' => 'facility_shift_loading']) !!}
        {!! Form::hidden('facility_shift_total_loading', '', ['class' => 'form-control', 'id' => 'facility_shift_total_loading']) !!}
    </div>
    <div class="modal-footer">
        @if ($authUser->hasRole('Super Admin') == true)
            {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-warning bt-approved_update', 'type' => 'button', 'data-url' => route('adminPanel.shift.updateApprovedShift', ['id' => ev($shift->id)])] )}}
        @endif
        <button class="btn btn-dark" data-dismiss="modal">Discard</button>
        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.shift_bt_approved'), ['class' => 'btn btn-primary btn-submit bt-approved', 'type' => 'submit'] )}}
    </div>
    {!! Form::close() !!}
</div>
