@php
// General Configuration
$generalConfiguration = get_general_configuration();
//----------------------
@endphp

<div class="form-row mt-3">
    <div class="col-md-12 col-12">
        <hr/>
    </div>
</div>

<div class="form-row">
    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
        <h5 style="margin-top: 10px;"> {{ __('language.assign_hcp') }} </h5>
    </div>

    <div class="col-xl-6 col-lg-6 col-md-6 col-6 text-right">
        {{ Form::button( '<i class="fa fa-users"></i> &nbsp;'. __('language.shift_refresh_hcps'), ['class' => 'btn btn-primary btn-submit mb-4 get-shift-hcp-bt float-right', 'type' => 'button', 'data-url' => route('adminPanel.shift.getHcps')] )}}

        <div class="float-right pr-2 search-box">
            {!! Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
        </div>
    </div>
</div>

<div class="form-row">
    <div class="col-md-12">
        <div class="table-responsive">
            <div class="table-loading hide">
               <span> <i class="fa fa-refresh fa-spin"></i> &nbsp; Please Wait... </span>
            </div>
            <table class="table table-checkable table-highlight-head mb-2">
                <thead>
                    <tr>
                        <th> {{ __('language.shift_hcp_available') }} </th>
                        <th> {{ __('language.shift_hcp_category') }} </th>
                        <th> {{ __('language.shift_hcp_profession') }} </th>
                        <th> {{ __('language.shift_hcp_level') }} </th>
                        <th> {{ __('language.shift_hcp_ratings') }} </th>
                        <th> {{ __('language.shift_hcp_km') }} </th>
                        <th> {{ __('language.action') }} </th>
                    </tr>
                </thead>
                <tbody>
                    @php
                        $disableHcp = false;
                    @endphp
                    @if (count($hcps))
                        @foreach ($hcps as $key => $hcp)
                        <tr>
                            <td>
                                <div class="media media-small">
                                    <div class="w-img">
                                        @if (isset($hcp) && !empty($hcp->image) )
                                            @php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                            $hcp->id . '/image/', $hcp->image);
                                            @endphp
                                        @else
                                            @if ($hcp->gender == 'female')
                                                @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                            @else
                                                @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                            @endif
                                        @endif
                                        {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                    </div>
                                    <div class="media-body profile-info">
                                        <a href="{{ route('adminPanel.hcps.details', ['id' => ev($hcp->id)]) }}">
                                            <h6 class="text-primary">
                                                {{ ucwords($hcp->first_name.' '.$hcp->last_name) }}

                                                @if (!empty($hcp->favourites_count))
                                                    <i class="fa fa-heart"></i>
                                                @endif
                                            </h6>
                                        </a>
                                        <p> {{ $hcp->contact_number }} </p>
                                    </div>
                                </div>
                            </td>

                            <td>
                                @if (!empty($hcp->one_hcp_professions['category']))
                                    {{ ucwords($hcp->one_hcp_professions['category']['name']) }}
                                @else
                                    N/A
                                @endif
                            </td>

                            <td>
                                @if (!empty($hcp->one_hcp_professions['profession']))
                                    {{ ucwords($hcp->one_hcp_professions['profession']['name']) }}
                                @else
                                    N/A
                                @endif
                            </td>

                            <td>
                                @if (!empty($hcp->one_hcp_professions['level']))
                                    {{ ucwords($hcp->one_hcp_professions['level']['name']) }}
                                @else
                                    N/A
                                @endif
                            </td>

                            <td>
                                @if (!empty($hcp->average_rating))
                                    <div class="rating">
                                        <i class="fa fa-star"></i> {{ $hcp->average_rating }}
                                    </div>
                                @else
                                    <div class="rating">
                                        <i class="fa fa-star-o"></i> 0
                                    </div>
                                @endif
                            </td>
                            <td>
                                @php
                                    $lat1 = $facility->latitude;
                                    $lon1 = $facility->longitude;
                                    $lat2 = $hcp->latitude;
                                    $lon2 = $hcp->longitude;
                                    $unit = 'K';
                                    $distance = get_facility_and_hcp_distance($lat1, $lon1, $lat2, $lon2, $unit);
                                @endphp
                                {{ round($distance, 0) }} km
                            </td>
                            <td>
                                @if (!empty($multipleShifts))
                                    @php
                                        $hideHcpAssingButton = 'hide';
                                        $showHcpAssingNaDiv = '';
                                    @endphp
                                @else
                                    @php
                                        $hideHcpAssingButton = '';
                                        $showHcpAssingNaDiv = 'hide';
                                    @endphp
                                @endif

                                @php
                                    if($hcp->available_for_job == '0'){
                                        $disableHcp = true;
                                        $disableHcpCase = '1';
                                    } else if($hcp->shifts_count != 0) {
                                        $disableHcp = true;
                                        $disableHcpCase = '2';
                                    }  else if(count($hcp->current_date_shifts) && $hcp->current_date_shifts->sum('working_hours') >= $generalConfiguration['no_of_hrs_allowed_perday']) {
                                        $disableHcp = true;
                                        $disableHcpCase = '3';
                                    }  else if(count($hcp->fortnight_shifts) && $hcp->fortnight_shifts->sum('working_hours') >= $generalConfiguration['no_of_hrs_allowed_fortnight']) {
                                        $disableHcp = true;
                                        $disableHcpCase = '4';
                                    } else if($hcp->hcp_expire_general_documents > 0) {
                                        $disableHcp = true;
                                        $disableHcpCase = '5';
                                    } else if($hcp->hcp_expire_profession_document > 0) {
                                        $disableHcp = true;
                                        $disableHcpCase = '6';
                                    } else if($hcp->one_hcp_professions['status'] != 'active') {
                                        $disableHcp = true;
                                        $disableHcpCase = '7';
                                    } else if($hcp->hcp_pending_approval_general_documents > 0) {
                                        $disableHcp = true;
                                        $disableHcpCase = '8';
                                    } else if($hcp->hcp_pending_approval_profession_document > 0) {
                                        $disableHcp = true;
                                        $disableHcpCase = '9';
                                    } else {
                                        $disableHcp = false;
                                        $disableHcpCase = '';
                                    }
                                @endphp

                                @if ($disableHcp == false)
                                <div class="hcp-list-assign-button {{$hideHcpAssingButton}}">
                                    <ul class="chec-radio">
                                        <li class="pz">
                                            <label class="radio-inline">
                                                <input type="radio" name="assign_hcp" class="pro-chx assign-hcp" value="{{$hcp->id}}"> <div class="clab">Assign</div>
                                            </label>
                                        </li>
                                    </ul>
                                </div>
                                @else

                                {{-- {{ $disableHcpCase }} --}}
                                <span class="hcp-popover-msg info-box btn-popover-dark" data-container="body" data-html="true" data-placement="top" data-trigger="hover"> <i class="fa fa-info"></i> </span>

                                <div class="hcp-list-assign-button {{$hideHcpAssingButton}}">
                                    <ul class="chec-radio">
                                        {{-- <li class="pz"><div class="info-box btn-popover-dark" data-container="body" data-html="true" data-placement="top" data-trigger="hover"> <i class="fa fa-info"></i> </div></li> --}}
                                        <li class="pz">
                                            <label class="radio-inline">
                                                <input type="radio" name="assign_hcp" disabled class="pro-chx assign-hcp" value="{{$hcp->id}}"> <div class="clab-disable">Assign</div>
                                            </label>
                                        </li>
                                    </ul>
                                </div>
                                @endif

                                <span class='hcp-list-assign-button-na {{$showHcpAssingNaDiv}}'> N/A </span>
                            </td>
                        </tr>
                        @endforeach
                    @else
                        <tr>
                            <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>
    </div>
</div>

@php
    $startDate = \Carbon\Carbon::parse($request['shift_start_time']);
    if($startDate->format('d') <= '15') {
        $firstDay = $startDate->firstOfMonth()->format('d M');
        $lastDay = \Carbon\Carbon::parse($firstDay)->addWeeks(2)->format('d M');
    } else {
        $firstDay = \Carbon\Carbon::parse('16-'.$startDate->format('m').'-'.$startDate->format('Y'))->format('d M');
        $lastDay = \Carbon\Carbon::parse($request['shift_start_time'])->lastOfMonth()->format('d M');
    }
@endphp
<script>
    $('#todoAll').click(function(e){
        var table= $(e.target).closest('table');
        $('td input:checkbox',table).prop('checked',this.checked);
        $('#hcp_ids').valid();
    });

    $(".todochkbox").change(function() {
        var hcp = [];
        $.each($("input[name='hcp_checkbox']:checked"), function(){
            hcp.push($(this).val());
        });
        $('#hcp_ids').val(hcp.join(","));
        $('#hcp_ids').valid();
    });

    $('.assign-hcp').change(function(){
        $('.add-shift-form').submit();
        $('#shift-submit').html('<i class="fa fa-save"></i> &nbsp; Close');
    });

    $('#search').keypress(function(event) {
        if (event.which == 13) {
            event.preventDefault();
        }
    });


    $('.btn-popover-dark').popover({
        template: '<div class="popover popover-dark" role="tooltip"><div class="arrow"></div><h5 class="popover-header">This HCP is not available for this shift.</h5><div class="popover-body"></div></div>',
        title: "This HCP is not available for this shift.",
        content: "<p>1. Not available because of overlap.</p><p>2. Not available for jobs.</p><p>3. {{$generalConfiguration['no_of_hrs_allowed_perday']}}hrs already complete for this day.</p><p>4. {{$generalConfiguration['no_of_hrs_allowed_fortnight']}}hrs complete for the fortnight {{$firstDay}} - {{$lastDay}}</p><p>5. General documents expire on shift date. </p><p>6. Profession documents expire on shift date. </p><p>7. Profession status is inactive/expired/pending-approval. </p>"
    });
</script>
