<!--  BEGIN NAVBAR  -->
<div class="header-container fixed-top">
    <header class="header navbar navbar-expand-sm">
        @php
            $user = auth()->user();
            $authUser = auth()->user();
        @endphp
        <ul class="navbar-item theme-brand flex-row  text-center" style="">
            <li class="nav-item theme-logo d-md-none">
                <a href="{{ route('adminPanel.dashboard') }}" class="">
                    {{ Html::image(asset('admin-assets/images/logo.jpg'), 'logo', array('class' => 'navbar-logo')) }}
                </a>
            </li>
            <li class="nav-item theme-text">
                <a href="{{ route('adminPanel.dashboard') }}" class="nav-link">
                    {!! __('language.project_name').' ' !!}

                    @php
                        if(!empty($authUser)){
                            if ($authUser->hasRole('Super Admin') == true) {
                                $roleTitle = __('language.super_admin_panel_title');
                            } else if ($authUser->hasRole('Facility') == true) {
                                $roleTitle = __('language.facility_admin_panel_title');
                            } else if ($authUser->hasRole('Facility Group Admin') == true) {
                                $roleTitle = __('language.facility_group_admin_panel_title');
                            } else if ($authUser->hasRole('Facility Group') == true) {
                                $roleTitle = __('language.facility_group_panel_title');
                            } else {
                                $roleTitle = __('language.sub_admin_panel_title');
                            }
                        } else {
                            $roleTitle = __('language.admin_panel_title');
                        }
                    @endphp
                    | {{ $roleTitle }}
                </a>
            </li>
        </ul>

        <ul class="navbar-item flex-row ml-md-auto">
            @if ($authUser->hasRole('Facility') == true)
            @php $facilityActivePlan = get_facility_active_plan($authUser->facility->id); @endphp

            <li class="nav-item user-info">
                @if (!empty($facilityActivePlan) && $facilityActivePlan->status == 'active')
                <a href="{{ route('adminPanel.facilities.currentPlan') }}" class="mb-2 mr-3 btn btn-rounded">
                    {{ $facilityActivePlan['plan']['name'] }}
                    @if($facilityActivePlan->status == 'active')
                    <span class="text-primary"> <b>({{ucwords($facilityActivePlan->status)}})</b> </span>
                    @else
                    <span class="text-danger"> <b>({{ucwords($facilityActivePlan->status)}})</b> </span>
                    @endif
                </a>
                @elseif(!empty($facilityActivePlan) && $facilityActivePlan->status == 'cancel')
                <a href="{{ route('adminPanel.facilities.selectPlan') }}" class="mb-2 mr-3 btn btn-rounded">
                    {{ $facilityActivePlan['plan']['name'] }}
                    <span class="text-danger"> <b>(Cancels {{ date('d M Y', strtotime($facilityActivePlan->expiry_date)) }})</b> </span>
                </a>
                @else
                <a href="{{ route('adminPanel.facilities.selectPlan') }}" class="mb-2 mr-3 btn btn-rounded">
                    Select Plan
                </a>
                @endif
            </li>
            @endif

            @if ($authUser->hasRole('Super Admin') == true)
            @php
                $notificationArray = [
                    'type' => 'admin',
                ];
                $notifications = get_notifications_for_top_bar($notificationArray);
            @endphp
            <li class="nav-item dropdown notification-dropdown mr-3 ">
                <a href="javascript:void(0);" class="nav-link dropdown-toggle notification-icon" id="notificationDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-url="{{ route('adminPanel.notification.adminMarkAsRead') }}">
                    <i data-feather="bell" fill="white" class="feather-24"></i>
                    <span class="notification-count-div">
                        @if (get_unread_notifications_count($notificationArray) > 0)
                            <span class="badge badge-success"></span>
                        @endif
                    </span>
                </a>
                <div class="dropdown-menu position-absolute" aria-labelledby="notificationDropdown">
                    <div class="notification-scroll">
                        @if (count($notifications))
                            @foreach ($notifications as $notification)
                                <div class="dropdown-item">
                                    <div>
                                        <div class="float-left"> <b>{{ $notification['title'] }}</b> </div>
                                        <div class="notification-time float-right">
                                            @if(!empty($notification->shift) && !empty($notification->shift->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @elseif (!empty($notification->facility) && !empty($notification->facility->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @elseif(!empty($notification->hcp) && !empty($notification->hcp->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @else
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @endif
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                    {{ $notification['message'] }}
                                </div>
                            @endforeach
                        @else
                            <div class="dropdown-item">
                                No new notification found...
                            </div>
                        @endif
                        <a href="{{ route('adminPanel.notification.getAdminNotifications') }}" class="notification-view-all"> {{ __('language.notification_view_all_bt') }} </a>
                    </div>
                </div>
            </li>
            @endif

            @if ($authUser->hasRole('Facility') == true)
            @php
                $notificationArray = [
                    'type' => 'facility',
                    'facility_id' => $authUser->facility->id,
                ];
                $notifications = get_notifications_for_top_bar($notificationArray);
            @endphp
            <li class="nav-item dropdown notification-dropdown  mr-3">
                <a href="javascript:void(0);" class="nav-link dropdown-toggle notification-icon" id="notificationDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-url="{{ route('adminPanel.notification.markAsRead') }}">
                    <i data-feather="bell" fill="white" class="feather-24"></i>
                    <span class="notification-count-div">
                        @if (get_unread_notifications_count($notificationArray) > 0)
                            <span class="badge badge-success"></span>
                        @endif
                    </span>
                </a>
                <div class="dropdown-menu position-absolute" aria-labelledby="notificationDropdown">
                    <div class="notification-scroll">
                        @if (count($notifications))
                            @foreach ($notifications as $notification)
                                <div class="dropdown-item">
                                    <div>
                                        <div class="float-left"> <b>{{ $notification['title'] }}</b> </div>
                                        <div class="notification-time float-right">
                                            @if(!empty($notification->shift) && !empty($notification->shift->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @elseif (!empty($notification->facility) && !empty($notification->facility->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @elseif(!empty($notification->hcp) && !empty($notification->hcp->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @else
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @endif
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                    {{ $notification['message'] }}
                                </div>
                            @endforeach
                        @else
                            <div class="dropdown-item">
                                No new notification found...
                            </div>
                        @endif
                        <a href="{{ route('adminPanel.notification.getFacilityNotifications') }}" class="notification-view-all"> {{ __('language.notification_view_all_bt') }} </a>
                    </div>
                </div>
            </li>
            @endif

            <li class="nav-item user-info">
                <div class="user-name"> {{ ucwords($user->name) }} </div>
                <div class="user-role">
                    @php $roles = $user->getRoleNames(); @endphp
                    {{ ucwords($roles[0]) }}
                </div>
            </li>

            <li class="nav-item dropdown user-profile-dropdown">
                <a href="javascript:void(0);" class="nav-link dropdown-toggle user-icon" id="userProfileDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                    <i class="fa fa-user-circle font-30"></i>
                </a>
                <div class="dropdown-menu position-absolute" aria-labelledby="userProfileDropdown">
                    <div class="">
                        <div class="dropdown-item">
                            <a class="" href="{{ route('adminPanel.profile.index') }}"> <i data-feather="user"></i> Profile</a>
                        </div>
                        <div class="dropdown-item">
                            <a class="" href="{{ route('adminPanel.profile.changePassword') }}">
                                <i data-feather="unlock"></i> Change Password
                            </a>
                        </div>
                        <div class="dropdown-item">
                            <a class="logout-link" href="#" data-url="{{ route('adminPanel.logout') }}"> <i data-feather="log-out"></i> Sign Out</a>
                        </div>
                    </div>
                </div>
            </li>
        </ul>
    </header>
</div>
<!--  END NAVBAR  -->
