@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.create_level_page_title').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.create_level_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-levels-form', 'method' => 'post', 'url' => route('adminPanel.levels.store') ]) !!}

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="name"> {{ __('language.level_category') }} </label>
                                {!! Form::select('category', create_select_options($categories, 'name', 'id', __('language.level_category')), null,  ['class' => 'form-control select-picker change-category', 'id' => 'category', 'data-url' => route('adminPanel.levels.getProfessions') ]) !!}
                            </div>

                            <div class="form-group col-md-3 level-profession-div">
                                <label for="name"> {{ __('language.level_profession') }} </label>
                                {!! Form::select('profession', create_select_options([], 'name', 'id', __('language.level_profession')), null,  ['class' => 'form-control select-picker', 'id' => 'profession' ]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="name"> {{ __('language.level_name') }} </label>
                                {!! Form::text('name', '', ['class' => 'form-control', 'id' => 'name', 'placeholder' => __('language.level_name')]) !!}
                            </div>
                        </div>

                        <div class="form-row mb-2 hcp-group">
                            <div class="form-group col-md-3">
                                <label for="hcp_rate"> {{ __('language.level_hcp_rate') }} </label>
                                {!! Form::text('hcp_rate', '', ['class' => 'form-control', 'id' => 'hcp_rate', 'placeholder' => __('language.level_hcp_rate')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="admin_fees"> {{ __('language.profession_admin_fees') }} </label>
                                {!! Form::text('admin_fees', old('admin_fees', ($generalConfiguration['admin_fee'] ?? null)), ['class' => 'form-control', 'id' => 'admin_fees', 'placeholder' => __('language.profession_admin_fees'), 'readonly']) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="facility_rate"> {{ __('language.level_facility_rate') }} </label>
                                {!! Form::text('facility_rate', '', ['class' => 'form-control', 'id' => 'facility_rate', 'placeholder' => __('language.level_facility_rate'), 'readonly']) !!}
                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="comments"> {{ __('language.level_comment') }} </label>
                                {!! Form::text('comments', '', ['class' => 'form-control', 'id' => 'comments', 'placeholder' => __('language.level_comment')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="status"> {{ __('language.level_status') }} </label>
                                {!! Form::select('status', create_select_options(config('constants.level_status'), 'caption', 'value',  null), null,  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.level_status')]) !!}
                            </div>
                        </div>

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.save'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/levels/levels.js') }}"></script>
@endpush
