@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.lms_page_title').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.lms_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-lms-form', 'method' => 'post', 'url' => route('adminPanel.hcps.addUpdateLms')]) !!}

                        {!! Form::hidden('id', old('id', ($lms[0]['id'] ?? null)), ['class' => 'form-control', 'id' => 'id']) !!}

                        <div class="form-row mb-3">
                            <div class="form-group col-md-4">
                                <label for="lms_url"> {{ __('language.lms_url') }} </label>
                                {!! Form::text('lms_url', old('lms_url', ($lms[0]['lms_url'] ?? null)), ['class' => 'form-control', 'id' => 'lms_url', 'placeholder' => __('language.lms_url')]) !!}
                            </div>
                        </div>

                        <p class="mb-4"> <b>{{ __('language.lms_url') }}:</b>
                            <a href="{{$lms[0]['lms_url']}}" target="_blank">{{$lms[0]['lms_url']}}</a>
                        </p>

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/lms/lms.js') }}"></script>
@endpush
