@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.create_notifications_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.create_notifications_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-notification-form', 'method' => 'post', 'url' => route('adminPanel.notification.store') ]) !!}
                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="title"> {{ __('language.notification_title') }} </label>
                                {!! Form::text('title', '', ['class' => 'form-control', 'id' => 'title', 'placeholder' => __('language.notification_title')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="send_to"> {{ __('language.notification_state_id') }} </label>
                                {!! Form::select('state_id', create_select_options($states,
                                'name', 'id', 'All'), null, ['class' =>'form-control select-picker', 'id' => 'state_id', 'title' => __('language.notification_state_id')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="send_to"> {{ __('language.notification_send_to') }} </label>
                                {!! Form::select('send_to', create_select_options(config('constants.notification_send_to'),
                                'caption', 'value', null), null, ['class' =>'form-control select-picker', 'id' => 'send_to', 'title' => __('language.notification_send_to')]) !!}
                            </div>
                        </div>

                        <div class="form-row mb-4">
                            <div class="form-group col-md-9">
                                <label for="message"> {{ __('language.notification_message') }} </label>
                                {!! Form::textarea('message', '', ['class' => 'form-control textarea-control', 'id' => 'message', 'placeholder' => __('language.notification_message')]) !!}
                            </div>
                        </div>

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.notification_send_button'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/notifications/notifications.js') }}"></script>
@endpush
