@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.notifications').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5>{{ __('language.notifications') }}</h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <a href="{{ route('adminPanel.notification.create') }}" class="btn btn-primary btn-sm mr-1">
                            {{ __('language.add_button') }}
                        </a>
                    </div>
                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive pb-5">
                    <table class="table mb-4 mt-3" id="dataTable-favourite-hcp">
                        <thead>
                            <tr>
                                <th>{{__('language.notification_table_message')}}</th>
                                <th>{{__('language.notification_table_shift_id')}}</th>
                                <th>{{__('language.date_time')}}</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if (count($notifications))
                                @foreach ($notifications as $notification)
                                    <tr>
                                        <td>
                                            <div> <b>{{ $notification->title }} </b> </div>
                                            {{ $notification->message }}
                                        </td>
                                        <td>
                                            @if(!empty($notification->shift))
                                                <a href="{{ route('adminPanel.shift.details', ['id' => ev($notification->shift->id)]) }}">
                                                    {{ $notification->shift->shift_prefix . $notification->shift->id }}
                                                </a>
                                            @else
                                                N/A
                                            @endif
                                        </td>
                                        <td width="300">
                                            @if(!empty($notification->shift) && !empty($notification->shift->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @elseif (!empty($notification->facility) && !empty($notification->facility->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @elseif(!empty($notification->hcp) && !empty($notification->hcp->state))
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @else
                                                {{ Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A') }}
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @else
                                <tr>
                                    <td colspan="8" class="text-center"> No record found...</td>
                                </tr>
                            @endif
                        </tbody>
                    </table>

                    <div class="pagination">
                        {{ $notifications->render() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
@endpush
