@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.payment_success_title').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->


        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid payment-succuess">
                <div class="row">
                    <div class="col-md-12 pb-2">
                        <i data-feather="check-circle" class="feather-82"></i>
                        <div class="pt-2">
                            <h2>{{ __('language.payment_success_heading') }}</h2>
                            <p>{{ __('language.payment_success_text') }}</p>
                        </div>
                    </div>

                    <div class="col-md-4"></div>
                    <div class="col-md-4">
                        @if (!empty($checkoutSession) && !empty($transaction))
                            @php $plan = json_decode($transaction->facility_plan_json, true);  @endphp
                            <div class="table-responsive">
                                <table class="text-center">
                                    <tr>
                                        <th class="text-left"> {{ __('language.payment_table_plan') }} </th>
                                        <td class="text-right"> {{$plan['name']}} </td>
                                    </tr>
                                    <tr>
                                        <th class="text-left"> {{ __('language.payment_table_plan_cycle') }} </th>
                                        <td class="text-right"> {{ ucwords($plan['plan_cycle']) }} </td>
                                    </tr>
                                    <tr>
                                        <th class="text-left"> {{ __('language.payment_table_plan_start_date') }} </th>
                                        <td class="text-right"> {{ $plan['start_date'] }} </td>
                                    </tr>
                                    <tr>
                                        <th class="text-left"> {{ __('language.payment_table_plan_end_date') }} </th>
                                        <td class="text-right"> {{ $plan['expiry_date'] }} </td>
                                    </tr>
                                    <tr>
                                        <th class="text-left">{{ __('language.payment_table_payment_type') }}</th>
                                        <td class="text-right"> {{ ucwords($checkoutSession['payment_method_types'][0]) }} </td>
                                    </tr>
                                    <tr>
                                        <th class="text-left">{{ __('language.payment_table_payment_email') }}</th>
                                        <td class="text-right"> {{ $checkoutSession['customer_email'] }} </td>
                                    </tr>

                                    <tr>
                                        <td colspan="2"> <hr/> </td>
                                    </tr>

                                    <tr>
                                        <th class="text-left">{{ __('language.payment_table_sub_total') }}</th>
                                        <td class="text-right"> ${{ number_format($checkoutSession['amount_subtotal']/100, 2) }} </td>
                                    </tr>

                                    @if (!empty($checkoutSession['total_details']) && !empty($checkoutSession['total_details']['amount_discount']))
                                    <tr>
                                        <th class="text-left"> {{ __('language.payment_table_discount_amount') }} </th>
                                        <td class="text-right"> ${{number_format($checkoutSession['total_details']['amount_discount']/100, 2)}} </td>
                                    </tr>
                                    @endif

                                    <tr>
                                        <th class="text-left"> {{ __('language.payment_table_total') }} </th>
                                        <td class="text-right"> ${{number_format($checkoutSession['amount_total']/100, 2)}} </td>
                                    </tr>
                                </table>
                            </div>
                        @endif
                    </div>
                    <div class="col-md-4"></div>
                </div>
            </div>
        </div>

    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
@endpush
