@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.plan_configuration_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/datatables.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5>{{ __('language.plan_configuration') }}</h5>
                    </div>
                </div>
            </div>

            {!! Form::open(['class' => 'update-plan-form', 'method' => 'post', 'url' => route('adminPanel.plans.update') ]) !!}
            <div class="container-fluid mt2 m2">

                <div class="row">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <h6 class="text-dark">{{ __('language.plan_profession') }}</h6>
                    </div>

                    @foreach ($plans as $plan)
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            @if ($plan['name'])
                                <div class="text-dark text-center">
                                    <h6 class="text-dark text-center"> {{ ucwords($plan->name) }} </h6>
                                </div>
                            @endif
                        </div>
                    @endforeach
                </div>

                @if (!empty($professions))
                    @foreach ($professions as $key => $profession)
                        <div class="row mt2">
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                {{ ucwords($profession->name) }}
                            </div>

                            @php
                                $planProfession = get_plan_profession(1, $profession->id);

                                if ($planProfession == true) {
                                    $basicProfession = 'checked';
                                } else {
                                    $basicProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="basic_plan_{{ $profession->id }}" name="plan[1][profession][]" {{ $basicProfession }}><label class="custom-control-label" for="basic_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(2, $profession->id);

                                if ($planProfession == true) {
                                    $premiumProfession = 'checked';
                                } else {
                                    $premiumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="premium_plan_{{ $profession->id }}" name="plan[2][profession][]" {{ $premiumProfession }}><label class="custom-control-label" for="premium_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(3, $profession->id);

                                if ($planProfession == true) {
                                    $optimumProfession = 'checked';
                                } else {
                                    $optimumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="optimum_plan_{{ $profession->id }}" name="plan[3][profession][]" {{ $optimumProfession }}><label class="custom-control-label" for="optimum_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(4, $profession->id);

                                if ($planProfession == true) {
                                    $basicProfession = 'checked';
                                } else {
                                    $basicProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="trial_plan_{{ $profession->id }}" name="plan[4][profession][]" {{ $basicProfession }}><label class="custom-control-label" for="trial_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>
                        </div>
                    @endforeach
                        <div class="row mt2">
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2"></div>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2  text-center">
                                <div class="plan-professions-error1"></div>
                            </div>
                            <div class="col-col-xl-2 col-lg-2 col-md-2 col-2 text-center">
                                <div class="plan-professions-error2 "></div>
                            </div>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2 text-center">
                                <div class="plan-professions-error3"></div>
                            </div>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2 text-center">
                                <div class="plan-professions-error4"></div>
                            </div>
                        </div>
                @else
                    No record found..
                @endif

                <hr>

                <div class="row mt2">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark pt1">{{ __('language.plan_profession_monthly') }}</div>
                        <div class="text-dark pt2 mt2"> Stripe Monthly Price Key </div>
                    </div>

                    @foreach ($plans as $plan)
                        {!! Form::hidden('plan['.$plan->id.'][plan_id]', old('plan_id', ($plan['id'] ?? null)), ['class' => 'form-control plan-input']) !!}
                        @if ($plan->id != 4)
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                @if ($plan['monthly_price'])
                                    <div class="text-dark text-center">
                                        {!! Form::text('plan['.$plan->id.'][monthly_price]', old('monthly_price', ($plan['monthly_price'] ?? null)), ['class' => 'form-control plan-input plan-monthly-price-'.$plan->id]) !!}
                                    </div>

                                    <div class="text-dark text-center mt1">
                                        {!! Form::text('plan['.$plan->id.'][monthly_price_key]', old('monthly_price_key', ($plan['stripe_monthly_price_key'] ?? null)), ['class' => 'form-control plan-input plan-monthly-key-price-'.$plan->id]) !!}
                                    </div>
                                @endif
                            </div>
                        @elseif($plan->id == 4)
                            {!! Form::hidden('plan['.$plan->id.'][monthly_price]', old('monthly_price', ($plan['yearly_price'] ?? null)), ['class' => 'form-control plan-input']) !!}
                            {!! Form::hidden('plan['.$plan->id.'][monthly_price_key]', old('monthly_price_key', ($plan['stripe_monthly_price_key'] ?? null)), ['class' => 'form-control plan-input plan-monthly-key-price-'.$plan->id]) !!}
                        @endif
                    @endforeach
                </div>

                <hr>

                <div class="row mt2">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark pt1"> Yearly plan Discount </div>
                        <div class="text-dark pt3 mt2">{{ __('language.plan_profession_yearly_plan') }}</div>
                        <div class="text-dark pt3 mt2"> Stripe Yearly Price Key </div>
                    </div>

                    @foreach ($plans as $plan)
                        {!! Form::hidden('plan['.$plan->id.'][plan_id]', old('plan_id', ($plan['id'] ?? null)), ['class' => 'form-control plan-input']) !!}
                        @if ($plan->id != 4)
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                @if ($plan['yearly_price'])
                                    <div class="text-dark text-center">
                                        {!! Form::text('plan['.$plan->id.'][yearly_discount]', old('yearly_discount', ($plan['yearly_discount'] ?? null)), ['class' => 'form-control plan-input plan-year-discount-'.$plan->id]) !!}
                                        <div class="mb-2"> Discount In % </div>
                                    </div>

                                    <div class="text-dark text-center mt2">
                                        {!! Form::text('plan['.$plan->id.'][yearly_price]', old('yearly_price', ($plan['yearly_price'] ?? null)), ['class' => 'form-control plan-input input-readonly-new plan-year-price-'.$plan->id, 'readonly']) !!}  <div>{{ __('language.plan_profession_per_month') }}</div>
                                    </div>

                                    <div class="text-dark text-center mt2">
                                        {!! Form::text('plan['.$plan->id.'][yearly_price_key]', old('yearly_price_key', ($plan['stripe_yearly_price_key'] ?? null)), ['class' => 'form-control plan-input plan-yearly-key-price-'.$plan->id]) !!}
                                    </div>
                                @endif
                            </div>

                        @elseif($plan->id == 4)
                            {!! Form::hidden('plan['.$plan->id.'][yearly_discount]', 0, ['class' => 'form-control plan-input plan-year-discount-'.$plan->id]) !!}
                            {!! Form::hidden('plan['.$plan->id.'][yearly_price]', old('yearly_price', ($plan['yearly_price'] ?? null)), ['class' => 'form-control plan-input']) !!}
                            {!! Form::hidden('plan['.$plan->id.'][yearly_price_key]', old('yearly_price_key', ($plan['stripe_yearly_price_key'] ?? null)), ['class' => 'form-control plan-input plan-yearly-key-price-'.$plan->id]) !!}
                        @endif
                    @endforeach
                </div>

                {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit mt3', 'type' => 'submit'] )}}

                {!! Form::close() !!}
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/plugins/table/datatable/datatables.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/jszip.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/buttons.html5.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/plans/plans.js') }}"></script>
@endpush

