@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.plan_configuration_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/datatables.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5>{{ __('language.plan_configuration') }}</h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <a href="{{ route('adminPanel.plans.edit') }}" class="btn btn-primary btn-sm mr-1">
                            {{ __('language.edit') }}
                        </a>
                    </div>
                </div>
            </div>

            <div class="container-fluid mt2 m2">
                <div class="row">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <h6 class="text-dark">{{ __('language.plan_profession') }}</h6>
                    </div>

                    @foreach ($plans as $plan)
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            @if ($plan['name'])
                                <div class="text-dark text-center">
                                    <h6 class="text-dark text-center"> {{ ucwords($plan->name) }} </h6>
                                </div>
                            @endif
                        </div>
                    @endforeach
                </div>

                @if (!empty($professions))
                    @foreach ($professions as $key => $profession)
                        <div class="row mt2">
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                {{ ucwords($profession->name) }}
                            </div>

                            @php
                                $planProfession = get_plan_profession(1, $profession->id);

                                if ($planProfession == true) {
                                    $basicProfession = 'checked';
                                } else {
                                    $basicProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="basic_plan_{{ $profession->id }}" name="plan[1][profession][]" {{ $basicProfession }} disabled><label class="custom-control-label" for="basic_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(2, $profession->id);

                                if ($planProfession == true) {
                                    $premiumProfession = 'checked';
                                } else {
                                    $premiumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="premium_plan_{{ $profession->id }}" name="plan[2][profession][]" {{ $premiumProfession }} disabled><label class="custom-control-label" for="premium_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(3, $profession->id);

                                if ($planProfession == true) {
                                    $optimumProfession = 'checked';
                                } else {
                                    $optimumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="optimum_plan_{{ $profession->id }}" name="plan[3][profession][]" {{ $optimumProfession }} disabled><label class="custom-control-label" for="optimum_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>

                            @php
                                $planProfession = get_plan_profession(4, $profession->id);

                                if ($planProfession == true) {
                                    $optimumProfession = 'checked';
                                } else {
                                    $optimumProfession = '';
                                }
                            @endphp
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="{{$profession->id}}" id="optimum_plan_{{ $profession->id }}" name="plan[4][profession][]" {{ $optimumProfession }} disabled><label class="custom-control-label" for="optimum_plan_{{ $profession->id }}"></label>
                                </div>
                            </div>
                        </div>
                    @endforeach
                @else
                    No record found..
                @endif

                <div class="row mt3">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark">{{ __('language.plan_profession_monthly') }}</div>
                    </div>

                    @foreach ($plans as $plan)
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            @if ($plan['monthly_price'] && $plan->id != 4)
                                <div class="text-dark text-center">{{ $plan['monthly_price'] }}</div>
                            @endif
                        </div>
                    @endforeach
                </div>

                <div class="row mt3">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark">{{ __('language.plan_profession_yearly_plan') }}</div>
                    </div>

                    @foreach ($plans as $plan)
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            @if ($plan['yearly_price'] && $plan->id != 4)
                                <div class="text-dark text-center">
                                    Discount {{ number_format($plan['yearly_discount'], 0) }}%
                                </div>
                                <div class="text-dark text-center">
                                    {{ $plan['yearly_price'] }} {{ __('language.plan_profession_per_month') }}
                                </div>
                            @endif
                        </div>
                    @endforeach
                </div>

            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/plugins/table/datatable/datatables.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/jszip.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/buttons.html5.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/professions/view.js') }}"></script>
@endpush

