@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.edit_profession_page_title').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.edit_profession_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-professions-form', 'method' => 'post', 'url' => route('adminPanel.professions.update', ['id' => ev($profession->id)]) ]) !!}

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="name"> {{ __('language.profession_category') }} </label>
                                {!! Form::select('category', create_select_options($categories, 'name', 'id', __('language.profession_category')), $profession->category_id,  ['class' => 'form-control select-picker', 'id' => 'category' ]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="name"> {{ __('language.profession_name') }} </label>
                                {!! Form::text('name', old('name', ($profession->name ?? null)), ['class' => 'form-control', 'id' => 'name', 'placeholder' => __('language.profession_name')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="name"> {{ __('language.profession_has_levels') }} </label>
                                <div class="n-chk pt1 has-levels-group">
                                    <label class="new-control new-radio radio-primary">
                                        {!! Form::radio('has_levels', config('constants.option_groups.YES.value'), ($profession->has_levels == "yes") ? "checked" : "",  ['class' => 'new-control-input has-levels']) !!}
                                        <span class="new-control-indicator"></span> {{ config('constants.option_groups.YES.caption') }}
                                    </label>
                                    <label class="new-control new-radio radio-primary">
                                        {!! Form::radio('has_levels', config('constants.option_groups.NO.value'), ($profession->has_levels == "no") ? "checked" : "",  ['class' => 'new-control-input has-levels']) !!}
                                        <span class="new-control-indicator"></span> {{ config('constants.option_groups.NO.caption') }}
                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-row mb-2 hcp-group {!! ($profession->has_levels == "yes") ? "hide" : "" !!}">
                            <div class="form-group col-md-3">
                                <label for="hcp_rate"> {{ __('language.profession_hcp_rate') }} </label>
                                {!! Form::text('hcp_rate', old('hcp_rate', ($profession->hcp_per_rate ?? null)), ['class' => 'form-control', 'id' => 'hcp_rate', 'placeholder' => __('language.profession_hcp_rate')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="admin_fees"> {{ __('language.profession_admin_fees') }} </label>
                                {!! Form::text('admin_fees', old('admin_fees', ($generalConfiguration['admin_fee'] ?? null)), ['class' => 'form-control', 'id' => 'admin_fees', 'placeholder' => __('language.profession_admin_fees'), 'readonly']) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="facility_rate"> {{ __('language.profession_facility_rate') }} </label>
                                {!! Form::text('facility_rate', old('facility_rate', ($profession->hcp_per_rate+$generalConfiguration['admin_fee'] ?? null)), ['class' => 'form-control', 'id' => 'facility_rate', 'placeholder' => __('language.profession_facility_rate'), 'readonly']) !!}
                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="comments"> {{ __('language.profession_comment') }} </label>
                                {!! Form::text('comments', old('comments', ($profession->comments ?? null)), ['class' => 'form-control', 'id' => 'comments', 'placeholder' => __('language.profession_comment')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="status"> {{ __('language.profession_status') }} </label>
                                {!! Form::select('status', create_select_options(config('constants.profession_status'), 'caption', 'value',  null), old('status', ($profession->status ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.profession_status')]) !!}
                            </div>
                        </div>

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/professions/professions.js') }}"></script>
@endpush
