@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.professions_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/datatables.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5>{{ __('language.professions_page_title') }}</h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <a href="{{ route('adminPanel.professions.create') }}"
                            class="btn btn-dark mb-2 mr-2 rounded-circle bs-tooltip" data-placement="left"
                            title="{{ __('language.add_profession_button') }}">
                            <i data-feather="plus"></i>
                        </a>
                    </div>
                </div>
            </div>

            <div class="table-responsive data-table-container mt-4">
                <div class="table-responsive mb-4">
                    <table id="dataTable" class="table table-bordered"
                        data-url="{{ route('adminPanel.professions.getProfessions') }}"
                        data-change-status-url="{{ route('adminPanel.professions.changeStatus') }}">
                        <thead>
                            <tr>
                                <th class="checkbox-column"> {{ __('language.table_record_id') }} </th>
                                <th> {{ __('language.table_profession_name') }} </th>
                                <th> {{ __('language.table_profession_category') }} </th>
                                <th> {{ __('language.table_profession_has_level') }} </th>
                                <th> {{ __('language.table_profession_hcp_rate') }} </th>
                                <th> {{ __('language.table_profession_admin_fees') }} </th>
                                <th> {{ __('language.table_profession_facility_rate') }} </th>
                                <th> {{ __('language.table_status') }} </th>
                                <th> {{ __('language.table_action') }} </th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/plugins/table/datatable/datatables.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/jszip.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/plugins/table/datatable/button-ext/buttons.html5.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/professions/view.js') }}"></script>
@endpush
