@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.change_password_page_title').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.change_password_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3 form-content">
                    {!! Form::open(['class' => 'change-password-form', 'method' => 'post', 'url' =>
                    route('adminPanel.profile.updatePassword')]) !!}

                        <div class="form-row mb-1">
                            <div class="form-group col-md-4 field-wrapper" id="password-field input">
                                <label for="current_password" class="control-label"> {{ __('language.current_password') }} </label>
                                {!! Form::password('current_password',  ['class' => 'form-control', 'id' => 'current_password', 'placeholder' => __('language.current_password')]) !!}
                                <span toggle="#current_password" class="fa fa-fw fa-eye field-icon toggle-current-password"></span>
                            </div>
                        </div>

                        <div class="form-row mb-1">
                            <div class="form-group col-md-4">
                                <label for="new_password"> {{ __('language.new_password') }} </label>
                                {!! Form::password('new_password',  ['class' => 'form-control', 'id' => 'new_password', 'placeholder' => __('language.new_password')]) !!}
                                <span toggle="#new_password" class="fa fa-fw fa-eye field-icon toggle-new-password"></span>
                            </div>
                        </div>

                        <div class="form-row mb-1">
                            <div class="form-group col-md-4">
                                <label for="confirm_new_password"> {{ __('language.confirm_new_password') }} </label>
                                {!! Form::password('confirm_new_password',  ['class' => 'form-control', 'id' => 'confirm_new_password', 'placeholder' => __('language.confirm_new_password')]) !!}
                                <span toggle="#confirm_new_password" class="fa fa-fw fa-eye field-icon toggle-confirm-password"></span>
                            </div>
                        </div>

                        <a href="{{ route('adminPanel.profile.index') }}" class="btn btn-outline-danger mt-2">
                            {{ __('language.cancel_button') }}
                        </a>
                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.save_button'), ['class' => 'btn btn-primary btn-submit mt-2', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/profile/profile.js') }}"></script>
@endpush
