@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.edit_profile_page_title').' ')

@push('styles')
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.edit_profile_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'edit-profile-form', 'method' => 'post', 'url' =>
                    route('adminPanel.profile.update', ['id' => ev($profile->id)]), 'files' => true ]) !!}

                        @if ($authUser->role_name == 'super-admin')
                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="first_name"> {{ __('language.profile_first_name') }} </label>
                                {!! Form::text('first_name', old('first_name', ($profile->first_name ?? null)), ['class'
                                => 'form-control', 'id' => 'first_name', 'placeholder' => __('language.profile_first_name')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="last_name"> {{ __('language.profile_last_name') }} </label>
                                {!! Form::text('last_name', old('last_name', ($profile->last_name ?? null)), ['class'
                                => 'form-control', 'id' => 'last_name', 'placeholder' => __('language.profile_last_name')]) !!}
                            </div>
                        </div>
                        @elseif($authUser->role_name == 'sub-admin')
                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="name"> {{ __('language.profile_name') }} </label>
                                {!! Form::text('name', old('name', ($profile->name ?? null)), ['class'
                                => 'form-control', 'id' => 'name', 'placeholder' => __('language.profile_name')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="username"> {{ __('language.profile_surname') }} </label>
                                {!! Form::text('username', old('username', ($profile->username ?? null)), ['class'
                                => 'form-control', 'id' => 'username', 'placeholder' => __('language.profile_surname')]) !!}
                            </div>
                        </div>
                        @endif

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="email"> {{ __('language.profile_email') }} </label>
                                {!! Form::email('email', old('email', ($profile->user->email ?? null)), ['class'
                                => 'form-control', 'id' => 'email', 'placeholder' => __('language.profile_email'), 'disabled' ]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="contact_number"> {{ __('language.profile_contact_no') }} </label>
                                {!! Form::text('contact_number', old('contact_number', ($profile->contact_number ?? null)), ['class'
                                => 'form-control', 'id' => 'contact_number', 'placeholder' => __('language.profile_contact_no')]) !!}
                            </div>
                        </div>


                        <a href="{{ route('adminPanel.profile.index') }}" class="btn btn-outline-danger mt-2">
                            {{ __('language.cancel_button') }}
                        </a>
                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.save_button'), ['class' => 'btn btn-primary btn-submit mt-2', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/profile/profile.js') }}"></script>
@endpush
