@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.profile_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/elements/avatar.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 page-heading">
                        <h6> {{ $profile->name }} </h6>
                        <label>{{$profile->facility_prefix.' '.$profile->id}}</label>
                    </div>

                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 text-right">
                        {{-- {{ $facilityActivePlan }} --}}
                        @if(!empty($facilityActivePlan))
                        <h5 class="text-warning mr2 d-inline">
                            @if ($facilityActivePlan['plan']->id != 4)
                                <b>{{ ucwords($facilityActivePlan['plan']->name) }} {{ __('language.facility_plan') }},
                                @if (!empty($subscription))
                                Expire Date {{ Carbon\Carbon::parse($subscription['current_period_end'])->timezone($profile->state->time_zone_name)->format('d F, Y h:i A') }}
                                @endif
                            </b>
                            @else
                                <b>{{ ucwords($facilityActivePlan['plan']->name) }} {{ __('language.facility_plan') }}, Expiry Date {{ date('d M, Y', strtotime($facilityActivePlan->expiry_date)) }} </b>
                            @endif
                        </h5>
                        @endif

                        @if(!empty($facilityActivePlan))
                            @if ($facilityActivePlan->status == 'active' && $facilityActivePlan['plan']->id != 4 && !empty($subscription))
                            <a href="{{ route('adminPanel.facilities.changePlan') }}">
                                <button type="button" class="btn mb-2 mr-2 btn-primary">
                                    {{ __('language.facility_upgrade') }}
                                </button>
                            </a>
                            @else
                            <a href="{{ route('adminPanel.facilities.selectPlan') }}">
                                <button type="button" class="btn mb-2 mr-2 btn-primary">
                                    {{ __('language.facility_upgrade') }}
                                </button>
                            </a>
                            @endif
                        @endif


                        <div class="d-inline-flex hide">
                            <ul class="datatable-action">
                                <li>
                                    <div class="dropdown custom-dropdown-icon">
                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                        </a>
                                        <div class="plan-div dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                            <a href="#" class="dropdown-item"> {{ __("language.edit") }} </a>
                                        </div>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <hr class="m-1"/>
                <div class="row">
                    <div class="col-xl-10 col-lg-10 col-md-10 col-10 page-heading mt2">
                        <div class="row mb-2">
                            <div class="col-md-3">
                                <label> {{ __('language.facility_address') }} </label>
                                <p class="text-dark"> {{ $profile->address }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.facility_suburd_name') }} </label>
                                <p class="text-dark"> {{ ucwords($profile->suburd ?? 'N/A') }} </p>
                            </div>
                            <div class="col-md-3">
                                <label> {{ __('language.facility_state_name') }} </label>
                                <p class="text-dark"> {{ $profile->state->name }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.facility_post_code') }} </label>
                                <p class="text-dark"> {{ $profile->post_code ?? 'N/A' }} </p>
                            </div>
                        </div>
                        <div class="row mb-2">
                            <div class="col-md-3">
                                <label> {{ __('language.facility_email') }} </label>
                                <p class="text-dark"> {{ $profile->user->email }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.facility_contact_number') }} </label>
                                <p class="text-dark"> {{ $profile->contact_number ?? 'N/A' }} </p>
                            </div>
                            <div class="col-md-3">
                                <label> {{ __('language.facility_contact_person') }} </label>
                                <p class="text-dark"> {{ ucwords($profile->contact_person) }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.facility_group') }} </label>
                                <p class="text-dark"> {{ ucwords($profile->facility_group->name) }} </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading mt2">
                        <h6 class="mt-3 mb-2 text-primary"> {{ __('language.facility_creditcard_details') }} </h6>
                    </div>
                </div>
                <hr class="m-1"/>
                <div class="row">
                    <div class="col-xl-10 col-lg-10 col-md-10 col-10 page-heading mt2">
                        <div class="row mb-2">
                            <div class="col-md-3">
                                <label> {{ __('language.facility_card_number') }} </label>
                                <p class="text-dark">
                                    @if (!empty($profile->card_number))
                                    {{ substr($profile->card_number, -4) }}
                                    @else
                                    N/A
                                    @endif
                                </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.facility_card_expiry_date') }} </label>
                                <p class="text-dark">
                                    @if (!empty($profile->card_expiry_date))
                                    {{ date("M/Y", strtotime($profile->card_expiry_date)) }}
                                    @else
                                    N/A
                                    @endif
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading mt2">
                        <h6 class="mt-3 mb-2 text-primary"> {{ __('language.facility_plan_details') }} </h6>
                    </div>
                </div>
                <hr class="m-1"/>
                @if(count($profile->plans))
                    @foreach($profile->plans as $key => $plan)
                        <div class="row">
                            <div class="col-xl-10 col-lg-10 col-md-10 col-10 page-heading mt2">
                                <div class="row mb-2">
                                    <div class="col-md-3">
                                        <label> {{ __('language.facility_plan') }} </label>
                                        <p class="text-dark"> {{$plan->name}} </p>
                                    </div>

                                    <div class="col-md-3">
                                        <label> {{ __('language.facility_plan_cycle') }} </label>
                                        @if (!empty($plan['pivot']->plan_cycle))
                                        <p class="text-dark"> {{ucwords($plan['pivot']->plan_cycle)}} </p>
                                        @else
                                        <p class="text-dark"> N/A </p>
                                        @endif
                                    </div>

                                    @if (!empty($plan['pivot']->plan_id !='4'))
                                    <div class="col-md-3">
                                        <label> Next Payment Date </label>
                                        <p class="text-dark">
                                            @if (!is_null($subscription))
                                                {{ date('d M, Y', $subscription['current_period_end']) }}
                                            @else
                                            N/A
                                            @endif
                                        </p>
                                    </div>
                                    @else
                                    <div class="col-md-3">
                                        <label> Expiy Date </label>
                                        <p class="text-dark">
                                            {{ date("d F, Y", strtotime($plan['pivot']->expiry_date)) }}
                                        </p>
                                    </div>
                                    @endif

                                    <div class="col-md-3">
                                        <label> {{ __('language.table_facility_plan_add_date') }} </label>
                                        <p class="text-dark"> {{date('d F, Y',strtotime($plan['pivot']->start_date))}} </p>
                                    </div>

                                    <div class="col-md-3">
                                        <label> {{ __('language.facility_plan_last_payment_date') }} </label>
                                        <p class="text-dark">
                                            @if (!empty($plan['pivot']->last_payment_date))
                                            {{ date("d F, Y", strtotime($plan['pivot']->last_payment_date)) }}
                                            @else
                                            N/A
                                            @endif
                                        </p>
                                    </div>

                                    <div class="col-md-3">
                                        <label> {{ __('language.facility_plan_amount') }} </label>
                                        <p class="text-dark">
                                            @if (!empty($plan['pivot']['payment_amount']))
                                            ${{ $plan['pivot']->payment_amount }}
                                            @else
                                            N/A
                                            @endif
                                        </p>
                                    </div>
                                </div>
                            </div>

                            @if ($plan['pivot']['status'] == 'active')
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2 page-heading mt2">
                                <label class="text-success">Currently Active</label>
                            </div>
                            @else
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2 page-heading mt2">
                                <label class="text-danger">{{ ucwords($plan['pivot']['status']) }}</label>
                            </div>
                            @endif

                        </div>

                        <hr/>
                    @endforeach
                @else
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading mt2">
                        <p> {{ __('language.no_record_found') }} </p>
                    </div>
                </div>
                @endif
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/facilities/facilities.js') }}"></script>
@endpush
