@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.profile_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/elements/avatar.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.profile_page_title') }} </h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <a href="{{ route('adminPanel.profile.changePassword') }}" class="btn btn-custom-outline btn-sm mr-1">
                            {{ __('language.change_password_btn') }}
                        </a>
                        <a href="{{ route('adminPanel.profile.edit') }}" class="btn btn-primary btn-sm mr-1">
                            {{ __('language.edit_profile_btn') }}
                        </a>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 page-heading mt2">

                        @if ($authUser->role_name == 'super-admin')
                            <div class="row mb-2">
                                <div class="col-md-6">
                                    <label> {{ __('language.profile_first_name') }} </label>
                                    <p class="text-dark"> {{ ucwords($profile->first_name) }} </p>
                                </div>

                                <div class="col-md-6">
                                    <label> {{ __('language.profile_last_name') }} </label>
                                    <p class="text-dark"> {{ ucwords($profile->last_name ?? 'N/A') }} </p>
                                </div>
                            </div>
                        @elseif($authUser->role_name == 'sub-admin')
                            <div class="row mb-2">
                                <div class="col-md-6">
                                    <label> {{ __('language.profile_name') }} </label>
                                    <p class="text-dark"> {{ ucwords($profile->name) }} </p>
                                </div>

                                <div class="col-md-6">
                                    <label> {{ __('language.profile_surname') }} </label>
                                    <p class="text-dark"> {{ ucwords($profile->username ?? 'N/A') }} </p>
                                </div>
                            </div>
                        @endif


                        <div class="row mb-2">
                            <div class="col-md-6">
                                <label> {{ __('language.profile_email') }} </label>
                                <p class="text-dark"> {{ $profile->user->email }} </p>
                            </div>

                            <div class="col-md-6">
                                <label> {{ __('language.profile_contact_no') }} </label>
                                <p class="text-dark"> {{ $profile->contact_number ?? 'N/A' }} </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
@endpush
