@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.create_public_holiday_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.create_public_holiday_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-public-holiday-form', 'method' => 'post', 'url' => route('adminPanel.public-holidays.store') ]) !!}

                        <div class="form-row mb-1">
                            <div class="form-group col-md-4">
                                <label for="name"> {{ __('language.public_holiday_name') }} </label>
                                {!! Form::text('name', '', ['class' => 'form-control', 'id' => 'name', 'placeholder' => __('language.public_holiday_name')]) !!}
                            </div>

                            <div class="form-group col-md-4">
                                <label for="date"> {{ __('language.public_holiday_date') }} </label>
                                {!! Form::text('holiday_date', '', ['class' => 'form-control date-picker holiday-date', 'id' => 'holiday_date', 'placeholder' => __('language.public_holiday_date')]) !!}
                            </div>
                        </div>

                        <div class="form-row mb-1">
                            <div class="form-group col-md-4">
                                <label for="country_id"> {{ __('language.public_holiday_country') }} </label>
                                {!! Form::select('country_id', create_select_options($countries, 'name', 'id',
                                null), null, ['class' => 'form-control select-picker
                                country-state', 'id' => 'country_id', 'data-url' =>
                                route('adminPanel.country.getStates'),  'title' => __('language.public_holiday_country')])
                                !!}
                            </div>

                            <div class="form-group col-md-4 state-div">
                                <label for="state_id"> {{ __('language.public_holiday_state') }} </label>
                                {!! Form::select('state_id[]', create_select_options([], 'name', 'id', null), null, ['class' => 'form-control select-picker', 'multiple', 'id' => 'state_id',  'title' => __('language.public_holiday_state') ])
                                !!}
                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-4">
                                <label for="status"> {{ __('language.sub_admins_status') }} </label>
                                {!! Form::select('status', create_select_options(config('constants.public_holiday_status'), 'caption', 'value',  null), null,  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.public_holiday_status')]) !!}
                            </div>
                        </div>

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.save'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/public-holiday/public-holiday.js') }}"></script>
@endpush
