@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.rating_and_reviews').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/components/tabs-accordian/custom-tabs.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div class="row">
                                <div class="col-xl-8 col-lg-8 col-md-8 col-8 padding-left-2">
                                    <h5> {{ __('language.rating_and_reviews') }} </h5>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                        <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="facility-rating-tab" data-toggle="tab" href="#facility-rating" role="tab" aria-controls="facility-rating" aria-selected="false">
                                    {{ __('language.facility_rating') }}
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="hcp-rating-tab" data-toggle="tab" href="#hcp-rating" role="tab" aria-controls="hcp-rating" aria-selected="true">
                                    {{ __('language.hcp_rating') }}
                                </a>
                            </li>
                        </ul>

                        <div class="tab-content" id="animateLineContent-4">
                            <div class="tab-pane fade show active pt-0" id="facility-rating" role="tabpanel" aria-labelledby="facility-rating-tab">
                                <div class="row">
                                    <div class="col-xl-8 col-lg-8 col-md-8 col-8">
                                        <h5> {{ __('language.facility_rating') }} </h5>
                                    </div>

                                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                        @if (!empty($request))
                                            @php $filterApply = 'filter-icon-apply'; @endphp
                                        @else
                                            @php $filterApply = 'filter-icon'; @endphp
                                        @endif
                                        <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                            <i class="fa fa-filter"></i>
                                        </button>
                                    </div>
                                </div>

                                <div>
                                {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.rating-review.index'). '#facility-rating', 'id' => "filter-form"]) !!}
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="custom-datatable-filter hide pl-0">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        {!! Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        {!! Form::select('status', create_select_options(config('constants.rating_status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        {!! Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 mb2">
                                                    {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm  btn-primary apply-filter', 'type' => 'button'] )}}
                                                    {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm  btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                                </div>
                                            </div>
                                            <div class="filter-border"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row pl-3 mt-3">
                                    <div class="col-md-8">
                                        <div class="float-left">
                                            <label> {{ __('language.table_result') }} </label>
                                            {!! Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            {!! Form::text('hcp_search', old('hcp_search', ($request['hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.rating-review.facilityRatingsExport', ['request' => $request])}}">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                    </div>
                                </div>
                                {!! Form::close() !!}
                                </div>

                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th>{{__('language.review_table_shift_id')}}</th>
                                                <th>{{__('language.review_table_facility')}}</th>
                                                <th>{{__('language.review_table_hcp')}}</th>
                                                <th>{{__('language.review_table_rating_by_hcp')}} </th>
                                                <th>{{__('language.review_table_cat_pro')}}</th>
                                                <th>{{__('language.review_table_date_time')}}</th>
                                                <th>{{__('language.review_table_comments')}}</th>
                                                <th>{{__('language.status')}}</th>
                                                <th>{{__('language.action')}}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($facilityRatings as $rating)
                                            <tr>
                                                <td>
                                                    <a href="{{ route('adminPanel.shift.details', ['id' => ev($rating->shift->id)]) }}" class="text-primary">
                                                        <div>{{ $rating->shift->shift_prefix . $rating->shift_id }}</div>
                                                    </a>
                                                </td>
                                                <td>
                                                    {{ ucwords($rating->facility->name)}}
                                                </td>
                                                <td>
                                                    @if (!empty($rating['hcp']))
                                                    {{ ucwords($rating['hcp']->first_name.' '.$rating['hcp']->last_name) }}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    <div class="rating">
                                                        @for($i = 1; $i < 6; $i++)
                                                            @php
                                                                if ( round( $rating->facility_rating - .25 ) >= $i ) {
                                                                    echo "<i class='fa fa-star'></i>";
                                                                } elseif ( round( $rating->facility_rating + .25 ) >= $i ) {
                                                                    echo "<i class='fa fa-star-half-o'></i>";
                                                                } else {
                                                                    echo "<i class='fa fa-star-o'></i>";
                                                                }
                                                            @endphp
                                                        @endfor
                                                    </div>
                                                </td>
                                                <td>
                                                    <div>{{ ucwords($rating->profession->name)}}</div>
                                                    <small> {{ ucwords($rating->category->name)}} </small>
                                                </td>
                                                <td>
                                                    @php
                                                        $dateTime = Carbon\Carbon::parse($rating->created_at)->setTimezone($rating->shift->state['time_zone_name']);
                                                    @endphp
                                                    <div>{{ date("d M", strtotime($dateTime)) }}</div>
                                                    {{ date("h:i A", strtotime($dateTime)) }}
                                                </td>
                                                <td> {{ $rating->comment }} </td>
                                                <td>
                                                    @if ($rating->status == 'publish')
                                                        <label class="text-success font-weight-bold">
                                                            {{ __("language.review_and_ratings_publish") }}
                                                        </label>
                                                    @else
                                                        <label class="text-warning font-weight-bold">
                                                            {{ __("language.review_and_ratings_not_publish") }}
                                                        </label>
                                                    @endif
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    @if ($rating->status == 'publish')
                                                                    <a href="#" data-url="{{ route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'unpublish', 'fragment' => 'facility-rating']) }}" class="dropdown-item link-action">
                                                                        {{ __("language.review_and_ratings_un_publish") }}
                                                                    </a>
                                                                    @else
                                                                    <a href="#" data-url="{{ route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'publish', 'fragment' => 'facility-rating']) }}" class="dropdown-item link-action">
                                                                        {{ __("language.review_and_ratings_publish") }}
                                                                    </a>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        {{ $facilityRatings->appends($request)->render() }}
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane pt-0" id="hcp-rating" role="tabpanel" aria-labelledby="hcp-rating-tab">
                                <div class="row">
                                    <div class="col-xl-8 col-lg-8 col-md-8 col-8">
                                        <h5> {{ __('language.hcp_rating') }} </h5>
                                    </div>

                                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                        @if (!empty($request))
                                            @php $filterApply = 'filter-icon-apply'; @endphp
                                        @else
                                            @php $filterApply = 'filter-icon'; @endphp
                                        @endif
                                        <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                            <i class="fa fa-filter"></i>
                                        </button>
                                    </div>
                                </div>

                                <div>
                                {!! Form::open(['class' => 'hcp-custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.rating-review.index'). '#hcp-rating', 'id' => "hcp-filter-form"]) !!}
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="custom-datatable-filter hide pl-0">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        {!! Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        {!! Form::select('status', create_select_options(config('constants.rating_status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        {!! Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]) !!}
                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 mb2">
                                                    {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm  btn-primary hcp-apply-filter', 'type' => 'button'] )}}
                                                    {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm  btn-custom-outline hcp-clear-filter', 'type' => 'button'] )}}
                                                </div>
                                            </div>
                                            <div class="filter-border"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row pl-3 mt-3">
                                    <div class="col-md-8">
                                        <div class="float-left">
                                            <label> {{ __('language.table_result') }} </label>
                                            {!! Form::select('hcp_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('hcp_per_page', ($request['hcp_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'hcp_per_page', "onchange" => "this.form.submit()",]) !!}
                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            {!! Form::text('hcp_rating_search', old('hcp_rating_search', ($request['hcp_rating_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#hcp-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.rating-review.hcpRatingsExport', ['request' => $request])}}">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                    </div>
                                </div>
                                {!! Form::close() !!}
                                </div>

                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th>{{__('language.review_table_shift_id')}}</th>
                                                <th>{{__('language.review_table_facility')}}</th>
                                                <th>{{__('language.review_table_hcp')}}</th>
                                                <th>{{__('language.review_table_rating_by_facility')}} </th>
                                                <th>{{__('language.review_table_cat_pro')}}</th>
                                                <th>{{__('language.review_table_date_time')}}</th>
                                                <th>{{__('language.review_table_comments')}}</th>
                                                <th>{{__('language.status')}}</th>
                                                <th>{{__('language.action')}}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($hcpRatings as $rating)
                                            <tr>
                                                <td>
                                                    <a href="{{ route('adminPanel.shift.details', ['id' => ev($rating->shift->id)]) }}" class="text-primary">
                                                        <div>{{ $rating->shift->shift_prefix . $rating->shift_id }}</div>
                                                    </a>
                                                </td>
                                                <td>
                                                    {{ ucwords($rating->facility->name)}}
                                                </td>
                                                <td>
                                                    @if (!empty($rating['hcp']))
                                                    {{ ucwords($rating['hcp']->first_name.' '.$rating['hcp']->last_name) }}
                                                    @else
                                                        N/A
                                                    @endif
                                                </td>
                                                <td>
                                                    <div class="rating">
                                                        @for($i = 1; $i < 6; $i++)
                                                            @php
                                                            if ( round( $rating->hcp_rating - .25 ) >= $i ) {
                                                                echo "<i class='fa fa-star'></i>";
                                                            } elseif ( round( $rating->hcp_rating + .25 ) >= $i ) {
                                                                echo "<i class='fa fa-star-half-o'></i>";
                                                            } else {
                                                                echo "<i class='fa fa-star-o'></i>";
                                                            }
                                                            @endphp
                                                        @endfor
                                                    </div>
                                                </td>
                                                <td>
                                                    <div>{{ ucwords($rating->profession->name)}}</div>
                                                    <small> {{ ucwords($rating->category->name)}} </small>
                                                </td>
                                                <td>
                                                    @php
                                                        $dateTime = Carbon\Carbon::parse($rating->created_at)->setTimezone($rating->shift->state['time_zone_name']);
                                                    @endphp
                                                    <div>{{ date("d M", strtotime($dateTime)) }}</div>
                                                    {{ date("h:i A", strtotime($dateTime)) }}
                                                </td>
                                                <td> {{ $rating->hcp_comment }} </td>
                                                <td>
                                                    @if ($rating->status == 'publish')
                                                        <div class="text-success font-weight-bold">
                                                            {{ __("language.review_and_ratings_publish") }}
                                                        </div>
                                                    @else
                                                        <label class="text-warning font-weight-bold">
                                                            {{ __("language.review_and_ratings_not_publish") }}
                                                        </div>
                                                    @endif
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    @if ($rating->status == 'publish')
                                                                    <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'unpublish', 'fragment' => 'hcp-rating']) }}">
                                                                        {{ __("language.review_and_ratings_un_publish") }}
                                                                    </a>
                                                                    @else
                                                                    <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'publish', 'fragment' => 'hcp-rating']) }}">
                                                                        {{ __("language.review_and_ratings_publish") }}
                                                                    </a>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="10" class="text-center"> {{ __('language.no_record_found') }} </td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        {{ $hcpRatings->appends($request)->render() }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/rating-reviews/rating-reviews.js') }}"></script>
<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
@endpush
