@extends('admin-panel.layouts.main-layout')

@section('page-title', ' Approve Sleepover Shift ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="alert alert-danger mb-4 hide" role="alert" id="shift-error-div">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <i data-feather="x" class="feather-16"></i> </button>
            <strong>Error!</strong>
            <div class="error-msg"> </div>
        </div>

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> Approve Sleepover Shift </h5>
                        <input type="checkbox" class="custom-control-input sleepover-shifts d-none" id="sleepover_shifts" name="sleepover_shift_true" @if($shift->is_sleepover_shift==1) checked @endif disabled>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class'=> 'add-shift-form','id'=>'approve-sleepover-form', 'method' => 'post', 'url' => route('adminPanel.shift.approvedSleepoverShift', ['id' => ev($shift->id)]), 'files'=> true])!!}
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.start_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->start_time)) }} </p>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.end_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->end_time)) }} </p>
                            </div>
                        </div>
                    </div>
	<div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.sleepover_night_start_time') }} </label>
                                <p class="text-dark"> {{ !empty($shift->sleepover_night_start_time)?date("d M, Y h:i A", strtotime($shift->sleepover_night_start_time)):"" }} </p>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.sleepover_night_end_time') }} </label>
                                <p class="text-dark"> {{ !empty($shift->sleepover_night_to_time)?date("d M, Y h:i A", strtotime($shift->sleepover_night_end_time)):"" }} </p>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.sleepover_start_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->sleepover_start_time)) }} </p>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.sleepover_end_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->sleepover_end_time)) }} </p>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.sleepover_morning_start_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->sleepover_morning_start_time)) }} </p>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.sleepover_morning_end_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->sleepover_morning_end_time)) }} </p>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.shift_hcp_start_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->hcp_shift_start_time)) }} </p>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="start_time"> {{ __('language.shift_hcp_end_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->hcp_shift_end_time)) }} </p>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <hr class="mt-0"/>
                        </div>

                        @php
                        if(!empty($shift['approved_sleepover_afternoon_start_time'])){
                        $approvedAfternoonStartTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_afternoon_start_time));
                        }
                        elseif (strtotime($shift['hcp_shift_start_time']) >= strtotime($shift->sleepover_afternoon_start_time)) {
                        $approvedAfternoonStartTime = date("Y-m-d h:i A", strtotime($shift->hcp_shift_start_time));
                        } else {
                        $approvedAfternoonStartTime = date("Y-m-d h:i A", strtotime($shift->sleepover_afternoon_start_time));
                        }

                        //sleepover start time
                        if(!empty($shift['approved_sleepover_start_time'])){
                        $approvedSleepoverStartTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_start_time));
                        }
                        else {
                        $approvedSleepoverStartTime = date("Y-m-d h:i A", strtotime($shift->sleepover_start_time));
                        }

                        if(!empty($shift['approved_sleepover_morning_start_time'])){
                        $approvedSleepoverMorningStartTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_morning_start_time));
                        }else {
                        $approvedSleepoverMorningStartTime = date("Y-m-d h:i A", strtotime($shift->sleepover_morning_start_time));
                        }

	 if(!empty($shift['approved_sleepover_night_start_time'])){
                        $approvedSleepoverNightStartTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_night_start_time));
                        }else {
                        $approvedSleepoverNightStartTime = !empty($shift->sleepover_night_start_time)?date("Y-m-d h:i A", strtotime($shift->sleepover_night_start_time)):"";
                        }
                        //sleepover start time
                        //sleepover end time
                        if(!empty($shift['approved_sleepover_end_time'])){
                        $approvedSleepoverEndTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_end_time));
                        }
                        else {
                        $approvedSleepoverEndTime = date("Y-m-d h:i A", strtotime($shift->sleepover_end_time));
                        }

                        if(!empty($shift['approved_sleepover_morning_end_time'])){
                        $approvedSleepoverMorningEndTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_morning_end_time));
                        }else {
                        $approvedSleepoverMorningEndTime = date("Y-m-d h:i A", strtotime($shift->sleepover_morning_end_time));
                        }
                        //sleepover end time
		
	 if(!empty($shift['approved_sleepover_afternoon_end_time'])){
                        $approvedAfternoonEndTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_afternoon_end_time));
                        }
                        else {
                        $approvedAfternoonEndTime = date("Y-m-d h:i A", strtotime($shift->sleepover_afternoon_end_time));
                        }

	if(!empty($shift['approved_sleepover_night_end_time'])){
                        $approvedSleepoverNightEndTime = date("Y-m-d h:i A", strtotime($shift->approved_sleepover_night_end_time));
                        }else {
                        $approvedSleepoverNightEndTime = !empty($shift->sleepover_night_end_time)?date("Y-m-d h:i A", strtotime($shift->sleepover_night_end_time)):"";
                        }
                        @endphp

                        {{--<div class="col-md-6">
                            <div class="form-group">
                                <label for="shift_approved_start_time"> {{ __('language.shift_approved_start_time') }} </label>
                                {!! Form::text('approved_start_time', old('approved_start_time', ($approvedStartTime ?? null)), ['class' => 'form-control approved-start-time date-picker', 'id' => 'approved_start_time', 'placeholder' => __('language.shift_approved_start_time')]) !!}
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="shift_approved_end_time"> {{ __('language.shift_approved_end_time') }} </label>
                                {!! Form::text('approved_end_time', old('approved_end_time', ($approvedEndTime ?? null)), ['class' => 'form-control approved-end-time date-picker', 'id' => 'approved_end_time', 'placeholder' => __('language.shift_approved_end_time')]) !!}
                            </div>
                        </div>--}}

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_afternoon_start_time"> Approved Afternoon Start Time </label>
                                {!! Form::text('approved_sleepover_afternoon_start_time', old('approved_sleepover_afternoon_start_time', ($approvedAfternoonStartTime ?? null)), ['class' => 'form-control sleepover_afternoon_start_time date-picker', 'id' => 'start_time', 'placeholder' => "Approved Afternoon Start Time"]) !!}
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_afternoon_end_time"> Approved Afternoon End Time </label>
                                {!! Form::text('approved_sleepover_afternoon_end_time', old('approved_sleepover_afternoon_end_time', ($approvedAfternoonEndTime ?? null)), ['class' => 'form-control sleepover_afternoon_end_time date-picker', 'id' => 'end_time', 'placeholder' => "Approved Afternoon End Time"]) !!}
                            </div>
                        </div>

		<div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_night_start_time"> Approved Night Start Time </label>
                                {!! Form::text('approved_sleepover_night_start_time', old('approved_sleepover_night_start_time', ($approvedSleepoverNightStartTime ?? null)), ['class' => 'form-control sleepover_night_start_time date-picker', 'id' => 'sleepover_night_start_time', 'placeholder' => "Approved Night Start Time"]) !!}
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_night_end_time"> Approved Night End Time </label>
                                {!! Form::text('approved_sleepover_night_end_time', old('approved_sleepover_night_end_time', ($approvedSleepoverNightEndTime ?? null)), ['class' => 'form-control sleepover_night_end_time date-picker', 'id' => 'sleepover_night_end_time', 'placeholder' => "Approved Night End Time"]) !!}
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_start_time"> Approved Sleepover Start Time </label>
                                {!! Form::text('approved_sleepover_start_time', old('approved_sleepover_start_time', ($approvedSleepoverStartTime ?? null)), ['class' => 'form-control sleepover-start-time date-picker', 'id' => 'sleepover_start_time', 'placeholder' => "Approved Sleepover Start Time"]) !!}
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_end_time"> Approved Sleepover End Time </label>
                                {!! Form::text('approved_sleepover_end_time', old('approved_sleepover_end_time', ($approvedSleepoverEndTime ?? null)), ['class' => 'form-control sleepover-end-time date-picker', 'id' => 'sleepover_end_time', 'placeholder' => "Approved Sleepover End Time"]) !!}
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_morning_start_time"> Approved Sleepover Morning Start Time </label>
                                {!! Form::text('approved_sleepover_morning_start_time', old('approved_sleepover_morning_start_time', ($approvedSleepoverMorningStartTime ?? null)), ['class' => 'form-control sleepover_morning_start_time date-picker', 'id' => 'sleepover_morning_start_time', 'placeholder' => "Approved Sleepover Morning Start Time"]) !!}
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="approved_sleepover_morning_end_time"> Approved Sleepover End Time </label>
                                {!! Form::text('approved_sleepover_morning_end_time', old('approved_sleepover_morning_end_time', ($approvedSleepoverMorningEndTime ?? null)), ['class' => 'form-control sleepover_morning_start_time date-picker', 'id' => 'sleepover_morning_end_time', 'placeholder' => "Approved Sleepover Morning End Time"]) !!}
                            </div>
                        </div>
		<div class="col-lg-12">
                            <button style="" type="button" id="add_extra_night_hours" class="btn btn-info btn-sm">Add Extra Night Hours</button>
                        </div>
	     <div class="col-lg-12 extra_night_hours_div">
		@php
                                $extra_night_hours = [];
                                if(!empty($shift->extra_night_hours_details)){
                                    $extra_night_hours = json_decode($shift->extra_night_hours_details);
                                }
                            @endphp
                            @if(!empty($extra_night_hours))
                                @foreach($extra_night_hours as $extra_night_hour)
                                    <div class="row">
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label for="approved_extra_sleepover_night_start_time"> Approved Extra Sleepover Night Start Time </label>
                                                {!! Form::text("approved_extra_sleepover_night_start_time[]", old("approved_extra_sleepover_night_start_time", $extra_night_hour->approved_extra_sleepover_night_start_time), ["class" => "form-control extra_sleepover_night_start_time date-picker", "id" => "extra_sleepover_night_start_time", "placeholder" => "Approved Extra Sleepover Night Start"]) !!}
                                            </div>
                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                    <label for="approved_extra_sleepover_night_end_time"> Approved Extra Sleepover Night End Time </label>
                                                    {!! Form::text("approved_extra_sleepover_night_end_time[]", old("approved_extra_sleepover_night_end_time", $extra_night_hour->approved_extra_sleepover_night_end_time), ["class" => "form-control extra_sleepover_night_end_time date-picker", "id" => "extra_sleepover_night_end_time", "placeholder" => "Approved Extra Sleepover Night End Time"]) !!}
                                            </div>
                                        </div>
                                        <div class="col-lg-2 mt-4"><span class="rem" ><a href="javascript:void(0);" ><button type="button" class="btn btn-danger">Remove</button></a></span>
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        	</div>

                        {!! Form::hidden('approved_screen', 1, ['class' => 'form-control', 'id' => 'approved_screen', 'placeholder' => 'approved_screen']) !!}
                        {!! Form::hidden('category_id', $shift->category_id, ['class' => 'form-control', 'id' => 'category_id', 'placeholder' => 'category']) !!}
                        {!! Form::hidden('profession_id', $shift->profession_id, ['class' => 'form-control', 'id' => 'profession_id', 'placeholder' => 'profession']) !!}
                        {!! Form::hidden('hcp_level_id', $shift->hcp_level_id, ['class' => 'form-control', 'id' => 'hcp_level_id', 'placeholder' => 'hcp level id']) !!}
                        {!! Form::hidden('shift_types', $shift->shift_type, ['class' => 'form-control', 'id' => 'shift_types', 'placeholder' => 'shift types']) !!}
                        {!! Form::hidden('facility', $shift->facility_id, ['class' => 'form-control', 'id' => 'facility', 'placeholder' => 'facility id']) !!}


                        @if (!empty($shift->buddy_shift_request))
                        {!! Form::hidden('buddy_request_id', $shift->buddy_shift_request->id, ['class' => 'form-control', 'id' => 'buddy_request_id', 'placeholder' => 'buddy request id']) !!}
                        @endif

                        <div class="col-md-12" id="shift-estimates" data-url="{{ route('adminPanel.shift.calculatePrice') }}">
                            <label> Shift Estimates </label> {!! Form::text('notes', old('notes', ($shift->notes ?? null)), ['class' => 'form-control col-md-6 d-inline pull-right', 'id' => 'notes', 'placeholder' => "notes"]) !!}
                            <div class="">
                                <table class="table" width="100%"  cellpadding="">
                                    <tr>
                                        <th> {{ __('language.total_hours') }} </th>
                                        <td colspan="3" class="total-hour"> 0 </td>
                                    </tr>
                                    <tr>
                                        <th> {{ __('language.break_time') }} </th>
                                        <td class="break-time"> 0 </td>

                                        <th> {{ __('language.final_hours') }} </th>
                                        <td class="final-hour"> 0 </td>
                                    </tr>

                                    @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                                    <tr class="">
                                        <th> {{ __('language.hcp_rate') }}  </th>
                                        <td class="hcp-rate"> 0 </td>

                                        <th> {{ __('language.admin_fees') }} </th>
                                        <td class="admin-fees"> 0 </td>
                                    </tr>
                                    @endif
                                    <tr>
                                        <th> {{ __('language.facility_rate') }} </th>
                                        <td class="facility-rate"> 0 </td>

                                        <th> {{ __('language.shift_loading') }} </th>
                                        <td class="shift-loading"> 0 </td>
                                    </tr>
                                    <tr>
                                        @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                                        <th> {{ __('language.facility_shift_total') }} </th>
                                        <td class="facility-shift-total"> 0 </td>

                                        <th class=""> {{ __('language.hcp_shift_total') }} </th>
                                        <td class="hcp-shift-total"> 0 </td>
                                        @else
                                        <th> {{ __('language.facility_shift_total') }} </th>
                                        <td colspan="3" class="facility-shift-total"> 0 </td>
                                        @endif
                                    </tr>
                                    <tr>
                                        <th> Sleepover Time </th>
                                        <td class="sleepover_time"> 0 </td>

                                        <th> Sleepover Rate </th>
                                        <td class="sleepover-rate"> 0 </td>
                                    </tr>
                                </table>
                                <button type="button" class="btn btn-info" data-toggle="collapse" data-target="#demo">Detatiled Calculations</button>
                                <div id="demo" class="collapse mt-3">
                                    Detatiled Calculations
                                </div>
                            </div>
                        </div>
                    </div>

                    {!! Form::hidden('hours', '', ['class' => 'form-control', 'id' => 'hours', 'placeholder' => 'hours']) !!}
                    {!! Form::hidden('shift_time', '', ['class' => 'form-control', 'id' => 'shift_time', 'placeholder' => 'shift time']) !!}
                    {!! Form::hidden('shift_loading', '', ['class' => 'form-control', 'id' => 'shift_loading', 'placeholder' => 'shift loading']) !!}
                    {!! Form::hidden('working_hours', '', ['class' => 'form-control', 'id' => 'working_hours', 'placeholder' => 'working hours']) !!}
                    {!! Form::hidden('hcp_amount', '', ['class' => 'form-control', 'id' => 'hcp_amount', 'placeholder' => 'hcp amount']) !!}
                    {!! Form::hidden('facility_amount', '', ['class' => 'form-control', 'id' => 'facility_amount', 'placeholder' => 'facility amount']) !!}
                    {!! Form::hidden('admin_fees', '', ['class' => 'form-control', 'id' => 'admin_fees', 'placeholder' => 'admin fees']) !!}
                    {!! Form::hidden('facility_per_rate', '', ['class' => 'form-control', 'id' => 'facility_per_rate', 'placeholder' => 'facility per rate']) !!}
                    {!! Form::hidden('hcp_per_rate', '', ['class' => 'form-control', 'id' => 'hcp_per_rate', 'placeholder' => 'hcp per rate']) !!}
                    {!! Form::hidden('break', '', ['class' => 'form-control', 'id' => 'break', 'placeholder' => 'break']) !!}
                    {!! Form::hidden('admin_amount', '', ['class' => 'form-control', 'id' => 'admin_amount']) !!}
                    {!! Form::hidden('admin_fees_with_loading', '', ['class' => 'form-control', 'id' => 'admin_fees_with_loading']) !!}
                    {!! Form::hidden('final_hours_time', '', ['class' => 'form-control', 'id' => 'final_hours_time']) !!}
                    {!! Form::hidden('total_hours_time', '', ['class' => 'form-control', 'id' => 'total_hours_time']) !!}

                    {!! Form::hidden('hcp_shift_loading', '', ['class' => 'form-control', 'id' => 'hcp_shift_loading']) !!}
                    {!! Form::hidden('hcp_shift_total_loading', '', ['class' => 'form-control', 'id' => 'hcp_shift_total_loading']) !!}
                    {!! Form::hidden('facility_shift_loading', '', ['class' => 'form-control', 'id' => 'facility_shift_loading']) !!}
                    {!! Form::hidden('facility_shift_total_loading', '', ['class' => 'form-control', 'id' => 'facility_shift_total_loading']) !!}

	{!! Form::hidden('sleepover_afternoon_admin_fees', '', ['class' => 'form-control', 'id' => 'sleepover_afternoon_admin_fees']) !!}
		{!! Form::hidden('sleepover_afternoon_loading', '', ['class' => 'form-control', 'id' => 'sleepover_afternoon_loading']) !!}
		{!! Form::hidden('sleepover_afternoon_working_hours', '', ['class' => 'form-control', 'id' => 'sleepover_afternoon_working_hours']) !!}
		{!! Form::hidden('sleepover_afternoon_faciliy_amount', '', ['class' => 'form-control', 'id' => 'sleepover_afternoon_faciliy_amount']) !!}
		{!! Form::hidden('sleepover_afternoon_hcp_amount', '', ['class' => 'form-control', 'id' => 'sleepover_afternoon_hcp_amount']) !!}
		
		{!! Form::hidden('sleepover_night_admin_fees', '', ['class' => 'form-control', 'id' => 'sleepover_night_admin_fees']) !!}
		{!! Form::hidden('sleepover_night_loading', '', ['class' => 'form-control', 'id' => 'sleepover_night_loading']) !!}
		{!! Form::hidden('sleepover_night_working_hours', '', ['class' => 'form-control', 'id' => 'sleepover_night_working_hours']) !!}
		{!! Form::hidden('sleepover_night_faciliy_amount', '', ['class' => 'form-control', 'id' => 'sleepover_night_facility_amount']) !!}
		{!! Form::hidden('sleepover_night_hcp_amount', '', ['class' => 'form-control', 'id' => 'sleepover_night_hcp_amount']) !!}

		{!! Form::hidden('sleepover_morning_admin_fees', '', ['class' => 'form-control', 'id' => 'sleepover_morning_admin_fees']) !!}
		{!! Form::hidden('sleepover_morning_loading', '', ['class' => 'form-control', 'id' => 'sleepover_morning_loading']) !!}
		{!! Form::hidden('sleepover_morning_working_hours', '', ['class' => 'form-control', 'id' => 'sleepover_morning_working_hours']) !!}
		{!! Form::hidden('sleepover_morning_faciliy_amount', '', ['class' => 'form-control', 'id' => 'sleepover_morning_faciliy_amount']) !!}
		{!! Form::hidden('sleepover_morning_hcp_amount', '', ['class' => 'form-control', 'id' => 'sleepover_morning_hcp_amount']) !!}


                    @if ($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true)
                    {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-warning bt-approved_sleepover_update', 'type' => 'button', 'data-url' => route('adminPanel.shift.updateApprovedSleepoverShift', ['id' => ev($shift->id)])] )}}
                    @endif
                    <button class="btn btn-dark" data-dismiss="modal">Discard</button>
                    {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.shift_bt_approved'), ['class' => 'btn btn-primary btn-submit bt-approved', 'type' => 'submit'] )}}
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script>
    var TIME_LOADING = JSON.parse(@json("$loadingTimeConfiguration"));
    var GENERAL_CONFIGURATION = JSON.parse(@json("$generalConfiguration"));
    var MIN_SHIFT_HOURS = GENERAL_CONFIGURATION['min_shift_booking_hours'];
    var MAX_SHIFT_HOURS = GENERAL_CONFIGURATION['max_shift_booking_hours'];
    var DEFAULT_SHIFT_HOURS = GENERAL_CONFIGURATION['default_hours_shift'];
    
</script>
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/shift/shift.js') }}"></script>
<script>
$(document).ready(function(){
        var total=1;
        $("#add_extra_night_hours").click(function(){
            
            $(".extra_night_hours_div").append('<div class="row"><div class="col-md-5"><div class="form-group"><label for="approved_extra_sleepover_night_start_time"> Approved Extra Sleepover Night Start Time </label>{!! Form::text("approved_extra_sleepover_night_start_time[]", old("approved_extra_sleepover_night_start_time", null), ["class" => "form-control extra_sleepover_night_start_time date-picker", "id" => "extra_sleepover_night_start_time", "placeholder" => "Approved Extra Sleepover Night Start"]) !!}</div></div><div class="col-md-5"><div class="form-group"><label for="approved_extra_sleepover_night_end_time"> Approved Extra Sleepover Night End Time </label>{!! Form::text("approved_extra_sleepover_night_end_time[]", old("approved_extra_sleepover_night_end_time", null), ["class" => "form-control extra_sleepover_night_end_time date-picker", "id" => "extra_sleepover_night_end_time", "placeholder" => "Approved Extra Sleepover Night End Time"]) !!}</div></div><div class="col-lg-2 mt-4"><span class="rem" ><a href="javascript:void(0);" ><button type="button" class="btn btn-danger">Remove</button></a></span></div></div>');
            
        })
        $('.extra_night_hours_div').on('click', '.rem', function() {
	console.log($(this).parent("div").parent('div'));
            $(this).parent("div").parent('div').remove();
        });
    });

$(document).onClick('.extra_sleepover_night_start_time',function(obj){
$(obj).flatpickr({
                enableTime: true,
                time_24hr: false,
                dateFormat: "Y-m-d h:i K",
                minDate: current_time,
                minuteIncrement: 1,
                onClose: function(selectedDates, dateStr, instance) {
                    if (
                        $("#category_id").val() != "" &&
                        $("#profession_id").val() != "" &&
                        $("#start_time").val() != "" &&
                        $("#end_time").val() != ""
                    ) {
                        var job_hours = Shift.diffHours(
                            new Date($start_time.val()),
                            new Date(selectedDates)
                        );
                        var num = new Number(job_hours);
                        // $("#hours").val(num.toPrecision(2));
                        $("#hours").val(job_hours);
                        if($('#sleepover_shifts:checkbox:checked').length <= 0){
                            $("#hours").valid();
                        }
                        Shift.getEstimates();
                    }
                }
            });
})
</script>
@endpush
