@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.assign_hcp_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/elements/popover.css') }}" rel="stylesheet">
@endpush
@php
// General Configuration
$generalConfiguration = get_general_configuration();
//----------------------
@endphp
@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{__('language.assign_hcp_page_title')}} </h5>
                        </div>
                    </div>
                </div>

                <div>
                    {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                    route('adminPanel.shift.assignHcpList', ['id' => ev($shift->id)]), 'id' => 'filter-form']) !!}
                    

                    <div class="row pl-3 mt-3">
                            

                            <div class="float-left pl-2 search-box">
                                {!! Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        
                    </div>
                    {!! Form::close() !!}
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        {!! Form::open(['class'=> 'rebroadcast-form', 'method' => 'post', 'url' => route('adminPanel.shift.assignHcp')])!!}
                        <table class="table table-checkable mb-4 mt-3">
                            <thead>
                                <tr>
                                    <th> {{ __('language.shift_hcp_available') }} </th>
                                    <th> {{ __('language.shift_hcp_category') }} </th>
                                    <th> {{ __('language.shift_hcp_profession') }} </th>
                                    <th> {{ __('language.shift_hcp_level') }} </th>
                                    <th> {{ __('language.shift_hcp_ratings') }} </th>
                                    <th> {{ __('language.shift_hcp_km') }} </th>
                                    <th> {{ __('language.shift_hcp_status') }} </th>
                                    <th> {{ __('language.action') }} </th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (count($hcps))
                                    @foreach ($hcps as $key => $hcp)
                                    <tr>
                                        <td>
                                            <div class="media media-small">
                                                <div class="w-img">
                                                    @if (isset($hcp) && !empty($hcp->image) )
                                                        @php
                                                        $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                                        $hcp->id . '/image/', $hcp->image);
                                                        @endphp
                                                    @else
                                                        @if ($hcp->gender == 'female')
                                                            @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                                        @else
                                                            @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                                        @endif
                                                    @endif
                                                    {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                                </div>
                                                <div class="media-body profile-info">
                                                    <a href="{{ route('adminPanel.hcps.details', ['id' => ev($hcp->id)]) }}">
                                                        <h6 class="text-primary">
                                                            {{ ucwords($hcp->first_name.' '.$hcp->last_name) }}

                                                            @if (!empty($hcp->favourites_count))
                                                                <i class="fa fa-heart"></i>
                                                            @endif
                                                        </h6>
                                                    </a>
                                                    <p> {{ $hcp->contact_number }} </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            @if (!empty($hcp->one_hcp_professions['category']))
                                                {{ ucwords($hcp->one_hcp_professions['category']['name']) }}
                                            @else
                                                N/A
                                            @endif
                                        </td>

                                        <td>
                                            @if (!empty($hcp->one_hcp_professions['profession']))
                                                {{ ucwords($hcp->one_hcp_professions['profession']['name']) }}
                                            @else
                                                N/A
                                            @endif
                                        </td>

                                        <td>
                                            @if (!empty($hcp->one_hcp_professions['level']))
                                                {{ ucwords($hcp->one_hcp_professions['level']['name']) }}
                                            @else
                                                N/A
                                            @endif
                                        </td>
                                        <td>
                                            @if (!empty($hcp->average_rating))
                                                <div class="rating">
                                                    <i class="fa fa-star"></i> {{ $hcp->average_rating }}
                                                </div>
                                            @else
                                                <div class="rating">
                                                    <i class="fa fa-star-o"></i> 0
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            @php
                                                $lat1 = $shift->facility->latitude;
                                                $lon1 = $shift->facility->longitude;
                                                $lat2 = $hcp->latitude;
                                                $lon2 = $hcp->longitude;
                                                $unit = 'K';
                                                $distance = get_facility_and_hcp_distance($lat1, $lon1, $lat2, $lon2, $unit);
                                            @endphp
                                            {{ round($distance, 0) }} km
                                        </td>
                                        <td>
                                            @if ($hcp->notifications_count == 0)
                                                <div class="text-info"> Not Sent </div>
                                            @else
                                                <div class="text-info"> Sent ({{$hcp->notifications_count}} Times) </div>
                                            @endif
                                        </td>

                                        <td>
                                            @php
                                                if($hcp->available_for_job == '0'){
                                                    $disableHcp = true;
                                                    $disableHcpCase = '1';
                                                } else if($hcp->shifts_count != 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '2';
                                                }  else if(count($hcp->current_date_shifts) && $hcp->current_date_shifts->sum('hours') >= $generalConfiguration['no_of_hrs_allowed_perday']) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '3';
                                                }  else if(count($hcp->fortnight_shifts) && $hcp->fortnight_shifts->sum('hours') >= $generalConfiguration['no_of_hrs_allowed_fortnight']) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '4';
                                                } else if($hcp->hcp_expire_general_documents > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '5';
                                                } else if($hcp->hcp_expire_profession_document > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '6';
                                                } else if($hcp->one_hcp_professions['status'] != 'active') {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '7';
                                                } else if($hcp->hcp_pending_approval_general_documents > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '8';
                                                } else if($hcp->hcp_pending_approval_profession_document > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '9';
                                                } else {
                                                    $disableHcp = false;
                                                    $disableHcpCase = '10';
                                                }
                                            @endphp

                                            @if ($disableHcp == false)
                                                <div class="hcp-list-assign-button">
                                                    <ul class="chec-radio">
                                                        <li class="pz">
                                                            <label class="radio-inline">
                                                                <input type="radio" name="assign_hcp" class="pro-chx assign-hcp" value="{{$hcp->id}}"> <div class="clab">Assign</div>
                                                            </label>
                                                        </li>
                                                    </ul>
                                                </div>
                                            @else
                                                <span class="hcp-popover-msg info-box btn-popover-dark" data-container="body" data-html="true" data-placement="bottom" data-trigger="hover"> <i class="fa fa-info"></i> </span>

                                                <div class="hcp-list-assign-button">
                                                    <ul class="chec-radio">
                                                        <li class="pz">
                                                            <label class="radio-inline">
                                                                <input type="radio" name="assign_hcp" disabled class="pro-chx assign-hcp" value="{{$hcp->id}}"> <div class="clab-disable">Assign</div>
                                                            </label>
                                                        </li>
                                                    </ul>
                                                </div>
                                            @endif
                                        </td>
                                        {{-- <td>
                                            <ul class="chec-radio">
                                                <li class="pz">
                                                    <label class="radio-inline">
                                                        <input type="radio" name="assign_hcp" class="pro-chx assign-hcp" value="{{$hcp->id}}"> <div class="clab">Assign</div>
                                                    </label>
                                                </li>
                                            </ul>
                                        </td> --}}
                                    </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                    </tr>
                                @endif
                            </tbody>
                        </table>

                        <div class="row">
                            <div class="form-group col-md-12 ml-3">
                                {!! Form::hidden('shift_id', $shiftId, ['class' => 'form-control', 'id' => 'shift_id']) !!}
                                <div class="select-hcp-error"></div>
                            </div>
                        </div>

                        {{ Form::button('<i class="fa fa-save"></i> &nbsp;'. __('language.assign_hcp_page_menu'), ['class' => 'btn btn-primary btn-submit mt-2 ml-3', 'type' => 'submit', 'id' => 'shift-submit'] )}}

                        {!! Form::close() !!}
	     <div class="pagination">
                            {{-- $hcps->appends($request)->render() --}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@php
    $startDate = \Carbon\Carbon::parse($request['shift_start_time']);
    if($startDate->format('d') <= '15') {
        $firstDay = $startDate->firstOfMonth()->format('d M');
        $lastDay = \Carbon\Carbon::parse($firstDay)->addWeeks(2)->format('d M');
    } else {
        $firstDay = \Carbon\Carbon::parse('16-'.$startDate->format('m').'-'.$startDate->format('Y'))->format('d M');
        $lastDay = \Carbon\Carbon::parse($request['shift_start_time'])->lastOfMonth()->format('d M');
    }
@endphp

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/shift/rebroadcast.js') }}"></script>

<script>
    $('.btn-popover-dark').popover({
        template: '<div class="popover popover-dark" role="tooltip"><div class="arrow"></div><h5 class="popover-header">This HCP is not available for this shift.</h5><div class="popover-body"></div></div>',
        title: "This HCP is not available for this shift.",
        content: "<p>1. Not available because of overlap.</p><p>2. Not available for jobs.</p><p>3. {{$generalConfiguration['no_of_hrs_allowed_perday']}}hrs already complete for this day.</p><p>4. {{$generalConfiguration['no_of_hrs_allowed_fortnight']}}hrs complete for the fortnight {{$firstDay}} - {{$lastDay}}</p><p>5. General documents expire on shift date. </p><p>6. Profession documents expire on shift date. </p><p>7. Profession status is inactive/expired/pending-approval. </p>"
    });
    $('.assign-hcp').change(function(){
        $('.rebroadcast-form').submit();
    });
</script>
@endpush
