@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.shifts').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            @if ($authUser->hasRole('Facility') == true || $authUser->hasRole('Facility Sub Admin') == true)
                            <h5>{{__('language.buddy_shifts_fc_menu')}}</h5>
                            @else
                            <h5>{{__('language.buddy_shifts')}}</h5>
                            @endif
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            @if (!empty($request))
                                @php $filterApply = 'filter-icon-apply'; @endphp
                            @else
                                @php $filterApply = 'filter-icon'; @endphp
                            @endif
                            <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div>
                        {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.shift.buddy-requests'), 'id' => 'shift-filter-form']) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            @if ($authUser->hasRole('Facility') != true)
                                            @if (!empty($states))
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    @foreach($states as $state)
                                                        <label class="btn btn-custom-outline {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : '' }}">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="{{$state->id}}" autocomplete="off" {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : '' }}> {{$state->short_form}} : {{$state->shifts_count}}
                                                        </label>
                                                    @endforeach
                                                </div>
                                            @endif
                                            @endif
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2 profession-div">
                                            <div class="form-group">
                                                {!! Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]) !!}
                                            </div>
                                        </div>


                                        @if ($authUser->hasRole('Facility') != true)
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]) !!}
                                            </div>
                                        </div>
                                        @endif

                                        @if ($authUser->hasRole('Facility') == true)
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('status', create_select_options(config('constants.shifts.buddy_shift_status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]) !!}
                                            </div>
                                        </div>
                                        @endif

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )}}
                                            {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> {{ __('language.table_result') }} </label>
                                    {!! Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                </div>

                                <div class="float-left pl-2 search-box">
                                    {!! Form::text('shift_hcp_search', old('shift_hcp_search', ($request['shift_hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.shift.shiftBuddyRequestExport', ['request' => $request])}}">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> {{ __('language.shift_id') }} </th>
                                <th> {{ __('language.hcp_id') }} </th>
                                <th> {{ __('language.hcp_name') }} </th>
                                <th> {{ __('language.cat_pro') }} </th>
                                <th> {{ __('language.shift_buddy_request_date') }} </th>

                                @if ($authUser->hasRole('Facility') != true)
                                <th> {{ __('language.shift_suburb') }} </th>
                                <th> {{ __('language.shift_state') }} </th>
                                <th> {{ __('language.shift_address') }} </th>
                                @endif

                                <th> {{ __('language.status') }} </th>
                                <th> {{ __('language.action') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($buddyShiftRequests as $buddyShiftRequest)
                                <tr>
                                    <td>
                                        @if (!empty($buddyShiftRequest->shift))
                                            <a href="{{ route('adminPanel.shift.details', ['id' => ev($buddyShiftRequest->shift->id)]) }}">
                                                {{ $buddyShiftRequest->shift->shift_prefix . $buddyShiftRequest->shift->id }}
                                            </a>
                                        @else
                                            N/A
                                        @endif
                                    </td>

                                    <td>
                                        @if (!empty($buddyShiftRequest['buddy_hcp']))
                                        <a href="{{route('adminPanel.hcps.details', ['id' => ev($buddyShiftRequest['buddy_hcp']->id)])}}" class="text-primary">
                                            <div>{{ ucwords($buddyShiftRequest['buddy_hcp']->hcp_prefix.$buddyShiftRequest['buddy_hcp']->id) }}</div>
                                        </a>
                                        @else
                                            N/A
                                        @endif
                                    </td>

                                    <td>
                                        @if (!empty($buddyShiftRequest['buddy_hcp']))
                                        <a href="{{route('adminPanel.hcps.details', ['id' => ev($buddyShiftRequest['buddy_hcp']->id)])}}" class="text-primary">
                                            <div>{{ ucwords($buddyShiftRequest['buddy_hcp']->first_name.' '.$buddyShiftRequest['buddy_hcp']->last_name) }}</div>
                                        </a>
                                        <div class="font-size-12">
                                            @if (!empty($buddyShiftRequest['buddy_hcp']))
                                                {{ $buddyShiftRequest['buddy_hcp']->contact_number }}
                                            @endif
                                        </div>
                                        @else
                                            N/A
                                        @endif
                                    </td>

                                    <td>
                                        <div> {{ ucwords($buddyShiftRequest->profession->name)}} </div>
                                        <div class="font-size-12"> {{ ucwords($buddyShiftRequest->category->name)}}</div>
                                    </td>

                                    <td>
                                        {{ date("d M Y", strtotime($buddyShiftRequest->created_at)) }}
                                    </td>

                                    @if ($authUser->hasRole('Facility') != true)
                                    <td>
                                        @if (!empty($buddyShiftRequest['buddy_hcp']))
                                            {{ ucwords($buddyShiftRequest['buddy_hcp']->suburb_name) }}
                                            <div class="font-size-12"> {{ ucwords($buddyShiftRequest['buddy_hcp']->post_code)}}</div>
                                        @else
                                            N/A
                                        @endif
                                    </td>

                                    <td>
                                        @if (!empty($buddyShiftRequest['buddy_hcp']))
                                            <div class="font-size-12"> {{ ucwords($buddyShiftRequest['buddy_hcp']['state']->short_form)}}</div>
                                        @else
                                            N/A
                                        @endif
                                    </td>

                                    <td>
                                        @if (!empty($buddyShiftRequest['buddy_hcp']))
                                            <div class="font-size-12"> {{ ucwords($buddyShiftRequest['buddy_hcp']->address)}}</div>
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    @endif

                                    <td>
                                        @if ($buddyShiftRequest['status'] == 'requested')
                                            <div class="text-dark font-weight-bold"> {{ __('language.shift_buddy_status_requested') }} </div>
                                        @elseif ($buddyShiftRequest['status'] == 'pending')
                                            <div class="text-warning font-weight-bold"> {{ __('language.shift_buddy_status_pending') }} </div>
                                        @elseif ($buddyShiftRequest['status'] == 'scheduled')
                                            <div class="text-info font-weight-bold"> {{ __('language.shift_buddy_status_scheduled') }} </div>
                                        @elseif ($buddyShiftRequest['status'] == 'running')
                                            <div class="text-info font-weight-bold"> {{ __('language.shift_buddy_status_running') }} </div>
                                        @elseif ($buddyShiftRequest['status'] == 'approved')
                                            <div class="text-success font-weight-bold"> {{ __('language.shift_buddy_status_approved') }} </div>
                                        @elseif ($buddyShiftRequest['status'] == 'cancelled')
                                            <div class="text-danger font-weight-bold"> {{ __('language.shift_buddy_status_cancelled') }} </div>
                                        @elseif ($buddyShiftRequest['status'] == 'completed')
                                            <div class="text-success font-weight-bold"> {{ __('language.shift_buddy_status_completed') }} </div>
                                        @endif
                                    </td>

                                    <td>
                                        @if ($buddyShiftRequest['status'] == 'approved' && empty($buddyShiftRequest->shift_id))
                                        N/A
                                        @else
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                        @if ($authUser->hasRole('Facility') != true)
                                                            @if ($buddyShiftRequest['status'] == 'requested')
                                                                <a href="{{ route('adminPanel.shift.createBuddyShift', ['shiftType' => 'new', 'id' => ev($buddyShiftRequest->id)]) }}" class="dropdown-item"> {{ __("language.create_buddy_shift_button") }} </a>

                                                                <a href="{{ route('adminPanel.shift.assingBuddyShiftFromScheduledShift', ['id' => ev($buddyShiftRequest->id)]) }}" class="dropdown-item"> {{ __("language.choose_from_scheduled_buddy_shift_button") }} </a>

                                                                <a href="#" class="dropdown-item link-action" data-url="{{ route('adminPanel.shift.markCompleteBuddyShiftRequest', ['id' => $buddyShiftRequest->id]) }}"> {{ __("language.buddy_shift_request_mark_completed") }} </a>
                                                            @else
                                                                @if (!empty($buddyShiftRequest->shift_id))
                                                                <a href="{{ route('adminPanel.shift.details', ['id' => ev($buddyShiftRequest->shift['id'])]) }}" class="dropdown-item"> {{ __("language.details") }} </a>
                                                                @endif
                                                            @endif
                                                        @else
                                                            @if ($buddyShiftRequest['status'] != 'requested')
                                                                <a href="{{ route('adminPanel.shift.details', ['id' => ev($buddyShiftRequest->shift['id'])]) }}" class="dropdown-item"> {{ __("language.details") }} </a>
                                                            @endif
                                                        @endif
                                                    </div>
                                                </div>

                                            </li>
                                        </ul>
                                        @endif
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>

                        <div class="pagination">
                            {{ $buddyShiftRequests->appends($request)->render() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/shift/view.js') }}"></script>
@endpush
