@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.choose_from_scheduled_buddy_shift_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{__('language.choose_from_scheduled_buddy_shift_page_title')}}</h5>
                        </div>
                    </div>
                </div>


                <div class="container-fluid page-heading">
                    {!! Form::open(['class'=> 'select-shift-form', 'method' => 'get', 'url' => route('adminPanel.shift.createBuddyShift', ['shiftType' => 'scheduled', 'id' => ev($buddyShiftRequest->id)]), 'files'=> true])!!}
                    <div class="table-responsive">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> {{ __('language.shift_id') }} </th>
                                <th> {{ __('language.booking_date') }} </th>
                                <th> {{ __('language.shift_type') }} </th>
                                <th> {{ __('language.cat_pro') }} </th>
                                @if ($authUser->hasRole('Facility') != true)
                                <th> {{ __('language.fac_name') }} </th>
                                @endif
                                <th> {{ __('language.hcp_name') }} </th>
                                <th> {{ __('language.word_wing') }} </th>
                                <th> {{ __('language.shift_start') }} </th>
                                <th> {{ __('language.shift_end') }} </th>
                                <th> {{ __('language.total_hours') }} </th>
                                @if ($authUser->hasRole('Facility') != true)
                                <th> {{ __('language.shift_suburb') }} </th>
                                <th> {{ __('language.shift_state') }} </th>
                                @endif
                                <th> {{ __('language.action') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($shifts as $key => $shift)
                                <tr>
                                    <td class="">
                                        <div class="n-chk">
                                            <label class="new-control new-radio new-radio-text radio-dark">
                                                <input type="radio" class="new-control-input" name="shift_id" value="{{$shift->id}}">
                                                <span class="new-control-indicator"></span>
                                                <span class="new-radio-content text-primary font-weight-bold">
                                                    {{ $shift->shift_prefix . $shift->id }}
                                                </span>
                                            </label>
                                        </div>
                                    </td>
                                    <td> {{ date("d M Y", strtotime($shift->created_at)) }} </td>
                                    <td>
                                        @if (!empty($shift->shift_type))
                                            {{ ucwords($shift->shift_type) }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <div>{{ ucwords($shift->profession->name)}}</div>
                                        <div class="font-size-12"> {{ ucwords($shift->category->name)}} </div>
                                    </td>
                                    @if ($authUser->hasRole('Facility') != true)
                                    <td>
                                        <a href="{{ route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)]) }}">
                                            <div> {{ ucwords($shift->facility->name)}}</div>
                                        </a>
                                        <div class="font-size-12">
                                            @if (!empty($shift['facility']->address))
                                                {{ $shift['facility']->address }}
                                            @endif
                                        </div>
                                    </td>
                                    @endif
                                    <td>
                                        @if (!empty($shift['hcp']))
                                        <a href="{{route('adminPanel.hcps.details', ['id' => ev($shift['hcp']->id)])}}" class="text-primary">
                                            <div>{{ ucwords($shift['hcp']->first_name.' '.$shift['hcp']->last_name) }}</div>
                                        </a>
                                        <div class="font-size-12">
                                            @if (!empty($shift['hcp']))
                                                {{ $shift['hcp']->contact_number }}
                                            @endif
                                        </div>
                                        @else
                                            N/A
                                        @endif
                                    </td>

                                    <td> {{ $shift->word_wing }} </td>
                                    <td>
                                        <div>{{ date("d M", strtotime($shift->start_time)) }}</div>
                                        {{ date("h:i A", strtotime($shift->start_time)) }}
                                    </td>
                                    <td>
                                        <div>{{ date("d M", strtotime($shift->end_time)) }}</div>
                                        {{ date("h:i A", strtotime($shift->end_time)) }}
                                    </td>
                                    <td> {{ $shift->hours }} Hrs </td>
                                    @if ($authUser->hasRole('Facility') != true)
                                    <td>
                                        @if (!empty($shift['facility']->suburb_name))
                                            {{ $shift['facility']->suburb_name }}
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($shift['facility']->state))
                                            {{ $shift['facility']->state->short_form }}
                                        @endif
                                    </td>
                                    @endif
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="{{ route('adminPanel.shift.details', ['id' => ev($shift->id)]) }}" class="dropdown-item"> {{ __("language.details") }} </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>
                        <div class="select-shift-error"></div>

                        <div class="pagination">
                            {{ $shifts->render() }}
                        </div>
                    </div>

                    @if (count($shifts))
                    {{ Form::button('<i class="fa fa-save"></i> &nbsp;'. __('language.scheduled_buddy_shift_button'), ['class' => 'btn btn-primary btn-submit mt-2', 'type' => 'submit', 'id' => 'shift-submit'] )}}
                    @endif
                    {!! Form::close() !!}
                </div>

            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/shift/view.js') }}"></script>
@endpush
