@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.shifts_details_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/elements/avatar.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/components/tabs-accordian/custom-tabs.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@php
    // Set time zone
    date_default_timezone_set($shift->state->time_zone_name);
    //--------------
@endphp
@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="media">
                                    <div class="media-body profile-info ml-1">
                                        <h6> {{ __('language.shift_details_id') }} {{ $shift->shift_prefix . $shift->id }} </h6>
                                        @if ($shift['shift_status'] == '0')
                                            <label class="text-warning"> {{ __('language.shift_status_pending') }} </label>
                                        @elseif ($shift['shift_status'] == '1')
                                            <label class="text-info"> {{ __('language.shift_status_scheduled') }} </label>
                                        @elseif ($shift['shift_status'] == '2')
                                            <label class="text-success"> {{ __('language.shift_status_running') }} </label>
                                        @elseif ($shift['shift_status'] == '3')
                                            <label class="text-danger"> {{ __('language.shift_status_cancelled') }} </label>
                                        @elseif ($shift['shift_status'] == '4')
                                            <label class="text-success"> {{ __('language.shift_status_completed') }} </label>
                                        @elseif ($shift['shift_status'] == '5')
                                            <label class="text-info"> {{ __('language.shift_status_transfered') }} </label>
                                        @elseif ($shift['shift_status'] == '6')
                                            <label class="text-success"> {{ __('language.shift_status_past') }} </label>
                                        @endif

                                        @if ($shift['shift_transfer_swap_status'] == 'transferred')
                                        <label class="text-dark"> ({{ __('language.shift_transfered') }}) </label>
                                        @endif

                                        @if ($shift['shift_transfer_swap_status'] == 'swapped')
                                        <label class="text-dark"> ({{ __('language.shift_swap') }}) </label>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 text-right">
                                <div class="float-right pr2 mt2">
                                    @if ($shift['shift_status'] == '0')
                                        <a href="{{ route('adminPanel.shift.shiftRebroadcast', ['id' => ev($shift->id)]) }}" class="btn btn-primary btn-submit btn-sm" type="button">{{ __('language.re_broadcast') }}</a>
                                    @endif
                                    @if ($shift['shift_status'] == '1' || $shift['shift_status'] == '2')
                                        @if($shift['shift_status'] == '1')
                                           @php
                                                $startTime = strtotime(date('Y-m-d H:i', strtotime('-1 hours', strtotime($shift['start_time']))));
                                                $currentTime = strtotime(date('Y-m-d H:i'));
                                           @endphp
                                            @if ($currentTime >= $startTime)
                                                <a href="{{ route('adminPanel.shift.track-hcp',['id' => ev($shift->id)])}}" class="btn btn-primary btn-submit btn-sm" type="button">
                                                    Track HCP
                                                </a>
                                            @else
                                                <a href="#" class="btn btn-primary btn-submit btn-sm" disabled type="button">
                                                    Track HCP
                                                </a>
                                            @endif
                                        @elseif($shift['shift_status'] == '2')
                                            <a href="{{ route('adminPanel.shift.track-hcp',['id' => ev($shift->id)])}}" class="btn btn-primary btn-submit btn-sm" type="button">
                                                Track HCP
                                            </a>
                                        @endif
                                    @endif

                                    @if($shift['shift_status'] == '1')
                                        @if ($shift['shift_type'] != 'buddy')
                                        <a href="{{ route('adminPanel.shift.getTransferHcp', ['id' => ev($shift->id)]) }}" class="btn btn-primary btn-sm cancel-shift-btn" type="button">{{ __('language.shift_bt_transfer') }}</a>
                                        @endif

                                        <span class="datatable-action">
                                            <a href="#" data-url="{{ route('adminPanel.shift.cancelShiftModal', ['id' => ev($shift->id)]) }}" class="btn btn-danger btn-sm cancel-shift-btn" type="button">{{ __('language.shift_cancel_shift') }}</a>
                                        </span>
                                    @endif

                                    @if($shift['shift_status'] == '6')
                                        <a href="#" data-url="{{ route('adminPanel.shift.viewLocationModal', ['id' => ev($shift->id)]) }}" class="btn btn-primary btn-sm location-shift-btn" type="button">{{ __('language.shift_bt_view_locations') }}</a>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <hr>
                    </div>
                </div>


                <div class="row">
                    @if ($shift['shift_status'] != '6')
                        @php $shifBlockClass = 'col-xl-12 col-lg-12 col-md-12 col-12' @endphp
                    @else
                        @php $shifBlockClass = 'col-xl-8 col-lg-8 col-md-8 col-8' @endphp
                    @endif
                    <div class="{{$shifBlockClass}} page-heading">
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.booked_date') }} </label>
                                <p class="text-dark"> {{ date("d M, Y", strtotime($shift->created_at)) }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.booked_by') }} </label>
                                <p class="text-dark"> {{ $shift->booked_by ? ucwords($shift->booked_by) : 'N/A'   }} </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.start_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->start_time)) }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.end_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->end_time)) }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.total_hours') }} </label>
                                <p class="text-dark"> {{ $shift->hours }} Hours </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.break_duration') }} </label>
                                <p class="text-dark"> {{ $shift->break }} Minutes </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.shift_types') }} </label>
                                <p class="text-dark"> {{ $shift->shift_type ? ucwords($shift->shift_type) : 'N/A'   }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.word_wing') }} </label>
                                <p class="text-dark"> {{ $shift->word_wing ? $shift->word_wing : 'N/A' }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_loading') }} </label>
                                <p class="text-dark"> {{ $shift->shift_loading ? $shift->shift_loading.' %' : 'N/A' }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_category') }} </label>
                                <p class="text-dark"> {{ $shift->category ? ucwords($shift->category->name) : 'N/A' }} </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.shift_profession') }} </label>
                                <p class="text-dark"> {{ $shift->profession ? ucwords($shift->profession->name) : 'N/A' }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_level') }} </label>
                                <p class="text-dark"> {{ $shift->level ? ucwords($shift->level->name) : 'N/A' }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_hcp_id') }} </label>
                                <p class="text-dark">
                                    @if (!empty($shift->hcp))
                                        {{ $shift->hcp->hcp_prefix.$shift->hcp->id }}
                                    @else
                                    N/A
                                    @endif
                                </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_hcp_name') }} </label>
                                <p class="text-dark">
                                    @if (!empty($shift->hcp))
                                    <a class="text-primary" href="{{ route('adminPanel.hcps.details', ['id' => ev($shift->hcp->id)]) }}">
                                        {{ ucwords($shift->hcp->first_name.' '.$shift->hcp->last_name)}}
                                    </a>
                                    @else
                                    N/A
                                    @endif
                                </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.mentor_name') }} </label>
                                <p class="text-dark">
                                    @if (!empty($shift->mentor_hcp_name))
                                        {{ ucwords($shift->mentor_hcp_name)}}
                                    @else
                                    N/A
                                    @endif
                                </p>
                            </div>
                        </div>

                        @if ($authUser->hasRole('Facility') != true)
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.shift_facility_group') }} </label>
                                <p class="text-dark"> {{ $shift->facility_group ? ucwords($shift->facility_group->name) : 'N/A' }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_facility_id') }} </label>
                                <p class="text-dark">
                                    {{ $shift->facility->facility_prefix.$shift->facility->id }}
                                </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_facility') }} </label>
                                <p class="text-primary">
                                    <a class="text-primary" href="{{ route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)]) }}">
                                       {{ ucwords($shift->facility->name)}}
                                    </a>
                                </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_facility_address') }} </label>
                                <p class="text-dark"> {{ $shift->facility ? ucwords($shift->facility->address) : 'N/A' }} </p>
                            </div>
                        </div>
                        @endif

                        @if (!empty($shift->approved_shift_start_time) && !empty($shift->approved_shift_end_time))
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.shift_approved_start_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->approved_shift_start_time)) }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_approved_end_time') }} </label>
                                <p class="text-dark"> {{ date("d M, Y h:i A", strtotime($shift->approved_shift_end_time)) }} </p>
                            </div>
                        </div>
                        @endif


                        @if (!empty($shift->cancelled_shift))
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> {{ __('language.shift_cancel_by') }} </label>
                                <p class="text-dark"> {{ $shift->cancelled_shift ? ucwords($shift->cancelled_shift->cancel_by) : 'N/A' }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_cancel_time') }} </label>
                                <p class="text-dark"> {{ $shift->cancelled_shift ? date("d M, Y h:i A", strtotime($shift->cancelled_shift->cancel_time)) : 'N/A' }} </p>
                            </div>

                            <div class="col-md-3">
                                <label> {{ __('language.shift_cancel_reason') }} </label>
                                <p class="text-dark"> {{ $shift->cancelled_shift->cancel_reason ?? 'N/A' }} </p>
                            </div>

                            @if ($shift->cancelled_shift->cancel_by == 'hcp')
                            <div class="col-md-3">
                                <label class="text-danger"> {{ __('language.shift_hcp_neg_point') }} </label>
                                <p class="text-dark"> {{ $shift->cancelled_shift ? $shift->cancelled_shift->negative_points : '0' }} </p>
                            </div>
                            @else
                            <div class="col-md-3">
                                <label class="text-danger"> {{ __('language.shift_facility_penalty') }} </label>
                                <p class="text-dark"> {{ $shift->cancelled_shift->penalty_amount ? '$'.$shift->cancelled_shift->penalty_amount : '$0' }} </p>
                            </div>
                            @endif

                        </div>
                        @endif

                        <div class="row mb2">
                            <div class="col-md-6">
                                <label> {{ __('language.notes') }} </label>
                                <p class="text-dark"> {{ $shift->notes ? $shift->notes : 'N/A' }} </p>
                            </div>
                        </div>

                        @if (!empty($shift->shift_transferred))
                        <div class="row mb3">
                            @foreach ($shift->shift_transferred as $shiftTransferred)
                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        @if (isset($shiftTransferred['hcp']) && !empty($shiftTransferred['hcp']->image) )
                                            @php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftTransferred['hcp']->hcp_prefix .
                                            $shiftTransferred['hcp']->id . '/image/', $shiftTransferred['hcp']->image);
                                            @endphp
                                        @else
                                            @if ($shiftTransferred['hcp']->gender == 'female')
                                                @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                            @else
                                                @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                            @endif
                                        @endif
                                        {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                    </div>
                                    <div class="media-body profile-info">
                                        <label> {{ __('language.shift_hcp_name') }} </label>
                                        <a href="{{ route('adminPanel.hcps.details', ['id' => ev($shiftTransferred['hcp']->id)]) }}">
                                        <h6 class="text-primary">{{ ucwords($shiftTransferred['hcp']->first_name.' '.$shiftTransferred['hcp']->last_name) }}</h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="shift-transferred-list-divided">
                                    <label> {{ __('language.shift_transferred_from') }} </label>
                                    <hr/>
                                    <label> {{  date("d M Y", strtotime($shiftTransferred->created_at)) }} </label>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        @if (isset($shiftTransferred['transfer_hcp']) && !empty($shiftTransferred['transfer_hcp']->image) )
                                            @php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftTransferred['transfer_hcp']->hcp_prefix .
                                            $shiftTransferred['transfer_hcp']->id . '/image/', $shiftTransferred['transfer_hcp']->image);
                                            @endphp
                                        @else
                                            @if ($shiftTransferred['transfer_hcp']->gender == 'female')
                                                @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                            @else
                                                @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                            @endif
                                        @endif
                                        {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                    </div>
                                    <div class="media-body profile-info">
                                        <label> {{ __('language.shift_hcp_name') }} </label>
                                        <a href="{{ route('adminPanel.hcps.details', ['id' => ev($shiftTransferred['transfer_hcp']->id)]) }}">
                                        <h6 class="text-primary">{{ ucwords($shiftTransferred['transfer_hcp']->first_name.' '.$shiftTransferred['transfer_hcp']->last_name) }}</h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="shift-transferred-list-divided">
                                    <label> {{ __('language.shift_transferred_action') }} </label>
                                    <hr/>
                                    @if ($shiftTransferred->status == 'accept')
                                    <div class="text-success"> Accepted </div>
                                    @elseif($shiftTransferred->status == 'reject')
                                    <div class="text-danger"> Rejected </div>
                                    @elseif($shiftTransferred->status == 'pending')
                                    <div class="text-warning"> Pending </div>
                                    @elseif($shiftTransferred->status == 'cancelled')
                                    <div class="text-danger"> Cancelled </div>
                                    @endif
                                    <label>  </label>
                                </div>
                            </div>
                            @endforeach
                        </div>
                        @endif

                        @if (!empty($shift->shift_swap) && isset($shiftSwap['hcp']) && isset($shiftSwap['swap_hcp']))
                        <div class="row mb3">
                            @php $shiftSwap = $shift->shift_swap; @endphp
                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        @if (isset($shiftSwap['hcp']) && !empty($shiftSwap['hcp']->image) )
                                            @php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftSwap['hcp']->hcp_prefix .
                                            $shiftSwap['hcp']->id . '/image/', $shiftSwap['hcp']->image);
                                            @endphp
                                        @else
                                            @if ($shiftSwap['hcp']->gender == 'female')
                                                @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                            @else
                                                @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                            @endif
                                        @endif
                                        {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                    </div>
                                    <div class="media-body profile-info">
                                        <label> {{ __('language.shift_hcp_name') }} </label>
                                        <a href="{{ route('adminPanel.hcps.details', ['id' => ev($shiftSwap['hcp']->id)]) }}">
                                        <h6 class="text-primary">{{ ucwords($shiftSwap['hcp']->first_name.' '.$shiftSwap['hcp']->last_name) }}</h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="shift-transferred-list-divided">
                                    <label> {{ __('language.shift_swap_from') }} </label>
                                    <hr/>
                                    <label> {{  date("d M Y", strtotime($shiftSwap->created_at)) }} </label>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        @if (isset($shiftSwap['swap_hcp']) && !empty($shiftSwap['swap_hcp']->image) )
                                            @php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftSwap['swap_hcp']->hcp_prefix .
                                            $shiftSwap['swap_hcp']->id . '/image/', $shiftSwap['swap_hcp']->image);
                                            @endphp
                                        @else
                                            @if ($shiftSwap['swap_hcp']->gender == 'female')
                                                @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                            @else
                                                @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                            @endif
                                        @endif
                                        {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                    </div>
                                    <div class="media-body profile-info">
                                        <label> {{ __('language.shift_hcp_name') }} </label>
                                        <a href="{{ route('adminPanel.hcps.details', ['id' => ev($shiftSwap['swap_hcp']->id)]) }}">
                                        <h6 class="text-primary">{{ ucwords($shiftSwap['swap_hcp']->first_name.' '.$shiftSwap['swap_hcp']->last_name) }}</h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                            </div>
                        </div>
                        @endif
                    </div>

                    @if ($shift['shift_status'] == '6')
                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 page-heading" style="border-left: 2px solid #f1f2f3; height:100%; width:2px;min-height:500px;">
                        <div class="row">
                            <div class="col-md-12 mb2">
                                <label> {{ __('language.rating_by_hcp') }} </label>
                                @if (!empty($shift->facility_rating))
                                    <p class="rating">
                                        <i class="fa fa-star"></i> {{ $shift->facility_rating->facility_rating }}
                                    </p>
                                @else
                                    <p class="text-dark">N/A</p>
                                @endif
                            </div>


                            <div class="col-md-12 mb2">
                                <label> {{ __('language.comment_by_hcp') }} </label>
                                @if (!empty($shift->facility_rating))
                                    <p class="text-dark"> {{ $shift->facility_rating->comment}} </p>
                                @else
                                     <p class="text-dark">N/A</p>
                                @endif
                            </div>

                            <div class="col-md-12 mb2">
                                <label> {{ __('language.rating_by_facility') }} </label>
                                @if (!empty($shift->hcp_rating))
                                    <p class="rating">
                                        <i class="fa fa-star"></i> {{ $shift->hcp_rating->hcp_rating }}
                                    </p>
                                @else
                                     <p class="text-dark">N/A</p>
                                @endif
                            </div>

                            <div class="col-md-12 mb2">
                                <label> {{ __('language.comment_by_facility') }} </label>
                                @if (!empty($shift->hcp_rating))
                                    <p class="text-dark"> {{ $shift->hcp_rating->hcp_comment}} </p>
                                @else
                                     <p class="text-dark">N/A</p>
                                @endif
                            </div>
                        </div>
                    </div>
                    @endif

                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <h6 class="mt-2 mb-2 text-primary"> {{ __('language.shift_timeline') }} </h6>
                        <hr>

                        <div>
                            <div class="table-responsive">
                                <table class="table mb-4" id="">
                                    <thead>
                                        <th> {{ __('language.shift_timeline_date') }} </th>
                                        <th> {{ __('language.shift_timeline_time') }} </th>
                                        <th> {{ __('language.shift_timeline_event') }} </th>
                                        <th> {{ __('language.shift_timeline_hcp_name') }} </th>
                                        <th> {{ __('language.shift_timeline_facility_member') }} </th>
                                        <th> {{ __('language.shift_timeline_admin_member') }} </th>
                                    </thead>

                                    <tbody>
                                        @if (count($shift->activities))
                                            @foreach ($shift->activities as $key => $activities)
                                            <tr>
                                                @php
                                                    $time = Carbon\Carbon::parse($activities->created_at)->setTimezone($shift->state->time_zone_name);
                                                @endphp
                                                <td> {{ $time->format('d M Y') }} </td>
                                                <td>
                                                    {{ $time->format('h:i A') }}
                                                </td>
                                                <td> {{ ucwords(str_replace("-", " ", preg_replace('/[0-9]+/', '', $activities->activity))) }}</td>
                                                <td>
                                                    @if (!empty($activities->user))
                                                        @if ($activities->user->role_name == 'hcp')
                                                            {{ $activities->hcp->first_name.' '.$activities->hcp->last_name }}
                                                        @else
                                                            N/A
                                                        @endif
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($activities->user))
                                                        @if ($activities->user->role_name == 'facility')
                                                            {{ $activities->user->name }}
                                                        @else
                                                            N/A
                                                        @endif
                                                    @endif
                                                </td>
                                                <td>
                                                    @if (!empty($activities->user))
                                                        @if ($activities->user->role_name == 'super-admin')
                                                            {{ $activities->user->name }}
                                                        @else
                                                            N/A
                                                        @endif
                                                    @endif
                                                </td>
                                            </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="12" class="text-center"> No record found...</td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/shift/view.js') }}"></script>

<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
@endpush
