@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.shifts').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{__('language.pending_shifts')}} {{ __('language.shifts_page_title') }}</h5>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            @if (!empty($request))
                                @php $filterApply = 'filter-icon-apply'; @endphp
                            @else
                                @php $filterApply = 'filter-icon'; @endphp
                            @endif
                            <button type="button" class="btn btn-sm filter-button btn-primary {{$filterApply}}">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div>
                        {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.shift.pending'), 'id' => 'shift-filter-form']) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> {{ __('language.filters') }} </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            @if ($authUser->hasRole('Facility') != true)
                                                @if (!empty($states))
                                                    <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                        @foreach($states as $state)
                                                            <label class="btn btn-custom-outline {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : '' }}">
                                                                <input type="checkbox" id="states" class="states" name="states[]" value="{{$state->id}}" autocomplete="off" {{ !empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : '' }}> {{$state->short_form}} : {{$state->shifts_count}}
                                                            </label>
                                                        @endforeach
                                                    </div>
                                                @endif
                                            @endif
                                        </div>

                                        <div class="col-md-12">
                                            @php
                                                $filterHours = config('constants.shifts.shift_filter_traffic_lights');
                                                $shiftCount = '';
                                            @endphp
                                            <input type="hidden" name="blue_traffic_lights_shifts" value="{{ implode(',', $blueShiftsArr) }}"/>
                                            <input type="hidden" name="amber_traffic_lights_shifts" value="{{ implode(',', $amberShiftsArr) }}"/>
                                            <input type="hidden" name="red_traffic_lights_shifts" value="{{ implode(',', $redShiftsArr) }}"/>
                                            @if (!empty($filterHours))
                                                <div class="custom-radios">
                                                @foreach (array_values($filterHours) as $key => $filterHour)
                                                    @php
                                                        if ($filterHour['type'] == 'blue') {
                                                            $shiftCount = count($blueShiftsArr);
                                                        } else if($filterHour['type'] == 'amber'){
                                                            $shiftCount = count($amberShiftsArr);
                                                        } else if($filterHour['type'] == 'red'){
                                                            $shiftCount = count($redShiftsArr);
                                                        }
                                                    @endphp
                                                    <div>
                                                        <input type="radio" id="color-{{$key+1}}" name="shift_filter_traffic_lights" value="{{$filterHour['type']}}" {{ !empty($request['shift_filter_traffic_lights']) && $filterHour['type'] == $request['shift_filter_traffic_lights'] ? ' checked' : '' }}>
                                                        <label for="color-{{$key+1}}" title="{{ $filterHour['caption'] }}"> <span> {{$shiftCount}} </span> </label>
                                                    </div>
                                                @endforeach
                                                </div>
                                            @endif
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2 profession-div">
                                            <div class="form-group">
                                                {!! Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]) !!}
                                            </div>
                                        </div>

                                        @if ($authUser->hasRole('Facility') != true)
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]) !!}
                                            </div>
                                        </div>
                                        @endif

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('shift_type', create_select_options(config('constants.shifts.shift_types'), 'caption', 'value',  __('language.shift_types')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]) !!}
                                            </div>
                                        </div>


                                        <div class="col-md-2">
                                            <div class="form-group">
                                                {!! Form::select('shortby_filter', create_select_options(config('constants.shifts.shift_shortby_filter'), 'caption', 'value',  __('language.shift_shortby_filter')), old('shortby_filter', ($request['shortby_filter'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shortby_filter' ]) !!}
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> {{ __('messages.filter_apply_error')}} </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            {{ Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )}}
                                            {{ Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )}}
                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>

                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> {{ __('language.table_result') }} </label>
                                    {!! Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]) !!}
                                </div>

                                <div class="float-left pl-2 search-box">
                                    {!! Form::text('shift_facility_search', old('shift_facility_search', ($request['shift_facility_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="{{route('adminPanel.shift.shiftExport', ['request' => $request, 'status' => '0'])}}">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        {!! Form::close() !!}
                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> {{ __('language.shift_id') }} </th>
                                <th> {{ __('language.booking_date') }} </th>
                                <th> {{ __('language.shift_type') }} </th>
                                <th> {{ __('language.cat_pro') }} </th>
                                @if ($authUser->hasRole('Facility') != true)
                                <th> {{ __('language.fac_name') }} </th>
                                @endif
                                <th> {{ __('language.word_wing') }} </th>
                                <th> {{ __('language.shift_start') }} </th>
                                <th> {{ __('language.shift_end') }} </th>
                                <th> {{ __('language.total_hours') }} </th>
                                @if ($authUser->hasRole('Facility') != true)
                                <th> {{ __('language.shift_suburb') }} </th>
                                <th> {{ __('language.shift_state') }} </th>
                                @endif
                                <th> {{ __('language.action') }} </th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($shifts as $shift)
                                <tr>
                                    <td>
                                        <a href="{{ route('adminPanel.shift.details', ['id' => ev($shift->id)]) }}">
                                            {{ $shift->shift_prefix . $shift->id }}
                                        </a>
                                    </td>
                                    <td>
                                        {{ date("d M Y", strtotime($shift->created_at)) }}
                                    </td>
                                    <td>
                                        @if (!empty($shift->shift_type))
                                            {{ ucwords($shift->shift_type) }}
                                        @else
                                            N/A
                                        @endif
                                    </td>
                                    <td>
                                        <div>{{ ucwords($shift->profession->name)}}</div>
                                        <div class="font-size-12"> {{ ucwords($shift->category->name)}} </div>
                                    </td>
                                    @if ($authUser->hasRole('Facility') != true)
                                    <td>
                                        <a href="{{ route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)]) }}">
                                            <div> {{ ucwords($shift->facility->name)}}</div>
                                        </a>
                                        <div class="font-size-12">
                                            @if (!empty($shift['facility']->address))
                                                {{ $shift['facility']->address }}
                                            @endif
                                        </div>
                                    </td>
                                    @endif
                                    <td> {{ $shift->word_wing }} </td>
                                    <td>
                                        <div>{{ date("d M", strtotime($shift->start_time)) }}</div>
                                        {{ date("h:i A", strtotime($shift->start_time)) }}
                                    </td>
                                    <td>
                                        <div>{{ date("d M", strtotime($shift->end_time)) }}</div>
                                        {{ date("h:i A", strtotime($shift->end_time)) }}
                                    </td>
                                    <td> {{ $shift->hours }} Hrs </td>
                                    @if ($authUser->hasRole('Facility') != true)
                                    <td>
                                        @if (!empty($shift['facility']->suburb_name))
                                            {{ $shift['facility']->suburb_name }}
                                        @endif
                                    </td>
                                    <td>
                                        @if (!empty($shift['facility']->state))
                                            {{ $shift['facility']->state->short_form }}
                                        @endif
                                    </td>
                                    @endif
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        @if ($authUser->can('Edit Shifts') || $authUser->can('Facility Edit Shifts'))
                                                        <a href="{{ route('adminPanel.shift.edit', ['id' => ev($shift->id)]) }}" class="dropdown-item">
                                                            {{ __("language.edit") }}
                                                        </a>
                                                        @endif

                                                        <a href="{{ route('adminPanel.shift.details', ['id' => ev($shift->id)]) }}" class="dropdown-item"> {{ __("language.details") }} </a>

                                                        @php
                                                            $currentTime = Carbon\Carbon::now($shift->state->time_zone_name);
                                                            $shiftStartTime = Carbon\Carbon::parse($shift->start_time);
                                                        @endphp
                                                        <a href="{{ route('adminPanel.shift.shiftRebroadcast', ['id' => ev($shift->id)]) }}" class="dropdown-item"> {{ __("language.re_broadcast") }} </a>
                                                        <a href="{{ route('adminPanel.shift.assignHcpList', ['id' => ev($shift->id)]) }}" class="dropdown-item"> {{ __("language.assign_hcp_page_menu") }} </a>

                                                        <a href="#" data-url="{{ route('adminPanel.shift.cancelPendingShiftModal', ['id' => ev($shift->id)]) }}" class="dropdown-item text-danger cancel-shift-btn"> {{ __("language.shift_cancel_shift") }} </a>
                                                    </div>
                                                </div>

                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>

                        <div class="pagination">
                            {{ $shifts->appends($request)->render() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/shift/view.js') }}"></script>
@endpush
