@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.shifts').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/css/plugins/table/datatable/dt-global_style.css') }}" rel="stylesheet">
@endpush

@section('content')
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>{{__('language.shift_transfer_page')}} </h5>
                        </div>
                    </div>
                </div>
                <div>
                    {!! Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                    route('adminPanel.shift.getTransferHcp', ['id' => ev($shift->id)]), 'id' => 'filter-form']) !!}
                    

                    <div class="row pl-3 mt-3">
                            

                            <div class="float-left pl-2 search-box">
                                {!! Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]) !!}
                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        
                    </div>
                    {!! Form::close() !!}
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive">
                        {!! Form::open(['class'=> 'transfer-form', 'method' => 'post', 'url' => route('adminPanel.shift.transferShift')])!!}

                        <table class="table table-checkable mb-4 mt-3">
                            <thead>
                                <tr>
                                    <th class="checkbox-column">#</th>
                                    <th> {{ __('language.shift_hcp_available') }} </th>
                                    <th> {{ __('language.shift_hcp_category') }} </th>
                                    <th> {{ __('language.shift_hcp_profession') }} </th>
                                    <th> {{ __('language.shift_hcp_level') }} </th>
                                    <th> {{ __('language.shift_hcp_ratings') }} </th>
                                    <th> {{ __('language.shift_hcp_km') }} </th>
                                    <th> {{ __('language.shift_hcp_transfer_status') }} </th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (count($hcps))
                                    @foreach ($hcps as $key => $hcp)
                                    <tr>
                                        <td class="radio-column">
                                            <div class="custom-control custom-radio radio-dark">
                                                <input type="radio" name="hcp_checkbox" value="{{$hcp->id}}" class="custom-control-input todochkbox" id="todo-{{$key}}">
                                                <label class="custom-control-label" for="todo-{{$key}}"></label>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="media media-small">
                                                <div class="w-img">
                                                    @if (isset($hcp) && !empty($hcp->image) )
                                                        @php
                                                        $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                                        $hcp->id . '/image/', $hcp->image);
                                                        @endphp
                                                    @else
                                                        @if ($hcp->gender == 'female')
                                                            @php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); @endphp
                                                        @else
                                                            @php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                                        @endif
                                                    @endif
                                                    {{ Html::image($hcpImage, 'avatar', array('class' => '')) }}
                                                </div>
                                                <div class="media-body profile-info">
                                                    <a href="{{ route('adminPanel.hcps.details', ['id' => ev($hcp->id)]) }}">
                                                        <h6 class="text-primary">
                                                            {{ ucwords($hcp->first_name.' '.$hcp->last_name) }}

                                                            @if (!empty($hcp->favourites_count))
                                                                <i class="fa fa-heart"></i>
                                                            @endif
                                                        </h6>
                                                    </a>
                                                    <p> {{ $hcp->contact_number }} </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td>  {{ ucwords($hcp->one_hcp_professions['category']['name']) }} </td>
                                        <td>  {{ ucwords($hcp->one_hcp_professions['profession']['name']) }} </td>
                                        <td>  {{ isset($hcp->one_hcp_professions['level'])?ucwords($hcp->one_hcp_professions['level']['name']):'N/A' }} </td>
                                        <td>
                                            @if (!empty($hcp->average_rating))
                                                <div class="rating">
                                                    <i class="fa fa-star"></i> {{ $hcp->average_rating }}
                                                </div>
                                            @else
                                                <div class="rating">
                                                    <i class="fa fa-star-o"></i> 0
                                                </div>
                                            @endif
                                        </td>
                                        <td>
                                            @php
                                                $lat1 = $shift->facility->latitude;
                                                $lon1 = $shift->facility->longitude;
                                                $lat2 = $hcp->latitude;
                                                $lon2 = $hcp->longitude;
                                                $unit = 'K';
                                                $distance = get_facility_and_hcp_distance($lat1, $lon1, $lat2, $lon2, $unit);
                                            @endphp
                                            {{ round($distance, 0) }} km
                                        </td>
                                        <td>
                                            @if (!empty($shiftTransfer))
                                            @php
                                               $transfer = get_shift_hcp_transfer_status($hcp->id, $shift->id);
                                            @endphp

                                            @if (!empty($transfer))
                                                @if ($transfer['status'] == 'accept')
                                                <div class="text-success font-weight-bold">
                                                    {{ __('language.shift_transfer_status_accept') }}
                                                </div>
                                                @elseif ($transfer['status'] == 'pending')
                                                <div class="text-info font-weight-bold">
                                                    {{ __('language.shift_transfer_status_pending') }}
                                                </div>
                                                @elseif ($transfer['status'] == 'reject')
                                                <div class="text-danger font-weight-bold">
                                                    {{ __('language.shift_transfer_status_reject') }}
                                                </div>
                                                @else
                                                <div class="text-dark font-weight-bold"> {{ __('language.shift_transfer_status_not_sent') }} </div>
                                                @endif
                                            @else
                                            <div class="text-dark font-weight-bold"> {{ __('language.shift_transfer_status_not_sent') }} </div>
                                            @endif
                                            @else
                                            <div class="text-dark font-weight-bold"> {{ __('language.shift_transfer_status_not_sent') }} </div>
                                            @endif
                                        </td>
                                    </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td colspan="15" class="text-center"> {{ __('language.no_record_found') }} </td>
                                    </tr>
                                @endif
                            </tbody>
                        </table>

                        <div class="row">
                            <div class="form-group col-md-12">
                                {!! Form::hidden('hcp_ids', '', ['class' => 'form-control', 'id' => 'hcp_ids']) !!}
                                {!! Form::hidden('shift_id', $shift->id, ['class' => 'form-control', 'id' => 'shift_id']) !!}
                            </div>
                        </div>

                        {{ Form::button('<i class="fa fa-save"></i> &nbsp;'. __('language.shift_bt_transfer'), ['class' => 'btn btn-primary btn-submit mt-2', 'type' => 'submit', 'id' => 'shift-submit'] )}}

                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/js/shift/transfer.js') }}"></script>

<script>
    $('#todoAll').click(function(e){
        var table= $(e.target).closest('table');
        $('td input:checkbox',table).prop('checked',this.checked);
        $('#hcp_ids').valid();
    });

    $(".todochkbox").change(function() {
        var hcp = [];
        $.each($("input[name='hcp_checkbox']:checked"), function(){
            hcp.push($(this).val());
        });
        $('#hcp_ids').val(hcp.join(","));
        $('#hcp_ids').valid();
    });
</script>
@endpush
