@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.sub_admins_details').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/elements/avatar.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-md-8 mb2">
                        <div class="media media-small pl-1">
                            <div class="w-img">
                                @if (isset($subAdmin) && !empty($subAdmin->image) )
                                    @php
                                    $subAdminImage = get_file_url(config('constants.sub_admins.sub_admins_path') . $subAdmin->sub_admin_prefix .
                                    $subAdmin->id . '/image/', $subAdmin->image);
                                    @endphp
                                @else
                                    @php $subAdminImage = asset('admin-assets/images/dummy-doctor.png'); @endphp
                                @endif
                                {{ Html::image($subAdminImage, 'avatar', array('class' => '')) }}
                            </div>
                            <div class="media-body profile-info">
                                <p class="text-dark mb-0"> <b>{{ ucwords($subAdmin->name) }} {{ ucwords($subAdmin->surname ?? '') }}</b> </p>
                                <p class=""> {{ $subAdmin->sub_admin_prefix.$subAdmin->id }} </p>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mb2 text-right">
                        @if ($subAdmin->status == 'active')
                            <a href="{{ route('adminPanel.sub-admins.changeStatus', ['id' => ev($subAdmin->id), 'status' => 'inactive']) }}" class="btn btn-danger btn-sm mr-1">
                                {{ __('language.inactive') }}
                            </a>
                        @else
                            <a href="{{ route('adminPanel.sub-admins.changeStatus', ['id' => ev($subAdmin->id), 'status' => 'active']) }}" class="btn btn-primary btn-sm mr-1">
                                {{ __('language.active') }}
                            </a>
                        @endif

                        @if ($authUser->can('Edit Sub Admins')|| $authUser->can('Facility Add Sub Admins'))
                        <a href="{{ route('adminPanel.sub-admins.edit', ['id' => ev($subAdmin->id)]) }}" class="btn btn-primary btn-sm mr-1">
                            {{ __('language.edit') }}
                        </a>
                        @endif
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 page-heading mt1">
                        <div class="row mb-2">
                            <div class="col-md-4">
                                <label> {{ __('language.sub_admins_added_on') }} </label>
                                <p class="text-dark"> {{ date("d M, Y", strtotime($subAdmin->created_at)) }} </p>
                            </div>

                            <div class="col-md-4">
                                <label> {{ __('language.sub_admins_email') }} </label>
                                <p class="text-dark"> {{ $subAdmin->user->email }} </p>
                            </div>

                            <div class="col-md-4">
                                <label> {{ __('language.sub_admins_contact_no') }} </label>
                                <p class="text-dark"> {{ $subAdmin->contact_number ?? 'N/A' }} </p>
                            </div>
                        </div>

                        <div class="row mb-2">
                            <div class="col-md-4">
                                <label> {{ __('language.sub_admins_username') }} </label>
                                <p class="text-dark"> {{ $subAdmin->username }} </p>
                            </div>

                            <div class="col-md-4">
                                <label> {{ __('language.sub_admins_status') }} </label>
                                @if ($subAdmin->status == 'inactive')
                                    <p class="text-warning font-weight-bold">{{ __("language.inactive") }}</p>
                                @else
                                    <p class="text-success font-weight-bold">{{ __("language.active") }}</p>
                                @endif
                            </div>
                        </div>

                        <div class="row mb-2">
                            <div class="col-md-12">
                                <label> {{ __('language.sub_admins_permissions') }} </label>
                                <p class="text-dark">
                                @if (!empty($subAdmin->user->getPermissionNames()))
                                    @foreach ($subAdmin->user->getPermissionNames() as $permissions)
                                        {{ $permissions.',' }}
                                    @endforeach
                                @endif
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

