@extends('admin-panel.layouts.main-layout')

@section('page-title', ' '.__('language.supporting_pages_page_title').' ')

@push('styles')
<link href="{{ asset('admin-assets/css/flatpickr.min.css') }}" rel="stylesheet">
<link href="{{ asset('admin-assets/summernote/summernote.min.css') }}" rel="stylesheet">
@endpush

@section('content')
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        @component('admin-panel.validation.errors') @endcomponent
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> {{ __('language.supporting_pages_page_title') }} </h5>
                    </div>
                </div>

                <div class="form p-3">
                    {!! Form::open(['class' => 'add-supporting-pages-form', 'method' => 'post', 'url' => route('adminPanel.supporting-pages.store'), 'files' => true ]) !!}

                        {!! Form::hidden('id', old('id', ($supportingPage[0]['id'] ?? null)), ['class' => 'form-control', 'id' => 'id']) !!}
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-row mb-2">
                                    @if (!empty($supportingPage[0]['term_condition_hcp_file']))
                                        @php
                                        $termConditionFile = get_file_url(config('constants.supporting_pages.supporting_pages_file_path'), $supportingPage[0]['term_condition_hcp_file']);
                                        @endphp
                                    @else
                                        @php $termConditionFile = ''; @endphp
                                    @endif
                                    <div class="form-group col-md-8">
                                        <label for="term_condition_hcp_file" class="dowloan-file-lable"> {{ __('language.supporting_pages_t&c_hcp') }} <span class="text-danger">*</span>
                                        </label>
                                        {!! Form::file('term_condition_hcp_file', ['class' => 'form-control-file', 'id' => 'term_condition_hcp_file', 'autocomplete' => 'off', ]) !!}
                                        @if (!empty($termConditionFile))
                                        <a href="{{  $termConditionFile }}" download target="_blank" class="text-right download-file-btn-right">
                                            <i class="fa fa-download" aria-hidden="true"></i>
                                        </a>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-row mb-2">
                                    @if (!empty($supportingPage[0]['faq_hcp_file']))
                                        @php
                                        $faqFile = get_file_url(config('constants.supporting_pages.supporting_pages_file_path'), $supportingPage[0]['faq_hcp_file']);
                                        @endphp
                                    @else
                                        @php $faqFile = ''; @endphp
                                    @endif
                                    <div class="form-group col-md-8">
                                        <label for="supporting_pages_faq_hcp" class="dowloan-file-lable"> {{ __('language.supporting_pages_faq_hcp') }} <span class="text-danger">*</span>
                                        </label>
                                        {!! Form::file('supporting_pages_faq_hcp', ['class' => 'form-control-file', 'id' => 'supporting_pages_faq_hcp', 'autocomplete' => 'off', ]) !!}
                                        @if (!empty($faqFile))
                                        <a href="{{  $faqFile }}" download target="_blank" class="text-right download-file-btn-right">
                                            <i class="fa fa-download" aria-hidden="true"></i>
                                        </a>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-row mb-2">
                                    @if (!empty($supportingPage[0]['policy_hcp_file']))
                                        @php
                                        $policyFile = get_file_url(config('constants.supporting_pages.supporting_pages_file_path'), $supportingPage[0]['policy_hcp_file']);
                                        @endphp
                                    @else
                                        @php $policyFile = ''; @endphp
                                    @endif
                                    <div class="form-group col-md-8">
                                        <label for="supporting_pages_policy_hcp" class="dowloan-file-lable"> {{ __('language.supporting_pages_policy_hcp') }} <span class="text-danger">*</span>
                                        </label>
                                        {!! Form::file('supporting_pages_policy_hcp', ['class' => 'form-control-file', 'id' => 'supporting_pages_policy_hcp', 'autocomplete' => 'off', ]) !!}

                                        @if (!empty($policyFile))
                                        <a href="{{  $policyFile }}" download target="_blank" class="text-right download-file-btn-right">
                                            <i class="fa fa-download" aria-hidden="true"></i>
                                        </a>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group col-md-8">
                                    <label for="supporting_pages_about_hcp"> {{ __('language.supporting_pages_about_hcp') }} </label>
                                    {!! Form::text('about_us_hcp_file', old('about_us_hcp_file', ($supportingPage[0]['about_us_hcp_file'] ?? null)), ['class' => 'form-control', 'id' =>
                                    'about_us_hcp_file', 'placeholder' => __('language.supporting_pages_about_hcp')]) !!}
                                </div>

                                <div class="form-group col-md-8">
                                    <label for="faq_facility_link"> {{ __('language.supporting_pages_contact_hcp') }} </label>
                                    {!! Form::text('contact_us_hcp_file', old('contact_us_hcp_file', ($supportingPage[0]['contact_us_hcp_file'] ?? null)), ['class' => 'form-control', 'id' =>
                                    'contact_us_hcp_file', 'placeholder' => __('language.supporting_pages_contact_hcp')]) !!}
                                </div>
                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="term_condition_facility_link"> {{ __('language.supporting_pages_t&c_facilities') }} </label>
                                {!! Form::text('term_condition_facility_link', old('term_condition_facility_link', ($supportingPage[0]['term_condition_facility_link'] ?? null)), ['class' => 'form-control', 'id' =>
                                'term_condition_facility_link', 'placeholder' => __('language.supporting_pages_t&c_facilities')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="faq_facility_link"> {{ __('language.supporting_pages_faq_facilities') }} </label>
                                {!! Form::text('faq_facility_link', old('faq_facility_link', ($supportingPage[0]['faq_facility_link'] ?? null)), ['class' => 'form-control', 'id' =>
                                'faq_facility_link', 'placeholder' => __('language.supporting_pages_faq_facilities')]) !!}
                            </div>

                            <div class="form-group col-md-3">
                                <label for="policy_facility_link"> {{ __('language.supporting_pages_policy_facilities') }} </label>
                                {!! Form::text('policy_facility_link', old('policy_facility_link', ($supportingPage[0]['policy_facility_link'] ?? null)), ['class' => 'form-control', 'id' =>
                                'policy_facility_link', 'placeholder' => __('language.supporting_pages_policy_facilities')]) !!}
                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-12">
                                <label for="term_condition_facility_plan"> {{ __('language.supporting_pages_facilities_plan_t&c') }} </label>
                                {!! Form::textarea('term_condition_facility_plan', old('term_condition_facility_plan', ($supportingPage[0]['term_condition_facility_plan'] ?? null)), ['class' => 'form-control summernote', 'id' =>
                                'term_condition_facility_plan', 'placeholder' => __('language.supporting_pages_facilities_plan_t&c')]) !!}
                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-12">
                                <label for="term_condition_facility_plan">
                                    {{ __('language.supporting_pages_facilities_plan_t&c_notify') }}
                                </label>

                                <div class="n-chk">
                                    <label class="new-control new-radio radio-primary">
                                      <input type="radio" class="new-control-input" name="notify_term_condition_facility" value="1">
                                      <span class="new-control-indicator"></span>Yes
                                    </label>

                                    <label class="new-control new-radio radio-primary">
                                        <input type="radio" class="new-control-input" name="notify_term_condition_facility" value="0" checked>
                                        <span class="new-control-indicator"></span>No
                                    </label>
                                </div>
                            </div>
                        </div>

                        {{ Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )}}

                    {!! Form::close() !!}
                </div>
            </div>

        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('admin-assets/js/flatpickr.js') }}"></script>
<script src="{{ asset('admin-assets/js/components.js') }}"></script>
<script src="{{ asset('admin-assets/summernote/summernote.min.js') }}"></script>
<script src="{{ asset('admin-assets/js/supporting-pages/supporting-pages.js') }}"></script>

<script type="text/javascript">
    $(document).ready(function () {
      $('.summernote').summernote({
        height: 300,
        placeholder: 'Content',
      });
    });
</script>
@endpush
