@extends('admin-panel.layouts.auth')

@section('page-title', ' '.__('language.login_page_title').'')

@push('styles')
    <link href="{{ asset('admin-assets/css/forms/switches.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/theme-checkbox-radio.css') }}" rel="stylesheet">
    <link href="{{ asset('admin-assets/css/forms/form-2.css') }}" rel="stylesheet">
@endpush

@section('content')
<!-- Page -->
  <div class="page vertical-align text-center" data-animsition-in="fade-in" data-animsition-out="fade-out">>
    <div class="page-content vertical-align-middle animation-slide-top animation-duration-1">

     

      <form method="POST" action="{{ route('hcp.delete') }}" style="margin:0px 0px;">
        @csrf
        <div class="form-group">
          @component('admin-panel.validation.errors') @endcomponent

          <label class="sr-only" for="inputUserPhone">User Name</label>
          Phone No: {{$user->UserPhone}} <br>
          Email: {{$user->email}}
          <!-- {{ Form::text('phone', old('phone'), ["class" => "form-control", "id" => 'phone', "placeholder" => "Enter UserPhone like +9199887766", "autocomplete" => "off", "required", "autofocus"]) }} -->
        </div>
       
        {{ Form::hidden('user_id', Auth::user('user')->id, ["class" => "form-control", "id" => 'user_id',"readonly"=>true]) }}

        <span class="text-danger">Please click "Delete" to permanently delete your account. This action is irreversible.</span>
        <br>
        {{ Form::submit('Delete Account', ["class" => "btn btn-primary btn-block"]) }}
      </form>
      OR
      <!-- <form method="POST" action="{{ route('hcp.logout') }}" style="margin:0px 0px;">
        @csrf -->
        <a href="{{route('hcp.logout')}}">
        {{ Form::button('Logout', ["class" => "btn btn-primary btn-block"]) }}
        </a>
      <!-- </form> -->

      <footer class="page-copyright page-copyright-inverse">
        <p>© {{ date('Y') }}. All RIGHTS RESERVED.</p>
      </footer>
    </div>
  </div>
  <!-- End Page -->
@endsection

@push('scripts')
    <script src="{{ asset('admin-assets/js/authentication/form-2.js') }}"></script>
    <script src="{{ asset('admin-assets/js/auth/login.js') }}"></script>
    <script>
    // window.location.href = "https://demo.apporioproducts.com/multi-service/public/merchant/admin/grocery-demo/login";
    (function(document, window, $) {
      'use strict';

      var Site = window.Site;
      $(document).ready(function() {
        Site.run();
      });
    })(document, window, jQuery);
  </script>
  <script type="text/javascript">
    expires = new Date();
    expires = new Date(new Date().getTime() + parseInt(expires) * 1000 * 60 * 60 * 24);
    cookieexpire = expires.toGMTString();
    cookiepath = "/";
    document.cookie = "url=" + window.location.href + "; expires=" + cookieexpire + "; path=" + cookiepath;
  </script>
@endpush
