<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>{{ config('app.name') }}</title>
		<link
			href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;1,100;1,300;1,400;1,900&display=swap"
			rel="stylesheet"
		/>
		<style type="text/css">
			body {
				width: 100%;
				margin: 0px auto;
				padding: 0;
				-webkit-font-smoothing: antialiased;
				background-color: #f9f9f9;
			}
			p,
			h1,
			h2,
			h3,
			h4 {
				margin-top: 0;
				margin-bottom: 0;
				padding-top: 0;
				padding-bottom: 0;
			}
			html {
				width: 100%;
			}
			a {
				color: #000;
				text-decoration: none;
			}
		</style>
	</head>
	<body>
        <div
			style="
				width: 100%;
				margin: 0px auto;
				padding: 50px 0px;
				background-color: #f9f9f9;
			"
        >
		<div style="width: 40%; margin: 0px auto;">
			<table
				width="100%"
				style="
					font-size: 26px;
					color: #40b1a9;
					padding: 30px;
					border-bottom: 3px solid #40b1a9;
				"
			>
				<tr>
					<td
						style="
							text-align: center;
							font-family: 'Roboto', sans-serif;
							font-weight: 500;
						"
					>
						{{ config('app.name') }}
					</td>
				</tr>
			</table>

			<table
				width="100%"
				style="
					padding: 20px;
					font-family: 'Roboto', sans-serif;
					font-weight: 400;
					background: #fff;
					border: 1px solid #ddd;
					-webkit-box-shadow: 0 10px 6px -6px #777;
					-moz-box-shadow: 0 10px 6px -6px #777;
					box-shadow: 0 10px 6px -6px #777;
				"
			>
				<tr>
                    <td style="font-family: 'Roboto', sans-serif; font-weight: 500; font-size: 16px">
                        Hello {{ $name }},
                    </td>
				</tr>

				<tr>
					<td>
						<p style="padding: 10px 0px; font-size: 14px; font-weight: 400;">
							{{ __('messages.buddy_shift_mail_message') }}
						</p>
					</td>
                </tr>

				<tr>
					<td>
						<table
							width="100%"
							cellpadding="5"
							cellspacing="0"
							border="1"
							style="
								font-family: 'Roboto', sans-serif;
								font-weight: 400;
								font-size: 14px;
                                border-color:#ccc;
                                text-align:left;
							"
						>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.trainee_name') }}</th>
                                <td> {{ $trainee_hcp_name }} </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_cat_pro') }}</th>
                                <td>
                                    {{ $category }}
                                    <div style="font-size: 12px;">{{ $profession }}</div>
                                </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_level') }}</th>
                                <td> {{ $level }} </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_start_time') }}</th>
                                <td>
                                   {{ date("d M h:i A", strtotime($start_time)) }}
                                </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_end_time') }}</th>
                                <td>
                                    {{ date("d M h:i A", strtotime($end_time))  }}
                                </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_facility') }}</th>
                                <td>
                                    <div>{{ $facility }} </div>
                                    <div style="font-size: 12px;">{{ $facility_address }}</div>
                                </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_word_wing') }}</th>
                                <td> {{ $word_wing }} </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_break') }}</th>
                                <td> {{ $break }} </td>
                            </tr>
                            <tr style="font-family: 'Roboto', sans-serif;">
                                <th>{{ __('language.shift_mail_hours') }}</th>
                                <td> {{ $hours }} </td>
                            </tr>
						</table>
					</td>
				</tr>

				<tr>
					<td style="font-size: 14px; font-weight: 400; padding-top: 20px;">
						<br />
						{{ __('language.email_regards') }}, <br />
						{{ __('language.powered_by_text') }} Team
					</td>
				</tr>

				<tr>
					<td style="padding-top: 20px;">
						<hr />
					</td>
				</tr>
				<tr>
					<td
						style="
							padding: 25px;
							font-size: 14px;
							text-align: center;
							font-weight: 400;
						"
					>
						©
						<?php echo date('Y') ?>
						{{ config('app.name') }}. {{ __('language.email_copy_rights') }}
					</td>
				</tr>
			</table>
		</div>
        </div>
	</body>
</html>
