<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>{{ config('app.name') }}</title>
		<link
			href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;1,100;1,300;1,400;1,900&display=swap"
			rel="stylesheet"
		/>
		<style type="text/css">
			body {
				width: 100%;
				margin: 0px auto;
				padding: 0;
				-webkit-font-smoothing: antialiased;
				background-color: #f9f9f9;
			}
			p,
			h1,
			h2,
			h3,
			h4 {
				margin-top: 0;
				margin-bottom: 0;
				padding-top: 0;
				padding-bottom: 0;
			}
			html {
				width: 100%;
			}
			a {
				color: #000;
				text-decoration: none;
			}
		</style>
	</head>
	<body>
		<div style="width: 60%; margin: 0px auto;">
			<table
				width="100%"
				style="
					font-size: 26px;
					color: #40b1a9;
					padding: 30px;
					border-bottom: 3px solid #40b1a9;
				"
			>
				<tr>
					<td
						style="
							text-align: center;
							font-family: 'Roboto', sans-serif;
							font-weight: 500;
						"
					>
						{{ config('app.name') }}
					</td>
				</tr>
			</table>

			<table
				width="100%"
				style="
					padding: 20px;
					font-family: 'Roboto', sans-serif;
					font-weight: 400;
					background: #fff;
					border: 1px solid #ddd;
					-webkit-box-shadow: 0 10px 6px -6px #777;
					-moz-box-shadow: 0 10px 6px -6px #777;
					box-shadow: 0 10px 6px -6px #777;
				"
			>
				<tr>
                    <td style="font-family: 'Roboto', sans-serif; font-weight: 500; font-size: 16px">
                        Hello,
                    </td>
				</tr>

                <tr>
					<td>
						<p style="padding: 10px 0px; font-size: 14px; font-weight: 400;">
                            <b>Please find the details for Shift {{ $shift->shift_prefix . $shift->id }} below: <br/>
						</p>
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.booked_date') }}: </b>{{ date("d M, Y", strtotime($shift->created_at)) }}
					</td>
					<td>
						<b>{{ __('language.booked_by') }}: </b>{{ $shift->booked_by ? ucwords($shift->booked_by) : 'N/A'   }}
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.start_time') }}: </b>{{ date("d M, Y h:i A", strtotime($shift->start_time)) }}
					</td>
					<td>
						<b>{{ __('language.end_time') }}: </b>{{ date("d M, Y h:i A", strtotime($shift->end_time)) }}
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.shift_types') }}: </b>{{ $shift->shift_type ? ucwords($shift->shift_type) : 'N/A'   }}
					</td>
					<td>
						<b>{{ __('language.word_wing') }}: </b>{{ $shift->word_wing ? $shift->word_wing : 'N/A' }}
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.shift_loading') }}: </b>{{ $shift->shift_loading ? $shift->shift_loading.' %' : 'N/A' }}
					</td>
					<td>
						<b>{{ __('language.shift_category') }}: </b>{{ $shift->category ? ucwords($shift->category->name) : 'N/A' }}
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.shift_profession') }}: </b>{{ $shift->profession ? ucwords($shift->profession->name) : 'N/A' }} 
					</td>
					<td>
						<b>{{ __('language.shift_level') }}: </b>{{ $shift->level ? ucwords($shift->level->name) : 'N/A' }}
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.shift_hcp_id') }}: </b>
						@if (!empty($shift->hcp))
                            {{ $shift->hcp->hcp_prefix.$shift->hcp->id }}
                        @else
                        N/A
                        @endif
					</td>
					<td>
						<b>{{ __('language.shift_hcp_name') }}: </b>
						@if (!empty($shift->hcp))
                            {{ ucwords($shift->hcp->first_name.' '.$shift->hcp->last_name)}}
                        @else
                        N/A
                        @endif
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.shift_facility_id') }}: </b>{{ $shift->facility->facility_prefix.$shift->facility->id }}
					</td>
					<td>
						<b>{{ __('language.shift_facility') }}: </b>{{ ucwords($shift->facility->name)}}
					</td>
				</tr>

				@if (!empty($cancelledShift))

				<tr>
					<td>
						<b>{{ __('language.shift_cancel_by') }}: </b>{{ $cancelledShift ? ucwords($cancelledShift->cancel_by) : 'N/A' }}
					</td>
					<td>
						<b>{{ __('language.shift_cancel_time') }}: </b>{{ $cancelledShift ? date("d M, Y h:i A", strtotime($cancelledShift->cancel_time)) : 'N/A' }}
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.shift_cancel_reason') }}: </b>{{ $cancelledShift->cancel_reason ?? 'N/A' }}
					</td>
					
				</tr>
                @endif


                @if (!empty($shiftTransfer))

		                <tr>
							<td>
								<b>{{ __('language.shift_transferred_from') }}: </b>{{ ucwords($shiftTransfer['hcp']->first_name.' '.$shiftTransfer['hcp']->last_name) }}
							</td>
							<td>
								<b>{{ __('language.shift_transferred_date') }}: </b>{{  date("d M Y", strtotime($shiftTransfer->created_at)) }}
							</td>
						</tr>

						<tr>
							<td>
								<b>{{ __('language.shift_transferred_to') }}: </b>{{ ucwords($shiftTransfer['transfer_hcp']->first_name.' '.$shiftTransfer['transfer_hcp']->last_name) }}
							</td>
							<td>
								<b>{{ __('language.shift_transferred_action') }}: </b>
								@if ($shiftTransfer->status == 'accept')
                                Accepted 
                                @elseif($shiftTransfer->status == 'reject')
                                Rejected
                                @elseif($shiftTransfer->status == 'pending')
                                Pending
                                @elseif($shiftTransfer->status == 'cancelled')
                                Cancelled
                                @endif
							</td>
						</tr>
                @endif

				@if (!empty($swapRequest) && isset($swapRequest['hcp']) && isset($swapRequest['swap_hcp']))
				@php $shiftSwap = $swapRequest; @endphp
				<tr>
					<td>
						<b>{{ __('language.shift_swap_from') }}: </b>{{ ucwords($shiftSwap['hcp']->first_name.' '.$shiftSwap['hcp']->last_name) }}
					</td>
					<td>
						<b>{{ __('language.shift_swap_date') }}: </b>{{  date("d M Y", strtotime($shiftSwap->created_at)) }}
					</td>
				</tr>

				<tr>
					<td>
						<b>{{ __('language.shift_swap_to') }}: </b>{{ ucwords($shiftSwap['swap_hcp']->first_name.' '.$shiftSwap['swap_hcp']->last_name) }}
					</td>
				</tr>
                @endif

				<tr>
					<td style="font-size: 14px; font-weight: 400; padding-top: 20px;">
						<br />
						{{ __('language.email_regards') }}, <br />
						{{ __('language.powered_by_text') }} Team
					</td>
				</tr>

				<tr>
					<td style="padding-top: 20px;">
						<hr />
					</td>
				</tr>
				<tr>
					<td
						style="
							padding: 25px;
							font-size: 14px;
							text-align: center;
							font-weight: 400;
						"
					>
						©
						<?php echo date('Y') ?>
						{{ config('app.name') }}. {{ __('language.email_copy_rights') }}
					</td>
				</tr>
			</table>
		</div>
	</body>
</html>
