<!--  BEGIN NAVBAR  -->
<div class="header-container fixed-top">
    <header class="header navbar navbar-expand-sm">
        <?php
            $user = auth()->user();
            $authUser = auth()->user();
        ?>
        <ul class="navbar-item theme-brand flex-row  text-center" style="">
            <li class="nav-item theme-logo d-md-none">
                <a href="<?php echo e(route('adminPanel.dashboard')); ?>" class="">
                    <?php echo e(Html::image(asset('admin-assets/images/logo.jpg'), 'logo', array('class' => 'navbar-logo'))); ?>

                </a>
            </li>
            <li class="nav-item theme-text">
                <a href="<?php echo e(route('adminPanel.dashboard')); ?>" class="nav-link">
                    <?php echo __('language.project_name').' '; ?>


                    <?php
                        if(!empty($authUser)){
                            if ($authUser->hasRole('Super Admin') == true) {
                                $roleTitle = __('language.super_admin_panel_title');
                            } else if ($authUser->hasRole('Facility') == true) {
                                $roleTitle = __('language.facility_admin_panel_title');
                            } else if ($authUser->hasRole('Facility Group Admin') == true) {
                                $roleTitle = __('language.facility_group_admin_panel_title');
                            } else if ($authUser->hasRole('Facility Group') == true) {
                                $roleTitle = __('language.facility_group_panel_title');
                            } else {
                                $roleTitle = __('language.sub_admin_panel_title');
                            }
                        } else {
                            $roleTitle = __('language.admin_panel_title');
                        }
                    ?>
                    | <?php echo e($roleTitle); ?>

                </a>
            </li>
        </ul>

        <ul class="navbar-item flex-row ml-md-auto">
            <?php if($authUser->hasRole('Facility') == true): ?>
            <?php $facilityActivePlan = get_facility_active_plan($authUser->facility->id); ?>

            <li class="nav-item user-info">
                <?php if(!empty($facilityActivePlan) && $facilityActivePlan->status == 'active'): ?>
                <a href="<?php echo e(route('adminPanel.facilities.currentPlan')); ?>" class="mb-2 mr-3 btn btn-rounded">
                    <?php echo e($facilityActivePlan['plan']['name']); ?>

                    <?php if($facilityActivePlan->status == 'active'): ?>
                    <span class="text-primary"> <b>(<?php echo e(ucwords($facilityActivePlan->status)); ?>)</b> </span>
                    <?php else: ?>
                    <span class="text-danger"> <b>(<?php echo e(ucwords($facilityActivePlan->status)); ?>)</b> </span>
                    <?php endif; ?>
                </a>
                <?php elseif(!empty($facilityActivePlan) && $facilityActivePlan->status == 'cancel'): ?>
                <a href="<?php echo e(route('adminPanel.facilities.selectPlan')); ?>" class="mb-2 mr-3 btn btn-rounded">
                    <?php echo e($facilityActivePlan['plan']['name']); ?>

                    <span class="text-danger"> <b>(Cancels <?php echo e(date('d M Y', strtotime($facilityActivePlan->expiry_date))); ?>)</b> </span>
                </a>
                <?php else: ?>
                <a href="<?php echo e(route('adminPanel.facilities.selectPlan')); ?>" class="mb-2 mr-3 btn btn-rounded">
                    Select Plan
                </a>
                <?php endif; ?>
            </li>
            <?php endif; ?>

            <?php if($authUser->hasRole('Super Admin') == true): ?>
            <?php
                $notificationArray = [
                    'type' => 'admin',
                ];
                $notifications = get_notifications_for_top_bar($notificationArray);
            ?>
            <li class="nav-item dropdown notification-dropdown mr-3 ">
                <a href="javascript:void(0);" class="nav-link dropdown-toggle notification-icon" id="notificationDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-url="<?php echo e(route('adminPanel.notification.adminMarkAsRead')); ?>">
                    <i data-feather="bell" fill="white" class="feather-24"></i>
                    <span class="notification-count-div">
                        <?php if(get_unread_notifications_count($notificationArray) > 0): ?>
                            <span class="badge badge-success"></span>
                        <?php endif; ?>
                    </span>
                </a>
                <div class="dropdown-menu position-absolute" aria-labelledby="notificationDropdown">
                    <div class="notification-scroll">
                        <?php if(count($notifications)): ?>
                            <?php $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="dropdown-item">
                                    <div>
                                        <div class="float-left"> <b><?php echo e($notification['title']); ?></b> </div>
                                        <div class="notification-time float-right">
                                            <?php if(!empty($notification->shift) && !empty($notification->shift->state)): ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php elseif(!empty($notification->facility) && !empty($notification->facility->state)): ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php elseif(!empty($notification->hcp) && !empty($notification->hcp->state)): ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php else: ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php endif; ?>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                    <?php echo e($notification['message']); ?>

                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <div class="dropdown-item">
                                No new notification found...
                            </div>
                        <?php endif; ?>
                        <a href="<?php echo e(route('adminPanel.notification.getAdminNotifications')); ?>" class="notification-view-all"> <?php echo e(__('language.notification_view_all_bt')); ?> </a>
                    </div>
                </div>
            </li>
            <?php endif; ?>

            <?php if($authUser->hasRole('Facility') == true): ?>
            <?php
                $notificationArray = [
                    'type' => 'facility',
                    'facility_id' => $authUser->facility->id,
                ];
                $notifications = get_notifications_for_top_bar($notificationArray);
            ?>
            <li class="nav-item dropdown notification-dropdown  mr-3">
                <a href="javascript:void(0);" class="nav-link dropdown-toggle notification-icon" id="notificationDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-url="<?php echo e(route('adminPanel.notification.markAsRead')); ?>">
                    <i data-feather="bell" fill="white" class="feather-24"></i>
                    <span class="notification-count-div">
                        <?php if(get_unread_notifications_count($notificationArray) > 0): ?>
                            <span class="badge badge-success"></span>
                        <?php endif; ?>
                    </span>
                </a>
                <div class="dropdown-menu position-absolute" aria-labelledby="notificationDropdown">
                    <div class="notification-scroll">
                        <?php if(count($notifications)): ?>
                            <?php $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="dropdown-item">
                                    <div>
                                        <div class="float-left"> <b><?php echo e($notification['title']); ?></b> </div>
                                        <div class="notification-time float-right">
                                            <?php if(!empty($notification->shift) && !empty($notification->shift->state)): ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php elseif(!empty($notification->facility) && !empty($notification->facility->state)): ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php elseif(!empty($notification->hcp) && !empty($notification->hcp->state)): ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php else: ?>
                                                <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                            <?php endif; ?>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                    <?php echo e($notification['message']); ?>

                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <div class="dropdown-item">
                                No new notification found...
                            </div>
                        <?php endif; ?>
                        <a href="<?php echo e(route('adminPanel.notification.getFacilityNotifications')); ?>" class="notification-view-all"> <?php echo e(__('language.notification_view_all_bt')); ?> </a>
                    </div>
                </div>
            </li>
            <?php endif; ?>

            <li class="nav-item user-info">
                <div class="user-name"> <?php echo e(ucwords($user->name)); ?> </div>
                <div class="user-role">
                    <?php $roles = $user->getRoleNames(); ?>
                    <?php echo e(ucwords($roles[0])); ?>

                </div>
            </li>

            <li class="nav-item dropdown user-profile-dropdown">
                <a href="javascript:void(0);" class="nav-link dropdown-toggle user-icon" id="userProfileDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                    <i class="fa fa-user-circle font-30"></i>
                </a>
                <div class="dropdown-menu position-absolute" aria-labelledby="userProfileDropdown">
                    <div class="">
                        <div class="dropdown-item">
                            <a class="" href="<?php echo e(route('adminPanel.profile.index')); ?>"> <i data-feather="user"></i> Profile</a>
                        </div>
                        <div class="dropdown-item">
                            <a class="" href="<?php echo e(route('adminPanel.profile.changePassword')); ?>">
                                <i data-feather="unlock"></i> Change Password
                            </a>
                        </div>
                        <div class="dropdown-item">
                            <a class="logout-link" href="#" data-url="<?php echo e(route('adminPanel.logout')); ?>"> <i data-feather="log-out"></i> Sign Out</a>
                        </div>
                    </div>
                </div>
            </li>
        </ul>
    </header>
</div>
<!--  END NAVBAR  -->
<?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/layouts/main-header.blade.php ENDPATH**/ ?>