<?php $__env->startSection('page-title', ' '.__('language.notifications').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div class="row">
                                <div class="col-xl-8 col-lg-8 col-md-8 col-8 padding-left-2">
                                    <h5> <?php echo e(__('language.notifications')); ?> </h5>
                                </div>

                                <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                    <a href="<?php echo e(route('adminPanel.notification.create')); ?>" class="btn btn-primary btn-sm mr-1">
                                        <?php echo e(__('language.add_button')); ?>

                                    </a>

                                    <?php if(!empty($request)): ?>
                                        <?php $filterApply = 'btn-primary'; ?>
                                    <?php else: ?>
                                        <?php $filterApply = 'btn-dark'; ?>
                                    <?php endif; ?>
                                    <button type="button" class="btn rounded-circle filter-button hide <?php echo e($filterApply); ?>">
                                        <i data-feather="filter" class="feather-16"></i>
                                    </button>
                                </div>
                            </div>


                            <div class="row">
                                <div class="col-md-12">
                                    <div class="custom-datatable-filter hide mt2">
                                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                        route('adminPanel.rating-review.facilityRatings')]); ?>

                                        <div class="row">
                                            <div class="col-md-12">
                                                <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <?php echo Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]); ?>

                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-4 mb2">
                                                <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                                <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                            </div>
                                        </div>
                                        <?php echo Form::close(); ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive  pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('language.notification_table_message')); ?></th>
                                    <th><?php echo e(__('language.notification_table_shift_id')); ?></th>
                                    <th><?php echo e(__('language.date_time')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <div> <b><?php echo e($notification->title); ?> </b> </div>
                                        <?php echo e($notification->message); ?>

                                    </td>
                                    <td>
                                        <?php if(!empty($notification->shift)): ?>
                                            <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($notification->shift->id)])); ?>">
                                                <?php echo e($notification->shift->shift_prefix . $notification->shift->id); ?>

                                            </a>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td width="300">
                                        <?php if(!empty($notification->shift) && !empty($notification->shift->state)): ?>
                                            <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                        <?php elseif(!empty($notification->facility) && !empty($notification->facility->state)): ?>
                                            <?php echo e(Carbon\Carbon::parse($notification->created_at)->format('Y-m-d h:i A')); ?>

                                        <?php elseif(!empty($notification->hcp) && !empty($notification->hcp->state)): ?>
                                            <?php echo e(Carbon\Carbon::parse($notification->created_at)->setTimezone('Australia/Perth')->format('Y-m-d h:i A')); ?>

                                        <?php else: ?>
                                            <?php echo e(Carbon\Carbon::parse($notification->created_at)->setTimezone('Australia/Perth')->format('Y-m-d h:i A')); ?>

                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="10" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>
                        <div class="pagination">
                            <?php echo e($notifications->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/notification/admin-notification.blade.php ENDPATH**/ ?>