<?php $__env->startSection('page-title', ' '.__('language.shifts_details_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/elements/avatar.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="media">
                                    <div class="media-body profile-info ml-1">
                                        <h6> <?php echo e(__('language.shift_details_id')); ?> <?php echo e($shift->shift_prefix . $shift->id); ?> </h6>
                                        <?php if($shift['shift_status'] == '0'): ?>
                                            <label class="text-warning"> <?php echo e(__('language.shift_status_pending')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '1'): ?>
                                            <label class="text-info"> <?php echo e(__('language.shift_status_scheduled')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '2'): ?>
                                            <label class="text-success"> <?php echo e(__('language.shift_status_running')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '3'): ?>
                                            <label class="text-danger"> <?php echo e(__('language.shift_status_cancelled')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '4'): ?>
                                            <label class="text-success"> <?php echo e(__('language.shift_status_completed')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '5'): ?>
                                            <label class="text-info"> <?php echo e(__('language.shift_status_transfered')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '6'): ?>
                                            <label class="text-success"> <?php echo e(__('language.shift_status_past')); ?> </label>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                            <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="summary-tab" data-toggle="tab" href="#summary" role="tab"
                                        aria-controls="summary-tab" aria-selected="true">
                                        Summary
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="details-tab" data-toggle="tab" href="#details" role="tab"
                                        aria-controls="details" aria-selected="false">
                                        Details
                                    </a>
                                </li>
                            </ul>
                            <!-- <hr> -->
                        </div>
                    </div>
                    <div class="tab-content" id="animateLineContent-4">
                        <div class="tab-pane fade show active" id="summary" role="tabpanel"
                            aria-labelledby="summary-tab">
                            <div class="row">
                                <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.booked_date')); ?> </label>
                                            <p class="text-dark"> <?php echo e(date("d M, Y", strtotime($shift->created_at))); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.start_time')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($shift->approved_shift_start_time)): ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->approved_shift_start_time))); ?>

                                                <?php else: ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->start_time))); ?>

                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.end_time')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($shift->approved_shift_end_time)): ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->approved_shift_end_time))); ?>

                                                <?php else: ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->end_time))); ?>

                                                <?php endif; ?>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_category')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->category ? ucwords($shift->category->name) : 'N/A'); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_profession')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->profession ? ucwords($shift->profession->name) : 'N/A'); ?> </p>
                                        </div>
                                    </div>

                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.base_rate')); ?> </label>
                                            <p class="text-dark"> $<?php echo e(number_format($shift->facility_per_rate, 2)); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.base_pay')); ?> </label>
                                            <p class="text-dark"> $<?php echo e(number_format($shift->facility_per_rate*$shift->working_hours, 2)); ?> </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_loading')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->shift_loading ? $shift->shift_loading.'%' : '0'); ?> </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_amount')); ?> </label>
                                            <p class="text-dark">  $<?php echo e(number_format($shift->facility_amount, 2)); ?> </p>
                                        </div>

                                        <?php if($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true): ?>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_admin_fees_with_loading')); ?> </label>
                                            <?php
                                                $adminFees = $shift->total_admin_fees_with_loading;
                                            ?>
                                            <p class="text-dark"> $<?php echo e(number_format($adminFees, 2)); ?> </p>
                                        </div>
                                        <?php endif; ?>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.payment_to_hcp')); ?> </label>
                                            <p class="text-dark"> $<?php echo e(number_format($shift->hcp_amount, 2)); ?> </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_facility')); ?> </label>
                                            <p class="text-primary">
                                                <a class="text-primary" href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)])); ?>">
                                                   <?php echo e(ucwords($shift->facility->name)); ?>

                                                </a>
                                            </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_hcp_name')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($shift->hcp)): ?>
                                                <a class="text-primary" href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shift->hcp->id)])); ?>">
                                                    <?php echo e(ucwords($shift->hcp->first_name.' '.$shift->hcp->last_name)); ?>

                                                </a>
                                                <?php else: ?>
                                                Not Assigned
                                                <?php endif; ?>
                                            </p>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="tab-pane fade" id="details" role="tabpanel"
                            aria-labelledby="details-tab">
                            <div class="row">
                                <div class="col-xl-9 col-lg-9 col-md-9 col-9 page-heading">
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.booked_date')); ?> </label>
                                            <p class="text-dark"> <?php echo e(date("d M, Y", strtotime($shift->created_at))); ?> </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.booked_by')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->booked_by ? ucwords($shift->booked_by) : 'N/A'); ?> </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.approved_on')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->shift_approved_time ? date("d M, Y h:i A", strtotime($shift->shift_approved_time)) : 'N/A'); ?> </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.start_time')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($shift->approved_shift_start_time)): ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->approved_shift_start_time))); ?>

                                                <?php else: ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->start_time))); ?>

                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.end_time')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($shift->approved_shift_end_time)): ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->approved_shift_end_time))); ?>

                                                <?php else: ?>
                                                    <?php echo e(date("d M, Y h:i A", strtotime($shift->end_time))); ?>

                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.total_hours')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->working_hours); ?> Hours </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.break_duration')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->break); ?> Minutes </p>
                                        </div>
                                    </div>

                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_category')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->category ? ucwords($shift->category->name) : 'N/A'); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_profession')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->profession ? ucwords($shift->profession->name) : 'N/A'); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_level')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->level ? ucwords($shift->level->name) : 'N/A'); ?> </p>
                                        </div>
                                    </div>

                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_id')); ?> </label>
                                            <p class="text-primary">
                                               <?php echo e($shift->facility->facility_prefix.$shift->facility->id); ?>

                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_facility')); ?> </label>
                                            <p class="text-primary">
                                                <a class="text-primary" href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)])); ?>">
                                                   <?php echo e(ucwords($shift->facility->name)); ?>

                                                </a>
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_facility_address')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->facility ? ucwords($shift->facility->address) : 'N/A'); ?> </p>
                                        </div>
                                    </div>


                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.hcp_id')); ?> </label>
                                            <p class="text-primary">
                                                <?php if(!empty($shift->hcp)): ?>
                                                   <?php echo e($shift->hcp->hcp_prefix.$shift->hcp->id); ?>

                                                <?php else: ?>
                                                Not Assigned
                                                <?php endif; ?>
                                            </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_hcp_name')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($shift->hcp)): ?>
                                                <a class="text-primary" href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shift->hcp->id)])); ?>">
                                                    <?php echo e(ucwords($shift->hcp->first_name.' '.$shift->hcp->last_name)); ?>

                                                </a>
                                                <?php else: ?>
                                                Not Assigned
                                                <?php endif; ?>
                                            </p>
                                        </div>
                                    </div>
                                    <h6 class="mt-2 mb-2 text-primary"> <?php echo e(__('language.breakup_terms')); ?> </h6>
                                    <hr>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.base_rate')); ?> </label>
                                            <p class="text-dark"> $<?php echo e(number_format($shift->facility_per_rate, 2)); ?> </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.base_pay')); ?> </label>
                                            <p class="text-dark"> $<?php echo e(number_format($shift->facility_per_rate*$shift->working_hours, 2)); ?> </p>
                                        </div>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_loading')); ?> </label>
                                            <p class="text-dark"> <?php echo e($shift->shift_loading ? $shift->shift_loading.'%' : '0'); ?> </p>
                                        </div>
                                    </div>
                                    <div class="row mb2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_amount')); ?> </label>
                                            <p class="text-dark">  $<?php echo e(number_format($shift->facility_amount, 2)); ?> </p>
                                        </div>

                                        <?php if($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true): ?>
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.shift_admin_fees_with_loading')); ?> </label>
                                            <?php
                                                $adminFees = $shift->total_admin_fees_with_loading;
                                            ?>
                                            <p class="text-dark"> $<?php echo e(number_format($adminFees, 2)); ?> </p>
                                        </div>
                                        <?php endif; ?>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.payment_to_hcp')); ?> </label>
                                            <p class="text-dark"> $<?php echo e(number_format($shift->hcp_amount, 2)); ?> </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-3 col-lg-3 col-md-3 col-3 page-heading" style="border-left: 2px solid #f1f2f3; height:100%; width:2px;min-height:500px;">
                                    <div class="row mb2">
                                        <div class="row">
                                            <div class="col-md-12 mb2">
                                                <label> <?php echo e(__('language.rating_by_hcp')); ?> </label>
                                                <?php if(!empty($shift->facility_rating)): ?>
                                                    <p class="rating">
                                                        <i class="fa fa-star"></i> <?php echo e($shift->facility_rating->facility_rating); ?>

                                                    </p>
                                                <?php else: ?>
                                                    <p class="text-dark">N/A</p>
                                                <?php endif; ?>
                                            </div>


                                            <div class="col-md-12 mb2">
                                                <label> <?php echo e(__('language.comment_by_hcp')); ?> </label>
                                                <?php if(!empty($shift->facility_rating)): ?>
                                                    <p class="text-dark"> <?php echo e($shift->facility_rating->comment); ?> </p>
                                                <?php else: ?>
                                                     <p class="text-dark">N/A</p>
                                                <?php endif; ?>
                                            </div>

                                            <div class="col-md-12 mb2">
                                                <label> <?php echo e(__('language.rating_by_facility')); ?> </label>
                                                <?php if(!empty($shift->hcp_rating)): ?>
                                                    <p class="rating">
                                                        <i class="fa fa-star"></i> <?php echo e($shift->hcp_rating->hcp_rating); ?>

                                                    </p>
                                                <?php else: ?>
                                                     <p class="text-dark">N/A</p>
                                                <?php endif; ?>
                                            </div>

                                            <div class="col-md-12 mb2">
                                                <label> <?php echo e(__('language.comment_by_facility')); ?> </label>
                                                <?php if(!empty($shift->hcp_rating)): ?>
                                                    <p class="text-dark"> <?php echo e($shift->hcp_rating->hcp_comment); ?> </p>
                                                <?php else: ?>
                                                     <p class="text-dark">N/A</p>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/facilities/facilities.js')); ?>"></script>

<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/accounts/shift-details.blade.php ENDPATH**/ ?>