<?php $__env->startSection('page-title', ' '.__('language.account_hcp_statement').' | '.__('language.page_main_title').''); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.account_hcp_statement')); ?></h5>

                            <?php if(Request::segment(3) == 'hcp'): ?>
                                <?php
                                    $activeSummary = 'btn-info';
                                    $activeDetailed = 'btn-outline-info';
                                ?>
                            <?php elseif(Request::segment(3) == 'hcp-completed-shift'): ?>
                                <?php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-info';
                                ?>
                            <?php elseif(Request::segment(3) == 'view-referrals'): ?>
                                <?php
                                    $activeSummary = 'btn-info-outline';
                                    $activeDetailed = 'btn-info';
                                    $activeReferral = 'btn-info';
                                ?>
                            <?php endif; ?>
                            <a href="<?php echo e(route('adminPanel.accounts.hcp')); ?>" class="btn btn-sm <?php echo e($activeSummary); ?> mb-2 mt-2">
                                <?php echo e(__('language.account_hcp_statement_summary')); ?>

                            </a>
                            <a href="<?php echo e(route('adminPanel.accounts.hcpCompletedShift')); ?>" class="btn btn-sm <?php echo e($activeDetailed); ?> mb-2 mt-2 ml-2">
                                <?php echo e(__('language.account_hcp_statement_detailed')); ?>

                            </a>
                            <a href="<?php echo e(route('adminPanel.accounts.viewReferrals')); ?>" class="btn btn-sm <?php echo e($activeDetailed); ?> mb-2 mt-2 ml-2">
                                <?php echo e(__('language.account_hcp_statement_view_refer_and_earn')); ?>

                            </a>

                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div class="row page-heading mt-3 mb-3">
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Pay</p>
                            <p class="text-center">$<?php echo e(number_format($shiftDetails->sum('total_hcp_amount'), 2)); ?></p>
                        </div>
                    </div>

                    <div class="top-header">
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' => route('adminPanel.accounts.hcp'), 'id' => 'filter-form']); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?php if(!empty($states)): ?>
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <label class="btn btn-custom-outline <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : ''); ?>">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="<?php echo e($state->id); ?>" autocomplete="off" <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : ''); ?>> <?php echo e($state->short_form); ?>

                                                        </label>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('status', create_select_options(config('constants.transactions_hcp_status'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('statement_search', old('statement_search', ($request['statement_search'] ?? null)), ['class' => 'form-control', 'id' => 'statement_search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.accounts.hcp-export',['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>

                                <a class="btn btn-sm btn-primary hcp-pay-now-link" data-url="<?php echo e(route('adminPanel.accounts.hcpPay')); ?>"> Pay Now </a>
                            </div>
                            <div class="col-md-12 text-right">
                                <p class="custom-error" id="hcp-pay-now-error"></p>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>


                        <?php echo Form::hidden('statement_ids', old('statement_ids', ($request['statement_ids'] ?? null)), ['class' => 'form-control', 'id' => 'statement_ids']); ?>

                    </div>
                </div>


                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th class="checkbox-column">
                                    <label class="new-control new-checkbox checkbox-primary" style="height: 18px; margin: 0 auto;">
                                        <input type="checkbox" class="new-control-input todochkbox" id="todoAll">
                                        <span class="new-control-indicator"></span>
                                    </label>
                                </th>
                                <th> <?php echo e(__('language.account_table_statement_id')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp_id')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp')); ?> </th>
                                <th> <?php echo e(__('language.account_table_statement_duration')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp_paid_date')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp_acc_no')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp_bank_name')); ?> </th>
                                <th> <?php echo e(__('language.account_table_amount')); ?> </th>
                                <th> <?php echo e(__('language.account_table_statement_status')); ?> </th>
                                <th> <?php echo e(__('language.action')); ?> </th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <?php if(!empty($transaction->statement_id) && $transaction->hcp_payment_status != 'completed'): ?>
                                    <td class="checkbox-column">
                                        <label class="new-control new-checkbox checkbox-primary" style="height: 18px; margin: 0 auto;">
                                            <input type="checkbox" class="new-control-input todochkbox" name="invoice_checkbox" value="<?php echo e($transaction->statement_id); ?>">
                                            <span class="new-control-indicator"></span>
                                        </label>
                                    </td>
                                    <?php else: ?>
                                    <td>N/A</td>
                                    <?php endif; ?>

                                    <td>
                                        <?php if(!empty($transaction->statement_id)): ?>
                                            <a href="<?php echo e(route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id) , 'statementId' => ev($transaction->statement_id)])); ?>">
                                                <?php echo e($transaction->statement_prefix.$transaction->statement_id); ?>

                                            </a>
                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($transaction['hcp']->id)])); ?>">
                                            <div> <?php echo e($transaction['hcp']->hcp_prefix.$transaction['hcp']->id); ?></div>
                                        </a>
                                    </td>
                                    <td>
                                        <?php echo e(ucwords($transaction['hcp']->first_name.' '.$transaction['hcp']->last_name)); ?>

                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->statement_id)): ?>
                                            <?php echo e($transaction->invoice_generated_date_range); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->hcp_paid_on)): ?>
                                            <?php echo e(date("d M, Y", strtotime($transaction->hcp_paid_on))); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction['hcp']->account_number)): ?>
                                            <?php echo e($transaction['hcp']->account_number); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction['hcp']->bank_name)): ?>
                                            <?php echo e(ucwords($transaction['hcp']->bank_name)); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        $<?php echo e($transaction->total_hcp_amount); ?>

                                    </td>
                                    <td>
                                        <?php
                                            $status = '';
                                            if ($transaction->hcp_payment_status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($transaction->statement_id != '' && $transaction->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            }  else if ($transaction->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($transaction->hcp_payment_status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($transaction->hcp_payment_status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <?php
                                                        if ($transaction->statement_id != '' ) {
                                                            $filename = $transaction['invoice_file_name'];
                                                            if (config('filesystems.default') == config('constants.file_systems.PUBLIC.value')) {
                                                                $attach = url('public/storage/' . config('constants.hcps.invoice_path')) . '/'.urlencode($filename);
                                                            } elseif (config('filesystems.default') == config('constants.file_systems.S3.value')) {
                                                                $bucket = env('AWS_BUCKET');
                                                                $region = env('AWS_DEFAULT_REGION');
                                                                $bucketBaseUrl = 'https://s3.' . $region . '.amazonaws.com/'. $bucket.'/';
                                                                // $attach = $bucketBaseUrl.config('constants.hcps.invoice_path').urlencode($filename);

                                                                $S3NewURL = env('AWS_CloudFront_URL').'/'.config('constants.hcps.invoice_path').urlencode($filename);
                                                                $attach = str_replace('#', '%23', $S3NewURL);
                                                            }
                                                        }
                                                    ?>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <?php if($transaction->statement_id != '' && $transaction->hcp_payment_status == 'pending'): ?>
                                                            <a href="#" data-url="<?php echo e(route('adminPanel.accounts.hcpPay', ['id' => $transaction->statement_id])); ?>" class="dropdown-item link-action">
                                                                <?php echo e(__('language.account_pay_button')); ?>

                                                            </a>

                                                            <a href="<?php echo e(route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id) , 'statementId' => ev($transaction->statement_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                            <a href="<?php echo e($attach); ?>" target="_blank" download  class="dropdown-item"> <?php echo e(__("language.account_statement_download")); ?> </a>
                                                        <?php elseif($transaction->statement_id == '' &&  $transaction->hcp_payment_status == 'pending'): ?>
                                                            <a href="<?php echo e(route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                        <?php elseif($transaction->statement_id != '' &&  $transaction->hcp_payment_status == 'completed'): ?>
                                                            <a href="<?php echo e(route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                            <a href="<?php echo e($attach); ?>" target="_blank" download  class="dropdown-item"> <?php echo e(__("language.account_statement_download")); ?> </a>
                                                        <?php elseif($transaction->statement_id != '' &&  $transaction->hcp_payment_status == 'overdue'): ?>
                                                            <a href="#" data-url="<?php echo e(route('adminPanel.accounts.hcpPay', ['id' => $transaction->statement_id])); ?>" class="dropdown-item link-action">
                                                                <?php echo e(__('language.account_pay_button')); ?>

                                                            </a>

                                                            <a href="#" data-url="<?php echo e(route('adminPanel.accounts.facilitySendReminder', ['id' => $transaction->statement_id])); ?>" class="dropdown-item link-action">
                                                                <?php echo e(__('language.account_send_reminder_button')); ?>

                                                            </a>

                                                            <a href="<?php echo e(route('adminPanel.accounts.hcpDetails',['hcpId' => ev($transaction->hcp_id), 'statementId' => ev($transaction->statement_id) , 'statementId' => ev($transaction->statement_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                            <a href="<?php echo e($attach); ?>" target="_blank" download  class="dropdown-item"> <?php echo e(__("language.account_statement_download")); ?> </a>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($transactions->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/account/view.js')); ?>"></script>
<script>
    $('#todoAll').click(function(e){
        var table= $(e.target).closest('table');
        $('td input:checkbox',table).prop('checked',this.checked);
    });

    $(".todochkbox").change(function() {
        var invoice = [];
        $.each($("input[name='invoice_checkbox']:checked"), function(){
            invoice.push($(this).val());
        });
        $('#statement_ids').val(invoice.join(","));
        $('#statement_ids').valid();
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/accounts/hcp.blade.php ENDPATH**/ ?>