<?php $__env->startSection('page-title', ' '.__('language.pending_approval_profession_hcps').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/datatables.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.pending_approval_profession_hcps')); ?></h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">

                        <?php if(!empty($request)): ?>
                            <?php $filterApply = 'filter-icon-apply'; ?>
                        <?php else: ?>
                            <?php $filterApply = 'filter-icon'; ?>
                        <?php endif; ?>
                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                            <i class="fa fa-filter"></i>
                        </button>

                    </div>
                </div>
                <div>
                    <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' => route('adminPanel.hcps.professionPendingApprovalHcps'), 'id' => "filter-form"]); ?>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="custom-datatable-filter hide">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <?php echo Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions')  ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-3 profession-div">
                                        <div class="form-group">
                                            <?php echo Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <?php echo Form::select('shortby_filter', create_select_options(config('constants.hcps.hcp_shortby_filter'), 'caption', 'value',  __('language.shift_shortby_filter')), old('shortby_filter', ($request['shortby_filter'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shortby_filter' ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 mb2">
                                        <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm btn-primary apply-filter', 'type' => 'button'] )); ?>

                                        <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                    </div>
                                </div>
                                <div class="filter-border"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row pl-3 mt-3">
                        <div class="col-md-8">
                            <div class="float-left">
                                <label> <?php echo e(__('language.table_result')); ?> </label>
                                <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                            </div>

                            <div class="float-left pl-2 search-box">
                                <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div class="col-md-4 text-right">
                            <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.hcps.professionPendingApprovalHcpExport', ['request' => $request, 'status' => 'pending-approval'])); ?>">
                                Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                            </a>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive pb-5">
                    <table id="active-hcp" class="table mb-4 mt-3" >
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_hcp_name')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_email')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_contact_number')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_state')); ?> </th>
                                <th> <?php echo e(__('language.hcp_category_profession')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_profession_request_level')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_profession_request_document')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_profession_request_type')); ?> </th>
                                <th> <?php echo e(__('language.table_status')); ?> </th>
                                <th> <?php echo e(__('language.table_action')); ?> </th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php if(count($professionRequests)): ?>
                                <?php $__currentLoopData = $professionRequests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $professionRequest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($professionRequest->hcp_id)])); ?>">
                                            <?php echo e(ucwords($professionRequest->hcp->first_name . ' ' . $professionRequest->hcp->last_name)); ?>

                                        </a>
                                    </td>
                                    <td> <?php echo e($professionRequest->hcp->user->email); ?> </td>
                                    <td> <?php echo e($professionRequest->hcp->contact_number ?? 'N/A'); ?> </td>
                                    <td>
                                        <?php if(!empty($professionRequest->hcp->state)): ?>
                                            <?php echo e($professionRequest->hcp->state->short_form); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($professionRequest->category)): ?>
                                            <div><?php echo e(ucwords($professionRequest->category['name'])); ?></div>
                                        <?php endif; ?>
                                        <?php if(!empty($professionRequest->profession)): ?>
                                            <div><?php echo e(ucwords($professionRequest->profession['name'])); ?></div>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($professionRequest->type == 'level-update'): ?>
                                            <?php if(!empty($professionRequest->previous_level)): ?>
                                                <div>Previous Level: <?php echo e(ucwords($professionRequest->previous_level['name'])); ?></div>
                                            <?php endif; ?>
                                            <?php if(!empty($professionRequest->level)): ?>
                                                <div>New Level: <?php echo e(ucwords($professionRequest->level['name'])); ?></div>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($professionRequest->type == 'document-expired'): ?>
                                            <?php if(!empty($professionRequest->hcp_document_ids)): ?>
                                                <?php
                                                    $hcpDocuments = get_hcp_doucments_by_ids($professionRequest->hcp_document_ids);
                                                ?>
                                                <?php if(count($hcpDocuments)): ?>
                                                    <?php $__currentLoopData = $hcpDocuments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hcpDocument): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e(ucwords($hcpDocument->document['name'])); ?>,
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($professionRequest->type == 'document-expired'): ?>
                                            <?php echo e('Profession Document Expired'); ?>

                                        <?php elseif($professionRequest->type == 'level-update'): ?>
                                            <?php echo e('Level Update'); ?>

                                        <?php elseif($professionRequest->type == 'profession-added'): ?>
                                            <?php echo e('New Profession Added'); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php
                                            $status = '';
                                            if ($professionRequest->status == 'approved') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.table_hcp_profession_request_approve_status") . ' </div> ';
                                            } else if ($professionRequest->status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.table_hcp_profession_request_pending_status") . ' </div> ';
                                            } else if ($professionRequest->status == 'rejected') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.table_hcp_profession_request_reject_status") . ' </div> ';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <?php if($professionRequest->status == 'pending'): ?>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcps.approvePendingProfession', ['id' => ev($professionRequest->id), 'status' => "approve"])); ?>"> <?php echo e(__("language.table_hcp_profession_request_approve_bt")); ?> </a>

                                                        <a href="#" class="dropdown-item reject-modal" data-url="<?php echo e(route('adminPanel.hcps.rejectPendingProfessionModal', ['id' => ev($professionRequest->id)])); ?>"> <?php echo e(__("language.table_hcp_profession_request_reject_bt")); ?> </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                        <?php else: ?>
                                        N/A
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="15" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($professionRequests->appends($request)->render()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/datatables.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/dataTables.buttons.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/jszip.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/buttons.html5.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/hcps/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/hcps/profession-pending-approval.blade.php ENDPATH**/ ?>