<?php $__env->startSection('page-title', ' '.__('language.edit_sub_admins_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/plugins/dropify/dropify.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        <?php $__env->startComponent('admin-panel.validation.errors'); ?> <?php if (isset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147)): ?>
<?php $component = $__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147; ?>
<?php unset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> <?php echo e(__('language.edit_sub_admins_page_title')); ?> </h5>
                    </div>
                </div>

                <div class="form p-3">
                    <?php echo Form::open(['class' => 'add-sub-admins-form', 'method' => 'post', 'url' =>  route('adminPanel.sub-admins.update', ['id' => ev($subAdmin->id)]), 'files' => true ]); ?>


                        <div class="form-row">
                            <div class="col-md-8">
                                <div class="form-row mb-2">
                                    <div class="form-group col-md-6">
                                        <label for="name"> <?php echo e(__('language.sub_admins_name')); ?> </label>
                                        <?php echo Form::text('name', old('name', ($subAdmin->name ?? null)), ['class' => 'form-control', 'id' => 'name', 'placeholder' => __('language.sub_admins_name')]); ?>

                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="username"> <?php echo e(__('language.sub_admins_username')); ?> </label>
                                        <?php echo Form::text('username', old('username', ($subAdmin->username ?? null)), ['class' => 'form-control', 'id' => 'surname', 'placeholder' => __('language.sub_admins_username')]); ?>

                                    </div>
                                </div>

                                <div class="form-row mb-2">
                                    <div class="form-group col-md-6">
                                        <label for="email"> <?php echo e(__('language.sub_admins_email')); ?> </label>
                                        

                                        <?php echo Form::email('email', old('email', ($subAdmin->user->email ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'email', 'placeholder' => __('language.sub_admins_email'), 'data-url' => route('adminPanel.sub-admins.checkUserEmail', ['id' => $subAdmin->user->id])]); ?>

                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="contact_number"> <?php echo e(__('language.sub_admins_contact_no')); ?> </label>
                                        <?php echo Form::text('contact_number', old('contact_number', ($subAdmin->contact_number ?? null)), ['class' => 'form-control', 'id' => 'contact_no', 'placeholder' => __('language.sub_admins_contact_no')]); ?>

                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="status"> <?php echo e(__('language.sub_admins_status')); ?> </label>
                                        <?php echo Form::select('status', create_select_options(config('constants.sub_admins_status'), 'caption', 'value',  null), old('status', ($subAdmin->status ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.sub_admins_status')]); ?>

                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group custom-dropify text-center">
                                <?php if(!empty($subAdmin->image) ): ?>
                                    <?php $image = get_file_url(config('constants.sub_admins.sub_admins_path') . $subAdmin->sub_admin_prefix .
                                    $subAdmin->id . '/image/',
                                    $subAdmin->image); ?>
                                    <?php else: ?>
                                    <?php $image = asset('admin-assets/images/user.png'); ?>
                                    <?php endif; ?>
                                    <?php echo Form::file('image', ['class' => 'image-preview', 'id' => 'image', 'autocomplete' =>
                                    'off', 'data-show-remove' => 'false', 'accept' => 'image/*', "data-default-file" =>
                                    $image ]); ?>

                                    <label for="name"> <?php echo e(__('language.sub_admins_upload_image')); ?> </label>
                                </div>
                            </div>
                        </div>

                        <?php if($authUser->hasRole('Facility Group')): ?>
                            <div class="mb-4">
                                <h6 class="mb-2 text-primary"> <?php echo e(__('language.assign')); ?> <?php echo e(__('language.facilities')); ?> </h6>
                                <hr>

                                <div class="form-row">
                                    <?php if( !empty($facilities) ): ?>
                                        <?php
                                           $fac_arr = json_decode($subAdmin->assigned_facilities);
                                        ?>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('facility[]', create_select_options($facilities, 'name', 'id',  NULL), old('facility', ($fac_arr ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility','multiple' => 'multiple' ]); ?>

                                            </div>
                                        </div>
                                    <?php else: ?>
                                    <div class="col-md-12">
                                        No record found...
                                    </div>
                                    <?php endif; ?>
                                </div>
                                <div id="permissions_error" class="mb-4"></div>
                            </div>
                        <?php else: ?>
                            <div class="mb-4">
                                <h6 class="mb-2 text-primary"> <?php echo e(__('language.sub_admins_permissions')); ?> </h6>
                                <hr>

                                <div class="form-row">
                                    <?php if( !empty($permissions) ): ?>
                                        <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-12">
                                            <div class="">
                                                <div class="form-row">
                                                    <div class="form-group col-md-3">
                                                        <label class="text-primary"> <?php echo e(ucwords(str_replace('-', ' ', $key))); ?> </label>
                                                    </div>
                                                    <?php $__currentLoopData = $permission; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <div class="form-group col-md-3">
                                                            <div class="n-chk permission-group">
                                                                <label class="new-control new-checkbox checkbox-primary text-dark <?php echo e($item['slug']); ?>-class">
                                                                    <?php echo Form::checkbox('permission[]',  $item['id'], $userPermissions->contains($item['id']), ['class' => 'new-control-input permission-checkbox' , 'id' => $item['slug'], 'data-permission' => $item['slug']  ]); ?>

                                                                    <span class="new-control-indicator"></span><?php echo e($item['name']); ?>

                                                                </label>
                                                            </div>
                                                        </div>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            </div>
                                        </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                    <div class="col-md-12">
                                        No record found...
                                    </div>
                                    <?php endif; ?>
                                </div>
                                <div id="permissions_error" class="mb-4"></div>
                            </div>
                        <?php endif; ?>
                        <?php echo e(Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )); ?>


                    <?php echo Form::close(); ?>

                </div>
            </div>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/plugins/dropify/dropify.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/sub-admins/sub-admins.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/sub-admin/edit.blade.php ENDPATH**/ ?>