<?php $__env->startSection('page-title', ' '.__('language.favourite_hcps').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.favourite_hcps')); ?></h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <?php if(!empty($request)): ?>
                            <?php $filterApply = 'filter-icon-apply'; ?>
                        <?php else: ?>
                            <?php $filterApply = 'filter-icon'; ?>
                        <?php endif; ?>
                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                            <i class="fa fa-filter"></i>
                        </button>
                    </div>
                </div>
                <div>
                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                route('adminPanel.hcps.getFacilityFavoritesHcps'), 'id' => "filter-form"]); ?>

                <div class="row">
                    <div class="col-md-12">
                        <div class="custom-datatable-filter hide">
                            <div class="row">
                                <div class="col-md-12">
                                    <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <?php echo Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]); ?>

                                    </div>
                                </div>

                                <div class="col-md-3 profession-div">
                                    <div class="form-group">
                                        <?php echo Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]); ?>

                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <?php echo Form::select('availability', create_select_options(config('constants.hcps.availability'), 'caption', 'value',  __('language.hcp_availability')), old('availability', ($request['availability'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'availability' ]); ?>

                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-4 mb2">
                                    <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                    <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                </div>
                            </div>
                            <div class="filter-border"></div>
                        </div>
                    </div>
                </div>

                <div class="row pl-3 mt-3">
                    <div class="col-md-8">
                        <div class="float-left">
                            <label> <?php echo e(__('language.table_result')); ?> </label>
                            <?php echo Form::select('hcp_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('hcp_per_page', ($request['hcp_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'hcp_per_page', "onchange" => "this.form.submit()",]); ?>

                        </div>

                        <div class="float-left pl-2 search-box">
                            <?php echo Form::text('hcp_search', old('hcp_search', ($request['hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                        </div>
                        <div class="clearfix"></div>
                    </div>

                    <div class="col-md-4 text-right">
                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.facilities.facilityHcpExport', ['request' => $request, 'status' => 'all', 'facilityId' => $request['facility'], 'type' => 'favourite'])); ?>">
                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                        </a>
                    </div>
                </div>
                <?php echo Form::close(); ?>

                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive pb-5">
                    <table id="active-hcp" class="table mb-4 mt-3" >
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_hcp_id')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_name')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_category')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_profession')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_contact_number')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_availability')); ?> </th>
                                <th> <?php echo e(__('language.table_action')); ?> </th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php if(count($hcps)): ?>
                                <?php $__currentLoopData = $hcps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hcp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($hcp->id)])); ?>">
                                            <?php echo e($hcp->hcp_prefix . $hcp->id); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <div><?php echo e(ucwords($hcp->first_name . ' ' . $hcp->last_name)); ?> </div>
                                        <div class="rating">
                                            <?php for($i = 0; $i < 5; $i++): ?>
                                                <span><i class="fa fa-star<?php echo e($hcp->average_rating <= $i ? '-o' : ''); ?>"></i></span>
                                            <?php endfor; ?>
                                        </div>
                                    </td>
                                    <td>
                                        <?php if(count($hcp->hcp_professions)): ?>
                                            <?php echo e($hcp->hcp_professions[0]['category']['name']); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(count($hcp->hcp_professions)): ?>
                                            <?php echo e($hcp->hcp_professions[0]['profession']['name']); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td> <?php echo e($hcp->contact_number ?? 'N/A'); ?> </td>
                                    <td>
                                        <?php if($hcp->available_for_job == 1): ?>
                                            Available
                                        <?php else: ?>
                                            Unavailable
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($hcp->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcps.removeFavouriteHcp', ['hcpId' => $hcp->id, 'facilityId' => $request['facility'],  'page' => 'listing'])); ?>"> <?php echo e(__("language.remove_from_favorite")); ?> </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="15" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($hcps->render()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/hcps/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/hcps/facility-favorites.blade.php ENDPATH**/ ?>