<?php $__env->startSection('page-title', ' '.__('language.hcp_config_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div class="row">
                                <div class="col-xl-8 col-lg-8 col-md-8 col-8 padding-left-2">
                                    <h5> <?php echo e(__('language.hcp_config_title')); ?> </h5>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                        <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="category-tab" data-toggle="tab" href="#category" role="tab" aria-controls="category" aria-selected="false">
                                    <?php echo e(__('language.hcp_config_tab_category')); ?>

                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="profession-tab" data-toggle="tab" href="#profession" role="tab" aria-controls="profession" aria-selected="true">
                                    <?php echo e(__('language.hcp_config_tab_profession')); ?>

                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="level-tab" data-toggle="tab" href="#level" role="tab" aria-controls="level" aria-selected="true">
                                    <?php echo e(__('language.hcp_config_tab_level')); ?>

                                </a>
                            </li>
		<li class="nav-item">
                                <a class="nav-link" id="sleepover-tab" data-toggle="tab" href="#sleepover" role="tab" aria-controls="sleepover" aria-selected="true">
                                    <?php echo e(__('language.sleepover_rates')); ?>

                                </a>
                            </li>
<li class="nav-item">
                                <a class="nav-link" id="extra_night-tab" data-toggle="tab" href="#extra_night" role="tab" aria-controls="extra_night" aria-selected="true">
                                    Extra Night Hours Rates
                                </a>
                            </li>
                        </ul>

                        <div class="tab-content" id="animateLineContent-4">
                            <div class="tab-pane fade show active pt-0" id="category" role="tabpanel" aria-labelledby="category-tab">
                                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.hcp-configuration.index', ['#category']), 'id' => "category-filter-form"]); ?>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.table_result')); ?> </label>
                                            <?php echo Form::select('category_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('category_per_page', ($request['category_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'category_per_page', "onchange" => "this.form.submit()",]); ?>

                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            <?php echo Form::text('category_search', old('category_search', ($request['category_search'] ?? null)), ['class' => 'form-control', 'id' => 'category_search', 'placeholder' => __('language.table_search')]); ?>

                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#category-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.hcp-configuration.categoryExport', ['request' => $request])); ?>">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>

                                        <a href="<?php echo e(route('adminPanel.categories.create')); ?>" class="btn btn-primary btn-sm ">
                                            <?php echo e(__('language.add_button')); ?>

                                        </a>
                                    </div>
                                </div>
                                <?php echo Form::close(); ?>


                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th><?php echo e(__('language.table_category_id')); ?></th>
                                                <th><?php echo e(__('language.table_category_name')); ?></th>
                                                <th><?php echo e(__('language.table_category_comment')); ?></th>
                                                <th><?php echo e(__('language.status')); ?></th>
                                                <th><?php echo e(__('language.action')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <td> <?php echo e($category->category_prefix.$category->id); ?> </td>
                                                <td> <?php echo e(ucwords($category->name)); ?> </td>
                                                <td> <?php echo e($category->comments ?? 'N/A'); ?> </td>
                                                <td>
                                                    <?php if($category->status == 'inactive'): ?>
                                                        <div class="text-warning font-weight-bold"><?php echo e(__("language.inactive")); ?></div>
                                                    <?php else: ?>
                                                        <div class="text-success font-weight-bold"><?php echo e(__("language.active")); ?></div>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <a href="<?php echo e(route('adminPanel.categories.edit', ['id' => ev($category->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>

                                                                    <?php if($category->status == 'inactive'): ?>
                                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcp-configuration.categoryChangeStatus', ['id' => ev($category->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.active")); ?> </a>
                                                                    <?php else: ?>
                                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcp-configuration.categoryChangeStatus', ['id' => ev($category->id), 'status' => 'inactive'])); ?>"> <?php echo e(__("language.inactive")); ?> </a>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="10" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                            </tr>
                                        <?php endif; ?>
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        <?php echo e($categories->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane pt-0" id="profession" role="tabpanel" aria-labelledby="profession-tab">
                                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.hcp-configuration.index', ['#profession']), 'id' => "profession-filter-form"]); ?>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.table_result')); ?> </label>
                                            <?php echo Form::select('profession_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('profession_per_page', ($request['profession_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'profession_per_page', "onchange" => "this.form.submit()",]); ?>

                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            <?php echo Form::text('profession_search', old('profession_search', ($request['profession_search'] ?? null)), ['class' => 'form-control', 'id' => 'profession_search', 'placeholder' => __('language.table_search')]); ?>

                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#profession-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.hcp-configuration.professionExport', ['request' => $request])); ?>">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>

                                        <a href="<?php echo e(route('adminPanel.professions.create')); ?>" class="btn btn-primary btn-sm">
                                            <?php echo e(__('language.add_button')); ?>

                                        </a>
                                    </div>
                                </div>
                                <?php echo Form::close(); ?>

                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th><?php echo e(__('language.table_profession_id')); ?></th>
                                                <th><?php echo e(__('language.table_profession_name')); ?></th>
                                                <th><?php echo e(__('language.table_profession_category')); ?></th>
                                                <th><?php echo e(__('language.table_profession_has_level')); ?></th>
                                                <th width="280"><?php echo e(__('language.table_profession_level')); ?></th>
                                                <th><?php echo e(__('language.table_profession_hcp_rate')); ?></th>
                                                <th><?php echo e(__('language.table_profession_admin_fees')); ?></th>
                                                <th><?php echo e(__('language.table_profession_facility_rate')); ?></th>
                                                <th><?php echo e(__('language.table_profession_comments')); ?></th>
                                                <th><?php echo e(__('language.status')); ?></th>
                                                <th><?php echo e(__('language.action')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php $__empty_1 = true; $__currentLoopData = $professions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $profession): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <td> <?php echo e($profession->profession_prefix.$profession->id); ?> </td>
                                                <td> <?php echo e(ucwords($profession->name)); ?> </td>
                                                <td>
                                                    <?php if(!empty($profession->category)): ?>
                                                        <?php echo e(ucwords($profession->category->name)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($profession->has_levels)): ?>
                                                        <?php echo e(ucwords($profession->has_levels)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(count($profession->levels)): ?>
                                                        <?php $__currentLoopData = $profession->levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e(ucwords($level->name)); ?>,
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($profession->hcp_per_rate)): ?>
                                                        $<?php echo e($profession->hcp_per_rate); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($profession->hcp_per_rate) && !empty($adminFees)): ?>
                                                        $<?php echo e(number_format($adminFees, 2)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($profession->hcp_per_rate) && !empty($adminFees)): ?>
                                                        $<?php echo number_format($profession->hcp_per_rate + $adminFees, 2); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td> <?php echo e($profession->comments ?? 'N/A'); ?> </td>
                                                <td>
                                                    <?php if($profession->status == 'inactive'): ?>
                                                        <div class="text-warning font-weight-bold"><?php echo e(__("language.inactive")); ?></div>
                                                    <?php else: ?>
                                                        <div class="text-success font-weight-bold"><?php echo e(__("language.active")); ?></div>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <a href="<?php echo e(route('adminPanel.professions.edit', ['id' => ev($profession->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>

                                                                    <?php if($profession->status == 'inactive'): ?>
                                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcp-configuration.professionChangeStatus', ['id' => ev($profession->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.active")); ?> </a>
                                                                    <?php else: ?>
                                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcp-configuration.professionChangeStatus', ['id' => ev($profession->id), 'status' => 'inactive'])); ?>"> <?php echo e(__("language.inactive")); ?> </a>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                            </tr>
                                        <?php endif; ?>
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        <?php echo e($professions->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane pt-0" id="level" role="tabpanel" aria-labelledby="level-tab">
                                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.hcp-configuration.index', ['#level']), 'id' => "level-filter-form"]); ?>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.table_result')); ?> </label>
                                            <?php echo Form::select('level_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('level_per_page', ($request['level_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'level_per_page', "onchange" => "this.form.submit()",]); ?>

                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            <?php echo Form::text('level_search', old('level_search', ($request['level_search'] ?? null)), ['class' => 'form-control', 'id' => 'level_search', 'placeholder' => __('language.table_search')]); ?>

                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#level-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.hcp-configuration.levelExport', ['request' => $request])); ?>">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                        <a href="<?php echo e(route('adminPanel.levels.create')); ?>" class="btn btn-primary btn-sm">
                                            <?php echo e(__('language.add_button')); ?>

                                        </a>
                                    </div>
                                </div>
                                <?php echo Form::close(); ?>

                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th><?php echo e(__('language.table_level_id')); ?></th>
                                                <th><?php echo e(__('language.table_level_name')); ?></th>
                                                <th><?php echo e(__('language.table_level_category')); ?></th>
                                                <th><?php echo e(__('language.table_level_profession')); ?></th>
                                                <th><?php echo e(__('language.table_level_hcp_rate')); ?></th>
                                                <th><?php echo e(__('language.table_level_admin_fees')); ?></th>
                                                <th><?php echo e(__('language.table_level_facility_rate')); ?></th>
                                                <th><?php echo e(__('language.table_level_comments')); ?></th>
                                                <th><?php echo e(__('language.status')); ?></th>
                                                <th><?php echo e(__('language.action')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php $__empty_1 = true; $__currentLoopData = $levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <td> <?php echo e($level->level_prefix.$level->id); ?> </td>
                                                <td> <?php echo e(ucwords($level->name)); ?> </td>
                                                <td>
                                                    <?php if(!empty($level->category)): ?>
                                                        <?php echo e(ucwords($level->category->name)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($level->profession)): ?>
                                                        <?php echo e(ucwords($level->profession->name)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($level->hcp_per_rate)): ?>
                                                        $<?php echo e($level->hcp_per_rate); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($level->hcp_per_rate) && !empty($adminFees)): ?>
                                                        $<?php echo e(number_format($adminFees, 2)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($level->hcp_per_rate) && !empty($adminFees)): ?>
                                                        $<?php echo number_format($level->hcp_per_rate + $adminFees, 2); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td> <?php echo e($level->comments ?? 'N/A'); ?> </td>
                                                <td>
                                                    <?php if($level->status == 'inactive'): ?>
                                                        <div class="text-warning font-weight-bold"><?php echo e(__("language.inactive")); ?></div>
                                                    <?php else: ?>
                                                        <div class="text-success font-weight-bold"><?php echo e(__("language.active")); ?></div>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <a href="<?php echo e(route('adminPanel.levels.edit', ['id' => ev($level->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>

                                                                    <?php if($level->status == 'inactive'): ?>
                                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcp-configuration.levelChangeStatus', ['id' => ev($level->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.active")); ?> </a>
                                                                    <?php else: ?>
                                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcp-configuration.levelChangeStatus', ['id' => ev($level->id), 'status' => 'inactive'])); ?>"> <?php echo e(__("language.inactive")); ?> </a>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                            </tr>
                                        <?php endif; ?>
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        <?php echo e($levels->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>
		<div class="tab-pane show pt-0" id="sleepover" role="tabpanel" aria-labelledby="sleepover-tab">
		<?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'post', 'url' =>
                                route('adminPanel.config.sleepover-rates'), 'id' => "sleepover-form"]); ?>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.hcp').' '.__('language.sleepover').' '.__('language.rate')); ?> </label>
                                            <?php echo Form::text('hcp_sleepover_rate', old('hcp_sleepover_rate', ($hcp_sleepover_rate ?? null)), ['class' => 'form-control', 'id' => 'hcp_sleepover_rate', 'placeholder' => __('language.hcp').' '.__('language.sleepover').' '.__('language.rate')]); ?>

                                        </div>

                                    </div>

                                       <div class="col-md-6">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.facility').' '.__('language.sleepover').' '.__('language.rate')); ?> </label>
                                            <?php echo Form::text('facility_sleepover_rate', old('facility_sleepover_rate', ($facility_sleepover_rate ?? null)), ['class' => 'form-control', 'id' => 'facility_sleepover_rate', 'placeholder' => __('language.facility').' '.__('language.sleepover').' '.__('language.rate')]); ?>

                                        </div>

                                    </div>
                                    </div>
		<button type="submit" class="btn btn-primary btn-sm mt-5">
                                            <?php echo e(__('language.submit')); ?>

                                        </button>
                                <?php echo Form::close(); ?>

                                </div>
		<div class="tab-pane show pt-0" id="extra_night" role="tabpanel" aria-labelledby="extra_night-tab">
                                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'post', 'url' =>
                                route('adminPanel.config.extra-night-rates'), 'id' => "extra-night-form"]); ?>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.hcp').' Extra Night '.__('language.rate')); ?> </label>
                                            <?php echo Form::text('hcp_extra_night_rate', old('hcp_extra_night_rate', ($hcp_extra_night_rate ?? null)), ['class' => 'form-control', 'id' => 'hcp_extra_night_rate', 'placeholder' => __('language.hcp').' '.__('language.sleepover').' '.__('language.rate')]); ?>

                                        </div>

                                    </div>
                                    <div class="col-md-6">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.facility').' Extra Night '.__('language.rate')); ?> </label>
                                            <?php echo Form::text('facility_extra_night_rate', old('facility_extra_night_rate', ($facility_extra_night_rate ?? null)), ['class' => 'form-control', 'id' => 'facility_extra_night_rate', 'placeholder' => __('language.facility').' '.__('language.sleepover').' '.__('language.rate')]); ?>

                                        </div>

                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary btn-sm mt-5">
                                            <?php echo e(__('language.submit')); ?>

                                        </button>
                                <?php echo Form::close(); ?>

                            </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/hcp-configuration/view.js')); ?>"></script>
<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/hcp-configuration/index.blade.php ENDPATH**/ ?>