<?php $__env->startSection('page-title', ' '.__('language.edit_shifts_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

            <!-- Validation error -->
            <?php $__env->startComponent('admin-panel.validation.errors'); ?> <?php if (isset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147)): ?>
<?php $component = $__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147; ?>
<?php unset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
            <!-- / Validation error -->

            <div class="alert alert-danger mb-4 hide" role="alert" id="shift-error-div">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <i data-feather="x" class="feather-16"></i> </button>
                <strong>Error!</strong>
                <div class="error-msg"> </div>
            </div>

            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5> <?php echo e(__('language.edit_shifts_page_title')); ?> </h5>
                        </div>
                    </div>

                    <div class="form p-3">
                        <?php echo Form::open(['class'=> 'add-shift-form', 'method' => 'post', 'url' => route('adminPanel.shift.update', ['id' => ev($shift->id)]), 'files'=> true]); ?>

                            <div class="form-row">
                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.shift_facility_group')); ?> </label>
                                    <?php echo Form::select('facility_group', create_select_options($facilityGroups, 'name', 'id', null), old('facility_group', ($shift['facility_group_id'] ?? null)),  ['class' => 'form-control select-picker select-facility-group', 'id' => 'facility_group', 'data-url' => route('adminPanel.facility-groups.getFacilities'), 'title' =>  __('language.shift_facility_group') ]); ?>

                                </div>

                                <div class="form-group col-md-3 facility-div">
                                    <label> <?php echo e(__('language.shift_facility')); ?> </label>
                                    <select name="facility" id="facility" class="form-control select-picker facility-plan" title="<?php echo e(__('language.shift_facility')); ?>" data-url="<?php echo e(route('adminPanel.categories.getCategory')); ?>">
                                        <?php $__currentLoopData = $facilities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $facility): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($facility->id); ?>" <?php echo e(($shift->facility_id == $facility->id ? 'selected' : '')); ?>>
                                            <?php if(!empty($facility->facility_name)): ?>
                                                <?php echo e($facility->facility_name->name); ?>

                                            <?php else: ?>
                                                <?php echo e($facility->name); ?>

                                            <?php endif; ?>
                                        </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="form-group col-md-3">
                                    <label for="word_wing"> <?php echo e(__('language.word_wing')); ?> </label>
                                    <?php echo Form::text('word_wing', old('word_wing', ($shift['word_wing'] ?? null)), ['class' => 'form-control', 'id' => 'word_wing', 'placeholder' => __('language.word_wing')]); ?>

                                </div>

                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.shift_category')); ?> </label>
                                    <?php echo Form::select('category_id', create_select_options($categories, 'name', 'id', null), old('category_id', ($shift['category_id'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category_id', 'title' =>  __('language.shift_category'), 'data-url' => route('adminPanel.shift.getProfessions') ]); ?>

                                </div>

                                <div class="form-group col-md-3 profession-div">
                                    <label> <?php echo e(__('language.shift_professions')); ?> </label>
                                    <?php echo Form::select('profession_id', create_select_options($professions, 'name', 'id', null), old('profession_id', ($shift['profession_id'] ?? null)),  ['class' => 'form-control select-picker profession-level', 'id' => 'profession_id', 'title' =>  __('language.shift_professions'), 'data-url' => route('adminPanel.professions.getLevels')]); ?>

                                </div>

                                <div class="form-group col-md-3 level-div">
                                    <label> <?php echo e(__('language.shift_level')); ?> </label>
                                    <?php echo Form::select('hcp_level_id', create_select_options($levels, 'name', 'id', null), old('hcp_level_id', ($shift['hcp_level_id'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'hcp_level_id', 'title' =>  __('language.shift_level')]); ?>

                                </div>

                                <?php echo Form::hidden('current_time', Carbon\Carbon::now($shift->state->time_zone_name)->format('Y-m-d h:i a'), ['class' => 'form-control', 'id' => 'current_time']); ?>


                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.start_time')); ?> </label>
                                    <?php echo Form::text('start_time', old('start_time', ($shift['start_time'] ?? null)), ['class' => 'form-control start-time date-picker', 'id' => 'start_time', 'placeholder' => __('language.start_time')]); ?>

                                </div>

                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.end_time')); ?> </label>
                                    <?php echo Form::text('end_time', old('end_time', ($shift['end_time'] ?? null)), ['class' => 'form-control end-time  date-picker', 'id' => 'end_time', 'placeholder' => __('language.end_time')]); ?>

                                </div>

                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.booked_by')); ?> </label>
                                    <?php echo Form::text('booked_by', old('booked_by', ($shift['booked_by'] ?? null)), ['class' => 'form-control', 'id' => 'booked_by', 'placeholder' => __('language.booked_by')]); ?>

                                </div>

                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.shift_types')); ?> </label>
                                    <?php echo Form::text('shift_types', old('shift_type', ($shift['shift_type'] ?? null)), ['class' => 'form-control input-readonly-new text-capitalize', 'id' => 'shift_types', 'placeholder' => __('language.shift_types')]); ?>

                                </div>

                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.break_time')); ?> </label>
                                    <?php echo Form::text('break', old('break', ($shift['break'] ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'break', 'placeholder' => __('language.break_time')]); ?>

                                </div>

                                <div class="form-group col-md-3">
                                    <label> <?php echo e(__('language.total_hours')); ?> </label>
                                    <?php echo Form::text('hours', old('hours', ($shift['hours'] ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'hours', 'placeholder' => __('language.total_hours')]); ?>

                                </div>
                            </div>

                            <div class="form-row">
                                <div class="col-md-6">
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label> <?php echo e(__('language.shift_loading')); ?> </label>
                                            <?php echo Form::text('shift_loading', old('shift_loading', ($shift['shift_loading'] ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'shift_loading', 'placeholder' => __('language.shift_loading')]); ?>

                                        </div>

                                        <div class="form-group col-md-6">
                                            <label> <?php echo e(__('language.no_of_opening')); ?> </label>
                                            <?php echo Form::number('no_of_openings', old('no_of_openings', ($shift['no_of_openings'] ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'no_of_openings', 'placeholder' => __('language.no_of_opening'), 'min' => 1 , 'max' => 10]); ?>

                                        </div>

                                        <div class="form-group col-md-12">
                                            <label> <?php echo e(__('language.notes')); ?> </label>
                                            <?php echo Form::textarea('notes', old('notes', ($shift['notes'] ?? null)), ['class' => 'form-control address-textarea', 'id' => 'notes', 'placeholder' => __('language.notes')]); ?>

                                        </div>
                                    </div>

                                    <?php echo Form::hidden('shift_time', old('shift_time', ($shift['shift_time'] ?? null)), ['class' => 'form-control', 'id' => 'shift_time']); ?>

                                    <?php echo Form::hidden('working_hours', old('working_hours', ($shift['working_hours'] ?? null)), ['class' => 'form-control', 'id' => 'working_hours']); ?>

                                    <?php echo Form::hidden('hcp_amount', old('hcp_amount', ($shift['hcp_amount'] ?? null)), ['class' => 'form-control', 'id' => 'hcp_amount']); ?>

                                    <?php echo Form::hidden('facility_amount', old('facility_amount', ($shift['facility_amount'] ?? null)), ['class' => 'form-control', 'id' => 'facility_amount']); ?>

                                    <?php echo Form::hidden('admin_fees', old('admin_fees', ($shift['admin_fees'] ?? null)), ['class' => 'form-control', 'id' => 'admin_fees']); ?>

                                    <?php echo Form::hidden('facility_per_rate', old('facility_per_rate', ($shift['facility_per_rate'] ?? null)), ['class' => 'form-control', 'id' => 'facility_per_rate']); ?>

                                    <?php echo Form::hidden('hcp_per_rate', old('hcp_per_rate', ($shift['hcp_per_rate'] ?? null)), ['class' => 'form-control', 'id' => 'hcp_per_rate']); ?>

                                    <?php echo Form::hidden('admin_fees_with_loading', '', ['class' => 'form-control', 'id' => 'admin_fees_with_loading']); ?>

                                    <?php echo Form::hidden('final_hours_time', '', ['class' => 'form-control', 'id' => 'final_hours_time']); ?>

                                    <?php echo Form::hidden('total_hours_time', '', ['class' => 'form-control', 'id' => 'total_hours_time']); ?>

                                    <?php echo Form::hidden('hcp_shift_loading', '', ['class' => 'form-control', 'id' => 'hcp_shift_loading']); ?>

                                    <?php echo Form::hidden('hcp_shift_total_loading', '', ['class' => 'form-control', 'id' => 'hcp_shift_total_loading']); ?>

                                    <?php echo Form::hidden('facility_shift_loading', '', ['class' => 'form-control', 'id' => 'facility_shift_loading']); ?>

                                    <?php echo Form::hidden('facility_shift_total_loading', '', ['class' => 'form-control', 'id' => 'facility_shift_total_loading']); ?>


                                </div>

                                <div class="col-md-6" id="shift-estimates" data-url="<?php echo e(route('adminPanel.shift.calculatePrice')); ?>">
                                    <label> Shift Estimates </label>
                                    <div class="table-responsive">
                                        <table class="table" width="100%"  cellpadding="5">
                                            <tr>
                                                <th> <?php echo e(__('language.break_time')); ?> </th>
                                                <td class="break-time"> <?php echo e($shift['break'] ?? 0); ?> </td>

                                                <th> <?php echo e(__('language.final_hours')); ?> </th>
                                                <td class="final-hour"> <?php echo e($shift['working_hours'] ?? 0); ?> </td>
                                            </tr>
                                            <tr>
                                                <th> <?php echo e(__('language.hcp_rate')); ?>  </th>
                                                <td class="hcp-rate"> <?php echo e($shift['hcp_per_rate'] ?? 0); ?> </td>

                                                <th> <?php echo e(__('language.admin_fees')); ?> </th>
                                                <td class="admin-fees"> <?php echo e($shift['admin_fees'] ?? 0); ?> </td>
                                            </tr>
                                            <tr>
                                                <th> <?php echo e(__('language.facility_rate')); ?> </th>
                                                <td class="facility-rate"> <?php echo e($shift['facility_per_rate'] ?? 0); ?> </td>

                                                <th> <?php echo e(__('language.shift_loading')); ?> </th>
                                                <td class="shift-loading"> <?php echo e($shift['shift_loading'] ?? 0); ?> </td>
                                            </tr>
                                            <tr>
                                                <th> <?php echo e(__('language.hcp_shift_total')); ?> </th>
                                                <td class="hcp-shift-total"> <?php echo e($shift['hcp_amount'] ?? 0); ?> </td>

                                                <th> <?php echo e(__('language.facility_shift_total')); ?> </th>
                                                <td class="facility-shift-total"> <?php echo e($shift['facility_amount'] ?? 0); ?> </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <?php echo e(Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit', 'id' => 'shift-submit'] )); ?>

                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    var TIME_LOADING = JSON.parse(<?php echo json_encode("$loadingTimeConfiguration", 15, 512) ?>);
    var GENERAL_CONFIGURATION = JSON.parse(<?php echo json_encode("$generalConfiguration", 15, 512) ?>);
    var MIN_SHIFT_HOURS = GENERAL_CONFIGURATION['min_shift_booking_hours'];
    var MAX_SHIFT_HOURS = GENERAL_CONFIGURATION['max_shift_booking_hours'];
    var DEFAULT_SHIFT_HOURS = GENERAL_CONFIGURATION['default_hours_shift'];
</script>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/shift/shift.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/shifts/edit.blade.php ENDPATH**/ ?>