<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title><?php echo e(config('app.name')); ?></title>
		<link
			href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;1,100;1,300;1,400;1,900&display=swap"
			rel="stylesheet"
		/>
		<style type="text/css">
			body {
				width: 100%;
				margin: 0px auto;
				padding: 0;
				-webkit-font-smoothing: antialiased;
				background-color: #f9f9f9;
			}
			p,
			h1,
			h2,
			h3,
			h4 {
				margin-top: 0;
				margin-bottom: 0;
				padding-top: 0;
				padding-bottom: 0;
			}
			html {
				width: 100%;
			}
			a {
				color: #000;
				text-decoration: none;
			}
		</style>
	</head>
	<body>
		<div style="width: 60%; margin: 0px auto;">
			<table
				width="100%"
				style="
					font-size: 26px;
					color: #40b1a9;
					padding: 30px;
					border-bottom: 3px solid #40b1a9;
				"
			>
				<tr>
					<td
						style="
							text-align: center;
							font-family: 'Roboto', sans-serif;
							font-weight: 500;
						"
					>
						<?php echo e(config('app.name')); ?>

					</td>
				</tr>
			</table>

			<table
				width="100%"
				style="
					padding: 20px;
					font-family: 'Roboto', sans-serif;
					font-weight: 400;
					background: #fff;
					border: 1px solid #ddd;
					-webkit-box-shadow: 0 10px 6px -6px #777;
					-moz-box-shadow: 0 10px 6px -6px #777;
					box-shadow: 0 10px 6px -6px #777;
				"
			>
				<tr>
                    <td style="font-family: 'Roboto', sans-serif; font-weight: 500; font-size: 16px">
                        Hello,
                    </td>
				</tr>

                <tr>
					<td>
						<p style="padding: 10px 0px; font-size: 14px; font-weight: 400;">
                        	<b>Shift ID <?php echo e($shift->shift_prefix . $shift->id); ?> -  Please  find below shift transfer / replacement Details</b><br/>
						</p>
					</td>
				</tr>

				<tr>
					<td>
						<b><?php echo e(__('language.booked_date')); ?>: </b><?php echo e(date("d M, Y", strtotime($shift->created_at))); ?>

					</td>
					<td>
						<b><?php echo e(__('language.booked_by')); ?>: </b><?php echo e($shift->booked_by ? ucwords($shift->booked_by) : 'N/A'); ?>

					</td>
				</tr>

				<tr>
					<td>
						<b><?php echo e(__('language.start_time')); ?>: </b><?php echo e(date("d M, Y h:i A", strtotime($shift->start_time))); ?>

					</td>
					<td>
						<b><?php echo e(__('language.end_time')); ?>: </b><?php echo e(date("d M, Y h:i A", strtotime($shift->end_time))); ?>

					</td>
				</tr>

				<tr>
					<td>
						<b><?php echo e(__('language.shift_types')); ?>: </b><?php echo e($shift->shift_type ? ucwords($shift->shift_type) : 'N/A'); ?>

					</td>
					<td>
						<b><?php echo e(__('language.word_wing')); ?>: </b><?php echo e($shift->word_wing ? $shift->word_wing : 'N/A'); ?>

					</td>
				</tr>

				<tr>
					<td>
						<b><?php echo e(__('language.shift_loading')); ?>: </b><?php echo e($shift->shift_loading ? $shift->shift_loading.' %' : 'N/A'); ?>

					</td>
					<td>
						<b><?php echo e(__('language.shift_category')); ?>: </b><?php echo e($shift->category ? ucwords($shift->category->name) : 'N/A'); ?>

					</td>
				</tr>

				<tr>
					<td>
						<b><?php echo e(__('language.shift_profession')); ?>: </b><?php echo e($shift->profession ? ucwords($shift->profession->name) : 'N/A'); ?> 
					</td>
					<td>
						<b><?php echo e(__('language.shift_level')); ?>: </b><?php echo e($shift->level ? ucwords($shift->level->name) : 'N/A'); ?>

					</td>
				</tr>

				<tr>
					<td>
						<b>Original HCP ID: </b>
						<?php if(!empty($shift->hcp)): ?>
                            <?php echo e($shift->hcp->hcp_prefix.$shiftTransfer['hcp']->id); ?>

                        <?php else: ?>
                        N/A
                        <?php endif; ?>
					</td>
					<td>
						<b>New HCP Id: </b>
						<?php if(!empty($shift->hcp)): ?>
                            <?php echo e($shift->hcp->hcp_prefix.$shiftTransfer['transfer_hcp']->id); ?>

                        <?php else: ?>
                        N/A
                        <?php endif; ?>
					</td>
				</tr>

				<tr>
					<td>
						<b><?php echo e(__('language.shift_facility_id')); ?>: </b><?php echo e($shift->facility->facility_prefix.$shift->facility->id); ?>

					</td>
					<td>
						<b><?php echo e(__('language.shift_facility')); ?>: </b><?php echo e(ucwords($shift->facility->name)); ?>

					</td>
				</tr>

				


                <?php if(!empty($shiftTransfer)): ?>

		                <tr>
							<td>
								<b><?php echo e(__('language.shift_transferred_from')); ?>: </b><?php echo e(ucwords($shiftTransfer['hcp']->first_name.' '.$shiftTransfer['hcp']->last_name)); ?>

							</td>
							<td>
								<b><?php echo e(__('language.shift_transferred_to')); ?>: </b><?php echo e(ucwords($shiftTransfer['transfer_hcp']->first_name.' '.$shiftTransfer['transfer_hcp']->last_name)); ?>

							</td>
							
						</tr>

						<tr>
							<td>
								<b><?php echo e(__('language.shift_transferred_date')); ?>: </b><?php echo e(date("d M Y", strtotime($shiftTransfer->created_at))); ?>

							</td>
							<td>
								<b><?php echo e(__('language.shift_transferred_action')); ?>: </b>
								<?php if($shiftTransfer->status == 'accept'): ?>
                                Accepted 
                                <?php elseif($shiftTransfer->status == 'reject'): ?>
                                Rejected
                                <?php elseif($shiftTransfer->status == 'pending'): ?>
                                Pending
                                <?php elseif($shiftTransfer->status == 'cancelled'): ?>
                                Cancelled
                                <?php endif; ?>
							</td>
						</tr>
                <?php endif; ?>

				<?php if(!empty($swapRequest) && isset($swapRequest['hcp']) && isset($swapRequest['swap_hcp'])): ?>
				<?php $shiftSwap = $swapRequest; ?>
				<tr>
					<td>
						<b><?php echo e(__('language.shift_swap_from')); ?>: </b><?php echo e(ucwords($shiftSwap['hcp']->first_name.' '.$shiftSwap['hcp']->last_name)); ?>

					</td>
					<td>
						<b><?php echo e(__('language.shift_swap_date')); ?>: </b><?php echo e(date("d M Y", strtotime($shiftSwap->created_at))); ?>

					</td>
				</tr>

				<tr>
					<td>
						<b><?php echo e(__('language.shift_swap_to')); ?>: </b><?php echo e(ucwords($shiftSwap['swap_hcp']->first_name.' '.$shiftSwap['swap_hcp']->last_name)); ?>

					</td>
				</tr>
                <?php endif; ?>

				<tr>
					<td style="font-size: 14px; font-weight: 400; padding-top: 20px;">
						<br />
						<?php echo e(__('language.email_regards')); ?>, <br />
						<?php echo e(__('language.powered_by_text')); ?> Team
					</td>
				</tr>

				<tr>
					<td style="padding-top: 20px;">
						<hr />
					</td>
				</tr>
				<tr>
					<td
						style="
							padding: 25px;
							font-size: 14px;
							text-align: center;
							font-weight: 400;
						"
					>
						©
						<?php echo date('Y') ?>
						<?php echo e(config('app.name')); ?>. <?php echo e(__('language.email_copy_rights')); ?>

					</td>
				</tr>
			</table>
		</div>
	</body>
</html>
<?php /**PATH /var/www/html/shapp/shapp-server/resources/views/emails/admin-panel/shift-transfer-email.blade.php ENDPATH**/ ?>