<?php $__env->startSection('page-title', ' '.__('language.assign_hcp_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/elements/popover.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php
// General Configuration
$generalConfiguration = get_general_configuration();
//----------------------
?>
<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.assign_hcp_page_title')); ?> </h5>
                        </div>
                    </div>
                </div>

                <div>
                    <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                    route('adminPanel.shift.assignHcpList', ['id' => ev($shift->id)]), 'id' => 'filter-form']); ?>

                    

                    <div class="row pl-3 mt-3">
                            

                            <div class="float-left pl-2 search-box">
                                <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        
                    </div>
                    <?php echo Form::close(); ?>

                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <?php echo Form::open(['class'=> 'rebroadcast-form', 'method' => 'post', 'url' => route('adminPanel.shift.assignHcp')]); ?>

                        <table class="table table-checkable mb-4 mt-3">
                            <thead>
                                <tr>
                                    <th> <?php echo e(__('language.shift_hcp_available')); ?> </th>
                                    <th> <?php echo e(__('language.shift_hcp_category')); ?> </th>
                                    <th> <?php echo e(__('language.shift_hcp_profession')); ?> </th>
                                    <th> <?php echo e(__('language.shift_hcp_level')); ?> </th>
                                    <th> <?php echo e(__('language.shift_hcp_ratings')); ?> </th>
                                    <th> <?php echo e(__('language.shift_hcp_km')); ?> </th>
                                    <th> <?php echo e(__('language.shift_hcp_status')); ?> </th>
                                    <th> <?php echo e(__('language.action')); ?> </th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php if(count($hcps)): ?>
                                    <?php $__currentLoopData = $hcps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $hcp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            <div class="media media-small">
                                                <div class="w-img">
                                                    <?php if(isset($hcp) && !empty($hcp->image) ): ?>
                                                        <?php
                                                        $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                                        $hcp->id . '/image/', $hcp->image);
                                                        ?>
                                                    <?php else: ?>
                                                        <?php if($hcp->gender == 'female'): ?>
                                                            <?php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); ?>
                                                        <?php else: ?>
                                                            <?php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); ?>
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                    <?php echo e(Html::image($hcpImage, 'avatar', array('class' => ''))); ?>

                                                </div>
                                                <div class="media-body profile-info">
                                                    <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($hcp->id)])); ?>">
                                                        <h6 class="text-primary">
                                                            <?php echo e(ucwords($hcp->first_name.' '.$hcp->last_name)); ?>


                                                            <?php if(!empty($hcp->favourites_count)): ?>
                                                                <i class="fa fa-heart"></i>
                                                            <?php endif; ?>
                                                        </h6>
                                                    </a>
                                                    <p> <?php echo e($hcp->contact_number); ?> </p>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <?php if(!empty($hcp->one_hcp_professions['category'])): ?>
                                                <?php echo e(ucwords($hcp->one_hcp_professions['category']['name'])); ?>

                                            <?php else: ?>
                                                N/A
                                            <?php endif; ?>
                                        </td>

                                        <td>
                                            <?php if(!empty($hcp->one_hcp_professions['profession'])): ?>
                                                <?php echo e(ucwords($hcp->one_hcp_professions['profession']['name'])); ?>

                                            <?php else: ?>
                                                N/A
                                            <?php endif; ?>
                                        </td>

                                        <td>
                                            <?php if(!empty($hcp->one_hcp_professions['level'])): ?>
                                                <?php echo e(ucwords($hcp->one_hcp_professions['level']['name'])); ?>

                                            <?php else: ?>
                                                N/A
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if(!empty($hcp->average_rating)): ?>
                                                <div class="rating">
                                                    <i class="fa fa-star"></i> <?php echo e($hcp->average_rating); ?>

                                                </div>
                                            <?php else: ?>
                                                <div class="rating">
                                                    <i class="fa fa-star-o"></i> 0
                                                </div>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php
                                                $lat1 = $shift->facility->latitude;
                                                $lon1 = $shift->facility->longitude;
                                                $lat2 = $hcp->latitude;
                                                $lon2 = $hcp->longitude;
                                                $unit = 'K';
                                                $distance = get_facility_and_hcp_distance($lat1, $lon1, $lat2, $lon2, $unit);
                                            ?>
                                            <?php echo e(round($distance, 0)); ?> km
                                        </td>
                                        <td>
                                            <?php if($hcp->notifications_count == 0): ?>
                                                <div class="text-info"> Not Sent </div>
                                            <?php else: ?>
                                                <div class="text-info"> Sent (<?php echo e($hcp->notifications_count); ?> Times) </div>
                                            <?php endif; ?>
                                        </td>

                                        <td>
                                            <?php
                                                if($hcp->available_for_job == '0'){
                                                    $disableHcp = true;
                                                    $disableHcpCase = '1';
                                                } else if($hcp->shifts_count != 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '2';
                                                }  else if(count($hcp->current_date_shifts) && $hcp->current_date_shifts->sum('hours') >= $generalConfiguration['no_of_hrs_allowed_perday']) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '3';
                                                }  else if(count($hcp->fortnight_shifts) && $hcp->fortnight_shifts->sum('hours') >= $generalConfiguration['no_of_hrs_allowed_fortnight']) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '4';
                                                } else if($hcp->hcp_expire_general_documents > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '5';
                                                } else if($hcp->hcp_expire_profession_document > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '6';
                                                } else if($hcp->one_hcp_professions['status'] != 'active') {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '7';
                                                } else if($hcp->hcp_pending_approval_general_documents > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '8';
                                                } else if($hcp->hcp_pending_approval_profession_document > 0) {
                                                    $disableHcp = true;
                                                    $disableHcpCase = '9';
                                                } else {
                                                    $disableHcp = false;
                                                    $disableHcpCase = '10';
                                                }
                                            ?>

                                            <?php if($disableHcp == false): ?>
                                                <div class="hcp-list-assign-button">
                                                    <ul class="chec-radio">
                                                        <li class="pz">
                                                            <label class="radio-inline">
                                                                <input type="radio" name="assign_hcp" class="pro-chx assign-hcp" value="<?php echo e($hcp->id); ?>"> <div class="clab">Assign</div>
                                                            </label>
                                                        </li>
                                                    </ul>
                                                </div>
                                            <?php else: ?>
                                                <span class="hcp-popover-msg info-box btn-popover-dark" data-container="body" data-html="true" data-placement="bottom" data-trigger="hover"> <i class="fa fa-info"></i> </span>

                                                <div class="hcp-list-assign-button">
                                                    <ul class="chec-radio">
                                                        <li class="pz">
                                                            <label class="radio-inline">
                                                                <input type="radio" name="assign_hcp" disabled class="pro-chx assign-hcp" value="<?php echo e($hcp->id); ?>"> <div class="clab-disable">Assign</div>
                                                            </label>
                                                        </li>
                                                    </ul>
                                                </div>
                                            <?php endif; ?>
                                        </td>
                                        
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <tr>
                                        <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="row">
                            <div class="form-group col-md-12 ml-3">
                                <?php echo Form::hidden('shift_id', $shiftId, ['class' => 'form-control', 'id' => 'shift_id']); ?>

                                <div class="select-hcp-error"></div>
                            </div>
                        </div>

                        <?php echo e(Form::button('<i class="fa fa-save"></i> &nbsp;'. __('language.assign_hcp_page_menu'), ['class' => 'btn btn-primary btn-submit mt-2 ml-3', 'type' => 'submit', 'id' => 'shift-submit'] )); ?>


                        <?php echo Form::close(); ?>

	     <div class="pagination">
                            
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php
    $startDate = \Carbon\Carbon::parse($request['shift_start_time']);
    if($startDate->format('d') <= '15') {
        $firstDay = $startDate->firstOfMonth()->format('d M');
        $lastDay = \Carbon\Carbon::parse($firstDay)->addWeeks(2)->format('d M');
    } else {
        $firstDay = \Carbon\Carbon::parse('16-'.$startDate->format('m').'-'.$startDate->format('Y'))->format('d M');
        $lastDay = \Carbon\Carbon::parse($request['shift_start_time'])->lastOfMonth()->format('d M');
    }
?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/shift/rebroadcast.js')); ?>"></script>

<script>
    $('.btn-popover-dark').popover({
        template: '<div class="popover popover-dark" role="tooltip"><div class="arrow"></div><h5 class="popover-header">This HCP is not available for this shift.</h5><div class="popover-body"></div></div>',
        title: "This HCP is not available for this shift.",
        content: "<p>1. Not available because of overlap.</p><p>2. Not available for jobs.</p><p>3. <?php echo e($generalConfiguration['no_of_hrs_allowed_perday']); ?>hrs already complete for this day.</p><p>4. <?php echo e($generalConfiguration['no_of_hrs_allowed_fortnight']); ?>hrs complete for the fortnight <?php echo e($firstDay); ?> - <?php echo e($lastDay); ?></p><p>5. General documents expire on shift date. </p><p>6. Profession documents expire on shift date. </p><p>7. Profession status is inactive/expired/pending-approval. </p>"
    });
    $('.assign-hcp').change(function(){
        $('.rebroadcast-form').submit();
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/shifts/assign-hcp.blade.php ENDPATH**/ ?>