<?php $__env->startSection('page-title', ' '.__('language.plan_configuration_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/datatables.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.plan_configuration')); ?></h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <a href="<?php echo e(route('adminPanel.plans.edit')); ?>" class="btn btn-primary btn-sm mr-1">
                            <?php echo e(__('language.edit')); ?>

                        </a>
                    </div>
                </div>
            </div>

            <div class="container-fluid mt2 m2">
                <div class="row">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <h6 class="text-dark"><?php echo e(__('language.plan_profession')); ?></h6>
                    </div>

                    <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            <?php if($plan['name']): ?>
                                <div class="text-dark text-center">
                                    <h6 class="text-dark text-center"> <?php echo e(ucwords($plan->name)); ?> </h6>
                                </div>
                            <?php endif; ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

                <?php if(!empty($professions)): ?>
                    <?php $__currentLoopData = $professions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $profession): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="row mt2">
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <?php echo e(ucwords($profession->name)); ?>

                            </div>

                            <?php
                                $planProfession = get_plan_profession(1, $profession->id);

                                if ($planProfession == true) {
                                    $basicProfession = 'checked';
                                } else {
                                    $basicProfession = '';
                                }
                            ?>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="<?php echo e($profession->id); ?>" id="basic_plan_<?php echo e($profession->id); ?>" name="plan[1][profession][]" <?php echo e($basicProfession); ?> disabled><label class="custom-control-label" for="basic_plan_<?php echo e($profession->id); ?>"></label>
                                </div>
                            </div>

                            <?php
                                $planProfession = get_plan_profession(2, $profession->id);

                                if ($planProfession == true) {
                                    $premiumProfession = 'checked';
                                } else {
                                    $premiumProfession = '';
                                }
                            ?>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="<?php echo e($profession->id); ?>" id="premium_plan_<?php echo e($profession->id); ?>" name="plan[2][profession][]" <?php echo e($premiumProfession); ?> disabled><label class="custom-control-label" for="premium_plan_<?php echo e($profession->id); ?>"></label>
                                </div>
                            </div>

                            <?php
                                $planProfession = get_plan_profession(3, $profession->id);

                                if ($planProfession == true) {
                                    $optimumProfession = 'checked';
                                } else {
                                    $optimumProfession = '';
                                }
                            ?>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="<?php echo e($profession->id); ?>" id="optimum_plan_<?php echo e($profession->id); ?>" name="plan[3][profession][]" <?php echo e($optimumProfession); ?> disabled><label class="custom-control-label" for="optimum_plan_<?php echo e($profession->id); ?>"></label>
                                </div>
                            </div>

                            <?php
                                $planProfession = get_plan_profession(4, $profession->id);

                                if ($planProfession == true) {
                                    $optimumProfession = 'checked';
                                } else {
                                    $optimumProfession = '';
                                }
                            ?>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="custom-control custom-checkbox plan-checkbox">
                                    <input type="checkbox" class="custom-control-input" value="<?php echo e($profession->id); ?>" id="optimum_plan_<?php echo e($profession->id); ?>" name="plan[4][profession][]" <?php echo e($optimumProfession); ?> disabled><label class="custom-control-label" for="optimum_plan_<?php echo e($profession->id); ?>"></label>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    No record found..
                <?php endif; ?>

                <div class="row mt3">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark"><?php echo e(__('language.plan_profession_monthly')); ?></div>
                    </div>

                    <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            <?php if($plan['monthly_price'] && $plan->id != 4): ?>
                                <div class="text-dark text-center"><?php echo e($plan['monthly_price']); ?></div>
                            <?php endif; ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

                <div class="row mt3">
                    <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                        <div class="text-dark"><?php echo e(__('language.plan_profession_yearly_plan')); ?></div>
                    </div>

                    <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                            <?php if($plan['yearly_price'] && $plan->id != 4): ?>
                                <div class="text-dark text-center">
                                    Discount <?php echo e(number_format($plan['yearly_discount'], 0)); ?>%
                                </div>
                                <div class="text-dark text-center">
                                    <?php echo e($plan['yearly_price']); ?> <?php echo e(__('language.plan_profession_per_month')); ?>

                                </div>
                            <?php endif; ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/datatables.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/dataTables.buttons.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/jszip.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/buttons.html5.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/professions/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/plans/index.blade.php ENDPATH**/ ?>