<?php $__env->startSection('page-title', ' '.__('language.shifts').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.swapped_shifts')); ?> <?php echo e(__('language.shifts_page_title')); ?></h5>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div>
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.shift.swapped'), 'id' => 'shift-filter-form']); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?php if($authUser->hasRole('Facility') != true): ?>
                                            <?php if(!empty($states)): ?>
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <label class="btn btn-custom-outline <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : ''); ?>">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="<?php echo e($state->id); ?>" autocomplete="off" <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : ''); ?>> <?php echo e($state->short_form); ?> : <?php echo e($state->shifts_count); ?>

                                                        </label>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2 profession-div">
                                            <div class="form-group">
                                                <?php echo Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]); ?>

                                            </div>
                                        </div>

                                        <?php if($authUser->hasRole('Facility') != true): ?>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]); ?>

                                            </div>
                                        </div>
                                        <?php endif; ?>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('shift_type', create_select_options(config('constants.shifts.shift_types'), 'caption', 'value',  __('language.shift_types')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('shift_hcp_search', old('shift_hcp_search', ($request['shift_hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.shift.shiftSwapExport', ['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> <?php echo e(__('language.shift_id')); ?> </th>
                                <th> <?php echo e(__('language.booking_date')); ?> </th>
                                <th> <?php echo e(__('language.shift_type')); ?> </th>
                                <th> <?php echo e(__('language.shift_swap_from')); ?> </th>
                                <th> <?php echo e(__('language.shift_swap_to')); ?> </th>
                                <?php if($authUser->hasRole('Facility') != true): ?>
                                <th> <?php echo e(__('language.fac_name')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.cat_pro')); ?> </th>
                                <th> <?php echo e(__('language.word_wing')); ?> </th>
                                <th> <?php echo e(__('language.shift_start')); ?> </th>
                                <th> <?php echo e(__('language.shift_end')); ?> </th>
                                <th> <?php echo e(__('language.total_hours')); ?> </th>
                                <?php if($authUser->hasRole('Facility') != true): ?>
                                <th> <?php echo e(__('language.shift_suburb')); ?> </th>
                                <th> <?php echo e(__('language.shift_state')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.status')); ?> </th>
                                <th> <?php echo e(__('language.action')); ?> </th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $shiftSwapRequests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shiftSwap): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <?php if(!empty($shiftSwap->shift)): ?>
                                            <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shiftSwap->shift->id)])); ?>">
                                                <?php echo e($shiftSwap->shift->shift_prefix . $shiftSwap->shift->id); ?>

                                            </a>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php echo e(date("d M Y", strtotime($shiftSwap->shift->created_at))); ?>

                                    </td>

                                    <td>
                                        <?php if(!empty($shiftSwap->shift->shift_type)): ?>
                                            <?php echo e(ucwords($shiftSwap->shift->shift_type)); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($shiftSwap['hcp'])): ?>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shiftSwap['hcp']->id)])); ?>" class="text-primary">
                                            <div><?php echo e(ucwords($shiftSwap['hcp']->first_name.' '.$shiftSwap['hcp']->last_name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($shiftSwap['hcp'])): ?>
                                                <?php echo e($shiftSwap['hcp']->contact_number); ?>

                                            <?php endif; ?>
                                        </div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($shiftSwap['swap_hcp'])): ?>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shiftSwap['swap_hcp']->id)])); ?>" class="text-primary">
                                            <div><?php echo e(ucwords($shiftSwap['swap_hcp']->first_name.' '.$shiftSwap['swap_hcp']->last_name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($shiftSwap['swap_hcp'])): ?>
                                                <?php echo e($shiftSwap['swap_hcp']->contact_number); ?>

                                            <?php endif; ?>
                                        </div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <?php if($authUser->hasRole('Facility') != true): ?>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($shiftSwap['shift']->facility->id)])); ?>">
                                            <div> <?php echo e(ucwords($shiftSwap['shift']->facility->name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($shiftSwap['shift']['facility']->address)): ?>
                                                <?php echo e($shiftSwap['shift']['facility']->address); ?>

                                            <?php endif; ?>
                                        </div>
                                    </td>
                                    <?php endif; ?>

                                    <td>
                                        <div><?php echo e(ucwords($shiftSwap['shift']->profession->name)); ?></div>
                                        <div class="font-size-12"> <?php echo e(ucwords($shiftSwap['shift']->category->name)); ?> </div>
                                    </td>

                                    <td> <?php echo e($shiftSwap['shift']->word_wing); ?> </td>

                                    <td>
                                        <div><?php echo e(date("d M", strtotime($shiftSwap['shift']->start_time))); ?></div>
                                        <?php echo e(date("h:i A", strtotime($shiftSwap['shift']->start_time))); ?>

                                    </td>

                                    <td>
                                        <div><?php echo e(date("d M", strtotime($shiftSwap['shift']->end_time))); ?></div>
                                        <?php echo e(date("h:i A", strtotime($shiftSwap['shift']->end_time))); ?>

                                    </td>

                                    <td> <?php echo e($shiftSwap['shift']->hours); ?> Hrs </td>

                                    <?php if($authUser->hasRole('Facility') != true): ?>
                                    <td>
                                        <?php if(!empty($shiftSwap->shift['facility']->suburb_name)): ?>
                                            <?php echo e($shiftSwap->shift['facility']->suburb_name); ?>

                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($shiftSwap->shift['facility']->state)): ?>
                                            <?php echo e($shiftSwap->shift['facility']->state->short_form); ?>

                                        <?php endif; ?>
                                    </td>
                                    <?php endif; ?>

                                    <td>
                                        <?php if($shiftSwap->status == 'accept'): ?>
                                        <div class="text-success font-weight-bold"> Accepted </div>
                                        <?php elseif($shiftSwap->status == 'reject'): ?>
                                        <div class="text-danger font-weight-bold"> Rejected </div>
                                        <?php elseif($shiftSwap->status == 'cancelled'): ?>
                                        <div class="text-danger font-weight-bold"> Cancelled </div>
                                        <?php elseif($shiftSwap->status == 'pending'): ?>
                                        <div class="text-warning font-weight-bold"> Pending </div>
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shiftSwap->shift['id'])])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                    </div>
                                                </div>

                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($shiftSwapRequests->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/shift/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/shifts/swapped.blade.php ENDPATH**/ ?>