<?php $__env->startSection('page-title', ' '.__('language.manage_documents_edit').' '); ?>

<?php $__env->startPush('styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

            <!-- Validation error -->
        <?php $__env->startComponent('admin-panel.validation.errors'); ?> <?php if (isset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147)): ?>
<?php $component = $__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147; ?>
<?php unset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
        <!-- / Validation error -->

            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5> <?php echo e(__('language.manage_documents_edit')); ?> </h5>
                        </div>
                    </div>

                    <div class="form p-3">
                        <?php echo Form::open(['class' => 'add-doc-form', 'method' => 'post', 'url' => route('adminPanel.documents.update', ['id' => ev($document->id)]),'files' => true ]); ?>

                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="name"> <?php echo e(__('language.doc_name')); ?> </label>
                                <?php echo Form::text('name', old('name', ($document->name ?? null)), ['class' => 'form-control', 'id' => 'name',
                                'placeholder' => __('language.doc_name')]); ?>

                            </div>

                            <div class="form-group col-md-4">
                                <label for="status"> <?php echo e(__('language.doc_status')); ?> </label>
                                <?php echo Form::select('status', create_select_options(config('constants.document_status'), 'caption', 'value',  null), old('name', ($document->status ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.doc_status')]); ?>

                            </div>
                        </div>

                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="required_for"><?php echo e(trans('language.required_by')); ?></label>
                                <?php echo Form::text('required_for', old('required_for', ($document->required_for ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'name', 'placeholder' => __('language.required_by'), 'readonly']); ?>

                                
                            </div>

                            <div class="form-group col-md-4 doc-type-div">
                                <label for="name"><?php echo e(trans('language.doc_type')); ?></label>
                                <?php if(!empty($document->required_for) && $document->required_for == 'hcp'): ?>
                                    <?php $documentTypes = config('constants.documents.doc_type_hcp'); ?>
                                <?php else: ?>
                                    <?php $documentTypes = config('constants.documents.doc_type_facility'); ?>
                                <?php endif; ?>
                                <?php echo Form::select('doc_type', create_select_options($documentTypes, 'caption', 'value',  null), old('doc_type', ($document->doc_type ?? null)), ['class' => 'form-control select-picker', 'id' => 'doc_type', 'title' => __('language.doc_type')]); ?>

                            </div>
                        </div>

                        <?php if(!empty($document->required_for) && $document->required_for == 'hcp'): ?>
                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="expiry_date_mandatory"><?php echo e(trans('language.expiry_date_req')); ?></label>
                                <?php echo Form::select('expiry_date_mandatory', create_select_options(config('constants.option_groups'), 'caption', 'value',  null), old('expiry_date_mandatory', ($document->expiry_date_mandatory ?? null)), ['class' => 'form-control select-picker', 'id' => 'expiry_date_mandatory', 'title' => __('language.expiry_date_req')]); ?>

                            </div>

                            <div class="form-group col-md-4">
                                <label for="name"><?php echo e(trans('language.mandatory_status')); ?></label>
                                <?php echo Form::select('mandatory_status', create_select_options(config('constants.option_groups'), 'caption', 'value',  null), old('mandatory_status', ($document->mandatory_status ?? null)), ['class' => 'form-control select-picker', 'id' => 'mandatory_status', 'title' => __('language.mandatory_status')]); ?>

                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if(!empty($document->required_for) && $document->required_for == 'facility'): ?>
                        <div class="form-row">
                            <div class="form-group col-md-4 facility-profession-div">
                                <label for="facility_profession"><?php echo e(trans('language.facility_profession')); ?></label>
                                <?php echo Form::select('facility_profession', create_select_options($professions, 'name', 'id',  null), $document->profession_id, ['class' => 'form-control select-picker', 'id' => 'facility_profession', 'title' => __('language.facility_profession')]); ?>

                            </div>
                        </div>
                        <?php endif; ?>

                        <?php echo e(Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit mt-4', 'type' => 'submit'] )); ?>

                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/manage-document/manage-document.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/documents/edit.blade.php ENDPATH**/ ?>