<?php $__env->startSection('page-title', ' '.__('language.rating_and_reviews').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div class="row">
                                <div class="col-xl-8 col-lg-8 col-md-8 col-8 padding-left-2">
                                    <h5> <?php echo e(__('language.rating_and_reviews')); ?> </h5>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                        <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="facility-rating-tab" data-toggle="tab" href="#facility-rating" role="tab" aria-controls="facility-rating" aria-selected="false">
                                    <?php echo e(__('language.facility_rating')); ?>

                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="hcp-rating-tab" data-toggle="tab" href="#hcp-rating" role="tab" aria-controls="hcp-rating" aria-selected="true">
                                    <?php echo e(__('language.hcp_rating')); ?>

                                </a>
                            </li>
                        </ul>

                        <div class="tab-content" id="animateLineContent-4">
                            <div class="tab-pane fade show active pt-0" id="facility-rating" role="tabpanel" aria-labelledby="facility-rating-tab">
                                <div class="row">
                                    <div class="col-xl-8 col-lg-8 col-md-8 col-8">
                                        <h5> <?php echo e(__('language.facility_rating')); ?> </h5>
                                    </div>

                                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                        <?php if(!empty($request)): ?>
                                            <?php $filterApply = 'filter-icon-apply'; ?>
                                        <?php else: ?>
                                            <?php $filterApply = 'filter-icon'; ?>
                                        <?php endif; ?>
                                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                            <i class="fa fa-filter"></i>
                                        </button>
                                    </div>
                                </div>

                                <div>
                                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.rating-review.index'). '#facility-rating', 'id' => "filter-form"]); ?>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="custom-datatable-filter hide pl-0">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]); ?>

                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::select('status', create_select_options(config('constants.rating_status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]); ?>

                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]); ?>

                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 mb2">
                                                    <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm  btn-primary apply-filter', 'type' => 'button'] )); ?>

                                                    <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm  btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                                </div>
                                            </div>
                                            <div class="filter-border"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row pl-3 mt-3">
                                    <div class="col-md-8">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.table_result')); ?> </label>
                                            <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            <?php echo Form::text('hcp_search', old('hcp_search', ($request['hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.rating-review.facilityRatingsExport', ['request' => $request])); ?>">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                    </div>
                                </div>
                                <?php echo Form::close(); ?>

                                </div>

                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th><?php echo e(__('language.review_table_shift_id')); ?></th>
                                                <th><?php echo e(__('language.review_table_facility')); ?></th>
                                                <th><?php echo e(__('language.review_table_hcp')); ?></th>
                                                <th><?php echo e(__('language.review_table_rating_by_hcp')); ?> </th>
                                                <th><?php echo e(__('language.review_table_cat_pro')); ?></th>
                                                <th><?php echo e(__('language.review_table_date_time')); ?></th>
                                                <th><?php echo e(__('language.review_table_comments')); ?></th>
                                                <th><?php echo e(__('language.status')); ?></th>
                                                <th><?php echo e(__('language.action')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php $__empty_1 = true; $__currentLoopData = $facilityRatings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rating): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <td>
                                                    <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($rating->shift->id)])); ?>" class="text-primary">
                                                        <div><?php echo e($rating->shift->shift_prefix . $rating->shift_id); ?></div>
                                                    </a>
                                                </td>
                                                <td>
                                                    <?php echo e(ucwords($rating->facility->name)); ?>

                                                </td>
                                                <td>
                                                    <?php if(!empty($rating['hcp'])): ?>
                                                    <?php echo e(ucwords($rating['hcp']->first_name.' '.$rating['hcp']->last_name)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <div class="rating">
                                                        <?php for($i = 1; $i < 6; $i++): ?>
                                                            <?php
                                                                if ( round( $rating->facility_rating - .25 ) >= $i ) {
                                                                    echo "<i class='fa fa-star'></i>";
                                                                } elseif ( round( $rating->facility_rating + .25 ) >= $i ) {
                                                                    echo "<i class='fa fa-star-half-o'></i>";
                                                                } else {
                                                                    echo "<i class='fa fa-star-o'></i>";
                                                                }
                                                            ?>
                                                        <?php endfor; ?>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div><?php echo e(ucwords($rating->profession->name)); ?></div>
                                                    <small> <?php echo e(ucwords($rating->category->name)); ?> </small>
                                                </td>
                                                <td>
                                                    <?php
                                                        $dateTime = Carbon\Carbon::parse($rating->created_at)->setTimezone($rating->shift->state['time_zone_name']);
                                                    ?>
                                                    <div><?php echo e(date("d M", strtotime($dateTime))); ?></div>
                                                    <?php echo e(date("h:i A", strtotime($dateTime))); ?>

                                                </td>
                                                <td> <?php echo e($rating->comment); ?> </td>
                                                <td>
                                                    <?php if($rating->status == 'publish'): ?>
                                                        <label class="text-success font-weight-bold">
                                                            <?php echo e(__("language.review_and_ratings_publish")); ?>

                                                        </label>
                                                    <?php else: ?>
                                                        <label class="text-warning font-weight-bold">
                                                            <?php echo e(__("language.review_and_ratings_not_publish")); ?>

                                                        </label>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <?php if($rating->status == 'publish'): ?>
                                                                    <a href="#" data-url="<?php echo e(route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'unpublish', 'fragment' => 'facility-rating'])); ?>" class="dropdown-item link-action">
                                                                        <?php echo e(__("language.review_and_ratings_un_publish")); ?>

                                                                    </a>
                                                                    <?php else: ?>
                                                                    <a href="#" data-url="<?php echo e(route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'publish', 'fragment' => 'facility-rating'])); ?>" class="dropdown-item link-action">
                                                                        <?php echo e(__("language.review_and_ratings_publish")); ?>

                                                                    </a>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                            </tr>
                                        <?php endif; ?>
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        <?php echo e($facilityRatings->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane pt-0" id="hcp-rating" role="tabpanel" aria-labelledby="hcp-rating-tab">
                                <div class="row">
                                    <div class="col-xl-8 col-lg-8 col-md-8 col-8">
                                        <h5> <?php echo e(__('language.hcp_rating')); ?> </h5>
                                    </div>

                                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                        <?php if(!empty($request)): ?>
                                            <?php $filterApply = 'filter-icon-apply'; ?>
                                        <?php else: ?>
                                            <?php $filterApply = 'filter-icon'; ?>
                                        <?php endif; ?>
                                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                            <i class="fa fa-filter"></i>
                                        </button>
                                    </div>
                                </div>

                                <div>
                                <?php echo Form::open(['class' => 'hcp-custom-datatable-filter-form', 'method' => 'get', 'url' =>
                                route('adminPanel.rating-review.index'). '#hcp-rating', 'id' => "hcp-filter-form"]); ?>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="custom-datatable-filter hide pl-0">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]); ?>

                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::select('status', create_select_options(config('constants.rating_status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]); ?>

                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]); ?>

                                                    </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 mb2">
                                                    <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm  btn-primary hcp-apply-filter', 'type' => 'button'] )); ?>

                                                    <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm  btn-custom-outline hcp-clear-filter', 'type' => 'button'] )); ?>

                                                </div>
                                            </div>
                                            <div class="filter-border"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row pl-3 mt-3">
                                    <div class="col-md-8">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.table_result')); ?> </label>
                                            <?php echo Form::select('hcp_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('hcp_per_page', ($request['hcp_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'hcp_per_page', "onchange" => "this.form.submit()",]); ?>

                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            <?php echo Form::text('hcp_rating_search', old('hcp_rating_search', ($request['hcp_rating_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#hcp-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.rating-review.hcpRatingsExport', ['request' => $request])); ?>">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                    </div>
                                </div>
                                <?php echo Form::close(); ?>

                                </div>

                                <div class="table-responsive pb-5">
                                    <table class="table mb-4">
                                        <thead>
                                            <tr>
                                                <th><?php echo e(__('language.review_table_shift_id')); ?></th>
                                                <th><?php echo e(__('language.review_table_facility')); ?></th>
                                                <th><?php echo e(__('language.review_table_hcp')); ?></th>
                                                <th><?php echo e(__('language.review_table_rating_by_facility')); ?> </th>
                                                <th><?php echo e(__('language.review_table_cat_pro')); ?></th>
                                                <th><?php echo e(__('language.review_table_date_time')); ?></th>
                                                <th><?php echo e(__('language.review_table_comments')); ?></th>
                                                <th><?php echo e(__('language.status')); ?></th>
                                                <th><?php echo e(__('language.action')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php $__empty_1 = true; $__currentLoopData = $hcpRatings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rating): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <td>
                                                    <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($rating->shift->id)])); ?>" class="text-primary">
                                                        <div><?php echo e($rating->shift->shift_prefix . $rating->shift_id); ?></div>
                                                    </a>
                                                </td>
                                                <td>
                                                    <?php echo e(ucwords($rating->facility->name)); ?>

                                                </td>
                                                <td>
                                                    <?php if(!empty($rating['hcp'])): ?>
                                                    <?php echo e(ucwords($rating['hcp']->first_name.' '.$rating['hcp']->last_name)); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <div class="rating">
                                                        <?php for($i = 1; $i < 6; $i++): ?>
                                                            <?php
                                                            if ( round( $rating->hcp_rating - .25 ) >= $i ) {
                                                                echo "<i class='fa fa-star'></i>";
                                                            } elseif ( round( $rating->hcp_rating + .25 ) >= $i ) {
                                                                echo "<i class='fa fa-star-half-o'></i>";
                                                            } else {
                                                                echo "<i class='fa fa-star-o'></i>";
                                                            }
                                                            ?>
                                                        <?php endfor; ?>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div><?php echo e(ucwords($rating->profession->name)); ?></div>
                                                    <small> <?php echo e(ucwords($rating->category->name)); ?> </small>
                                                </td>
                                                <td>
                                                    <?php
                                                        $dateTime = Carbon\Carbon::parse($rating->created_at)->setTimezone($rating->shift->state['time_zone_name']);
                                                    ?>
                                                    <div><?php echo e(date("d M", strtotime($dateTime))); ?></div>
                                                    <?php echo e(date("h:i A", strtotime($dateTime))); ?>

                                                </td>
                                                <td> <?php echo e($rating->hcp_comment); ?> </td>
                                                <td>
                                                    <?php if($rating->status == 'publish'): ?>
                                                        <div class="text-success font-weight-bold">
                                                            <?php echo e(__("language.review_and_ratings_publish")); ?>

                                                        </div>
                                                    <?php else: ?>
                                                        <label class="text-warning font-weight-bold">
                                                            <?php echo e(__("language.review_and_ratings_not_publish")); ?>

                                                        </div>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <ul class="datatable-action">
                                                        <li>
                                                            <div class="dropdown custom-dropdown-icon">
                                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                </a>
                                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                    <?php if($rating->status == 'publish'): ?>
                                                                    <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'unpublish', 'fragment' => 'hcp-rating'])); ?>">
                                                                        <?php echo e(__("language.review_and_ratings_un_publish")); ?>

                                                                    </a>
                                                                    <?php else: ?>
                                                                    <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.rating-review.changeStatus', ['id' => ev($rating->id), 'status' => 'publish', 'fragment' => 'hcp-rating'])); ?>">
                                                                        <?php echo e(__("language.review_and_ratings_publish")); ?>

                                                                    </a>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="10" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                            </tr>
                                        <?php endif; ?>
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        <?php echo e($hcpRatings->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/rating-reviews/rating-reviews.js')); ?>"></script>
<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/rating/index.blade.php ENDPATH**/ ?>