<?php $__env->startSection('page-title', ' '.__('language.pending_approval_hcps').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/datatables.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.pending_approval_hcps')); ?></h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <?php if($authUser->can('Add HCPs')): ?>
                        <a href="<?php echo e(route('adminPanel.hcps.create')); ?>" class="btn btn-primary btn-sm mr-1">
                            <?php echo e(__('language.add_button')); ?>

                        </a>
                        <?php endif; ?>

                        <?php if(!empty($request)): ?>
                            <?php $filterApply = 'filter-icon-apply'; ?>
                        <?php else: ?>
                            <?php $filterApply = 'filter-icon'; ?>
                        <?php endif; ?>
                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                            <i class="fa fa-filter"></i>
                        </button>

                        <ul class="page-top-action float-right">
                            <li>
                                <div class="dropdown custom-dropdown-icon">
                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                        <a href="<?php echo e(route('adminPanel.hcps.blockedHcps')); ?>" class="dropdown-item"> <?php echo e(__("language.blocked_hcps_menu")); ?> </a>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div>
                    <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' => route('adminPanel.hcps.pendingApproval'), 'id' => "filter-form"]); ?>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="custom-datatable-filter hide">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <?php if(!empty($states)): ?>
                                            <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <label class="btn btn-custom-outline <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : ''); ?>">
                                                        <input type="checkbox" id="states" name="states[]" value="<?php echo e($state->id); ?>" autocomplete="off" <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : ''); ?>> <?php echo e($state->short_form); ?> : <?php echo e($state->hcps_count); ?>

                                                    </label>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <?php echo Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-3 profession-div">
                                        <div class="form-group">
                                            <?php echo Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <?php echo Form::select('shortby_filter', create_select_options(config('constants.hcps.hcp_shortby_filter'), 'caption', 'value',  __('language.shift_shortby_filter')), old('shortby_filter', ($request['shortby_filter'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shortby_filter' ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 mb2">
                                        <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm btn-primary apply-filter', 'type' => 'button'] )); ?>

                                        <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                    </div>
                                </div>
                                <div class="filter-border"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row pl-3 mt-3">
                        <div class="col-md-8">
                            <div class="float-left">
                                <label> <?php echo e(__('language.table_result')); ?> </label>
                                <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                            </div>

                            <div class="float-left pl-2 search-box">
                                <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div class="col-md-4 text-right">
                            <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.hcps.hcpExport', ['request' => $request, 'status' => 'pending-approval'])); ?>">
                                Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                            </a>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive pb-5">
                    <table id="active-hcp" class="table mb-4 mt-3" >
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_hcp_id')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_name')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_category')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_profession')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_email')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_contact_number')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_suburb')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_state')); ?> </th>
                                <th> <?php echo e(__('language.table_status')); ?> </th>
                                <th> <?php echo e(__('language.table_action')); ?> </th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php if(count($hcps)): ?>
                                <?php $__currentLoopData = $hcps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hcp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($hcp->id)])); ?>">
                                            <?php echo e($hcp->hcp_prefix . $hcp->id); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <div><?php echo e(ucwords($hcp->first_name . ' ' . $hcp->last_name)); ?> </div>
                                        <div class="rating">
                                            <?php for($i = 0; $i < 5; $i++): ?>
                                                <span><i class="fa fa-star<?php echo e($hcp->average_rating <= $i ? '-o' : ''); ?>"></i></span>
                                            <?php endfor; ?>
                                        </div>
                                    </td>
                                    <td>
                                        <?php if(count($hcp->hcp_professions)): ?>
                                            <?php echo e($hcp->hcp_professions[0]['category']['name']); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(count($hcp->hcp_professions)): ?>
                                            <?php echo e($hcp->hcp_professions[0]['profession']['name']); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td> <?php echo e($hcp->user->email); ?> </td>
                                    <td> <?php echo e($hcp->contact_number ?? 'N/A'); ?> </td>
                                    <td> <?php echo e($hcp->suburb_name ?? 'N/A'); ?> </td>
                                    <td>
                                        <?php if(!empty($hcp->state)): ?>
                                            <?php echo e($hcp->state->short_form); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php
                                            $status = '';
                                            if ($hcp->status == 'active') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.hcp_active") . ' </div> ';
                                            } else if ($hcp->status == 'pending-approval') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.hcp_pending_approval") . ' </div> ';
                                            } else if ($hcp->status == 'archived') {
                                                $status .= '<div class="text-dark font-weight-bold"> ' . __("language.hcp_archived") . ' </div> ';
                                            } else if ($hcp->status == 'rejected') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.hcp_rejected") . ' </div> ';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                        <?php if($authUser->can('Edit HCPs')): ?>
                                                        <a href="<?php echo e(route('adminPanel.hcps.edit', ['id' => ev($hcp->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>
                                                        <?php endif; ?>

                                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($hcp->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.hcp_active")); ?> </a>

                                                        <?php if($hcp->status == 'pending-approval'): ?>
                                                            <a href="#" class="dropdown-item reject-hcp" data-url="<?php echo e(route('adminPanel.hcps.rejectHcpModal', ['id' => ev($hcp->id)])); ?>"> <?php echo e(__("language.hcp_reject")); ?> </a>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="15" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($hcps->appends($request)->render()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/datatables.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/dataTables.buttons.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/jszip.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/button-ext/buttons.html5.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/hcps/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/hcps/pending-approval.blade.php ENDPATH**/ ?>