<?php $__env->startSection('page-title', ' '.__('language.shifts_details_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/elements/avatar.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php
    // Set time zone
    date_default_timezone_set($shift->state->time_zone_name);
    //--------------
?>
<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="media">
                                    <div class="media-body profile-info ml-1">
                                        <h6> <?php echo e(__('language.shift_details_id')); ?> <?php echo e($shift->shift_prefix . $shift->id); ?> </h6>
                                        <?php if($shift['shift_status'] == '0'): ?>
                                            <label class="text-warning"> <?php echo e(__('language.shift_status_pending')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '1'): ?>
                                            <label class="text-info"> <?php echo e(__('language.shift_status_scheduled')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '2'): ?>
                                            <label class="text-success"> <?php echo e(__('language.shift_status_running')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '3'): ?>
                                            <label class="text-danger"> <?php echo e(__('language.shift_status_cancelled')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '4'): ?>
                                            <label class="text-success"> <?php echo e(__('language.shift_status_completed')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '5'): ?>
                                            <label class="text-info"> <?php echo e(__('language.shift_status_transfered')); ?> </label>
                                        <?php elseif($shift['shift_status'] == '6'): ?>
                                            <label class="text-success"> <?php echo e(__('language.shift_status_past')); ?> </label>
                                        <?php endif; ?>

                                        <?php if($shift['shift_transfer_swap_status'] == 'transferred'): ?>
                                        <label class="text-dark"> (<?php echo e(__('language.shift_transfered')); ?>) </label>
                                        <?php endif; ?>

                                        <?php if($shift['shift_transfer_swap_status'] == 'swapped'): ?>
                                        <label class="text-dark"> (<?php echo e(__('language.shift_swap')); ?>) </label>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 text-right">
                                <div class="float-right pr2 mt2">
                                    <?php if($shift['shift_status'] == '0'): ?>
                                        <a href="<?php echo e(route('adminPanel.shift.shiftRebroadcast', ['id' => ev($shift->id)])); ?>" class="btn btn-primary btn-submit btn-sm" type="button"><?php echo e(__('language.re_broadcast')); ?></a>
                                    <?php endif; ?>
                                    <?php if($shift['shift_status'] == '1' || $shift['shift_status'] == '2'): ?>
                                        <?php if($shift['shift_status'] == '1'): ?>
                                           <?php
                                                $startTime = strtotime(date('Y-m-d H:i', strtotime('-1 hours', strtotime($shift['start_time']))));
                                                $currentTime = strtotime(date('Y-m-d H:i'));
                                           ?>
                                            <?php if($currentTime >= $startTime): ?>
                                                <a href="<?php echo e(route('adminPanel.shift.track-hcp',['id' => ev($shift->id)])); ?>" class="btn btn-primary btn-submit btn-sm" type="button">
                                                    Track HCP
                                                </a>
                                            <?php else: ?>
                                                <a href="#" class="btn btn-primary btn-submit btn-sm" disabled type="button">
                                                    Track HCP
                                                </a>
                                            <?php endif; ?>
                                        <?php elseif($shift['shift_status'] == '2'): ?>
                                            <a href="<?php echo e(route('adminPanel.shift.track-hcp',['id' => ev($shift->id)])); ?>" class="btn btn-primary btn-submit btn-sm" type="button">
                                                Track HCP
                                            </a>
                                        <?php endif; ?>
                                    <?php endif; ?>

                                    <?php if($shift['shift_status'] == '1'): ?>
                                        <?php if($shift['shift_type'] != 'buddy'): ?>
                                        <a href="<?php echo e(route('adminPanel.shift.getTransferHcp', ['id' => ev($shift->id)])); ?>" class="btn btn-primary btn-sm cancel-shift-btn" type="button"><?php echo e(__('language.shift_bt_transfer')); ?></a>
                                        <?php endif; ?>

                                        <span class="datatable-action">
                                            <a href="#" data-url="<?php echo e(route('adminPanel.shift.cancelShiftModal', ['id' => ev($shift->id)])); ?>" class="btn btn-danger btn-sm cancel-shift-btn" type="button"><?php echo e(__('language.shift_cancel_shift')); ?></a>
                                        </span>
                                    <?php endif; ?>

                                    <?php if($shift['shift_status'] == '6'): ?>
                                        <a href="#" data-url="<?php echo e(route('adminPanel.shift.viewLocationModal', ['id' => ev($shift->id)])); ?>" class="btn btn-primary btn-sm location-shift-btn" type="button"><?php echo e(__('language.shift_bt_view_locations')); ?></a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <hr>
                    </div>
                </div>


                <div class="row">
                    <?php if($shift['shift_status'] != '6'): ?>
                        <?php $shifBlockClass = 'col-xl-12 col-lg-12 col-md-12 col-12' ?>
                    <?php else: ?>
                        <?php $shifBlockClass = 'col-xl-8 col-lg-8 col-md-8 col-8' ?>
                    <?php endif; ?>
                    <div class="<?php echo e($shifBlockClass); ?> page-heading">
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.booked_date')); ?> </label>
                                <p class="text-dark"> <?php echo e(date("d M, Y", strtotime($shift->created_at))); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.booked_by')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->booked_by ? ucwords($shift->booked_by) : 'N/A'); ?> </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.start_time')); ?> </label>
                                <p class="text-dark"> <?php echo e(date("d M, Y h:i A", strtotime($shift->start_time))); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.end_time')); ?> </label>
                                <p class="text-dark"> <?php echo e(date("d M, Y h:i A", strtotime($shift->end_time))); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.total_hours')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->hours); ?> Hours </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.break_duration')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->break); ?> Minutes </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_types')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->shift_type ? ucwords($shift->shift_type) : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.word_wing')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->word_wing ? $shift->word_wing : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_loading')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->shift_loading ? $shift->shift_loading.' %' : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_category')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->category ? ucwords($shift->category->name) : 'N/A'); ?> </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_profession')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->profession ? ucwords($shift->profession->name) : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_level')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->level ? ucwords($shift->level->name) : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_hcp_id')); ?> </label>
                                <p class="text-dark">
                                    <?php if(!empty($shift->hcp)): ?>
                                        <?php echo e($shift->hcp->hcp_prefix.$shift->hcp->id); ?>

                                    <?php else: ?>
                                    N/A
                                    <?php endif; ?>
                                </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_hcp_name')); ?> </label>
                                <p class="text-dark">
                                    <?php if(!empty($shift->hcp)): ?>
                                    <a class="text-primary" href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shift->hcp->id)])); ?>">
                                        <?php echo e(ucwords($shift->hcp->first_name.' '.$shift->hcp->last_name)); ?>

                                    </a>
                                    <?php else: ?>
                                    N/A
                                    <?php endif; ?>
                                </p>
                            </div>
                        </div>

                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.mentor_name')); ?> </label>
                                <p class="text-dark">
                                    <?php if(!empty($shift->mentor_hcp_name)): ?>
                                        <?php echo e(ucwords($shift->mentor_hcp_name)); ?>

                                    <?php else: ?>
                                    N/A
                                    <?php endif; ?>
                                </p>
                            </div>
                        </div>

                        <?php if($authUser->hasRole('Facility') != true): ?>
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_facility_group')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->facility_group ? ucwords($shift->facility_group->name) : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_facility_id')); ?> </label>
                                <p class="text-dark">
                                    <?php echo e($shift->facility->facility_prefix.$shift->facility->id); ?>

                                </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_facility')); ?> </label>
                                <p class="text-primary">
                                    <a class="text-primary" href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)])); ?>">
                                       <?php echo e(ucwords($shift->facility->name)); ?>

                                    </a>
                                </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_facility_address')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->facility ? ucwords($shift->facility->address) : 'N/A'); ?> </p>
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if(!empty($shift->approved_shift_start_time) && !empty($shift->approved_shift_end_time)): ?>
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_approved_start_time')); ?> </label>
                                <p class="text-dark"> <?php echo e(date("d M, Y h:i A", strtotime($shift->approved_shift_start_time))); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_approved_end_time')); ?> </label>
                                <p class="text-dark"> <?php echo e(date("d M, Y h:i A", strtotime($shift->approved_shift_end_time))); ?> </p>
                            </div>
                        </div>
                        <?php endif; ?>


                        <?php if(!empty($shift->cancelled_shift)): ?>
                        <div class="row mb2">
                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_cancel_by')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->cancelled_shift ? ucwords($shift->cancelled_shift->cancel_by) : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_cancel_time')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->cancelled_shift ? date("d M, Y h:i A", strtotime($shift->cancelled_shift->cancel_time)) : 'N/A'); ?> </p>
                            </div>

                            <div class="col-md-3">
                                <label> <?php echo e(__('language.shift_cancel_reason')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->cancelled_shift->cancel_reason ?? 'N/A'); ?> </p>
                            </div>

                            <?php if($shift->cancelled_shift->cancel_by == 'hcp'): ?>
                            <div class="col-md-3">
                                <label class="text-danger"> <?php echo e(__('language.shift_hcp_neg_point')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->cancelled_shift ? $shift->cancelled_shift->negative_points : '0'); ?> </p>
                            </div>
                            <?php else: ?>
                            <div class="col-md-3">
                                <label class="text-danger"> <?php echo e(__('language.shift_facility_penalty')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->cancelled_shift->penalty_amount ? '$'.$shift->cancelled_shift->penalty_amount : '$0'); ?> </p>
                            </div>
                            <?php endif; ?>

                        </div>
                        <?php endif; ?>

                        <div class="row mb2">
                            <div class="col-md-6">
                                <label> <?php echo e(__('language.notes')); ?> </label>
                                <p class="text-dark"> <?php echo e($shift->notes ? $shift->notes : 'N/A'); ?> </p>
                            </div>
                        </div>

                        <?php if(!empty($shift->shift_transferred)): ?>
                        <div class="row mb3">
                            <?php $__currentLoopData = $shift->shift_transferred; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shiftTransferred): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        <?php if(isset($shiftTransferred['hcp']) && !empty($shiftTransferred['hcp']->image) ): ?>
                                            <?php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftTransferred['hcp']->hcp_prefix .
                                            $shiftTransferred['hcp']->id . '/image/', $shiftTransferred['hcp']->image);
                                            ?>
                                        <?php else: ?>
                                            <?php if($shiftTransferred['hcp']->gender == 'female'): ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); ?>
                                            <?php else: ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <?php echo e(Html::image($hcpImage, 'avatar', array('class' => ''))); ?>

                                    </div>
                                    <div class="media-body profile-info">
                                        <label> <?php echo e(__('language.shift_hcp_name')); ?> </label>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shiftTransferred['hcp']->id)])); ?>">
                                        <h6 class="text-primary"><?php echo e(ucwords($shiftTransferred['hcp']->first_name.' '.$shiftTransferred['hcp']->last_name)); ?></h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="shift-transferred-list-divided">
                                    <label> <?php echo e(__('language.shift_transferred_from')); ?> </label>
                                    <hr/>
                                    <label> <?php echo e(date("d M Y", strtotime($shiftTransferred->created_at))); ?> </label>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        <?php if(isset($shiftTransferred['transfer_hcp']) && !empty($shiftTransferred['transfer_hcp']->image) ): ?>
                                            <?php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftTransferred['transfer_hcp']->hcp_prefix .
                                            $shiftTransferred['transfer_hcp']->id . '/image/', $shiftTransferred['transfer_hcp']->image);
                                            ?>
                                        <?php else: ?>
                                            <?php if($shiftTransferred['transfer_hcp']->gender == 'female'): ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); ?>
                                            <?php else: ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <?php echo e(Html::image($hcpImage, 'avatar', array('class' => ''))); ?>

                                    </div>
                                    <div class="media-body profile-info">
                                        <label> <?php echo e(__('language.shift_hcp_name')); ?> </label>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shiftTransferred['transfer_hcp']->id)])); ?>">
                                        <h6 class="text-primary"><?php echo e(ucwords($shiftTransferred['transfer_hcp']->first_name.' '.$shiftTransferred['transfer_hcp']->last_name)); ?></h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="shift-transferred-list-divided">
                                    <label> <?php echo e(__('language.shift_transferred_action')); ?> </label>
                                    <hr/>
                                    <?php if($shiftTransferred->status == 'accept'): ?>
                                    <div class="text-success"> Accepted </div>
                                    <?php elseif($shiftTransferred->status == 'reject'): ?>
                                    <div class="text-danger"> Rejected </div>
                                    <?php elseif($shiftTransferred->status == 'pending'): ?>
                                    <div class="text-warning"> Pending </div>
                                    <?php elseif($shiftTransferred->status == 'cancelled'): ?>
                                    <div class="text-danger"> Cancelled </div>
                                    <?php endif; ?>
                                    <label>  </label>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <?php endif; ?>

                        <?php if(!empty($shift->shift_swap) && isset($shiftSwap['hcp']) && isset($shiftSwap['swap_hcp'])): ?>
                        <div class="row mb3">
                            <?php $shiftSwap = $shift->shift_swap; ?>
                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        <?php if(isset($shiftSwap['hcp']) && !empty($shiftSwap['hcp']->image) ): ?>
                                            <?php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftSwap['hcp']->hcp_prefix .
                                            $shiftSwap['hcp']->id . '/image/', $shiftSwap['hcp']->image);
                                            ?>
                                        <?php else: ?>
                                            <?php if($shiftSwap['hcp']->gender == 'female'): ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); ?>
                                            <?php else: ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <?php echo e(Html::image($hcpImage, 'avatar', array('class' => ''))); ?>

                                    </div>
                                    <div class="media-body profile-info">
                                        <label> <?php echo e(__('language.shift_hcp_name')); ?> </label>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shiftSwap['hcp']->id)])); ?>">
                                        <h6 class="text-primary"><?php echo e(ucwords($shiftSwap['hcp']->first_name.' '.$shiftSwap['hcp']->last_name)); ?></h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="shift-transferred-list-divided">
                                    <label> <?php echo e(__('language.shift_swap_from')); ?> </label>
                                    <hr/>
                                    <label> <?php echo e(date("d M Y", strtotime($shiftSwap->created_at))); ?> </label>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                                <div class="media media-small">
                                    <div class="w-img">
                                        <?php if(isset($shiftSwap['swap_hcp']) && !empty($shiftSwap['swap_hcp']->image) ): ?>
                                            <?php
                                            $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $shiftSwap['swap_hcp']->hcp_prefix .
                                            $shiftSwap['swap_hcp']->id . '/image/', $shiftSwap['swap_hcp']->image);
                                            ?>
                                        <?php else: ?>
                                            <?php if($shiftSwap['swap_hcp']->gender == 'female'): ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); ?>
                                            <?php else: ?>
                                                <?php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <?php echo e(Html::image($hcpImage, 'avatar', array('class' => ''))); ?>

                                    </div>
                                    <div class="media-body profile-info">
                                        <label> <?php echo e(__('language.shift_hcp_name')); ?> </label>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shiftSwap['swap_hcp']->id)])); ?>">
                                        <h6 class="text-primary"><?php echo e(ucwords($shiftSwap['swap_hcp']->first_name.' '.$shiftSwap['swap_hcp']->last_name)); ?></h6>
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3 mb3">
                            </div>
                        </div>
                        <?php endif; ?>
                    </div>

                    <?php if($shift['shift_status'] == '6'): ?>
                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 page-heading" style="border-left: 2px solid #f1f2f3; height:100%; width:2px;min-height:500px;">
                        <div class="row">
                            <div class="col-md-12 mb2">
                                <label> <?php echo e(__('language.rating_by_hcp')); ?> </label>
                                <?php if(!empty($shift->facility_rating)): ?>
                                    <p class="rating">
                                        <i class="fa fa-star"></i> <?php echo e($shift->facility_rating->facility_rating); ?>

                                    </p>
                                <?php else: ?>
                                    <p class="text-dark">N/A</p>
                                <?php endif; ?>
                            </div>


                            <div class="col-md-12 mb2">
                                <label> <?php echo e(__('language.comment_by_hcp')); ?> </label>
                                <?php if(!empty($shift->facility_rating)): ?>
                                    <p class="text-dark"> <?php echo e($shift->facility_rating->comment); ?> </p>
                                <?php else: ?>
                                     <p class="text-dark">N/A</p>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-12 mb2">
                                <label> <?php echo e(__('language.rating_by_facility')); ?> </label>
                                <?php if(!empty($shift->hcp_rating)): ?>
                                    <p class="rating">
                                        <i class="fa fa-star"></i> <?php echo e($shift->hcp_rating->hcp_rating); ?>

                                    </p>
                                <?php else: ?>
                                     <p class="text-dark">N/A</p>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-12 mb2">
                                <label> <?php echo e(__('language.comment_by_facility')); ?> </label>
                                <?php if(!empty($shift->hcp_rating)): ?>
                                    <p class="text-dark"> <?php echo e($shift->hcp_rating->hcp_comment); ?> </p>
                                <?php else: ?>
                                     <p class="text-dark">N/A</p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>

                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <h6 class="mt-2 mb-2 text-primary"> <?php echo e(__('language.shift_timeline')); ?> </h6>
                        <hr>

                        <div>
                            <div class="table-responsive">
                                <table class="table mb-4" id="">
                                    <thead>
                                        <th> <?php echo e(__('language.shift_timeline_date')); ?> </th>
                                        <th> <?php echo e(__('language.shift_timeline_time')); ?> </th>
                                        <th> <?php echo e(__('language.shift_timeline_event')); ?> </th>
                                        <th> <?php echo e(__('language.shift_timeline_hcp_name')); ?> </th>
                                        <th> <?php echo e(__('language.shift_timeline_facility_member')); ?> </th>
                                        <th> <?php echo e(__('language.shift_timeline_admin_member')); ?> </th>
                                    </thead>

                                    <tbody>
                                        <?php if(count($shift->activities)): ?>
                                            <?php $__currentLoopData = $shift->activities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $activities): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <?php
                                                    $time = Carbon\Carbon::parse($activities->created_at)->setTimezone($shift->state->time_zone_name);
                                                ?>
                                                <td> <?php echo e($time->format('d M Y')); ?> </td>
                                                <td>
                                                    <?php echo e($time->format('h:i A')); ?>

                                                </td>
                                                <td> <?php echo e(ucwords(str_replace("-", " ", preg_replace('/[0-9]+/', '', $activities->activity)))); ?></td>
                                                <td>
                                                    <?php if(!empty($activities->user)): ?>
                                                        <?php if($activities->user->role_name == 'hcp'): ?>
                                                            <?php echo e($activities->hcp->first_name.' '.$activities->hcp->last_name); ?>

                                                        <?php else: ?>
                                                            N/A
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($activities->user)): ?>
                                                        <?php if($activities->user->role_name == 'facility'): ?>
                                                            <?php echo e($activities->user->name); ?>

                                                        <?php else: ?>
                                                            N/A
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <?php if(!empty($activities->user)): ?>
                                                        <?php if($activities->user->role_name == 'super-admin'): ?>
                                                            <?php echo e($activities->user->name); ?>

                                                        <?php else: ?>
                                                            N/A
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <tr>
                                                <td colspan="12" class="text-center"> No record found...</td>
                                            </tr>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/shift/view.js')); ?>"></script>

<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/shifts/details.blade.php ENDPATH**/ ?>