<?php $__env->startSection('page-title', ' '.__('language.facility_name_list_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.facility_name_list_page_title')); ?></h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <a href="#" data-url="<?php echo e(route('adminPanel.facility-names.importExcelModal')); ?>" class="btn btn-primary btn-sm mr-1 import-excel-btn">
                            <?php echo e(__('language.import_file_button')); ?>

                        </a>

                        <a href="<?php echo e(route('adminPanel.facility-names.create')); ?>" class="btn btn-primary btn-sm mr-1">
                            <?php echo e(__('language.add_button')); ?>

                        </a>

                        <?php if(!empty($request)): ?>
                            <?php $filterApply = 'filter-icon-apply'; ?>
                        <?php else: ?>
                            <?php $filterApply = 'filter-icon'; ?>
                        <?php endif; ?>
                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                            <i class="fa fa-filter"></i>
                        </button>
                    </div>
                </div>

                <div>
                    <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                    route('adminPanel.facility-names.index'), 'id' => "filter-form"]); ?>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="custom-datatable-filter hide">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-md-3">
                                        <?php echo Form::select('facility_group', create_select_options($facilityGroups, 'name', 'id', null), old('facility_group', ($request['facility_group'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility_group', 'title' => __('language.facility_name_list_group')]); ?>

                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <?php echo Form::select('state', create_select_options($states, 'name', 'id',  __('language.facility_name_list_state')), old('status', ($request['state'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'state']); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <?php echo Form::select('status', create_select_options(config('constants.facility_name_status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status']); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 mb2">
                                        <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm btn-primary apply-filter', 'type' => 'button'] )); ?>

                                        <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm  btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                    </div>
                                </div>
                                <div class="filter-border"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row pl-3 mt-3">
                        <div class="col-md-8">
                            <div class="float-left">
                                <label> <?php echo e(__('language.table_result')); ?> </label>
                                <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                            </div>

                            <div class="float-left pl-2 search-box">
                                <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div class="col-md-4 text-right">
                            <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.facility-names.export', ['request' => $request])); ?>">
                                Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                            </a>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive pb-5">
                    <table class="table mb-4 mt-3" id="">
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_facility_name_list_id')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_name_list_group')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_name_list_name')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_name_list_address')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_name_list_suburb')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_name_list_state')); ?> </th>
                                <th> <?php echo e(__('language.table_status')); ?> </th>
                                <th> <?php echo e(__('language.table_action')); ?> </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(count($facilityNames)): ?>
                                <?php $__currentLoopData = $facilityNames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $facilityName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td> <?php echo e($facilityName->facility_name_prefix . $facilityName->id); ?> </td>
                                        <td>
                                            <?php if($facilityName->facility_group): ?>
                                                <?php echo e(ucwords($facilityName->facility_group->name)); ?>

                                            <?php else: ?>
                                                N/A
                                            <?php endif; ?>
                                        </td>
                                        <td> <?php echo e(ucwords($facilityName->name)); ?> </td>
                                        <td> <?php echo e($facilityName->address); ?>  </td>
                                        <td> <?php echo e(ucwords($facilityName->suburb_name)); ?>  </td>
                                        <td>
                                            <?php if(!empty($facilityName->state)): ?>
                                                <?php echo e($facilityName->state->short_form); ?>

                                            <?php else: ?>
                                                N/A
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($facilityName->status == 'inactive'): ?>
                                                <div class="text-warning font-weight-bold"><?php echo e(__("language.inactive")); ?></div>
                                            <?php else: ?>
                                                <div class="text-success font-weight-bold"><?php echo e(__("language.active")); ?></div>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <ul class="datatable-action">
                                                <li>
                                                    <div class="dropdown custom-dropdown-icon">
                                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                        </a>
                                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                            <a href="<?php echo e(route('adminPanel.facility-names.edit', ['id' => ev($facilityName->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>

                                                            <?php if($facilityName->status == 'inactive'): ?>
                                                                <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facility-names.changeStatus', ['id' => ev($facilityName->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.active")); ?> </a>
                                                            <?php else: ?>
                                                                <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facility-names.changeStatus', ['id' => ev($facilityName->id), 'status' => 'inactive'])); ?>"> <?php echo e(__("language.inactive")); ?> </a>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                </li>
                                            </ul>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="15" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($facilityNames->appends($request)->render()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/facility-names/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/facility-names/index.blade.php ENDPATH**/ ?>