<?php $__env->startSection('page-title', ' '.__('language.archived_facilities_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.archived_facilities_page_title')); ?></h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <?php if($authUser->can('Add Facilities')): ?>
                        <a href="<?php echo e(route('adminPanel.facilities.create')); ?>" class="btn btn-primary btn-sm mr-1">
                            <?php echo e(__('language.add_button')); ?>

                        </a>
                        <?php endif; ?>

                        <?php if(!empty($request)): ?>
                            <?php $filterApply = 'filter-icon-apply'; ?>
                        <?php else: ?>
                            <?php $filterApply = 'filter-icon'; ?>
                        <?php endif; ?>
                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                            <i class="fa fa-filter"></i>
                        </button>
                    </div>
                </div>

                <div>
                    <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                    route('adminPanel.facilities.archived'), 'id' => "filter-form"]); ?>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="custom-datatable-filter hide">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                    </div>
                                </div>

                                <div class="row">
                                    <?php if(!empty($states)): ?>
                                    <div class="col-md-3">
                                            <div class="form-group">
                                                <?php echo Form::select('state_id', create_select_options($states, 'name', 'id',  __('language.facility_filter_state')), old('state_id', ($request['state_id'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'state_id']); ?>

                                            </div>
                                    </div>
                                    <?php endif; ?>

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <?php echo Form::select('plan_type', create_select_options($plans, 'name', 'id',  __('language.facility_plan_type')), old('plan_type', ($request['plan_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'plan_type',   ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-3 hide">
                                        <div class="form-group">
                                            <?php echo Form::select('plan_cycle', create_select_options(config('constants.plan_configurations.plan_cycle'), 'caption', 'value',  __('language.facility_plan_cycle')), old('plan_cycle', ($request['plan_cycle'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'plan_cycle' ]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <?php echo Form::text('plan_end_date', old('plan_end_date', ($request['plan_end_date'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'plan_end_date', 'placeholder' => __('language.facility_filter_plan_end_date')]); ?>

                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-4 mb2">
                                        <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm btn-primary apply-filter', 'type' => 'button'] )); ?>

                                        <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                    </div>
                                </div>

                                <div class="filter-border"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row pl-3 mt-3">
                        <div class="col-md-8">
                            <div class="float-left">
                                <label> <?php echo e(__('language.table_result')); ?> </label>
                                <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                            </div>

                            <div class="float-left pl-2 search-box">
                                <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div class="col-md-4 text-right">
                            <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.facilities.facilityExport', ['request' => $request, 'status' => 'archived'])); ?>">
                                Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                            </a>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive pb-5">
                    <table id="active-hcp" class="table mb-4 mt-3">
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_facility_id')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_name')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_address')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_suburb')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_state')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_email')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_plan_type')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_plan_cycle')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_plan_end_date')); ?> </th>
                                <th> <?php echo e(__('language.table_action')); ?> </th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php if(count($facilities)): ?>
                                <?php $__currentLoopData = $facilities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $facility): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($facility->id)])); ?>">
                                            <?php echo e($facility->facility_prefix . $facility->id); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <?php echo e(ucwords($facility->name)); ?>

                                    </td>
                                    <td> <?php echo e($facility->address ?? 'N/A'); ?> </td>
                                    <td> <?php echo e($facility->suburb_name ?? 'N/A'); ?> </td>
                                    <td>
                                        <?php if(!empty($facility->state)): ?>
                                            <?php echo e($facility->state->short_form); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td> <?php echo e($facility->user->email); ?> </td>
                                    <td>
                                        <?php if(!empty($facility->plans[0])): ?>
                                            <?php echo e($facility->plans[0]->name); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($facility->plans[0])): ?>
                                            <?php echo e(ucwords(str_replace("_", " ", $facility->plans[0]->pivot->plan_cycle))); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($facility->plans[0])): ?>
                                            <?php echo e($facility->plans[0]->pivot->expiry_date); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                        <?php if($authUser->can('Edit Facilities')): ?>
                                                        <a href="<?php echo e(route('adminPanel.facilities.edit', ['id' => ev($facility->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>
                                                        <?php endif; ?>

                                                        <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($facility->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facilities.changeStatus', ['id' => ev($facility->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.facility_active")); ?> </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="12" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($facilities->render()); ?>

                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/facilities/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/facilities/archived.blade.php ENDPATH**/ ?>