<?php $__env->startSection('page-title', ' '.__('language.hcps_details_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
    <link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/elements/avatar.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="media">
                                        <div class="w-img">
                                            <?php if(isset($hcp) && !empty($hcp->image) ): ?>
                                                <?php
                                                    $hcpImage = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                                    $hcp->id . '/image/', $hcp->image);
                                                ?>
                                            <?php else: ?>
                                                <?php if($hcp->gender == 'female'): ?>
                                                    <?php $hcpImage = asset('admin-assets/images/dummy-nurse.png'); ?>
                                                <?php else: ?>
                                                    <?php $hcpImage = asset('admin-assets/images/dummy-doctor.png'); ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                            <?php echo e(Html::image($hcpImage, 'avatar', array('class' => ''))); ?>

                                        </div>
                                        <div class="media-body profile-info">
                                            <h6><?php echo e(ucwords($hcp->first_name.' '.$hcp->last_name)); ?></h6>
                                            <p class="meta-date-time">
                                                <?php echo e($hcp->hcp_prefix.$hcp->id); ?>

                                                <span class="profile-rating">
                                                <i data-feather="star" class="feather-16"></i>
                                                <?php if(!empty($hcp->average_rating)): ?>
                                                        <?php echo e(round($hcp->average_rating*2)/2); ?>

                                                    <?php else: ?>
                                                        0
                                                    <?php endif; ?>
                                                    <?php if($hcp->status == 'active'): ?>
                                                        &nbsp; <?php echo e(__('language.hcp_active')); ?>

                                                    <?php elseif($hcp->status == 'pending-approval'): ?>
                                                        &nbsp; <span class="text-warning">  <?php echo e(__('language.hcp_pending_approval')); ?> </span>
                                                    <?php elseif($hcp->status == 'archived'): ?>
                                                        &nbsp; <span class="text-dark">  <?php echo e(__('language.hcp_archived')); ?> </span>
                                                    <?php elseif($hcp->status == 'blocked'): ?>
                                                        &nbsp; <span class="text-danger">  <?php echo e(__('language.hcp_blocked')); ?> </span>
                                                    <?php elseif($hcp->status == 'rejected'): ?>
                                                        &nbsp; <span class="text-danger">  <?php echo e(__('language.hcp_rejected')); ?> </span>
                                                    <?php else: ?>
                                                        &nbsp; <span class="text-dark">  <?php echo e(__('language.hcp_archived')); ?> </span>
                                                    <?php endif; ?>
                                            </span>
                                            </p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-3"> </div>

                                <div class="col-md-3 text-right">
                                    <?php if($authUser->hasRole('Facility') != true || $authUser->hasRole('Facility Sub Admin') != true): ?>
                                        <?php if($hcp->status != 'pending-approval'): ?>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="point-box">
                                                        <div> <?php echo e(__('language.hcp_current_point')); ?> </div>
                                                        <span> <?php echo e($hcp->points ?? 0); ?> </span>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="point-box">
                                                        <div class="text-danger"> <?php echo e(__('language.hcp_current_blocked_times')); ?> </div>
                                                        <span> <?php echo e($hcp->hcp_block_times_count ?? 0); ?> </span>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </div>


                                <div class="col-md-3 text-right pr3 datatable-action">
                                    <?php if($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true): ?>
                                        
                                        <?php if($hcp->status == 'active'): ?>
                                            <a href="#" class="btn btn-warning link-action" data-url="<?php echo e(route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'archived'])); ?>">
                                                <?php echo e(__('Archive')); ?>

                                            </a>
                                        <?php elseif($hcp->status == 'pending-approval'): ?>
                                            <a href="#" class="btn btn-danger reject-hcp" data-url="<?php echo e(route('adminPanel.hcps.rejectHcpModal', ['id' => ev($hcp->id)])); ?>">
                                                <?php echo e(__('language.hcp_reject')); ?>

                                            </a>

                                            <a href="#" class="btn btn-primary link-action" data-url="<?php echo e(route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active'])); ?>">
                                                <?php echo e(__('language.hcp_approved_btn')); ?>

                                            </a>
                                        <?php elseif($hcp->status == 'archived'): ?>
                                            <a href="#" class="btn btn-primary link-action" data-url="<?php echo e(route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active'])); ?>">
                                                <?php echo e(__('language.hcp_active_btn')); ?>

                                            </a>
                                        <?php elseif($hcp->status == 'blocked'): ?>
                                            <a href="#" class="btn btn-primary link-action" data-url="<?php echo e(route('adminPanel.hcps.detailsChangeStatus', ['id' => ev($hcp->id), 'status' => 'active'])); ?>">
                                                <?php echo e(__('language.hcp_reactive_btn')); ?>

                                            </a>
                                        <?php endif; ?>
                                    <?php elseif($authUser->hasRole('Facility')==true): ?>
                                        <?php if(!is_null($hcpFavorite) && !is_null($hcpBlock)): ?>
                                            <?php if($hcpFavorite == 0 && $hcpBlock == 0): ?>
                                                <a href="<?php echo e(route('adminPanel.hcps.addHcpBlocklist', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']])); ?>" class="btn btn-danger mr1">
                                                    <?php echo e(__('language.add_to_blocked')); ?>

                                                </a>

                                                <a href="<?php echo e(route('adminPanel.hcps.addHcpFavorites', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']])); ?>" class="btn btn-warning mr1">
                                                    <?php echo e(__('language.add_to_favorites')); ?>

                                                </a>

                                            <?php elseif($hcpFavorite >= 1): ?>
                                                <a href="<?php echo e(route('adminPanel.hcps.removeFavouriteHcp', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']])); ?>" class="btn btn-warning mr1">
                                                    <?php echo e(__('language.remove_from_favorite')); ?>

                                                </a>

                                            <?php elseif($hcpBlock >= 1): ?>
                                                <a href="<?php echo e(route('adminPanel.hcps.removeBlocklistHcp', ['hcpId' => $hcp->id, 'facilityId' => $request['facility']])); ?>" class="btn btn-danger mr1">
                                                    <?php echo e(__('language.remove_from_blocklist')); ?>

                                                </a>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                        <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                            <?php if($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin'): ?>
                                <li class="nav-item">
                                    <a class="nav-link active" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                                       aria-controls="profile" aria-selected="false">
                                        <?php echo e(__('language.hcp_profile_tab_heading')); ?>

                                    </a>
                                </li>
                            <?php endif; ?>

                            <?php if($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin'): ?>
                                <?php $shifTabActive = '' ?>
                            <?php else: ?>
                                <?php $shifTabActive = 'active' ?>
                            <?php endif; ?>
                            <li class="nav-item">
                                <a class="nav-link <?php echo e($shifTabActive); ?>" id="shift-tab" data-toggle="tab" href="#shift" role="tab"
                                   aria-controls="shift" aria-selected="false">
                                    <?php echo e(__('language.hcp_shift_tab_heading')); ?>

                                </a>
                            </li>

                            <?php if($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin'): ?>
                                <li class="nav-item">
                                    <a class="nav-link" id="documents-tab" data-toggle="tab" href="#documents" role="tab"
                                       aria-controls="documents" aria-selected="false">
                                        <?php echo e(__('language.hcp_documents')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="favourite-tab" data-toggle="tab" href="#favourite" role="tab"
                                       aria-controls="favourite" aria-selected="false">
                                        <?php echo e(__('language.hcp_favourite')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="blocklist-tab" data-toggle="tab" href="#blocklist" role="tab"
                                       aria-controls="blocklist" aria-selected="false">
                                        <?php echo e(__('language.hcp_blocked')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="referandearn-tab" data-toggle="tab" href="#referandearn" role="tab"
                                       aria-controls="referandearn" aria-selected="false">
                                        <?php echo e(__('language.hcp_refer_and_earn_tab_heading')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="history-tab" data-toggle="tab" href="#history" role="tab"
                                       aria-controls="history" aria-selected="false">
                                        <?php echo e(__('language.hcp_history_notes_tab_heading')); ?>

                                    </a>
                                </li>
                            <?php endif; ?>
                        </ul>

                        <div class="tab-content" id="animateLineContent-5">

                            <?php if($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin'): ?>
                                <div class="tab-pane fade show active" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                                    <div class="row mb-2">

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_dob')); ?> </label>
                                            <p class="text-dark">
                                            <?php if(!empty($hcp->date_of_birth)): ?>
                                                <?php echo e(date("d F Y", strtotime($hcp->date_of_birth))); ?>

                                                <div> (<?php echo e(\Carbon\Carbon::parse($hcp->date_of_birth)->age.' Y/O'); ?>) </div>
                                            <?php else: ?>
                                                N/A
                                                <?php endif; ?>
                                                </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_suburb')); ?> </label>
                                            <p class="text-dark"> <?php echo e($hcp->suburb_name ?? 'N/A'); ?> </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_state_name')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($hcp->state)): ?>
                                                    <?php echo e($hcp->state->short_form); ?>

                                                <?php else: ?>
                                                    N/A
                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-2">
                                            <label> <?php echo e(__('language.hcp_address')); ?> </label>
                                            <p class="text-dark">
                                                <?php echo e($hcp->address); ?>

                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-2">
                                            <label> <?php echo e(__('language.hcp_post_code')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($hcp->post_code)): ?>
                                                    <?php echo e($hcp->post_code); ?>

                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_email')); ?> </label>
                                            <p class="text-dark"> <?php echo e($hcp->user->email); ?> </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_contact_number')); ?> </label>
                                            <p class="text-dark"> <?php echo e($hcp->contact_number ?? 'N/A'); ?> </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_attachment')); ?> </label>
                                            <?php if(!empty($hcp->cv)): ?>
                                                <?php
                                                    $attachment = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix .
                                                    $hcp->id . '/cv/', $hcp->cv);
                                                ?>
                                            <?php else: ?>
                                                <?php $attachment = ''; ?>
                                            <?php endif; ?>
                                            <p class="text-dark">
                                                <?php if(!empty($attachment)): ?>
                                                    <a href="<?php echo e($attachment); ?>" download target="_blank" class="text-right">
                                                        Download <i class="fa fa-download" aria-hidden="true"></i>
                                                    </a>
                                                <?php else: ?>
                                                    N/A
                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_registration_number')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($hcp->registration_number)): ?>
                                                    <?php echo e($hcp->registration_number); ?>

                                                <?php else: ?>
                                                    N/A
                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3 mb-4">
                                            <label> <?php echo e(__('language.hcp_tfn_number')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($hcp->tfn_number)): ?>
                                                    <?php echo e($hcp->tfn_number); ?>

                                                <?php else: ?>
                                                    N/A
                                                <?php endif; ?>
                                            </p>
                                        </div>
                                    </div>


                                    <div class="row mb-2">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.hcp_category_profession')); ?> </h6>
                                            <hr>
                                        </div>

                                        <?php if(!empty($hcp->hcp_professions) && count($hcp->hcp_professions)): ?>
                                            <?php $__currentLoopData = $hcp->hcp_professions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $profession): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="col-md-2 mb-4">
                                                    <label> <?php echo e(__('language.hcp_category_details')); ?> </label>
                                                    <p class="text-dark"> <?php echo e(ucwords($profession->category->name)); ?> </p>
                                                </div>

                                                <div class="col-md-3 mb-4">
                                                    <label> <?php echo e(__('language.hcp_professions_details')); ?> </label>
                                                    <p class="text-dark"> <?php echo e(ucwords($profession->profession->name)); ?> </p>
                                                </div>

                                                <div class="col-md-2 mb-4">
                                                    <label> <?php echo e(__('language.hcp_level_details')); ?> </label>
                                                    <?php if(!empty($profession->level)): ?>
                                                        <p class="text-dark"> <?php echo e(ucwords($profession->level->name)); ?> </p>
                                                    <?php else: ?>
                                                        <p class="text-dark"> N/A </p>
                                                    <?php endif; ?>
                                                </div>

                                                <div class="col-md-2 mb-4">
                                                    <label> <?php echo e(__('language.profession_status')); ?> </label>
                                                    <?php if($profession->status == 'active'): ?>
                                                        <p class="text-success"> <?php echo e(ucwords($profession->status)); ?> </p>
                                                    <?php elseif($profession->status == 'inactive'): ?>
                                                        <p class="text-danger"> <?php echo e(ucwords($profession->status)); ?> </p>
                                                    <?php elseif($profession->status == 'pending-approval'): ?>
                                                        <p class="text-warning"><?php echo e(ucwords($profession->status)); ?> </p>
                                                    <?php elseif($profession->status == 'expired'): ?>
                                                        <p class="text-danger"><?php echo e(ucwords($profession->status)); ?> </p>
                                                    <?php endif; ?>
                                                </div>

                                                <div class="col-md-3 mb-4">
                                                    <label> <?php echo e(__('language.hcp_buddy_shift_status')); ?> </label>
                                                    <?php
                                                        $buddyShiftStatus = check_buddy_shift_request($profession->id);
                                                    ?>

                                                    <?php if($buddyShiftStatus == 'Pending'): ?>
                                                        <p class="text-warning"> Pending </p>
                                                    <?php elseif($buddyShiftStatus == 'requested'): ?>
                                                        <p class="text-dark"> Requested </p>
                                                    <?php elseif($buddyShiftStatus == 'pending-approval'): ?>
                                                        <p class="text-warning"> Pending Approval </p>
                                                    <?php elseif($buddyShiftStatus == 'completed'): ?>
                                                        <p class="text-info"> Completed </p>
                                                    <?php elseif($buddyShiftStatus == 'approved'): ?>
                                                        <p class="text-primary"> Approved </p>
                                                    <?php elseif($buddyShiftStatus == 'scheduled'): ?>
                                                        <p class="text-info"> Scheduled </p>
                                                    <?php endif; ?>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <div class="col-md-4 mb-4">
                                                <?php echo e(__('language.no_record_found')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>

                                    <?php if($authUser->hasRole('Facility') != true || $authUser->hasRole('Facility Sub Admin') != true): ?>
                                        <div class="row mb-2">
                                            <div class="col-md-12">
                                                <h6 class="text-primary"> <?php echo e(__('language.hcp_block_status')); ?> </h6>
                                                <hr>
                                            </div>
                                            <?php if(!empty($hcp->hcp_block_times) && count($hcp->hcp_block_times)): ?>
                                                <?php $__currentLoopData = $hcp->hcp_block_times; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hcpBlock): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="col-md-4 mb-2">
                                                        <?php echo e(__('language.hcp_block_by')); ?>: <?php echo e($hcpBlock->user->name); ?>

                                                    </div>
                                                    <div class="col-md-4 mb-2">
                                                        <?php echo e(__('language.hcp_block_on')); ?>: <?php echo e($hcpBlock->created_at); ?>

                                                    </div>
                                                    <div class="col-md-4 mb-2">
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <div class="col-md-4 mb-2">
                                                    <?php echo e(__('language.no_record_found')); ?>

                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>

                            <?php if($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin'): ?>
                                <?php $shifTabPanelActive = '' ?>
                            <?php else: ?>
                                <?php $shifTabPanelActive = 'show active' ?>
                            <?php endif; ?>
                            <div class="tab-pane <?php echo e($shifTabPanelActive); ?>" id="shift" role="tabpanel" aria-labelledby="shift-tab">
                                <div class="row">
                                    <div class="col-md-8">
                                        <h5> <?php echo e(__('language.hcp_shift')); ?> </h5>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                        <?php if(!empty($request)): ?>
                                            <?php $filterApply = 'filter-icon-apply'; ?>
                                        <?php else: ?>
                                            <?php $filterApply = 'filter-icon'; ?>
                                        <?php endif; ?>
                                        <button type="button" value="shift" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                            <i class="fa fa-filter"></i>
                                        </button>
                                    </div>
                                </div>

                                <div>
                                    <?php echo Form::open(['class' => 'custom-datatable-filter-form filter-form-shift',  'id' => 'shift-filter-form', 'method' => 'get', 'url' => route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#shift', 'filterType' => "shifts" ])]); ?>

                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="custom-datatable-filter filter-shift hide pl0 pr0">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <?php echo Form::hidden('filter_type', 'shifts', ['class' => 'form-control']); ?>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <?php echo Form::select('status', create_select_options(config('constants.shifts.status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]); ?>

                                                        </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <?php echo Form::select('shift_type', create_select_options(config('constants.shifts.shift_types'), 'caption', 'value',  __('language.shift_type')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]); ?>

                                                        </div>
                                                    </div>

                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <?php echo Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]); ?>

                                                        </div>
                                                    </div>

                                                    <div class="col-md-12">
                                                        <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4 mb2">
                                                        <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button', 'value' => 'shift' ] )); ?>

                                                        <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button', 'value' => 'shift' ] )); ?>

                                                    </div>
                                                </div>
                                                <div class="filter-border"></div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row mt-3">
                                        <div class="col-md-8">
                                            <div class="float-left">
                                                <label> <?php echo e(__('language.table_result')); ?> </label>
                                                <?php echo Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                            </div>

                                            <div class="float-left pl-2 search-box">
                                                <?php echo Form::text('shift_facility_search', old('shift_hcp_search', ($request['shift_facility_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                                <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                            </div>
                                            <div class="clearfix"></div>
                                        </div>

                                        <div class="col-md-4 text-right">
                                            <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.shift.shiftExport', ['request' => $request, 'status' => 'all', 'hcpId' => $hcp->id])); ?>">
                                                Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                            </a>
                                        </div>
                                    </div>
                                    <?php echo Form::close(); ?>

                                </div>

                                <div class="pb-4">
                                    <div class="table-responsive">
                                        <table class="table mb-4 mt-4" id="dataTable-documents-hcp">
                                            <thead>
                                            <th> <?php echo e(__('language.shift_id')); ?> </th>
                                            <th> <?php echo e(__('language.booking_date')); ?> </th>
                                            <th> <?php echo e(__('language.shift_type')); ?> </th>
                                            <th> <?php echo e(__('language.cat_pro')); ?> </th>
                                            <th> <?php echo e(__('language.fac_name')); ?> </th>
                                            <th> <?php echo e(__('language.word_wing')); ?>  </th>
                                            <th> <?php echo e(__('language.shift_start')); ?> </th>
                                            <th> <?php echo e(__('language.shift_end')); ?>  </th>
                                            <th> <?php echo e(__('language.total_hours')); ?>  </th>
                                            <th> <?php echo e(__('language.shift_suburb')); ?> </th>
                                            <th> <?php echo e(__('language.shift_state')); ?> </th>
                                            <th> <?php echo e(__('language.table_status')); ?> </th>
                                            <th> <?php echo e(__('language.table_action')); ?> </th>
                                            </thead>
                                            <tbody>
                                            <?php if(count($shifts)): ?>
                                                <?php $__currentLoopData = $shifts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shift): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td>
                                                            <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shift->id)])); ?>" class="text-primary">
                                                                <div><?php echo e($shift->shift_prefix . $shift->id); ?></div>
                                                            </a>
                                                        </td>

                                                        <td>
                                                            <?php echo e(date("d M Y", strtotime($shift->created_at))); ?>

                                                        </td>

                                                        <td> <?php echo e(ucwords($shift->shift_type)); ?> </td>

                                                        <td>
                                                            <div><?php echo e(ucwords($shift->profession->name)); ?></div>
                                                            <div class="font-size-12"> <?php echo e(ucwords($shift->category->name)); ?> </div>
                                                        </td>

                                                        <td>
                                                            <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)])); ?>">
                                                                <div> <?php echo e(ucwords($shift->facility->name)); ?></div>
                                                            </a>
                                                            <div class="font-size-12">
                                                                <?php if(!empty($shift['facility']->address)): ?>
                                                                    <?php echo e($shift['facility']->address); ?>

                                                                <?php endif; ?>
                                                            </div>
                                                        </td>

                                                        <td> <?php echo e($shift->word_wing); ?></td>

                                                        <td>
                                                            <div><?php echo e(date("d F", strtotime($shift->start_time))); ?></div>
                                                            <?php echo e(date("h:i A", strtotime($shift->start_time))); ?>

                                                        </td>

                                                        <td>
                                                            <div><?php echo e(date("d F", strtotime($shift->end_time))); ?></div>
                                                            <?php echo e(date("h:i A", strtotime($shift->end_time))); ?>

                                                        </td>

                                                        <td> <?php echo e($shift->hours); ?> Hrs</td>

                                                        <td>
                                                            <?php if(!empty($shift['facility']->suburb_name)): ?>
                                                                <?php echo e($shift['facility']->suburb_name); ?>

                                                            <?php endif; ?>
                                                        </td>
                                                        <td>
                                                            <?php if(!empty($shift['facility']->state)): ?>
                                                                <?php echo e($shift['facility']->state->short_form); ?>

                                                            <?php endif; ?>
                                                        </td>

                                                        <td>
                                                            <?php if($shift['shift_status'] == '0'): ?>
                                                                <div class="text-warning font-weight-bold"> <?php echo e(__("language.shift_status_pending")); ?> </div>
                                                            <?php elseif($shift['shift_status'] == '1'): ?>
                                                                <div class="text-info font-weight-bold"> <?php echo e(__("language.shift_status_scheduled")); ?> </div>
                                                            <?php elseif($shift['shift_status'] == '2'): ?>
                                                                <div class="text-success font-weight-bold"> <?php echo e(__("language.shift_status_running")); ?> </div>
                                                            <?php elseif($shift['shift_status'] == '3'): ?>
                                                                <div class="text-danger font-weight-bold"> <?php echo e(__("language.shift_status_cancelled")); ?> </div>
                                                            <?php elseif($shift['shift_status'] == '4'): ?>
                                                                <div class="text-success font-weight-bold"> <?php echo e(__("language.shift_status_completed")); ?> </div>
                                                            <?php elseif($shift['shift_status'] == '5'): ?>
                                                                <div class="text-info font-weight-bold"> <?php echo e(__("language.shift_status_transfered")); ?> </div>
                                                            <?php elseif($shift['shift_status'] == '6'): ?>
                                                                <div class="text-success font-weight-bold"> <?php echo e(__("language.shift_status_past")); ?> </div>
                                                            <?php endif; ?>
                                                        </td>

                                                        <td>
                                                            <ul class="datatable-action">
                                                                <li>
                                                                    <div class="dropdown custom-dropdown-icon">
                                                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                            <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shift->id)])); ?>" class="dropdown-item">
                                                                                <?php echo e(__("language.details")); ?>

                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                </li>
                                                            </ul>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <tr>
                                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                                </tr>
                                            <?php endif; ?>
                                            </tbody>
                                        </table>
                                        <div class="pagination">
                                            <?php echo e($shifts->appends($request)->render()); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <?php if($authUser->role_name == 'sub-admin' || $authUser->role_name == 'super-admin'): ?>
                                <div class="tab-pane" id="documents" role="tabpanel" aria-labelledby="documents-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <h5> <?php echo e(__('language.hcp_documents')); ?> </h5>
                                        </div>
                                    </div>

                                    <div>
                                        <?php echo Form::open(['class' => 'custom-datatable-filter-form ',  'id' => 'filter-form', 'method' => 'get', 'url' => route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#documents'])]); ?>

                                        <div class="row mb-3">
                                            <div class="col-md-8">
                                                <div class="float-left">
                                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                                    <?php echo Form::select('document_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('document_per_page', ($request['document_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                                </div>

                                                <div class="float-left pl-2 search-box">
                                                    <?php echo Form::text('document_search', old('document_search', ($request['document_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                                </div>
                                                <div class="clearfix"></div>
                                            </div>
                                        </div>
                                        <?php echo Form::close(); ?>

                                    </div>

                                    <div class="pb-4">
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-documents-hcp">
                                                <thead>
                                                <tr>
                                                    <th> <?php echo e(__('language.hcp_document_table_id')); ?> </th>
                                                    <th> <?php echo e(__('language.hcp_document_table_name')); ?> </th>
                                                    <th> <?php echo e(__('language.hcp_document_table_type')); ?> </th>
                                                    <th> <?php echo e(__('language.hcp_document_table_expiry')); ?> </th>
                                                    <th> <?php echo e(__('language.hcp_document_table_profession')); ?> </th>
                                                    <th> <?php echo e(__('language.table_status')); ?> </th>
                                                    <th> <?php echo e(__('language.table_action')); ?> </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php if(count($documents)): ?>
                                                    <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td>
                                                                <?php echo e($document['document']->document_prefix . $document->document_id); ?>

                                                            </td>
                                                            <td>
                                                                <?php if(!empty($document->document)): ?>
                                                                    <?php echo e(ucwords($document->document->name)); ?>

                                                                    <?php if($document['document']['mandatory_status'] == 'yes'): ?>
                                                                        <span class="text-danger">*</span>
                                                                    <?php endif; ?>
                                                                <?php else: ?>
                                                                    N/A
                                                                <?php endif; ?>
                                                            </td>
                                                            <td>
                                                                <?php if(!empty($document->document)): ?>
                                                                    <?php echo e(ucwords(str_replace('-', ' ',$document->document->doc_type))); ?>

                                                                <?php else: ?>
                                                                    N/A
                                                                <?php endif; ?>
                                                            </td>
                                                            <td>
                                                                <?php if(!empty($document->expiry_date)): ?>
                                                                    <?php echo e(date("d F Y", strtotime($document->expiry_date))); ?>

                                                                <?php else: ?>
                                                                    N/A
                                                                <?php endif; ?>
                                                            </td>
                                                            <td>
                                                                <?php if(!empty($document->profession)): ?>
                                                                    <?php echo e($document->profession->name); ?>

                                                                <?php else: ?>
                                                                    N/A
                                                                <?php endif; ?>
                                                            </td>
                                                            <td>
                                                                <?php
                                                                    $status = '';
                                                                    if ($document->document_approval == 'approved') {
                                                                        $status .= '<div class="text-success font-weight-bold"> ' . __("language.document_approved") . ' </div>';
                                                                    } else if ($document->document_approval == 'pending') {
                                                                        $status .= '<div class="text-warning font-weight-bold"> ' . __("language.document_pending") . ' </div>';
                                                                    } else if ($document->document_approval == 'pending-reapproval') {
                                                                        $status .= '<div class="text-warning font-weight-bold"> ' . __("language.document_pending_approved") . ' </div>';
                                                                    } else if ($document->document_approval == 'reapproved') {
                                                                        $status .= '<div class="text-success font-weight-bold"> ' . __("language.document_reapproved") . ' </div>';
                                                                    } else if ($document->document_approval == 'expired') {
                                                                        $status .= '<div class="text-danger font-weight-bold"> ' . __("language.document_expired") . ' </div>';
                                                                    }
                                                                ?>
                                                                <?php echo $status; ?>

                                                            </td>

                                                            <td>
                                                                <?php
                                                                    $documentUrl = get_file_url(config('constants.hcps.hcps_path') . $hcp->hcp_prefix . $hcp->id . '/documents/', $document->document_name);
                                                                ?>
                                                                <ul class="datatable-action">
                                                                    <li>
                                                                        <div class="dropdown custom-dropdown-icon">
                                                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                            </a>
                                                                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                                <a href="<?php echo e($documentUrl); ?>" class="dropdown-item" target="_blank" download> <?php echo e(__("language.download")); ?> </a>

                                                                                <?php if($document->document_approval == 'pending'): ?>
                                                                                    <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.hcps.documentApproved', ['id' => ev($document->id), 'hcpId' => ev($document->hcp_id)])); ?>"> <?php echo e(__("language.document_approved")); ?> </a>
                                                                                <?php elseif($document->document_approval == 'pending-reapproval'): ?>
                                                                                    <a href="#" data-url="<?php echo e(route('adminPanel.hcps.documentReapproved', ['id' => ev($document->id), 'hcpId' => ev($document->hcp_id)])); ?>" class="dropdown-item link-action"> <?php echo e(__("language.document_reapproved")); ?> </a>
                                                                                <?php elseif($document->document_approval == 'expired'): ?>
                                                                                    <a href="#" data-url="<?php echo e(route('adminPanel.hcps.documentReapproved', ['id' => ev($document->id), 'hcpId' => ev($document->hcp_id)])); ?>" class="dropdown-item link-action"> <?php echo e(__("language.document_reapproved")); ?> </a>
                                                                                <?php endif; ?>
                                                                            </div>
                                                                        </div>
                                                                    </li>
                                                                </ul>
                                                            </td>
                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <tr>
                                                        <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                                    </tr>
                                                <?php endif; ?>
                                                </tbody>
                                            </table>
                                            <div class="pagination">
                                                <?php echo e($documents->appends($request)->render()); ?>

                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="favourite" role="tabpanel" aria-labelledby="favourite-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-8">
                                            <h5> <?php echo e(__('language.hcp_favourite_facility')); ?> </h5>
                                        </div>

                                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                            <?php if(!empty($request)): ?>
                                                <?php $filterApply = 'filter-icon-apply'; ?>
                                            <?php else: ?>
                                                <?php $filterApply = 'filter-icon'; ?>
                                            <?php endif; ?>
                                            <button type="button" value="favourite" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                                <i class="fa fa-filter"></i>
                                            </button>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="custom-datatable-filter filter-favourite hide pl0 pr0">
                                                <?php echo Form::open(['class' => 'custom-datatable-filter-form filter-form-favourite', 'method' => 'get', 'url' =>
                                                route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#favourite', 'filterType' => "favourites" ])]); ?>

                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                                    </div>
                                                </div>
                                                <div class="row">

                                                    <?php echo Form::hidden('filter_type', 'favourites', ['class' => 'form-control']); ?>


                                                    <?php if(!empty($states)): ?>
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <?php echo Form::select('state_id', create_select_options($states, 'name', 'id',  __('language.facility_filter_state')), old('state_id', ($request['state_id'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'favourite_state_id']); ?>

                                                            </div>
                                                        </div>
                                                    <?php endif; ?>

                                                    <div class="col-md-12">
                                                        <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4 mb2">
                                                        <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit', 'value' => 'favourite'] )); ?>

                                                        <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button', 'value' => 'favourite'] )); ?>

                                                    </div>
                                                </div>
                                                <?php echo Form::close(); ?>

                                            </div>
                                        </div>
                                    </div>

                                    <div>
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-favourite-hcp">
                                                <thead>
                                                <tr>
                                                    <th> <?php echo e(__('language.table_facility_id')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_name')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_address')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_suburb')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_state')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_email')); ?> </th>
                                                    <th> <?php echo e(__('language.table_action')); ?> </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php if(count($hcpFavourites)): ?>
                                                    <?php $__currentLoopData = $hcpFavourites; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $favourite): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td>
                                                                <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($favourite['facility']->id)])); ?>">
                                                                    <?php echo e($favourite['facility']->facility_prefix . $favourite['facility']->id); ?>

                                                                </a>
                                                            </td>
                                                            <td>
                                                                <?php echo e(ucwords($favourite['facility']->name)); ?>

                                                            </td>
                                                            <td> <?php echo e($favourite['facility']->address ?? 'N/A'); ?> </td>
                                                            <td> <?php echo e($favourite['facility']->suburb_name ?? 'N/A'); ?> </td>
                                                            <td>
                                                                <?php if(!empty($favourite['facility']->state)): ?>
                                                                    <?php echo e($favourite['facility']->state->short_form); ?>

                                                                <?php else: ?>
                                                                    N/A
                                                                <?php endif; ?>
                                                            </td>
                                                            <td> <?php echo e($favourite['facility']->user->email); ?> </td>
                                                            <td>
                                                                <ul class="datatable-action">
                                                                    <li>
                                                                        <div class="dropdown custom-dropdown-icon">
                                                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                            </a>
                                                                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                                <a href="#" data-url="<?php echo e(route('adminPanel.hcps.removeFavouriteFacility', ['id' => $favourite['id'], 'hcpId' => $favourite['hcp_id'] ])); ?>" class="dropdown-item link-action"> <?php echo e(__("language.remove")); ?> </a>
                                                                            </div>
                                                                        </div>
                                                                    </li>
                                                                </ul>
                                                            </td>
                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <tr>
                                                        <td colspan="10" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                                    </tr>
                                                <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="blocklist" role="tabpanel" aria-labelledby="blocklist-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-8">
                                            <h5> <?php echo e(__('language.hcp_blocked_facility')); ?> </h5>
                                        </div>

                                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                            <?php if(!empty($request)): ?>
                                                <?php $filterApply = 'filter-icon-apply'; ?>
                                            <?php else: ?>
                                                <?php $filterApply = 'filter-icon'; ?>
                                            <?php endif; ?>
                                            <button type="button" value="blocklist" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                                <i class="fa fa-filter"></i>
                                            </button>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="custom-datatable-filter filter-blocklist hide pl0 pr0">
                                                <?php echo Form::open(['class' => 'custom-datatable-filter-form filter-form-blocklist', 'method' => 'get', 'url' =>
                                                route('adminPanel.hcps.details', ['id' => ev($hcp->id), '#blocklist', 'filterType' => "blocklist" ])]); ?>

                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <?php echo Form::hidden('filter_type', 'blocklist', ['class' => 'form-control']); ?>


                                                    <?php if(!empty($states)): ?>
                                                        <div class="col-md-3">
                                                            <div class="form-group">
                                                                <?php echo Form::select('state_id', create_select_options($states, 'name', 'id',  __('language.facility_filter_state')), old('state_id', ($request['state_id'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'blocklist_state_id']); ?>

                                                            </div>
                                                        </div>
                                                    <?php endif; ?>

                                                    <div class="col-md-12">
                                                        <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-4 mb2">
                                                        <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit', 'value' => 'blocklist'] )); ?>

                                                        <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button', 'value' => 'blocklist'] )); ?>

                                                    </div>
                                                </div>
                                                <?php echo Form::close(); ?>

                                            </div>
                                        </div>
                                    </div>

                                    <div>
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-favourite-hcp">
                                                <thead>
                                                <tr>
                                                    <th> <?php echo e(__('language.table_facility_id')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_name')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_address')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_suburb')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_state')); ?> </th>
                                                    <th> <?php echo e(__('language.table_facility_email')); ?> </th>
                                                    <th> <?php echo e(__('language.table_action')); ?> </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php if(count($hcpBlocklist)): ?>
                                                    <?php $__currentLoopData = $hcpBlocklist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blocklist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td>
                                                                <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($blocklist['facility']->id)])); ?>">
                                                                    <?php echo e($blocklist['facility']->facility_prefix . $blocklist['facility']->id); ?>

                                                                </a>
                                                            </td>
                                                            <td>
                                                                <?php echo e(ucwords($blocklist['facility']->name)); ?>

                                                            </td>
                                                            <td> <?php echo e($blocklist['facility']->address ?? 'N/A'); ?> </td>
                                                            <td> <?php echo e($blocklist['facility']->suburb_name ?? 'N/A'); ?> </td>
                                                            <td>
                                                                <?php if(!empty($blocklist['facility']->state)): ?>
                                                                    <?php echo e($blocklist['facility']->state->short_form); ?>

                                                                <?php else: ?>
                                                                    N/A
                                                                <?php endif; ?>
                                                            </td>
                                                            <td> <?php echo e($blocklist['facility']->user->email); ?> </td>
                                                            <td>
                                                                <ul class="datatable-action">
                                                                    <li>
                                                                        <div class="dropdown custom-dropdown-icon">
                                                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                                <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                            </a>
                                                                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                                <a href="<?php echo e(route('adminPanel.hcps.removeBlocklistFacility', ['id' => $blocklist['id'], 'hcpId' => $blocklist['hcp_id'] ])); ?>" class="dropdown-item"> <?php echo e(__("language.remove")); ?> </a>
                                                                            </div>
                                                                        </div>
                                                                    </li>
                                                                </ul>
                                                            </td>
                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <tr>
                                                        <td colspan="10" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                                    </tr>
                                                <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="referandearn" role="tabpanel" aria-labelledby="referandearn-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <h5> <?php echo e(__('language.hcp_refer_and_earn')); ?> </h5>
                                        </div>

                                        <div class="col-md-6">
                                            <h6 class="text-right">
                                                <span class="text-success"><?php echo e(__('language.refer_and_earn_total_earnings')); ?></span> : <?php echo e($totalReferrerAmount); ?>

                                            </h6>
                                        </div>
                                    </div>

                                    <div>
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="dataTable-favourite-hcp">
                                                <thead>
                                                <tr>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_hcp_id')); ?> </th>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_name')); ?> </th>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_email')); ?> </th>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_contact_number')); ?> </th>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_referrer_amount')); ?> </th>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_referee_amount')); ?> </th>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_referral_date')); ?> </th>
                                                    <th> <?php echo e(__('language.refer_and_earn_table_referral_completed')); ?> </th>
                                                    <th> <?php echo e(__('language.table_status')); ?> </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php if(count($referrals)): ?>
                                                    <?php $__currentLoopData = $referrals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $referral): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td>
                                                                <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($referral['referee_hcp']->id)])); ?>" class="text-primary">
                                                                    <?php echo e($referral['referee_hcp']->hcp_prefix . $referral['referee_hcp']->id); ?>

                                                                </a>
                                                            </td>
                                                            <td>
                                                                <div><?php echo e(ucwords($referral['referee_hcp']->first_name.' '.$referral['referee_hcp']->last_name)); ?></div>
                                                            </td>
                                                            <td> <?php echo e($referral['referee_hcp']->user->email); ?> </td>
                                                            <td> <?php echo e($referral['referee_hcp']->contact_number ?? 'N/A'); ?> </td>
                                                            <td> <?php echo e($referral->referrer_amount); ?> </td>
                                                            <td> <?php echo e($referral->referee_amount); ?> </td>
                                                            <td>
                                                                <?php echo e($referral->referral_date ? date("d M Y", strtotime($referral->referral_date)) : 'N/A'); ?>

                                                            </td>
                                                            <td>
                                                                <?php echo e($referral->referral_completed_date ? date("d M Y", strtotime($referral->referral_completed_date)) :'N/A'); ?>

                                                            </td>
                                                            <td>
                                                                <?php if($referral['status'] == 'pending'): ?>
                                                                    <div class="text-warning font-weight-bold"> <?php echo e(__('language.refer_and_earn_table_status_pending')); ?> </div>
                                                                <?php elseif($referral['status'] == 'completed'): ?>
                                                                    <div class="text-success font-weight-bold"> <?php echo e(__('language.refer_and_earn_table_status_completed')); ?> </div>
                                                                <?php else: ?>
                                                                    <div class="text-danger font-weight-bold"> <?php echo e(__('language.refer_and_earn_table_status_cancelled')); ?> </div>
                                                                <?php endif; ?>
                                                            </td>

                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <tr>
                                                        <td colspan="10" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                                    </tr>
                                                <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="history" role="tabpanel" aria-labelledby="history-tab">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <h5> <?php echo e(__('language.hcp_history_notes_tab_heading')); ?> </h5>
                                        </div>
                                    </div>

                                    <div class="pb-4">
                                        <div class="table-responsive">
                                            <table class="table mb-4 mt-2" id="dataTable-history-hcp">
                                                <tbody>
                                                <?php if(count($hcpActivities)): ?>
                                                    <?php $__currentLoopData = $hcpActivities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $activity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr>
                                                            <td class="pl-0">
                                                                <?php if(!empty($activity->user)): ?>
                                                                    <b class="text-primary"> <?php echo e(ucwords($activity->user['name'])); ?> </b>
                                                                    <div class="">
                                                                        <?php if($activity->user['role_name'] == 'sub-admin'): ?>
                                                                            <?php echo e(ucwords('Sub Admin')); ?>

                                                                        <?php elseif($activity->user['role_name'] == 'super-admin'): ?>
                                                                            <?php echo e(ucwords('Super Admin')); ?>

                                                                        <?php elseif($activity->user['role_name'] == 'facility'): ?>
                                                                            <?php echo e(ucwords('Facility')); ?>

                                                                        <?php endif; ?>
                                                                    </div>
                                                                <?php else: ?>
                                                                    <b class="text-primary"> <?php echo e(ucwords('System Generated')); ?> </b>
                                                                <?php endif; ?>
                                                            </td>
                                                            <td> <?php echo e($activity->message); ?> </td>
                                                            <td>
                                                                <?php if(!empty($activity->created_at) && !empty($hcp->state) && $activity->activity != 'points-deduction'): ?>
                                                                    <?php
                                                                        $time = Carbon\Carbon::parse($activity->created_at)
                                                                        ->setTimezone($hcp->state->time_zone_name);
                                                                    ?>
                                                                    <?php echo e($time->format('d M, Y h:i A')); ?>


                                                                <?php elseif(!empty($activity->created_at) && !empty($hcp->state)): ?>
                                                                    <?php
                                                                        $time = Carbon\Carbon::parse($activity->created_at);
                                                                    ?>
                                                                    <?php echo e($time->format('d M, Y h:i A')); ?>

                                                                <?php else: ?>
                                                                    N/A
                                                                <?php endif; ?>
                                                            </td>
                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <tr>
                                                        <td colspan="10" class="text-center"> No record found...</td>
                                                    </tr>
                                                <?php endif; ?>
                                                </tbody>
                                            </table>

                                            <div class="pagination">
                                                <?php echo e($hcpActivities->appends($request)->render()); ?>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/hcps/details.js')); ?>"></script>
    <script>
        $(function(){
            var hash = window.location.hash;
            hash && $('ul.nav a[href="' + hash + '"]').tab('show');
            $('.nav-tabs a').click(function (e) {
                $(this).tab('show');
                var scrollmem = $('body').scrollTop();
                window.location.hash = this.hash;
                $('html,body').scrollTop(scrollmem);
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/hcps/details.blade.php ENDPATH**/ ?>