<?php $__env->startSection('page-title', ' '.__('language.shifts_details_page_title').' | '.__('language.page_main_title').''); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/elements/avatar.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                          <h5> Track HCP </h5>
                    </div>
                </div>
                <?php if($shift_type=='2'): ?>
                <div class="row mt-2">
                    <div class="col-xl-3 col-lg-3 col-md-3 col-3 page-heading">
                        <?php echo e(Form::text('search_hcp','',['class' => 'form-control', 'id' => 'search_hcp', 'placeholder' =>'Search HCP', "onkeyup" => "searchHCP()"])); ?>

                        <ul id="hcp_list">
                            <?php $__currentLoopData = $hcps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$hcp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a href="#">
                                    <div class="form-group">
                                        <?php echo e(Form::checkbox('hcp',$key, true, ['id'=>'hcp_'.$key])); ?>

                                        <label for="hcp_<?php echo e($key); ?>"><?php echo e($hcp); ?></label>
                                    </div>    
                                </a>
                            </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <div class="col-xl-9 col-lg-9 col-md-9 col-9 page-heading">
                        <div id="loading-image" class="text-center">
                            <img src="<?php echo e(asset('admin-assets/images/loader.gif')); ?>"  width="30%"/>
                        </div>
                        <div id="error-msg" class="text-center">
                            <h2><i class="fa fa-warning"></i> No Records Found</h2>
                        </div>
                        <div id="map"></div>
                    </div>
                </div>
                <?php else: ?>
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                            <div id="loading-image" class="text-center">
                                <img src="<?php echo e(asset('admin-assets/images/loader.gif')); ?>" width="30%" />
                            </div>
                            <div id="error-msg" class="text-center">
                                <h2><i class="fa fa-warning"></i> No Records Found</h2>
                            </div>
                            <div id="map"></div>
                        </div>
                    </div>

                <?php endif; ?>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script
      src="https://maps.googleapis.com/maps/api/js?key=<?php echo e(env('GOOGLE_API_KEY')); ?>&callback=initMap&libraries=&v=weekly"
      defer
    ></script>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/facilities/facilities.js')); ?>"></script>

<script>
      $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });
</script>
<script>
var result_hcps=[];
$scope=[];
$scope.result_hcps=[];
var map='';
var markers=[];

        var check_map = false;
        var url='';
        var shift_type="<?php echo e($shift_type); ?>";

        function initMap(){
            map = new google.maps.Map(document.getElementById('map'), {
                          center: {lat: 20.291, lng: 153.027},
                          zoom: 3,
                          mapTypeId: 'terrain'
                        });

            
                myVar =setTimeout(function() {
                    createMap();
                    setInterval(function() {
                        createMap();
                    }, 50000);
                  clearTimeout(myVar);

                }, 10000);
        }

        window.onload =  function()  {
           initMap();
        }
        $('input[name="hcp"]').on('click',function(){
           createMap();
        });

        function createMap(){
            $('#error-msg').hide();
            deleteMarkers();
            if(shift_type==2){
                var hcp_ids=[];
                $("input:checkbox[name=hcp]:checked").each(function(){
                    hcp_ids.push($(this).val());
                });
                var url = '<?php echo e(route("adminPanel.shift.get-running-hcp-latlon", ":slug")); ?>';

                url = url.replace(':slug', hcp_ids);
            }
            else{
                var url="<?php echo e(route('adminPanel.shift.get-schedule-hcp-latlon',['id' => $shift_id])); ?>";
            }
            
            
                $.ajax({
                    'url':url,
                    beforeSend: function() {
                          $("#loading-image").show();                    },
                    success:function(resonse)
                    {

                        $("#loading-image").hide();
                        var res=JSON.parse(resonse);
                        result_hcps=[];
                        if(res!='')
                        {
                            $scope.hcp_list = res;
                            for (v = 0; v < $scope.hcp_list.length; v++) {
                                if ($scope.hcp_list[v].latitude) {
                                    
                                    var Lat=res[v].latitude;
                               
                                    var Lon=res[v].longitude;
                                    
                                    result_hcps.push({
                                            lat: Lat,
                                            lng: Lon,
                                            hcp: res[v].hcp,
                                            facility: res[v].facility,
                                            hcp_image: res[v].hcp_image,
                                            shift: res[v].shift,
                                        });
                                }
                            }
                            
                            var infowindow = new google.maps.InfoWindow();

                            
                            if (result_hcps.length > 0) {
                                var latLng = new google.maps.LatLng(result_hcps[0].lat, result_hcps[0].lng);
                            } 
                            
                            var mapOptions = {
                                center: latLng,
                                zoom: 5,
                                disableDefaultUI: true,
                                mapTypeId: google.maps.MapTypeId.ROADMAP,
                            };
                           
                            map = new google.maps.Map(document.getElementById("map"), mapOptions);
                            overlay = new google.maps.OverlayView();
                            overlay.draw = function () {};
                            overlay.setMap(map);


                            var marker = new google.maps.Marker({
                                map: map,
                            });


                        //Wait until the map is loaded
                        google.maps.event.addListenerOnce(map, 'idle', function () {
                            loadMarkers();
                        });


                    }
                    else{
                        $('#error-msg').show();
                        map = new google.maps.Map(document.getElementById('map'), {
                          center: {lat: 20.291, lng: 153.027},
                          zoom: 3,
                          mapTypeId: 'terrain'
                        });
                    }

                }
            });
        }

        function smoothZoom(map, level, cnt, mode) {
            if (mode == true) {
                if (cnt >= level) {
                    return;
                } else {
                    var z = google.maps.event.addListener(map, 'zoom_changed', function (event) {
                        google.maps.event.removeListener(z);
                        smoothZoom(map, level, cnt + 1, true);
                    });
                    setTimeout(function () {
                        map.setZoom(cnt)
                    }, 120);
                }
            } else {
                if (cnt <= level) {
                    return;
                } else {
                    var z = google.maps.event.addListener(map, 'zoom_changed', function (event) {
                        google.maps.event.removeListener(z);
                        smoothZoom(map, level, cnt - 1, false);
                    });
                    setTimeout(function () {
                        map.setZoom(cnt)
                    }, 1000);
                }
            }
        }

        function loadMarkers() {
            bowsers_dis = [];
            var records = result_hcps;

            for (var i = 0; i < records.length; i++) {
                var record = records[i];
                var markerPos = new google.maps.LatLng(record.lat, record.lng);

                var icon = {
                    url: record.hcp_image, // url
                    scaledSize: new google.maps.Size(30, 30), // scaled size
                    origin: new google.maps.Point(0, 0), // origin
                    anchor: new google.maps.Point(0, 0), // anchor
                };

                var diss = getDistanceFromLatLonInKm('26.2389469', '73.0243094', record.lat, record.lng);
                var marker = new google.maps.Marker({
                    map: map,
                    position: markerPos,
                    icon: icon
                });
                markers.push(marker);
                

                
             
                var infoWindowContent = "<div style='width:50%;margin:auto'><img src='"+record.hcp_image+"' style='border-radius:50%;width:100px;margin-bottom:10px'></div><div><h6>HCP: "+record.hcp+"</h6></div><div><h6>Facility: "+record.facility+"</h6></div><div><h6>Shift: "+record.shift+"</h6></div>";
                

                        smoothZoom(map, 10, map.getZoom(), true);

                addInfoWindow(marker, infoWindowContent, record, parseFloat(diss).toFixed(2), i);
            }


            function getDistanceFromLatLonInKm(lat1, lon1, lat2, lon2) {
                var R = 6371; // Radius of the earth in km
                var dLat = deg2rad(lat2 - lat1); // deg2rad below
                var dLon = deg2rad(lon2 - lon1);
                var a =
                    Math.sin(dLat / 2) * Math.sin(dLat / 2) +
                    Math.cos(deg2rad(lat1)) * Math.cos(deg2rad(lat2))
                    Math.sin(dLon / 2) * Math.sin(dLon / 2);
                var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1 - a));
                var d = R * c; // Distance in km
                return d;
            }
            function deg2rad(deg) {
                return deg * (Math.PI / 180)
            }
        }

            function deleteMarkers()
            {
                markers = [];
                setMapOnAll(null);

            }
            function setMapOnAll(map) {
                for (let i = 0; i < markers.length; i++) {
                    markers[i].setMap(map);
                  }
            }

        function addInfoWindow(marker, message, record, ik, index) {
            infowindow = new google.maps.InfoWindow({
                content: ''
            });
            google.maps.event.addListener(marker, 'click', function () {
                if (check_map == false) {
                    set_content(message);
                    infoWindow.open(map, marker);
                    check_map = true;
                } else {
                    check_map = false;
                    infoWindow.close();
                    set_content(message);
                    infoWindow.open(map, marker);
                    check_map = true;
                }
            });
        }

        function set_content(message) {
            infoWindow = new google.maps.InfoWindow({
                content: message,
            });
        }

        function searchHCP() {
          // Declare variables
          var input, filter, ul, li, a, i, txtValue;
          input = document.getElementById('search_hcp');
          filter = input.value.toUpperCase();
          ul = document.getElementById("hcp_list");
          li = ul.getElementsByTagName('li');

          // Loop through all list items, and hide those who don't match the search query
          for (i = 0; i < li.length; i++) {
            a = li[i].getElementsByTagName("a")[0];
            txtValue = a.textContent || a.innerText;
            if (txtValue.toUpperCase().indexOf(filter) > -1) {
              li[i].style.display = "";
            } else {
              li[i].style.display = "none";
            }
          }
        }


</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/shifts/track-hcp.blade.php ENDPATH**/ ?>