<?php $__env->startSection('page-title', ' '.__('language.facilities_details_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/elements/avatar.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/components/tabs-accordian/custom-tabs.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-12 page-heading">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="media">
                                    <div class="media-body profile-info ml-1">
                                        <h6>
                                            <?php if(!empty($facility->facility_name)): ?>
                                                <?php echo e(ucwords($facility->facility_name->name)); ?>

                                            <?php else: ?>
                                                <?php echo e(ucwords($facility->name)); ?>

                                            <?php endif; ?>
                                        </h6>
                                        <p class="meta-date-time">
                                            <?php echo e($facility->facility_prefix.$facility->id); ?>

                                            <span class="profile-rating"> <i data-feather="star" class="feather-16"></i>
                                                <?php if(!empty($facility->average_rating)): ?>
                                                    <?php echo e(round($facility->average_rating*2)/2); ?>

                                                <?php else: ?>
                                                    0
                                                <?php endif; ?>
                                            </span>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3"></div>
                            <div class="col-md-6 text-right">
                                <div class="float-right">
                                    <ul class="page-top-action">
                                        <li>
                                            <div class="dropdown custom-dropdown-icon pt0">
                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                                </a>
                                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                    <?php if($authUser->can('Edit Facilities')): ?>
                                                    <a href="<?php echo e(route('adminPanel.facilities.edit', ['id' => ev($facility->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>
                                                    <?php endif; ?>

                                                    <a href="<?php echo e(route('adminPanel.facilities.viewAllFavoritesHcps', ['id' => ev($facility->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.facility_view_favourite")); ?> </a>

                                                    <a href="<?php echo e(route('adminPanel.facilities.viewAllBlockedHcps', ['id' => ev($facility->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.facility_view_blocked")); ?> </a>

                                                    <?php
                                                        $pendingTransactionCount = get_facility_shift_pending_transactions($facility->id);
                                                    ?>

                                                    <?php if($facility->status == 'active'): ?>
                                                        <?php if($pendingTransactionCount == 0): ?>
                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facilities.changeStatus', ['id' => ev($facility->id), 'status' => 'inactive'])); ?>"> <?php echo e(__("language.inactive")); ?> </a>
                                                        <?php endif; ?>
                                                    <?php elseif($facility->status == 'inactive' || $facility->status == 'pending-approval'): ?>
                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facilities.changeStatus', ['id' => ev($facility->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.active")); ?> </a>
                                                    <?php endif; ?>

                                                    <?php if($pendingTransactionCount == 0): ?>
                                                    <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facilities.changeStatus', ['id' => ev($facility->id), 'status' => 'archived'])); ?>"> <?php echo e(__("language.facility_archived")); ?> </a>
                                                    <?php endif; ?>

                                                    <?php if(!empty($facility->plans[0]) && $facility->plans[0]->id == 4): ?>
                                                        <a href="#" class="dropdown-item" data-toggle="modal" data-target="#exampleModal"> Edit Trail Plan </a>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </li>
                                    </ul>
                                </div>

                                <?php if(!empty($facility->plans[0]) && $facility->plans[0]->id != 4): ?>
                                    <h5 class="text-warning float-right pr2">
                                        <b><?php echo e(__('language.facility_plan')); ?> <?php echo e(ucwords($facility->plans[0]->name)); ?>

                                            <?php if(!empty($subscription)): ?>
                                            , Next Payment Date <?php echo e(date('d M, Y', $subscription['current_period_end'])); ?>

                                            <?php endif; ?>
                                        </b>
                                    </h5>
                                <?php elseif(!empty($facility->plans[0]) && $facility->plans[0]->id == 4): ?>
                                <h5 class="text-warning float-right pr2">
                                    <b><?php echo e(__('language.facility_plan')); ?> <?php echo e(ucwords($facility->plans[0]->name)); ?>, Expiry Date <?php echo e(date('d M, Y', strtotime($facility->plans[0]->pivot->expiry_date))); ?></b>
                                </h5>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="widget-content widget-content-area animated-underline-content box-shadow-none">
                    <ul class="nav nav-tabs panel-tabs mb-3" id="animateLine" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">
                                <?php echo e(__('language.facility_profile_tab_heading')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="document-tab" data-toggle="tab" href="#document" role="tab" aria-controls="document" aria-selected="true">
                                <?php echo e(__('language.facility_document_tab_heading')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="shift-tab" data-toggle="tab" href="#shift" role="tab" aria-controls="shift" aria-selected="true">
                                <?php echo e(__('language.facility_shift_tab_heading')); ?>

                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="history-tab" data-toggle="tab" href="#history" role="tab" aria-controls="history" aria-selected="true">
                                <?php echo e(__('language.facility_history_tab_heading')); ?>

                            </a>
                        </li>
                        <li class="nav-item hide">
                            <a class="nav-link" id="favourite-tab" data-toggle="tab" href="#favourite" role="tab" aria-controls="favourite" aria-selected="false">
                                <?php echo e(__('language.facility_favourite')); ?>

                            </a>
                        </li>
                        <li class="nav-item hide">
                            <a class="nav-link" id="blocklist-tab" data-toggle="tab" href="#blocklist" role="tab" aria-controls="blocklist" aria-selected="false">
                                <?php echo e(__('language.facility_blocked')); ?>

                            </a>
                        </li>
                    </ul>

                    <div class="tab-content" id="animateLineContent-4">
                        <div class="tab-pane fade show active" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                            <div class="row">
                                <div class="col-md-8">
                                    <div class="row mb-2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_address')); ?> </label>
                                            <p class="text-dark"> <?php echo e($facility->address ?? 'N/A'); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_suburd_name')); ?> </label>
                                            <p class="text-dark"> <?php echo e($facility->suburb_name ?? 'N/A'); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_state_name')); ?> </label>
                                            <p class="text-dark">
                                                <?php if(!empty($facility->state)): ?>
                                                    <?php echo e($facility->state->name ?? 'N/A'); ?>

                                                <?php else: ?>
                                                N/A
                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_post_code')); ?> </label>
                                            <p class="text-dark"> <?php echo e($facility->post_code ?? 'N/A'); ?> </p>
                                        </div>
                                    </div>

                                    <div class="row mb-2">
                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_email')); ?> </label>
                                            <p class="text-dark"> <?php echo e($facility->user->email); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_contact_number')); ?> </label>
                                            <p class="text-dark"> <?php echo e($facility->contact_number); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_contact_person')); ?> </label>
                                            <p class="text-dark"> <?php echo e(ucwords($facility->contact_person ?? 'N/A')); ?> </p>
                                        </div>

                                        <div class="col-md-3">
                                            <label> <?php echo e(__('language.facility_group')); ?> </label>
                                            <p class="text-dark"> <?php echo e(ucwords($facility->facility_group->name ?? 'N/A')); ?> </p>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="mt-4 mb-4">
                                <h6 class="mb-2 text-primary"> <?php echo e(__('language.facility_plan_details')); ?> </h6>
                                <hr>

                                <div class="row mb-2">
                                    <div class="col-md-8">
                                        <?php if(isset($facility->plans) && !empty($facility->plans[0])): ?>
                                            <div class="row mb-2">
                                                <div class="col-md-3">
                                                    <label> <?php echo e(__('language.facility_plan')); ?> </label>
                                                    <p class="text-dark"> <?php echo e($facility->plans[0]->name); ?> </p>
                                                </div>

                                                <div class="col-md-3">
                                                    <label> <?php echo e(__('language.facility_plan_cycle')); ?> </label>
                                                    <?php if(!empty($facility->plans[0]->pivot->plan_cycle)): ?>
                                                    <p class="text-dark"> <?php echo e(ucwords(str_replace('_', ' ', $facility->plans[0]->pivot->plan_cycle))); ?> </p>
                                                    <?php else: ?>
                                                    <p class="text-dark">  N/A </p>
                                                    <?php endif; ?>
                                                </div>

                                                <div class="col-md-3">
                                                    <label> <?php echo e(__('language.facility_plan_start_date')); ?> </label>
                                                    <p class="text-dark">
                                                         <?php echo e(date("d F, Y", strtotime($facility->plans[0]->pivot->start_date))); ?>

                                                    </p>
                                                </div>

                                                <?php if(!empty($facility->plans[0]) && $facility->plans[0]->id != 4): ?>
                                                <div class="col-md-3">
                                                    <label> Next Payment Date </label>
                                                    <p class="text-dark">
                                                        <?php if(!is_null($subscription)): ?>
                                                            <?php echo e(date('d M, Y', $subscription['current_period_end'])); ?>

                                                        <?php else: ?>
                                                        N/A
                                                        <?php endif; ?>
                                                    </p>
                                                </div>
                                                <?php else: ?>
                                                <div class="col-md-3">
                                                    <label> Expiy Date </label>
                                                    <p class="text-dark">
                                                        <?php echo e(date("d F, Y", strtotime($facility->plans[0]->pivot->expiry_date))); ?>

                                                    </p>
                                                </div>
                                                <?php endif; ?>
                                            </div>

                                            <div class="row mb-2">
                                                <div class="col-md-3">
                                                    <label> <?php echo e(__('language.facility_plan_last_payment_date')); ?> </label>
                                                    <p class="text-dark">
                                                        <?php if(!empty($facility->plans[0]->pivot->last_payment_date)): ?>
                                                        <?php echo e(date("d F, Y", strtotime($facility->plans[0]->pivot->last_payment_date))); ?>

                                                        <?php else: ?>
                                                        N/A
                                                        <?php endif; ?>
                                                    </p>
                                                </div>

                                                <div class="col-md-3">
                                                    <label> <?php echo e(__('language.facility_plan_amount')); ?> </label>
                                                    <p class="text-dark">
                                                        <?php if(!empty($facility->plans[0]->pivot->payment_amount)): ?>
                                                        $<?php echo e($facility->plans[0]->pivot->payment_amount); ?>

                                                        <?php else: ?>
                                                        N/A
                                                        <?php endif; ?>
                                                    </p>
                                                </div>
                                            </div>
                                        <?php else: ?>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    N/A
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <?php if(!empty($facility->plans[0])): ?>
                                            <?php if(!empty($facility->plans[0]) && $facility->plans[0]->pivot->status == 'active'): ?>
                                            <h6 class="text-primary">Currently <?php echo e(ucwords($facility->plans[0]->pivot->status)); ?></h6>
                                            <?php else: ?>
                                            <h6 class="text-danger"><?php echo e(ucwords($facility->plans[0]->pivot->status)); ?></h6>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="document" role="tabpanel" aria-labelledby="document-tab">
                            <div class="row">
                                <div class="col-md-8">
                                    <h5> <?php echo e(__('language.hcp_documents')); ?> </h5>
                                </div>
                            </div>

                            <div>
                            <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'id' => 'filter-form', 'url' =>
                            route('adminPanel.facilities.details', ['id' => ev($facility->id), '#document'])]); ?>


                            <div class="row mt-3">
                                <div class="col-md-8">
                                    <div class="float-left">
                                        <label> <?php echo e(__('language.table_result')); ?> </label>
                                        <?php echo Form::select('document_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('document_per_page', ($request['document_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                    </div>

                                    <div class="float-left pl-2 search-box">
                                        <?php echo Form::text('document_search', old('document_search', ($request['document_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                        <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <?php echo Form::close(); ?>

                            </div>

                            <div class="pb-4">
                                <div class="table-responsive">
                                    <table class="table mb-4 mt-4" id="dataTable-documents-hcp">
                                        <thead>
                                            <th> <?php echo e(__('language.hcp_document_table_id')); ?> </th>
                                            <th> <?php echo e(__('language.hcp_document_table_name')); ?> </th>
                                            <th> <?php echo e(__('language.hcp_document_table_expiry')); ?> </th>
                                            <th> <?php echo e(__('language.hcp_professions_details')); ?> </th>
                                            <th> <?php echo e(__('language.table_action')); ?> </th>
                                        </thead>
                                        <tbody>
                                            <?php if(count($documents)): ?>
                                                <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td>

                                                        <div><?php echo e($document['document']->document_prefix . $document->document_id); ?></div>

                                                    </td>
                                                    <td> <?php echo e(ucwords($document['document']->name)); ?> </td>
                                                    <td>
                                                        <?php if(!empty($document->expiry_date)): ?>
                                                            <?php echo e(date("d F Y", strtotime($document->expiry_date))); ?>

                                                        <?php else: ?>
                                                            N/A
                                                        <?php endif; ?>
                                                    </td>
                                                    <td>
                                                        <?php if(!empty($document['document']->profession_id)): ?>
                                                            <?php echo e($document['document']['profession']->name); ?>

                                                        <?php else: ?>
                                                            N/A
                                                        <?php endif; ?>
                                                    </td>
                                                    <td>
                                                        <?php
                                                        $documentUrl = get_file_url(config('constants.facility.facility_path') . $facility->facility_prefix . $facility->id . '/documents/',
                                                        $document->document_name);
                                                        ?>
                                                        <ul class="datatable-action">
                                                            <li>
                                                                <div class="dropdown custom-dropdown-icon">
                                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                    </a>
                                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                        <a href="<?php echo e($documentUrl); ?>" class="dropdown-item" target="_blank">
                                                                            <?php echo e(__("language.download")); ?>


                                                                        </a>
                                                                    </div>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                    </td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <tr>
                                                    <td colspan="12" class="text-center"> No record found...</td>
                                                </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        <?php echo e($documents->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="shift" role="tabpanel" aria-labelledby="shift-tab">
                            <div class="row">
                                <div class="col-md-8">
                                    <h5> <?php echo e(__('language.hcp_shift')); ?> </h5>
                                </div>
                                <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                                    <?php if(!empty($request)): ?>
                                        <?php $filterApply = 'filter-icon-apply'; ?>
                                    <?php else: ?>
                                        <?php $filterApply = 'filter-icon'; ?>
                                    <?php endif; ?>
                                    <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                        <i class="fa fa-filter"></i>
                                    </button>
                                </div>
                            </div>

                            <div>
                                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'id' => 'shift-filter-form', 'url' =>
                                route('adminPanel.facilities.details', ['id' => ev($facility->id), '#shift'])]); ?>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="custom-datatable-filter hide pl-0">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::select('status', create_select_options(config('constants.shifts.status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]); ?>

                                                    </div>
                                                </div>

                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::text('date_range', old('date_range', ($request['date_range'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_range', 'placeholder' => __('language.shift_date_range')]); ?>

                                                    </div>
                                                </div>

                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <?php echo Form::select('shift_type', create_select_options(config('constants.shifts.shift_types'), 'caption', 'value',  __('language.shift_type')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]); ?>

                                                    </div>
                                                </div>

                                                <div class="col-md-12">
                                                    <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 mb2">
                                                    <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                                    <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                                </div>
                                            </div>

                                            <div class="filter-border"></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-3">
                                    <div class="col-md-8">
                                        <div class="float-left">
                                            <label> <?php echo e(__('language.table_result')); ?> </label>
                                            <?php echo Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                        </div>

                                        <div class="float-left pl-2 search-box">
                                            <?php echo Form::text('shift_hcp_search', old('shift_hcp_search', ($request['shift_hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>

                                    <div class="col-md-4 text-right">
                                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.shift.shiftExport', ['request' => $request, 'status' => 'all', 'facilityId' => $facility->id])); ?>">
                                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                        </a>
                                    </div>
                                </div>
                                <?php echo Form::close(); ?>

                            </div>

                            <div class="pb-4">
                                <div class="table-responsive">
                                    <table class="table mb-4 mt-4" id="dataTable-documents-hcp">
                                        <thead>
                                            <th> <?php echo e(__('language.shift_id')); ?> </th>
                                            <th> <?php echo e(__('language.booking_date')); ?> </th>
                                            <th> <?php echo e(__('language.shift_type')); ?> </th>
                                            <th> <?php echo e(__('language.cat_pro')); ?> </th>
                                            <th> <?php echo e(__('language.hcp_name')); ?> </th>
                                            <th> <?php echo e(__('language.word_wing')); ?>  </th>
                                            <th> <?php echo e(__('language.start_time')); ?> </th>
                                            <th> <?php echo e(__('language.end_time')); ?>  </th>
                                            <th> <?php echo e(__('language.total_hours')); ?>  </th>
                                            <th> <?php echo e(__('language.shift_suburb')); ?> </th>
                                            <th> <?php echo e(__('language.shift_state')); ?> </th>
                                            <th> <?php echo e(__('language.table_status')); ?> </th>
                                            <th> <?php echo e(__('language.table_action')); ?> </th>
                                        </thead>
                                        <tbody>
                                            <?php if(count($shifts)): ?>
                                                <?php $__currentLoopData = $shifts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shift): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td>
                                                        <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shift->id)])); ?>" class="text-primary">
                                                            <div><?php echo e($shift->shift_prefix . $shift->id); ?></div>
                                                        </a>
                                                    </td>
                                                    <td>
                                                        <?php echo e(date("d M Y", strtotime($shift->created_at))); ?>

                                                    </td>
                                                    <td> <?php echo e(ucwords($shift->shift_type)); ?> </td>
                                                    <td>
                                                        <div><?php echo e(ucwords($shift->profession->name)); ?></div>
                                                        <div class="font-size-12"> <?php echo e(ucwords($shift->category->name)); ?> </div>
                                                    </td>
                                                    <td>
                                                        <?php if(!empty($shift['hcp'])): ?>
                                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shift['hcp']->id)])); ?>" class="text-primary">
                                                            <div><?php echo e(ucwords($shift['hcp']->first_name.' '.$shift['hcp']->last_name)); ?></div>
                                                        </a>
                                                        <div class="font-size-12">
                                                            <?php if(!empty($shift['hcp'])): ?>
                                                                <?php echo e($shift['hcp']->contact_number); ?>

                                                            <?php endif; ?>
                                                        </div>
                                                        <?php else: ?>
                                                            N/A
                                                        <?php endif; ?>
                                                    </td>
                                                    <td> <?php echo e($shift->word_wing); ?></td>
                                                    <td>
                                                        <div><?php echo e(date("d F", strtotime($shift->start_time))); ?></div>
                                                        <?php echo e(date("h:i A", strtotime($shift->start_time))); ?>

                                                    </td>
                                                    <td>
                                                        <div><?php echo e(date("d F", strtotime($shift->end_time))); ?></div>
                                                        <?php echo e(date("h:i A", strtotime($shift->end_time))); ?>

                                                    </td>
                                                    <td> <?php echo e($shift->hours); ?> Hrs</td>
                                                    <td>
                                                        <?php if(!empty($shift['facility']->suburb_name)): ?>
                                                            <?php echo e($shift['facility']->suburb_name); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                    <td>
                                                        <?php if(!empty($shift['facility']->state)): ?>
                                                            <?php echo e($shift['facility']->state->short_form); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                    <td>
                                                        <?php if($shift['shift_status'] == '0'): ?>
                                                            <div class="text-warning font-weight-bold"> <?php echo e(__("language.shift_status_pending")); ?> </div>
                                                        <?php elseif($shift['shift_status'] == '1'): ?>
                                                            <div class="text-info font-weight-bold"> <?php echo e(__("language.shift_status_scheduled")); ?> </div>
                                                        <?php elseif($shift['shift_status'] == '2'): ?>
                                                            <div class="text-success font-weight-bold"> <?php echo e(__("language.shift_status_running")); ?> </div>
                                                        <?php elseif($shift['shift_status'] == '3'): ?>
                                                            <div class="text-danger font-weight-bold"> <?php echo e(__("language.shift_status_cancelled")); ?> </div>
                                                        <?php elseif($shift['shift_status'] == '4'): ?>
                                                            <div class="text-success font-weight-bold"> <?php echo e(__("language.shift_status_completed")); ?> </div>
                                                        <?php elseif($shift['shift_status'] == '5'): ?>
                                                            <div class="text-info font-weight-bold"> <?php echo e(__("language.shift_status_transfered")); ?> </div>
                                                        <?php elseif($shift['shift_status'] == '6'): ?>
                                                            <div class="text-success font-weight-bold"> <?php echo e(__("language.shift_status_past")); ?> </div>
                                                        <?php endif; ?>
                                                    </td>

                                                    <td>
                                                        <ul class="datatable-action">
                                                            <li>
                                                                <div class="dropdown custom-dropdown-icon">
                                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                    </a>
                                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                        <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shift->id)])); ?>" class="dropdown-item">
                                                                            <?php echo e(__("language.details")); ?>

                                                                        </a>
                                                                    </div>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                    </td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <tr>
                                                    <td colspan="15" class="text-center"> No record found...</td>
                                                </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                    <div class="pagination">
                                        <?php echo e($shifts->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="history" role="tabpanel" aria-labelledby="history-tab">
                            <div class="row">
                                <div class="col-md-8">
                                    <h5> <?php echo e(__('language.facility_history_tab_heading')); ?> </h5>
                                </div>
                            </div>

                            <div class="pb-4">
                                <div class="table-responsive">
                                    <table class="table mb-4 mt-2" id="dataTable-history-hcp">
                                        <tbody>
                                            <?php if(count($facilityActivities)): ?>
                                                <?php $__currentLoopData = $facilityActivities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $activity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td class="pl-0">
                                                            <?php if(!empty($activity->user)): ?>
                                                                <b class="text-primary"> <?php echo e(ucwords($activity->user['name'])); ?> </b>
                                                                <div class="">
                                                                    <?php if($activity->user['role_name'] == 'sub-admin'): ?>
                                                                        <?php echo e(ucwords('Sub Admin')); ?>

                                                                    <?php elseif($activity->user['role_name'] == 'super-admin'): ?>
                                                                        <?php echo e(ucwords('Super Admin')); ?>

                                                                    <?php elseif($activity->user['role_name'] == 'facility'): ?>
                                                                        <?php echo e(ucwords('Facility')); ?>

                                                                    <?php endif; ?>
                                                                </div>
                                                            <?php else: ?>
                                                                <b class="text-primary"> <?php echo e(ucwords('System Generated')); ?> </b>
                                                            <?php endif; ?>
                                                        </td>
                                                        <td> <?php echo e(ucwords($activity->message)); ?> </td>
                                                        <td>
                                                            <?php if(!empty($activity->created_at)): ?>
                                                                <?php echo e(date("d M, Y h:i A", strtotime($activity->created_at))); ?>

                                                            <?php else: ?>
                                                                N/A
                                                            <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                            <tr>
                                                <td colspan="10" class="text-center"> No record found...</td>
                                            </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>

                                    <div class="pagination">
                                        <?php echo e($facilityActivities->appends($request)->render()); ?>

                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane hide" id="favourite" role="tabpanel" aria-labelledby="favourite-tab">
                            <div class="row mb-4">
                                <div class="col-md-6">
                                    <h5> <?php echo e(__('language.facility_favourite_hcp')); ?> </h5>
                                </div>
                                <div class="col-md-6 text-right">
                                    <a href="<?php echo e(route('adminPanel.hcps.viewAllHcpForFavoritesAndBlocklist', ['facilityId' => ev($facility->id)])); ?>">
                                        <button class="btn btn-icon btn-primary btn-sm  mb-2">
                                            <i class="fa fa-plus"></i> &nbsp; <?php echo e(__('language.add_new')); ?>

                                        </button>
                                    </a>
                                </div>
                            </div>

                            <div>
                                <div class="table-responsive">
                                    <table class="table mb-4" id="dataTable-favourite-hcp">
                                        <thead>
                                            <tr>
                                                <th> <?php echo e(__('language.table_hcp_id')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_name')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_category')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_profession')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_contact_number')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_email')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_suburb')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_state')); ?> </th>
                                                <th> <?php echo e(__('language.table_action')); ?> </th>
                                            </tr>
                                            <?php if(count($hcpFavourites)): ?>
                                                <?php $__currentLoopData = $hcpFavourites; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $favourite): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td>
                                                            <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($favourite['hcp']->id)])); ?>">
                                                                <?php echo e($favourite['hcp']->hcp_prefix . $favourite['hcp']->id); ?>

                                                            </a>
                                                        </td>

                                                        <td>
                                                            <?php echo e(ucwords($favourite['hcp']->first_name . ' ' . $favourite['hcp']->last_name)); ?>

                                                        </td>

                                                        <td>
                                                            <?php if(count($favourite['hcp']->hcp_professions)): ?>
                                                                <?php echo e($favourite['hcp']->hcp_professions[0]['category']['name']); ?>

                                                            <?php else: ?>
                                                                N/A
                                                            <?php endif; ?>
                                                        </td>

                                                        <td>
                                                            <?php if(count($favourite['hcp']->hcp_professions)): ?>
                                                                <?php echo e($favourite['hcp']->hcp_professions[0]['profession']['name']); ?>

                                                            <?php else: ?>
                                                                N/A
                                                            <?php endif; ?>
                                                        </td>

                                                        <td> <?php echo e($favourite['hcp']->contact_number); ?> </td>

                                                        <td> <?php echo e($favourite['hcp']->user->email); ?> </td>

                                                        <td> <?php echo e($favourite['hcp']->suburb_name ?? 'N/A'); ?> </td>
                                                        <td>
                                                            <?php if(!empty($favourite['hcp']->state)): ?>
                                                                <?php echo e($favourite['hcp']->state->short_form); ?>

                                                            <?php else: ?>
                                                                N/A
                                                            <?php endif; ?>
                                                        </td>
                                                        <td>
                                                            <ul class="datatable-action">
                                                                <li>
                                                                    <div class="dropdown custom-dropdown-icon">
                                                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                            <a href="<?php echo e(route('adminPanel.facilities.removeFavouriteHcp', ['id' => $favourite['id'], 'facilityId' => $favourite['facility_id'] ])); ?>" class="dropdown-item"> <?php echo e(__("language.remove")); ?> </a>
                                                                        </div>
                                                                    </div>
                                                                </li>
                                                            </ul>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <tr>
                                                    <td colspan="12" class="text-center"> No record found...</td>
                                                </tr>
                                            <?php endif; ?>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane hide" id="blocklist" role="tabpanel" aria-labelledby="blocklist-tab">
                            <div class="row mb-4">
                                <div class="col-md-6">
                                    <h5> <?php echo e(__('language.facility_blocked_hcp')); ?> </h5>
                                </div>
                                <div class="col-md-6 text-right">
                                    <a href="<?php echo e(route('adminPanel.hcps.viewAllHcpForFavoritesAndBlocklist', ['facilityId' => ev($facility->id)])); ?>">
                                        <button class="btn btn-icon btn-primary btn-sm  mb-2">
                                            <i class="fa fa-plus"></i> &nbsp; <?php echo e(__('language.add_new')); ?>

                                        </button>
                                    </a>
                                </div>
                            </div>

                            <div>
                                <div class="table-responsive">
                                    <table class="table mb-4" id="dataTable-favourite-hcp">
                                        <thead>
                                            <tr>
                                                <th> <?php echo e(__('language.table_hcp_id')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_name')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_category')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_profession')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_contact_number')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_email')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_suburb')); ?> </th>
                                                <th> <?php echo e(__('language.table_hcp_state')); ?> </th>
                                                <th> <?php echo e(__('language.table_action')); ?> </th>
                                            </tr>
                                            <?php if(count($hcpBlocklist)): ?>
                                                <?php $__currentLoopData = $hcpBlocklist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blocklist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td>
                                                            <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($blocklist['hcp']->id)])); ?>">
                                                                <?php echo e($blocklist['hcp']->hcp_prefix . $blocklist['hcp']->id); ?>

                                                            </a>
                                                        </td>

                                                        <td>
                                                            <?php echo e(ucwords($blocklist['hcp']->first_name . ' ' . $blocklist['hcp']->last_name)); ?>

                                                        </td>

                                                        <td>
                                                            <?php if(count($blocklist['hcp']->hcp_professions)): ?>
                                                                <?php echo e($blocklist['hcp']->hcp_professions[0]['category']['name']); ?>

                                                            <?php else: ?>
                                                                N/A
                                                            <?php endif; ?>
                                                        </td>

                                                        <td>
                                                            <?php if(count($blocklist['hcp']->hcp_professions)): ?>
                                                                <?php echo e($blocklist['hcp']->hcp_professions[0]['profession']['name']); ?>

                                                            <?php else: ?>
                                                                N/A
                                                            <?php endif; ?>
                                                        </td>

                                                        <td> <?php echo e($blocklist['hcp']->contact_number ?? 'N/A'); ?> </td>

                                                        <td> <?php echo e($blocklist['hcp']->user->email); ?> </td>

                                                        <td> <?php echo e($blocklist['hcp']->suburb_name ?? 'N/A'); ?> </td>
                                                        <td>
                                                            <?php if(!empty($blocklist['hcp']->state)): ?>
                                                                <?php echo e($blocklist['hcp']->state->short_form); ?>

                                                            <?php else: ?>
                                                                N/A
                                                            <?php endif; ?>
                                                        </td>
                                                        <td>
                                                            <ul class="datatable-action">
                                                                <li>
                                                                    <div class="dropdown custom-dropdown-icon">
                                                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                                        </a>
                                                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                                            <a href="<?php echo e(route('adminPanel.facilities.removeFavouriteHcp', ['id' => $blocklist['id'], 'facilityId' => $blocklist['facility_id'] ])); ?>" class="dropdown-item"> <?php echo e(__("language.remove")); ?> </a>
                                                                        </div>
                                                                    </div>
                                                                </li>
                                                            </ul>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <tr>
                                                    <td colspan="12" class="text-center"> No record found...</td>
                                                </tr>
                                            <?php endif; ?>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Edit Trail Plan</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <?php echo Form::open(['class'=> 'modify_trial_plan_form', 'method' => 'post', 'url' => route('adminPanel.facilities.modify_trial_plan')]); ?>

      <div class="modal-body">
            <div class="row">
                <?php echo Form::hidden('plan_id', 4); ?>

                <?php if(isset($facility->plans) && !empty($facility->plans[0]) ): ?>
                    <?php echo Form::hidden('facility_plan_id', $facility->plans[0]->pivot->id); ?>

                <?php endif; ?>
                <?php echo Form::hidden('facility_id', $facility->id); ?>

                <div class="col-md-12">
                    <div class="form-group">
                        <label> Expire Date </label>
                        <?php echo Form::text('modify_expire_date', old('modify_expire_date', (isset($facility->plans) && !empty($facility->plans[0]) &&  $facility->plans[0]->pivot->expiry_date ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from']); ?>

                    </div>
                </div>
            </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
      </div>
      <?php echo Form::close(); ?>

    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/facilities/facilities.js')); ?>"></script>

<script>
    $(function(){
        var hash = window.location.hash;
        hash && $('ul.nav a[href="' + hash + '"]').tab('show');

        $('.nav-tabs a').click(function (e) {
            $(this).tab('show');
            var scrollmem = $('body').scrollTop();
            window.location.hash = this.hash;
            $('html,body').scrollTop(scrollmem);
        });
    });


    $(document).ready(function(){
        var $form = $(".modify_trial_plan_form");
        var $card_expiry_picker = $form.find(".date-picker");
        if ($card_expiry_picker.length) {
            $card_expiry_picker.flatpickr({
                format: "Y-m-d",
                minDate: "today",
            });
        }
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/facilities/details.blade.php ENDPATH**/ ?>