<?php
$authUser = auth()->user();
?>
<div class="sub-header-container">
    <header class="header navbar navbar-expand-sm">
        <a href="javascript:void(0);" class="sidebarCollapse" data-placement="bottom">
            <i data-feather="menu"></i>
        </a>

        <ul class="navbar-nav flex-row float-left">
            <li>
                <div class="page-header">
                    <nav class="breadcrumb-one" aria-label="breadcrumb">
                        <?php if(request()->is(Request::segment(1).'/dashboard*') || request()->is(Request::segment(1)) ): ?>
                            <ol class="breadcrumb">
                            <li class="breadcrumb-item active" aria-current="page" style="<?php echo e($authUser->hasRole('Super Admin') == true ? 'margin-top: 14px;': ''); ?>"> <?php echo app('translator')->get('language.dashboard_page_title'); ?> </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/categories*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/categories/create')): ?>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <span><?php echo e(__('language.settings_menu')); ?></span>
                                    </li>

                                    <li class="breadcrumb-item" aria-current="page">
                                        <a href="<?php echo e(route('adminPanel.hcp-configuration.index', ['category'])); ?>"><?php echo e(__('language.hcp_config_menu')); ?></a>
                                    </li>

                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/categories/*/edit')): ?>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <span><?php echo e(__('language.settings_menu')); ?></span>
                                    </li>

                                    <li class="breadcrumb-item" aria-current="page">
                                        <a href="<?php echo e(route('adminPanel.hcp-configuration.index', ['category'])); ?>"><?php echo e(__('language.hcp_config_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.categories_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/professions*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/professions/create')): ?>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <span><?php echo e(__('language.settings_menu')); ?></span>
                                    </li>

                                    <li class="breadcrumb-item" aria-current="page">
                                        <a href="<?php echo e(route('adminPanel.hcp-configuration.index', ['profession'])); ?>"><?php echo e(__('language.hcp_config_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/professions/*/edit')): ?>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <span><?php echo e(__('language.settings_menu')); ?></span>
                                    </li>

                                    <li class="breadcrumb-item" aria-current="page">
                                        <a href="<?php echo e(route('adminPanel.hcp-configuration.index', ['profession'])); ?>"><?php echo e(__('language.hcp_config_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.professions_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/levels*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/levels/create')): ?>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <span><?php echo e(__('language.settings_menu')); ?></span>
                                    </li>

                                    <li class="breadcrumb-item" aria-current="page">
                                        <a href="<?php echo e(route('adminPanel.hcp-configuration.index', ['level'])); ?>"><?php echo e(__('language.hcp_config_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/levels/*/edit')): ?>
                                    <li class="breadcrumb-item" aria-current="page">
                                        <span><?php echo e(__('language.settings_menu')); ?></span>
                                    </li>

                                    <li class="breadcrumb-item" aria-current="page">
                                        <a href="<?php echo e(route('adminPanel.hcp-configuration.index', ['level'])); ?>"><?php echo e(__('language.hcp_config_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.levels_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/facilities*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/facilities/create')): ?>
                                    <li class="breadcrumb-item"><a
                                            href="<?php echo e(route('adminPanel.facilities.active')); ?>"><?php echo e(__('language.facilities_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/facilities/*/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.facilities.active')); ?>"><?php echo e(__('language.facilities_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/facilities/*/details')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.facilities.active')); ?>"><?php echo e(__('language.facilities_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.details')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.facilities_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/hcps*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/hcps/create')): ?>
                                    <li class="breadcrumb-item"><a
                                            href="<?php echo e(route('adminPanel.hcps.activeHcps')); ?>"><?php echo e(__('language.hcps_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/hcps/*/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.hcps.activeHcps')); ?>"><?php echo e(__('language.hcps_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span></li>
                                <?php elseif(request()->is(Request::segment(1).'/hcps/*/details')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.hcps.activeHcps')); ?>"><?php echo e(__('language.hcps_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.details')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/hcps/lms')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.hcps.activeHcps')); ?>"><?php echo e(__('language.hcps_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.lms_hcps_menu')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.hcps_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/manage-document*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.manage_documents_menu')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/sub-admins*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/sub-admins/create')): ?>
                                    <li class="breadcrumb-item"><a
                                            href="<?php echo e(route('adminPanel.sub-admins.index')); ?>"><?php echo e(__('language.sub_admins_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/sub-admins/*/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.sub-admins.index')); ?>"><?php echo e(__('language.sub_admins_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/sub-admins/*/details')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.sub-admins.index')); ?>"><?php echo e(__('language.sub_admins_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.details')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.sub_admins_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/public-holidays*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/public-holidays/create')): ?>
                                    <li class="breadcrumb-item"><a
                                            href="<?php echo e(route('adminPanel.public-holidays.index')); ?>"><?php echo e(__('language.public_holiday_configuration_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/public-holidays/*/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.public-holidays.index')); ?>"><?php echo e(__('language.public_holiday_configuration_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/public-holidays/facilities')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.public_holiday_facility_page_title')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.public_holiday_configuration_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/plans*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/plans/create')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.plans.index')); ?>"><?php echo e(__('language.plan_configuration_page_title')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/plans/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.plans.index')); ?>"><?php echo e(__('language.plan_configuration_page_title')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.plan_configuration_page_title')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/config*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item" aria-current="page">
                                    <span><?php echo e(__('language.settings_menu')); ?></span>
                                </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.general_config')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/hcp-configuration*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item" aria-current="page">
                                    <span><?php echo e(__('language.settings_menu')); ?></span>
                                </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.hcp_config_menu')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/document-config*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item" aria-current="page">
                                    <span><?php echo e(__('language.settings_menu')); ?></span>
                                </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.document_configuration_menu')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/supporting-pages*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item" aria-current="page">
                                    <span><?php echo e(__('language.settings_menu')); ?></span>
                                </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.supporting_pages_menu')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/rating-reviews*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.review_and_ratings_menu')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/doc_notification*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.document_notifications_menu')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/shifts*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item" aria-current="page"> <a href="#"><?php echo app('translator')->get('language.shifts_menu'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/shifts/create')): ?>
                                    <li class="breadcrumb-item"><a
                                            href="<?php echo e(route('adminPanel.shift.pending')); ?>"><?php echo e(__('language.pending_shifts_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/*/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.pending')); ?>"><?php echo e(__('language.pending_shifts_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/get-transfer-hcps/*')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.scheduled')); ?>"><?php echo e(__('language.scheduled_shifts_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.shift_transfer_page')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/*/details')): ?>
                                    <?php $shift = get_shift_status(dv(Request::segment(3))); ?>

                                    <?php if($shift['shift_status'] == '1' && empty($shift['shift_transfer_swap_status'])): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.scheduled')); ?>"><?php echo e(__('language.scheduled_shifts_menu')); ?></a>
                                    </li>
                                    <?php elseif($shift['shift_status'] == '2' && empty($shift['shift_transfer_swap_status'])): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.running')); ?>"><?php echo e(__('language.running_shifts_menu')); ?></a>
                                    </li>
                                    <?php elseif($shift['shift_status'] == '4' && empty($shift['shift_transfer_swap_status'])): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.completed')); ?>"><?php echo e(__('language.completed_shifts_menu')); ?></a>
                                    </li>
                                    <?php elseif($shift['shift_status'] == '3' && empty($shift['shift_transfer_swap_status'])): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.cancelled')); ?>"><?php echo e(__('language.cancelled_shifts_menu')); ?></a>
                                    </li>
                                    <?php elseif($shift['shift_status'] == '6' && empty($shift['shift_transfer_swap_status'])): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.past')); ?>"><?php echo e(__('language.past_shifts_menu')); ?></a>
                                    </li>
                                    <?php elseif($shift['shift_transfer_swap_status'] == 'transferred'): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.transferred')); ?>"><?php echo e(__('language.transfer_shifts_menu')); ?></a>
                                    </li>
                                    <?php elseif($shift['shift_transfer_swap_status'] == 'swapped'): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.swapped')); ?>"><?php echo e(__('language.swapped_shifts_menu')); ?></a>
                                    </li>
                                    <?php else: ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.shift.pending')); ?>"><?php echo e(__('language.pending_shifts_menu')); ?></a>
                                    </li>
                                    <?php endif; ?>

                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.details')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/pending')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.pending_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/scheduled')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.scheduled_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/running')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.running_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/completed')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.completed_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/*/rebroadcast')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.rebroadcast_shift_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/buddy-requests')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.buddy_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/buddy-shifts')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.buddy_shifts_fc_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/cancelled')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.cancelled_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/transferred')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.transfer_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/swapped')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.swapped_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/past')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.past_shifts_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/track-running-hcp')): ?>
                                <li class="breadcrumb-item active" aria-current="page">
                                    <span>Track Running HCP</span>
                                </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/track-hcp/*')): ?>
                                <li class="breadcrumb-item active" aria-current="page">
                                    <span>Track HCP</span>
                                </li>
                                <?php elseif(request()->is(Request::segment(1).'/shifts/all-shifts')): ?>
                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.shift_total_request_last_days')); ?></span>
                                </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.pending_shifts_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                         <?php if(request()->is(Request::segment(1).'/accounts*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>
                                <li class="breadcrumb-item" aria-current="page"> <a href="#"><?php echo app('translator')->get('language.accounts_menu'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/accounts/facility') || request()->is(Request::segment(1).'/accounts/details/*')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.facilities_accounts')); ?></span>
                                    </li>
                                <?php endif; ?>
                                <?php if(request()->is(Request::segment(1).'/accounts/hcp') || request()->is(Request::segment(1).'/accounts/hcp_details/*') || request()->is(Request::segment(1).'/accounts/hcp-completed-shift')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.hcp_accounts')); ?></span>
                                    </li>
                                <?php endif; ?>

                                <?php if(request()->is(Request::segment(1).'/accounts/revenue-statement') || request()->is(Request::segment(1).'/accounts/revenue-statement-details/*')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.revenue_statement')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/notifications*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/notifications/create')): ?>
                                    <li class="breadcrumb-item"><a
                                            href="<?php echo e(route('adminPanel.notification.index')); ?>"><?php echo e(__('language.notifications_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/notifications/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.notification.index')); ?>"><?php echo e(__('language.notifications_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.notifications_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/profile*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/profile')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.profile_menu')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/profile/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.profile.index')); ?>"><?php echo e(__('language.profile_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/profile/change-password')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.profile.index')); ?>"><?php echo e(__('language.profile_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.change_password_menu')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.profile_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/facility-manage-document*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <li class="breadcrumb-item active" aria-current="page">
                                    <span><?php echo e(__('language.manage_documents_menu')); ?></span>
                                </li>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/facility-groups*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/facility-groups/*/view-facilities')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.facility-groups.index')); ?>"><?php echo e(__('language.facility_group_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.view_facility_group_facilities')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.facility_group_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>

                        <?php if(request()->is(Request::segment(1).'/facility-names*')): ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item" aria-current="page"> <a href="<?php echo e(route('adminPanel.dashboard')); ?>"><?php echo app('translator')->get('language.dashboard_page_title'); ?></a> </li>

                                <?php if(request()->is(Request::segment(1).'/facility-names/create')): ?>
                                    <li class="breadcrumb-item"><a
                                            href="<?php echo e(route('adminPanel.facility-names.index')); ?>"><?php echo e(__('language.facility_name_list_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.create')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/facility-names/*/edit')): ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo e(route('adminPanel.facility-names.index')); ?>"><?php echo e(__('language.facility_name_list_menu')); ?></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.edit')); ?></span>
                                    </li>
                                <?php elseif(request()->is(Request::segment(1).'/facility-names/facilities')): ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.facility_name_list_page_title')); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li class="breadcrumb-item active" aria-current="page">
                                        <span><?php echo e(__('language.facility_name_list_menu')); ?></span>
                                    </li>
                                <?php endif; ?>
                            </ol>
                        <?php endif; ?>
                    </nav>
                </div>
            </li>

            <?php if( request()->is(Request::segment(1).'/dashboard*') || request()->is(Request::segment(1))): ?>
                <?php if($authUser->hasRole('Super Admin') == true): ?>
                <?php echo Form::open(['class' => 'state-filter-form', 'method' => 'get', 'url' => route('adminPanel.dashboard') ]); ?>

                <div class="row">
                    <div class="col-md-12 form-group mb0">
                        <?php echo Form::select('state_id', create_select_options($states, 'name', 'id', __('language.state')),old('state_id', ($request['state_id'] ?? null)),  ['class' => 'form-control select-picker mt-1 dashborad-filter-input', 'id' => 'state', "onchange" => "this.form.submit()", 'title' =>  __('language.state')]); ?>

                    </div>
                </div>
                <?php echo Form::close(); ?>

                <?php elseif($authUser->hasRole('Facility Group Admin') == true || $authUser->hasRole('Facility Group') == true || $authUser->hasRole('Facility Group Sub Admin') == true): ?>

                <div class="row">
                    <?php if($authUser->hasRole('Facility Group Admin') == true ): ?>
                    <div class="col-md-7 form-group mb0">
                        <?php echo Form::select('facility_group_id', create_select_options($facility_groups, 'name', 'id', __('language.facility_group')),old('facility_group_id', ($request['facility_group_id'] ?? null)),  ['class' => 'form-control select-picker mt-1 select-facility-group','data-url' => route('adminPanel.facility-groups.getFacilities'), 'id' => 'facility_group', 'title' =>  __('language.facility_group')]); ?>

                    </div>
                    <?php endif; ?>

                        <?php echo Form::open(['class' => 'facility-filter-form', 'method' => 'get', 'url' => route('adminPanel.dashboard') ]); ?>

                        <div class="col-md-5 form-group mb0"  style="max-width:100%">
                        <select name="facility" id="facility" class="form-control select-picker facility-plan" title="<?php echo e(__('language.facility')); ?>" onchange = "this.form.submit()">
                            <option value=""><?php echo e(__('language.facility')); ?></option>
                            <?php if(!empty($facilities)): ?>
                                <?php $__currentLoopData = $facilities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $facility): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($facility->id); ?>" <?php if(isset($request['facility']) && ($request['facility']==$facility->id)) echo 'selected'; ?>><?php echo e($facility->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                    <?php echo Form::close(); ?>

                </div>

                <?php endif; ?>
            <?php endif; ?>
        </ul>

        <div class="top-header-button">
            <?php if($authUser->can('Add Shifts') || $authUser->can('Facility Add Shifts')): ?>
            <a href="<?php echo e(route('adminPanel.shift.create')); ?>" class="btn btn-primary btn-submit btn-sm" type="button">
                <?php echo e(__('language.add_shift_button')); ?>

            </a>
            <?php endif; ?>
        </div>
        <div class="clearfix"></div>
    </header>

</div>

<!--  END NAVBAR  -->
<?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/layouts/main-breadcrumb.blade.php ENDPATH**/ ?>