<?php $__env->startSection('page-title', ' '.__('language.facilities_shift_accounts').' | '.__('language.page_main_title').''); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.facilities_shift_accounts')); ?></h5>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div>
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.accounts.facilityShiftAccount'), 'id' => 'filter-form']); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2 hide">
                                            <div class="form-group">
                                                <?php echo Form::select('status', create_select_options(config('constants.invoice_status_facility_admin'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.accounts.exportfacilityShiftAccount',['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>


                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> <?php echo e(__('language.accounts_table_invoice_id')); ?> </th>
                                <?php if($authUser->hasRole('Facility Group Admin') == true): ?>
                                    <th> <?php echo e(__('language.facility')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.accounts_table_invoice_date')); ?> </th>
                                <th> <?php echo e(__('language.accounts_table_due_date')); ?> </th>
                                <th> <?php echo e(__('language.accounts_table_paid_date')); ?> </th>
                                <th> <?php echo e(__('language.accounts_table_amount')); ?> </th>
                                <th> <?php echo e(__('language.status')); ?> </th>
                                <th> <?php echo e(__('language.action')); ?> </th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                                $facility_amount=0;$admin_fees=0;
                            ?>
                            <?php $__empty_1 = true; $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <?php
                                    $facility_amount=$facility_amount+$transaction->total_facility_amount;
                                    $admin_fees=$admin_fees+$transaction->total_admin_fees;
                                ?>
                                <tr>
                                    <td>
                                        <?php if(!empty($transaction->invoice_id)): ?>
                                            <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id), 'invoiceId' => ev($transaction->invoice_id) , 'invoiceId' => ev($transaction->invoice_id)])); ?>">
                                                <?php echo e($transaction->invoice_prefix.$transaction->invoice_id); ?>

                                            </a>
                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <?php if($authUser->hasRole('Facility Group Admin') == true): ?>
                                       <td> <?php echo e($transaction->facility->name); ?></td>
                                    <?php endif; ?>
                                    <td>
                                        <?php if(!empty($transaction->invoice_created_at)): ?>
                                            <?php echo e(date("d M, Y", strtotime($transaction->invoice_created_at))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->invoice_overdue_date)): ?>
                                        <?php echo e(date("d M, Y", strtotime($transaction->invoice_overdue_date))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->paid_on)): ?>
                                            <?php echo e(date("d M, Y", strtotime($transaction->paid_on))); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>$<?php echo e($transaction->total_facility_amount); ?></td>
                                    <td>
                                        <?php
                                            $status = '';
                                            if ($transaction->status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($transaction->invoice_id != '' && $transaction->status == 'pending') {
                                                $status .= '<div class="text-dark font-weight-bold"> ' . __("language.account_status_invoiced") . ' </div>';
                                            }  else if ($transaction->status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($transaction->status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($transaction->status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>

                                                    <?php
                                                        if ($transaction->invoice_id != '' ) {
                                                            $filename = $transaction['invoice_file_name'];
                                                            if (config('filesystems.default') == config('constants.file_systems.PUBLIC.value')) {
                                                                $attach = url('public/storage/' . config('constants.facility.invoice_path')) . '/'.urlencode($filename);
                                                            } elseif (config('filesystems.default') == config('constants.file_systems.S3.value')) {
                                                                $bucket = env('AWS_BUCKET');
                                                                $region = env('AWS_DEFAULT_REGION');
                                                                $bucketBaseUrl = 'https://s3.' . $region . '.amazonaws.com/'. $bucket.'/';

                                                                // $attach = $bucketBaseUrl.config('constants.facility.invoice_path').urlencode($filename);
                                                                $S3NewURL = env('AWS_CloudFront_URL').'/'.config('constants.facility.invoice_path').urlencode($filename);
                                                                $attach = str_replace('#', '%23', $S3NewURL);
                                                            }
                                                        }
                                                    ?>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id), 'invoiceId' => ev($transaction->invoice_id) , 'invoiceId' => ev($transaction->invoice_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                        <a href="<?php echo e($attach); ?>" target="_blank" download  class="dropdown-item"> <?php echo e(__("language.account_invoice_download")); ?> </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($transactions->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/account/view.js')); ?>"></script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/accounts/facility-shift-account.blade.php ENDPATH**/ ?>