<?php $__env->startSection('page-title', ' '.__('language.document_config').' '); ?>

<?php $__env->startPush('styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5> <?php echo e(__('language.document_config_update')); ?> </h5>
                            <p> <?php echo e(trans('language.document_line')); ?> </p>
                        </div>
                    </div>

                    <div class="form p-3">
                        <?php echo Form::open(['class' => 'update-document-config-form', 'method' => 'post', 'url' => route('adminPanel.document-config.update', ['docId' => ev($document->id)]) ]); ?>


                            <div class="form-row mb-2">
                                <div class="form-group col-md-4">
                                    <?php echo Form::text('name', old('name', ($document->name ?? null)), ['class' => 'form-control input-readonly-new', 'id' => 'name', 'readonly' ]); ?>

                                </div>
                            </div>

                            <div class="row mt2">
                                <div class="col-xl-12 col-lg-12 col-md-12 col-12 text-left">
                                    <label> <?php echo e(__('language.document_config_choose_profession')); ?> </label>
                                    <?php if(!empty($professions)): ?>
                                        <div class="row pt1">
                                            <?php $__currentLoopData = $professions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $profession): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="form-group col-md-3">
                                                    <div class="n-chk">
                                                        <?php
                                                            $documentProfession = get_document_profession($document->id, $profession->id);
                                                        ?>

                                                        <?php if($documentProfession == true): ?>
                                                            <?php $professionCheck = 'checked' ?>
                                                        <?php else: ?>
                                                            <?php $professionCheck = '' ?>
                                                        <?php endif; ?>
                                                        <label class="new-control new-checkbox checkbox-dark text-dark">
                                                            <?php echo Form::checkbox('profession[]',  $profession['id'], null,  ['class' => 'new-control-input professions-checkbox' , 'id' => $profession['id'],  $professionCheck  ]); ?>

                                                            <span class="new-control-indicator"></span>
                                                            <?php echo e($profession['name']); ?>

                                                        </label>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    <?php endif; ?>
                                </div>

                                <div class="col-xl-12 col-lg-12 col-md-12 col-12 text-left">
                                    <div id="professions_error" class="mb-4"></div>
                                </div>
                            </div>

                            <?php echo e(Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.update'), ['class' => 'btn btn-primary btn-submit', 'type' => 'submit'] )); ?>


                        <?php echo Form::close(); ?>

                    </div>
                </div>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/config/document-config.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/documentConfigurations/edit.blade.php ENDPATH**/ ?>