<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- / CSRF Token -->

    <meta http-equiv="cache-control" content="max-age=0"/>
    <meta http-equiv="cache-control" content="no-cache"/>
    <meta http-equiv="expires" content="0"/>
    <meta http-equiv="pragma" content="no-cache"/>

    <title><?php echo $__env->yieldContent('page-title'); ?></title>

    <!-- Styles -->
    <link rel="shortcut icon" href="<?php echo e(asset('admin-assets/images/logo2.png')); ?>">
    <link href="https://fonts.googleapis.com/css?family=Nunito:400,600,700" rel="stylesheet" />
    <link href="<?php echo e(asset('admin-assets/css/bootstrap.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/plugins.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/plugins/loaders/custom-loader.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/plugins/bootstrap-select/bootstrap-select.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/custom.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/elements/alert.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/elements/tooltip.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/font-awesome.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/basscss.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/iziToast.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/elements/breadcrumb.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/widgets/modules-widgets.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/datatables.css')); ?>" rel="stylesheet">
    <?php echo $__env->yieldPushContent('styles'); ?>
    <!-- / Styles -->
    <?php
        $user = auth()->user();
    ?>
</head>

<body class="">

    <!-- BEGIN LOADER -->
    <div id="load_screen"> <div class="loader"> <div class="loader-content">
        <div class="spinner-grow align-self-center"></div>
    </div></div></div>
    <!--  END LOADER -->

    <!-- Include header -->
    <?php echo $__env->make('admin-panel.layouts.main-header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!--/ Include header -->

    <!-- Include breadcrumb -->
    <?php echo $__env->make('admin-panel.layouts.main-breadcrumb', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!--/ Include breadcrumb -->

    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="search-overlay"></div>

        <!-- Include sidebar  -->
        <?php echo $__env->make('admin-panel.layouts.main-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!--/ Include sidebar  -->


        <!-- Include Content  -->
        <div id="content" class="main-content">

            <div class="layout-px-spacing">
                <?php echo $__env->yieldContent('content'); ?>
            </div>

            <!-- Include footer  -->
            <?php echo $__env->make('admin-panel.layouts.main-footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <!--/ Include footer  -->
        </div>
        <!-- Include Content  -->

        <!-- Modal -->
        <div class="modal fade" id="pageModal" tabindex="-1" role="dialog" aria-labelledby="pageModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-loading"> Loading.... </div>
                </div>
            </div>
        </div>
        <!-- / Modal -->


        <!-- Medium Modal -->
        <div class="modal fade" id="pageModalMedium" tabindex="-1" role="dialog" aria-labelledby="pageModalMediumLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-loading"> Loading.... </div>
                </div>
            </div>
        </div>
        <!-- / Medium Modal -->

        <!-- Modal -->
        <div class="modal fade" id="termConditionModal" tabindex="-1" role="dialog" aria-labelledby="pageModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"> Term & Condition </h5>
                    </div>

                    <div class="modal-body term-condition-modal">
                        <div class="row">
                            <div class="col-md-12 box">
                                <?php
                                    $termCondition = get_supporting_page_data();
                                ?>
                                <p>
                                    <?php echo $termCondition['term_condition_facility_plan']; ?>

                                </p>
                            </div>
                        </div>

                        <div class="navWrap"></div>
                    </div>
                    <div class="modal-footer">
                        <p class="pt1">Scroll down to accept term & conditions.</p>
                        <button class="btn btn-dark term-condition-btn" disabled>Accept</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- / Modal -->

    </div>

    <!-- Scripts -->
    <script src="<?php echo e(asset('admin-assets/js/libs/jquery-3.1.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/bootstrap/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/bootstrap/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/additional-methods.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/jquery.validate.file.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/plugins/perfect-scrollbar/perfect-scrollbar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/plugins/bootstrap-select/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/admin.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/custom.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/feather-icons/feather.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/iziToast.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/js/app.js')); ?>"></script>
    <script>
        window.addEventListener("load", function(){
            var load_screen = document.getElementById("load_screen");
            document.body.removeChild(load_screen);
        });
        $(document).ready(function() {
            Admin.init();
            feather.replace();


            /**
             * Logout Action.
             */
             var $source = $(".user-profile-dropdown");

            // Handle form submission event
            $source.on("click", ".logout-link", function() {
                $this = $(this);
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Are you sure to want to logout?",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button><b>YES</b></button>",
                            function (instance, toast) {
                                $.ajax({
                                    type: "GET",
                                    url: $this.data("url"),
                                    beforeSend: function () {
                                        //
                                    },
                                    success: function (response) {
                                        location.reload();
                                    },
                                    error: function () {},
                                    complete: function () {
                                        //
                                    },
                                });
                                instance.hide(
                                    { transitionOut: "fadeOut" },
                                    toast,
                                    "button"
                                );
                            },
                            true,
                        ],
                        [
                            "<button>NO</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            });
        });
    </script>

    <script>
        <?php if(Session::has('notification')): ?>
            var notification = <?php echo json_encode(Session::get('notification'), 15, 512) ?>;

            // Show notification
            $(document).ready(function () {
                App.showNotification(notification);
            });
            //------------------
        <?php endif; ?>
    </script>

    <script>
        var SUPER_ADMIN = "<?php echo e($user->hasRole('Super Admin')); ?>";
        var DEV_CONFIG = JSON.parse(<?php echo json_encode(get_dev_configurations(), 15, 512) ?>);
        var GOOGLE_KEY = "<?php echo e(env('GOOGLE_API_KEY')); ?>";
    </script>

    <?php if($user->hasRole('Super Admin') == true): ?>
    <script>
        function notifications() {
            $.ajax({
                type: "GET",
                url: "<?php echo e(route('adminPanel.notification.getAdminNotificationForTopBar')); ?>",
                beforeSend: function() {
                    //
                },
                success: function(response) {
                    $('.notification-scroll').html(response);
                },
                error: function() {
                    //
                },
                complete: function() {
                    //
                }
            });
        }

        function notificationsCount() {
            $.ajax({
                type: "GET",
                url: "<?php echo e(route('adminPanel.notification.getAdminUnreadNotificationCount')); ?>",
                beforeSend: function() {
                    //
                },
                success: function(response) {
                    if(response.unread_notification_count > 0) {
                        $('.notification-count-div').html('<span class="badge badge-success"></span>');
                    } else {
                        $('.notification-count-div').html('');
                    }
                },
                error: function() {
                    //
                },
                complete: function() {
                    //
                }
            });
        }
        setInterval(function(){
            notifications();
            notificationsCount();
        }, 50000);
    </script>
    <?php endif; ?>

    <?php if($user->hasRole('Facility') == true): ?>
    <script>
        function notifications() {
            $.ajax({
                type: "GET",
                url: "<?php echo e(route('adminPanel.notification.getNotificationForTopBar')); ?>",
                beforeSend: function() {
                    //
                },
                success: function(response) {
                    $('.notification-scroll').html(response);
                },
                error: function() {
                    //
                },
                complete: function() {
                    //
                }
            });
        }

        function notificationsCount() {
            $.ajax({
                type: "GET",
                url: "<?php echo e(route('adminPanel.notification.getUnreadNotificationCount')); ?>",
                beforeSend: function() {
                    //
                },
                success: function(response) {
                    console.log(response.unread_notification_count);
                    if(response.unread_notification_count > 0) {
                        $('.notification-count-div').html('<span class="badge badge-success"></span>');
                    } else {
                        $('.notification-count-div').html('');
                    }
                },
                error: function() {
                    //
                },
                complete: function() {
                    //
                }
            });
        }
        setInterval(function(){
            notifications();
            notificationsCount();
        }, 50000);
    </script>

        <?php if($user->facility->term_condition_accept == '0'): ?>
        <script>
            $(window).on('load', function() {
                $('#termConditionModal').modal('show');
            });

            $(document).ready(function () {
                $('#termConditionModal').modal({
                    backdrop: 'static',
                    keyboard: false
                })

                $(".term-condition-btn").click(function(){
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(route('adminPanel.facilities.acceptTermCondition')); ?>",
                        data: {
                            facility_id: "<?php echo e($user->facility->id); ?>"
                        },
                        beforeSend: function() {
                            $('.term-condition-btn').html('Please wait...');
                        },
                        success: function(response) {
                            $('#termConditionModal').modal('toggle');
                        },
                        error: function() {
                            //
                        },
                        complete: function() {
                            $('#termConditionModal').modal('toggle');
                            $('.term-condition-btn').html('Accepted');
                        }
                    });
                });
            });

            $('.term-condition-modal').scroll(function() {
                var y = $(this).scrollTop();
                var navWrap = $('.navWrap').offset().top;
                if (y > navWrap) {
                    $('.term-condition-btn').removeClass('btn-dark');
                    $('.term-condition-btn').addClass('btn-primary');
                    $('.term-condition-btn').prop('disabled', false);
                }
            });
        </script>
        <?php endif; ?>
    <?php endif; ?>

    <?php echo $__env->yieldPushContent('scripts'); ?>
    <!-- / Scripts -->

    <?php if(isset($request['shortby_filter']) && !empty($request['shortby_filter'])): ?>
        <?php $ordering = 'false'; ?>
    <?php elseif(request()->is(Request::segment(1).'/shifts/*')): ?>
        <?php $ordering = 'false'; ?>
    <?php elseif(request()->is(Request::segment(1).'/shifts/*/details') || request()->is(Request::segment(1).'/shifts/*/assign-hcp')): ?>
        <?php $ordering = 'false'; ?>
    <?php else: ?>
        <?php $ordering = 'true'; ?>
    <?php endif; ?>
    <script src="<?php echo e(asset('admin-assets/js/plugins/table/datatable/datatables.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.table').DataTable( {
                "ordering": <?php echo e($ordering); ?>,
                "searching": false,
                "paging":   false,
                "info":     false,
                "order": [[ 0, "desc" ]]
            });
        });
    </script>

</body>
</html>
<?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/layouts/main-layout.blade.php ENDPATH**/ ?>