<?php $__env->startSection('page-title', ' '.__('language.sub_admins_details').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/elements/avatar.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-md-8 mb2">
                        <div class="media media-small pl-1">
                            <div class="w-img">
                                <?php if(isset($subAdmin) && !empty($subAdmin->image) ): ?>
                                    <?php
                                    $subAdminImage = get_file_url(config('constants.sub_admins.sub_admins_path') . $subAdmin->sub_admin_prefix .
                                    $subAdmin->id . '/image/', $subAdmin->image);
                                    ?>
                                <?php else: ?>
                                    <?php $subAdminImage = asset('admin-assets/images/dummy-doctor.png'); ?>
                                <?php endif; ?>
                                <?php echo e(Html::image($subAdminImage, 'avatar', array('class' => ''))); ?>

                            </div>
                            <div class="media-body profile-info">
                                <p class="text-dark mb-0"> <b><?php echo e(ucwords($subAdmin->name)); ?> <?php echo e(ucwords($subAdmin->surname ?? '')); ?></b> </p>
                                <p class=""> <?php echo e($subAdmin->sub_admin_prefix.$subAdmin->id); ?> </p>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 mb2 text-right">
                        <?php if($subAdmin->status == 'active'): ?>
                            <a href="<?php echo e(route('adminPanel.sub-admins.changeStatus', ['id' => ev($subAdmin->id), 'status' => 'inactive'])); ?>" class="btn btn-danger btn-sm mr-1">
                                <?php echo e(__('language.inactive')); ?>

                            </a>
                        <?php else: ?>
                            <a href="<?php echo e(route('adminPanel.sub-admins.changeStatus', ['id' => ev($subAdmin->id), 'status' => 'active'])); ?>" class="btn btn-primary btn-sm mr-1">
                                <?php echo e(__('language.active')); ?>

                            </a>
                        <?php endif; ?>

                        <?php if($authUser->can('Edit Sub Admins')|| $authUser->can('Facility Add Sub Admins')): ?>
                        <a href="<?php echo e(route('adminPanel.sub-admins.edit', ['id' => ev($subAdmin->id)])); ?>" class="btn btn-primary btn-sm mr-1">
                            <?php echo e(__('language.edit')); ?>

                        </a>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 page-heading mt1">
                        <div class="row mb-2">
                            <div class="col-md-4">
                                <label> <?php echo e(__('language.sub_admins_added_on')); ?> </label>
                                <p class="text-dark"> <?php echo e(date("d M, Y", strtotime($subAdmin->created_at))); ?> </p>
                            </div>

                            <div class="col-md-4">
                                <label> <?php echo e(__('language.sub_admins_email')); ?> </label>
                                <p class="text-dark"> <?php echo e($subAdmin->user->email); ?> </p>
                            </div>

                            <div class="col-md-4">
                                <label> <?php echo e(__('language.sub_admins_contact_no')); ?> </label>
                                <p class="text-dark"> <?php echo e($subAdmin->contact_number ?? 'N/A'); ?> </p>
                            </div>
                        </div>

                        <div class="row mb-2">
                            <div class="col-md-4">
                                <label> <?php echo e(__('language.sub_admins_username')); ?> </label>
                                <p class="text-dark"> <?php echo e($subAdmin->username); ?> </p>
                            </div>

                            <div class="col-md-4">
                                <label> <?php echo e(__('language.sub_admins_status')); ?> </label>
                                <?php if($subAdmin->status == 'inactive'): ?>
                                    <p class="text-warning font-weight-bold"><?php echo e(__("language.inactive")); ?></p>
                                <?php else: ?>
                                    <p class="text-success font-weight-bold"><?php echo e(__("language.active")); ?></p>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="row mb-2">
                            <div class="col-md-12">
                                <label> <?php echo e(__('language.sub_admins_permissions')); ?> </label>
                                <p class="text-dark">
                                <?php if(!empty($subAdmin->user->getPermissionNames())): ?>
                                    <?php $__currentLoopData = $subAdmin->user->getPermissionNames(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permissions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php echo e($permissions.','); ?>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/sub-admin/details.blade.php ENDPATH**/ ?>