<?php $__env->startSection('page-title', ' '.__('language.create_facility_page_title').' '); ?>


<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">

        <!-- Validation error -->
        <?php $__env->startComponent('admin-panel.validation.errors'); ?> <?php if (isset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147)): ?>
<?php $component = $__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147; ?>
<?php unset($__componentOriginalb1d0e3f80e7818f5d12d606e186fa92ed24d5147); ?>
<?php endif; ?>
<?php echo $__env->renderComponent(); ?>
        <!-- / Validation error -->

        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> <?php echo e(__('language.create_facility_page_title')); ?> </h5>
                    </div>
                </div>

                <div class="form p-3">
                    <?php echo Form::open(['class' => 'add-facilities-form', 'method' => 'post', 'url' => route('adminPanel.facilities.store'), 'files' => true ]); ?>


                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="facility_group"> <?php echo e(__('language.facility_group')); ?> </label>
                                <?php echo Form::select('facility_group', create_select_options($facilityGroups, 'name', 'id', null), null,  ['class' => 'form-control select-picker facility-group', 'id' => 'facility_group', 'title' => __('language.facility_group'), 'data-url' => route('adminPanel.facility-names.getFacilityNames')]); ?>

                            </div>

                            <div class="form-group col-md-3 facility-name-div">
                                <label for="facility_name_id"> <?php echo e(__('language.facility_name')); ?> </label>
                                <?php echo Form::select('facility_name_id', create_select_options([], 'name', 'id', null), null,  ['class' => 'form-control select-picker facility-name', 'id' => 'facility_name_id', 'title' => __('language.facility_name'), 'data-url' => route('adminPanel.facility-names.getFacilityNameDetails')]); ?>

                            </div>

                            <div class="form-group col-md-3 facility-name-div">
                                <label for="legal_entity_name"> <?php echo e(__('language.legal_entity_name')); ?> </label>
                                <?php echo Form::text('legal_entity_name', '', ['class' => 'form-control', 'id' => 'legal_entity_name', 'placeholder' => __('language.legal_entity_name')]); ?>

                            </div>

                            <?php echo Form::hidden('name', '', ['class' => 'form-control', 'id' => 'name', 'placeholder' => __('language.facility_name')]); ?>

                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="contact_person"> <?php echo e(__('language.facility_contact_person')); ?> </label>
                                <?php echo Form::text('contact_person', '', ['class' => 'form-control', 'id' => 'contact_person', 'placeholder' => __('language.facility_contact_person')]); ?>

                            </div>

                            <div class="form-group col-md-3">
                                <label for="email"> <?php echo e(__('language.facility_email')); ?> </label>
                                <?php echo Form::email('email', '', ['class' => 'form-control', 'id' => 'email', 'placeholder' => __('language.facility_email'), 'data-url' => route('adminPanel.dashboard.checkUserEmail')]); ?>

                            </div>

                            <div class="form-group col-md-3">
                                <label for="contact_number"> <?php echo e(__('language.facility_contact_number')); ?> </label>
                                <?php echo Form::text('contact_number', '', ['class' => 'form-control', 'id' => 'contact_number', 'placeholder' => __('language.facility_contact_number')]); ?>

                            </div>

                            <div class="form-group col-md-3">
                                <label for="email"> <?php echo e(__('language.additional_email')); ?> </label>
                                <?php echo Form::text('additional_email', old('additional_email', ($facility->additional_email ?? null)), ['class' => 'form-control', 'id' => 'additional_email', 'placeholder' => __('language.facility_enter_emails_separated_by_comma')]); ?>

                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3">
                                <label for="mobile_number"> <?php echo e(__('language.facility_mobile_number')); ?> </label>
                                <?php echo Form::text('mobile_number', old('mobile_number', ($facility->mobile_number ?? null)), ['class' => 'form-control', 'id' => 'mobile_number', 'placeholder' => __('language.facility_mobile_number')]); ?>

                            </div>
                            
                            <div class="form-group col-md-3 state-div">
                                <label for="state_id"> <?php echo e(__('language.facility_state')); ?> </label>
                                <?php echo Form::select('state_id', create_select_options($states, 'name', 'id', null), null,  ['class' => 'form-control select-picker state-city', 'id' => 'state_id', 'data-url' => route('adminPanel.state.getCities'), 'title' => __('language.facility_state')]); ?>

                            </div>

                            <div class="form-group col-md-3 address-div">
                                <label for="address"> <?php echo e(__('language.facility_address')); ?> </label>
                                <?php echo Form::text('address', '', ['class' => 'form-control', 'id' => 'address', 'placeholder' => __('language.facility_address')]); ?>

                            </div>

                            <div class="form-group col-md-3 city-div">
                                <label for="city_id"> <?php echo e(__('language.facility_city')); ?> </label>
                                <?php echo Form::text('city_name', '', ['class' => 'form-control input-readonly-new',  'id' => 'city_name',   'placeholder' => __('language.facility_city'), 'readonly' ]); ?>

                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="form-group col-md-3 suburb-div">
                                <label for="suburb_id"> <?php echo e(__('language.facility_suburd')); ?> </label>
                                <?php echo Form::text('suburb_name', '', ['class' => 'form-control input-readonly-new',  'id' => 'suburb_name',   'placeholder' => __('language.hcp_suburb'), 'readonly' ]); ?>

                            </div>

                            <div class="form-group col-md-3 post-code-div">
                                <label for="post_code"> <?php echo e(__('language.facility_post_code')); ?> </label>
                                <?php echo Form::text('post_code', '', ['class' => 'form-control input-readonly-new', 'id' => 'postcode', 'placeholder' => __('language.facility_post_code'), 'readonly']); ?>

                            </div>

                            <div class="form-group col-md-3">
                                <label for="email"> Additional Nurse Email </label>
                                <?php echo Form::text('additional_nurse_email', old('additional_nurse_email', ($facility->additional_nurse_email ?? null)), ['class' => 'form-control', 'id' => 'additional_nurse_email', 'placeholder' => __('language.facility_enter_emails_separated_by_comma')]); ?>

                            </div>

                            <?php echo Form::hidden('latitude', '', ['class' => 'form-control', 'id' => 'latitude', 'autocomplete' => 'off']); ?>

                            <?php echo Form::hidden('longitude', '', ['class' => 'form-control', 'id' => 'longitude', 'autocomplete' => 'off']); ?>

                        </div>

                        

                        

                        

                        <?php echo e(Form::button( '<i class="fa fa-save"></i> &nbsp;'. __('language.save'), ['class' => 'btn btn-primary btn-submit mt-2', 'type' => 'submit'] )); ?>


                    <?php echo Form::close(); ?>

                </div>
            </div>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/facilities/facilities.js')); ?>"></script>
<script src="https://maps.googleapis.com/maps/api/js?libraries=places&output=json&key=<?php echo e(env('GOOGLE_API_KEY')); ?>"  defer></script>
<script>
    $(document).ready(function() {
        var options = {
            componentRestrictions: {country: ['AU']}
        };
        var autocomplete = new google.maps.places.Autocomplete(address, options);
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            var latitude = place.geometry.location.lat();
            var longitude = place.geometry.location.lng();
            $('#latitude').val(latitude);
            $('#longitude').val(longitude);

            for (var i = 0; i < place.address_components.length; i++) {
                for (var j = 0; j < place.address_components[i].types.length; j++) {

                    if (place.address_components[i].types[j] == "administrative_area_level_2") {
                        $('#city_name').val(place.address_components[i].long_name);
                    }

                    if (place.address_components[i].types[j] == "locality") {
                        $('#suburb_name').val(place.address_components[i].long_name);
                    }

                    if (place.address_components[i].types[j] == "postal_code") {
                        $('#postcode').prop( "disabled", false );
                        $('#postcode').val(place.address_components[i].long_name);
                    }
                }
            }
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/facilities/create.blade.php ENDPATH**/ ?>