<?php $__env->startSection('page-title', ' '.__('language.account_facility_statement_details').' | '.__('language.page_main_title').''); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2 top-header">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5>
                                <span class="text-primary"><?php echo e($facility->name); ?></span> - Invoice
                            </h5>
                            <?php if(isset($details[0]['invoice_id']) && !empty($details[0]['invoice_id'])): ?>
                                <h6>
                                    <span class="text-primary">Invoice Id:</span> <?php echo e($details[0]->invoice_prefix.$details[0]->invoice_id); ?>,
                                    <span class="text-primary">Invoice Duration:</span> <?php echo e($details[0]->invoice_generated_date_range); ?>

                                </h6>
                            <?php endif; ?>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if(isset($details[0]['invoice_id']) && !empty($details[0]['invoice_id'])): ?>
                                <?php if($authUser->hasRole('Super Admin') == true): ?>
                                    <?php if(!empty($details[0]['invoice_id']) && $details[0]['status'] == 'pending'): ?>
                                        <a class="btn btn-sm btn-primary pay-now-link" data-url="<?php echo e(route('adminPanel.accounts.pay')); ?>"> <?php echo e(__('language.account_pay_button')); ?> </a>
                                    <?php endif; ?>

                                    <?php if(!empty($details[0]['invoice_id']) && $details[0]['status'] == 'overdue'): ?>
                                        <a class="btn btn-sm btn-primary pay-now-link" data-url="<?php echo e(route('adminPanel.accounts.pay')); ?>"> <?php echo e(__('language.account_pay_button')); ?> </a>
                                        <a class="btn btn-sm btn-warning send-reminder-link" data-url="<?php echo e(route('adminPanel.accounts.facilitySendReminder')); ?>"> <?php echo e(__('language.account_send_reminder_button')); ?> </a>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php
                                    if ($details[0]->invoice_id != '' ) {
                                        $filename = $details[0]['invoice_file_name'];
                                        if (config('filesystems.default') == config('constants.file_systems.PUBLIC.value')) {
                                            $attach = url('public/storage/' . config('constants.facility.invoice_path')) . '/'.urlencode($filename);
                                        } elseif (config('filesystems.default') == config('constants.file_systems.S3.value')) {
                                            $bucket = env('AWS_BUCKET');
                                            $region = env('AWS_DEFAULT_REGION');
                                            $bucketBaseUrl = 'https://s3.' . $region . '.amazonaws.com/'. $bucket.'/';
                                            $S3NewURL = env('AWS_CloudFront_URL').'/'.config('constants.facility.invoice_path').urlencode($filename);
                                            $attach = str_replace('#', '%23', $S3NewURL);
                                        }
                                    }
                                ?>
                                <a class="btn btn-sm btn-info" href="<?php echo e($attach); ?>" target="_blank" download>  <?php echo e(__("language.account_invoice_download")); ?> </a>

                                <?php echo Form::hidden('invoice_ids', old('invoice_ids', ($details[0]['invoice_id'] ?? null)), ['class' => 'form-control', 'id' => 'invoice_ids']); ?>

                            <?php endif; ?>

                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div class="row page-heading mt-3 mb-3">
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Schedule Shift </p>
                            <p class="text-center"><?php echo e($totalShifts); ?></p>
                        </div>
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Completed</p>
                            <p class="text-center"><?php echo e($completedShifts); ?></p>
                        </div>
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Approved</p>
                            <p class="text-center"><?php echo e(count($shiftDetails)); ?></p>
                        </div>
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Cancelled</p>
                            <p class="text-center"><?php echo e($cancelledShifts); ?></p>
                        </div>

                        <?php if($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true): ?>
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Admin Fee for <?php echo e(count($shiftDetails)); ?> shifts</p>
                            <?php $totalRevenue = 0; ?>
                            <?php if(count($shiftDetails)): ?>
                                <?php $__currentLoopData = $shiftDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(empty($detail['shift']['facility_cancelled_shift'])): ?>
                                        <?php
                                            $totalRevenue += $detail->total_admin_fees_with_loading;
                                        ?>
                                        
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <p class="text-center">$<?php echo e(number_format($totalRevenue, 2)); ?></p>
                        </div>
                        <?php endif; ?>
                    </div>

                    <?php if(isset($request['invoice_id']) && $request['invoice_id'] !=''): ?>
                        <?php $invoiceId = $request['invoice_id']; ?>
                    <?php else: ?>
                        <?php $invoiceId = ''; ?>
                    <?php endif; ?>

                    <div>
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'id' => 'filter-form', 'url' =>
                        route('adminPanel.accounts.details', ['facilityId' => ev($request['facility_id']), 'invoiceId' => ev($invoiceId)])]); ?>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-2 hide">
                                            <div class="form-group">
                                                <?php echo Form::select('status', create_select_options(config('constants.invoice_status_super_admin'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>

                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.accounts.facility-details-export',['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>

                <div class="container-fluid page-heading pt-3">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                                <tr>
                                    <th> <?php echo e(__('language.shift_id')); ?> </th>
                                    <th> <?php echo e(__('language.shift_type')); ?> </th>
                                    <th> <?php echo e(__('language.cat_pro')); ?> </th>
                                    <th> <?php echo e(__('language.level')); ?> </th>
                                    <th> <?php echo e(__('language.hcp_name')); ?> </th>
                                    <th> <?php echo e(__('language.shift_start')); ?> </th>
                                    <th> <?php echo e(__('language.shift_end')); ?> </th>
                                    <th> <?php echo e(__('language.accounts_table_approved_date')); ?> </th>
                                    <th> <?php echo e(__('language.accounts_table_invoice_id')); ?> </th>
                                    <th> <?php echo e(__('language.accounts_table_invoice_date')); ?> </th>
                                    <th> <?php echo e(__('language.accounts_table_paid_date')); ?> </th>
                                    <th> <?php echo e(__('language.total_hours')); ?> </th>
                                    <th> <?php echo e(__('language.shift_base_rate')); ?> </th>
                                    <th> <?php echo e(__('language.shift_loading_pay')); ?> </th>
		<th> Charge rate/hr </th>
                                    <th> <?php echo e(__('language.shift_total_pay')); ?> </th>
                                    <?php if($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true): ?>
                                    <th> <?php echo e(__('language.shift_total_admin_fees')); ?> </th>
                                    <?php endif; ?>
                                    <th> <?php echo e(__('language.shift_status')); ?> </th>
                                    <th> <?php echo e(__('language.action')); ?> </th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php $totalAmount = 0; ?>
                            <?php $__empty_1 = true; $__currentLoopData = $details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.accounts.shift_details', ['id' => ev($detail['shift']->id)])); ?>">
                                            <?php echo e($detail['shift']->shift_prefix.$detail['shift']->id); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail['shift']->shift_type)): ?>
                                            <?php echo e(ucwords($detail['shift']->shift_type)); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <div><?php echo e(ucwords($detail['shift']->profession->name)); ?></div>
                                        <div class="font-size-12"> <?php echo e(ucwords($detail['shift']->category->name)); ?> </div>
                                    </td>

                                    <td>
                                        <div><?php echo e($detail['shift']->level ? ucwords($detail['shift']->level->name) : 'N/A'); ?></div>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail['shift']->hcp)): ?>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($detail['shift']->hcp->id)])); ?>" class="text-primary">
                                            <div><?php echo e(ucwords($detail['shift']->hcp->first_name.' '.$detail['shift']->hcp->last_name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($detail['shift']->hcp)): ?>
                                                <?php echo e($detail['shift']->hcp->contact_number); ?>

                                            <?php endif; ?>
                                        </div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <?php if(!empty($detail['shift']->shift_approved_time)): ?>
                                    <td>
                                        <?php if(!empty($detail['shift']->approved_shift_start_time)): ?>
                                            <?php echo e(date("d M, Y h:i A", strtotime($detail['shift']->approved_shift_start_time))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($detail['shift']->approved_shift_end_time)): ?>
                                            <?php echo e(date("d M, Y h:i A", strtotime($detail['shift']->approved_shift_end_time))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <?php else: ?>
                                    <td>
                                        <?php if(!empty($detail['shift']->start_time)): ?>
                                            <?php echo e(date("d M, Y h:i A", strtotime($detail['shift']->start_time))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($detail['shift']->end_time)): ?>
                                            <?php echo e(date("d M, Y h:i A", strtotime($detail['shift']->end_time))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <?php endif; ?>

                                    <td>
                                        <?php if(!empty($detail['shift']->shift_approved_time)): ?>
                                            <?php echo e(date("d M, Y h:i A", strtotime($detail['shift']->shift_approved_time))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail->invoice_id)): ?>
                                            <?php echo e($detail->invoice_prefix.$detail->invoice_id); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail->invoice_created_at)): ?>
                                            <?php echo e(date("d M, Y", strtotime($detail->invoice_created_at))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail->paid_on)): ?>
                                            <?php echo e(date("d M, Y", strtotime($detail->paid_on))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php echo e($detail['shift']->working_hours); ?> Hrs
                                    </td>
                                    <td>
                                        $<?php echo e($detail['shift']->facility_per_rate); ?>

                                    </td>
                                    <td>
                                        <?php if(is_numeric($detail['shift']->shift_loading)): ?>
                                            $<?php echo e(number_format($detail['shift']->shift_loading*($detail['shift']->facility_per_rate/100), 2)); ?>

                                        <?php else: ?>
                                            $0.00
                                        <?php endif; ?>
                                    </td>
		<td>
                                        <?php
                                            $loading = 0;
                                            if (is_numeric($detail['shift']->shift_loading)){
                                            $loading = $detail['shift']->shift_loading*($detail['shift']->facility_per_rate/100);
                                            $charge_rate = $detail['shift']->facility_per_rate+$loading;
                                            }
                                        ?>
                                        <?php echo e('$'.number_format($charge_rate, 2)); ?>

                                    </td>
                                    <td>
                                        <?php if(!empty($detail['shift']['facility_cancelled_shift'])): ?>
                                            $<?php echo e($detail['shift']['facility_cancelled_shift']->penalty_amount); ?>

                                        <?php else: ?>
                                            <?php $totalAmount += $detail->facility_amount; ?>
                                            $<?php echo e($detail->facility_amount); ?>

                                        <?php endif; ?>
                                    </td>

                                    <?php if($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Sub Admin') == true): ?>
                                    <td>
                                        <?php if(is_numeric($detail['shift']->total_admin_fees_with_loading)): ?>
                                            $<?php echo e(number_format($detail['shift']->total_admin_fees_with_loading, 2)); ?>

                                        <?php else: ?>
                                            $0.00
                                        <?php endif; ?>
                                    </td>
                                    <?php endif; ?>

                                    <td>
                                        <?php
                                            $status = '';
                                            if($detail['shift']['shift_status'] == '3') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($detail->status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($detail->invoice_id != '' && $detail->status == 'pending') {
                                                $status .= '<div class="text-dark font-weight-bold"> ' . __("language.account_status_invoiced") . ' </div>';
                                            }  else if ($detail->status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($detail->status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($detail->status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="<?php echo e(route('adminPanel.accounts.shift_details',['id'=>ev($detail['shift']->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="20" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                            <tfoot>
                            <?php if(!$details->isEmpty()): ?>
                            <tr>
                                <td colspan="15" class="text-right"><b><?php echo e(__('language.account_table_total')); ?>: </b></td>
                                <td><b>$<?php echo e(number_format($totalAmount, 2)); ?></b></td>
                                <td colspan="4"></td>
                            </tr>
                            <?php endif; ?>
                            </tfoot>
                        </table>

                        <div class="pagination">
                            <?php echo e($details->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/account/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/accounts/details.blade.php ENDPATH**/ ?>