<?php $__env->startSection('page-title', ' '.__('language.sub_admins_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.sub_admins_page_title')); ?></h5>
                    </div>

                    <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                        <?php if($authUser->can('Add Sub Admins') || $authUser->can('Facility Add Sub Admins')): ?>
                        <a href="<?php echo e(route('adminPanel.sub-admins.create')); ?>" class="btn btn-primary btn-sm mr-1">
                            <?php echo e(__('language.add_button')); ?>

                        </a>
                        <?php endif; ?>

                        <?php if(!empty($request)): ?>
                            <?php $filterApply = 'filter-icon-apply'; ?>
                        <?php else: ?>
                            <?php $filterApply = 'filter-icon'; ?>
                        <?php endif; ?>
                        <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                            <i class="fa fa-filter"></i>
                        </button>
                    </div>
                </div>

                <div>
                <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                route('adminPanel.sub-admins.index'), 'id' => 'filter-form']); ?>

                <div class="row">
                    <div class="col-md-12">
                        <div class="custom-datatable-filter hide">
                            <div class="row">
                                <div class="col-md-12">
                                    <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <?php echo Form::select('status', create_select_options(config('constants.sub_admins_status'), 'caption', 'value',  __('language.sub_admins_status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status']); ?>

                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 mb2">
                                    <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-sm btn-primary apply-filter', 'type' => 'button'] )); ?>

                                    <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-sm  btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                </div>
                            </div>
                            <div class="filter-border"></div>
                        </div>
                    </div>
                </div>

                <div class="row pl-3 mt-3">
                    <div class="col-md-8">
                        <div class="float-left">
                            <label> <?php echo e(__('language.table_result')); ?> </label>
                            <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                        </div>

                        <div class="float-left pl-2 search-box">
                            <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                            <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                        </div>
                        <div class="clearfix"></div>
                    </div>

                    <div class="col-md-4 text-right">
                        <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.sub-admins.export', ['request' => $request])); ?>">
                            Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                        </a>
                    </div>
                </div>
                <?php echo Form::close(); ?>

                </div>

            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive  pb-5">
                    <table class="table mb-4 mt-3" id="dataTable-favourite-hcp">
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_sub_admins_id')); ?> </th>
                                <th> <?php echo e(__('language.table_sub_admins_name')); ?> </th>
                                <th> <?php echo e(__('language.table_sub_admins_added_on')); ?> </th>
                                <?php if($authUser->hasRole('Facility Group')): ?>
                                <th> <?php echo e(__('language.assigned')); ?> <?php echo e(__('language.facilities')); ?> </th>
                                <?php else: ?>
                                <th> <?php echo e(__('language.table_sub_admins_permissions')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.table_sub_admins_email')); ?> </th>
                                <th> <?php echo e(__('language.table_sub_admins_contact_number')); ?> </th>
                                <th> <?php echo e(__('language.table_status')); ?> </th>
                                <th> <?php echo e(__('language.table_action')); ?> </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(count($subAdmins)): ?>
                                <?php $__currentLoopData = $subAdmins; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subAdmin): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            <a href="<?php echo e(route('adminPanel.sub-admins.details', ['id' => ev($subAdmin->id)])); ?>">
                                                <?php echo e($subAdmin->sub_admin_prefix . $subAdmin->id); ?>

                                            </a>
                                        </td>
                                        <td> <?php echo e(ucwords($subAdmin->name)); ?> </td>
                                        <td> <?php echo e(date("d M Y", strtotime($subAdmin->created_at))); ?> </td>
                                        <td>
                                            <?php if($authUser->hasRole('Facility Group')): ?>
                                                <?php echo e($subAdmin->assigned_facilities); ?>

                                            <?php else: ?>
                                                <?php if(!empty($subAdmin->user->getPermissionNames())): ?>
                                                    <?php $__currentLoopData = $subAdmin->user->getPermissionNames(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permissions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e($permissions.','); ?>

                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </td>
                                        <td> <?php echo e($subAdmin->user->email); ?> </td>
                                        <td> <?php echo e($subAdmin->contact_number); ?> </td>
                                        <td>
                                            <?php if($subAdmin->status == 'inactive'): ?>
                                                <div class="text-warning font-weight-bold"><?php echo e(__("language.inactive")); ?></div>
                                            <?php else: ?>
                                                <div class="text-success font-weight-bold"><?php echo e(__("language.active")); ?></div>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <ul class="datatable-action">
                                                <li>
                                                    <div class="dropdown custom-dropdown-icon">
                                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                        </a>
                                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                            <?php if($authUser->can('Edit Sub Admins') || $authUser->can('Facility Edit Sub Admins')): ?>
                                                            <a href="<?php echo e(route('adminPanel.sub-admins.edit', ['id' => ev($subAdmin->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>
                                                            <?php endif; ?>

                                                            <a href="<?php echo e(route('adminPanel.sub-admins.details', ['id' => ev($subAdmin->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                            <?php if($subAdmin->status == 'inactive'): ?>
                                                                <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.sub-admins.changeStatus', ['id' => ev($subAdmin->id), 'status' => 'active','page' => 'listing'])); ?>"> <?php echo e(__("language.active")); ?> </a>
                                                            <?php else: ?>
                                                                <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.sub-admins.changeStatus', ['id' => ev($subAdmin->id), 'status' => 'inactive','page' => 'listing'])); ?>"> <?php echo e(__("language.inactive")); ?> </a>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                </li>
                                            </ul>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="12" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($subAdmins->appends($request)->render()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/sub-admins/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/sub-admin/index.blade.php ENDPATH**/ ?>