<?php $__env->startSection('page-title', ' '.__('language.account_facility_statement').' | '.__('language.page_main_title').''); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.account_facility_statement')); ?></h5>

                            <?php if(Request::segment(3) == 'facility'): ?>
                                <?php
                                    $activeSummary = 'btn-info';
                                    $activeDetailed = 'btn-outline-info';
                                ?>
                            <?php elseif(Request::segment(3) == 'facility-completed-shift'): ?>
                                <?php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-info';
                                ?>
                            <?php endif; ?>
                            <a href="<?php echo e(route('adminPanel.accounts.facility')); ?>" class="btn btn-sm <?php echo e($activeSummary); ?> mb-2 mt-2">
                                <?php echo e(__('language.account_hcp_statement_summary')); ?>

                            </a>
                            <a href="<?php echo e(route('adminPanel.accounts.facilityCompletedShift')); ?>" class="btn btn-sm <?php echo e($activeDetailed); ?> mb-2 mt-2 ml-2">
                                <?php echo e(__('language.account_hcp_statement_detailed')); ?>

                            </a>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div class="row page-heading mt-3 mb-3">
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Invoice Value</p>
                            <p class="text-center">$<?php echo e(number_format($shiftDetails->sum('total_facility_amount'), 2)); ?></p>
                        </div>

                        <?php if($authUser->hasRole('Facility') != true): ?>
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Admin Fee</p>
                            <?php
                                $totalRevenue = 0;
                                $adminTotal = 0;
                            ?>
                            <?php if(count($shiftDetails)): ?>
                                <?php $__currentLoopData = $shiftDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(empty($transaction['shift']['facility_cancelled_shift'])): ?>
                                        <?php
                                            $totalRevenue += $transaction->final_total_admin_fees_with_loading;
                                        ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <p class="text-center">$<?php echo e(number_format($totalRevenue, 2)); ?></p>
                        </div>
                        <?php endif; ?>
                    </div>

                    <div class="top-header">
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' => route('adminPanel.accounts.facility'), 'id' => 'filter-form']); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?php if($authUser->hasRole('Facility') != true): ?>
                                            <?php if(!empty($states)): ?>
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <label class="btn btn-custom-outline <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : ''); ?>">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="<?php echo e($state->id); ?>" autocomplete="off" <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : ''); ?>> <?php echo e($state->short_form); ?>

                                                        </label>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]); ?>

                                            </div>
                                        </div>

                                        <?php if($authUser->hasRole('Facility') != true): ?>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]); ?>

                                            </div>
                                        </div>
                                        <?php endif; ?>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('status', create_select_options(config('constants.invoice_status_super_admin'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'submit'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.accounts.facility-export',['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>

                                <?php if($authUser->hasRole('Super Admin') == true): ?>
                                    <?php if(isset($request['status']) && !empty($request['status'])): ?>
                                        <?php if($request['status'] == 'invoiced'): ?>
                                            <a class="btn btn-sm btn-primary pay-now-link" data-url="<?php echo e(route('adminPanel.accounts.pay')); ?>"> Pay Now </a>

                                        <?php elseif($request['status'] == 'overdue'): ?>
                                            <a class="btn btn-sm btn-warning pay-now-link" data-url="#"> Send Reminder </a>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>


                        <?php echo Form::hidden('invoice_ids', old('invoice_ids', ($request['invoice_ids'] ?? null)), ['class' => 'form-control', 'id' => 'invoice_ids']); ?>

                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                                <tr>
                                    <?php if(isset($request['status']) && !empty($request['status']) && $request['status'] == 'invoiced'): ?>
                                    <th class="checkbox-column">
                                        <label class="new-control new-checkbox checkbox-primary" style="height: 18px; margin: 0 auto;">
                                            <input type="checkbox" class="new-control-input todochkbox" id="todoAll">
                                            <span class="new-control-indicator"></span>
                                        </label>
                                    </th>
                                    <?php endif; ?>
                                    <th> <?php echo e(__('language.account_table_invoice_id')); ?> </th>
                                    <th> <?php echo e(__('language.account_table_facility')); ?> </th>
                                    <th> <?php echo e(__('language.account_table_invoice_date')); ?> </th>
                                    <th> <?php echo e(__('language.account_table_due_date')); ?> </th>
                                    <th> <?php echo e(__('language.account_table_paid_date')); ?> </th>
                                    <th> <?php echo e(__('language.account_table_amount')); ?> </th>
                                    <th> <?php echo e(__('language.account_table_admin_fees')); ?> </th>
                                    <th> <?php echo e(__('language.status')); ?> </th>
                                    <th> <?php echo e(__('language.action')); ?> </th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php
                                $facilityAmount = 0;
                                $adminFees = 0;
                            ?>
                            <?php $__empty_1 = true; $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <?php if(empty($transaction['shift']['facility_cancelled_shift'])): ?>
                                    <?php
                                        $facilityAmount = $facilityAmount+$transaction->total_facility_amount;
                                        $adminFees = $adminFees+$transaction->final_total_admin_fees_with_loading;
                                    ?>
                                <?php endif; ?>
                                <tr>
                                    <?php if(isset($request['status']) && !empty($request['status']) && $request['status'] == 'invoiced'): ?>
                                    <td class="checkbox-column">
                                        <label class="new-control new-checkbox checkbox-primary" style="height: 18px; margin: 0 auto;">
                                            <input type="checkbox" class="new-control-input todochkbox" name="invoice_checkbox" value="<?php echo e($transaction->invoice_id); ?>">
                                            <span class="new-control-indicator"></span>
                                        </label>
                                    </td>
                                    <?php endif; ?>
                                    <td>
                                        <?php if(!empty($transaction->invoice_id)): ?>
                                            <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id), 'invoiceId' => ev($transaction->invoice_id) , 'invoiceId' => ev($transaction->invoice_id)])); ?>">
                                                <?php echo e($transaction->invoice_prefix.$transaction->invoice_id); ?>

                                            </a>
                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($transaction['facility']->id)])); ?>">
                                            <div> <?php echo e(ucwords($transaction['facility']->name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($transaction['facility']->address)): ?>
                                                <?php echo e($transaction['facility']->address); ?>

                                            <?php endif; ?>
                                        </div>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->invoice_created_at)): ?>
                                            <?php echo e(date("d M, Y", strtotime($transaction->invoice_created_at))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->invoice_overdue_date)): ?>
                                        <?php echo e(date("d M, Y", strtotime($transaction->invoice_overdue_date))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->paid_on)): ?>
                                            <?php echo e(date("d M, Y", strtotime($transaction->paid_on))); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->total_facility_amount)): ?>
                                            $<?php echo e($transaction->total_facility_amount); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($transaction->final_total_admin_fees_with_loading)): ?>
                                            $<?php echo e($transaction->final_total_admin_fees_with_loading); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php
                                            $status = '';
                                            if ($transaction->status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($transaction->invoice_id != '' && $transaction->status == 'pending') {
                                                $status .= '<div class="text-dark font-weight-bold"> ' . __("language.account_status_invoiced") . ' </div>';
                                            }  else if ($transaction->status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($transaction->status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($transaction->status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <?php
                                                        if ($transaction->invoice_id != '' ) {
                                                            $filename = $transaction['invoice_file_name'];
                                                            if (config('filesystems.default') == config('constants.file_systems.PUBLIC.value')) {
                                                                $attach = url('public/storage/' . config('constants.facility.invoice_path')) . '/'.urlencode($filename);
                                                            } elseif (config('filesystems.default') == config('constants.file_systems.S3.value')) {
                                                                $bucket = env('AWS_BUCKET');
                                                                $region = env('AWS_DEFAULT_REGION');
                                                                $bucketBaseUrl = 'https://s3.' . $region . '.amazonaws.com/'. $bucket.'/';
                                                                $S3NewURL = env('AWS_CloudFront_URL').'/'.config('constants.facility.invoice_path').urlencode($filename);
                                                                $attach = str_replace('#', '%23', $S3NewURL);
                                                            }
                                                        }
                                                    ?>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <?php if($transaction->invoice_id != '' && $transaction->status == 'pending'): ?>
                                                            
                                                            <a href="#" data-url="<?php echo e(route('adminPanel.accounts.pay', ['id' => $transaction->invoice_id])); ?>" class="dropdown-item link-action">
                                                                <?php echo e(__('language.account_pay_button')); ?>

                                                            </a>
                                                            

                                                            <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id), 'invoiceId' => ev($transaction->invoice_id) , 'invoiceId' => ev($transaction->invoice_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                            <a href="<?php echo e($attach); ?>" target="_blank" download  class="dropdown-item"> <?php echo e(__("language.account_invoice_download")); ?> </a>
                                                        <?php elseif($transaction->invoice_id == '' &&  $transaction->status == 'pending'): ?>
                                                            <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                        <?php elseif($transaction->invoice_id != '' &&  $transaction->status == 'completed'): ?>
                                                            <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id), 'invoiceId' => ev($transaction->invoice_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                            <a href="<?php echo e($attach); ?>" target="_blank" download  class="dropdown-item"> <?php echo e(__("language.account_invoice_download")); ?> </a>
                                                        <?php elseif($transaction->invoice_id == '' &&  $transaction->status == 'cancelled'): ?>
                                                            <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                        <?php elseif($transaction->invoice_id != '' &&  $transaction->status == 'overdue'): ?>

                                                            
                                                            <a href="#" data-url="<?php echo e(route('adminPanel.accounts.pay', ['id' => $transaction->invoice_id])); ?>" class="dropdown-item link-action">
                                                                <?php echo e(__('language.account_pay_button')); ?>

                                                            </a>

                                                            <a href="#" data-url="<?php echo e(route('adminPanel.accounts.facilitySendReminder', ['id' => $transaction->invoice_id])); ?>" class="dropdown-item link-action">
                                                                <?php echo e(__('language.account_send_reminder_button')); ?>

                                                            </a>
                                                            

                                                            <a href="<?php echo e(route('adminPanel.accounts.details',['facilityId' => ev($transaction->facility_id), 'invoiceId' => ev($transaction->invoice_id) , 'invoiceId' => ev($transaction->invoice_id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>

                                                            <a href="<?php echo e($attach); ?>" target="_blank" download  class="dropdown-item"> <?php echo e(__("language.account_invoice_download")); ?> </a>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            <?php if(!$transactions->isEmpty()): ?>
                            <tr>
                                <?php if(isset($request['status']) && !empty($request['status']) && $request['status'] == 'invoiced'): ?>
                                <td colspan="6" class="text-right"><b><?php echo e(__('language.account_table_total')); ?>: </b></td>
                                <?php elseif(isset($request['status']) && !empty($request['status']) && $request['status'] == 'overdue'): ?>
                                <td colspan="6" class="text-right"><b><?php echo e(__('language.account_table_total')); ?>: </b></td>
                                <?php else: ?>
                                <td colspan="5" class="text-right"><b><?php echo e(__('language.account_table_total')); ?>: </b></td>
                                <?php endif; ?>
                                <td><b>$<?php echo e(number_format($facilityAmount, 2)); ?></b></td>
                                <td colspan="4"><b>$<?php echo e(number_format($adminFees, 2)); ?></b></td>
                            </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($transactions->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/account/view.js')); ?>"></script>

<script>
    $('#todoAll').click(function(e){
        var table= $(e.target).closest('table');
        $('td input:checkbox',table).prop('checked',this.checked);
    });

    $(".todochkbox").change(function() {
        var invoice = [];
        $.each($("input[name='invoice_checkbox']:checked"), function(){
            invoice.push($(this).val());
        });
        $('#invoice_ids').val(invoice.join(","));
        $('#invoice_ids').valid();
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/accounts/facility.blade.php ENDPATH**/ ?>