<?php $__env->startSection('page-title', ' '.__('language.manage_document').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/datatables.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.manage_document')); ?></h5>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if($authUser->can('Add Documents')): ?>
                            <a href="<?php echo e(route('adminPanel.documents.create')); ?>" class="btn btn-primary btn-sm mr-1">
                                <?php echo e(__('language.add_button')); ?>

                            </a>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div>
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.documents.index'), 'id' => "filter-form"]); ?>

                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.documents.documentExport', ['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('language.document_id')); ?></th>
                                    <th><?php echo e(__('language.doc_name')); ?></th>
                                    <th><?php echo e(__('language.required_for')); ?> </th>
                                    <th><?php echo e(__('language.mandatory_status')); ?></th>
                                    <th><?php echo e(__('language.expiry_date')); ?></th>
                                    <th><?php echo e(__('language.doc_type')); ?></th>
                                    <th><?php echo e(__('language.status')); ?></th>
                                    <th><?php echo e(__('language.action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td> <?php echo e($document->document_prefix.$document->id); ?> </td>
                                    <td> <?php echo e($document->name); ?></td>
                                    <td><?php echo e(ucwords($document->required_for)); ?></td>
                                    <td><?php echo e(ucwords($document->mandatory_status)); ?></td>
                                    <td><?php echo e(ucwords($document->expiry_date_mandatory)); ?></td>
                                    <td>
                                        <?php if(!empty($document->doc_type)): ?>
                                            <?php echo e(ucwords(str_replace('-', ' ',$document->doc_type))); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php
                                            $status = '';
                                            if ($document->status == 'active') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.active") . ' </div>';
                                            } else {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.inactive") . ' </div> ';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                        <?php if($authUser->can('Edit Documents')): ?>
                                                        <a href="<?php echo e(route('adminPanel.documents.edit', ['id' => ev($document->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.edit")); ?> </a>
                                                        <?php endif; ?>

                                                        <?php if($document->status == 'active'): ?>
                                                            <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.documents.changeStatus', ['id' => ev($document->id), 'status' => 'inactive'])); ?>"> <?php echo e(__("language.inactive")); ?> </a>
                                                        <?php else: ?>
                                                            <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.documents.changeStatus', ['id' => ev($document->id), 'status' => 'active'])); ?>"> <?php echo e(__("language.active")); ?> </a>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($documents->appends($request)->render()); ?>

                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/manage-document/manage-document.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/documents/index.blade.php ENDPATH**/ ?>