<?php $__env->startSection('page-title', ' '.__('language.hcps_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5><?php echo e(__('language.hcps_page_title')); ?></h5>
                    </div>
                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive">
                    <table class="table mb-4 mt-3" id="dataTable-favourite-hcp">
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_hcp_id')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_name')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_category')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_profession')); ?> </th>
                                <?php if($authUser->hasRole('Facility') != true): ?>
                                <th> <?php echo e(__('language.table_hcp_email')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.table_hcp_contact_number')); ?> </th>
                                <?php if($authUser->hasRole('Facility') != true): ?>
                                <th> <?php echo e(__('language.table_hcp_suburb')); ?> </th>
                                <th> <?php echo e(__('language.table_hcp_state')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.table_action')); ?> </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if(count($hcps)): ?>
                                <?php $__currentLoopData = $hcps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hcp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($hcp->id)])); ?>">
                                            <?php echo e($hcp->hcp_prefix . $hcp->id); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <div><?php echo e(ucwords($hcp->first_name . ' ' . $hcp->last_name)); ?> </div>
                                        <div class="rating">
                                            <?php for($i = 0; $i < 5; $i++): ?>
                                                <span><i class="fa fa-star<?php echo e($hcp->average_rating <= $i ? '-o' : ''); ?>"></i></span>
                                            <?php endfor; ?>
                                        </div>
                                    </td>
                                    <td>
                                        <?php if(count($hcp->hcp_professions)): ?>
                                            <?php echo e($hcp->hcp_professions[0]['category']['name']); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(count($hcp->hcp_professions)): ?>
                                            <?php echo e($hcp->hcp_professions[0]['profession']['name']); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <?php if($authUser->hasRole('Facility') != true): ?>
                                    <td> <?php echo e($hcp->user->email); ?> </td>
                                    <?php endif; ?>
                                    <td> <?php echo e($hcp->contact_number ?? 'N/A'); ?> </td>
                                    <?php if($authUser->hasRole('Facility') != true): ?>
                                    <td> <?php echo e($hcp->suburb_name ?? 'N/A'); ?> </td>
                                    <td>
                                        <?php if(!empty($hcp->state)): ?>
                                            <?php echo e($hcp->state->short_form); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <?php endif; ?>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facilities.addHcpFavorites', ['hcpId' => $hcp->id, 'facilityId' => $facilityId, 'type' => 'favorites'])); ?>"> <?php echo e(__("language.add_to_favorites")); ?> </a>

                                                        <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.facilities.addHcpBlocklist', ['hcpId' => $hcp->id, 'facilityId' => $facilityId, 'type' => 'blocklist'])); ?>"> <?php echo e(__("language.add_to_blocked")); ?> </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="15" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($hcps->render()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/hcps/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/hcps/view-all-for-favorites-blocklist.blade.php ENDPATH**/ ?>