<?php $__env->startSection('page-title', ' '.__('language.shifts').' | '.__('language.page_main_title').''); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.running_shifts')); ?> <?php echo e(__('language.shifts_page_title')); ?></h5>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php echo Form::open(['class' => 'custom-datatable-filter-form d-inline','id'=>'track_hcp_form', 'method' => 'post', 'url' => route('adminPanel.shift.track-running-hcp')]); ?>

                                <?php echo e(Form::hidden('shift_ids', '')); ?>

                                <button type="submit" class="btn btn-primary btn-sm mr-1 track-hcp-form">
                                    Track Hcp
                                </button>
                            <?php echo Form::close(); ?>


                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div>
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.shift.running'), 'id' => 'shift-filter-form']); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?php if($authUser->hasRole('Facility') != true): ?>
                                            <?php if(!empty($states)): ?>
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <label class="btn btn-custom-outline <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : ''); ?>">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="<?php echo e($state->id); ?>" autocomplete="off" <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : ''); ?>> <?php echo e($state->short_form); ?> : <?php echo e($state->shifts_count); ?>

                                                        </label>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2 profession-div">
                                            <div class="form-group">
                                                <?php echo Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]); ?>

                                            </div>
                                        </div>

                                        <?php if($authUser->hasRole('Facility') != true): ?>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]); ?>

                                            </div>
                                        </div>
                                        <?php endif; ?>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('shift_type', create_select_options(config('constants.shifts.shift_types'), 'caption', 'value',  __('language.shift_types')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]); ?>

                                            </div>
                                        </div>


                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('shortby_filter', create_select_options(config('constants.shifts.shift_shortby_filter'), 'caption', 'value',  __('language.shift_shortby_filter')), old('shortby_filter', ($request['shortby_filter'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shortby_filter' ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('shift_hcp_search', old('shift_hcp_search', ($request['shift_hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.shift.shiftExport', ['request' => $request, 'status' => '2'])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th> <?php echo e(__('language.shift_id')); ?> </th>
                                <th> <?php echo e(__('language.booking_date')); ?> </th>
                                <th> <?php echo e(__('language.shift_type')); ?> </th>
                                <th> <?php echo e(__('language.cat_pro')); ?> </th>
                                <?php if($authUser->hasRole('Facility') != true): ?>
                                <th> <?php echo e(__('language.fac_name')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.hcp_name')); ?> </th>
                                <th> <?php echo e(__('language.word_wing')); ?> </th>
                                <th> <?php echo e(__('language.shift_start')); ?> </th>
                                <th> <?php echo e(__('language.shift_end')); ?> </th>
                                <th> <?php echo e(__('language.total_hours')); ?> </th>
                                <?php if($authUser->hasRole('Facility') != true): ?>
                                <th> <?php echo e(__('language.shift_suburb')); ?> </th>
                                <th> <?php echo e(__('language.shift_state')); ?> </th>
                                <?php endif; ?>
                                <th> <?php echo e(__('language.action')); ?> </th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $shifts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shift): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo Form::checkbox('shifts', $shift->id);; ?></td>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shift->id)])); ?>">
                                            <?php echo e($shift->shift_prefix . $shift->id); ?>

                                        </a>
                                    </td>
                                    <td> <?php echo e(date("d M Y", strtotime($shift->created_at))); ?> </td>
                                    <td>
                                        <?php if(!empty($shift->shift_type)): ?>
                                            <?php echo e(ucwords($shift->shift_type)); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <div><?php echo e(ucwords($shift->profession->name)); ?></div>
                                        <div class="font-size-12"> <?php echo e(ucwords($shift->category->name)); ?> </div>
                                    </td>
                                    <?php if($authUser->hasRole('Facility') != true): ?>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($shift->facility->id)])); ?>">
                                            <div> <?php echo e(ucwords($shift->facility->name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($shift['facility']->address)): ?>
                                                <?php echo e($shift['facility']->address); ?>

                                            <?php endif; ?>
                                        </div>
                                    </td>
                                    <?php endif; ?>
                                    <td>
                                        <?php if(!empty($shift['hcp'])): ?>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($shift['hcp']->id)])); ?>" class="text-primary">
                                            <div><?php echo e(ucwords($shift['hcp']->first_name.' '.$shift['hcp']->last_name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($shift['hcp'])): ?>
                                                <?php echo e($shift['hcp']->contact_number); ?>

                                            <?php endif; ?>
                                        </div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td> <?php echo e($shift->word_wing); ?> </td>
                                    <td>
                                        <div><?php echo e(date("d M", strtotime($shift->start_time))); ?></div>
                                        <?php echo e(date("h:i A", strtotime($shift->start_time))); ?>

                                    </td>
                                    <td>
                                        <div><?php echo e(date("d M", strtotime($shift->end_time))); ?></div>
                                        <?php echo e(date("h:i A", strtotime($shift->end_time))); ?>

                                    </td>
                                    <td> <?php echo e($shift->hours); ?> Hrs </td>
                                    <?php if($authUser->hasRole('Facility') != true): ?>
                                    <td>
                                        <?php if(!empty($shift['facility']->suburb_name)): ?>
                                            <?php echo e($shift['facility']->suburb_name); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if(!empty($shift['facility']->state)): ?>
                                            <?php echo e($shift['facility']->state->short_form); ?>

                                        <?php endif; ?>
                                    </td>
                                    <?php endif; ?>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($shift->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                        <?php if($authUser->hasRole('Super Admin') == true || $authUser->hasRole('Facility') == true): ?>
                                                        <a href="#" data-url="<?php echo e(route('adminPanel.shift.endShift', ['id' => ev($shift->id)])); ?>" class="dropdown-item link-action"> <?php echo e(__("language.shift_end_shift")); ?> </a>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($shifts->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/shift/view.js')); ?>"></script>
<script type="text/javascript">

    function RemoveLastDirectoryPartOf(the_url)
    {
        var the_arr = the_url.split('/');
        the_arr.pop();
        return( the_arr.join('/') );
    }

    $('input[name="shifts"]').click(function(){
        var shifts=[];
        $("input:checkbox[name=shifts]:checked").each(function(){
            shifts.push($(this).val());
        });
        $('input[name="shift_ids"]').val(shifts);
    });


    $('.track-hcp-form').click(function(){
        $('#track_hcp_form').on('submit',function(e){
            if($('input[name="shift_ids"]').val()==''){
                e.preventDefault();
                iziToast.question({
                    timeout: 20000,
                    close: false,
                    overlay: true,
                    displayMode: "once",
                    color: "yellow",
                    id: "question",
                    zindex: 99999,
                    title: "Hey!",
                    message: "Please Select Atleast 1 Shift",
                    position: "center",
                    progressBar: false,
                    buttons: [
                        [
                            "<button>OK</button>",
                            function (instance, toast) {
                                instance.hide(
                                    { transitionOut: "fadeOut" }, toast,  "button"
                                );
                            },
                        ],
                    ],
                    onClosing: function (instance, toast, closedBy) {
                        //
                    },
                    onClosed: function (instance, toast, closedBy) {
                        //
                    },
                });
            }
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/shifts/running.blade.php ENDPATH**/ ?>