<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <style>
        html{
            width: 100%;
            height: 100%;
            padding: 0;
            margin: 0;
            font-family:Arial, Helvetica, sans-serif;
        }
    </style>
</head>
<body>
    <?php
        // General Configuration
        $generalConfiguration = get_general_configuration();
        //----------------------
    ?>
    <div>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" style="padding:0px 20px;">
            <tr>
                <td width="60%" style="text-align:left;">
                    
                    <h3 style="color:#2ea600"><?php echo __('language.project_name'); ?></h3>
                </td>
                <td style="text-align:right;">
                    <div style="font-size: 14px; color:#303538;">  <?php echo e(__('language.website_link')); ?> </div>
                    <div style="font-size: 14px; color:#303538;"> <?php echo e($generalConfiguration['facillity_cust_care_email']); ?> </div>
                    <div style="font-size: 14px; color:#303538;"> <?php echo e($generalConfiguration['facillity_cust_care_no']); ?> </div>
                </td>
            </tr>
        </table>

        <div style="width:100%; height:1px; background:#ccc;"></div>

        <table width="100%" border="0" cellpadding="0" cellspacing="0" style="padding:20px 30px;">
            <tr>
                <td width="50%" style="color:#303538; font-size: 16px; text-align:left; line-height: 22px;">
                    <?php if($facility->legal_entity_name!=""): ?>
                    <div style="color:red;"> <b><?php echo e($facility->legal_entity_name); ?></b> </div>
                    <?php endif; ?>
                    <div> <b><?php echo e(ucwords($facility->name)); ?></b> </div>
                    <div><b>Email:</b>  <?php echo e($facility->user->email); ?> </div>
                    <div><b>Contact Number:</b>  <?php echo e($facility->contact_number); ?> </div>
                    <div><b>Address:</b>  <?php echo e($facility->address); ?> </div>
                </td>

                <td style="color:#303538; font-size: 16px; text-align:right; line-height: 22px;">
                    <?php if(isset($transaction['invoice_id']) && !empty($transaction['invoice_id'])): ?>
                        <div><b>Invoice:</b>  <?php echo e('#INV'.$transaction['invoice_id']); ?> </div>
                        <div><b>Invoice Date: </b> <?php echo e(date("d M, Y", strtotime($transaction['invoice_created_at']))); ?> </div>
                        <?php if(!empty($transaction['invoice_overdue_date'])): ?>
                        <div><b>Due Date:</b> <?php echo e(date("d M, Y", strtotime($transaction['invoice_overdue_date']))); ?></div>
                        <?php endif; ?>
                        <div><b>Duration: </b> <?php echo e($transaction['invoice_generated_date_range']); ?> </div>
                    <?php endif; ?>
                </td>
            </tr>
        </table>

        <div style="width:100%; height:1px; background:#ccc;"></div>

        <table width="100%" border="0" cellpadding="0" cellspacing="0" style="padding:20px 10px; font-size: 14px;">
            <tr style="background:#efefef;">
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_id')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.word_wing')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_type')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_hcp_category')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_hcp_profession')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_level_name')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.account_table_hcp')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_start')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_end')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.accounts_table_approved_date')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.total_hours')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_base_rate')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_loading_pay')); ?> </th>
                <th style="border: 1px solid #ccc; padding:5px;"> <?php echo e(__('language.shift_total_pay')); ?> </th>
            </tr>

            <?php $facilityTotal = 0; ?>
            <?php $__empty_1 = true; $__currentLoopData = $shifts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shift): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <?php if(empty($shift['facility_cancelled_shift'])): ?>
                    <?php $facilityTotal += $shift->facility_amount; ?>
                <?php endif; ?>
                <tr style="text-align:center;">
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php echo e($shift->shift_prefix.$shift->id); ?>

                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php echo e($shift->shift_prefix.$shift->word_wing); ?>

                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(!empty($shift->shift_type)): ?>
                            <?php echo e(ucwords($shift->shift_type)); ?>

                        <?php else: ?>
                            N/A
                        <?php endif; ?>
                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php echo e(ucwords($shift['category']['name'])); ?>

                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php echo e(ucwords($shift['profession']['name'])); ?>

                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(!empty($shift['level'])): ?>
                            <?php echo e(ucwords($shift['level']['name'] ?? 'N/A ')); ?>

                        <?php else: ?>
                            N/A
                        <?php endif; ?>
                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(!empty($shift['hcp'])): ?>
                            <?php echo e(ucwords($shift['hcp']['first_name'].' '.$shift['hcp']['last_name'])); ?>

                        <?php else: ?>
                            N/A
                        <?php endif; ?>
                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(!empty($shift->approved_shift_start_time)): ?>
                            <div><?php echo e(date("d-m-y", strtotime($shift->approved_shift_start_time))); ?></div>
                            <div><?php echo e(date("h:i A", strtotime($shift->approved_shift_start_time))); ?></div>
                        <?php else: ?>
                            <div><?php echo e(date("d-m-y", strtotime($shift->start_time))); ?></div>
                            <div><?php echo e(date("h:i A", strtotime($shift->start_time))); ?></div>
                        <?php endif; ?>
                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(!empty($shift->approved_shift_end_time)): ?>
                            <div><?php echo e(date("d-m-y", strtotime($shift->approved_shift_end_time))); ?></div>
                            <div><?php echo e(date("h:i A", strtotime($shift->approved_shift_end_time))); ?></div>
                        <?php else: ?>
                            <div><?php echo e(date("d-m-y", strtotime($shift->end_time))); ?></div>
                            <div><?php echo e(date("h:i A", strtotime($shift->end_time))); ?></div>
                        <?php endif; ?>
                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(!empty($shift->shift_approved_time)): ?>
                            <?php echo e(date("d M y", strtotime($shift->shift_approved_time))); ?>

                        <?php else: ?>
                            N/A
                        <?php endif; ?>
                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php echo e($shift->working_hours.' Hrs'); ?>

                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php echo e('$'.$shift->facility_per_rate); ?>

                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(is_numeric($shift->shift_loading)): ?>
                            <?php echo e('$'.number_format($shift->shift_loading*($shift->facility_per_rate/100), 2)); ?>

                        <?php else: ?>
                            <?php echo e('$0.00'); ?>

                        <?php endif; ?>
                    </td>
                    <td style="border: 1px solid #ccc; padding:5px;">
                        <?php if(!empty($shift['facility_cancelled_shift'])): ?>
                            <?php echo e('$'.number_format($shift->facility_cancelled_shift->penalty_amount, 2)); ?>

                        <?php else: ?>
                            <?php echo e('$'.number_format($shift->facility_amount, 2)); ?>

                        <?php endif; ?>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <tr>
                    <td style="border: 1px solid #ccc; padding:5px;" colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                </tr>
            <?php endif; ?>

            <?php if(count($shifts)): ?>
            <tr>
                <td colspan="13" style="border: 1px solid #ccc; padding:5px; text-align:right;">
                   Sub Total
                </td>
                <td style="border: 1px solid #ccc; padding:5px; text-align:center;">$<?php echo e(number_format($facilityTotal, 2)); ?></td>
            </tr>
            <tr>
                <td colspan="13" style="border: 1px solid #ccc; padding:5px; text-align:right;">
                    <?php echo e($transaction['invoice_gst_percent']); ?>% GST
                </td>
                <td style="border: 1px solid #ccc; padding:5px; text-align:center;">
                    $<?php echo e($transaction['invoice_gst_amount']); ?>

                </td>
            </tr>
            <tr>
                <td colspan="13" style="border: 1px solid #ccc; padding:5px; text-align:right;">
                   Total Pay
                </td>
                <td style="border: 1px solid #ccc; padding:5px; text-align:center;">$<?php echo e($transaction['invoice_facility_amount_with_gst']); ?></td>
            </tr>
            <?php endif; ?>

        </table>

        
        <div style="width:100%; height:1px; background:#fff;text-align: center">
            <p style="background: #efefef;padding: 15px;">Osha Technologies T/A Smart Healthcare Solutions, ABN 99 637 429 791<br/>
            Payment is due by the due date stated above. Please use your invoice number as a reference.<br/>
            <b>ANZ Bank, BSB 016742, Account No. 640135333</b></p>
        </div>
    </div>
</body>
</html>

<?php /**PATH /var/www/html/shapp/shapp-server/resources/views/invoices/facility-invoice.blade.php ENDPATH**/ ?>