<?php $__env->startSection('page-title', ' '.__('language.facilities_page_title').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="row layout-top-spacing">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
        <div class="widget-content widget-content-area br-6">
            <div class="container-fluid mt2">
                <div class="row">
                    <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                        <h5> <?php echo e(ucwords($facilityGroup->name)); ?></h5>
                    </div>
                </div>
            </div>

            <div class="container-fluid page-heading">
                <div class="table-responsive">
                    <table class="table mb-4 mt-3" id="">
                        <thead>
                            <tr>
                                <th> <?php echo e(__('language.table_facility_id')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_name')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_suburb')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_state')); ?> </th>
                                <th> <?php echo e(__('language.table_facility_email')); ?> </th>
                            </tr>
                        </thead>

                        <tbody>
                            <?php if(count($facilities)): ?>
                                <?php $__currentLoopData = $facilities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $facility): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($facility->id)])); ?>">
                                                <?php echo e($facility->facility_prefix . $facility->id); ?>

                                            </a>
                                        </td>
                                        <td>
                                            <?php echo e(ucwords($facility->name)); ?>

                                        </td>
                                        <td> <?php echo e($facility->suburb_name ?? 'N/A'); ?> </td>
                                        <td>
                                            <?php if(!empty($facility->state)): ?>
                                                <?php echo e($facility->state->short_form); ?>

                                            <?php else: ?>
                                                N/A
                                            <?php endif; ?>
                                        </td>
                                        <td> <?php echo e($facility->user->email); ?> </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <tr>
                                    <td colspan="12" class="text-center"> No record found...</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                    <div class="pagination">
                        <?php echo e($facilities->render()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/facility-groups/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-dev/resources/views/admin-panel/facility-groups/view-facilities.blade.php ENDPATH**/ ?>