<?php $__env->startSection('page-title', ' '.__('language.account_hcp_statement_details').' | '.__('language.page_main_title').''); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2 top-header">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <h5><?php echo e(__('language.account_hcp_statement_details')); ?></h5>
                            <?php if(Request::segment(3) == 'hcp'): ?>
                                <?php
                                    $activeSummary = 'btn-info';
                                    $activeDetailed = 'btn-outline-info';
                                    $activeReferral = 'btn-outline-info';
                                ?>
                            <?php elseif(Request::segment(3) == 'hcp-completed-shift'): ?>
                                <?php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-info';
                                    $activeReferral = 'btn-outline-info';
                                ?>
                            <?php elseif(Request::segment(3) == 'view-referrals'): ?>
                                <?php
                                    $activeSummary = 'btn-outline-info';
                                    $activeDetailed = 'btn-outline-info';
                                    $activeReferral = 'btn-info';
                                ?>
                            <?php endif; ?>
                            <a href="<?php echo e(route('adminPanel.accounts.hcp')); ?>" class="btn btn-sm <?php echo e($activeSummary); ?> mb-2 mt-2">
                                <?php echo e(__('language.account_hcp_statement_summary')); ?>

                            </a>
                            <a href="<?php echo e(route('adminPanel.accounts.hcpCompletedShift')); ?>" class="btn btn-sm <?php echo e($activeDetailed); ?> mb-2 mt-2 ml-2">
                                <?php echo e(__('language.account_hcp_statement_detailed')); ?>

                            </a>
                            <a href="<?php echo e(route('adminPanel.accounts.viewReferrals')); ?>" class="btn btn-sm <?php echo e($activeReferral); ?> mb-2 mt-2 ml-2">
                                <?php echo e(__('language.account_hcp_statement_view_refer_and_earn')); ?>

                            </a>
                        </div>

                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div class="row page-heading mt-3 mb-3">
                        <div class="col-lg-2 border border-dark mr-3 p-2 shadow">
                            <p class="text-center">Total Pay</p>
                            <p class="text-center">$<?php echo e(number_format($shiftDetails->sum('hcp_amount'), 2)); ?></p>
                        </div>
                    </div>

                    <div>
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'id' => 'filter-form', 'url' =>
                        route('adminPanel.accounts.hcpCompletedShift')]); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?php if(!empty($states)): ?>
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <label class="btn btn-custom-outline <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : ''); ?>">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="<?php echo e($state->id); ?>" autocomplete="off" <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : ''); ?>> <?php echo e($state->short_form); ?>

                                                        </label>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'category' ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('shift_type', create_select_options(config('constants.shifts.shift_types_filter'), 'caption', 'value',  __('language.shift_types')), old('shift_type', ($request['shift_type'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'shift_type' ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('facility', create_select_options($facilities, 'name', 'id',  __('language.facility')), old('facility', ($request['facility'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'facility' ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('status', create_select_options(config('constants.transactions_hcp_status'), 'caption', 'value',  null), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status', 'title' => __('language.facility_filter_status')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>

                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('per_page', ($request['per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('search', old('search', ($request['search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.accounts.hcpCompletedShiftExport',['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> <?php echo e(__('language.account_table_statement_id')); ?> </th>
                                <th> <?php echo e(__('language.shift_id')); ?> </th>
                                <th> <?php echo e(__('language.shift_type')); ?> </th>
                                <th> <?php echo e(__('language.cat_pro')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp')); ?> </th>
                                <th> <?php echo e(__('language.account_table_facility')); ?> </th>
                                <th> <?php echo e(__('language.accounts_table_approved_date')); ?> </th>
                                <th> <?php echo e(__('language.total_hours')); ?> </th>
                                <th> <?php echo e(__('language.shift_base_rate')); ?> </th>
                                <th> <?php echo e(__('language.shift_loading_pay')); ?> </th>
                                <th> <?php echo e(__('language.shift_total_pay')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp_paid_date')); ?> </th>
                                <th> <?php echo e(__('language.account_table_hcp_pay_status')); ?> </th>
                                <th> <?php echo e(__('language.action')); ?> </th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <?php if(!empty($detail->statement_id)): ?>
                                            <a href="<?php echo e(route('adminPanel.accounts.hcpDetails',['hcpId' => ev($detail->hcp_id), 'statementId' => ev($detail->statement_id) , 'statementId' => ev($detail->statement_id)])); ?>">
                                                <?php echo e($detail->statement_prefix.$detail->statement_id); ?>

                                            </a>
                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <a href="<?php echo e(route('adminPanel.accounts.shift_details', ['id' => ev($detail['shift']->id)])); ?>">
                                            <?php echo e($detail['shift']->shift_prefix.$detail['shift']->id); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail['shift']->shift_type)): ?>
                                            <?php echo e(ucwords($detail['shift']->shift_type)); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <div><?php echo e(ucwords($detail['shift']->profession->name)); ?></div>
                                        <div class="font-size-12"> <?php echo e(ucwords($detail['shift']->category->name)); ?> </div>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail['shift']->hcp)): ?>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($detail['shift']->hcp->id)])); ?>" class="text-primary">
                                            <div><?php echo e(ucwords($detail['shift']->hcp->first_name.' '.$detail['shift']->hcp->last_name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($detail['shift']->hcp)): ?>
                                                <?php echo e($detail['shift']->hcp->contact_number); ?>

                                            <?php endif; ?>
                                        </div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <a href="<?php echo e(route('adminPanel.facilities.details', ['id' => ev($detail['shift']->facility->id)])); ?>">
                                            <div> <?php echo e(ucwords($detail['shift']->facility->name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($detail['shift']['facility']->address)): ?>
                                                <?php echo e($detail['shift']['facility']->address); ?>

                                            <?php endif; ?>
                                        </div>
                                    </td>
                                    <td>
                                        <?php if(!empty($detail['shift']->shift_approved_time)): ?>
                                            <?php echo e(date("d M, Y h:i A", strtotime($detail['shift']->shift_approved_time))); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php echo e($detail['shift']->working_hours); ?> Hrs
                                    </td>
                                    <td>
                                        $<?php echo e($detail['shift']->hcp_per_rate); ?>

                                    </td>
                                    <td>
                                        <?php if(is_numeric($detail['shift']->shift_loading)): ?>
                                            $<?php echo e(number_format($detail['shift']->shift_loading*($detail['shift']->hcp_per_rate/100), 2)); ?>

                                        <?php else: ?>
                                            $0.00
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        $<?php echo e($detail['shift']->hcp_amount); ?>

                                    </td>
                                    <td>
                                        <?php if(!empty($detail->hcp_paid_on)): ?>
                                            <?php echo e(date("d M, Y", strtotime($detail->hcp_paid_on))); ?>

                                        <?php else: ?>
                                            <b>----</b>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php
                                            $status = '';
                                            if ($detail->hcp_payment_status == 'completed') {
                                                $status .= '<div class="text-success font-weight-bold"> ' . __("language.account_status_completed") . ' </div>';
                                            } else if ($detail->statement_id != '' && $detail->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            }  else if ($detail->hcp_payment_status == 'pending') {
                                                $status .= '<div class="text-warning font-weight-bold"> ' . __("language.account_status_approved") . ' </div>';
                                            } else if ($detail->hcp_payment_status == 'cancelled') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_cancelled") . ' </div>';
                                            } else if ($detail->hcp_payment_status == 'overdue') {
                                                $status .= '<div class="text-danger font-weight-bold"> ' . __("language.account_status_overdue") . ' </div>';
                                            }
                                        ?>
                                        <?php echo $status; ?>

                                    </td>
                                    <td>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">
                                                        <a href="<?php echo e(route('adminPanel.accounts.shift_details',['id'=>ev($detail['shift']->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="20" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($details->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/account/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/accounts/hcp-completed-shifts.blade.php ENDPATH**/ ?>