<?php $__env->startSection('page-title', ' '.__('language.shifts').' '); ?>

<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('admin-assets/css/flatpickr.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/forms/theme-checkbox-radio.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('admin-assets/css/plugins/table/datatable/dt-global_style.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row layout-top-spacing">
        <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <div class="container-fluid mt2">
                    <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8 col-8 page-heading">
                            <?php if($authUser->hasRole('Facility') == true || $authUser->hasRole('Facility Sub Admin') == true): ?>
                            <h5><?php echo e(__('language.buddy_shifts_fc_menu')); ?></h5>
                            <?php else: ?>
                            <h5><?php echo e(__('language.buddy_shifts')); ?></h5>
                            <?php endif; ?>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-4 text-right">
                            <?php if(!empty($request)): ?>
                                <?php $filterApply = 'filter-icon-apply'; ?>
                            <?php else: ?>
                                <?php $filterApply = 'filter-icon'; ?>
                            <?php endif; ?>
                            <button type="button" class="btn btn-sm filter-button btn-primary <?php echo e($filterApply); ?>">
                                <i class="fa fa-filter"></i>
                            </button>
                        </div>
                    </div>

                    <div>
                        <?php echo Form::open(['class' => 'custom-datatable-filter-form', 'method' => 'get', 'url' =>
                        route('adminPanel.shift.buddy-requests'), 'id' => 'shift-filter-form']); ?>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="custom-datatable-filter hide">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h6 class="text-primary"> <?php echo e(__('language.filters')); ?> </h6>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?php if($authUser->hasRole('Facility') != true): ?>
                                            <?php if(!empty($states)): ?>
                                                <div class="form-group btn-group btn-group-toggle btn-checkbox-group" data-toggle="buttons">
                                                    <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <label class="btn btn-custom-outline <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' active' : ''); ?>">
                                                            <input type="checkbox" id="states" class="states" name="states[]" value="<?php echo e($state->id); ?>" autocomplete="off" <?php echo e(!empty($request['states']) && in_array($state->id, $request['states']) ? ' checked' : ''); ?>> <?php echo e($state->short_form); ?> : <?php echo e($state->shifts_count); ?>

                                                        </label>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('category', create_select_options($categories, 'name', 'id',  __('language.hcp_category')), old('category', ($request['category'] ?? null)),  ['class' => 'form-control select-picker category-profession', 'id' => 'category', 'data-url' => route('adminPanel.categories.getProfessions') ]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2 profession-div">
                                            <div class="form-group">
                                                <?php echo Form::select('profession', create_select_options($professions, 'name', 'id',  __('language.hcp_professions')), old('profession', ($request['profession'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'profession' ]); ?>

                                            </div>
                                        </div>


                                        <?php if($authUser->hasRole('Facility') != true): ?>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_from', old('date_from', ($request['date_from'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_from', 'placeholder' => __('language.account_filter_date_from')]); ?>

                                            </div>
                                        </div>

                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::text('date_to', old('date_from', ($request['date_to'] ?? null)), ['class' => 'form-control date-picker', 'id' => 'date_to', 'placeholder' => __('language.account_filter_date_to')]); ?>

                                            </div>
                                        </div>
                                        <?php endif; ?>

                                        <?php if($authUser->hasRole('Facility') == true): ?>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                                <?php echo Form::select('status', create_select_options(config('constants.shifts.buddy_shift_status'), 'caption', 'value',  __('language.status')), old('status', ($request['status'] ?? null)),  ['class' => 'form-control select-picker', 'id' => 'status' ]); ?>

                                            </div>
                                        </div>
                                        <?php endif; ?>

                                        <div class="col-md-12">
                                            <div class="filter-error invalid-feedback"> <?php echo e(__('messages.filter_apply_error')); ?> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mb2">
                                            <?php echo e(Form::button( __('language.filter_apply'), ['class' => 'btn btn-primary apply-filter', 'type' => 'button'] )); ?>

                                            <?php echo e(Form::button( __('language.filter_clear'), ['class' => 'btn btn-custom-outline clear-filter', 'type' => 'button'] )); ?>

                                        </div>
                                    </div>
                                    <div class="filter-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row pl-3 mt-3">
                            <div class="col-md-8">
                                <div class="float-left">
                                    <label> <?php echo e(__('language.table_result')); ?> </label>
                                    <?php echo Form::select('shift_per_page', create_select_options(config('constants.per_page_limit'), 'caption', 'value',  null), old('shift_per_page', ($request['shift_per_page'] ?? config('constants.pagination_limit'))),  ['class' => 'form-control result-selectbox', 'id' => 'per_page', "onchange" => "this.form.submit()",]); ?>

                                </div>

                                <div class="float-left pl-2 search-box">
                                    <?php echo Form::text('shift_hcp_search', old('shift_hcp_search', ($request['shift_hcp_search'] ?? null)), ['class' => 'form-control', 'id' => 'search', 'placeholder' => __('language.table_search')]); ?>

                                    <span class="search-btn"> <i data-feather="search" class="feather-16" onclick="$('#shift-filter-form').submit();"></i> </span>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div class="col-md-4 text-right">
                                <a class="btn btn-sm btn-custom-outline" href="<?php echo e(route('adminPanel.shift.shiftBuddyRequestExport', ['request' => $request])); ?>">
                                    Excel &nbsp;  <i data-feather="download" class="feather-16"></i>
                                </a>
                            </div>
                        </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>

                <div class="container-fluid page-heading">
                    <div class="table-responsive pb-5">
                        <table class="table mb-4 mt-3">
                            <thead>
                            <tr>
                                <th> <?php echo e(__('language.shift_id')); ?> </th>
                                <th> <?php echo e(__('language.hcp_id')); ?> </th>
                                <th> <?php echo e(__('language.hcp_name')); ?> </th>
                                <th> <?php echo e(__('language.cat_pro')); ?> </th>
                                <th> <?php echo e(__('language.shift_buddy_request_date')); ?> </th>

                                <?php if($authUser->hasRole('Facility') != true): ?>
                                <th> <?php echo e(__('language.shift_suburb')); ?> </th>
                                <th> <?php echo e(__('language.shift_state')); ?> </th>
                                <th> <?php echo e(__('language.shift_address')); ?> </th>
                                <?php endif; ?>

                                <th> <?php echo e(__('language.status')); ?> </th>
                                <th> <?php echo e(__('language.action')); ?> </th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $buddyShiftRequests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $buddyShiftRequest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <?php if(!empty($buddyShiftRequest->shift)): ?>
                                            <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($buddyShiftRequest->shift->id)])); ?>">
                                                <?php echo e($buddyShiftRequest->shift->shift_prefix . $buddyShiftRequest->shift->id); ?>

                                            </a>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($buddyShiftRequest['buddy_hcp'])): ?>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($buddyShiftRequest['buddy_hcp']->id)])); ?>" class="text-primary">
                                            <div><?php echo e(ucwords($buddyShiftRequest['buddy_hcp']->hcp_prefix.$buddyShiftRequest['buddy_hcp']->id)); ?></div>
                                        </a>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($buddyShiftRequest['buddy_hcp'])): ?>
                                        <a href="<?php echo e(route('adminPanel.hcps.details', ['id' => ev($buddyShiftRequest['buddy_hcp']->id)])); ?>" class="text-primary">
                                            <div><?php echo e(ucwords($buddyShiftRequest['buddy_hcp']->first_name.' '.$buddyShiftRequest['buddy_hcp']->last_name)); ?></div>
                                        </a>
                                        <div class="font-size-12">
                                            <?php if(!empty($buddyShiftRequest['buddy_hcp'])): ?>
                                                <?php echo e($buddyShiftRequest['buddy_hcp']->contact_number); ?>

                                            <?php endif; ?>
                                        </div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <div> <?php echo e(ucwords($buddyShiftRequest->profession->name)); ?> </div>
                                        <div class="font-size-12"> <?php echo e(ucwords($buddyShiftRequest->category->name)); ?></div>
                                    </td>

                                    <td>
                                        <?php echo e(date("d M Y", strtotime($buddyShiftRequest->created_at))); ?>

                                    </td>

                                    <?php if($authUser->hasRole('Facility') != true): ?>
                                    <td>
                                        <?php if(!empty($buddyShiftRequest['buddy_hcp'])): ?>
                                            <?php echo e(ucwords($buddyShiftRequest['buddy_hcp']->suburb_name)); ?>

                                            <div class="font-size-12"> <?php echo e(ucwords($buddyShiftRequest['buddy_hcp']->post_code)); ?></div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($buddyShiftRequest['buddy_hcp'])): ?>
                                            <div class="font-size-12"> <?php echo e(ucwords($buddyShiftRequest['buddy_hcp']['state']->short_form)); ?></div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if(!empty($buddyShiftRequest['buddy_hcp'])): ?>
                                            <div class="font-size-12"> <?php echo e(ucwords($buddyShiftRequest['buddy_hcp']->address)); ?></div>
                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    <?php endif; ?>

                                    <td>
                                        <?php if($buddyShiftRequest['status'] == 'requested'): ?>
                                            <div class="text-dark font-weight-bold"> <?php echo e(__('language.shift_buddy_status_requested')); ?> </div>
                                        <?php elseif($buddyShiftRequest['status'] == 'pending'): ?>
                                            <div class="text-warning font-weight-bold"> <?php echo e(__('language.shift_buddy_status_pending')); ?> </div>
                                        <?php elseif($buddyShiftRequest['status'] == 'scheduled'): ?>
                                            <div class="text-info font-weight-bold"> <?php echo e(__('language.shift_buddy_status_scheduled')); ?> </div>
                                        <?php elseif($buddyShiftRequest['status'] == 'running'): ?>
                                            <div class="text-info font-weight-bold"> <?php echo e(__('language.shift_buddy_status_running')); ?> </div>
                                        <?php elseif($buddyShiftRequest['status'] == 'approved'): ?>
                                            <div class="text-success font-weight-bold"> <?php echo e(__('language.shift_buddy_status_approved')); ?> </div>
                                        <?php elseif($buddyShiftRequest['status'] == 'cancelled'): ?>
                                            <div class="text-danger font-weight-bold"> <?php echo e(__('language.shift_buddy_status_cancelled')); ?> </div>
                                        <?php elseif($buddyShiftRequest['status'] == 'completed'): ?>
                                            <div class="text-success font-weight-bold"> <?php echo e(__('language.shift_buddy_status_completed')); ?> </div>
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <?php if($buddyShiftRequest['status'] == 'approved' && empty($buddyShiftRequest->shift_id)): ?>
                                        N/A
                                        <?php else: ?>
                                        <ul class="datatable-action">
                                            <li>
                                                <div class="dropdown custom-dropdown-icon">
                                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink-4" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <i class="fa fa-ellipsis-h" aria-hidden="true"></i>
                                                    </a>
                                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink-4">

                                                        <?php if($authUser->hasRole('Facility') != true): ?>
                                                            <?php if($buddyShiftRequest['status'] == 'requested'): ?>
                                                                <a href="<?php echo e(route('adminPanel.shift.createBuddyShift', ['shiftType' => 'new', 'id' => ev($buddyShiftRequest->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.create_buddy_shift_button")); ?> </a>

                                                                <a href="<?php echo e(route('adminPanel.shift.assingBuddyShiftFromScheduledShift', ['id' => ev($buddyShiftRequest->id)])); ?>" class="dropdown-item"> <?php echo e(__("language.choose_from_scheduled_buddy_shift_button")); ?> </a>

                                                                <a href="#" class="dropdown-item link-action" data-url="<?php echo e(route('adminPanel.shift.markCompleteBuddyShiftRequest', ['id' => $buddyShiftRequest->id])); ?>"> <?php echo e(__("language.buddy_shift_request_mark_completed")); ?> </a>
                                                            <?php else: ?>
                                                                <?php if(!empty($buddyShiftRequest->shift_id)): ?>
                                                                <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($buddyShiftRequest->shift['id'])])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                                <?php endif; ?>
                                                            <?php endif; ?>
                                                        <?php else: ?>
                                                            <?php if($buddyShiftRequest['status'] != 'requested'): ?>
                                                                <a href="<?php echo e(route('adminPanel.shift.details', ['id' => ev($buddyShiftRequest->shift['id'])])); ?>" class="dropdown-item"> <?php echo e(__("language.details")); ?> </a>
                                                            <?php endif; ?>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>

                                            </li>
                                        </ul>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="15" class="text-center"> <?php echo e(__('language.no_record_found')); ?> </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination">
                            <?php echo e($buddyShiftRequests->appends($request)->render()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('admin-assets/js/flatpickr.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/components.js')); ?>"></script>
<script src="<?php echo e(asset('admin-assets/js/shift/view.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin-panel.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/shapp/shapp-server/resources/views/admin-panel/shifts/buddy-shift-requests.blade.php ENDPATH**/ ?>