const mix = require("laravel-mix");

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js("resources/js/app.js", "public/js")
    .sass(
        "resources/sass/admin-assets/bootstrap/bootstrap.scss",
        "public/admin-assets/css"
    )
    .sass(
        "resources/sass/admin-assets/assets/main.scss",
        "public/admin-assets/css"
    )
    .sass(
        "resources/sass/admin-assets/assets/custom.scss",
        "public/admin-assets/css"
    )
    .sass(
        "resources/sass/admin-assets/assets/authentication/form-2.scss",
        "public/admin-assets/css/forms"
    )
    .sass(
        "resources/sass/admin-assets/assets/forms/switches.scss",
        "public/admin-assets/css/forms"
    )
    .sass(
        "resources/sass/admin-assets/assets/forms/theme-checkbox-radio.scss",
        "public/admin-assets/css/forms"
    )
    .sass(
        "resources/sass/admin-assets/assets/pages/error/style-400.scss",
        "public/admin-assets/css/pages/error"
    )
    .sass(
        "resources/sass/admin-assets/plugins/loaders/custom-loader.scss",
        "public/admin-assets/css/plugins/loaders"
    )
    .sass(
        "resources/sass/admin-assets/plugins/perfect-scrollbar/perfect-scrollbar.scss",
        "public/admin-assets/css/plugins/perfect-scrollbar"
    )
    .sass(
        "resources/sass/admin-assets/assets/structure.scss",
        "public/admin-assets/css"
    )
    .sass(
        "resources/sass/admin-assets/plugins/table/datatable/datatables.scss",
        "public/admin-assets/css/plugins/table/datatable"
    )
    .sass(
        "resources/sass/admin-assets/plugins/table/datatable/dt-global_style.scss",
        "public/admin-assets/css/plugins/table/datatable"
    )
    .sass(
        "resources/sass/admin-assets/plugins/table/datatable/custom_dt_custom.scss",
        "public/admin-assets/css/plugins/table/datatable"
    )
    .sass(
        "resources/sass/admin-assets/assets/elements/tooltip.scss",
        "public/admin-assets/css/elements"
    )
    .sass(
        "resources/sass/admin-assets/assets/elements/alert.scss",
        "public/admin-assets/css/elements"
    )
    .sass(
        "resources/sass/admin-assets/plugins/bootstrap-select/bootstrap-select.min.scss",
        "public/admin-assets/css/plugins/bootstrap-select"
    )
    .sass(
        "resources/sass/admin-assets/assets/components/tabs-accordian/custom-tabs.scss",
        "public/admin-assets/css/components/tabs-accordian"
    )
    .sass(
        "resources/sass/admin-assets/assets/components/tabs-accordian/custom-accordions.scss",
        "public/admin-assets/css/components/tabs-accordian"
    )
    .sass(
        "resources/sass/admin-assets/assets/tables/table-basic.scss",
        "public/admin-assets/css/tables"
    )
    .sass(
        "resources/sass/admin-assets/assets/dashboard.scss",
        "public/admin-assets/css"
    )
    .sass(
        "resources/sass/admin-assets/assets/elements/avatar.scss",
        "public/admin-assets/css/elements"
    )
    .sass(
        "resources/sass/admin-assets/assets/widgets/modules-widgets.scss",
        "public/admin-assets/css/widgets"
    )
    .sass(
        "resources/sass/admin-assets/assets/elements/breadcrumb.scss",
        "public/admin-assets/css/elements"
    );
